/*
 * Copyright (C) 2025 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


// Auto-generated by ./tools/localedata/extract_icu_data.py

#include <androidfw/LocaleDataLookup.h>

namespace android {

constexpr const char SCRIPT_CODES[][4] = {
    /* 0  */ {'A', 'g', 'h', 'b'},
    /* 1  */ {'A', 'h', 'o', 'm'},
    /* 2  */ {'A', 'r', 'a', 'b'},
    /* 3  */ {'A', 'r', 'm', 'i'},
    /* 4  */ {'A', 'r', 'm', 'n'},
    /* 5  */ {'A', 'v', 's', 't'},
    /* 6  */ {'B', 'a', 'm', 'u'},
    /* 7  */ {'B', 'a', 's', 's'},
    /* 8  */ {'B', 'a', 't', 'k'},
    /* 9  */ {'B', 'e', 'n', 'g'},
    /* 10 */ {'B', 'o', 'p', 'o'},
    /* 11 */ {'B', 'r', 'a', 'h'},
    /* 12 */ {'C', 'a', 'k', 'm'},
    /* 13 */ {'C', 'a', 'n', 's'},
    /* 14 */ {'C', 'a', 'r', 'i'},
    /* 15 */ {'C', 'h', 'a', 'm'},
    /* 16 */ {'C', 'h', 'e', 'r'},
    /* 17 */ {'C', 'h', 'r', 's'},
    /* 18 */ {'C', 'o', 'p', 't'},
    /* 19 */ {'C', 'p', 'r', 't'},
    /* 20 */ {'C', 'y', 'r', 'l'},
    /* 21 */ {'D', 'e', 'v', 'a'},
    /* 22 */ {'E', 'g', 'y', 'p'},
    /* 23 */ {'E', 'l', 'y', 'm'},
    /* 24 */ {'E', 't', 'h', 'i'},
    /* 25 */ {'G', 'e', 'o', 'r'},
    /* 26 */ {'G', 'o', 'n', 'g'},
    /* 27 */ {'G', 'o', 'n', 'm'},
    /* 28 */ {'G', 'o', 't', 'h'},
    /* 29 */ {'G', 'r', 'a', 'n'},
    /* 30 */ {'G', 'r', 'e', 'k'},
    /* 31 */ {'G', 'u', 'j', 'r'},
    /* 32 */ {'G', 'u', 'r', 'u'},
    /* 33 */ {'H', 'a', 'n', 'g'},
    /* 34 */ {'H', 'a', 'n', 'i'},
    /* 35 */ {'H', 'a', 'n', 's'},
    /* 36 */ {'H', 'a', 'n', 't'},
    /* 37 */ {'H', 'e', 'b', 'r'},
    /* 38 */ {'H', 'l', 'u', 'w'},
    /* 39 */ {'H', 'm', 'n', 'p'},
    /* 40 */ {'I', 't', 'a', 'l'},
    /* 41 */ {'J', 'a', 'v', 'a'},
    /* 42 */ {'J', 'p', 'a', 'n'},
    /* 43 */ {'K', 'a', 'l', 'i'},
    /* 44 */ {'K', 'a', 'n', 'a'},
    /* 45 */ {'K', 'a', 'w', 'i'},
    /* 46 */ {'K', 'h', 'a', 'r'},
    /* 47 */ {'K', 'h', 'm', 'r'},
    /* 48 */ {'K', 'i', 't', 's'},
    /* 49 */ {'K', 'n', 'd', 'a'},
    /* 50 */ {'K', 'o', 'r', 'e'},
    /* 51 */ {'L', 'a', 'n', 'a'},
    /* 52 */ {'L', 'a', 'o', 'o'},
    /* 53 */ {'L', 'a', 't', 'f'},
    /* 54 */ {'L', 'a', 't', 'g'},
    /* 55 */ {'L', 'a', 't', 'n'},
    /* 56 */ {'L', 'e', 'p', 'c'},
    /* 57 */ {'L', 'i', 'n', 'a'},
    /* 58 */ {'L', 'i', 'n', 'b'},
    /* 59 */ {'L', 'i', 's', 'u'},
    /* 60 */ {'L', 'y', 'c', 'i'},
    /* 61 */ {'L', 'y', 'd', 'i'},
    /* 62 */ {'M', 'a', 'n', 'd'},
    /* 63 */ {'M', 'a', 'n', 'i'},
    /* 64 */ {'M', 'a', 'r', 'c'},
    /* 65 */ {'M', 'e', 'd', 'f'},
    /* 66 */ {'M', 'e', 'r', 'c'},
    /* 67 */ {'M', 'l', 'y', 'm'},
    /* 68 */ {'M', 'o', 'd', 'i'},
    /* 69 */ {'M', 'o', 'n', 'g'},
    /* 70 */ {'M', 'r', 'o', 'o'},
    /* 71 */ {'M', 't', 'e', 'i'},
    /* 72 */ {'M', 'y', 'm', 'r'},
    /* 73 */ {'N', 'a', 'r', 'b'},
    /* 74 */ {'N', 'e', 'w', 'a'},
    /* 75 */ {'N', 'k', 'o', 'o'},
    /* 76 */ {'N', 's', 'h', 'u'},
    /* 77 */ {'O', 'g', 'a', 'm'},
    /* 78 */ {'O', 'l', 'c', 'k'},
    /* 79 */ {'O', 'r', 'k', 'h'},
    /* 80 */ {'O', 'r', 'y', 'a'},
    /* 81 */ {'O', 's', 'g', 'e'},
    /* 82 */ {'O', 'u', 'g', 'r'},
    /* 83 */ {'P', 'a', 'u', 'c'},
    /* 84 */ {'P', 'h', 'l', 'i'},
    /* 85 */ {'P', 'h', 'n', 'x'},
    /* 86 */ {'P', 'l', 'r', 'd'},
    /* 87 */ {'P', 'r', 't', 'i'},
    /* 88 */ {'R', 'j', 'n', 'g'},
    /* 89 */ {'R', 'o', 'h', 'g'},
    /* 90 */ {'R', 'u', 'n', 'r'},
    /* 91 */ {'S', 'a', 'm', 'r'},
    /* 92 */ {'S', 'a', 'r', 'b'},
    /* 93 */ {'S', 'a', 'u', 'r'},
    /* 94 */ {'S', 'g', 'n', 'w'},
    /* 95 */ {'S', 'i', 'n', 'h'},
    /* 96 */ {'S', 'o', 'g', 'd'},
    /* 97 */ {'S', 'o', 'r', 'a'},
    /* 98 */ {'S', 'o', 'y', 'o'},
    /* 99 */ {'S', 'u', 'n', 'u'},
    /* 100 */ {'S', 'y', 'r', 'c'},
    /* 101 */ {'T', 'a', 'g', 'b'},
    /* 102 */ {'T', 'a', 'k', 'r'},
    /* 103 */ {'T', 'a', 'l', 'e'},
    /* 104 */ {'T', 'a', 'l', 'u'},
    /* 105 */ {'T', 'a', 'm', 'l'},
    /* 106 */ {'T', 'a', 'n', 'g'},
    /* 107 */ {'T', 'a', 'v', 't'},
    /* 108 */ {'T', 'e', 'l', 'u'},
    /* 109 */ {'T', 'f', 'n', 'g'},
    /* 110 */ {'T', 'h', 'a', 'a'},
    /* 111 */ {'T', 'h', 'a', 'i'},
    /* 112 */ {'T', 'i', 'b', 't'},
    /* 113 */ {'T', 'n', 's', 'a'},
    /* 114 */ {'T', 'o', 't', 'o'},
    /* 115 */ {'U', 'g', 'a', 'r'},
    /* 116 */ {'V', 'a', 'i', 'i'},
    /* 117 */ {'W', 'c', 'h', 'o'},
    /* 118 */ {'X', 'p', 'e', 'o'},
    /* 119 */ {'X', 's', 'u', 'x'},
    /* 120 */ {'Y', 'i', 'i', 'i'},
    /* 121 */ {'~', '~', '~', 'A'},
    /* 122 */ {'~', '~', '~', 'B'},
};


const char* lookupLikelyScript(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x98170000u: // xag -> Aghb
            return SCRIPT_CODES[ 0u];
        case 0xB8E00000u: // aho -> Ahom
            return SCRIPT_CODES[ 1u];
        case 0xB8000000u: // aao -> Arab
        case 0x9C200000u: // abh -> Arab
        case 0xD4200000u: // abv -> Arab
        case 0xB0400000u: // acm -> Arab
        case 0xC0400000u: // acq -> Arab
        case 0xD8400000u: // acw -> Arab
        case 0xDC400000u: // acx -> Arab
        case 0x94600000u: // adf -> Arab
        case 0x84800000u: // aeb -> Arab
        case 0x88800000u: // aec -> Arab
        case 0x90800000u: // aee -> Arab
        case 0xC0800000u: // aeq -> Arab
        case 0x84A00000u: // afb -> Arab
        case 0x85000000u: // aib -> Arab
        case 0xC1000000u: // aiq -> Arab
        case 0x89E00000u: // apc -> Arab
        case 0x8DE00000u: // apd -> Arab
        case 0x61720000u: // ar -> Arab
        case 0xC2200000u: // arq -> Arab
        case 0xCA200000u: // ars -> Arab
        case 0xE2200000u: // ary -> Arab
        case 0xE6200000u: // arz -> Arab
        case 0xAA400000u: // ask -> Arab
        case 0xB6600000u: // atn -> Arab
        case 0xA6800000u: // auj -> Arab
        case 0xE6800000u: // auz -> Arab
        case 0x8EA00000u: // avd -> Arab
        case 0xAEA00000u: // avl -> Arab
        case 0x9F000000u: // ayh -> Arab
        case 0xAF000000u: // ayl -> Arab
        case 0xB7000000u: // ayn -> Arab
        case 0xBF000000u: // ayp -> Arab
        case 0x617A4951u: // az-IQ -> Arab
        case 0x617A4952u: // az-IR -> Arab
        case 0x87200000u: // azb -> Arab
        case 0xAC010000u: // bal -> Arab
        case 0xE4610000u: // bdz -> Arab
        case 0xA4810000u: // bej -> Arab
        case 0xCCA10000u: // bft -> Arab
        case 0xB4C10000u: // bgn -> Arab
        case 0xBCC10000u: // bgp -> Arab
        case 0x90E10000u: // bhe -> Arab
        case 0xB0E10000u: // bhm -> Arab
        case 0xB1210000u: // bjm -> Arab
        case 0xA2010000u: // bqi -> Arab
        case 0x9E210000u: // brh -> Arab
        case 0xAA210000u: // brk -> Arab
        case 0x9E410000u: // bsh -> Arab
        case 0xAA410000u: // bsk -> Arab
        case 0x98E20000u: // chg -> Arab
        case 0x81220000u: // cja -> Arab
        case 0x85420000u: // ckb -> Arab
        case 0x9D620000u: // clh -> Arab
        case 0x88430000u: // dcc -> Arab
        case 0x94830000u: // def -> Arab
        case 0x9C830000u: // deh -> Arab
        case 0xACC30000u: // dgl -> Arab
        case 0xA9830000u: // dmk -> Arab
        case 0xAD830000u: // dml -> Arab
        case 0x9E440000u: // esh -> Arab
        case 0x66610000u: // fa -> Arab
        case 0xE0050000u: // fay -> Arab
        case 0xE4050000u: // faz -> Arab
        case 0x81050000u: // fia -> Arab
        case 0x86850000u: // fub -> Arab
        case 0xE4260000u: // gbz -> Arab
        case 0x98C60000u: // ggg -> Arab
        case 0x80E60000u: // gha -> Arab
        case 0xC4E60000u: // ghr -> Arab
        case 0x99060000u: // gig -> Arab
        case 0xA9260000u: // gjk -> Arab
        case 0xD1260000u: // gju -> Arab
        case 0x9D660000u: // glh -> Arab
        case 0xA9660000u: // glk -> Arab
        case 0x8AC60000u: // gwc -> Arab
        case 0x96C60000u: // gwf -> Arab
        case 0xCEC60000u: // gwt -> Arab
        case 0xA3260000u: // gzi -> Arab
        case 0x6861434Du: // ha-CM -> Arab
        case 0x68615344u: // ha-SD -> Arab
        case 0x88070000u: // hac -> Arab
        case 0xE4070000u: // haz -> Arab
        case 0x9D470000u: // hkh -> Arab
        case 0x8DA70000u: // hnd -> Arab
        case 0xB9A70000u: // hno -> Arab
        case 0x9DC70000u: // hoh -> Arab
        case 0xE6270000u: // hrz -> Arab
        case 0xCA470000u: // hss -> Arab
        case 0xAA480000u: // isk -> Arab
        case 0x8C090000u: // jad -> Arab
        case 0xCC090000u: // jat -> Arab
        case 0xB4290000u: // jbn -> Arab
        case 0x98690000u: // jdg -> Arab
        case 0x8DA90000u: // jnd -> Arab
        case 0x99C90000u: // jog -> Arab
        case 0xD02A0000u: // kbu -> Arab
        case 0xE02A0000u: // kby -> Arab
        case 0xE04A0000u: // kcy -> Arab
        case 0xB0AA0000u: // kfm -> Arab
        case 0xD8EA0000u: // khw -> Arab
        case 0x6B6B4146u: // kk-AF -> Arab
        case 0x6B6B434Eu: // kk-CN -> Arab
        case 0x6B6B4952u: // kk-IR -> Arab
        case 0x6B6B4D4Eu: // kk-MN -> Arab
        case 0xA56A0000u: // klj -> Arab
        case 0xE58A0000u: // kmz -> Arab
        case 0x6B730000u: // ks -> Arab
        case 0xAE6A0000u: // ktl -> Arab
        case 0x6B754C42u: // ku-LB -> Arab
        case 0xDEAA0000u: // kvx -> Arab
        case 0xBEEA0000u: // kxp -> Arab
        case 0x6B79434Eu: // ky-CN -> Arab
        case 0x9C0B0000u: // lah -> Arab
        case 0xA14B0000u: // lki -> Arab
        case 0x8A2B0000u: // lrc -> Arab
        case 0xAA2B0000u: // lrk -> Arab
        case 0xAE2B0000u: // lrl -> Arab
        case 0x824B0000u: // lsa -> Arab
        case 0xCA4B0000u: // lss -> Arab
        case 0xD68B0000u: // luv -> Arab
        case 0xE68B0000u: // luz -> Arab
        case 0xE02C0000u: // mby -> Arab
        case 0x906C0000u: // mde -> Arab
        case 0x80AC0000u: // mfa -> Arab
        case 0xA0AC0000u: // mfi -> Arab
        case 0xA4EC0000u: // mhj -> Arab
        case 0xA14C0000u: // mki -> Arab
        case 0xA5AC0000u: // mnj -> Arab
        case 0x6D734343u: // ms-CC -> Arab
        case 0x92AC0000u: // mve -> Arab
        case 0xE2AC0000u: // mvy -> Arab
        case 0xB72C0000u: // mzn -> Arab
        case 0xA16D0000u: // nli -> Arab
        case 0xB16D0000u: // nlm -> Arab
        case 0xE66D0000u: // ntz -> Arab
        case 0xC30D0000u: // nyq -> Arab
        case 0xA86E0000u: // odk -> Arab
        case 0xD22E0000u: // oru -> Arab
        case 0x826E0000u: // ota -> Arab
        case 0x7061504Bu: // pa-PK -> Arab
        case 0xCC2F0000u: // pbt -> Arab
        case 0xACEF0000u: // phl -> Arab
        case 0xC4EF0000u: // phr -> Arab
        case 0xD4EF0000u: // phv -> Arab
        case 0xA96F0000u: // plk -> Arab
        case 0x8A2F0000u: // prc -> Arab
        case 0x8E2F0000u: // prd -> Arab
        case 0xDE2F0000u: // prx -> Arab
        case 0x70730000u: // ps -> Arab
        case 0x9E4F0000u: // psh -> Arab
        case 0xA24F0000u: // psi -> Arab
        case 0xCE4F0000u: // pst -> Arab
        case 0xC2F00000u: // qxq -> Arab
        case 0x84710000u: // rdb -> Arab
        case 0xCD910000u: // rmt -> Arab
        case 0xB4320000u: // sbn -> Arab
        case 0xAC520000u: // scl -> Arab
        case 0x73640000u: // sd -> Arab
        case 0x84720000u: // sdb -> Arab
        case 0x94720000u: // sdf -> Arab
        case 0x98720000u: // sdg -> Arab
        case 0x9C720000u: // sdh -> Arab
        case 0xC8720000u: // sds -> Arab
        case 0xC4D20000u: // sgr -> Arab
        case 0xE0D20000u: // sgy -> Arab
        case 0x8CF20000u: // shd -> Arab
        case 0xB0F20000u: // shm -> Arab
        case 0xD0F20000u: // shu -> Arab
        case 0xD4F20000u: // shv -> Arab
        case 0xE1120000u: // siy -> Arab
        case 0xE5120000u: // siz -> Arab
        case 0xC5520000u: // skr -> Arab
        case 0xE1920000u: // smy -> Arab
        case 0xBA120000u: // sqo -> Arab
        case 0xCE120000u: // sqt -> Arab
        case 0x9E320000u: // srh -> Arab
        case 0xE6320000u: // srz -> Arab
        case 0x9E520000u: // ssh -> Arab
        case 0xCA720000u: // sts -> Arab
        case 0x86D20000u: // swb -> Arab
        case 0x7467504Bu: // tg-PK -> Arab
        case 0xB9330000u: // tjo -> Arab
        case 0xC9530000u: // tks -> Arab
        case 0xD5D30000u: // tov -> Arab
        case 0x82330000u: // tra -> Arab
        case 0xB2330000u: // trm -> Arab
        case 0xDA330000u: // trw -> Arab
        case 0x75670000u: // ug -> Arab
        case 0x75720000u: // ur -> Arab
        case 0x9E540000u: // ush -> Arab
        case 0x757A4146u: // uz-AF -> Arab
        case 0xCB340000u: // uzs -> Arab
        case 0x94150000u: // vaf -> Arab
        case 0xC4D50000u: // vgr -> Arab
        case 0x9D950000u: // vmh -> Arab
        case 0xA8360000u: // wbk -> Arab
        case 0xB9760000u: // wlo -> Arab
        case 0x91B60000u: // wne -> Arab
        case 0xA1B60000u: // wni -> Arab
        case 0xD6560000u: // wsv -> Arab
        case 0x90F70000u: // xhe -> Arab
        case 0x81570000u: // xka -> Arab
        case 0x89570000u: // xkc -> Arab
        case 0xA5570000u: // xkj -> Arab
        case 0xBD570000u: // xkp -> Arab
        case 0xA2B70000u: // xvi -> Arab
        case 0x98780000u: // ydg -> Arab
        case 0x80390000u: // zba -> Arab
        case 0xA4790000u: // zdj -> Arab
        case 0xB2990000u: // zum -> Arab
            return SCRIPT_CODES[ 2u];
        case 0x8A200000u: // arc -> Armi
            return SCRIPT_CODES[ 3u];
        case 0xB2E00000u: // axm -> Armn
        case 0x68790000u: // hy -> Armn
        case 0xDB070000u: // hyw -> Armn
        case 0xA1910000u: // rmi -> Armn
            return SCRIPT_CODES[ 4u];
        case 0x61650000u: // ae -> Avst
            return SCRIPT_CODES[ 5u];
        case 0xDC010000u: // bax -> Bamu
            return SCRIPT_CODES[ 6u];
        case 0xC2410000u: // bsq -> Bass
            return SCRIPT_CODES[ 7u];
        case 0x8E610000u: // btd -> Batk
        case 0xB2610000u: // btm -> Batk
            return SCRIPT_CODES[ 8u];
        case 0xCDC00000u: // aot -> Beng
        case 0x61730000u: // as -> Beng
        case 0x626E0000u: // bn -> Beng
        case 0xE1E10000u: // bpy -> Beng
        case 0xE4620000u: // cdz -> Beng
        case 0x9A620000u: // ctg -> Beng
        case 0xC4830000u: // der -> Beng
        case 0xCE260000u: // grt -> Beng
        case 0xC06A0000u: // kdq -> Beng
        case 0xA1AC0000u: // mni -> Beng
        case 0x9C110000u: // rah -> Beng
        case 0xCD510000u: // rkt -> Beng
        case 0xC4720000u: // sdr -> Beng
        case 0xAF120000u: // syl -> Beng
        case 0xC5B40000u: // unr -> Beng
        case 0xDDB40000u: // unx -> Beng
            return SCRIPT_CODES[ 9u];
        case 0xA5870000u: // hmj -> Bopo
        case 0xC1870000u: // hmq -> Bopo
            return SCRIPT_CODES[10u];
        case 0xB8EA0000u: // kho -> Brah
        case 0x814F0000u: // pka -> Brah
        case 0x9D8F0000u: // pmh -> Brah
        case 0xD24F0000u: // psu -> Brah
        case 0xC2770000u: // xtq -> Brah
            return SCRIPT_CODES[11u];
        case 0xBC420000u: // ccp -> Cakm
        case 0xD5B30000u: // tnv -> Cakm
            return SCRIPT_CODES[12u];
        case 0x63720000u: // cr -> Cans
        case 0xA6220000u: // crj -> Cans
        case 0xAA220000u: // crk -> Cans
        case 0xAE220000u: // crl -> Cans
        case 0xB2220000u: // crm -> Cans
        case 0xDA420000u: // csw -> Cans
        case 0x69750000u: // iu -> Cans
        case 0xAA4D0000u: // nsk -> Cans
        case 0x6F6A0000u: // oj -> Cans
        case 0xC92E0000u: // ojs -> Cans
            return SCRIPT_CODES[13u];
        case 0xC4570000u: // xcr -> Cari
            return SCRIPT_CODES[14u];
        case 0xB1220000u: // cjm -> Cham
            return SCRIPT_CODES[15u];
        case 0xC4E20000u: // chr -> Cher
            return SCRIPT_CODES[16u];
        case 0xB8570000u: // xco -> Chrs
            return SCRIPT_CODES[17u];
        case 0xBDC20000u: // cop -> Copt
            return SCRIPT_CODES[18u];
        case 0xE0440000u: // ecy -> Cprt
        case 0x8A260000u: // grc -> Cprt
            return SCRIPT_CODES[19u];
        case 0x61620000u: // ab -> Cyrl
        case 0xE0600000u: // ady -> Cyrl
        case 0xDCC00000u: // agx -> Cyrl
        case 0xD5400000u: // akv -> Cyrl
        case 0xC5600000u: // alr -> Cyrl
        case 0xCD600000u: // alt -> Cyrl
        case 0xA1A00000u: // ani -> Cyrl
        case 0x8A000000u: // aqc -> Cyrl
        case 0xD6600000u: // atv -> Cyrl
        case 0x61760000u: // av -> Cyrl
        case 0x617A5255u: // az-RU -> Cyrl
        case 0x62610000u: // ba -> Cyrl
        case 0x62650000u: // be -> Cyrl
        case 0x62670000u: // bg -> Cyrl
        case 0x9CE10000u: // bhh -> Cyrl
        case 0x9DE10000u: // bph -> Cyrl
        case 0x82810000u: // bua -> Cyrl
        case 0xB2E10000u: // bxm -> Cyrl
        case 0x63650000u: // ce -> Cyrl
        case 0xB0E20000u: // chm -> Cyrl
        case 0xA1220000u: // cji -> Cyrl
        case 0xCD420000u: // ckt -> Cyrl
        case 0xD9620000u: // clw -> Cyrl
        case 0x9E220000u: // crh -> Cyrl
        case 0x63750000u: // cu -> Cyrl
        case 0x63760000u: // cv -> Cyrl
        case 0xC4030000u: // dar -> Cyrl
        case 0xB8630000u: // ddo -> Cyrl
        case 0x99630000u: // dlg -> Cyrl
        case 0x99A30000u: // dng -> Cyrl
        case 0x95A40000u: // enf -> Cyrl
        case 0x9DA40000u: // enh -> Cyrl
        case 0x92A40000u: // eve -> Cyrl
        case 0xB6A40000u: // evn -> Cyrl
        case 0xB8660000u: // gdo -> Cyrl
        case 0xB5060000u: // gin -> Cyrl
        case 0x8D660000u: // gld -> Cyrl
        case 0xE6870000u: // huz -> Cyrl
        case 0x9DA80000u: // inh -> Cyrl
        case 0xAE680000u: // itl -> Cyrl
        case 0xCC490000u: // jct -> Cyrl
        case 0xCC690000u: // jdt -> Cyrl
        case 0x800A0000u: // kaa -> Cyrl
        case 0xBC0A0000u: // kap -> Cyrl
        case 0x8C2A0000u: // kbd -> Cyrl
        case 0x804A0000u: // kca -> Cyrl
        case 0xCC8A0000u: // ket -> Cyrl
        case 0xD4EA0000u: // khv -> Cyrl
        case 0xB10A0000u: // kim -> Cyrl
        case 0x9D2A0000u: // kjh -> Cyrl
        case 0x6B6B0000u: // kk -> Cyrl
        case 0xA1CA0000u: // koi -> Cyrl
        case 0xCDEA0000u: // kpt -> Cyrl
        case 0xE1EA0000u: // kpy -> Cyrl
        case 0x8A2A0000u: // krc -> Cyrl
        case 0xAA2A0000u: // krk -> Cyrl
        case 0xB28A0000u: // kum -> Cyrl
        case 0x6B760000u: // kv -> Cyrl
        case 0x82AA0000u: // kva -> Cyrl
        case 0x6B790000u: // ky -> Cyrl
        case 0x902B0000u: // lbe -> Cyrl
        case 0xE48B0000u: // lez -> Cyrl
        case 0x946C0000u: // mdf -> Cyrl
        case 0x6D6B0000u: // mk -> Cyrl
        case 0x6D6E0000u: // mn -> Cyrl
        case 0xC9AC0000u: // mns -> Cyrl
        case 0xA62C0000u: // mrj -> Cyrl
        case 0xB26C0000u: // mtm -> Cyrl
        case 0x8E8C0000u: // mud -> Cyrl
        case 0xD70C0000u: // myv -> Cyrl
        case 0x946D0000u: // ndf -> Cyrl
        case 0x988D0000u: // neg -> Cyrl
        case 0xB90D0000u: // nio -> Cyrl
        case 0xD50D0000u: // niv -> Cyrl
        case 0x99CD0000u: // nog -> Cyrl
        case 0x800E0000u: // oaa -> Cyrl
        case 0x880E0000u: // oac -> Cyrl
        case 0xA98E0000u: // omk -> Cyrl
        case 0xD62E0000u: // orv -> Cyrl
        case 0x6F730000u: // os -> Cyrl
        case 0xC00F0000u: // paq -> Cyrl
        case 0xAA510000u: // rsk -> Cyrl
        case 0x72750000u: // ru -> Cyrl
        case 0x92910000u: // rue -> Cyrl
        case 0xCE910000u: // rut -> Cyrl
        case 0x9C120000u: // sah -> Cyrl
        case 0xAC920000u: // sel -> Cyrl
        case 0x9CD20000u: // sgh -> Cyrl
        case 0x81120000u: // sia -> Cyrl
        case 0x8D320000u: // sjd -> Cyrl
        case 0xCD320000u: // sjt -> Cyrl
        case 0x73720000u: // sr -> Cyrl
        case 0xE2720000u: // sty -> Cyrl
        case 0x84130000u: // tab -> Cyrl
        case 0x74670000u: // tg -> Cyrl
        case 0xB5130000u: // tin -> Cyrl
        case 0x74740000u: // tt -> Cyrl
        case 0xD7130000u: // tyv -> Cyrl
        case 0x90740000u: // ude -> Cyrl
        case 0xA0740000u: // udi -> Cyrl
        case 0xB0740000u: // udm -> Cyrl
        case 0x75674B5Au: // ug-KZ -> Cyrl
        case 0x75674D4Eu: // ug-MN -> Cyrl
        case 0x9CD40000u: // ugh -> Cyrl
        case 0x756B0000u: // uk -> Cyrl
        case 0x89740000u: // ulc -> Cyrl
        case 0x757A434Eu: // uz-CN -> Cyrl
        case 0xAC170000u: // xal -> Cyrl
        case 0xC8170000u: // xas -> Cyrl
        case 0xC0770000u: // xdq -> Cyrl
        case 0xB1F70000u: // xpm -> Cyrl
        case 0xB2370000u: // xrm -> Cyrl
        case 0xB6370000u: // xrn -> Cyrl
        case 0xBAD70000u: // xwo -> Cyrl
        case 0xA0180000u: // yai -> Cyrl
        case 0x99580000u: // ykg -> Cyrl
        case 0x9D580000u: // ykh -> Cyrl
        case 0xA9B80000u: // ynk -> Cyrl
        case 0xAA380000u: // yrk -> Cyrl
        case 0xC6580000u: // ysr -> Cyrl
        case 0x9A980000u: // yug -> Cyrl
        case 0xDE980000u: // yux -> Cyrl
        case 0xB9590000u: // zko -> Cyrl
        case 0xE5590000u: // zkz -> Cyrl
            return SCRIPT_CODES[20u];
        case 0xA0C00000u: // agi -> Deva
        case 0xC4E00000u: // ahr -> Deva
        case 0xBDA00000u: // anp -> Deva
        case 0xC1A00000u: // anq -> Deva
        case 0xC5A00000u: // anr -> Deva
        case 0x9DE00000u: // aph -> Deva
        case 0xC6400000u: // asr -> Deva
        case 0x82C00000u: // awa -> Deva
        case 0xBC010000u: // bap -> Deva
        case 0x90810000u: // bee -> Deva
        case 0x84A10000u: // bfb -> Deva
        case 0xE0A10000u: // bfy -> Deva
        case 0xE4A10000u: // bfz -> Deva
        case 0x88C10000u: // bgc -> Deva
        case 0x8CC10000u: // bgd -> Deva
        case 0xC0C10000u: // bgq -> Deva
        case 0xD8C10000u: // bgw -> Deva
        case 0x80E10000u: // bha -> Deva
        case 0x84E10000u: // bhb -> Deva
        case 0x8CE10000u: // bhd -> Deva
        case 0xA0E10000u: // bhi -> Deva
        case 0xA4E10000u: // bhj -> Deva
        case 0xB8E10000u: // bho -> Deva
        case 0xCCE10000u: // bht -> Deva
        case 0xD0E10000u: // bhu -> Deva
        case 0xE1010000u: // biy -> Deva
        case 0xA5210000u: // bjj -> Deva
        case 0xA5810000u: // bmj -> Deva
        case 0xC9A10000u: // bns -> Deva
        case 0xDDE10000u: // bpx -> Deva
        case 0x82210000u: // bra -> Deva
        case 0x8E210000u: // brd -> Deva
        case 0xDE210000u: // brx -> Deva
        case 0xD6610000u: // btv -> Deva
        case 0x9F010000u: // byh -> Deva
        case 0xDB010000u: // byw -> Deva
        case 0x9C620000u: // cdh -> Deva
        case 0xA4620000u: // cdj -> Deva
        case 0xB0620000u: // cdm -> Deva
        case 0xDCE20000u: // chx -> Deva
        case 0x9D020000u: // cih -> Deva
        case 0xB6620000u: // ctn -> Deva
        case 0xC0030000u: // daq -> Deva
        case 0xA0E30000u: // dhi -> Deva
        case 0xB8E30000u: // dho -> Deva
        case 0xD8E30000u: // dhw -> Deva
        case 0xA1C30000u: // doi -> Deva
        case 0xC2230000u: // drq -> Deva
        case 0xE2230000u: // dry -> Deva
        case 0xE2630000u: // dty -> Deva
        case 0x9E830000u: // duh -> Deva
        case 0xCA830000u: // dus -> Deva
        case 0xE6C30000u: // dwz -> Deva
        case 0x99840000u: // emg -> Deva
        case 0xD1840000u: // emu -> Deva
        case 0xD1850000u: // fmu -> Deva
        case 0xA8260000u: // gbk -> Deva
        case 0xB0260000u: // gbm -> Deva
        case 0xDC660000u: // gdx -> Deva
        case 0x90E60000u: // ghe -> Deva
        case 0xA5C60000u: // goj -> Deva
        case 0xA9C60000u: // gok -> Deva
        case 0xB5C60000u: // gon -> Deva
        case 0x82260000u: // gra -> Deva
        case 0xC6A60000u: // gvr -> Deva
        case 0xBB060000u: // gyo -> Deva
        case 0x68690000u: // hi -> Deva
        case 0x95070000u: // hif -> Deva
        case 0x85670000u: // hlb -> Deva
        case 0x91A70000u: // hne -> Deva
        case 0x89C70000u: // hoc -> Deva
        case 0xA5C70000u: // hoj -> Deva
        case 0xE1C70000u: // hoy -> Deva
        case 0xCE870000u: // hut -> Deva
        case 0x90890000u: // jee -> Deva
        case 0xAD890000u: // jml -> Deva
        case 0xADA90000u: // jnl -> Deva
        case 0xC9A90000u: // jns -> Deva
        case 0xAE890000u: // jul -> Deva
        case 0xDC8A0000u: // kex -> Deva
        case 0x84AA0000u: // kfb -> Deva
        case 0xA8AA0000u: // kfk -> Deva
        case 0xBCAA0000u: // kfp -> Deva
        case 0xC0AA0000u: // kfq -> Deva
        case 0xC4AA0000u: // kfr -> Deva
        case 0xC8AA0000u: // kfs -> Deva
        case 0xD0AA0000u: // kfu -> Deva
        case 0xDCAA0000u: // kfx -> Deva
        case 0xE0AA0000u: // kfy -> Deva
        case 0xA4CA0000u: // kgj -> Deva
        case 0xE0CA0000u: // kgy -> Deva
        case 0xB4EA0000u: // khn -> Deva
        case 0x950A0000u: // kif -> Deva
        case 0xBD0A0000u: // kip -> Deva
        case 0xAD2A0000u: // kjl -> Deva
        case 0xB92A0000u: // kjo -> Deva
        case 0xCD4A0000u: // kkt -> Deva
        case 0x916A0000u: // kle -> Deva
        case 0xC56A0000u: // klr -> Deva
        case 0xA58A0000u: // kmj -> Deva
        case 0xB5AA0000u: // knn -> Deva
        case 0xA9CA0000u: // kok -> Deva
        case 0x822A0000u: // kra -> Deva
        case 0xD22A0000u: // kru -> Deva
        case 0xE64A0000u: // ksz -> Deva
        case 0x926A0000u: // kte -> Deva
        case 0xD70A0000u: // kyv -> Deva
        case 0xDB0A0000u: // kyw -> Deva
        case 0x900B0000u: // lae -> Deva
        case 0x942B0000u: // lbf -> Deva
        case 0xB02B0000u: // lbm -> Deva
        case 0xC42B0000u: // lbr -> Deva
        case 0xB0EB0000u: // lhm -> Deva
        case 0x950B0000u: // lif -> Deva
        case 0x9D8B0000u: // lmh -> Deva
        case 0xE1CB0000u: // loy -> Deva
        case 0xD28B0000u: // luu -> Deva
        case 0x980C0000u: // mag -> Deva
        case 0xA00C0000u: // mai -> Deva
        case 0xBCCC0000u: // mgp -> Deva
        case 0xAD2C0000u: // mjl -> Deva
        case 0xCD2C0000u: // mjt -> Deva
        case 0xE52C0000u: // mjz -> Deva
        case 0x854C0000u: // mkb -> Deva
        case 0x914C0000u: // mke -> Deva
        case 0x6D720000u: // mr -> Deva
        case 0x8E2C0000u: // mrd -> Deva
        case 0xC62C0000u: // mrr -> Deva
        case 0xC66C0000u: // mtr -> Deva
        case 0xCE8C0000u: // mut -> Deva
        case 0xC6CC0000u: // mwr -> Deva
        case 0xB80D0000u: // nao -> Deva
        case 0x8C4D0000u: // ncd -> Deva
        case 0x6E650000u: // ne -> Deva
        case 0xD88D0000u: // new -> Deva
        case 0xDD6D0000u: // nlx -> Deva
        case 0xB18D0000u: // nmm -> Deva
        case 0x91CD0000u: // noe -> Deva
        case 0xA1CD0000u: // noi -> Deva
        case 0xDECD0000u: // nwx -> Deva
        case 0x816E0000u: // ola -> Deva
        case 0xB5CE0000u: // oon -> Deva
        case 0x9C4F0000u: // pch -> Deva
        case 0xA04F0000u: // pci -> Deva
        case 0x98CF0000u: // pgg -> Deva
        case 0x8CEF0000u: // phd -> Deva
        case 0xD8EF0000u: // phw -> Deva
        case 0xB28F0000u: // pum -> Deva
        case 0xC6CF0000u: // pwr -> Deva
        case 0x80110000u: // raa -> Deva
        case 0x84110000u: // rab -> Deva
        case 0x94110000u: // raf -> Deva
        case 0xA4110000u: // raj -> Deva
        case 0xD4110000u: // rav -> Deva
        case 0xA1310000u: // rji -> Deva
        case 0xC9310000u: // rjs -> Deva
        case 0xDA710000u: // rtw -> Deva
        case 0xC6D10000u: // rwr -> Deva
        case 0x73610000u: // sa -> Deva
        case 0xA8520000u: // sck -> Deva
        case 0xBC520000u: // scp -> Deva
        case 0x7364494Eu: // sd-IN -> Deva
        case 0xA4D20000u: // sgj -> Deva
        case 0xBD320000u: // sjp -> Deva
        case 0xA5520000u: // skj -> Deva
        case 0xA1D20000u: // soi -> Deva
        case 0xDE320000u: // srx -> Deva
        case 0xD6D20000u: // swv -> Deva
        case 0xDB120000u: // syw -> Deva
        case 0xA4130000u: // taj -> Deva
        case 0x84730000u: // tdb -> Deva
        case 0x98730000u: // tdg -> Deva
        case 0x9C730000u: // tdh -> Deva
        case 0x90D30000u: // tge -> Deva
        case 0x90F30000u: // the -> Deva
        case 0x94F30000u: // thf -> Deva
        case 0xACF30000u: // thl -> Deva
        case 0xC0F30000u: // thq -> Deva
        case 0xC4F30000u: // thr -> Deva
        case 0xC8F30000u: // ths -> Deva
        case 0xA5130000u: // tij -> Deva
        case 0x85530000u: // tkb -> Deva
        case 0xCD530000u: // tkt -> Deva
        case 0xE6730000u: // ttz -> Deva
        case 0xB2D30000u: // twm -> Deva
        case 0xC5B44E50u: // unr-NP -> Deva
        case 0x9C150000u: // vah -> Deva
        case 0xC8150000u: // vas -> Deva
        case 0xD4150000u: // vav -> Deva
        case 0xE0150000u: // vay -> Deva
        case 0xA9350000u: // vjk -> Deva
        case 0xC4360000u: // wbr -> Deva
        case 0x91960000u: // wme -> Deva
        case 0xB2760000u: // wtm -> Deva
        case 0xC5B70000u: // xnr -> Deva
        case 0xC6570000u: // xsr -> Deva
        case 0x9C380000u: // ybh -> Deva
        case 0xA0380000u: // ybi -> Deva
            return SCRIPT_CODES[21u];
        case 0xE0C40000u: // egy -> Egyp
            return SCRIPT_CODES[22u];
        case 0xE1770000u: // xly -> Elym
            return SCRIPT_CODES[23u];
        case 0xA4C00000u: // agj -> Ethi
        case 0x98E00000u: // ahg -> Ethi
        case 0xD9600000u: // alw -> Ethi
        case 0x616D0000u: // am -> Ethi
        case 0xD1A00000u: // anu -> Ethi
        case 0xB6C00000u: // awn -> Ethi
        case 0xC0410000u: // bcq -> Ethi
        case 0xCE410000u: // bst -> Ethi
        case 0xB7010000u: // byn -> Ethi
        case 0xDDC30000u: // dox -> Ethi
        case 0xCA230000u: // drs -> Ethi
        case 0xE4860000u: // gez -> Ethi
        case 0xD5860000u: // gmv -> Ethi
        case 0x95C60000u: // gof -> Ethi
        case 0xD2260000u: // gru -> Ethi
        case 0xC4070000u: // har -> Ethi
        case 0xE0670000u: // hdy -> Ethi
        case 0xC5C80000u: // ior -> Ethi
        case 0xE20A0000u: // kqy -> Ethi
        case 0x866A0000u: // ktb -> Ethi
        case 0xDC6C0000u: // mdx -> Ethi
        case 0xE06C0000u: // mdy -> Ethi
        case 0xE68C0000u: // muz -> Ethi
        case 0xE6AC0000u: // mvz -> Ethi
        case 0xB30C0000u: // mym -> Ethi
        case 0xD8D20000u: // sgw -> Ethi
        case 0xD6720000u: // stv -> Ethi
        case 0x74690000u: // ti -> Ethi
        case 0x99130000u: // tig -> Ethi
        case 0xAC160000u: // wal -> Ethi
        case 0x91760000u: // wle -> Ethi
        case 0xB4170000u: // xan -> Ethi
        case 0x82D90000u: // zwa -> Ethi
            return SCRIPT_CODES[24u];
        case 0xAC210000u: // bbl -> Geor
        case 0x90C90000u: // jge -> Geor
        case 0x6B610000u: // ka -> Geor
        case 0xD40E0000u: // oav -> Geor
        case 0x82B20000u: // sva -> Geor
        case 0x95970000u: // xmf -> Geor
            return SCRIPT_CODES[25u];
        case 0x9A560000u: // wsg -> Gong
            return SCRIPT_CODES[26u];
        case 0x9A440000u: // esg -> Gonm
            return SCRIPT_CODES[27u];
        case 0xCDC60000u: // got -> Goth
            return SCRIPT_CODES[28u];
        case 0xE26E0000u: // oty -> Gran
            return SCRIPT_CODES[29u];
        case 0xCC000000u: // aat -> Grek
        case 0xDCC10000u: // bgx -> Grek
        case 0x99E20000u: // cpg -> Grek
        case 0xC4440000u: // ecr -> Grek
        case 0x656C0000u: // el -> Grek
        case 0xCDAF0000u: // pnt -> Grek
        case 0xDC520000u: // scx -> Grek
        case 0x8E530000u: // tsd -> Grek
        case 0xB2940000u: // uum -> Grek
        case 0x99F70000u: // xpg -> Grek
        case 0xA4980000u: // yej -> Grek
            return SCRIPT_CODES[30u];
        case 0xA0620000u: // cdi -> Gujr
        case 0xB4E30000u: // dhn -> Gujr
        case 0x86830000u: // dub -> Gujr
        case 0xC8060000u: // gas -> Gujr
        case 0xAC260000u: // gbl -> Gujr
        case 0x67750000u: // gu -> Gujr
            return SCRIPT_CODES[31u];
        case 0x70610000u: // pa -> Guru
            return SCRIPT_CODES[32u];
        case 0x91290000u: // jje -> Hang
        case 0xB14E0000u: // okm -> Hang
            return SCRIPT_CODES[33u];
        case 0xD9C70000u: // how -> Hani
        case 0xB94E0000u: // oko -> Hani
        case 0xA2D20000u: // swi -> Hani
        case 0x9C590000u: // zch -> Hani
        case 0x9C990000u: // zeh -> Hani
        case 0x84D90000u: // zgb -> Hani
        case 0xB0D90000u: // zgm -> Hani
        case 0xB4D90000u: // zgn -> Hani
        case 0x8CF90000u: // zhd -> Hani
        case 0xA5790000u: // zlj -> Hani
        case 0xB5790000u: // zln -> Hani
        case 0xC1790000u: // zlq -> Hani
        case 0x92190000u: // zqe -> Hani
        case 0x9B190000u: // zyg -> Hani
        case 0xB7190000u: // zyn -> Hani
        case 0xA7390000u: // zzj -> Hani
            return SCRIPT_CODES[34u];
        case 0xB8620000u: // cdo -> Hans
        case 0xE1220000u: // cjy -> Hans
        case 0xBDA20000u: // cnp -> Hans
        case 0xBE420000u: // csp -> Hans
        case 0x9F220000u: // czh -> Hans
        case 0xB4060000u: // gan -> Hans
        case 0xA8070000u: // hak -> Hans
        case 0xB6470000u: // hsn -> Hans
        case 0x9F2B0000u: // lzh -> Hans
        case 0xB40D0000u: // nan -> Hans
        case 0xD2960000u: // wuu -> Hans
        case 0x9298434Eu: // yue-CN -> Hans
        case 0x7A680000u: // zh -> Hans
            return SCRIPT_CODES[35u];
        case 0x8A6B0000u: // ltc -> Hant
        case 0x92980000u: // yue -> Hant
        case 0x7A684155u: // zh-AU -> Hant
        case 0x7A68424Eu: // zh-BN -> Hant
        case 0x7A684742u: // zh-GB -> Hant
        case 0x7A684746u: // zh-GF -> Hant
        case 0x7A68484Bu: // zh-HK -> Hant
        case 0x7A684944u: // zh-ID -> Hant
        case 0x7A684D4Fu: // zh-MO -> Hant
        case 0x7A685041u: // zh-PA -> Hant
        case 0x7A685046u: // zh-PF -> Hant
        case 0x7A685048u: // zh-PH -> Hant
        case 0x7A685352u: // zh-SR -> Hant
        case 0x7A685448u: // zh-TH -> Hant
        case 0x7A685457u: // zh-TW -> Hant
        case 0x7A685553u: // zh-US -> Hant
        case 0x7A68564Eu: // zh-VN -> Hant
            return SCRIPT_CODES[36u];
        case 0xA5000000u: // aij -> Hebr
        case 0xAB220000u: // czk -> Hebr
        case 0xB8270000u: // hbo -> Hebr
        case 0x68650000u: // he -> Hebr
        case 0xE2870000u: // huy -> Hebr
        case 0xAA680000u: // itk -> Hebr
        case 0x69770000u: // iw -> Hebr
        case 0x90290000u: // jbe -> Hebr
        case 0x6A690000u: // ji -> Hebr
        case 0x81E90000u: // jpa -> Hebr
        case 0xC5E90000u: // jpr -> Hebr
        case 0x86290000u: // jrb -> Hebr
        case 0x93090000u: // jye -> Hebr
        case 0x8C0B0000u: // lad -> Hebr
        case 0x8E4B0000u: // lsd -> Hebr
        case 0x9A330000u: // trg -> Hebr
        case 0x8CF80000u: // yhd -> Hebr
        case 0x79690000u: // yi -> Hebr
        case 0x9D180000u: // yih -> Hebr
        case 0x8E980000u: // yud -> Hebr
        case 0xBE390000u: // zrp -> Hebr
            return SCRIPT_CODES[37u];
        case 0xD1670000u: // hlu -> Hluw
            return SCRIPT_CODES[38u];
        case 0xA5A70000u: // hnj -> Hmnp
        case 0xDACC0000u: // mww -> Hmnp
            return SCRIPT_CODES[39u];
        case 0xCE640000u: // ett -> Ital
        case 0x8A4E0000u: // osc -> Ital
        case 0xB4CF0000u: // pgn -> Ital
        case 0x92B70000u: // xve -> Ital
            return SCRIPT_CODES[40u];
        case 0xA24E0000u: // osi -> Java
        case 0xC8930000u: // tes -> Java
            return SCRIPT_CODES[41u];
        case 0xC9800000u: // ams -> Jpan
        case 0x6A610000u: // ja -> Jpan
        case 0xA1D80000u: // yoi -> Jpan
            return SCRIPT_CODES[42u];
        case 0xE1440000u: // eky -> Kali
        case 0xE2AA0000u: // kvy -> Kali
        case 0xD30A0000u: // kyu -> Kali
            return SCRIPT_CODES[43u];
        case 0xB5000000u: // ain -> Kana
        case 0xD3110000u: // ryu -> Kana
            return SCRIPT_CODES[44u];
        case 0xD80A0000u: // kaw -> Kawi
            return SCRIPT_CODES[45u];
        case 0x8CCF0000u: // pgd -> Khar
        case 0x822F0000u: // pra -> Khar
            return SCRIPT_CODES[46u];
        case 0x86210000u: // brb -> Khmr
        case 0x6B6D0000u: // km -> Khmr
        case 0xC62A0000u: // krr -> Khmr
        case 0xD62A0000u: // krv -> Khmr
        case 0xE54E0000u: // okz -> Khmr
        case 0x844F0000u: // pcb -> Khmr
        case 0x81510000u: // rka -> Khmr
        case 0xD1920000u: // smu -> Khmr
        case 0xD1F30000u: // tpu -> Khmr
        case 0xB0F70000u: // xhm -> Khmr
            return SCRIPT_CODES[47u];
        case 0xCD590000u: // zkt -> Kits
            return SCRIPT_CODES[48u];
        case 0xDA210000u: // brw -> Knda
        case 0x80AA0000u: // kfa -> Knda
        case 0x8CAA0000u: // kfd -> Knda
        case 0x98AA0000u: // kfg -> Knda
        case 0x6B6E0000u: // kn -> Knda
        case 0xE0530000u: // tcy -> Knda
        case 0x8D950000u: // vmd -> Knda
            return SCRIPT_CODES[49u];
        case 0x6B6F0000u: // ko -> Kore
            return SCRIPT_CODES[50u];
        case 0xD2820000u: // cuu -> Lana
        case 0x9D4A0000u: // kkh -> Lana
        case 0x8DCD0000u: // nod -> Lana
            return SCRIPT_CODES[51u];
        case 0xA9600000u: // alk -> Laoo
        case 0xD6210000u: // brv -> Laoo
        case 0x992A0000u: // kjg -> Laoo
        case 0x968A0000u: // kuf -> Laoo
        case 0xB82B0000u: // lbo -> Laoo
        case 0x6C6F0000u: // lo -> Laoo
        case 0xC04D0000u: // ncq -> Laoo
        case 0xCCCD0000u: // ngt -> Laoo
        case 0xB8EF0000u: // pho -> Laoo
        case 0xCC520000u: // sct -> Laoo
        case 0xC2120000u: // sqq -> Laoo
        case 0xCA520000u: // sss -> Laoo
        case 0x9E730000u: // tth -> Laoo
        case 0xBA730000u: // tto -> Laoo
            return SCRIPT_CODES[52u];
        case 0xAD860000u: // gml -> Latf
            return SCRIPT_CODES[53u];
        case 0x80CC0000u: // mga -> Latg
            return SCRIPT_CODES[54u];
        case 0x61610000u: // aa -> Latn
        case 0x80000000u: // aaa -> Latn
        case 0x84000000u: // aab -> Latn
        case 0x88000000u: // aac -> Latn
        case 0x8C000000u: // aad -> Latn
        case 0x90000000u: // aae -> Latn
        case 0x98000000u: // aag -> Latn
        case 0x9C000000u: // aah -> Latn
        case 0xA0000000u: // aai -> Latn
        case 0xA8000000u: // aak -> Latn
        case 0xAC000000u: // aal -> Latn
        case 0xB4000000u: // aan -> Latn
        case 0xBC000000u: // aap -> Latn
        case 0xC0000000u: // aaq -> Latn
        case 0xC8000000u: // aas -> Latn
        case 0xD0000000u: // aau -> Latn
        case 0xD8000000u: // aaw -> Latn
        case 0xDC000000u: // aax -> Latn
        case 0xE4000000u: // aaz -> Latn
        case 0x80200000u: // aba -> Latn
        case 0x84200000u: // abb -> Latn
        case 0x88200000u: // abc -> Latn
        case 0x8C200000u: // abd -> Latn
        case 0x90200000u: // abe -> Latn
        case 0x94200000u: // abf -> Latn
        case 0x98200000u: // abg -> Latn
        case 0xA0200000u: // abi -> Latn
        case 0xB0200000u: // abm -> Latn
        case 0xB4200000u: // abn -> Latn
        case 0xB8200000u: // abo -> Latn
        case 0xBC200000u: // abp -> Latn
        case 0xC4200000u: // abr -> Latn
        case 0xC8200000u: // abs -> Latn
        case 0xCC200000u: // abt -> Latn
        case 0xD0200000u: // abu -> Latn
        case 0xD8200000u: // abw -> Latn
        case 0xDC200000u: // abx -> Latn
        case 0xE0200000u: // aby -> Latn
        case 0xE4200000u: // abz -> Latn
        case 0x80400000u: // aca -> Latn
        case 0x84400000u: // acb -> Latn
        case 0x8C400000u: // acd -> Latn
        case 0x90400000u: // ace -> Latn
        case 0x94400000u: // acf -> Latn
        case 0x9C400000u: // ach -> Latn
        case 0xB4400000u: // acn -> Latn
        case 0xBC400000u: // acp -> Latn
        case 0xC4400000u: // acr -> Latn
        case 0xC8400000u: // acs -> Latn
        case 0xCC400000u: // act -> Latn
        case 0xD0400000u: // acu -> Latn
        case 0xD4400000u: // acv -> Latn
        case 0xE0400000u: // acy -> Latn
        case 0xE4400000u: // acz -> Latn
        case 0x80600000u: // ada -> Latn
        case 0x84600000u: // adb -> Latn
        case 0x8C600000u: // add -> Latn
        case 0x90600000u: // ade -> Latn
        case 0x98600000u: // adg -> Latn
        case 0x9C600000u: // adh -> Latn
        case 0xA0600000u: // adi -> Latn
        case 0xA4600000u: // adj -> Latn
        case 0xAC600000u: // adl -> Latn
        case 0xB4600000u: // adn -> Latn
        case 0xB8600000u: // ado -> Latn
        case 0xC0600000u: // adq -> Latn
        case 0xC4600000u: // adr -> Latn
        case 0xCC600000u: // adt -> Latn
        case 0xD0600000u: // adu -> Latn
        case 0xD8600000u: // adw -> Latn
        case 0xE4600000u: // adz -> Latn
        case 0x80800000u: // aea -> Latn
        case 0xA8800000u: // aek -> Latn
        case 0xAC800000u: // ael -> Latn
        case 0xB0800000u: // aem -> Latn
        case 0xC4800000u: // aer -> Latn
        case 0xD0800000u: // aeu -> Latn
        case 0xD8800000u: // aew -> Latn
        case 0xE0800000u: // aey -> Latn
        case 0xE4800000u: // aez -> Latn
        case 0x61660000u: // af -> Latn
        case 0x8CA00000u: // afd -> Latn
        case 0x90A00000u: // afe -> Latn
        case 0x9CA00000u: // afh -> Latn
        case 0xA0A00000u: // afi -> Latn
        case 0xA8A00000u: // afk -> Latn
        case 0xB4A00000u: // afn -> Latn
        case 0xB8A00000u: // afo -> Latn
        case 0xBCA00000u: // afp -> Latn
        case 0xC8A00000u: // afs -> Latn
        case 0xD0A00000u: // afu -> Latn
        case 0xE4A00000u: // afz -> Latn
        case 0x80C00000u: // aga -> Latn
        case 0x84C00000u: // agb -> Latn
        case 0x88C00000u: // agc -> Latn
        case 0x8CC00000u: // agd -> Latn
        case 0x90C00000u: // age -> Latn
        case 0x94C00000u: // agf -> Latn
        case 0x98C00000u: // agg -> Latn
        case 0x9CC00000u: // agh -> Latn
        case 0xA8C00000u: // agk -> Latn
        case 0xACC00000u: // agl -> Latn
        case 0xB0C00000u: // agm -> Latn
        case 0xB4C00000u: // agn -> Latn
        case 0xB8C00000u: // ago -> Latn
        case 0xC0C00000u: // agq -> Latn
        case 0xC4C00000u: // agr -> Latn
        case 0xC8C00000u: // ags -> Latn
        case 0xCCC00000u: // agt -> Latn
        case 0xD0C00000u: // agu -> Latn
        case 0xD4C00000u: // agv -> Latn
        case 0xD8C00000u: // agw -> Latn
        case 0xE0C00000u: // agy -> Latn
        case 0xE4C00000u: // agz -> Latn
        case 0x80E00000u: // aha -> Latn
        case 0x84E00000u: // ahb -> Latn
        case 0x9CE00000u: // ahh -> Latn
        case 0xA0E00000u: // ahi -> Latn
        case 0xA8E00000u: // ahk -> Latn
        case 0xACE00000u: // ahl -> Latn
        case 0xB0E00000u: // ahm -> Latn
        case 0xB4E00000u: // ahn -> Latn
        case 0xBCE00000u: // ahp -> Latn
        case 0xC8E00000u: // ahs -> Latn
        case 0xCCE00000u: // aht -> Latn
        case 0x81000000u: // aia -> Latn
        case 0x89000000u: // aic -> Latn
        case 0x8D000000u: // aid -> Latn
        case 0x91000000u: // aie -> Latn
        case 0x95000000u: // aif -> Latn
        case 0x99000000u: // aig -> Latn
        case 0xA9000000u: // aik -> Latn
        case 0xAD000000u: // ail -> Latn
        case 0xB1000000u: // aim -> Latn
        case 0xBD000000u: // aip -> Latn
        case 0xC5000000u: // air -> Latn
        case 0xCD000000u: // ait -> Latn
        case 0xD9000000u: // aiw -> Latn
        case 0xDD000000u: // aix -> Latn
        case 0xE1000000u: // aiy -> Latn
        case 0x81200000u: // aja -> Latn
        case 0x99200000u: // ajg -> Latn
        case 0xA1200000u: // aji -> Latn
        case 0xB5200000u: // ajn -> Latn
        case 0xD9200000u: // ajw -> Latn
        case 0xE5200000u: // ajz -> Latn
        case 0x616B0000u: // ak -> Latn
        case 0x85400000u: // akb -> Latn
        case 0x89400000u: // akc -> Latn
        case 0x8D400000u: // akd -> Latn
        case 0x91400000u: // ake -> Latn
        case 0x95400000u: // akf -> Latn
        case 0x99400000u: // akg -> Latn
        case 0x9D400000u: // akh -> Latn
        case 0xA1400000u: // aki -> Latn
        case 0xAD400000u: // akl -> Latn
        case 0xB9400000u: // ako -> Latn
        case 0xBD400000u: // akp -> Latn
        case 0xC1400000u: // akq -> Latn
        case 0xC5400000u: // akr -> Latn
        case 0xC9400000u: // aks -> Latn
        case 0xCD400000u: // akt -> Latn
        case 0xD1400000u: // aku -> Latn
        case 0xD9400000u: // akw -> Latn
        case 0xE5400000u: // akz -> Latn
        case 0x81600000u: // ala -> Latn
        case 0x89600000u: // alc -> Latn
        case 0x8D600000u: // ald -> Latn
        case 0x91600000u: // ale -> Latn
        case 0x95600000u: // alf -> Latn
        case 0x9D600000u: // alh -> Latn
        case 0xA1600000u: // ali -> Latn
        case 0xA5600000u: // alj -> Latn
        case 0xB1600000u: // alm -> Latn
        case 0xB5600000u: // aln -> Latn
        case 0xB9600000u: // alo -> Latn
        case 0xBD600000u: // alp -> Latn
        case 0xC1600000u: // alq -> Latn
        case 0xD1600000u: // alu -> Latn
        case 0xDD600000u: // alx -> Latn
        case 0xE1600000u: // aly -> Latn
        case 0xE5600000u: // alz -> Latn
        case 0x81800000u: // ama -> Latn
        case 0x85800000u: // amb -> Latn
        case 0x89800000u: // amc -> Latn
        case 0x91800000u: // ame -> Latn
        case 0x95800000u: // amf -> Latn
        case 0x99800000u: // amg -> Latn
        case 0xA1800000u: // ami -> Latn
        case 0xA5800000u: // amj -> Latn
        case 0xA9800000u: // amk -> Latn
        case 0xB1800000u: // amm -> Latn
        case 0xB5800000u: // amn -> Latn
        case 0xB9800000u: // amo -> Latn
        case 0xBD800000u: // amp -> Latn
        case 0xC1800000u: // amq -> Latn
        case 0xC5800000u: // amr -> Latn
        case 0xCD800000u: // amt -> Latn
        case 0xD1800000u: // amu -> Latn
        case 0xD5800000u: // amv -> Latn
        case 0xDD800000u: // amx -> Latn
        case 0xE1800000u: // amy -> Latn
        case 0xE5800000u: // amz -> Latn
        case 0x616E0000u: // an -> Latn
        case 0x81A00000u: // ana -> Latn
        case 0x85A00000u: // anb -> Latn
        case 0x89A00000u: // anc -> Latn
        case 0x8DA00000u: // and -> Latn
        case 0x91A00000u: // ane -> Latn
        case 0x95A00000u: // anf -> Latn
        case 0x99A00000u: // ang -> Latn
        case 0x9DA00000u: // anh -> Latn
        case 0xA5A00000u: // anj -> Latn
        case 0xA9A00000u: // ank -> Latn
        case 0xADA00000u: // anl -> Latn
        case 0xB1A00000u: // anm -> Latn
        case 0xB5A00000u: // ann -> Latn
        case 0xB9A00000u: // ano -> Latn
        case 0xC9A00000u: // ans -> Latn
        case 0xCDA00000u: // ant -> Latn
        case 0xD5A00000u: // anv -> Latn
        case 0xD9A00000u: // anw -> Latn
        case 0xDDA00000u: // anx -> Latn
        case 0xE1A00000u: // any -> Latn
        case 0xE5A00000u: // anz -> Latn
        case 0x81C00000u: // aoa -> Latn
        case 0x85C00000u: // aob -> Latn
        case 0x89C00000u: // aoc -> Latn
        case 0x8DC00000u: // aod -> Latn
        case 0x91C00000u: // aoe -> Latn
        case 0x95C00000u: // aof -> Latn
        case 0x99C00000u: // aog -> Latn
        case 0xA1C00000u: // aoi -> Latn
        case 0xA5C00000u: // aoj -> Latn
        case 0xA9C00000u: // aok -> Latn
        case 0xADC00000u: // aol -> Latn
        case 0xB1C00000u: // aom -> Latn
        case 0xB5C00000u: // aon -> Latn
        case 0xC5C00000u: // aor -> Latn
        case 0xC9C00000u: // aos -> Latn
        case 0xDDC00000u: // aox -> Latn
        case 0xE5C00000u: // aoz -> Latn
        case 0x85E00000u: // apb -> Latn
        case 0x91E00000u: // ape -> Latn
        case 0x95E00000u: // apf -> Latn
        case 0x99E00000u: // apg -> Latn
        case 0xA1E00000u: // api -> Latn
        case 0xA5E00000u: // apj -> Latn
        case 0xA9E00000u: // apk -> Latn
        case 0xADE00000u: // apl -> Latn
        case 0xB1E00000u: // apm -> Latn
        case 0xB5E00000u: // apn -> Latn
        case 0xB9E00000u: // apo -> Latn
        case 0xBDE00000u: // app -> Latn
        case 0xC5E00000u: // apr -> Latn
        case 0xC9E00000u: // aps -> Latn
        case 0xCDE00000u: // apt -> Latn
        case 0xD1E00000u: // apu -> Latn
        case 0xD5E00000u: // apv -> Latn
        case 0xD9E00000u: // apw -> Latn
        case 0xDDE00000u: // apx -> Latn
        case 0xE1E00000u: // apy -> Latn
        case 0xE5E00000u: // apz -> Latn
        case 0x8E000000u: // aqd -> Latn
        case 0x9A000000u: // aqg -> Latn
        case 0xAA000000u: // aqk -> Latn
        case 0xB2000000u: // aqm -> Latn
        case 0xB6000000u: // aqn -> Latn
        case 0xC6000000u: // aqr -> Latn
        case 0xCE000000u: // aqt -> Latn
        case 0xE6000000u: // aqz -> Latn
        case 0x8E200000u: // ard -> Latn
        case 0x92200000u: // are -> Latn
        case 0x9E200000u: // arh -> Latn
        case 0xA2200000u: // ari -> Latn
        case 0xA6200000u: // arj -> Latn
        case 0xAA200000u: // ark -> Latn
        case 0xAE200000u: // arl -> Latn
        case 0xB6200000u: // arn -> Latn
        case 0xBA200000u: // aro -> Latn
        case 0xBE200000u: // arp -> Latn
        case 0xC6200000u: // arr -> Latn
        case 0xD2200000u: // aru -> Latn
        case 0xDA200000u: // arw -> Latn
        case 0xDE200000u: // arx -> Latn
        case 0x82400000u: // asa -> Latn
        case 0x86400000u: // asb -> Latn
        case 0x8A400000u: // asc -> Latn
        case 0x9A400000u: // asg -> Latn
        case 0x9E400000u: // ash -> Latn
        case 0xA2400000u: // asi -> Latn
        case 0xA6400000u: // asj -> Latn
        case 0xAE400000u: // asl -> Latn
        case 0xB6400000u: // asn -> Latn
        case 0xBA400000u: // aso -> Latn
        case 0xCA400000u: // ass -> Latn
        case 0xCE400000u: // ast -> Latn
        case 0xD2400000u: // asu -> Latn
        case 0xD6400000u: // asv -> Latn
        case 0xDE400000u: // asx -> Latn
        case 0xE2400000u: // asy -> Latn
        case 0xE6400000u: // asz -> Latn
        case 0x82600000u: // ata -> Latn
        case 0x86600000u: // atb -> Latn
        case 0x8A600000u: // atc -> Latn
        case 0x8E600000u: // atd -> Latn
        case 0x92600000u: // ate -> Latn
        case 0x9A600000u: // atg -> Latn
        case 0xA2600000u: // ati -> Latn
        case 0xA6600000u: // atj -> Latn
        case 0xAA600000u: // atk -> Latn
        case 0xAE600000u: // atl -> Latn
        case 0xB2600000u: // atm -> Latn
        case 0xBA600000u: // ato -> Latn
        case 0xBE600000u: // atp -> Latn
        case 0xC2600000u: // atq -> Latn
        case 0xC6600000u: // atr -> Latn
        case 0xCA600000u: // ats -> Latn
        case 0xCE600000u: // att -> Latn
        case 0xD2600000u: // atu -> Latn
        case 0xDA600000u: // atw -> Latn
        case 0xDE600000u: // atx -> Latn
        case 0xE2600000u: // aty -> Latn
        case 0xE6600000u: // atz -> Latn
        case 0x82800000u: // aua -> Latn
        case 0x8A800000u: // auc -> Latn
        case 0x8E800000u: // aud -> Latn
        case 0x9A800000u: // aug -> Latn
        case 0x9E800000u: // auh -> Latn
        case 0xA2800000u: // aui -> Latn
        case 0xAA800000u: // auk -> Latn
        case 0xAE800000u: // aul -> Latn
        case 0xB2800000u: // aum -> Latn
        case 0xB6800000u: // aun -> Latn
        case 0xBA800000u: // auo -> Latn
        case 0xBE800000u: // aup -> Latn
        case 0xC2800000u: // auq -> Latn
        case 0xC6800000u: // aur -> Latn
        case 0xCE800000u: // aut -> Latn
        case 0xD2800000u: // auu -> Latn
        case 0xDA800000u: // auw -> Latn
        case 0xE2800000u: // auy -> Latn
        case 0x86A00000u: // avb -> Latn
        case 0xA2A00000u: // avi -> Latn
        case 0xAAA00000u: // avk -> Latn
        case 0xB2A00000u: // avm -> Latn
        case 0xB6A00000u: // avn -> Latn
        case 0xBAA00000u: // avo -> Latn
        case 0xCAA00000u: // avs -> Latn
        case 0xCEA00000u: // avt -> Latn
        case 0xD2A00000u: // avu -> Latn
        case 0xD6A00000u: // avv -> Latn
        case 0x86C00000u: // awb -> Latn
        case 0x8AC00000u: // awc -> Latn
        case 0x92C00000u: // awe -> Latn
        case 0x9AC00000u: // awg -> Latn
        case 0x9EC00000u: // awh -> Latn
        case 0xA2C00000u: // awi -> Latn
        case 0xAAC00000u: // awk -> Latn
        case 0xB2C00000u: // awm -> Latn
        case 0xBAC00000u: // awo -> Latn
        case 0xC6C00000u: // awr -> Latn
        case 0xCAC00000u: // aws -> Latn
        case 0xCEC00000u: // awt -> Latn
        case 0xD2C00000u: // awu -> Latn
        case 0xD6C00000u: // awv -> Latn
        case 0xDAC00000u: // aww -> Latn
        case 0xDEC00000u: // awx -> Latn
        case 0xE2C00000u: // awy -> Latn
        case 0x86E00000u: // axb -> Latn
        case 0x92E00000u: // axe -> Latn
        case 0x9AE00000u: // axg -> Latn
        case 0xAAE00000u: // axk -> Latn
        case 0xAEE00000u: // axl -> Latn
        case 0xDEE00000u: // axx -> Latn
        case 0x61790000u: // ay -> Latn
        case 0x83000000u: // aya -> Latn
        case 0x87000000u: // ayb -> Latn
        case 0x8B000000u: // ayc -> Latn
        case 0x8F000000u: // ayd -> Latn
        case 0x93000000u: // aye -> Latn
        case 0x9B000000u: // ayg -> Latn
        case 0xA3000000u: // ayi -> Latn
        case 0xAB000000u: // ayk -> Latn
        case 0xBB000000u: // ayo -> Latn
        case 0xC3000000u: // ayq -> Latn
        case 0xCB000000u: // ays -> Latn
        case 0xCF000000u: // ayt -> Latn
        case 0xD3000000u: // ayu -> Latn
        case 0xE7000000u: // ayz -> Latn
        case 0x617A0000u: // az -> Latn
        case 0x8F200000u: // azd -> Latn
        case 0x9B200000u: // azg -> Latn
        case 0xB3200000u: // azm -> Latn
        case 0xB7200000u: // azn -> Latn
        case 0xBB200000u: // azo -> Latn
        case 0xCF200000u: // azt -> Latn
        case 0xE7200000u: // azz -> Latn
        case 0x80010000u: // baa -> Latn
        case 0x84010000u: // bab -> Latn
        case 0x88010000u: // bac -> Latn
        case 0x90010000u: // bae -> Latn
        case 0x94010000u: // baf -> Latn
        case 0x98010000u: // bag -> Latn
        case 0x9C010000u: // bah -> Latn
        case 0xA4010000u: // baj -> Latn
        case 0xB4010000u: // ban -> Latn
        case 0xB8010000u: // bao -> Latn
        case 0xC4010000u: // bar -> Latn
        case 0xC8010000u: // bas -> Latn
        case 0xD0010000u: // bau -> Latn
        case 0xD4010000u: // bav -> Latn
        case 0xD8010000u: // baw -> Latn
        case 0xE0010000u: // bay -> Latn
        case 0x80210000u: // bba -> Latn
        case 0x84210000u: // bbb -> Latn
        case 0x88210000u: // bbc -> Latn
        case 0x8C210000u: // bbd -> Latn
        case 0x90210000u: // bbe -> Latn
        case 0x94210000u: // bbf -> Latn
        case 0x98210000u: // bbg -> Latn
        case 0xA0210000u: // bbi -> Latn
        case 0xA4210000u: // bbj -> Latn
        case 0xA8210000u: // bbk -> Latn
        case 0xB0210000u: // bbm -> Latn
        case 0xB4210000u: // bbn -> Latn
        case 0xB8210000u: // bbo -> Latn
        case 0xBC210000u: // bbp -> Latn
        case 0xC0210000u: // bbq -> Latn
        case 0xC4210000u: // bbr -> Latn
        case 0xC8210000u: // bbs -> Latn
        case 0xCC210000u: // bbt -> Latn
        case 0xD0210000u: // bbu -> Latn
        case 0xD4210000u: // bbv -> Latn
        case 0xD8210000u: // bbw -> Latn
        case 0xDC210000u: // bbx -> Latn
        case 0xE0210000u: // bby -> Latn
        case 0x80410000u: // bca -> Latn
        case 0x84410000u: // bcb -> Latn
        case 0x8C410000u: // bcd -> Latn
        case 0x90410000u: // bce -> Latn
        case 0x94410000u: // bcf -> Latn
        case 0x98410000u: // bcg -> Latn
        case 0x9C410000u: // bch -> Latn
        case 0xA0410000u: // bci -> Latn
        case 0xA4410000u: // bcj -> Latn
        case 0xA8410000u: // bck -> Latn
        case 0xB0410000u: // bcm -> Latn
        case 0xB4410000u: // bcn -> Latn
        case 0xB8410000u: // bco -> Latn
        case 0xBC410000u: // bcp -> Latn
        case 0xC4410000u: // bcr -> Latn
        case 0xC8410000u: // bcs -> Latn
        case 0xCC410000u: // bct -> Latn
        case 0xD0410000u: // bcu -> Latn
        case 0xD4410000u: // bcv -> Latn
        case 0xD8410000u: // bcw -> Latn
        case 0xE0410000u: // bcy -> Latn
        case 0xE4410000u: // bcz -> Latn
        case 0x80610000u: // bda -> Latn
        case 0x84610000u: // bdb -> Latn
        case 0x88610000u: // bdc -> Latn
        case 0x8C610000u: // bdd -> Latn
        case 0x90610000u: // bde -> Latn
        case 0x94610000u: // bdf -> Latn
        case 0x98610000u: // bdg -> Latn
        case 0x9C610000u: // bdh -> Latn
        case 0xA0610000u: // bdi -> Latn
        case 0xA4610000u: // bdj -> Latn
        case 0xA8610000u: // bdk -> Latn
        case 0xAC610000u: // bdl -> Latn
        case 0xB0610000u: // bdm -> Latn
        case 0xB4610000u: // bdn -> Latn
        case 0xB8610000u: // bdo -> Latn
        case 0xBC610000u: // bdp -> Latn
        case 0xC0610000u: // bdq -> Latn
        case 0xC4610000u: // bdr -> Latn
        case 0xC8610000u: // bds -> Latn
        case 0xCC610000u: // bdt -> Latn
        case 0xD0610000u: // bdu -> Latn
        case 0xD8610000u: // bdw -> Latn
        case 0xDC610000u: // bdx -> Latn
        case 0xE0610000u: // bdy -> Latn
        case 0x80810000u: // bea -> Latn
        case 0x84810000u: // beb -> Latn
        case 0x88810000u: // bec -> Latn
        case 0x8C810000u: // bed -> Latn
        case 0x94810000u: // bef -> Latn
        case 0x9C810000u: // beh -> Latn
        case 0xA0810000u: // bei -> Latn
        case 0xA8810000u: // bek -> Latn
        case 0xB0810000u: // bem -> Latn
        case 0xB8810000u: // beo -> Latn
        case 0xBC810000u: // bep -> Latn
        case 0xC0810000u: // beq -> Latn
        case 0xC8810000u: // bes -> Latn
        case 0xCC810000u: // bet -> Latn
        case 0xD0810000u: // beu -> Latn
        case 0xD4810000u: // bev -> Latn
        case 0xD8810000u: // bew -> Latn
        case 0xDC810000u: // bex -> Latn
        case 0xE0810000u: // bey -> Latn
        case 0xE4810000u: // bez -> Latn
        case 0x80A10000u: // bfa -> Latn
        case 0x88A10000u: // bfc -> Latn
        case 0x8CA10000u: // bfd -> Latn
        case 0x90A10000u: // bfe -> Latn
        case 0x94A10000u: // bff -> Latn
        case 0x98A10000u: // bfg -> Latn
        case 0x9CA10000u: // bfh -> Latn
        case 0xA4A10000u: // bfj -> Latn
        case 0xACA10000u: // bfl -> Latn
        case 0xB0A10000u: // bfm -> Latn
        case 0xB4A10000u: // bfn -> Latn
        case 0xB8A10000u: // bfo -> Latn
        case 0xBCA10000u: // bfp -> Latn
        case 0xC8A10000u: // bfs -> Latn
        case 0xDCA10000u: // bfx -> Latn
        case 0x80C10000u: // bga -> Latn
        case 0x84C10000u: // bgb -> Latn
        case 0x94C10000u: // bgf -> Latn
        case 0x98C10000u: // bgg -> Latn
        case 0xA0C10000u: // bgi -> Latn
        case 0xA4C10000u: // bgj -> Latn
        case 0xB8C10000u: // bgo -> Latn
        case 0xC4C10000u: // bgr -> Latn
        case 0xC8C10000u: // bgs -> Latn
        case 0xCCC10000u: // bgt -> Latn
        case 0xD0C10000u: // bgu -> Latn
        case 0xD4C10000u: // bgv -> Latn
        case 0xE0C10000u: // bgy -> Latn
        case 0xE4C10000u: // bgz -> Latn
        case 0x88E10000u: // bhc -> Latn
        case 0x94E10000u: // bhf -> Latn
        case 0x98E10000u: // bhg -> Latn
        case 0xACE10000u: // bhl -> Latn
        case 0xBCE10000u: // bhp -> Latn
        case 0xC0E10000u: // bhq -> Latn
        case 0xC4E10000u: // bhr -> Latn
        case 0xC8E10000u: // bhs -> Latn
        case 0xD4E10000u: // bhv -> Latn
        case 0xD8E10000u: // bhw -> Latn
        case 0xE0E10000u: // bhy -> Latn
        case 0xE4E10000u: // bhz -> Latn
        case 0x62690000u: // bi -> Latn
        case 0x81010000u: // bia -> Latn
        case 0x85010000u: // bib -> Latn
        case 0x8D010000u: // bid -> Latn
        case 0x91010000u: // bie -> Latn
        case 0x95010000u: // bif -> Latn
        case 0x99010000u: // big -> Latn
        case 0xA9010000u: // bik -> Latn
        case 0xAD010000u: // bil -> Latn
        case 0xB1010000u: // bim -> Latn
        case 0xB5010000u: // bin -> Latn
        case 0xB9010000u: // bio -> Latn
        case 0xBD010000u: // bip -> Latn
        case 0xC1010000u: // biq -> Latn
        case 0xC5010000u: // bir -> Latn
        case 0xCD010000u: // bit -> Latn
        case 0xD1010000u: // biu -> Latn
        case 0xD5010000u: // biv -> Latn
        case 0xD9010000u: // biw -> Latn
        case 0xE5010000u: // biz -> Latn
        case 0x81210000u: // bja -> Latn
        case 0x85210000u: // bjb -> Latn
        case 0x89210000u: // bjc -> Latn
        case 0x99210000u: // bjg -> Latn
        case 0x9D210000u: // bjh -> Latn
        case 0xA1210000u: // bji -> Latn
        case 0xA9210000u: // bjk -> Latn
        case 0xAD210000u: // bjl -> Latn
        case 0xB5210000u: // bjn -> Latn
        case 0xB9210000u: // bjo -> Latn
        case 0xBD210000u: // bjp -> Latn
        case 0xC5210000u: // bjr -> Latn
        case 0xC9210000u: // bjs -> Latn
        case 0xCD210000u: // bjt -> Latn
        case 0xD1210000u: // bju -> Latn
        case 0xD5210000u: // bjv -> Latn
        case 0xD9210000u: // bjw -> Latn
        case 0xDD210000u: // bjx -> Latn
        case 0xE1210000u: // bjy -> Latn
        case 0xE5210000u: // bjz -> Latn
        case 0x81410000u: // bka -> Latn
        case 0x89410000u: // bkc -> Latn
        case 0x8D410000u: // bkd -> Latn
        case 0x95410000u: // bkf -> Latn
        case 0x99410000u: // bkg -> Latn
        case 0x9D410000u: // bkh -> Latn
        case 0xA1410000u: // bki -> Latn
        case 0xA5410000u: // bkj -> Latn
        case 0xAD410000u: // bkl -> Latn
        case 0xB1410000u: // bkm -> Latn
        case 0xB5410000u: // bkn -> Latn
        case 0xB9410000u: // bko -> Latn
        case 0xBD410000u: // bkp -> Latn
        case 0xC1410000u: // bkq -> Latn
        case 0xC5410000u: // bkr -> Latn
        case 0xC9410000u: // bks -> Latn
        case 0xCD410000u: // bkt -> Latn
        case 0xD1410000u: // bku -> Latn
        case 0xD5410000u: // bkv -> Latn
        case 0xD9410000u: // bkw -> Latn
        case 0xDD410000u: // bkx -> Latn
        case 0xE1410000u: // bky -> Latn
        case 0xE5410000u: // bkz -> Latn
        case 0x81610000u: // bla -> Latn
        case 0x85610000u: // blb -> Latn
        case 0x89610000u: // blc -> Latn
        case 0x8D610000u: // bld -> Latn
        case 0x91610000u: // ble -> Latn
        case 0x95610000u: // blf -> Latn
        case 0x9D610000u: // blh -> Latn
        case 0xA1610000u: // bli -> Latn
        case 0xA5610000u: // blj -> Latn
        case 0xB1610000u: // blm -> Latn
        case 0xB5610000u: // bln -> Latn
        case 0xB9610000u: // blo -> Latn
        case 0xBD610000u: // blp -> Latn
        case 0xC1610000u: // blq -> Latn
        case 0xC5610000u: // blr -> Latn
        case 0xC9610000u: // bls -> Latn
        case 0xD5610000u: // blv -> Latn
        case 0xD9610000u: // blw -> Latn
        case 0xDD610000u: // blx -> Latn
        case 0xE1610000u: // bly -> Latn
        case 0xE5610000u: // blz -> Latn
        case 0x626D0000u: // bm -> Latn
        case 0x81810000u: // bma -> Latn
        case 0x85810000u: // bmb -> Latn
        case 0x89810000u: // bmc -> Latn
        case 0x8D810000u: // bmd -> Latn
        case 0x91810000u: // bme -> Latn
        case 0x95810000u: // bmf -> Latn
        case 0x99810000u: // bmg -> Latn
        case 0x9D810000u: // bmh -> Latn
        case 0xA1810000u: // bmi -> Latn
        case 0xA9810000u: // bmk -> Latn
        case 0xAD810000u: // bml -> Latn
        case 0xB1810000u: // bmm -> Latn
        case 0xB5810000u: // bmn -> Latn
        case 0xB9810000u: // bmo -> Latn
        case 0xBD810000u: // bmp -> Latn
        case 0xC1810000u: // bmq -> Latn
        case 0xC5810000u: // bmr -> Latn
        case 0xC9810000u: // bms -> Latn
        case 0xD1810000u: // bmu -> Latn
        case 0xD5810000u: // bmv -> Latn
        case 0xD9810000u: // bmw -> Latn
        case 0xDD810000u: // bmx -> Latn
        case 0xE5810000u: // bmz -> Latn
        case 0x81A10000u: // bna -> Latn
        case 0x85A10000u: // bnb -> Latn
        case 0x89A10000u: // bnc -> Latn
        case 0x8DA10000u: // bnd -> Latn
        case 0x91A10000u: // bne -> Latn
        case 0x95A10000u: // bnf -> Latn
        case 0x99A10000u: // bng -> Latn
        case 0xA1A10000u: // bni -> Latn
        case 0xA5A10000u: // bnj -> Latn
        case 0xA9A10000u: // bnk -> Latn
        case 0xB1A10000u: // bnm -> Latn
        case 0xB5A10000u: // bnn -> Latn
        case 0xB9A10000u: // bno -> Latn
        case 0xBDA10000u: // bnp -> Latn
        case 0xC1A10000u: // bnq -> Latn
        case 0xC5A10000u: // bnr -> Latn
        case 0xD1A10000u: // bnu -> Latn
        case 0xD5A10000u: // bnv -> Latn
        case 0xD9A10000u: // bnw -> Latn
        case 0xDDA10000u: // bnx -> Latn
        case 0xE1A10000u: // bny -> Latn
        case 0xE5A10000u: // bnz -> Latn
        case 0x81C10000u: // boa -> Latn
        case 0x85C10000u: // bob -> Latn
        case 0x91C10000u: // boe -> Latn
        case 0x95C10000u: // bof -> Latn
        case 0x9DC10000u: // boh -> Latn
        case 0xA5C10000u: // boj -> Latn
        case 0xA9C10000u: // bok -> Latn
        case 0xADC10000u: // bol -> Latn
        case 0xB1C10000u: // bom -> Latn
        case 0xB5C10000u: // bon -> Latn
        case 0xB9C10000u: // boo -> Latn
        case 0xBDC10000u: // bop -> Latn
        case 0xC1C10000u: // boq -> Latn
        case 0xC5C10000u: // bor -> Latn
        case 0xCDC10000u: // bot -> Latn
        case 0xD1C10000u: // bou -> Latn
        case 0xD5C10000u: // bov -> Latn
        case 0xD9C10000u: // bow -> Latn
        case 0xDDC10000u: // box -> Latn
        case 0xE1C10000u: // boy -> Latn
        case 0xE5C10000u: // boz -> Latn
        case 0x81E10000u: // bpa -> Latn
        case 0x89E10000u: // bpc -> Latn
        case 0x8DE10000u: // bpd -> Latn
        case 0x91E10000u: // bpe -> Latn
        case 0x99E10000u: // bpg -> Latn
        case 0xA1E10000u: // bpi -> Latn
        case 0xA5E10000u: // bpj -> Latn
        case 0xA9E10000u: // bpk -> Latn
        case 0xADE10000u: // bpl -> Latn
        case 0xB1E10000u: // bpm -> Latn
        case 0xB9E10000u: // bpo -> Latn
        case 0xBDE10000u: // bpp -> Latn
        case 0xC1E10000u: // bpq -> Latn
        case 0xC5E10000u: // bpr -> Latn
        case 0xC9E10000u: // bps -> Latn
        case 0xCDE10000u: // bpt -> Latn
        case 0xD1E10000u: // bpu -> Latn
        case 0xD5E10000u: // bpv -> Latn
        case 0xD9E10000u: // bpw -> Latn
        case 0xE5E10000u: // bpz -> Latn
        case 0x82010000u: // bqa -> Latn
        case 0x86010000u: // bqb -> Latn
        case 0x8A010000u: // bqc -> Latn
        case 0x8E010000u: // bqd -> Latn
        case 0x96010000u: // bqf -> Latn
        case 0x9A010000u: // bqg -> Latn
        case 0xA6010000u: // bqj -> Latn
        case 0xAA010000u: // bqk -> Latn
        case 0xAE010000u: // bql -> Latn
        case 0xB2010000u: // bqm -> Latn
        case 0xBA010000u: // bqo -> Latn
        case 0xBE010000u: // bqp -> Latn
        case 0xC2010000u: // bqq -> Latn
        case 0xC6010000u: // bqr -> Latn
        case 0xCA010000u: // bqs -> Latn
        case 0xCE010000u: // bqt -> Latn
        case 0xD2010000u: // bqu -> Latn
        case 0xD6010000u: // bqv -> Latn
        case 0xDA010000u: // bqw -> Latn
        case 0xDE010000u: // bqx -> Latn
        case 0xE6010000u: // bqz -> Latn
        case 0x62720000u: // br -> Latn
        case 0x8A210000u: // brc -> Latn
        case 0x96210000u: // brf -> Latn
        case 0x9A210000u: // brg -> Latn
        case 0xA2210000u: // bri -> Latn
        case 0xA6210000u: // brj -> Latn
        case 0xAE210000u: // brl -> Latn
        case 0xB2210000u: // brm -> Latn
        case 0xB6210000u: // brn -> Latn
        case 0xBE210000u: // brp -> Latn
        case 0xC2210000u: // brq -> Latn
        case 0xC6210000u: // brr -> Latn
        case 0xCA210000u: // brs -> Latn
        case 0xCE210000u: // brt -> Latn
        case 0xD2210000u: // bru -> Latn
        case 0xE2210000u: // bry -> Latn
        case 0xE6210000u: // brz -> Latn
        case 0x62730000u: // bs -> Latn
        case 0x82410000u: // bsa -> Latn
        case 0x86410000u: // bsb -> Latn
        case 0x8A410000u: // bsc -> Latn
        case 0x92410000u: // bse -> Latn
        case 0x96410000u: // bsf -> Latn
        case 0xA2410000u: // bsi -> Latn
        case 0xA6410000u: // bsj -> Latn
        case 0xAE410000u: // bsl -> Latn
        case 0xB2410000u: // bsm -> Latn
        case 0xB6410000u: // bsn -> Latn
        case 0xBA410000u: // bso -> Latn
        case 0xBE410000u: // bsp -> Latn
        case 0xC6410000u: // bsr -> Latn
        case 0xCA410000u: // bss -> Latn
        case 0xD2410000u: // bsu -> Latn
        case 0xD6410000u: // bsv -> Latn
        case 0xDA410000u: // bsw -> Latn
        case 0xDE410000u: // bsx -> Latn
        case 0xE2410000u: // bsy -> Latn
        case 0x82610000u: // bta -> Latn
        case 0x8A610000u: // btc -> Latn
        case 0x92610000u: // bte -> Latn
        case 0x96610000u: // btf -> Latn
        case 0x9A610000u: // btg -> Latn
        case 0x9E610000u: // bth -> Latn
        case 0xA2610000u: // bti -> Latn
        case 0xA6610000u: // btj -> Latn
        case 0xB6610000u: // btn -> Latn
        case 0xBA610000u: // bto -> Latn
        case 0xBE610000u: // btp -> Latn
        case 0xC2610000u: // btq -> Latn
        case 0xC6610000u: // btr -> Latn
        case 0xCA610000u: // bts -> Latn
        case 0xCE610000u: // btt -> Latn
        case 0xD2610000u: // btu -> Latn
        case 0xDA610000u: // btw -> Latn
        case 0xDE610000u: // btx -> Latn
        case 0xE2610000u: // bty -> Latn
        case 0xE6610000u: // btz -> Latn
        case 0x86810000u: // bub -> Latn
        case 0x8A810000u: // buc -> Latn
        case 0x8E810000u: // bud -> Latn
        case 0x92810000u: // bue -> Latn
        case 0x96810000u: // buf -> Latn
        case 0x9A810000u: // bug -> Latn
        case 0x9E810000u: // buh -> Latn
        case 0xA2810000u: // bui -> Latn
        case 0xA6810000u: // buj -> Latn
        case 0xAA810000u: // buk -> Latn
        case 0xB2810000u: // bum -> Latn
        case 0xB6810000u: // bun -> Latn
        case 0xBA810000u: // buo -> Latn
        case 0xBE810000u: // bup -> Latn
        case 0xC2810000u: // buq -> Latn
        case 0xCA810000u: // bus -> Latn
        case 0xCE810000u: // but -> Latn
        case 0xD2810000u: // buu -> Latn
        case 0xD6810000u: // buv -> Latn
        case 0xDA810000u: // buw -> Latn
        case 0xDE810000u: // bux -> Latn
        case 0xE2810000u: // buy -> Latn
        case 0xE6810000u: // buz -> Latn
        case 0x82A10000u: // bva -> Latn
        case 0x86A10000u: // bvb -> Latn
        case 0x8AA10000u: // bvc -> Latn
        case 0x8EA10000u: // bvd -> Latn
        case 0x92A10000u: // bve -> Latn
        case 0x96A10000u: // bvf -> Latn
        case 0x9AA10000u: // bvg -> Latn
        case 0x9EA10000u: // bvh -> Latn
        case 0xA2A10000u: // bvi -> Latn
        case 0xA6A10000u: // bvj -> Latn
        case 0xAAA10000u: // bvk -> Latn
        case 0xB2A10000u: // bvm -> Latn
        case 0xB6A10000u: // bvn -> Latn
        case 0xBAA10000u: // bvo -> Latn
        case 0xC2A10000u: // bvq -> Latn
        case 0xC6A10000u: // bvr -> Latn
        case 0xCEA10000u: // bvt -> Latn
        case 0xD2A10000u: // bvu -> Latn
        case 0xD6A10000u: // bvv -> Latn
        case 0xDAA10000u: // bvw -> Latn
        case 0xDEA10000u: // bvx -> Latn
        case 0xE2A10000u: // bvy -> Latn
        case 0xE6A10000u: // bvz -> Latn
        case 0x82C10000u: // bwa -> Latn
        case 0x86C10000u: // bwb -> Latn
        case 0x8AC10000u: // bwc -> Latn
        case 0x8EC10000u: // bwd -> Latn
        case 0x96C10000u: // bwf -> Latn
        case 0x9AC10000u: // bwg -> Latn
        case 0x9EC10000u: // bwh -> Latn
        case 0xA2C10000u: // bwi -> Latn
        case 0xA6C10000u: // bwj -> Latn
        case 0xAAC10000u: // bwk -> Latn
        case 0xAEC10000u: // bwl -> Latn
        case 0xB2C10000u: // bwm -> Latn
        case 0xBAC10000u: // bwo -> Latn
        case 0xBEC10000u: // bwp -> Latn
        case 0xC2C10000u: // bwq -> Latn
        case 0xC6C10000u: // bwr -> Latn
        case 0xCAC10000u: // bws -> Latn
        case 0xCEC10000u: // bwt -> Latn
        case 0xD2C10000u: // bwu -> Latn
        case 0xDAC10000u: // bww -> Latn
        case 0xDEC10000u: // bwx -> Latn
        case 0xE2C10000u: // bwy -> Latn
        case 0xE6C10000u: // bwz -> Latn
        case 0x82E10000u: // bxa -> Latn
        case 0x86E10000u: // bxb -> Latn
        case 0x8AE10000u: // bxc -> Latn
        case 0x96E10000u: // bxf -> Latn
        case 0x9AE10000u: // bxg -> Latn
        case 0x9EE10000u: // bxh -> Latn
        case 0xA2E10000u: // bxi -> Latn
        case 0xA6E10000u: // bxj -> Latn
        case 0xAEE10000u: // bxl -> Latn
        case 0xB6E10000u: // bxn -> Latn
        case 0xBAE10000u: // bxo -> Latn
        case 0xBEE10000u: // bxp -> Latn
        case 0xC2E10000u: // bxq -> Latn
        case 0xCAE10000u: // bxs -> Latn
        case 0xD6E10000u: // bxv -> Latn
        case 0xDAE10000u: // bxw -> Latn
        case 0xE6E10000u: // bxz -> Latn
        case 0x83010000u: // bya -> Latn
        case 0x87010000u: // byb -> Latn
        case 0x8B010000u: // byc -> Latn
        case 0x8F010000u: // byd -> Latn
        case 0x93010000u: // bye -> Latn
        case 0x97010000u: // byf -> Latn
        case 0xA3010000u: // byi -> Latn
        case 0xA7010000u: // byj -> Latn
        case 0xAB010000u: // byk -> Latn
        case 0xAF010000u: // byl -> Latn
        case 0xB3010000u: // bym -> Latn
        case 0xBF010000u: // byp -> Latn
        case 0xC7010000u: // byr -> Latn
        case 0xCB010000u: // bys -> Latn
        case 0xD7010000u: // byv -> Latn
        case 0xDF010000u: // byx -> Latn
        case 0xE7010000u: // byz -> Latn
        case 0x83210000u: // bza -> Latn
        case 0x87210000u: // bzb -> Latn
        case 0x8B210000u: // bzc -> Latn
        case 0x8F210000u: // bzd -> Latn
        case 0x93210000u: // bze -> Latn
        case 0x97210000u: // bzf -> Latn
        case 0x9F210000u: // bzh -> Latn
        case 0xA7210000u: // bzj -> Latn
        case 0xAB210000u: // bzk -> Latn
        case 0xAF210000u: // bzl -> Latn
        case 0xB3210000u: // bzm -> Latn
        case 0xB7210000u: // bzn -> Latn
        case 0xBB210000u: // bzo -> Latn
        case 0xBF210000u: // bzp -> Latn
        case 0xC3210000u: // bzq -> Latn
        case 0xC7210000u: // bzr -> Latn
        case 0xCF210000u: // bzt -> Latn
        case 0xD3210000u: // bzu -> Latn
        case 0xD7210000u: // bzv -> Latn
        case 0xDB210000u: // bzw -> Latn
        case 0xDF210000u: // bzx -> Latn
        case 0xE3210000u: // bzy -> Latn
        case 0xE7210000u: // bzz -> Latn
        case 0x63610000u: // ca -> Latn
        case 0x80020000u: // caa -> Latn
        case 0x84020000u: // cab -> Latn
        case 0x88020000u: // cac -> Latn
        case 0x8C020000u: // cad -> Latn
        case 0x90020000u: // cae -> Latn
        case 0x94020000u: // caf -> Latn
        case 0x98020000u: // cag -> Latn
        case 0x9C020000u: // cah -> Latn
        case 0xA4020000u: // caj -> Latn
        case 0xA8020000u: // cak -> Latn
        case 0xAC020000u: // cal -> Latn
        case 0xB0020000u: // cam -> Latn
        case 0xB4020000u: // can -> Latn
        case 0xB8020000u: // cao -> Latn
        case 0xBC020000u: // cap -> Latn
        case 0xC0020000u: // caq -> Latn
        case 0xC4020000u: // car -> Latn
        case 0xC8020000u: // cas -> Latn
        case 0xD4020000u: // cav -> Latn
        case 0xD8020000u: // caw -> Latn
        case 0xDC020000u: // cax -> Latn
        case 0xE0020000u: // cay -> Latn
        case 0xE4020000u: // caz -> Latn
        case 0x84220000u: // cbb -> Latn
        case 0x88220000u: // cbc -> Latn
        case 0x8C220000u: // cbd -> Latn
        case 0x98220000u: // cbg -> Latn
        case 0xA0220000u: // cbi -> Latn
        case 0xA4220000u: // cbj -> Latn
        case 0xA8220000u: // cbk -> Latn
        case 0xAC220000u: // cbl -> Latn
        case 0xB8220000u: // cbo -> Latn
        case 0xC0220000u: // cbq -> Latn
        case 0xC4220000u: // cbr -> Latn
        case 0xC8220000u: // cbs -> Latn
        case 0xCC220000u: // cbt -> Latn
        case 0xD0220000u: // cbu -> Latn
        case 0xD4220000u: // cbv -> Latn
        case 0xD8220000u: // cbw -> Latn
        case 0xE0220000u: // cby -> Latn
        case 0x88420000u: // ccc -> Latn
        case 0x8C420000u: // ccd -> Latn
        case 0x90420000u: // cce -> Latn
        case 0x98420000u: // ccg -> Latn
        case 0x9C420000u: // cch -> Latn
        case 0xA4420000u: // ccj -> Latn
        case 0xAC420000u: // ccl -> Latn
        case 0xB0420000u: // ccm -> Latn
        case 0xB8420000u: // cco -> Latn
        case 0xC4420000u: // ccr -> Latn
        case 0x94620000u: // cdf -> Latn
        case 0xC4620000u: // cdr -> Latn
        case 0x80820000u: // cea -> Latn
        case 0x84820000u: // ceb -> Latn
        case 0x98820000u: // ceg -> Latn
        case 0xA8820000u: // cek -> Latn
        case 0xB4820000u: // cen -> Latn
        case 0xCC820000u: // cet -> Latn
        case 0xE0820000u: // cey -> Latn
        case 0x80A20000u: // cfa -> Latn
        case 0x8CA20000u: // cfd -> Latn
        case 0x98A20000u: // cfg -> Latn
        case 0xB0A20000u: // cfm -> Latn
        case 0x80C20000u: // cga -> Latn
        case 0x88C20000u: // cgc -> Latn
        case 0x98C20000u: // cgg -> Latn
        case 0x63680000u: // ch -> Latn
        case 0x84E20000u: // chb -> Latn
        case 0x8CE20000u: // chd -> Latn
        case 0x94E20000u: // chf -> Latn
        case 0x9CE20000u: // chh -> Latn
        case 0xA4E20000u: // chj -> Latn
        case 0xA8E20000u: // chk -> Latn
        case 0xACE20000u: // chl -> Latn
        case 0xB4E20000u: // chn -> Latn
        case 0xB8E20000u: // cho -> Latn
        case 0xBCE20000u: // chp -> Latn
        case 0xC0E20000u: // chq -> Latn
        case 0xCCE20000u: // cht -> Latn
        case 0xD8E20000u: // chw -> Latn
        case 0xE0E20000u: // chy -> Latn
        case 0xE4E20000u: // chz -> Latn
        case 0x81020000u: // cia -> Latn
        case 0x85020000u: // cib -> Latn
        case 0x89020000u: // cic -> Latn
        case 0x91020000u: // cie -> Latn
        case 0xB1020000u: // cim -> Latn
        case 0xB5020000u: // cin -> Latn
        case 0xBD020000u: // cip -> Latn
        case 0xC5020000u: // cir -> Latn
        case 0xD9020000u: // ciw -> Latn
        case 0xE1020000u: // ciy -> Latn
        case 0x91220000u: // cje -> Latn
        case 0x9D220000u: // cjh -> Latn
        case 0xA9220000u: // cjk -> Latn
        case 0xB5220000u: // cjn -> Latn
        case 0xB9220000u: // cjo -> Latn
        case 0xBD220000u: // cjp -> Latn
        case 0xC9220000u: // cjs -> Latn
        case 0xD5220000u: // cjv -> Latn
        case 0xAD420000u: // ckl -> Latn
        case 0xB1420000u: // ckm -> Latn
        case 0xB5420000u: // ckn -> Latn
        case 0xB9420000u: // cko -> Latn
        case 0xC1420000u: // ckq -> Latn
        case 0xC5420000u: // ckr -> Latn
        case 0xC9420000u: // cks -> Latn
        case 0xD1420000u: // cku -> Latn
        case 0xD5420000u: // ckv -> Latn
        case 0xDD420000u: // ckx -> Latn
        case 0xE1420000u: // cky -> Latn
        case 0xE5420000u: // ckz -> Latn
        case 0x81620000u: // cla -> Latn
        case 0x89620000u: // clc -> Latn
        case 0x91620000u: // cle -> Latn
        case 0xA1620000u: // cli -> Latn
        case 0xA5620000u: // clj -> Latn
        case 0xA9620000u: // clk -> Latn
        case 0xAD620000u: // cll -> Latn
        case 0xB1620000u: // clm -> Latn
        case 0xB9620000u: // clo -> Latn
        case 0xCD620000u: // clt -> Latn
        case 0xD1620000u: // clu -> Latn
        case 0xE1620000u: // cly -> Latn
        case 0x81820000u: // cma -> Latn
        case 0x91820000u: // cme -> Latn
        case 0xA1820000u: // cmi -> Latn
        case 0xAD820000u: // cml -> Latn
        case 0xB9820000u: // cmo -> Latn
        case 0xC5820000u: // cmr -> Latn
        case 0xC9820000u: // cms -> Latn
        case 0xCD820000u: // cmt -> Latn
        case 0x85A20000u: // cnb -> Latn
        case 0x89A20000u: // cnc -> Latn
        case 0x99A20000u: // cng -> Latn
        case 0x9DA20000u: // cnh -> Latn
        case 0xA1A20000u: // cni -> Latn
        case 0xA9A20000u: // cnk -> Latn
        case 0xADA20000u: // cnl -> Latn
        case 0xC1A20000u: // cnq -> Latn
        case 0xC9A20000u: // cns -> Latn
        case 0xCDA20000u: // cnt -> Latn
        case 0xD9A20000u: // cnw -> Latn
        case 0xDDA20000u: // cnx -> Latn
        case 0x636F0000u: // co -> Latn
        case 0x81C20000u: // coa -> Latn
        case 0x85C20000u: // cob -> Latn
        case 0x89C20000u: // coc -> Latn
        case 0x8DC20000u: // cod -> Latn
        case 0x91C20000u: // coe -> Latn
        case 0x95C20000u: // cof -> Latn
        case 0x9DC20000u: // coh -> Latn
        case 0xA5C20000u: // coj -> Latn
        case 0xA9C20000u: // cok -> Latn
        case 0xADC20000u: // col -> Latn
        case 0xB1C20000u: // com -> Latn
        case 0xB9C20000u: // coo -> Latn
        case 0xC1C20000u: // coq -> Latn
        case 0xCDC20000u: // cot -> Latn
        case 0xD1C20000u: // cou -> Latn
        case 0xDDC20000u: // cox -> Latn
        case 0xE5C20000u: // coz -> Latn
        case 0x81E20000u: // cpa -> Latn
        case 0x85E20000u: // cpb -> Latn
        case 0x89E20000u: // cpc -> Latn
        case 0xA1E20000u: // cpi -> Latn
        case 0xB5E20000u: // cpn -> Latn
        case 0xB9E20000u: // cpo -> Latn
        case 0xC9E20000u: // cps -> Latn
        case 0xD1E20000u: // cpu -> Latn
        case 0xDDE20000u: // cpx -> Latn
        case 0xE1E20000u: // cpy -> Latn
        case 0x8E020000u: // cqd -> Latn
        case 0x82220000u: // cra -> Latn
        case 0x86220000u: // crb -> Latn
        case 0x8A220000u: // crc -> Latn
        case 0x8E220000u: // crd -> Latn
        case 0x96220000u: // crf -> Latn
        case 0x9A220000u: // crg -> Latn
        case 0xA2220000u: // cri -> Latn
        case 0xB6220000u: // crn -> Latn
        case 0xBA220000u: // cro -> Latn
        case 0xC2220000u: // crq -> Latn
        case 0xCA220000u: // crs -> Latn
        case 0xCE220000u: // crt -> Latn
        case 0xD6220000u: // crv -> Latn
        case 0xDA220000u: // crw -> Latn
        case 0xDE220000u: // crx -> Latn
        case 0xE2220000u: // cry -> Latn
        case 0xE6220000u: // crz -> Latn
        case 0x63730000u: // cs -> Latn
        case 0x82420000u: // csa -> Latn
        case 0x86420000u: // csb -> Latn
        case 0xA6420000u: // csj -> Latn
        case 0xAA420000u: // csk -> Latn
        case 0xB2420000u: // csm -> Latn
        case 0xBA420000u: // cso -> Latn
        case 0xCA420000u: // css -> Latn
        case 0xCE420000u: // cst -> Latn
        case 0xD6420000u: // csv -> Latn
        case 0xE2420000u: // csy -> Latn
        case 0xE6420000u: // csz -> Latn
        case 0x82620000u: // cta -> Latn
        case 0x8A620000u: // ctc -> Latn
        case 0x92620000u: // cte -> Latn
        case 0x9E620000u: // cth -> Latn
        case 0xAE620000u: // ctl -> Latn
        case 0xB2620000u: // ctm -> Latn
        case 0xBA620000u: // cto -> Latn
        case 0xBE620000u: // ctp -> Latn
        case 0xCA620000u: // cts -> Latn
        case 0xD2620000u: // ctu -> Latn
        case 0xE6620000u: // ctz -> Latn
        case 0x82820000u: // cua -> Latn
        case 0x86820000u: // cub -> Latn
        case 0x8A820000u: // cuc -> Latn
        case 0x9E820000u: // cuh -> Latn
        case 0xA2820000u: // cui -> Latn
        case 0xA6820000u: // cuj -> Latn
        case 0xAA820000u: // cuk -> Latn
        case 0xAE820000u: // cul -> Latn
        case 0xBA820000u: // cuo -> Latn
        case 0xBE820000u: // cup -> Latn
        case 0xCE820000u: // cut -> Latn
        case 0xD6820000u: // cuv -> Latn
        case 0xDE820000u: // cux -> Latn
        case 0xE2820000u: // cuy -> Latn
        case 0x9AA20000u: // cvg -> Latn
        case 0xB6A20000u: // cvn -> Latn
        case 0x82C20000u: // cwa -> Latn
        case 0x86C20000u: // cwb -> Latn
        case 0x92C20000u: // cwe -> Latn
        case 0x9AC20000u: // cwg -> Latn
        case 0xCEC20000u: // cwt -> Latn
        case 0x9EE20000u: // cxh -> Latn
        case 0x63790000u: // cy -> Latn
        case 0x83020000u: // cya -> Latn
        case 0x87020000u: // cyb -> Latn
        case 0xBB020000u: // cyo -> Latn
        case 0xB7220000u: // czn -> Latn
        case 0xCF220000u: // czt -> Latn
        case 0x64610000u: // da -> Latn
        case 0x80030000u: // daa -> Latn
        case 0x88030000u: // dac -> Latn
        case 0x8C030000u: // dad -> Latn
        case 0x90030000u: // dae -> Latn
        case 0x98030000u: // dag -> Latn
        case 0x9C030000u: // dah -> Latn
        case 0xA0030000u: // dai -> Latn
        case 0xA4030000u: // daj -> Latn
        case 0xA8030000u: // dak -> Latn
        case 0xAC030000u: // dal -> Latn
        case 0xB0030000u: // dam -> Latn
        case 0xB8030000u: // dao -> Latn
        case 0xC8030000u: // das -> Latn
        case 0xD0030000u: // dau -> Latn
        case 0xD4030000u: // dav -> Latn
        case 0xD8030000u: // daw -> Latn
        case 0xDC030000u: // dax -> Latn
        case 0xE4030000u: // daz -> Latn
        case 0x80230000u: // dba -> Latn
        case 0x84230000u: // dbb -> Latn
        case 0x8C230000u: // dbd -> Latn
        case 0x90230000u: // dbe -> Latn
        case 0x94230000u: // dbf -> Latn
        case 0x98230000u: // dbg -> Latn
        case 0xA0230000u: // dbi -> Latn
        case 0xA4230000u: // dbj -> Latn
        case 0xAC230000u: // dbl -> Latn
        case 0xB0230000u: // dbm -> Latn
        case 0xB4230000u: // dbn -> Latn
        case 0xB8230000u: // dbo -> Latn
        case 0xBC230000u: // dbp -> Latn
        case 0xC0230000u: // dbq -> Latn
        case 0xCC230000u: // dbt -> Latn
        case 0xD0230000u: // dbu -> Latn
        case 0xD4230000u: // dbv -> Latn
        case 0xD8230000u: // dbw -> Latn
        case 0xE0230000u: // dby -> Latn
        case 0xC4430000u: // dcr -> Latn
        case 0x80630000u: // dda -> Latn
        case 0x8C630000u: // ddd -> Latn
        case 0x90630000u: // dde -> Latn
        case 0x98630000u: // ddg -> Latn
        case 0xA0630000u: // ddi -> Latn
        case 0xA4630000u: // ddj -> Latn
        case 0xB4630000u: // ddn -> Latn
        case 0xC4630000u: // ddr -> Latn
        case 0xC8630000u: // dds -> Latn
        case 0xD8630000u: // ddw -> Latn
        case 0x64650000u: // de -> Latn
        case 0x88830000u: // dec -> Latn
        case 0x8C830000u: // ded -> Latn
        case 0x90830000u: // dee -> Latn
        case 0x98830000u: // deg -> Latn
        case 0xA0830000u: // dei -> Latn
        case 0xA8830000u: // dek -> Latn
        case 0xAC830000u: // del -> Latn
        case 0xB0830000u: // dem -> Latn
        case 0xB4830000u: // den -> Latn
        case 0xC0830000u: // deq -> Latn
        case 0xC8830000u: // des -> Latn
        case 0xD4830000u: // dev -> Latn
        case 0xE4830000u: // dez -> Latn
        case 0x80C30000u: // dga -> Latn
        case 0x84C30000u: // dgb -> Latn
        case 0x88C30000u: // dgc -> Latn
        case 0x8CC30000u: // dgd -> Latn
        case 0x90C30000u: // dge -> Latn
        case 0x98C30000u: // dgg -> Latn
        case 0x9CC30000u: // dgh -> Latn
        case 0xA0C30000u: // dgi -> Latn
        case 0xA8C30000u: // dgk -> Latn
        case 0xB4C30000u: // dgn -> Latn
        case 0xC4C30000u: // dgr -> Latn
        case 0xC8C30000u: // dgs -> Latn
        case 0xCCC30000u: // dgt -> Latn
        case 0xD8C30000u: // dgw -> Latn
        case 0xDCC30000u: // dgx -> Latn
        case 0xE4C30000u: // dgz -> Latn
        case 0x98E30000u: // dhg -> Latn
        case 0xACE30000u: // dhl -> Latn
        case 0xB0E30000u: // dhm -> Latn
        case 0xC4E30000u: // dhr -> Latn
        case 0xC8E30000u: // dhs -> Latn
        case 0xD0E30000u: // dhu -> Latn
        case 0xD4E30000u: // dhv -> Latn
        case 0xDCE30000u: // dhx -> Latn
        case 0x81030000u: // dia -> Latn
        case 0x85030000u: // dib -> Latn
        case 0x89030000u: // dic -> Latn
        case 0x8D030000u: // did -> Latn
        case 0x95030000u: // dif -> Latn
        case 0x99030000u: // dig -> Latn
        case 0x9D030000u: // dih -> Latn
        case 0xA1030000u: // dii -> Latn
        case 0xA5030000u: // dij -> Latn
        case 0xAD030000u: // dil -> Latn
        case 0xB5030000u: // din -> Latn
        case 0xB9030000u: // dio -> Latn
        case 0xBD030000u: // dip -> Latn
        case 0xC5030000u: // dir -> Latn
        case 0xC9030000u: // dis -> Latn
        case 0xD1030000u: // diu -> Latn
        case 0xD9030000u: // diw -> Latn
        case 0xDD030000u: // dix -> Latn
        case 0xE1030000u: // diy -> Latn
        case 0xE5030000u: // diz -> Latn
        case 0x81230000u: // dja -> Latn
        case 0x85230000u: // djb -> Latn
        case 0x89230000u: // djc -> Latn
        case 0x8D230000u: // djd -> Latn
        case 0x91230000u: // dje -> Latn
        case 0x95230000u: // djf -> Latn
        case 0xA1230000u: // dji -> Latn
        case 0xA5230000u: // djj -> Latn
        case 0xA9230000u: // djk -> Latn
        case 0xB1230000u: // djm -> Latn
        case 0xB5230000u: // djn -> Latn
        case 0xB9230000u: // djo -> Latn
        case 0xC5230000u: // djr -> Latn
        case 0xD1230000u: // dju -> Latn
        case 0xD9230000u: // djw -> Latn
        case 0x99430000u: // dkg -> Latn
        case 0xA9430000u: // dkk -> Latn
        case 0xC5430000u: // dkr -> Latn
        case 0xC9430000u: // dks -> Latn
        case 0xDD430000u: // dkx -> Latn
        case 0xB1630000u: // dlm -> Latn
        case 0xB5630000u: // dln -> Latn
        case 0x81830000u: // dma -> Latn
        case 0x85830000u: // dmb -> Latn
        case 0x89830000u: // dmc -> Latn
        case 0x8D830000u: // dmd -> Latn
        case 0x91830000u: // dme -> Latn
        case 0x99830000u: // dmg -> Latn
        case 0xB1830000u: // dmm -> Latn
        case 0xB9830000u: // dmo -> Latn
        case 0xC5830000u: // dmr -> Latn
        case 0xC9830000u: // dms -> Latn
        case 0xD1830000u: // dmu -> Latn
        case 0xD5830000u: // dmv -> Latn
        case 0xD9830000u: // dmw -> Latn
        case 0xDD830000u: // dmx -> Latn
        case 0xE1830000u: // dmy -> Latn
        case 0x81A30000u: // dna -> Latn
        case 0x8DA30000u: // dnd -> Latn
        case 0x91A30000u: // dne -> Latn
        case 0xA1A30000u: // dni -> Latn
        case 0xA5A30000u: // dnj -> Latn
        case 0xA9A30000u: // dnk -> Latn
        case 0xB5A30000u: // dnn -> Latn
        case 0xB9A30000u: // dno -> Latn
        case 0xC5A30000u: // dnr -> Latn
        case 0xCDA30000u: // dnt -> Latn
        case 0xD9A30000u: // dnw -> Latn
        case 0xE1A30000u: // dny -> Latn
        case 0x81C30000u: // doa -> Latn
        case 0x85C30000u: // dob -> Latn
        case 0x89C30000u: // doc -> Latn
        case 0x91C30000u: // doe -> Latn
        case 0x95C30000u: // dof -> Latn
        case 0x9DC30000u: // doh -> Latn
        case 0xA9C30000u: // dok -> Latn
        case 0xADC30000u: // dol -> Latn
        case 0xB5C30000u: // don -> Latn
        case 0xB9C30000u: // doo -> Latn
        case 0xBDC30000u: // dop -> Latn
        case 0xC5C30000u: // dor -> Latn
        case 0xC9C30000u: // dos -> Latn
        case 0xCDC30000u: // dot -> Latn
        case 0xD5C30000u: // dov -> Latn
        case 0xD9C30000u: // dow -> Latn
        case 0xE1C30000u: // doy -> Latn
        case 0xBDE30000u: // dpp -> Latn
        case 0x8A230000u: // drc -> Latn
        case 0x9A230000u: // drg -> Latn
        case 0xA2230000u: // dri -> Latn
        case 0xAE230000u: // drl -> Latn
        case 0xB6230000u: // drn -> Latn
        case 0xBA230000u: // dro -> Latn
        case 0xCE230000u: // drt -> Latn
        case 0xD2230000u: // dru -> Latn
        case 0x86430000u: // dsb -> Latn
        case 0x9E430000u: // dsh -> Latn
        case 0xA2430000u: // dsi -> Latn
        case 0xAA430000u: // dsk -> Latn
        case 0xB6430000u: // dsn -> Latn
        case 0xC2430000u: // dsq -> Latn
        case 0x82630000u: // dta -> Latn
        case 0x86630000u: // dtb -> Latn
        case 0x8E630000u: // dtd -> Latn
        case 0x9E630000u: // dth -> Latn
        case 0xA2630000u: // dti -> Latn
        case 0xAA630000u: // dtk -> Latn
        case 0xB2630000u: // dtm -> Latn
        case 0xBA630000u: // dto -> Latn
        case 0xBE630000u: // dtp -> Latn
        case 0xC6630000u: // dtr -> Latn
        case 0xCA630000u: // dts -> Latn
        case 0xCE630000u: // dtt -> Latn
        case 0xD2630000u: // dtu -> Latn
        case 0x82830000u: // dua -> Latn
        case 0x8A830000u: // duc -> Latn
        case 0x92830000u: // due -> Latn
        case 0x96830000u: // duf -> Latn
        case 0x9A830000u: // dug -> Latn
        case 0xA2830000u: // dui -> Latn
        case 0xAA830000u: // duk -> Latn
        case 0xAE830000u: // dul -> Latn
        case 0xB2830000u: // dum -> Latn
        case 0xB6830000u: // dun -> Latn
        case 0xBA830000u: // duo -> Latn
        case 0xBE830000u: // dup -> Latn
        case 0xC2830000u: // duq -> Latn
        case 0xC6830000u: // dur -> Latn
        case 0xD2830000u: // duu -> Latn
        case 0xD6830000u: // duv -> Latn
        case 0xDA830000u: // duw -> Latn
        case 0xDE830000u: // dux -> Latn
        case 0xE2830000u: // duy -> Latn
        case 0xE6830000u: // duz -> Latn
        case 0x82A30000u: // dva -> Latn
        case 0x82C30000u: // dwa -> Latn
        case 0xC6C30000u: // dwr -> Latn
        case 0xCAC30000u: // dws -> Latn
        case 0xD2C30000u: // dwu -> Latn
        case 0xDAC30000u: // dww -> Latn
        case 0xE2C30000u: // dwy -> Latn
        case 0x83030000u: // dya -> Latn
        case 0x87030000u: // dyb -> Latn
        case 0x8F030000u: // dyd -> Latn
        case 0x9B030000u: // dyg -> Latn
        case 0xA3030000u: // dyi -> Latn
        case 0xB3030000u: // dym -> Latn
        case 0xB7030000u: // dyn -> Latn
        case 0xBB030000u: // dyo -> Latn
        case 0xC7030000u: // dyr -> Latn
        case 0xD3030000u: // dyu -> Latn
        case 0xE3030000u: // dyy -> Latn
        case 0x83230000u: // dza -> Latn
        case 0x8F230000u: // dzd -> Latn
        case 0x93230000u: // dze -> Latn
        case 0x9B230000u: // dzg -> Latn
        case 0xB7230000u: // dzn -> Latn
        case 0x80040000u: // eaa -> Latn
        case 0x88240000u: // ebc -> Latn
        case 0x98240000u: // ebg -> Latn
        case 0xA8240000u: // ebk -> Latn
        case 0xB8240000u: // ebo -> Latn
        case 0xC4240000u: // ebr -> Latn
        case 0xD0240000u: // ebu -> Latn
        case 0x65650000u: // ee -> Latn
        case 0x80A40000u: // efa -> Latn
        case 0x90A40000u: // efe -> Latn
        case 0xA0A40000u: // efi -> Latn
        case 0x80C40000u: // ega -> Latn
        case 0xACC40000u: // egl -> Latn
        case 0xB0C40000u: // egm -> Latn
        case 0xB8C40000u: // ego -> Latn
        case 0xD0E40000u: // ehu -> Latn
        case 0xBD040000u: // eip -> Latn
        case 0xCD040000u: // eit -> Latn
        case 0xD5040000u: // eiv -> Latn
        case 0x81240000u: // eja -> Latn
        case 0x81440000u: // eka -> Latn
        case 0x91440000u: // eke -> Latn
        case 0x99440000u: // ekg -> Latn
        case 0xA1440000u: // eki -> Latn
        case 0xAD440000u: // ekl -> Latn
        case 0xB1440000u: // ekm -> Latn
        case 0xB9440000u: // eko -> Latn
        case 0xBD440000u: // ekp -> Latn
        case 0xC5440000u: // ekr -> Latn
        case 0x91640000u: // ele -> Latn
        case 0xA9640000u: // elk -> Latn
        case 0xB1640000u: // elm -> Latn
        case 0xB9640000u: // elo -> Latn
        case 0xD1640000u: // elu -> Latn
        case 0x81840000u: // ema -> Latn
        case 0x85840000u: // emb -> Latn
        case 0x91840000u: // eme -> Latn
        case 0xA1840000u: // emi -> Latn
        case 0xB1840000u: // emm -> Latn
        case 0xB5840000u: // emn -> Latn
        case 0xBD840000u: // emp -> Latn
        case 0xC9840000u: // ems -> Latn
        case 0xD9840000u: // emw -> Latn
        case 0xDD840000u: // emx -> Latn
        case 0xE5840000u: // emz -> Latn
        case 0x656E0000u: // en -> Latn
        case 0x81A40000u: // ena -> Latn
        case 0x85A40000u: // enb -> Latn
        case 0x89A40000u: // enc -> Latn
        case 0x8DA40000u: // end -> Latn
        case 0xADA40000u: // enl -> Latn
        case 0xB1A40000u: // enm -> Latn
        case 0xB5A40000u: // enn -> Latn
        case 0xB9A40000u: // eno -> Latn
        case 0xC1A40000u: // enq -> Latn
        case 0xC5A40000u: // enr -> Latn
        case 0xD5A40000u: // env -> Latn
        case 0xD9A40000u: // enw -> Latn
        case 0xDDA40000u: // enx -> Latn
        case 0x656F0000u: // eo -> Latn
        case 0xCDC40000u: // eot -> Latn
        case 0xA1E40000u: // epi -> Latn
        case 0x9A240000u: // erg -> Latn
        case 0x9E240000u: // erh -> Latn
        case 0xA2240000u: // eri -> Latn
        case 0xAA240000u: // erk -> Latn
        case 0xC6240000u: // err -> Latn
        case 0xCA240000u: // ers -> Latn
        case 0xCE240000u: // ert -> Latn
        case 0xDA240000u: // erw -> Latn
        case 0x65730000u: // es -> Latn
        case 0x92440000u: // ese -> Latn
        case 0xA2440000u: // esi -> Latn
        case 0xB2440000u: // esm -> Latn
        case 0xCA440000u: // ess -> Latn
        case 0xD2440000u: // esu -> Latn
        case 0xE2440000u: // esy -> Latn
        case 0x65740000u: // et -> Latn
        case 0x86640000u: // etb -> Latn
        case 0xB6640000u: // etn -> Latn
        case 0xBA640000u: // eto -> Latn
        case 0xC6640000u: // etr -> Latn
        case 0xCA640000u: // ets -> Latn
        case 0xD2640000u: // etu -> Latn
        case 0xDE640000u: // etx -> Latn
        case 0xE6640000u: // etz -> Latn
        case 0x65750000u: // eu -> Latn
        case 0x8E840000u: // eud -> Latn
        case 0x9EA40000u: // evh -> Latn
        case 0xBAC40000u: // ewo -> Latn
        case 0xCEE40000u: // ext -> Latn
        case 0x83040000u: // eya -> Latn
        case 0xBB040000u: // eyo -> Latn
        case 0x83240000u: // eza -> Latn
        case 0x93240000u: // eze -> Latn
        case 0x80050000u: // faa -> Latn
        case 0x84050000u: // fab -> Latn
        case 0x8C050000u: // fad -> Latn
        case 0x94050000u: // faf -> Latn
        case 0x98050000u: // fag -> Latn
        case 0x9C050000u: // fah -> Latn
        case 0xA0050000u: // fai -> Latn
        case 0xA4050000u: // faj -> Latn
        case 0xA8050000u: // fak -> Latn
        case 0xAC050000u: // fal -> Latn
        case 0xB0050000u: // fam -> Latn
        case 0xB4050000u: // fan -> Latn
        case 0xBC050000u: // fap -> Latn
        case 0xC4050000u: // far -> Latn
        case 0xD0050000u: // fau -> Latn
        case 0xDC050000u: // fax -> Latn
        case 0xAC250000u: // fbl -> Latn
        case 0xC4850000u: // fer -> Latn
        case 0x66660000u: // ff -> Latn
        case 0xA0A50000u: // ffi -> Latn
        case 0xB0A50000u: // ffm -> Latn
        case 0xC4C50000u: // fgr -> Latn
        case 0x66690000u: // fi -> Latn
        case 0x91050000u: // fie -> Latn
        case 0x95050000u: // fif -> Latn
        case 0xAD050000u: // fil -> Latn
        case 0xBD050000u: // fip -> Latn
        case 0xC5050000u: // fir -> Latn
        case 0xCD050000u: // fit -> Latn
        case 0xD9050000u: // fiw -> Latn
        case 0x666A0000u: // fj -> Latn
        case 0xA9450000u: // fkk -> Latn
        case 0xD5450000u: // fkv -> Latn
        case 0x81650000u: // fla -> Latn
        case 0x9D650000u: // flh -> Latn
        case 0xA1650000u: // fli -> Latn
        case 0xAD650000u: // fll -> Latn
        case 0xB5650000u: // fln -> Latn
        case 0xC5650000u: // flr -> Latn
        case 0xE1650000u: // fly -> Latn
        case 0xBD850000u: // fmp -> Latn
        case 0x85A50000u: // fnb -> Latn
        case 0x99A50000u: // fng -> Latn
        case 0xA1A50000u: // fni -> Latn
        case 0x666F0000u: // fo -> Latn
        case 0x8DC50000u: // fod -> Latn
        case 0xA1C50000u: // foi -> Latn
        case 0xB1C50000u: // fom -> Latn
        case 0xB5C50000u: // fon -> Latn
        case 0xC5C50000u: // for -> Latn
        case 0xC9C50000u: // fos -> Latn
        case 0x91E50000u: // fpe -> Latn
        case 0xCA050000u: // fqs -> Latn
        case 0x66720000u: // fr -> Latn
        case 0x8A250000u: // frc -> Latn
        case 0x8E250000u: // frd -> Latn
        case 0xAA250000u: // frk -> Latn
        case 0xB2250000u: // frm -> Latn
        case 0xBA250000u: // fro -> Latn
        case 0xBE250000u: // frp -> Latn
        case 0xC2250000u: // frq -> Latn
        case 0xC6250000u: // frr -> Latn
        case 0xCA250000u: // frs -> Latn
        case 0xCE250000u: // frt -> Latn
        case 0x8E850000u: // fud -> Latn
        case 0x92850000u: // fue -> Latn
        case 0x96850000u: // fuf -> Latn
        case 0x9E850000u: // fuh -> Latn
        case 0xA2850000u: // fui -> Latn
        case 0xB2850000u: // fum -> Latn
        case 0xB6850000u: // fun -> Latn
        case 0xC2850000u: // fuq -> Latn
        case 0xC6850000u: // fur -> Latn
        case 0xCE850000u: // fut -> Latn
        case 0xD2850000u: // fuu -> Latn
        case 0xD6850000u: // fuv -> Latn
        case 0xE2850000u: // fuy -> Latn
        case 0xC6A50000u: // fvr -> Latn
        case 0x82C50000u: // fwa -> Latn
        case 0x92C50000u: // fwe -> Latn
        case 0x66790000u: // fy -> Latn
        case 0x67610000u: // ga -> Latn
        case 0x80060000u: // gaa -> Latn
        case 0x84060000u: // gab -> Latn
        case 0x88060000u: // gac -> Latn
        case 0x8C060000u: // gad -> Latn
        case 0x90060000u: // gae -> Latn
        case 0x94060000u: // gaf -> Latn
        case 0x98060000u: // gag -> Latn
        case 0x9C060000u: // gah -> Latn
        case 0xA0060000u: // gai -> Latn
        case 0xA4060000u: // gaj -> Latn
        case 0xA8060000u: // gak -> Latn
        case 0xAC060000u: // gal -> Latn
        case 0xB0060000u: // gam -> Latn
        case 0xB8060000u: // gao -> Latn
        case 0xBC060000u: // gap -> Latn
        case 0xC4060000u: // gar -> Latn
        case 0xCC060000u: // gat -> Latn
        case 0xD8060000u: // gaw -> Latn
        case 0xDC060000u: // gax -> Latn
        case 0xE0060000u: // gay -> Latn
        case 0x80260000u: // gba -> Latn
        case 0x84260000u: // gbb -> Latn
        case 0x8C260000u: // gbd -> Latn
        case 0x90260000u: // gbe -> Latn
        case 0x94260000u: // gbf -> Latn
        case 0x98260000u: // gbg -> Latn
        case 0x9C260000u: // gbh -> Latn
        case 0xA0260000u: // gbi -> Latn
        case 0xB4260000u: // gbn -> Latn
        case 0xBC260000u: // gbp -> Latn
        case 0xC0260000u: // gbq -> Latn
        case 0xC4260000u: // gbr -> Latn
        case 0xC8260000u: // gbs -> Latn
        case 0xD0260000u: // gbu -> Latn
        case 0xD4260000u: // gbv -> Latn
        case 0xD8260000u: // gbw -> Latn
        case 0xDC260000u: // gbx -> Latn
        case 0xE0260000u: // gby -> Latn
        case 0x88460000u: // gcc -> Latn
        case 0x8C460000u: // gcd -> Latn
        case 0x94460000u: // gcf -> Latn
        case 0xAC460000u: // gcl -> Latn
        case 0xB4460000u: // gcn -> Latn
        case 0xC4460000u: // gcr -> Latn
        case 0xCC460000u: // gct -> Latn
        case 0x67640000u: // gd -> Latn
        case 0x88660000u: // gdc -> Latn
        case 0x8C660000u: // gdd -> Latn
        case 0x90660000u: // gde -> Latn
        case 0x94660000u: // gdf -> Latn
        case 0x98660000u: // gdg -> Latn
        case 0x9C660000u: // gdh -> Latn
        case 0xA0660000u: // gdi -> Latn
        case 0xA4660000u: // gdj -> Latn
        case 0xA8660000u: // gdk -> Latn
        case 0xAC660000u: // gdl -> Latn
        case 0xB0660000u: // gdm -> Latn
        case 0xB4660000u: // gdn -> Latn
        case 0xC0660000u: // gdq -> Latn
        case 0xC4660000u: // gdr -> Latn
        case 0xCC660000u: // gdt -> Latn
        case 0xD0660000u: // gdu -> Latn
        case 0x80860000u: // gea -> Latn
        case 0x84860000u: // geb -> Latn
        case 0x88860000u: // gec -> Latn
        case 0x8C860000u: // ged -> Latn
        case 0x94860000u: // gef -> Latn
        case 0x98860000u: // geg -> Latn
        case 0x9C860000u: // geh -> Latn
        case 0xA0860000u: // gei -> Latn
        case 0xA4860000u: // gej -> Latn
        case 0xA8860000u: // gek -> Latn
        case 0xAC860000u: // gel -> Latn
        case 0xC0860000u: // geq -> Latn
        case 0xC8860000u: // ges -> Latn
        case 0xD4860000u: // gev -> Latn
        case 0xD8860000u: // gew -> Latn
        case 0xDC860000u: // gex -> Latn
        case 0xE0860000u: // gey -> Latn
        case 0xA8A60000u: // gfk -> Latn
        case 0x80C60000u: // gga -> Latn
        case 0x84C60000u: // ggb -> Latn
        case 0x8CC60000u: // ggd -> Latn
        case 0x90C60000u: // gge -> Latn
        case 0xA8C60000u: // ggk -> Latn
        case 0xACC60000u: // ggl -> Latn
        case 0xCCC60000u: // ggt -> Latn
        case 0xD0C60000u: // ggu -> Latn
        case 0xD8C60000u: // ggw -> Latn
        case 0x88E60000u: // ghc -> Latn
        case 0xA8E60000u: // ghk -> Latn
        case 0xB4E60000u: // ghn -> Latn
        case 0xC8E60000u: // ghs -> Latn
        case 0x81060000u: // gia -> Latn
        case 0x85060000u: // gib -> Latn
        case 0x89060000u: // gic -> Latn
        case 0x8D060000u: // gid -> Latn
        case 0x91060000u: // gie -> Latn
        case 0x9D060000u: // gih -> Latn
        case 0xAD060000u: // gil -> Latn
        case 0xB1060000u: // gim -> Latn
        case 0xBD060000u: // gip -> Latn
        case 0xC1060000u: // giq -> Latn
        case 0xC5060000u: // gir -> Latn
        case 0xC9060000u: // gis -> Latn
        case 0xCD060000u: // git -> Latn
        case 0xDD060000u: // gix -> Latn
        case 0xE1060000u: // giy -> Latn
        case 0xE5060000u: // giz -> Latn
        case 0xB1260000u: // gjm -> Latn
        case 0xB5260000u: // gjn -> Latn
        case 0xC5260000u: // gjr -> Latn
        case 0x81460000u: // gka -> Latn
        case 0x8D460000u: // gkd -> Latn
        case 0x91460000u: // gke -> Latn
        case 0xB5460000u: // gkn -> Latn
        case 0xB9460000u: // gko -> Latn
        case 0xBD460000u: // gkp -> Latn
        case 0xD1460000u: // gku -> Latn
        case 0x676C0000u: // gl -> Latn
        case 0x85660000u: // glb -> Latn
        case 0x89660000u: // glc -> Latn
        case 0xA5660000u: // glj -> Latn
        case 0xAD660000u: // gll -> Latn
        case 0xB9660000u: // glo -> Latn
        case 0xC5660000u: // glr -> Latn
        case 0xD1660000u: // glu -> Latn
        case 0xD9660000u: // glw -> Latn
        case 0x81860000u: // gma -> Latn
        case 0x85860000u: // gmb -> Latn
        case 0x8D860000u: // gmd -> Latn
        case 0x99860000u: // gmg -> Latn
        case 0x9D860000u: // gmh -> Latn
        case 0xB1860000u: // gmm -> Latn
        case 0xB5860000u: // gmn -> Latn
        case 0xC5860000u: // gmr -> Latn
        case 0xD1860000u: // gmu -> Latn
        case 0xDD860000u: // gmx -> Latn
        case 0xE5860000u: // gmz -> Latn
        case 0x676E0000u: // gn -> Latn
        case 0x81A60000u: // gna -> Latn
        case 0x85A60000u: // gnb -> Latn
        case 0x89A60000u: // gnc -> Latn
        case 0x8DA60000u: // gnd -> Latn
        case 0x91A60000u: // gne -> Latn
        case 0x99A60000u: // gng -> Latn
        case 0x9DA60000u: // gnh -> Latn
        case 0xA1A60000u: // gni -> Latn
        case 0xA5A60000u: // gnj -> Latn
        case 0xA9A60000u: // gnk -> Latn
        case 0xADA60000u: // gnl -> Latn
        case 0xB1A60000u: // gnm -> Latn
        case 0xB5A60000u: // gnn -> Latn
        case 0xC1A60000u: // gnq -> Latn
        case 0xC5A60000u: // gnr -> Latn
        case 0xCDA60000u: // gnt -> Latn
        case 0xD1A60000u: // gnu -> Latn
        case 0xD9A60000u: // gnw -> Latn
        case 0xE5A60000u: // gnz -> Latn
        case 0x81C60000u: // goa -> Latn
        case 0x85C60000u: // gob -> Latn
        case 0x89C60000u: // goc -> Latn
        case 0x8DC60000u: // god -> Latn
        case 0x99C60000u: // gog -> Latn
        case 0x9DC60000u: // goh -> Latn
        case 0xA1C60000u: // goi -> Latn
        case 0xADC60000u: // gol -> Latn
        case 0xB9C60000u: // goo -> Latn
        case 0xBDC60000u: // gop -> Latn
        case 0xC1C60000u: // goq -> Latn
        case 0xC5C60000u: // gor -> Latn
        case 0xC9C60000u: // gos -> Latn
        case 0xD1C60000u: // gou -> Latn
        case 0xD5C60000u: // gov -> Latn
        case 0xD9C60000u: // gow -> Latn
        case 0xDDC60000u: // gox -> Latn
        case 0xE1C60000u: // goy -> Latn
        case 0x81E60000u: // gpa -> Latn
        case 0x91E60000u: // gpe -> Latn
        case 0xB5E60000u: // gpn -> Latn
        case 0x82060000u: // gqa -> Latn
        case 0xB6060000u: // gqn -> Latn
        case 0xC6060000u: // gqr -> Latn
        case 0x86260000u: // grb -> Latn
        case 0x8E260000u: // grd -> Latn
        case 0x9A260000u: // grg -> Latn
        case 0x9E260000u: // grh -> Latn
        case 0xA2260000u: // gri -> Latn
        case 0xA6260000u: // grj -> Latn
        case 0xB2260000u: // grm -> Latn
        case 0xC2260000u: // grq -> Latn
        case 0xCA260000u: // grs -> Latn
        case 0xD6260000u: // grv -> Latn
        case 0xDA260000u: // grw -> Latn
        case 0xDE260000u: // grx -> Latn
        case 0xE2260000u: // gry -> Latn
        case 0xE6260000u: // grz -> Latn
        case 0xAE460000u: // gsl -> Latn
        case 0xB6460000u: // gsn -> Latn
        case 0xBA460000u: // gso -> Latn
        case 0xBE460000u: // gsp -> Latn
        case 0xDA460000u: // gsw -> Latn
        case 0x82660000u: // gta -> Latn
        case 0xD2660000u: // gtu -> Latn
        case 0x82860000u: // gua -> Latn
        case 0x86860000u: // gub -> Latn
        case 0x8A860000u: // guc -> Latn
        case 0x8E860000u: // gud -> Latn
        case 0x92860000u: // gue -> Latn
        case 0x96860000u: // guf -> Latn
        case 0x9E860000u: // guh -> Latn
        case 0xA2860000u: // gui -> Latn
        case 0xAA860000u: // guk -> Latn
        case 0xAE860000u: // gul -> Latn
        case 0xB2860000u: // gum -> Latn
        case 0xB6860000u: // gun -> Latn
        case 0xBA860000u: // guo -> Latn
        case 0xBE860000u: // gup -> Latn
        case 0xC2860000u: // guq -> Latn
        case 0xC6860000u: // gur -> Latn
        case 0xCE860000u: // gut -> Latn
        case 0xD2860000u: // guu -> Latn
        case 0xDA860000u: // guw -> Latn
        case 0xDE860000u: // gux -> Latn
        case 0xE6860000u: // guz -> Latn
        case 0x67760000u: // gv -> Latn
        case 0x82A60000u: // gva -> Latn
        case 0x8AA60000u: // gvc -> Latn
        case 0x92A60000u: // gve -> Latn
        case 0x96A60000u: // gvf -> Latn
        case 0xA6A60000u: // gvj -> Latn
        case 0xAEA60000u: // gvl -> Latn
        case 0xB2A60000u: // gvm -> Latn
        case 0xB6A60000u: // gvn -> Latn
        case 0xBAA60000u: // gvo -> Latn
        case 0xBEA60000u: // gvp -> Latn
        case 0xCAA60000u: // gvs -> Latn
        case 0xE2A60000u: // gvy -> Latn
        case 0x82C60000u: // gwa -> Latn
        case 0x86C60000u: // gwb -> Latn
        case 0x8EC60000u: // gwd -> Latn
        case 0x92C60000u: // gwe -> Latn
        case 0x9AC60000u: // gwg -> Latn
        case 0xA2C60000u: // gwi -> Latn
        case 0xA6C60000u: // gwj -> Latn
        case 0xB2C60000u: // gwm -> Latn
        case 0xB6C60000u: // gwn -> Latn
        case 0xC6C60000u: // gwr -> Latn
        case 0xD2C60000u: // gwu -> Latn
        case 0xDAC60000u: // gww -> Latn
        case 0xDEC60000u: // gwx -> Latn
        case 0xDEE60000u: // gxx -> Latn
        case 0x87060000u: // gyb -> Latn
        case 0x8F060000u: // gyd -> Latn
        case 0x93060000u: // gye -> Latn
        case 0x97060000u: // gyf -> Latn
        case 0x9B060000u: // gyg -> Latn
        case 0xA3060000u: // gyi -> Latn
        case 0xAF060000u: // gyl -> Latn
        case 0xB3060000u: // gym -> Latn
        case 0xB7060000u: // gyn -> Latn
        case 0xC7060000u: // gyr -> Latn
        case 0xE3060000u: // gyy -> Latn
        case 0xE7060000u: // gyz -> Latn
        case 0x83260000u: // gza -> Latn
        case 0xB7260000u: // gzn -> Latn
        case 0x68610000u: // ha -> Latn
        case 0x80070000u: // haa -> Latn
        case 0x8C070000u: // had -> Latn
        case 0x90070000u: // hae -> Latn
        case 0x98070000u: // hag -> Latn
        case 0x9C070000u: // hah -> Latn
        case 0xA0070000u: // hai -> Latn
        case 0xA4070000u: // haj -> Latn
        case 0xAC070000u: // hal -> Latn
        case 0xB0070000u: // ham -> Latn
        case 0xB4070000u: // han -> Latn
        case 0xB8070000u: // hao -> Latn
        case 0xBC070000u: // hap -> Latn
        case 0xC0070000u: // haq -> Latn
        case 0xC8070000u: // has -> Latn
        case 0xD4070000u: // hav -> Latn
        case 0xD8070000u: // haw -> Latn
        case 0xDC070000u: // hax -> Latn
        case 0xE0070000u: // hay -> Latn
        case 0x80270000u: // hba -> Latn
        case 0x84270000u: // hbb -> Latn
        case 0xB4270000u: // hbn -> Latn
        case 0xD0270000u: // hbu -> Latn
        case 0x9C470000u: // hch -> Latn
        case 0x8C870000u: // hed -> Latn
        case 0x98870000u: // heg -> Latn
        case 0x9C870000u: // heh -> Latn
        case 0xA0870000u: // hei -> Latn
        case 0xB0870000u: // hem -> Latn
        case 0xB0C70000u: // hgm -> Latn
        case 0xD8C70000u: // hgw -> Latn
        case 0xA0E70000u: // hhi -> Latn
        case 0xC4E70000u: // hhr -> Latn
        case 0xE0E70000u: // hhy -> Latn
        case 0x81070000u: // hia -> Latn
        case 0x85070000u: // hib -> Latn
        case 0x8D070000u: // hid -> Latn
        case 0x99070000u: // hig -> Latn
        case 0x9D070000u: // hih -> Latn
        case 0xA5070000u: // hij -> Latn
        case 0xA9070000u: // hik -> Latn
        case 0xAD070000u: // hil -> Latn
        case 0xB9070000u: // hio -> Latn
        case 0xC5070000u: // hir -> Latn
        case 0xD9070000u: // hiw -> Latn
        case 0xDD070000u: // hix -> Latn
        case 0xA1270000u: // hji -> Latn
        case 0x81470000u: // hka -> Latn
        case 0x91470000u: // hke -> Latn
        case 0xA9470000u: // hkk -> Latn
        case 0x81670000u: // hla -> Latn
        case 0x8D670000u: // hld -> Latn
        case 0xCD670000u: // hlt -> Latn
        case 0x81870000u: // hma -> Latn
        case 0x85870000u: // hmb -> Latn
        case 0x95870000u: // hmf -> Latn
        case 0xB1870000u: // hmm -> Latn
        case 0xB5870000u: // hmn -> Latn
        case 0xBD870000u: // hmp -> Latn
        case 0xC5870000u: // hmr -> Latn
        case 0xC9870000u: // hms -> Latn
        case 0xCD870000u: // hmt -> Latn
        case 0xD1870000u: // hmu -> Latn
        case 0xD5870000u: // hmv -> Latn
        case 0xD9870000u: // hmw -> Latn
        case 0xE1870000u: // hmy -> Latn
        case 0xE5870000u: // hmz -> Latn
        case 0x81A70000u: // hna -> Latn
        case 0x99A70000u: // hng -> Latn
        case 0x9DA70000u: // hnh -> Latn
        case 0xA1A70000u: // hni -> Latn
        case 0xB5A70000u: // hnn -> Latn
        case 0xC9A70000u: // hns -> Latn
        case 0x686F0000u: // ho -> Latn
        case 0x81C70000u: // hoa -> Latn
        case 0x85C70000u: // hob -> Latn
        case 0x8DC70000u: // hod -> Latn
        case 0x91C70000u: // hoe -> Latn
        case 0xA1C70000u: // hoi -> Latn
        case 0xADC70000u: // hol -> Latn
        case 0xB1C70000u: // hom -> Latn
        case 0xB9C70000u: // hoo -> Latn
        case 0xBDC70000u: // hop -> Latn
        case 0xC5C70000u: // hor -> Latn
        case 0xCDC70000u: // hot -> Latn
        case 0xD5C70000u: // hov -> Latn
        case 0x68720000u: // hr -> Latn
        case 0x82270000u: // hra -> Latn
        case 0x8A270000u: // hrc -> Latn
        case 0x92270000u: // hre -> Latn
        case 0xAA270000u: // hrk -> Latn
        case 0xB2270000u: // hrm -> Latn
        case 0xBA270000u: // hro -> Latn
        case 0xBE270000u: // hrp -> Latn
        case 0xD2270000u: // hru -> Latn
        case 0xDA270000u: // hrw -> Latn
        case 0xDE270000u: // hrx -> Latn
        case 0x86470000u: // hsb -> Latn
        case 0x68740000u: // ht -> Latn
        case 0xA2670000u: // hti -> Latn
        case 0xBA670000u: // hto -> Latn
        case 0xCA670000u: // hts -> Latn
        case 0xD2670000u: // htu -> Latn
        case 0x68750000u: // hu -> Latn
        case 0x86870000u: // hub -> Latn
        case 0x8A870000u: // huc -> Latn
        case 0x8E870000u: // hud -> Latn
        case 0x92870000u: // hue -> Latn
        case 0x96870000u: // huf -> Latn
        case 0x9A870000u: // hug -> Latn
        case 0x9E870000u: // huh -> Latn
        case 0xA2870000u: // hui -> Latn
        case 0xAA870000u: // huk -> Latn
        case 0xAE870000u: // hul -> Latn
        case 0xB2870000u: // hum -> Latn
        case 0xBE870000u: // hup -> Latn
        case 0xC6870000u: // hur -> Latn
        case 0xCA870000u: // hus -> Latn
        case 0xD2870000u: // huu -> Latn
        case 0xD6870000u: // huv -> Latn
        case 0xDA870000u: // huw -> Latn
        case 0xDE870000u: // hux -> Latn
        case 0x8AA70000u: // hvc -> Latn
        case 0x92A70000u: // hve -> Latn
        case 0xAAA70000u: // hvk -> Latn
        case 0xB6A70000u: // hvn -> Latn
        case 0xD6A70000u: // hvv -> Latn
        case 0x82C70000u: // hwa -> Latn
        case 0x8AC70000u: // hwc -> Latn
        case 0xBAC70000u: // hwo -> Latn
        case 0x83070000u: // hya -> Latn
        case 0x687A0000u: // hz -> Latn
        case 0x69610000u: // ia -> Latn
        case 0xA0080000u: // iai -> Latn
        case 0xB4080000u: // ian -> Latn
        case 0xC4080000u: // iar -> Latn
        case 0x80280000u: // iba -> Latn
        case 0x84280000u: // ibb -> Latn
        case 0x8C280000u: // ibd -> Latn
        case 0x90280000u: // ibe -> Latn
        case 0x98280000u: // ibg -> Latn
        case 0x9C280000u: // ibh -> Latn
        case 0xAC280000u: // ibl -> Latn
        case 0xB0280000u: // ibm -> Latn
        case 0xB4280000u: // ibn -> Latn
        case 0xC4280000u: // ibr -> Latn
        case 0xD0280000u: // ibu -> Latn
        case 0xE0280000u: // iby -> Latn
        case 0x80480000u: // ica -> Latn
        case 0x9C480000u: // ich -> Latn
        case 0xC4480000u: // icr -> Latn
        case 0x69640000u: // id -> Latn
        case 0x80680000u: // ida -> Latn
        case 0x84680000u: // idb -> Latn
        case 0x88680000u: // idc -> Latn
        case 0x8C680000u: // idd -> Latn
        case 0x90680000u: // ide -> Latn
        case 0xA0680000u: // idi -> Latn
        case 0xC4680000u: // idr -> Latn
        case 0xC8680000u: // ids -> Latn
        case 0xCC680000u: // idt -> Latn
        case 0xD0680000u: // idu -> Latn
        case 0x69650000u: // ie -> Latn
        case 0x80A80000u: // ifa -> Latn
        case 0x84A80000u: // ifb -> Latn
        case 0x90A80000u: // ife -> Latn
        case 0x94A80000u: // iff -> Latn
        case 0xA8A80000u: // ifk -> Latn
        case 0xB0A80000u: // ifm -> Latn
        case 0xD0A80000u: // ifu -> Latn
        case 0xE0A80000u: // ify -> Latn
        case 0x69670000u: // ig -> Latn
        case 0x84C80000u: // igb -> Latn
        case 0x90C80000u: // ige -> Latn
        case 0x98C80000u: // igg -> Latn
        case 0xACC80000u: // igl -> Latn
        case 0xB0C80000u: // igm -> Latn
        case 0xB4C80000u: // ign -> Latn
        case 0xB8C80000u: // igo -> Latn
        case 0xC8C80000u: // igs -> Latn
        case 0xD8C80000u: // igw -> Latn
        case 0x84E80000u: // ihb -> Latn
        case 0xA0E80000u: // ihi -> Latn
        case 0xBCE80000u: // ihp -> Latn
        case 0xD8E80000u: // ihw -> Latn
        case 0xB5080000u: // iin -> Latn
        case 0x89280000u: // ijc -> Latn
        case 0x91280000u: // ije -> Latn
        case 0xA5280000u: // ijj -> Latn
        case 0xB5280000u: // ijn -> Latn
        case 0xC9280000u: // ijs -> Latn
        case 0x696B0000u: // ik -> Latn
        case 0x9D480000u: // ikh -> Latn
        case 0xA1480000u: // iki -> Latn
        case 0xA9480000u: // ikk -> Latn
        case 0xAD480000u: // ikl -> Latn
        case 0xB9480000u: // iko -> Latn
        case 0xBD480000u: // ikp -> Latn
        case 0xC5480000u: // ikr -> Latn
        case 0xCD480000u: // ikt -> Latn
        case 0xD5480000u: // ikv -> Latn
        case 0xD9480000u: // ikw -> Latn
        case 0xDD480000u: // ikx -> Latn
        case 0xE5480000u: // ikz -> Latn
        case 0x81680000u: // ila -> Latn
        case 0x85680000u: // ilb -> Latn
        case 0x99680000u: // ilg -> Latn
        case 0xA1680000u: // ili -> Latn
        case 0xA9680000u: // ilk -> Latn
        case 0xB1680000u: // ilm -> Latn
        case 0xB9680000u: // ilo -> Latn
        case 0xBD680000u: // ilp -> Latn
        case 0xD1680000u: // ilu -> Latn
        case 0xD5680000u: // ilv -> Latn
        case 0xA1880000u: // imi -> Latn
        case 0xAD880000u: // iml -> Latn
        case 0xB5880000u: // imn -> Latn
        case 0xB9880000u: // imo -> Latn
        case 0xC5880000u: // imr -> Latn
        case 0xC9880000u: // ims -> Latn
        case 0xCD880000u: // imt -> Latn
        case 0x696E0000u: // in -> Latn
        case 0x85A80000u: // inb -> Latn
        case 0x99A80000u: // ing -> Latn
        case 0xA5A80000u: // inj -> Latn
        case 0xB5A80000u: // inn -> Latn
        case 0xB9A80000u: // ino -> Latn
        case 0xBDA80000u: // inp -> Latn
        case 0x696F0000u: // io -> Latn
        case 0xD1C80000u: // iou -> Latn
        case 0xD9C80000u: // iow -> Latn
        case 0xA1E80000u: // ipi -> Latn
        case 0xB9E80000u: // ipo -> Latn
        case 0xD2080000u: // iqu -> Latn
        case 0xDA080000u: // iqw -> Latn
        case 0x92280000u: // ire -> Latn
        case 0x9E280000u: // irh -> Latn
        case 0xA2280000u: // iri -> Latn
        case 0xAA280000u: // irk -> Latn
        case 0xB6280000u: // irn -> Latn
        case 0xDE280000u: // irx -> Latn
        case 0xE2280000u: // iry -> Latn
        case 0x69730000u: // is -> Latn
        case 0x82480000u: // isa -> Latn
        case 0x8A480000u: // isc -> Latn
        case 0x8E480000u: // isd -> Latn
        case 0x9E480000u: // ish -> Latn
        case 0xA2480000u: // isi -> Latn
        case 0xB2480000u: // ism -> Latn
        case 0xB6480000u: // isn -> Latn
        case 0xBA480000u: // iso -> Latn
        case 0xCE480000u: // ist -> Latn
        case 0xD2480000u: // isu -> Latn
        case 0x69740000u: // it -> Latn
        case 0x86680000u: // itb -> Latn
        case 0x8E680000u: // itd -> Latn
        case 0x92680000u: // ite -> Latn
        case 0xA2680000u: // iti -> Latn
        case 0xB2680000u: // itm -> Latn
        case 0xBA680000u: // ito -> Latn
        case 0xC6680000u: // itr -> Latn
        case 0xCA680000u: // its -> Latn
        case 0xCE680000u: // itt -> Latn
        case 0xD6680000u: // itv -> Latn
        case 0xDA680000u: // itw -> Latn
        case 0xDE680000u: // itx -> Latn
        case 0xE2680000u: // ity -> Latn
        case 0xE6680000u: // itz -> Latn
        case 0xB2880000u: // ium -> Latn
        case 0x86A80000u: // ivb -> Latn
        case 0xD6A80000u: // ivv -> Latn
        case 0xAAC80000u: // iwk -> Latn
        case 0xB2C80000u: // iwm -> Latn
        case 0xBAC80000u: // iwo -> Latn
        case 0xCAC80000u: // iws -> Latn
        case 0x8AE80000u: // ixc -> Latn
        case 0xAEE80000u: // ixl -> Latn
        case 0x83080000u: // iya -> Latn
        case 0xBB080000u: // iyo -> Latn
        case 0xDF080000u: // iyx -> Latn
        case 0x9F280000u: // izh -> Latn
        case 0xB3280000u: // izm -> Latn
        case 0xC7280000u: // izr -> Latn
        case 0xE7280000u: // izz -> Latn
        case 0x80090000u: // jaa -> Latn
        case 0x84090000u: // jab -> Latn
        case 0x88090000u: // jac -> Latn
        case 0x90090000u: // jae -> Latn
        case 0x94090000u: // jaf -> Latn
        case 0x9C090000u: // jah -> Latn
        case 0xA4090000u: // jaj -> Latn
        case 0xA8090000u: // jak -> Latn
        case 0xAC090000u: // jal -> Latn
        case 0xB0090000u: // jam -> Latn
        case 0xB4090000u: // jan -> Latn
        case 0xB8090000u: // jao -> Latn
        case 0xC0090000u: // jaq -> Latn
        case 0xC8090000u: // jas -> Latn
        case 0xD0090000u: // jau -> Latn
        case 0xDC090000u: // jax -> Latn
        case 0xE0090000u: // jay -> Latn
        case 0xE4090000u: // jaz -> Latn
        case 0xA0290000u: // jbi -> Latn
        case 0xA4290000u: // jbj -> Latn
        case 0xA8290000u: // jbk -> Latn
        case 0xB0290000u: // jbm -> Latn
        case 0xB8290000u: // jbo -> Latn
        case 0xC4290000u: // jbr -> Latn
        case 0xCC290000u: // jbt -> Latn
        case 0xD0290000u: // jbu -> Latn
        case 0xD8290000u: // jbw -> Latn
        case 0x84890000u: // jeb -> Latn
        case 0x9C890000u: // jeh -> Latn
        case 0xA0890000u: // jei -> Latn
        case 0xA8890000u: // jek -> Latn
        case 0xAC890000u: // jel -> Latn
        case 0xB4890000u: // jen -> Latn
        case 0xC4890000u: // jer -> Latn
        case 0xCC890000u: // jet -> Latn
        case 0xD0890000u: // jeu -> Latn
        case 0x84C90000u: // jgb -> Latn
        case 0xA8C90000u: // jgk -> Latn
        case 0xB8C90000u: // jgo -> Latn
        case 0xA0E90000u: // jhi -> Latn
        case 0x81090000u: // jia -> Latn
        case 0x85090000u: // jib -> Latn
        case 0x89090000u: // jic -> Latn
        case 0x8D090000u: // jid -> Latn
        case 0x91090000u: // jie -> Latn
        case 0x99090000u: // jig -> Latn
        case 0xAD090000u: // jil -> Latn
        case 0xB1090000u: // jim -> Latn
        case 0xCD090000u: // jit -> Latn
        case 0xD1090000u: // jiu -> Latn
        case 0xD5090000u: // jiv -> Latn
        case 0xE1090000u: // jiy -> Latn
        case 0xC5290000u: // jjr -> Latn
        case 0x81490000u: // jka -> Latn
        case 0xB9490000u: // jko -> Latn
        case 0xD1490000u: // jku -> Latn
        case 0x91690000u: // jle -> Latn
        case 0x81890000u: // jma -> Latn
        case 0x85890000u: // jmb -> Latn
        case 0x89890000u: // jmc -> Latn
        case 0x8D890000u: // jmd -> Latn
        case 0xA1890000u: // jmi -> Latn
        case 0xB5890000u: // jmn -> Latn
        case 0xC5890000u: // jmr -> Latn
        case 0xC9890000u: // jms -> Latn
        case 0xD9890000u: // jmw -> Latn
        case 0xDD890000u: // jmx -> Latn
        case 0x99A90000u: // jng -> Latn
        case 0xA1A90000u: // jni -> Latn
        case 0xA5A90000u: // jnj -> Latn
        case 0x85C90000u: // job -> Latn
        case 0x8DC90000u: // jod -> Latn
        case 0xC5C90000u: // jor -> Latn
        case 0xD9C90000u: // jow -> Latn
        case 0xC6090000u: // jqr -> Latn
        case 0x82290000u: // jra -> Latn
        case 0xC6290000u: // jrr -> Latn
        case 0xCE290000u: // jrt -> Latn
        case 0xD2290000u: // jru -> Latn
        case 0x82890000u: // jua -> Latn
        case 0x86890000u: // jub -> Latn
        case 0x8E890000u: // jud -> Latn
        case 0x9E890000u: // juh -> Latn
        case 0xA2890000u: // jui -> Latn
        case 0xAA890000u: // juk -> Latn
        case 0xB2890000u: // jum -> Latn
        case 0xBA890000u: // juo -> Latn
        case 0xBE890000u: // jup -> Latn
        case 0xC6890000u: // jur -> Latn
        case 0xCE890000u: // jut -> Latn
        case 0xD2890000u: // juu -> Latn
        case 0xDA890000u: // juw -> Latn
        case 0x6A760000u: // jv -> Latn
        case 0x8EA90000u: // jvd -> Latn
        case 0xB6A90000u: // jvn -> Latn
        case 0x6A770000u: // jw -> Latn
        case 0xA2C90000u: // jwi -> Latn
        case 0xE3090000u: // jyy -> Latn
        case 0x840A0000u: // kab -> Latn
        case 0x880A0000u: // kac -> Latn
        case 0x8C0A0000u: // kad -> Latn
        case 0x980A0000u: // kag -> Latn
        case 0x9C0A0000u: // kah -> Latn
        case 0xA00A0000u: // kai -> Latn
        case 0xA40A0000u: // kaj -> Latn
        case 0xA80A0000u: // kak -> Latn
        case 0xB00A0000u: // kam -> Latn
        case 0xB80A0000u: // kao -> Latn
        case 0xC00A0000u: // kaq -> Latn
        case 0xD40A0000u: // kav -> Latn
        case 0xDC0A0000u: // kax -> Latn
        case 0xE00A0000u: // kay -> Latn
        case 0x802A0000u: // kba -> Latn
        case 0x842A0000u: // kbb -> Latn
        case 0x882A0000u: // kbc -> Latn
        case 0x902A0000u: // kbe -> Latn
        case 0x9C2A0000u: // kbh -> Latn
        case 0xA02A0000u: // kbi -> Latn
        case 0xA42A0000u: // kbj -> Latn
        case 0xA82A0000u: // kbk -> Latn
        case 0xAC2A0000u: // kbl -> Latn
        case 0xB02A0000u: // kbm -> Latn
        case 0xB42A0000u: // kbn -> Latn
        case 0xB82A0000u: // kbo -> Latn
        case 0xBC2A0000u: // kbp -> Latn
        case 0xC02A0000u: // kbq -> Latn
        case 0xC42A0000u: // kbr -> Latn
        case 0xC82A0000u: // kbs -> Latn
        case 0xCC2A0000u: // kbt -> Latn
        case 0xD42A0000u: // kbv -> Latn
        case 0xD82A0000u: // kbw -> Latn
        case 0xDC2A0000u: // kbx -> Latn
        case 0xE42A0000u: // kbz -> Latn
        case 0x844A0000u: // kcb -> Latn
        case 0x884A0000u: // kcc -> Latn
        case 0x8C4A0000u: // kcd -> Latn
        case 0x904A0000u: // kce -> Latn
        case 0x944A0000u: // kcf -> Latn
        case 0x984A0000u: // kcg -> Latn
        case 0x9C4A0000u: // kch -> Latn
        case 0xA04A0000u: // kci -> Latn
        case 0xA44A0000u: // kcj -> Latn
        case 0xA84A0000u: // kck -> Latn
        case 0xAC4A0000u: // kcl -> Latn
        case 0xB04A0000u: // kcm -> Latn
        case 0xB44A0000u: // kcn -> Latn
        case 0xB84A0000u: // kco -> Latn
        case 0xBC4A0000u: // kcp -> Latn
        case 0xC04A0000u: // kcq -> Latn
        case 0xC84A0000u: // kcs -> Latn
        case 0xCC4A0000u: // kct -> Latn
        case 0xD04A0000u: // kcu -> Latn
        case 0xD44A0000u: // kcv -> Latn
        case 0xD84A0000u: // kcw -> Latn
        case 0xE44A0000u: // kcz -> Latn
        case 0x806A0000u: // kda -> Latn
        case 0x886A0000u: // kdc -> Latn
        case 0x8C6A0000u: // kdd -> Latn
        case 0x906A0000u: // kde -> Latn
        case 0x946A0000u: // kdf -> Latn
        case 0x986A0000u: // kdg -> Latn
        case 0x9C6A0000u: // kdh -> Latn
        case 0xA06A0000u: // kdi -> Latn
        case 0xA46A0000u: // kdj -> Latn
        case 0xA86A0000u: // kdk -> Latn
        case 0xAC6A0000u: // kdl -> Latn
        case 0xB06A0000u: // kdm -> Latn
        case 0xB46A0000u: // kdn -> Latn
        case 0xBC6A0000u: // kdp -> Latn
        case 0xC46A0000u: // kdr -> Latn
        case 0xD86A0000u: // kdw -> Latn
        case 0xDC6A0000u: // kdx -> Latn
        case 0xE06A0000u: // kdy -> Latn
        case 0xE46A0000u: // kdz -> Latn
        case 0x808A0000u: // kea -> Latn
        case 0x848A0000u: // keb -> Latn
        case 0x888A0000u: // kec -> Latn
        case 0x8C8A0000u: // ked -> Latn
        case 0x908A0000u: // kee -> Latn
        case 0x948A0000u: // kef -> Latn
        case 0x988A0000u: // keg -> Latn
        case 0x9C8A0000u: // keh -> Latn
        case 0xA08A0000u: // kei -> Latn
        case 0xA88A0000u: // kek -> Latn
        case 0xAC8A0000u: // kel -> Latn
        case 0xB08A0000u: // kem -> Latn
        case 0xB48A0000u: // ken -> Latn
        case 0xB88A0000u: // keo -> Latn
        case 0xC48A0000u: // ker -> Latn
        case 0xC88A0000u: // kes -> Latn
        case 0xD08A0000u: // keu -> Latn
        case 0xD88A0000u: // kew -> Latn
        case 0xE48A0000u: // kez -> Latn
        case 0x94AA0000u: // kff -> Latn
        case 0xACAA0000u: // kfl -> Latn
        case 0xB4AA0000u: // kfn -> Latn
        case 0xB8AA0000u: // kfo -> Latn
        case 0xD4AA0000u: // kfv -> Latn
        case 0xD8AA0000u: // kfw -> Latn
        case 0xE4AA0000u: // kfz -> Latn
        case 0x6B670000u: // kg -> Latn
        case 0x80CA0000u: // kga -> Latn
        case 0x84CA0000u: // kgb -> Latn
        case 0x90CA0000u: // kge -> Latn
        case 0x94CA0000u: // kgf -> Latn
        case 0xA8CA0000u: // kgk -> Latn
        case 0xACCA0000u: // kgl -> Latn
        case 0xB8CA0000u: // kgo -> Latn
        case 0xBCCA0000u: // kgp -> Latn
        case 0xC0CA0000u: // kgq -> Latn
        case 0xC4CA0000u: // kgr -> Latn
        case 0xC8CA0000u: // kgs -> Latn
        case 0xCCCA0000u: // kgt -> Latn
        case 0xD0CA0000u: // kgu -> Latn
        case 0xD4CA0000u: // kgv -> Latn
        case 0xD8CA0000u: // kgw -> Latn
        case 0xDCCA0000u: // kgx -> Latn
        case 0x80EA0000u: // kha -> Latn
        case 0x88EA0000u: // khc -> Latn
        case 0x8CEA0000u: // khd -> Latn
        case 0x90EA0000u: // khe -> Latn
        case 0x9CEA0000u: // khh -> Latn
        case 0xA4EA0000u: // khj -> Latn
        case 0xACEA0000u: // khl -> Latn
        case 0xBCEA0000u: // khp -> Latn
        case 0xC0EA0000u: // khq -> Latn
        case 0xC4EA0000u: // khr -> Latn
        case 0xC8EA0000u: // khs -> Latn
        case 0xD0EA0000u: // khu -> Latn
        case 0xDCEA0000u: // khx -> Latn
        case 0xE0EA0000u: // khy -> Latn
        case 0xE4EA0000u: // khz -> Latn
        case 0x6B690000u: // ki -> Latn
        case 0x810A0000u: // kia -> Latn
        case 0x850A0000u: // kib -> Latn
        case 0x890A0000u: // kic -> Latn
        case 0x8D0A0000u: // kid -> Latn
        case 0x910A0000u: // kie -> Latn
        case 0x990A0000u: // kig -> Latn
        case 0x9D0A0000u: // kih -> Latn
        case 0xA50A0000u: // kij -> Latn
        case 0xAD0A0000u: // kil -> Latn
        case 0xB90A0000u: // kio -> Latn
        case 0xC10A0000u: // kiq -> Latn
        case 0xC90A0000u: // kis -> Latn
        case 0xCD0A0000u: // kit -> Latn
        case 0xD10A0000u: // kiu -> Latn
        case 0xD50A0000u: // kiv -> Latn
        case 0xD90A0000u: // kiw -> Latn
        case 0xDD0A0000u: // kix -> Latn
        case 0xE10A0000u: // kiy -> Latn
        case 0xE50A0000u: // kiz -> Latn
        case 0x6B6A0000u: // kj -> Latn
        case 0x812A0000u: // kja -> Latn
        case 0x852A0000u: // kjb -> Latn
        case 0x892A0000u: // kjc -> Latn
        case 0x8D2A0000u: // kjd -> Latn
        case 0x912A0000u: // kje -> Latn
        case 0xA12A0000u: // kji -> Latn
        case 0xA52A0000u: // kjj -> Latn
        case 0xA92A0000u: // kjk -> Latn
        case 0xB12A0000u: // kjm -> Latn
        case 0xB52A0000u: // kjn -> Latn
        case 0xC12A0000u: // kjq -> Latn
        case 0xC52A0000u: // kjr -> Latn
        case 0xC92A0000u: // kjs -> Latn
        case 0xD12A0000u: // kju -> Latn
        case 0xDD2A0000u: // kjx -> Latn
        case 0xE12A0000u: // kjy -> Latn
        case 0x814A0000u: // kka -> Latn
        case 0x854A0000u: // kkb -> Latn
        case 0x894A0000u: // kkc -> Latn
        case 0x8D4A0000u: // kkd -> Latn
        case 0x914A0000u: // kke -> Latn
        case 0x994A0000u: // kkg -> Latn
        case 0xA14A0000u: // kki -> Latn
        case 0xA54A0000u: // kkj -> Latn
        case 0xA94A0000u: // kkk -> Latn
        case 0xAD4A0000u: // kkl -> Latn
        case 0xB14A0000u: // kkm -> Latn
        case 0xB94A0000u: // kko -> Latn
        case 0xBD4A0000u: // kkp -> Latn
        case 0xC14A0000u: // kkq -> Latn
        case 0xC54A0000u: // kkr -> Latn
        case 0xC94A0000u: // kks -> Latn
        case 0xD14A0000u: // kku -> Latn
        case 0xD54A0000u: // kkv -> Latn
        case 0xD94A0000u: // kkw -> Latn
        case 0xDD4A0000u: // kkx -> Latn
        case 0xE14A0000u: // kky -> Latn
        case 0xE54A0000u: // kkz -> Latn
        case 0x6B6C0000u: // kl -> Latn
        case 0x816A0000u: // kla -> Latn
        case 0x856A0000u: // klb -> Latn
        case 0x896A0000u: // klc -> Latn
        case 0x8D6A0000u: // kld -> Latn
        case 0x956A0000u: // klf -> Latn
        case 0x996A0000u: // klg -> Latn
        case 0x9D6A0000u: // klh -> Latn
        case 0xA16A0000u: // kli -> Latn
        case 0xA96A0000u: // klk -> Latn
        case 0xAD6A0000u: // kll -> Latn
        case 0xB16A0000u: // klm -> Latn
        case 0xB56A0000u: // kln -> Latn
        case 0xB96A0000u: // klo -> Latn
        case 0xBD6A0000u: // klp -> Latn
        case 0xC16A0000u: // klq -> Latn
        case 0xC96A0000u: // kls -> Latn
        case 0xCD6A0000u: // klt -> Latn
        case 0xD16A0000u: // klu -> Latn
        case 0xD56A0000u: // klv -> Latn
        case 0xD96A0000u: // klw -> Latn
        case 0xDD6A0000u: // klx -> Latn
        case 0xE16A0000u: // kly -> Latn
        case 0xE56A0000u: // klz -> Latn
        case 0x818A0000u: // kma -> Latn
        case 0x858A0000u: // kmb -> Latn
        case 0x898A0000u: // kmc -> Latn
        case 0x8D8A0000u: // kmd -> Latn
        case 0x918A0000u: // kme -> Latn
        case 0x958A0000u: // kmf -> Latn
        case 0x998A0000u: // kmg -> Latn
        case 0x9D8A0000u: // kmh -> Latn
        case 0xA18A0000u: // kmi -> Latn
        case 0xA98A0000u: // kmk -> Latn
        case 0xAD8A0000u: // kml -> Latn
        case 0xB18A0000u: // kmm -> Latn
        case 0xB58A0000u: // kmn -> Latn
        case 0xB98A0000u: // kmo -> Latn
        case 0xBD8A0000u: // kmp -> Latn
        case 0xC18A0000u: // kmq -> Latn
        case 0xC98A0000u: // kms -> Latn
        case 0xCD8A0000u: // kmt -> Latn
        case 0xD18A0000u: // kmu -> Latn
        case 0xD58A0000u: // kmv -> Latn
        case 0xD98A0000u: // kmw -> Latn
        case 0xDD8A0000u: // kmx -> Latn
        case 0xE18A0000u: // kmy -> Latn
        case 0x81AA0000u: // kna -> Latn
        case 0x85AA0000u: // knb -> Latn
        case 0x8DAA0000u: // knd -> Latn
        case 0x91AA0000u: // kne -> Latn
        case 0x95AA0000u: // knf -> Latn
        case 0xA1AA0000u: // kni -> Latn
        case 0xA5AA0000u: // knj -> Latn
        case 0xA9AA0000u: // knk -> Latn
        case 0xADAA0000u: // knl -> Latn
        case 0xB1AA0000u: // knm -> Latn
        case 0xB9AA0000u: // kno -> Latn
        case 0xBDAA0000u: // knp -> Latn
        case 0xC1AA0000u: // knq -> Latn
        case 0xC5AA0000u: // knr -> Latn
        case 0xC9AA0000u: // kns -> Latn
        case 0xCDAA0000u: // knt -> Latn
        case 0xD1AA0000u: // knu -> Latn
        case 0xD5AA0000u: // knv -> Latn
        case 0xD9AA0000u: // knw -> Latn
        case 0xDDAA0000u: // knx -> Latn
        case 0xE1AA0000u: // kny -> Latn
        case 0xE5AA0000u: // knz -> Latn
        case 0x81CA0000u: // koa -> Latn
        case 0x89CA0000u: // koc -> Latn
        case 0x8DCA0000u: // kod -> Latn
        case 0x91CA0000u: // koe -> Latn
        case 0x95CA0000u: // kof -> Latn
        case 0x99CA0000u: // kog -> Latn
        case 0x9DCA0000u: // koh -> Latn
        case 0xADCA0000u: // kol -> Latn
        case 0xB9CA0000u: // koo -> Latn
        case 0xBDCA0000u: // kop -> Latn
        case 0xC1CA0000u: // koq -> Latn
        case 0xC9CA0000u: // kos -> Latn
        case 0xCDCA0000u: // kot -> Latn
        case 0xD1CA0000u: // kou -> Latn
        case 0xD5CA0000u: // kov -> Latn
        case 0xD9CA0000u: // kow -> Latn
        case 0xE1CA0000u: // koy -> Latn
        case 0xE5CA0000u: // koz -> Latn
        case 0x81EA0000u: // kpa -> Latn
        case 0x89EA0000u: // kpc -> Latn
        case 0x8DEA0000u: // kpd -> Latn
        case 0x91EA0000u: // kpe -> Latn
        case 0x95EA0000u: // kpf -> Latn
        case 0x99EA0000u: // kpg -> Latn
        case 0x9DEA0000u: // kph -> Latn
        case 0xA1EA0000u: // kpi -> Latn
        case 0xA5EA0000u: // kpj -> Latn
        case 0xA9EA0000u: // kpk -> Latn
        case 0xADEA0000u: // kpl -> Latn
        case 0xB1EA0000u: // kpm -> Latn
        case 0xB5EA0000u: // kpn -> Latn
        case 0xB9EA0000u: // kpo -> Latn
        case 0xC1EA0000u: // kpq -> Latn
        case 0xC5EA0000u: // kpr -> Latn
        case 0xC9EA0000u: // kps -> Latn
        case 0xD1EA0000u: // kpu -> Latn
        case 0xD9EA0000u: // kpw -> Latn
        case 0xDDEA0000u: // kpx -> Latn
        case 0xE5EA0000u: // kpz -> Latn
        case 0x820A0000u: // kqa -> Latn
        case 0x860A0000u: // kqb -> Latn
        case 0x8A0A0000u: // kqc -> Latn
        case 0x920A0000u: // kqe -> Latn
        case 0x960A0000u: // kqf -> Latn
        case 0x9A0A0000u: // kqg -> Latn
        case 0x9E0A0000u: // kqh -> Latn
        case 0xA20A0000u: // kqi -> Latn
        case 0xA60A0000u: // kqj -> Latn
        case 0xAA0A0000u: // kqk -> Latn
        case 0xAE0A0000u: // kql -> Latn
        case 0xB20A0000u: // kqm -> Latn
        case 0xB60A0000u: // kqn -> Latn
        case 0xBA0A0000u: // kqo -> Latn
        case 0xBE0A0000u: // kqp -> Latn
        case 0xC20A0000u: // kqq -> Latn
        case 0xC60A0000u: // kqr -> Latn
        case 0xCA0A0000u: // kqs -> Latn
        case 0xCE0A0000u: // kqt -> Latn
        case 0xD20A0000u: // kqu -> Latn
        case 0xD60A0000u: // kqv -> Latn
        case 0xDA0A0000u: // kqw -> Latn
        case 0xDE0A0000u: // kqx -> Latn
        case 0xE60A0000u: // kqz -> Latn
        case 0x6B720000u: // kr -> Latn
        case 0x862A0000u: // krb -> Latn
        case 0x8E2A0000u: // krd -> Latn
        case 0x922A0000u: // kre -> Latn
        case 0x962A0000u: // krf -> Latn
        case 0x9E2A0000u: // krh -> Latn
        case 0xA22A0000u: // kri -> Latn
        case 0xA62A0000u: // krj -> Latn
        case 0xAE2A0000u: // krl -> Latn
        case 0xB62A0000u: // krn -> Latn
        case 0xBE2A0000u: // krp -> Latn
        case 0xCA2A0000u: // krs -> Latn
        case 0xCE2A0000u: // krt -> Latn
        case 0xDA2A0000u: // krw -> Latn
        case 0xDE2A0000u: // krx -> Latn
        case 0xE22A0000u: // kry -> Latn
        case 0xE62A0000u: // krz -> Latn
        case 0x864A0000u: // ksb -> Latn
        case 0x8A4A0000u: // ksc -> Latn
        case 0x8E4A0000u: // ksd -> Latn
        case 0x924A0000u: // kse -> Latn
        case 0x964A0000u: // ksf -> Latn
        case 0x9A4A0000u: // ksg -> Latn
        case 0x9E4A0000u: // ksh -> Latn
        case 0xA24A0000u: // ksi -> Latn
        case 0xA64A0000u: // ksj -> Latn
        case 0xAA4A0000u: // ksk -> Latn
        case 0xAE4A0000u: // ksl -> Latn
        case 0xB24A0000u: // ksm -> Latn
        case 0xB64A0000u: // ksn -> Latn
        case 0xBA4A0000u: // kso -> Latn
        case 0xBE4A0000u: // ksp -> Latn
        case 0xC24A0000u: // ksq -> Latn
        case 0xC64A0000u: // ksr -> Latn
        case 0xCA4A0000u: // kss -> Latn
        case 0xCE4A0000u: // kst -> Latn
        case 0xD64A0000u: // ksv -> Latn
        case 0xDE4A0000u: // ksx -> Latn
        case 0x826A0000u: // kta -> Latn
        case 0x8A6A0000u: // ktc -> Latn
        case 0x8E6A0000u: // ktd -> Latn
        case 0x966A0000u: // ktf -> Latn
        case 0x9A6A0000u: // ktg -> Latn
        case 0x9E6A0000u: // kth -> Latn
        case 0xA26A0000u: // kti -> Latn
        case 0xA66A0000u: // ktj -> Latn
        case 0xAA6A0000u: // ktk -> Latn
        case 0xB26A0000u: // ktm -> Latn
        case 0xB66A0000u: // ktn -> Latn
        case 0xBA6A0000u: // kto -> Latn
        case 0xC26A0000u: // ktq -> Latn
        case 0xCA6A0000u: // kts -> Latn
        case 0xCE6A0000u: // ktt -> Latn
        case 0xD26A0000u: // ktu -> Latn
        case 0xD66A0000u: // ktv -> Latn
        case 0xDA6A0000u: // ktw -> Latn
        case 0xDE6A0000u: // ktx -> Latn
        case 0xE26A0000u: // kty -> Latn
        case 0xE66A0000u: // ktz -> Latn
        case 0x6B750000u: // ku -> Latn
        case 0x868A0000u: // kub -> Latn
        case 0x8A8A0000u: // kuc -> Latn
        case 0x8E8A0000u: // kud -> Latn
        case 0x928A0000u: // kue -> Latn
        case 0x9A8A0000u: // kug -> Latn
        case 0x9E8A0000u: // kuh -> Latn
        case 0xA28A0000u: // kui -> Latn
        case 0xA68A0000u: // kuj -> Latn
        case 0xAA8A0000u: // kuk -> Latn
        case 0xAE8A0000u: // kul -> Latn
        case 0xB68A0000u: // kun -> Latn
        case 0xBA8A0000u: // kuo -> Latn
        case 0xBE8A0000u: // kup -> Latn
        case 0xC28A0000u: // kuq -> Latn
        case 0xCA8A0000u: // kus -> Latn
        case 0xCE8A0000u: // kut -> Latn
        case 0xD28A0000u: // kuu -> Latn
        case 0xD68A0000u: // kuv -> Latn
        case 0xDA8A0000u: // kuw -> Latn
        case 0xDE8A0000u: // kux -> Latn
        case 0xE28A0000u: // kuy -> Latn
        case 0xE68A0000u: // kuz -> Latn
        case 0x86AA0000u: // kvb -> Latn
        case 0x8AAA0000u: // kvc -> Latn
        case 0x8EAA0000u: // kvd -> Latn
        case 0x92AA0000u: // kve -> Latn
        case 0x96AA0000u: // kvf -> Latn
        case 0x9AAA0000u: // kvg -> Latn
        case 0x9EAA0000u: // kvh -> Latn
        case 0xA2AA0000u: // kvi -> Latn
        case 0xA6AA0000u: // kvj -> Latn
        case 0xAEAA0000u: // kvl -> Latn
        case 0xB2AA0000u: // kvm -> Latn
        case 0xB6AA0000u: // kvn -> Latn
        case 0xBAAA0000u: // kvo -> Latn
        case 0xBEAA0000u: // kvp -> Latn
        case 0xC6AA0000u: // kvr -> Latn
        case 0xD6AA0000u: // kvv -> Latn
        case 0xDAAA0000u: // kvw -> Latn
        case 0xE6AA0000u: // kvz -> Latn
        case 0x6B770000u: // kw -> Latn
        case 0x82CA0000u: // kwa -> Latn
        case 0x86CA0000u: // kwb -> Latn
        case 0x8ACA0000u: // kwc -> Latn
        case 0x8ECA0000u: // kwd -> Latn
        case 0x92CA0000u: // kwe -> Latn
        case 0x96CA0000u: // kwf -> Latn
        case 0x9ACA0000u: // kwg -> Latn
        case 0x9ECA0000u: // kwh -> Latn
        case 0xA2CA0000u: // kwi -> Latn
        case 0xA6CA0000u: // kwj -> Latn
        case 0xAACA0000u: // kwk -> Latn
        case 0xAECA0000u: // kwl -> Latn
        case 0xB2CA0000u: // kwm -> Latn
        case 0xB6CA0000u: // kwn -> Latn
        case 0xBACA0000u: // kwo -> Latn
        case 0xBECA0000u: // kwp -> Latn
        case 0xC6CA0000u: // kwr -> Latn
        case 0xCACA0000u: // kws -> Latn
        case 0xCECA0000u: // kwt -> Latn
        case 0xD2CA0000u: // kwu -> Latn
        case 0xD6CA0000u: // kwv -> Latn
        case 0xDACA0000u: // kww -> Latn
        case 0xE2CA0000u: // kwy -> Latn
        case 0xE6CA0000u: // kwz -> Latn
        case 0x82EA0000u: // kxa -> Latn
        case 0x86EA0000u: // kxb -> Latn
        case 0x8AEA0000u: // kxc -> Latn
        case 0x8EEA0000u: // kxd -> Latn
        case 0xA2EA0000u: // kxi -> Latn
        case 0xA6EA0000u: // kxj -> Latn
        case 0xB6EA0000u: // kxn -> Latn
        case 0xBAEA0000u: // kxo -> Latn
        case 0xC2EA0000u: // kxq -> Latn
        case 0xC6EA0000u: // kxr -> Latn
        case 0xCEEA0000u: // kxt -> Latn
        case 0xD6EA0000u: // kxv -> Latn
        case 0xDAEA0000u: // kxw -> Latn
        case 0xDEEA0000u: // kxx -> Latn
        case 0xE2EA0000u: // kxy -> Latn
        case 0xE6EA0000u: // kxz -> Latn
        case 0x6B795452u: // ky-TR -> Latn
        case 0x830A0000u: // kya -> Latn
        case 0x870A0000u: // kyb -> Latn
        case 0x8B0A0000u: // kyc -> Latn
        case 0x8F0A0000u: // kyd -> Latn
        case 0x930A0000u: // kye -> Latn
        case 0x970A0000u: // kyf -> Latn
        case 0x9B0A0000u: // kyg -> Latn
        case 0x9F0A0000u: // kyh -> Latn
        case 0xA30A0000u: // kyi -> Latn
        case 0xA70A0000u: // kyj -> Latn
        case 0xAB0A0000u: // kyk -> Latn
        case 0xAF0A0000u: // kyl -> Latn
        case 0xB30A0000u: // kym -> Latn
        case 0xB70A0000u: // kyn -> Latn
        case 0xBB0A0000u: // kyo -> Latn
        case 0xC30A0000u: // kyq -> Latn
        case 0xC70A0000u: // kyr -> Latn
        case 0xCB0A0000u: // kys -> Latn
        case 0xCF0A0000u: // kyt -> Latn
        case 0xDF0A0000u: // kyx -> Latn
        case 0xE30A0000u: // kyy -> Latn
        case 0xE70A0000u: // kyz -> Latn
        case 0x832A0000u: // kza -> Latn
        case 0x872A0000u: // kzb -> Latn
        case 0x8B2A0000u: // kzc -> Latn
        case 0x8F2A0000u: // kzd -> Latn
        case 0x932A0000u: // kze -> Latn
        case 0x972A0000u: // kzf -> Latn
        case 0xA32A0000u: // kzi -> Latn
        case 0xAB2A0000u: // kzk -> Latn
        case 0xAF2A0000u: // kzl -> Latn
        case 0xB32A0000u: // kzm -> Latn
        case 0xB72A0000u: // kzn -> Latn
        case 0xBB2A0000u: // kzo -> Latn
        case 0xBF2A0000u: // kzp -> Latn
        case 0xC72A0000u: // kzr -> Latn
        case 0xCB2A0000u: // kzs -> Latn
        case 0xD32A0000u: // kzu -> Latn
        case 0xD72A0000u: // kzv -> Latn
        case 0xDB2A0000u: // kzw -> Latn
        case 0xDF2A0000u: // kzx -> Latn
        case 0xE32A0000u: // kzy -> Latn
        case 0xE72A0000u: // kzz -> Latn
        case 0x6C610000u: // la -> Latn
        case 0x800B0000u: // laa -> Latn
        case 0x880B0000u: // lac -> Latn
        case 0x980B0000u: // lag -> Latn
        case 0xA00B0000u: // lai -> Latn
        case 0xA40B0000u: // laj -> Latn
        case 0xAC0B0000u: // lal -> Latn
        case 0xB00B0000u: // lam -> Latn
        case 0xB40B0000u: // lan -> Latn
        case 0xBC0B0000u: // lap -> Latn
        case 0xC00B0000u: // laq -> Latn
        case 0xC40B0000u: // lar -> Latn
        case 0xC80B0000u: // las -> Latn
        case 0xD00B0000u: // lau -> Latn
        case 0xD80B0000u: // law -> Latn
        case 0xDC0B0000u: // lax -> Latn
        case 0xE40B0000u: // laz -> Latn
        case 0x6C620000u: // lb -> Latn
        case 0x842B0000u: // lbb -> Latn
        case 0xA02B0000u: // lbi -> Latn
        case 0xAC2B0000u: // lbl -> Latn
        case 0xB42B0000u: // lbn -> Latn
        case 0xC02B0000u: // lbq -> Latn
        case 0xCC2B0000u: // lbt -> Latn
        case 0xD02B0000u: // lbu -> Latn
        case 0xD42B0000u: // lbv -> Latn
        case 0xD82B0000u: // lbw -> Latn
        case 0xDC2B0000u: // lbx -> Latn
        case 0xE02B0000u: // lby -> Latn
        case 0xE42B0000u: // lbz -> Latn
        case 0x884B0000u: // lcc -> Latn
        case 0x8C4B0000u: // lcd -> Latn
        case 0x904B0000u: // lce -> Latn
        case 0x944B0000u: // lcf -> Latn
        case 0x9C4B0000u: // lch -> Latn
        case 0xAC4B0000u: // lcl -> Latn
        case 0xB04B0000u: // lcm -> Latn
        case 0xC04B0000u: // lcq -> Latn
        case 0xC84B0000u: // lcs -> Latn
        case 0x806B0000u: // lda -> Latn
        case 0x846B0000u: // ldb -> Latn
        case 0x8C6B0000u: // ldd -> Latn
        case 0x986B0000u: // ldg -> Latn
        case 0x9C6B0000u: // ldh -> Latn
        case 0xA06B0000u: // ldi -> Latn
        case 0xA46B0000u: // ldj -> Latn
        case 0xA86B0000u: // ldk -> Latn
        case 0xAC6B0000u: // ldl -> Latn
        case 0xB06B0000u: // ldm -> Latn
        case 0xB46B0000u: // ldn -> Latn
        case 0xB86B0000u: // ldo -> Latn
        case 0xBC6B0000u: // ldp -> Latn
        case 0xC06B0000u: // ldq -> Latn
        case 0x808B0000u: // lea -> Latn
        case 0x848B0000u: // leb -> Latn
        case 0x888B0000u: // lec -> Latn
        case 0x8C8B0000u: // led -> Latn
        case 0x908B0000u: // lee -> Latn
        case 0x948B0000u: // lef -> Latn
        case 0x9C8B0000u: // leh -> Latn
        case 0xA08B0000u: // lei -> Latn
        case 0xA48B0000u: // lej -> Latn
        case 0xA88B0000u: // lek -> Latn
        case 0xAC8B0000u: // lel -> Latn
        case 0xB08B0000u: // lem -> Latn
        case 0xB48B0000u: // len -> Latn
        case 0xB88B0000u: // leo -> Latn
        case 0xC08B0000u: // leq -> Latn
        case 0xC48B0000u: // ler -> Latn
        case 0xC88B0000u: // les -> Latn
        case 0xCC8B0000u: // let -> Latn
        case 0xD08B0000u: // leu -> Latn
        case 0xD48B0000u: // lev -> Latn
        case 0xD88B0000u: // lew -> Latn
        case 0xDC8B0000u: // lex -> Latn
        case 0xE08B0000u: // ley -> Latn
        case 0x80AB0000u: // lfa -> Latn
        case 0xB4AB0000u: // lfn -> Latn
        case 0x6C670000u: // lg -> Latn
        case 0x80CB0000u: // lga -> Latn
        case 0x84CB0000u: // lgb -> Latn
        case 0x98CB0000u: // lgg -> Latn
        case 0x9CCB0000u: // lgh -> Latn
        case 0xA0CB0000u: // lgi -> Latn
        case 0xA8CB0000u: // lgk -> Latn
        case 0xACCB0000u: // lgl -> Latn
        case 0xB0CB0000u: // lgm -> Latn
        case 0xB4CB0000u: // lgn -> Latn
        case 0xB8CB0000u: // lgo -> Latn
        case 0xC0CB0000u: // lgq -> Latn
        case 0xC4CB0000u: // lgr -> Latn
        case 0xCCCB0000u: // lgt -> Latn
        case 0xD0CB0000u: // lgu -> Latn
        case 0xE4CB0000u: // lgz -> Latn
        case 0x80EB0000u: // lha -> Latn
        case 0x9CEB0000u: // lhh -> Latn
        case 0xA0EB0000u: // lhi -> Latn
        case 0xB4EB0000u: // lhn -> Latn
        case 0xCCEB0000u: // lht -> Latn
        case 0xD0EB0000u: // lhu -> Latn
        case 0x6C690000u: // li -> Latn
        case 0x810B0000u: // lia -> Latn
        case 0x850B0000u: // lib -> Latn
        case 0x890B0000u: // lic -> Latn
        case 0x8D0B0000u: // lid -> Latn
        case 0x910B0000u: // lie -> Latn
        case 0x990B0000u: // lig -> Latn
        case 0x9D0B0000u: // lih -> Latn
        case 0xA50B0000u: // lij -> Latn
        case 0xA90B0000u: // lik -> Latn
        case 0xAD0B0000u: // lil -> Latn
        case 0xB90B0000u: // lio -> Latn
        case 0xBD0B0000u: // lip -> Latn
        case 0xC10B0000u: // liq -> Latn
        case 0xC50B0000u: // lir -> Latn
        case 0xD10B0000u: // liu -> Latn
        case 0xD50B0000u: // liv -> Latn
        case 0xD90B0000u: // liw -> Latn
        case 0xDD0B0000u: // lix -> Latn
        case 0xE10B0000u: // liy -> Latn
        case 0xE50B0000u: // liz -> Latn
        case 0x812B0000u: // lja -> Latn
        case 0x912B0000u: // lje -> Latn
        case 0xA12B0000u: // lji -> Latn
        case 0xAD2B0000u: // ljl -> Latn
        case 0xBD2B0000u: // ljp -> Latn
        case 0xD92B0000u: // ljw -> Latn
        case 0xDD2B0000u: // ljx -> Latn
        case 0x814B0000u: // lka -> Latn
        case 0x854B0000u: // lkb -> Latn
        case 0x894B0000u: // lkc -> Latn
        case 0x8D4B0000u: // lkd -> Latn
        case 0x914B0000u: // lke -> Latn
        case 0xA54B0000u: // lkj -> Latn
        case 0xAD4B0000u: // lkl -> Latn
        case 0xB14B0000u: // lkm -> Latn
        case 0xB54B0000u: // lkn -> Latn
        case 0xB94B0000u: // lko -> Latn
        case 0xC54B0000u: // lkr -> Latn
        case 0xC94B0000u: // lks -> Latn
        case 0xCD4B0000u: // lkt -> Latn
        case 0xD14B0000u: // lku -> Latn
        case 0xE14B0000u: // lky -> Latn
        case 0x816B0000u: // lla -> Latn
        case 0x856B0000u: // llb -> Latn
        case 0x896B0000u: // llc -> Latn
        case 0x8D6B0000u: // lld -> Latn
        case 0x916B0000u: // lle -> Latn
        case 0x956B0000u: // llf -> Latn
        case 0x996B0000u: // llg -> Latn
        case 0xA16B0000u: // lli -> Latn
        case 0xA56B0000u: // llj -> Latn
        case 0xA96B0000u: // llk -> Latn
        case 0xAD6B0000u: // lll -> Latn
        case 0xB16B0000u: // llm -> Latn
        case 0xB56B0000u: // lln -> Latn
        case 0xBD6B0000u: // llp -> Latn
        case 0xC16B0000u: // llq -> Latn
        case 0xD16B0000u: // llu -> Latn
        case 0xDD6B0000u: // llx -> Latn
        case 0x818B0000u: // lma -> Latn
        case 0x858B0000u: // lmb -> Latn
        case 0x898B0000u: // lmc -> Latn
        case 0x8D8B0000u: // lmd -> Latn
        case 0x918B0000u: // lme -> Latn
        case 0x958B0000u: // lmf -> Latn
        case 0x998B0000u: // lmg -> Latn
        case 0xA18B0000u: // lmi -> Latn
        case 0xA58B0000u: // lmj -> Latn
        case 0xA98B0000u: // lmk -> Latn
        case 0xAD8B0000u: // lml -> Latn
        case 0xB98B0000u: // lmo -> Latn
        case 0xBD8B0000u: // lmp -> Latn
        case 0xC18B0000u: // lmq -> Latn
        case 0xC58B0000u: // lmr -> Latn
        case 0xD18B0000u: // lmu -> Latn
        case 0xD58B0000u: // lmv -> Latn
        case 0xD98B0000u: // lmw -> Latn
        case 0xDD8B0000u: // lmx -> Latn
        case 0xE18B0000u: // lmy -> Latn
        case 0x6C6E0000u: // ln -> Latn
        case 0x81AB0000u: // lna -> Latn
        case 0x85AB0000u: // lnb -> Latn
        case 0x8DAB0000u: // lnd -> Latn
        case 0x99AB0000u: // lng -> Latn
        case 0x9DAB0000u: // lnh -> Latn
        case 0xA1AB0000u: // lni -> Latn
        case 0xA5AB0000u: // lnj -> Latn
        case 0xADAB0000u: // lnl -> Latn
        case 0xB1AB0000u: // lnm -> Latn
        case 0xB5AB0000u: // lnn -> Latn
        case 0xC9AB0000u: // lns -> Latn
        case 0xD1AB0000u: // lnu -> Latn
        case 0xD9AB0000u: // lnw -> Latn
        case 0xE5AB0000u: // lnz -> Latn
        case 0x81CB0000u: // loa -> Latn
        case 0x85CB0000u: // lob -> Latn
        case 0x89CB0000u: // loc -> Latn
        case 0x91CB0000u: // loe -> Latn
        case 0x99CB0000u: // log -> Latn
        case 0x9DCB0000u: // loh -> Latn
        case 0xA1CB0000u: // loi -> Latn
        case 0xA5CB0000u: // loj -> Latn
        case 0xA9CB0000u: // lok -> Latn
        case 0xADCB0000u: // lol -> Latn
        case 0xB1CB0000u: // lom -> Latn
        case 0xB5CB0000u: // lon -> Latn
        case 0xB9CB0000u: // loo -> Latn
        case 0xBDCB0000u: // lop -> Latn
        case 0xC1CB0000u: // loq -> Latn
        case 0xC5CB0000u: // lor -> Latn
        case 0xC9CB0000u: // los -> Latn
        case 0xCDCB0000u: // lot -> Latn
        case 0xD1CB0000u: // lou -> Latn
        case 0xD9CB0000u: // low -> Latn
        case 0xDDCB0000u: // lox -> Latn
        case 0xE5CB0000u: // loz -> Latn
        case 0x81EB0000u: // lpa -> Latn
        case 0x91EB0000u: // lpe -> Latn
        case 0xB5EB0000u: // lpn -> Latn
        case 0xDDEB0000u: // lpx -> Latn
        case 0xC60B0000u: // lqr -> Latn
        case 0x822B0000u: // lra -> Latn
        case 0x9A2B0000u: // lrg -> Latn
        case 0xA22B0000u: // lri -> Latn
        case 0xB22B0000u: // lrm -> Latn
        case 0xB62B0000u: // lrn -> Latn
        case 0xBA2B0000u: // lro -> Latn
        case 0xCE2B0000u: // lrt -> Latn
        case 0xD62B0000u: // lrv -> Latn
        case 0xE62B0000u: // lrz -> Latn
        case 0x924B0000u: // lse -> Latn
        case 0xA24B0000u: // lsi -> Latn
        case 0xB24B0000u: // lsm -> Latn
        case 0xC64B0000u: // lsr -> Latn
        case 0x6C740000u: // lt -> Latn
        case 0x9A6B0000u: // ltg -> Latn
        case 0x9E6B0000u: // lth -> Latn
        case 0xA26B0000u: // lti -> Latn
        case 0xB66B0000u: // ltn -> Latn
        case 0xBA6B0000u: // lto -> Latn
        case 0xCA6B0000u: // lts -> Latn
        case 0xD26B0000u: // ltu -> Latn
        case 0x6C750000u: // lu -> Latn
        case 0x828B0000u: // lua -> Latn
        case 0x8A8B0000u: // luc -> Latn
        case 0x8E8B0000u: // lud -> Latn
        case 0x928B0000u: // lue -> Latn
        case 0x968B0000u: // luf -> Latn
        case 0xA28B0000u: // lui -> Latn
        case 0xA68B0000u: // luj -> Latn
        case 0xAE8B0000u: // lul -> Latn
        case 0xB28B0000u: // lum -> Latn
        case 0xB68B0000u: // lun -> Latn
        case 0xBA8B0000u: // luo -> Latn
        case 0xBE8B0000u: // lup -> Latn
        case 0xC28B0000u: // luq -> Latn
        case 0xC68B0000u: // lur -> Latn
        case 0xCA8B0000u: // lus -> Latn
        case 0xCE8B0000u: // lut -> Latn
        case 0xDA8B0000u: // luw -> Latn
        case 0xE28B0000u: // luy -> Latn
        case 0x6C760000u: // lv -> Latn
        case 0x82AB0000u: // lva -> Latn
        case 0xA2AB0000u: // lvi -> Latn
        case 0xAAAB0000u: // lvk -> Latn
        case 0xAEAB0000u: // lvl -> Latn
        case 0xD2AB0000u: // lvu -> Latn
        case 0x82CB0000u: // lwa -> Latn
        case 0x92CB0000u: // lwe -> Latn
        case 0x9ACB0000u: // lwg -> Latn
        case 0x9ECB0000u: // lwh -> Latn
        case 0xBACB0000u: // lwo -> Latn
        case 0xCECB0000u: // lwt -> Latn
        case 0xDACB0000u: // lww -> Latn
        case 0xB2EB0000u: // lxm -> Latn
        case 0xB70B0000u: // lyn -> Latn
        case 0xAF2B0000u: // lzl -> Latn
        case 0xB72B0000u: // lzn -> Latn
        case 0xE72B0000u: // lzz -> Latn
        case 0x800C0000u: // maa -> Latn
        case 0x840C0000u: // mab -> Latn
        case 0x8C0C0000u: // mad -> Latn
        case 0x900C0000u: // mae -> Latn
        case 0x940C0000u: // maf -> Latn
        case 0xA40C0000u: // maj -> Latn
        case 0xA80C0000u: // mak -> Latn
        case 0xB00C0000u: // mam -> Latn
        case 0xB40C0000u: // man -> Latn
        case 0xC00C0000u: // maq -> Latn
        case 0xC80C0000u: // mas -> Latn
        case 0xCC0C0000u: // mat -> Latn
        case 0xD00C0000u: // mau -> Latn
        case 0xD40C0000u: // mav -> Latn
        case 0xD80C0000u: // maw -> Latn
        case 0xDC0C0000u: // max -> Latn
        case 0xE40C0000u: // maz -> Latn
        case 0x802C0000u: // mba -> Latn
        case 0x842C0000u: // mbb -> Latn
        case 0x882C0000u: // mbc -> Latn
        case 0x8C2C0000u: // mbd -> Latn
        case 0x942C0000u: // mbf -> Latn
        case 0x9C2C0000u: // mbh -> Latn
        case 0xA02C0000u: // mbi -> Latn
        case 0xA42C0000u: // mbj -> Latn
        case 0xA82C0000u: // mbk -> Latn
        case 0xAC2C0000u: // mbl -> Latn
        case 0xB02C0000u: // mbm -> Latn
        case 0xB42C0000u: // mbn -> Latn
        case 0xB82C0000u: // mbo -> Latn
        case 0xBC2C0000u: // mbp -> Latn
        case 0xC02C0000u: // mbq -> Latn
        case 0xC42C0000u: // mbr -> Latn
        case 0xC82C0000u: // mbs -> Latn
        case 0xCC2C0000u: // mbt -> Latn
        case 0xD02C0000u: // mbu -> Latn
        case 0xD42C0000u: // mbv -> Latn
        case 0xD82C0000u: // mbw -> Latn
        case 0xDC2C0000u: // mbx -> Latn
        case 0xE42C0000u: // mbz -> Latn
        case 0x804C0000u: // mca -> Latn
        case 0x844C0000u: // mcb -> Latn
        case 0x884C0000u: // mcc -> Latn
        case 0x8C4C0000u: // mcd -> Latn
        case 0x904C0000u: // mce -> Latn
        case 0x944C0000u: // mcf -> Latn
        case 0x984C0000u: // mcg -> Latn
        case 0x9C4C0000u: // mch -> Latn
        case 0xA04C0000u: // mci -> Latn
        case 0xA44C0000u: // mcj -> Latn
        case 0xA84C0000u: // mck -> Latn
        case 0xAC4C0000u: // mcl -> Latn
        case 0xB04C0000u: // mcm -> Latn
        case 0xB44C0000u: // mcn -> Latn
        case 0xB84C0000u: // mco -> Latn
        case 0xBC4C0000u: // mcp -> Latn
        case 0xC04C0000u: // mcq -> Latn
        case 0xC44C0000u: // mcr -> Latn
        case 0xC84C0000u: // mcs -> Latn
        case 0xCC4C0000u: // mct -> Latn
        case 0xD04C0000u: // mcu -> Latn
        case 0xD44C0000u: // mcv -> Latn
        case 0xD84C0000u: // mcw -> Latn
        case 0xDC4C0000u: // mcx -> Latn
        case 0xE04C0000u: // mcy -> Latn
        case 0xE44C0000u: // mcz -> Latn
        case 0x806C0000u: // mda -> Latn
        case 0x846C0000u: // mdb -> Latn
        case 0x886C0000u: // mdc -> Latn
        case 0x8C6C0000u: // mdd -> Latn
        case 0x986C0000u: // mdg -> Latn
        case 0x9C6C0000u: // mdh -> Latn
        case 0xA06C0000u: // mdi -> Latn
        case 0xA46C0000u: // mdj -> Latn
        case 0xA86C0000u: // mdk -> Latn
        case 0xB06C0000u: // mdm -> Latn
        case 0xB46C0000u: // mdn -> Latn
        case 0xBC6C0000u: // mdp -> Latn
        case 0xC06C0000u: // mdq -> Latn
        case 0xC46C0000u: // mdr -> Latn
        case 0xC86C0000u: // mds -> Latn
        case 0xCC6C0000u: // mdt -> Latn
        case 0xD06C0000u: // mdu -> Latn
        case 0xD46C0000u: // mdv -> Latn
        case 0xD86C0000u: // mdw -> Latn
        case 0xE46C0000u: // mdz -> Latn
        case 0x808C0000u: // mea -> Latn
        case 0x848C0000u: // meb -> Latn
        case 0x888C0000u: // mec -> Latn
        case 0x8C8C0000u: // med -> Latn
        case 0x908C0000u: // mee -> Latn
        case 0x9C8C0000u: // meh -> Latn
        case 0xA48C0000u: // mej -> Latn
        case 0xA88C0000u: // mek -> Latn
        case 0xAC8C0000u: // mel -> Latn
        case 0xB08C0000u: // mem -> Latn
        case 0xB48C0000u: // men -> Latn
        case 0xB88C0000u: // meo -> Latn
        case 0xBC8C0000u: // mep -> Latn
        case 0xC08C0000u: // meq -> Latn
        case 0xC48C0000u: // mer -> Latn
        case 0xC88C0000u: // mes -> Latn
        case 0xCC8C0000u: // met -> Latn
        case 0xD08C0000u: // meu -> Latn
        case 0xD48C0000u: // mev -> Latn
        case 0xD88C0000u: // mew -> Latn
        case 0xE08C0000u: // mey -> Latn
        case 0xE48C0000u: // mez -> Latn
        case 0x84AC0000u: // mfb -> Latn
        case 0x88AC0000u: // mfc -> Latn
        case 0x8CAC0000u: // mfd -> Latn
        case 0x90AC0000u: // mfe -> Latn
        case 0x94AC0000u: // mff -> Latn
        case 0x98AC0000u: // mfg -> Latn
        case 0x9CAC0000u: // mfh -> Latn
        case 0xA4AC0000u: // mfj -> Latn
        case 0xA8AC0000u: // mfk -> Latn
        case 0xACAC0000u: // mfl -> Latn
        case 0xB0AC0000u: // mfm -> Latn
        case 0xB4AC0000u: // mfn -> Latn
        case 0xB8AC0000u: // mfo -> Latn
        case 0xBCAC0000u: // mfp -> Latn
        case 0xC0AC0000u: // mfq -> Latn
        case 0xC4AC0000u: // mfr -> Latn
        case 0xCCAC0000u: // mft -> Latn
        case 0xD0AC0000u: // mfu -> Latn
        case 0xD4AC0000u: // mfv -> Latn
        case 0xD8AC0000u: // mfw -> Latn
        case 0xDCAC0000u: // mfx -> Latn
        case 0xE0AC0000u: // mfy -> Latn
        case 0xE4AC0000u: // mfz -> Latn
        case 0x6D670000u: // mg -> Latn
        case 0x84CC0000u: // mgb -> Latn
        case 0x88CC0000u: // mgc -> Latn
        case 0x8CCC0000u: // mgd -> Latn
        case 0x90CC0000u: // mge -> Latn
        case 0x94CC0000u: // mgf -> Latn
        case 0x98CC0000u: // mgg -> Latn
        case 0x9CCC0000u: // mgh -> Latn
        case 0xA0CC0000u: // mgi -> Latn
        case 0xA4CC0000u: // mgj -> Latn
        case 0xA8CC0000u: // mgk -> Latn
        case 0xACCC0000u: // mgl -> Latn
        case 0xB0CC0000u: // mgm -> Latn
        case 0xB4CC0000u: // mgn -> Latn
        case 0xB8CC0000u: // mgo -> Latn
        case 0xC0CC0000u: // mgq -> Latn
        case 0xC4CC0000u: // mgr -> Latn
        case 0xC8CC0000u: // mgs -> Latn
        case 0xCCCC0000u: // mgt -> Latn
        case 0xD0CC0000u: // mgu -> Latn
        case 0xD4CC0000u: // mgv -> Latn
        case 0xD8CC0000u: // mgw -> Latn
        case 0xE0CC0000u: // mgy -> Latn
        case 0xE4CC0000u: // mgz -> Latn
        case 0x6D680000u: // mh -> Latn
        case 0x84EC0000u: // mhb -> Latn
        case 0x88EC0000u: // mhc -> Latn
        case 0x8CEC0000u: // mhd -> Latn
        case 0x90EC0000u: // mhe -> Latn
        case 0x94EC0000u: // mhf -> Latn
        case 0x98EC0000u: // mhg -> Latn
        case 0xA0EC0000u: // mhi -> Latn
        case 0xA8EC0000u: // mhk -> Latn
        case 0xACEC0000u: // mhl -> Latn
        case 0xB0EC0000u: // mhm -> Latn
        case 0xB4EC0000u: // mhn -> Latn
        case 0xB8EC0000u: // mho -> Latn
        case 0xBCEC0000u: // mhp -> Latn
        case 0xC0EC0000u: // mhq -> Latn
        case 0xC8EC0000u: // mhs -> Latn
        case 0xCCEC0000u: // mht -> Latn
        case 0xD0EC0000u: // mhu -> Latn
        case 0xD8EC0000u: // mhw -> Latn
        case 0xDCEC0000u: // mhx -> Latn
        case 0xE0EC0000u: // mhy -> Latn
        case 0xE4EC0000u: // mhz -> Latn
        case 0x6D690000u: // mi -> Latn
        case 0x810C0000u: // mia -> Latn
        case 0x850C0000u: // mib -> Latn
        case 0x890C0000u: // mic -> Latn
        case 0x910C0000u: // mie -> Latn
        case 0x950C0000u: // mif -> Latn
        case 0x990C0000u: // mig -> Latn
        case 0x9D0C0000u: // mih -> Latn
        case 0xA10C0000u: // mii -> Latn
        case 0xA50C0000u: // mij -> Latn
        case 0xA90C0000u: // mik -> Latn
        case 0xAD0C0000u: // mil -> Latn
        case 0xB10C0000u: // mim -> Latn
        case 0xB50C0000u: // min -> Latn
        case 0xB90C0000u: // mio -> Latn
        case 0xBD0C0000u: // mip -> Latn
        case 0xC10C0000u: // miq -> Latn
        case 0xC50C0000u: // mir -> Latn
        case 0xCD0C0000u: // mit -> Latn
        case 0xD10C0000u: // miu -> Latn
        case 0xD90C0000u: // miw -> Latn
        case 0xDD0C0000u: // mix -> Latn
        case 0xE10C0000u: // miy -> Latn
        case 0xE50C0000u: // miz -> Latn
        case 0x852C0000u: // mjb -> Latn
        case 0x892C0000u: // mjc -> Latn
        case 0x8D2C0000u: // mjd -> Latn
        case 0x912C0000u: // mje -> Latn
        case 0x992C0000u: // mjg -> Latn
        case 0x9D2C0000u: // mjh -> Latn
        case 0xA12C0000u: // mji -> Latn
        case 0xA52C0000u: // mjj -> Latn
        case 0xA92C0000u: // mjk -> Latn
        case 0xB12C0000u: // mjm -> Latn
        case 0xB52C0000u: // mjn -> Latn
        case 0xC92C0000u: // mjs -> Latn
        case 0xD92C0000u: // mjw -> Latn
        case 0xDD2C0000u: // mjx -> Latn
        case 0xE12C0000u: // mjy -> Latn
        case 0x814C0000u: // mka -> Latn
        case 0x894C0000u: // mkc -> Latn
        case 0x954C0000u: // mkf -> Latn
        case 0xA54C0000u: // mkj -> Latn
        case 0xA94C0000u: // mkk -> Latn
        case 0xAD4C0000u: // mkl -> Latn
        case 0xB54C0000u: // mkn -> Latn
        case 0xB94C0000u: // mko -> Latn
        case 0xBD4C0000u: // mkp -> Latn
        case 0xC54C0000u: // mkr -> Latn
        case 0xC94C0000u: // mks -> Latn
        case 0xCD4C0000u: // mkt -> Latn
        case 0xD14C0000u: // mku -> Latn
        case 0xD54C0000u: // mkv -> Latn
        case 0xD94C0000u: // mkw -> Latn
        case 0xDD4C0000u: // mkx -> Latn
        case 0xE14C0000u: // mky -> Latn
        case 0xE54C0000u: // mkz -> Latn
        case 0x816C0000u: // mla -> Latn
        case 0x856C0000u: // mlb -> Latn
        case 0x896C0000u: // mlc -> Latn
        case 0x916C0000u: // mle -> Latn
        case 0x9D6C0000u: // mlh -> Latn
        case 0xA16C0000u: // mli -> Latn
        case 0xA56C0000u: // mlj -> Latn
        case 0xA96C0000u: // mlk -> Latn
        case 0xAD6C0000u: // mll -> Latn
        case 0xB56C0000u: // mln -> Latn
        case 0xB96C0000u: // mlo -> Latn
        case 0xBD6C0000u: // mlp -> Latn
        case 0xC16C0000u: // mlq -> Latn
        case 0xC56C0000u: // mlr -> Latn
        case 0xC96C0000u: // mls -> Latn
        case 0xD16C0000u: // mlu -> Latn
        case 0xD56C0000u: // mlv -> Latn
        case 0xD96C0000u: // mlw -> Latn
        case 0xDD6C0000u: // mlx -> Latn
        case 0xE56C0000u: // mlz -> Latn
        case 0x818C0000u: // mma -> Latn
        case 0x858C0000u: // mmb -> Latn
        case 0x898C0000u: // mmc -> Latn
        case 0x8D8C0000u: // mmd -> Latn
        case 0x918C0000u: // mme -> Latn
        case 0x958C0000u: // mmf -> Latn
        case 0x998C0000u: // mmg -> Latn
        case 0x9D8C0000u: // mmh -> Latn
        case 0xA18C0000u: // mmi -> Latn
        case 0xB18C0000u: // mmm -> Latn
        case 0xB58C0000u: // mmn -> Latn
        case 0xB98C0000u: // mmo -> Latn
        case 0xBD8C0000u: // mmp -> Latn
        case 0xC18C0000u: // mmq -> Latn
        case 0xC58C0000u: // mmr -> Latn
        case 0xCD8C0000u: // mmt -> Latn
        case 0xD18C0000u: // mmu -> Latn
        case 0xD58C0000u: // mmv -> Latn
        case 0xD98C0000u: // mmw -> Latn
        case 0xDD8C0000u: // mmx -> Latn
        case 0xE18C0000u: // mmy -> Latn
        case 0xE58C0000u: // mmz -> Latn
        case 0x81AC0000u: // mna -> Latn
        case 0x85AC0000u: // mnb -> Latn
        case 0x8DAC0000u: // mnd -> Latn
        case 0x91AC0000u: // mne -> Latn
        case 0x95AC0000u: // mnf -> Latn
        case 0x99AC0000u: // mng -> Latn
        case 0x9DAC0000u: // mnh -> Latn
        case 0xADAC0000u: // mnl -> Latn
        case 0xB1AC0000u: // mnm -> Latn
        case 0xB5AC0000u: // mnn -> Latn
        case 0xBDAC0000u: // mnp -> Latn
        case 0xC1AC0000u: // mnq -> Latn
        case 0xC5AC0000u: // mnr -> Latn
        case 0xD1AC0000u: // mnu -> Latn
        case 0xD5AC0000u: // mnv -> Latn
        case 0xDDAC0000u: // mnx -> Latn
        case 0xE1AC0000u: // mny -> Latn
        case 0xE5AC0000u: // mnz -> Latn
        case 0x6D6F0000u: // mo -> Latn
        case 0x81CC0000u: // moa -> Latn
        case 0x89CC0000u: // moc -> Latn
        case 0x8DCC0000u: // mod -> Latn
        case 0x91CC0000u: // moe -> Latn
        case 0x99CC0000u: // mog -> Latn
        case 0x9DCC0000u: // moh -> Latn
        case 0xA1CC0000u: // moi -> Latn
        case 0xA5CC0000u: // moj -> Latn
        case 0xA9CC0000u: // mok -> Latn
        case 0xB1CC0000u: // mom -> Latn
        case 0xB9CC0000u: // moo -> Latn
        case 0xBDCC0000u: // mop -> Latn
        case 0xC1CC0000u: // moq -> Latn
        case 0xC5CC0000u: // mor -> Latn
        case 0xC9CC0000u: // mos -> Latn
        case 0xCDCC0000u: // mot -> Latn
        case 0xD1CC0000u: // mou -> Latn
        case 0xD5CC0000u: // mov -> Latn
        case 0xD9CC0000u: // mow -> Latn
        case 0xDDCC0000u: // mox -> Latn
        case 0xE1CC0000u: // moy -> Latn
        case 0xE5CC0000u: // moz -> Latn
        case 0x81EC0000u: // mpa -> Latn
        case 0x85EC0000u: // mpb -> Latn
        case 0x89EC0000u: // mpc -> Latn
        case 0x8DEC0000u: // mpd -> Latn
        case 0x91EC0000u: // mpe -> Latn
        case 0x99EC0000u: // mpg -> Latn
        case 0x9DEC0000u: // mph -> Latn
        case 0xA1EC0000u: // mpi -> Latn
        case 0xA5EC0000u: // mpj -> Latn
        case 0xA9EC0000u: // mpk -> Latn
        case 0xADEC0000u: // mpl -> Latn
        case 0xB1EC0000u: // mpm -> Latn
        case 0xB5EC0000u: // mpn -> Latn
        case 0xB9EC0000u: // mpo -> Latn
        case 0xBDEC0000u: // mpp -> Latn
        case 0xC1EC0000u: // mpq -> Latn
        case 0xC5EC0000u: // mpr -> Latn
        case 0xC9EC0000u: // mps -> Latn
        case 0xCDEC0000u: // mpt -> Latn
        case 0xD1EC0000u: // mpu -> Latn
        case 0xD5EC0000u: // mpv -> Latn
        case 0xD9EC0000u: // mpw -> Latn
        case 0xDDEC0000u: // mpx -> Latn
        case 0xE1EC0000u: // mpy -> Latn
        case 0x820C0000u: // mqa -> Latn
        case 0x860C0000u: // mqb -> Latn
        case 0x8A0C0000u: // mqc -> Latn
        case 0x920C0000u: // mqe -> Latn
        case 0x960C0000u: // mqf -> Latn
        case 0x9A0C0000u: // mqg -> Latn
        case 0x9E0C0000u: // mqh -> Latn
        case 0xA20C0000u: // mqi -> Latn
        case 0xA60C0000u: // mqj -> Latn
        case 0xAA0C0000u: // mqk -> Latn
        case 0xAE0C0000u: // mql -> Latn
        case 0xB20C0000u: // mqm -> Latn
        case 0xB60C0000u: // mqn -> Latn
        case 0xBA0C0000u: // mqo -> Latn
        case 0xBE0C0000u: // mqp -> Latn
        case 0xC20C0000u: // mqq -> Latn
        case 0xC60C0000u: // mqr -> Latn
        case 0xCA0C0000u: // mqs -> Latn
        case 0xD20C0000u: // mqu -> Latn
        case 0xD60C0000u: // mqv -> Latn
        case 0xDA0C0000u: // mqw -> Latn
        case 0xDE0C0000u: // mqx -> Latn
        case 0xE20C0000u: // mqy -> Latn
        case 0xE60C0000u: // mqz -> Latn
        case 0x862C0000u: // mrb -> Latn
        case 0x8A2C0000u: // mrc -> Latn
        case 0x962C0000u: // mrf -> Latn
        case 0x9A2C0000u: // mrg -> Latn
        case 0x9E2C0000u: // mrh -> Latn
        case 0xAA2C0000u: // mrk -> Latn
        case 0xAE2C0000u: // mrl -> Latn
        case 0xB22C0000u: // mrm -> Latn
        case 0xB62C0000u: // mrn -> Latn
        case 0xBE2C0000u: // mrp -> Latn
        case 0xC22C0000u: // mrq -> Latn
        case 0xCA2C0000u: // mrs -> Latn
        case 0xCE2C0000u: // mrt -> Latn
        case 0xD22C0000u: // mru -> Latn
        case 0xD62C0000u: // mrv -> Latn
        case 0xDA2C0000u: // mrw -> Latn
        case 0xDE2C0000u: // mrx -> Latn
        case 0xE22C0000u: // mry -> Latn
        case 0xE62C0000u: // mrz -> Latn
        case 0x6D730000u: // ms -> Latn
        case 0x864C0000u: // msb -> Latn
        case 0x8A4C0000u: // msc -> Latn
        case 0x924C0000u: // mse -> Latn
        case 0x964C0000u: // msf -> Latn
        case 0x9A4C0000u: // msg -> Latn
        case 0x9E4C0000u: // msh -> Latn
        case 0xA24C0000u: // msi -> Latn
        case 0xA64C0000u: // msj -> Latn
        case 0xAA4C0000u: // msk -> Latn
        case 0xAE4C0000u: // msl -> Latn
        case 0xB24C0000u: // msm -> Latn
        case 0xB64C0000u: // msn -> Latn
        case 0xBA4C0000u: // mso -> Latn
        case 0xBE4C0000u: // msp -> Latn
        case 0xC24C0000u: // msq -> Latn
        case 0xCA4C0000u: // mss -> Latn
        case 0xD24C0000u: // msu -> Latn
        case 0xD64C0000u: // msv -> Latn
        case 0xDA4C0000u: // msw -> Latn
        case 0xDE4C0000u: // msx -> Latn
        case 0xE24C0000u: // msy -> Latn
        case 0xE64C0000u: // msz -> Latn
        case 0x6D740000u: // mt -> Latn
        case 0x826C0000u: // mta -> Latn
        case 0x866C0000u: // mtb -> Latn
        case 0x8A6C0000u: // mtc -> Latn
        case 0x8E6C0000u: // mtd -> Latn
        case 0x926C0000u: // mte -> Latn
        case 0x966C0000u: // mtf -> Latn
        case 0x9A6C0000u: // mtg -> Latn
        case 0x9E6C0000u: // mth -> Latn
        case 0xA26C0000u: // mti -> Latn
        case 0xA66C0000u: // mtj -> Latn
        case 0xAA6C0000u: // mtk -> Latn
        case 0xAE6C0000u: // mtl -> Latn
        case 0xB66C0000u: // mtn -> Latn
        case 0xBA6C0000u: // mto -> Latn
        case 0xBE6C0000u: // mtp -> Latn
        case 0xC26C0000u: // mtq -> Latn
        case 0xCA6C0000u: // mts -> Latn
        case 0xCE6C0000u: // mtt -> Latn
        case 0xD26C0000u: // mtu -> Latn
        case 0xD66C0000u: // mtv -> Latn
        case 0xDA6C0000u: // mtw -> Latn
        case 0xDE6C0000u: // mtx -> Latn
        case 0xE26C0000u: // mty -> Latn
        case 0x828C0000u: // mua -> Latn
        case 0x868C0000u: // mub -> Latn
        case 0x8A8C0000u: // muc -> Latn
        case 0x928C0000u: // mue -> Latn
        case 0x9A8C0000u: // mug -> Latn
        case 0x9E8C0000u: // muh -> Latn
        case 0xA28C0000u: // mui -> Latn
        case 0xA68C0000u: // muj -> Latn
        case 0xB28C0000u: // mum -> Latn
        case 0xBA8C0000u: // muo -> Latn
        case 0xC28C0000u: // muq -> Latn
        case 0xC68C0000u: // mur -> Latn
        case 0xCA8C0000u: // mus -> Latn
        case 0xD28C0000u: // muu -> Latn
        case 0xDE8C0000u: // mux -> Latn
        case 0xE28C0000u: // muy -> Latn
        case 0x82AC0000u: // mva -> Latn
        case 0x8EAC0000u: // mvd -> Latn
        case 0x9AAC0000u: // mvg -> Latn
        case 0x9EAC0000u: // mvh -> Latn
        case 0xAAAC0000u: // mvk -> Latn
        case 0xAEAC0000u: // mvl -> Latn
        case 0xB6AC0000u: // mvn -> Latn
        case 0xBAAC0000u: // mvo -> Latn
        case 0xBEAC0000u: // mvp -> Latn
        case 0xC2AC0000u: // mvq -> Latn
        case 0xC6AC0000u: // mvr -> Latn
        case 0xCAAC0000u: // mvs -> Latn
        case 0xCEAC0000u: // mvt -> Latn
        case 0xD2AC0000u: // mvu -> Latn
        case 0xD6AC0000u: // mvv -> Latn
        case 0xDAAC0000u: // mvw -> Latn
        case 0xDEAC0000u: // mvx -> Latn
        case 0x82CC0000u: // mwa -> Latn
        case 0x86CC0000u: // mwb -> Latn
        case 0x8ACC0000u: // mwc -> Latn
        case 0x92CC0000u: // mwe -> Latn
        case 0x96CC0000u: // mwf -> Latn
        case 0x9ACC0000u: // mwg -> Latn
        case 0x9ECC0000u: // mwh -> Latn
        case 0xA2CC0000u: // mwi -> Latn
        case 0xAACC0000u: // mwk -> Latn
        case 0xAECC0000u: // mwl -> Latn
        case 0xB2CC0000u: // mwm -> Latn
        case 0xB6CC0000u: // mwn -> Latn
        case 0xBACC0000u: // mwo -> Latn
        case 0xBECC0000u: // mwp -> Latn
        case 0xC2CC0000u: // mwq -> Latn
        case 0xCACC0000u: // mws -> Latn
        case 0xD2CC0000u: // mwu -> Latn
        case 0xD6CC0000u: // mwv -> Latn
        case 0xE6CC0000u: // mwz -> Latn
        case 0x82EC0000u: // mxa -> Latn
        case 0x86EC0000u: // mxb -> Latn
        case 0x8AEC0000u: // mxc -> Latn
        case 0x8EEC0000u: // mxd -> Latn
        case 0x92EC0000u: // mxe -> Latn
        case 0x96EC0000u: // mxf -> Latn
        case 0x9AEC0000u: // mxg -> Latn
        case 0x9EEC0000u: // mxh -> Latn
        case 0xA2EC0000u: // mxi -> Latn
        case 0xA6EC0000u: // mxj -> Latn
        case 0xAAEC0000u: // mxk -> Latn
        case 0xAEEC0000u: // mxl -> Latn
        case 0xB2EC0000u: // mxm -> Latn
        case 0xB6EC0000u: // mxn -> Latn
        case 0xBAEC0000u: // mxo -> Latn
        case 0xBEEC0000u: // mxp -> Latn
        case 0xC2EC0000u: // mxq -> Latn
        case 0xC6EC0000u: // mxr -> Latn
        case 0xCAEC0000u: // mxs -> Latn
        case 0xCEEC0000u: // mxt -> Latn
        case 0xD2EC0000u: // mxu -> Latn
        case 0xD6EC0000u: // mxv -> Latn
        case 0xDAEC0000u: // mxw -> Latn
        case 0xDEEC0000u: // mxx -> Latn
        case 0xE2EC0000u: // mxy -> Latn
        case 0xE6EC0000u: // mxz -> Latn
        case 0x870C0000u: // myb -> Latn
        case 0x8B0C0000u: // myc -> Latn
        case 0x930C0000u: // mye -> Latn
        case 0x970C0000u: // myf -> Latn
        case 0x9B0C0000u: // myg -> Latn
        case 0x9F0C0000u: // myh -> Latn
        case 0xA70C0000u: // myj -> Latn
        case 0xAB0C0000u: // myk -> Latn
        case 0xAF0C0000u: // myl -> Latn
        case 0xBF0C0000u: // myp -> Latn
        case 0xC70C0000u: // myr -> Latn
        case 0xD30C0000u: // myu -> Latn
        case 0xDB0C0000u: // myw -> Latn
        case 0xDF0C0000u: // myx -> Latn
        case 0xE30C0000u: // myy -> Latn
        case 0x832C0000u: // mza -> Latn
        case 0x8F2C0000u: // mzd -> Latn
        case 0x932C0000u: // mze -> Latn
        case 0x9F2C0000u: // mzh -> Latn
        case 0xA32C0000u: // mzi -> Latn
        case 0xA72C0000u: // mzj -> Latn
        case 0xAB2C0000u: // mzk -> Latn
        case 0xAF2C0000u: // mzl -> Latn
        case 0xB32C0000u: // mzm -> Latn
        case 0xBB2C0000u: // mzo -> Latn
        case 0xBF2C0000u: // mzp -> Latn
        case 0xC32C0000u: // mzq -> Latn
        case 0xC72C0000u: // mzr -> Latn
        case 0xCF2C0000u: // mzt -> Latn
        case 0xD32C0000u: // mzu -> Latn
        case 0xD72C0000u: // mzv -> Latn
        case 0xDB2C0000u: // mzw -> Latn
        case 0xDF2C0000u: // mzx -> Latn
        case 0xE72C0000u: // mzz -> Latn
        case 0x6E610000u: // na -> Latn
        case 0x800D0000u: // naa -> Latn
        case 0x840D0000u: // nab -> Latn
        case 0x880D0000u: // nac -> Latn
        case 0x900D0000u: // nae -> Latn
        case 0x940D0000u: // naf -> Latn
        case 0x980D0000u: // nag -> Latn
        case 0xA40D0000u: // naj -> Latn
        case 0xA80D0000u: // nak -> Latn
        case 0xAC0D0000u: // nal -> Latn
        case 0xB00D0000u: // nam -> Latn
        case 0xBC0D0000u: // nap -> Latn
        case 0xC00D0000u: // naq -> Latn
        case 0xC40D0000u: // nar -> Latn
        case 0xC80D0000u: // nas -> Latn
        case 0xCC0D0000u: // nat -> Latn
        case 0xD80D0000u: // naw -> Latn
        case 0xDC0D0000u: // nax -> Latn
        case 0xE00D0000u: // nay -> Latn
        case 0xE40D0000u: // naz -> Latn
        case 0x6E620000u: // nb -> Latn
        case 0x802D0000u: // nba -> Latn
        case 0x842D0000u: // nbb -> Latn
        case 0x882D0000u: // nbc -> Latn
        case 0x8C2D0000u: // nbd -> Latn
        case 0x902D0000u: // nbe -> Latn
        case 0x9C2D0000u: // nbh -> Latn
        case 0xA02D0000u: // nbi -> Latn
        case 0xA42D0000u: // nbj -> Latn
        case 0xA82D0000u: // nbk -> Latn
        case 0xB02D0000u: // nbm -> Latn
        case 0xB42D0000u: // nbn -> Latn
        case 0xB82D0000u: // nbo -> Latn
        case 0xBC2D0000u: // nbp -> Latn
        case 0xC02D0000u: // nbq -> Latn
        case 0xC42D0000u: // nbr -> Latn
        case 0xCC2D0000u: // nbt -> Latn
        case 0xD02D0000u: // nbu -> Latn
        case 0xD42D0000u: // nbv -> Latn
        case 0xD82D0000u: // nbw -> Latn
        case 0xE02D0000u: // nby -> Latn
        case 0x804D0000u: // nca -> Latn
        case 0x844D0000u: // ncb -> Latn
        case 0x884D0000u: // ncc -> Latn
        case 0x904D0000u: // nce -> Latn
        case 0x944D0000u: // ncf -> Latn
        case 0x984D0000u: // ncg -> Latn
        case 0x9C4D0000u: // nch -> Latn
        case 0xA04D0000u: // nci -> Latn
        case 0xA44D0000u: // ncj -> Latn
        case 0xA84D0000u: // nck -> Latn
        case 0xAC4D0000u: // ncl -> Latn
        case 0xB04D0000u: // ncm -> Latn
        case 0xB44D0000u: // ncn -> Latn
        case 0xB84D0000u: // nco -> Latn
        case 0xC44D0000u: // ncr -> Latn
        case 0xCC4D0000u: // nct -> Latn
        case 0xD04D0000u: // ncu -> Latn
        case 0xDC4D0000u: // ncx -> Latn
        case 0xE44D0000u: // ncz -> Latn
        case 0x6E640000u: // nd -> Latn
        case 0x806D0000u: // nda -> Latn
        case 0x846D0000u: // ndb -> Latn
        case 0x886D0000u: // ndc -> Latn
        case 0x8C6D0000u: // ndd -> Latn
        case 0x986D0000u: // ndg -> Latn
        case 0x9C6D0000u: // ndh -> Latn
        case 0xA06D0000u: // ndi -> Latn
        case 0xA46D0000u: // ndj -> Latn
        case 0xA86D0000u: // ndk -> Latn
        case 0xAC6D0000u: // ndl -> Latn
        case 0xB06D0000u: // ndm -> Latn
        case 0xB46D0000u: // ndn -> Latn
        case 0xBC6D0000u: // ndp -> Latn
        case 0xC06D0000u: // ndq -> Latn
        case 0xC46D0000u: // ndr -> Latn
        case 0xC86D0000u: // nds -> Latn
        case 0xCC6D0000u: // ndt -> Latn
        case 0xD06D0000u: // ndu -> Latn
        case 0xD46D0000u: // ndv -> Latn
        case 0xD86D0000u: // ndw -> Latn
        case 0xDC6D0000u: // ndx -> Latn
        case 0xE06D0000u: // ndy -> Latn
        case 0xE46D0000u: // ndz -> Latn
        case 0x808D0000u: // nea -> Latn
        case 0x848D0000u: // neb -> Latn
        case 0x888D0000u: // nec -> Latn
        case 0x8C8D0000u: // ned -> Latn
        case 0x908D0000u: // nee -> Latn
        case 0xA48D0000u: // nej -> Latn
        case 0xA88D0000u: // nek -> Latn
        case 0xB08D0000u: // nem -> Latn
        case 0xB48D0000u: // nen -> Latn
        case 0xB88D0000u: // neo -> Latn
        case 0xC08D0000u: // neq -> Latn
        case 0xC48D0000u: // ner -> Latn
        case 0xCC8D0000u: // net -> Latn
        case 0xD08D0000u: // neu -> Latn
        case 0xDC8D0000u: // nex -> Latn
        case 0xE08D0000u: // ney -> Latn
        case 0xE48D0000u: // nez -> Latn
        case 0x80AD0000u: // nfa -> Latn
        case 0x8CAD0000u: // nfd -> Latn
        case 0xACAD0000u: // nfl -> Latn
        case 0xC4AD0000u: // nfr -> Latn
        case 0xD0AD0000u: // nfu -> Latn
        case 0x6E670000u: // ng -> Latn
        case 0x80CD0000u: // nga -> Latn
        case 0x84CD0000u: // ngb -> Latn
        case 0x88CD0000u: // ngc -> Latn
        case 0x8CCD0000u: // ngd -> Latn
        case 0x90CD0000u: // nge -> Latn
        case 0x98CD0000u: // ngg -> Latn
        case 0x9CCD0000u: // ngh -> Latn
        case 0xA0CD0000u: // ngi -> Latn
        case 0xA4CD0000u: // ngj -> Latn
        case 0xA8CD0000u: // ngk -> Latn
        case 0xACCD0000u: // ngl -> Latn
        case 0xB0CD0000u: // ngm -> Latn
        case 0xB4CD0000u: // ngn -> Latn
        case 0xBCCD0000u: // ngp -> Latn
        case 0xC0CD0000u: // ngq -> Latn
        case 0xC4CD0000u: // ngr -> Latn
        case 0xC8CD0000u: // ngs -> Latn
        case 0xD0CD0000u: // ngu -> Latn
        case 0xD4CD0000u: // ngv -> Latn
        case 0xD8CD0000u: // ngw -> Latn
        case 0xDCCD0000u: // ngx -> Latn
        case 0xE0CD0000u: // ngy -> Latn
        case 0xE4CD0000u: // ngz -> Latn
        case 0x80ED0000u: // nha -> Latn
        case 0x84ED0000u: // nhb -> Latn
        case 0x88ED0000u: // nhc -> Latn
        case 0x8CED0000u: // nhd -> Latn
        case 0x90ED0000u: // nhe -> Latn
        case 0x94ED0000u: // nhf -> Latn
        case 0x98ED0000u: // nhg -> Latn
        case 0xA0ED0000u: // nhi -> Latn
        case 0xA8ED0000u: // nhk -> Latn
        case 0xB0ED0000u: // nhm -> Latn
        case 0xB4ED0000u: // nhn -> Latn
        case 0xB8ED0000u: // nho -> Latn
        case 0xBCED0000u: // nhp -> Latn
        case 0xC0ED0000u: // nhq -> Latn
        case 0xC4ED0000u: // nhr -> Latn
        case 0xCCED0000u: // nht -> Latn
        case 0xD0ED0000u: // nhu -> Latn
        case 0xD4ED0000u: // nhv -> Latn
        case 0xD8ED0000u: // nhw -> Latn
        case 0xDCED0000u: // nhx -> Latn
        case 0xE0ED0000u: // nhy -> Latn
        case 0xE4ED0000u: // nhz -> Latn
        case 0x810D0000u: // nia -> Latn
        case 0x850D0000u: // nib -> Latn
        case 0x8D0D0000u: // nid -> Latn
        case 0x910D0000u: // nie -> Latn
        case 0x950D0000u: // nif -> Latn
        case 0x990D0000u: // nig -> Latn
        case 0x9D0D0000u: // nih -> Latn
        case 0xA10D0000u: // nii -> Latn
        case 0xA50D0000u: // nij -> Latn
        case 0xAD0D0000u: // nil -> Latn
        case 0xB10D0000u: // nim -> Latn
        case 0xB50D0000u: // nin -> Latn
        case 0xC10D0000u: // niq -> Latn
        case 0xC50D0000u: // nir -> Latn
        case 0xC90D0000u: // nis -> Latn
        case 0xD10D0000u: // niu -> Latn
        case 0xD90D0000u: // niw -> Latn
        case 0xDD0D0000u: // nix -> Latn
        case 0xE10D0000u: // niy -> Latn
        case 0xE50D0000u: // niz -> Latn
        case 0x812D0000u: // nja -> Latn
        case 0x852D0000u: // njb -> Latn
        case 0x8D2D0000u: // njd -> Latn
        case 0x9D2D0000u: // njh -> Latn
        case 0xA12D0000u: // nji -> Latn
        case 0xA52D0000u: // njj -> Latn
        case 0xAD2D0000u: // njl -> Latn
        case 0xB12D0000u: // njm -> Latn
        case 0xB52D0000u: // njn -> Latn
        case 0xB92D0000u: // njo -> Latn
        case 0xC52D0000u: // njr -> Latn
        case 0xC92D0000u: // njs -> Latn
        case 0xCD2D0000u: // njt -> Latn
        case 0xD12D0000u: // nju -> Latn
        case 0xDD2D0000u: // njx -> Latn
        case 0xE12D0000u: // njy -> Latn
        case 0xE52D0000u: // njz -> Latn
        case 0x814D0000u: // nka -> Latn
        case 0x854D0000u: // nkb -> Latn
        case 0x894D0000u: // nkc -> Latn
        case 0x8D4D0000u: // nkd -> Latn
        case 0x914D0000u: // nke -> Latn
        case 0x954D0000u: // nkf -> Latn
        case 0x994D0000u: // nkg -> Latn
        case 0x9D4D0000u: // nkh -> Latn
        case 0xA14D0000u: // nki -> Latn
        case 0xA54D0000u: // nkj -> Latn
        case 0xA94D0000u: // nkk -> Latn
        case 0xB14D0000u: // nkm -> Latn
        case 0xB54D0000u: // nkn -> Latn
        case 0xB94D0000u: // nko -> Latn
        case 0xC14D0000u: // nkq -> Latn
        case 0xC54D0000u: // nkr -> Latn
        case 0xC94D0000u: // nks -> Latn
        case 0xCD4D0000u: // nkt -> Latn
        case 0xD14D0000u: // nku -> Latn
        case 0xD54D0000u: // nkv -> Latn
        case 0xD94D0000u: // nkw -> Latn
        case 0xDD4D0000u: // nkx -> Latn
        case 0xE54D0000u: // nkz -> Latn
        case 0x6E6C0000u: // nl -> Latn
        case 0x816D0000u: // nla -> Latn
        case 0x896D0000u: // nlc -> Latn
        case 0x916D0000u: // nle -> Latn
        case 0x996D0000u: // nlg -> Latn
        case 0xA56D0000u: // nlj -> Latn
        case 0xA96D0000u: // nlk -> Latn
        case 0xB96D0000u: // nlo -> Latn
        case 0xC16D0000u: // nlq -> Latn
        case 0xD16D0000u: // nlu -> Latn
        case 0xD56D0000u: // nlv -> Latn
        case 0xD96D0000u: // nlw -> Latn
        case 0xE16D0000u: // nly -> Latn
        case 0xE56D0000u: // nlz -> Latn
        case 0x818D0000u: // nma -> Latn
        case 0x858D0000u: // nmb -> Latn
        case 0x898D0000u: // nmc -> Latn
        case 0x8D8D0000u: // nmd -> Latn
        case 0x918D0000u: // nme -> Latn
        case 0x958D0000u: // nmf -> Latn
        case 0x998D0000u: // nmg -> Latn
        case 0x9D8D0000u: // nmh -> Latn
        case 0xA18D0000u: // nmi -> Latn
        case 0xA58D0000u: // nmj -> Latn
        case 0xA98D0000u: // nmk -> Latn
        case 0xAD8D0000u: // nml -> Latn
        case 0xB58D0000u: // nmn -> Latn
        case 0xB98D0000u: // nmo -> Latn
        case 0xBD8D0000u: // nmp -> Latn
        case 0xC18D0000u: // nmq -> Latn
        case 0xC58D0000u: // nmr -> Latn
        case 0xC98D0000u: // nms -> Latn
        case 0xCD8D0000u: // nmt -> Latn
        case 0xD18D0000u: // nmu -> Latn
        case 0xD58D0000u: // nmv -> Latn
        case 0xD98D0000u: // nmw -> Latn
        case 0xDD8D0000u: // nmx -> Latn
        case 0xE58D0000u: // nmz -> Latn
        case 0x6E6E0000u: // nn -> Latn
        case 0x81AD0000u: // nna -> Latn
        case 0x85AD0000u: // nnb -> Latn
        case 0x89AD0000u: // nnc -> Latn
        case 0x8DAD0000u: // nnd -> Latn
        case 0x91AD0000u: // nne -> Latn
        case 0x95AD0000u: // nnf -> Latn
        case 0x99AD0000u: // nng -> Latn
        case 0x9DAD0000u: // nnh -> Latn
        case 0xA1AD0000u: // nni -> Latn
        case 0xA5AD0000u: // nnj -> Latn
        case 0xA9AD0000u: // nnk -> Latn
        case 0xADAD0000u: // nnl -> Latn
        case 0xB1AD0000u: // nnm -> Latn
        case 0xB5AD0000u: // nnn -> Latn
        case 0xC1AD0000u: // nnq -> Latn
        case 0xC5AD0000u: // nnr -> Latn
        case 0xCDAD0000u: // nnt -> Latn
        case 0xD1AD0000u: // nnu -> Latn
        case 0xD5AD0000u: // nnv -> Latn
        case 0xD9AD0000u: // nnw -> Latn
        case 0xE1AD0000u: // nny -> Latn
        case 0xE5AD0000u: // nnz -> Latn
        case 0x6E6F0000u: // no -> Latn
        case 0x81CD0000u: // noa -> Latn
        case 0x89CD0000u: // noc -> Latn
        case 0x95CD0000u: // nof -> Latn
        case 0x9DCD0000u: // noh -> Latn
        case 0xA5CD0000u: // noj -> Latn
        case 0xA9CD0000u: // nok -> Latn
        case 0xBDCD0000u: // nop -> Latn
        case 0xC1CD0000u: // noq -> Latn
        case 0xCDCD0000u: // not -> Latn
        case 0xD1CD0000u: // nou -> Latn
        case 0xD5CD0000u: // nov -> Latn
        case 0xD9CD0000u: // now -> Latn
        case 0xE1CD0000u: // noy -> Latn
        case 0x99ED0000u: // npg -> Latn
        case 0x9DED0000u: // nph -> Latn
        case 0xADED0000u: // npl -> Latn
        case 0xB5ED0000u: // npn -> Latn
        case 0xB9ED0000u: // npo -> Latn
        case 0xC9ED0000u: // nps -> Latn
        case 0xD1ED0000u: // npu -> Latn
        case 0xDDED0000u: // npx -> Latn
        case 0xE1ED0000u: // npy -> Latn
        case 0x9A0D0000u: // nqg -> Latn
        case 0xAA0D0000u: // nqk -> Latn
        case 0xAE0D0000u: // nql -> Latn
        case 0xB20D0000u: // nqm -> Latn
        case 0xB60D0000u: // nqn -> Latn
        case 0xC20D0000u: // nqq -> Latn
        case 0xCE0D0000u: // nqt -> Latn
        case 0xE20D0000u: // nqy -> Latn
        case 0x6E720000u: // nr -> Latn
        case 0x822D0000u: // nra -> Latn
        case 0x862D0000u: // nrb -> Latn
        case 0x922D0000u: // nre -> Latn
        case 0x962D0000u: // nrf -> Latn
        case 0x9A2D0000u: // nrg -> Latn
        case 0xA22D0000u: // nri -> Latn
        case 0xAA2D0000u: // nrk -> Latn
        case 0xAE2D0000u: // nrl -> Latn
        case 0xB22D0000u: // nrm -> Latn
        case 0xBE2D0000u: // nrp -> Latn
        case 0xD22D0000u: // nru -> Latn
        case 0xDE2D0000u: // nrx -> Latn
        case 0xE62D0000u: // nrz -> Latn
        case 0x824D0000u: // nsa -> Latn
        case 0x864D0000u: // nsb -> Latn
        case 0x8A4D0000u: // nsc -> Latn
        case 0x924D0000u: // nse -> Latn
        case 0x9A4D0000u: // nsg -> Latn
        case 0x9E4D0000u: // nsh -> Latn
        case 0xB24D0000u: // nsm -> Latn
        case 0xB64D0000u: // nsn -> Latn
        case 0xBA4D0000u: // nso -> Latn
        case 0xC24D0000u: // nsq -> Latn
        case 0xCA4D0000u: // nss -> Latn
        case 0xD24D0000u: // nsu -> Latn
        case 0xDA4D0000u: // nsw -> Latn
        case 0xDE4D0000u: // nsx -> Latn
        case 0xE24D0000u: // nsy -> Latn
        case 0xE64D0000u: // nsz -> Latn
        case 0x8E6D0000u: // ntd -> Latn
        case 0x926D0000u: // nte -> Latn
        case 0x9A6D0000u: // ntg -> Latn
        case 0xA26D0000u: // nti -> Latn
        case 0xA66D0000u: // ntj -> Latn
        case 0xAA6D0000u: // ntk -> Latn
        case 0xB26D0000u: // ntm -> Latn
        case 0xBA6D0000u: // nto -> Latn
        case 0xBE6D0000u: // ntp -> Latn
        case 0xC66D0000u: // ntr -> Latn
        case 0xD26D0000u: // ntu -> Latn
        case 0xDE6D0000u: // ntx -> Latn
        case 0x828D0000u: // nua -> Latn
        case 0x8A8D0000u: // nuc -> Latn
        case 0x8E8D0000u: // nud -> Latn
        case 0x928D0000u: // nue -> Latn
        case 0x968D0000u: // nuf -> Latn
        case 0x9A8D0000u: // nug -> Latn
        case 0x9E8D0000u: // nuh -> Latn
        case 0xA28D0000u: // nui -> Latn
        case 0xA68D0000u: // nuj -> Latn
        case 0xAA8D0000u: // nuk -> Latn
        case 0xB28D0000u: // num -> Latn
        case 0xB68D0000u: // nun -> Latn
        case 0xBA8D0000u: // nuo -> Latn
        case 0xBE8D0000u: // nup -> Latn
        case 0xC28D0000u: // nuq -> Latn
        case 0xC68D0000u: // nur -> Latn
        case 0xCA8D0000u: // nus -> Latn
        case 0xCE8D0000u: // nut -> Latn
        case 0xD28D0000u: // nuu -> Latn
        case 0xD68D0000u: // nuv -> Latn
        case 0xDA8D0000u: // nuw -> Latn
        case 0xDE8D0000u: // nux -> Latn
        case 0xE28D0000u: // nuy -> Latn
        case 0xE68D0000u: // nuz -> Latn
        case 0x6E760000u: // nv -> Latn
        case 0x9EAD0000u: // nvh -> Latn
        case 0xB2AD0000u: // nvm -> Latn
        case 0xBAAD0000u: // nvo -> Latn
        case 0x86CD0000u: // nwb -> Latn
        case 0x92CD0000u: // nwe -> Latn
        case 0x9ACD0000u: // nwg -> Latn
        case 0xA2CD0000u: // nwi -> Latn
        case 0xB2CD0000u: // nwm -> Latn
        case 0xBACD0000u: // nwo -> Latn
        case 0xC6CD0000u: // nwr -> Latn
        case 0xDACD0000u: // nww -> Latn
        case 0x82ED0000u: // nxa -> Latn
        case 0x8EED0000u: // nxd -> Latn
        case 0x92ED0000u: // nxe -> Latn
        case 0x9AED0000u: // nxg -> Latn
        case 0xA2ED0000u: // nxi -> Latn
        case 0xAEED0000u: // nxl -> Latn
        case 0xB6ED0000u: // nxn -> Latn
        case 0xBAED0000u: // nxo -> Latn
        case 0xC2ED0000u: // nxq -> Latn
        case 0xC6ED0000u: // nxr -> Latn
        case 0xDEED0000u: // nxx -> Latn
        case 0x6E790000u: // ny -> Latn
        case 0x870D0000u: // nyb -> Latn
        case 0x8B0D0000u: // nyc -> Latn
        case 0x8F0D0000u: // nyd -> Latn
        case 0x930D0000u: // nye -> Latn
        case 0x970D0000u: // nyf -> Latn
        case 0x9B0D0000u: // nyg -> Latn
        case 0x9F0D0000u: // nyh -> Latn
        case 0xA30D0000u: // nyi -> Latn
        case 0xA70D0000u: // nyj -> Latn
        case 0xAB0D0000u: // nyk -> Latn
        case 0xB30D0000u: // nym -> Latn
        case 0xB70D0000u: // nyn -> Latn
        case 0xBB0D0000u: // nyo -> Latn
        case 0xBF0D0000u: // nyp -> Latn
        case 0xC70D0000u: // nyr -> Latn
        case 0xCB0D0000u: // nys -> Latn
        case 0xCF0D0000u: // nyt -> Latn
        case 0xD30D0000u: // nyu -> Latn
        case 0xD70D0000u: // nyv -> Latn
        case 0xDF0D0000u: // nyx -> Latn
        case 0xE30D0000u: // nyy -> Latn
        case 0x832D0000u: // nza -> Latn
        case 0x872D0000u: // nzb -> Latn
        case 0x8F2D0000u: // nzd -> Latn
        case 0xA32D0000u: // nzi -> Latn
        case 0xAB2D0000u: // nzk -> Latn
        case 0xB32D0000u: // nzm -> Latn
        case 0xC72D0000u: // nzr -> Latn
        case 0xD32D0000u: // nzu -> Latn
        case 0xE32D0000u: // nzy -> Latn
        case 0xE72D0000u: // nzz -> Latn
        case 0xA02E0000u: // obi -> Latn
        case 0xA82E0000u: // obk -> Latn
        case 0xAC2E0000u: // obl -> Latn
        case 0xB82E0000u: // obo -> Latn
        case 0xCC2E0000u: // obt -> Latn
        case 0xD02E0000u: // obu -> Latn
        case 0x6F630000u: // oc -> Latn
        case 0x804E0000u: // oca -> Latn
        case 0xB84E0000u: // oco -> Latn
        case 0xD04E0000u: // ocu -> Latn
        case 0x806E0000u: // oda -> Latn
        case 0xCC6E0000u: // odt -> Latn
        case 0xD06E0000u: // odu -> Latn
        case 0xC8AE0000u: // ofs -> Latn
        case 0xD0AE0000u: // ofu -> Latn
        case 0x84CE0000u: // ogb -> Latn
        case 0x88CE0000u: // ogc -> Latn
        case 0x98CE0000u: // ogg -> Latn
        case 0xB8CE0000u: // ogo -> Latn
        case 0xD0CE0000u: // ogu -> Latn
        case 0xD0EE0000u: // ohu -> Latn
        case 0x810E0000u: // oia -> Latn
        case 0x910E0000u: // oie -> Latn
        case 0xB50E0000u: // oin -> Latn
        case 0x852E0000u: // ojb -> Latn
        case 0x892E0000u: // ojc -> Latn
        case 0xD52E0000u: // ojv -> Latn
        case 0xD92E0000u: // ojw -> Latn
        case 0x814E0000u: // oka -> Latn
        case 0x854E0000u: // okb -> Latn
        case 0x894E0000u: // okc -> Latn
        case 0x8D4E0000u: // okd -> Latn
        case 0x914E0000u: // oke -> Latn
        case 0x994E0000u: // okg -> Latn
        case 0xA14E0000u: // oki -> Latn
        case 0xA94E0000u: // okk -> Latn
        case 0xC54E0000u: // okr -> Latn
        case 0xC94E0000u: // oks -> Latn
        case 0xD14E0000u: // oku -> Latn
        case 0xD54E0000u: // okv -> Latn
        case 0xDD4E0000u: // okx -> Latn
        case 0x8D6E0000u: // old -> Latn
        case 0xA96E0000u: // olk -> Latn
        case 0xB16E0000u: // olm -> Latn
        case 0xB96E0000u: // olo -> Latn
        case 0xC56E0000u: // olr -> Latn
        case 0xCD6E0000u: // olt -> Latn
        case 0xD16E0000u: // olu -> Latn
        case 0x6F6D0000u: // om -> Latn
        case 0x818E0000u: // oma -> Latn
        case 0x858E0000u: // omb -> Latn
        case 0x898E0000u: // omc -> Latn
        case 0x998E0000u: // omg -> Latn
        case 0xA18E0000u: // omi -> Latn
        case 0xAD8E0000u: // oml -> Latn
        case 0xB98E0000u: // omo -> Latn
        case 0xCD8E0000u: // omt -> Latn
        case 0xD18E0000u: // omu -> Latn
        case 0xD98E0000u: // omw -> Latn
        case 0x81AE0000u: // ona -> Latn
        case 0x91AE0000u: // one -> Latn
        case 0x99AE0000u: // ong -> Latn
        case 0xA1AE0000u: // oni -> Latn
        case 0xA5AE0000u: // onj -> Latn
        case 0xA9AE0000u: // onk -> Latn
        case 0xB5AE0000u: // onn -> Latn
        case 0xB9AE0000u: // ono -> Latn
        case 0xBDAE0000u: // onp -> Latn
        case 0xC5AE0000u: // onr -> Latn
        case 0xC9AE0000u: // ons -> Latn
        case 0xCDAE0000u: // ont -> Latn
        case 0xD1AE0000u: // onu -> Latn
        case 0xDDAE0000u: // onx -> Latn
        case 0x8DCE0000u: // ood -> Latn
        case 0xC5CE0000u: // oor -> Latn
        case 0x81EE0000u: // opa -> Latn
        case 0xA9EE0000u: // opk -> Latn
        case 0xB1EE0000u: // opm -> Latn
        case 0xB9EE0000u: // opo -> Latn
        case 0xCDEE0000u: // opt -> Latn
        case 0xE1EE0000u: // opy -> Latn
        case 0x822E0000u: // ora -> Latn
        case 0x8A2E0000u: // orc -> Latn
        case 0x922E0000u: // ore -> Latn
        case 0x9A2E0000u: // org -> Latn
        case 0xB62E0000u: // orn -> Latn
        case 0xBA2E0000u: // oro -> Latn
        case 0xC62E0000u: // orr -> Latn
        case 0xCA2E0000u: // ors -> Latn
        case 0xDA2E0000u: // orw -> Latn
        case 0xDE2E0000u: // orx -> Latn
        case 0xE62E0000u: // orz -> Latn
        case 0xBA4E0000u: // oso -> Latn
        case 0xBE4E0000u: // osp -> Latn
        case 0xCE4E0000u: // ost -> Latn
        case 0xD24E0000u: // osu -> Latn
        case 0xDE4E0000u: // osx -> Latn
        case 0x8E6E0000u: // otd -> Latn
        case 0x926E0000u: // ote -> Latn
        case 0xA26E0000u: // oti -> Latn
        case 0xAE6E0000u: // otl -> Latn
        case 0xB26E0000u: // otm -> Latn
        case 0xB66E0000u: // otn -> Latn
        case 0xC26E0000u: // otq -> Latn
        case 0xC66E0000u: // otr -> Latn
        case 0xCA6E0000u: // ots -> Latn
        case 0xCE6E0000u: // ott -> Latn
        case 0xD26E0000u: // otu -> Latn
        case 0xDA6E0000u: // otw -> Latn
        case 0xDE6E0000u: // otx -> Latn
        case 0xE66E0000u: // otz -> Latn
        case 0x868E0000u: // oub -> Latn
        case 0x928E0000u: // oue -> Latn
        case 0xB28E0000u: // oum -> Latn
        case 0x8EAE0000u: // ovd -> Latn
        case 0xA2CE0000u: // owi -> Latn
        case 0xAECE0000u: // owl -> Latn
        case 0x8F0E0000u: // oyd -> Latn
        case 0xB30E0000u: // oym -> Latn
        case 0xE30E0000u: // oyy -> Latn
        case 0xB32E0000u: // ozm -> Latn
        case 0x840F0000u: // pab -> Latn
        case 0x880F0000u: // pac -> Latn
        case 0x8C0F0000u: // pad -> Latn
        case 0x900F0000u: // pae -> Latn
        case 0x940F0000u: // paf -> Latn
        case 0x980F0000u: // pag -> Latn
        case 0x9C0F0000u: // pah -> Latn
        case 0xA00F0000u: // pai -> Latn
        case 0xA80F0000u: // pak -> Latn
        case 0xB00F0000u: // pam -> Latn
        case 0xB80F0000u: // pao -> Latn
        case 0xBC0F0000u: // pap -> Latn
        case 0xC40F0000u: // par -> Latn
        case 0xC80F0000u: // pas -> Latn
        case 0xD00F0000u: // pau -> Latn
        case 0xD40F0000u: // pav -> Latn
        case 0xD80F0000u: // paw -> Latn
        case 0xDC0F0000u: // pax -> Latn
        case 0xE00F0000u: // pay -> Latn
        case 0xE40F0000u: // paz -> Latn
        case 0x842F0000u: // pbb -> Latn
        case 0x882F0000u: // pbc -> Latn
        case 0x902F0000u: // pbe -> Latn
        case 0x942F0000u: // pbf -> Latn
        case 0x982F0000u: // pbg -> Latn
        case 0x9C2F0000u: // pbh -> Latn
        case 0xA02F0000u: // pbi -> Latn
        case 0xAC2F0000u: // pbl -> Latn
        case 0xB02F0000u: // pbm -> Latn
        case 0xB42F0000u: // pbn -> Latn
        case 0xB82F0000u: // pbo -> Latn
        case 0xBC2F0000u: // pbp -> Latn
        case 0xC42F0000u: // pbr -> Latn
        case 0xC82F0000u: // pbs -> Latn
        case 0xD42F0000u: // pbv -> Latn
        case 0xE02F0000u: // pby -> Latn
        case 0x804F0000u: // pca -> Latn
        case 0x884F0000u: // pcc -> Latn
        case 0x8C4F0000u: // pcd -> Latn
        case 0xA84F0000u: // pck -> Latn
        case 0xB04F0000u: // pcm -> Latn
        case 0xB44F0000u: // pcn -> Latn
        case 0xBC4F0000u: // pcp -> Latn
        case 0xD84F0000u: // pcw -> Latn
        case 0x806F0000u: // pda -> Latn
        case 0x886F0000u: // pdc -> Latn
        case 0xB46F0000u: // pdn -> Latn
        case 0xB86F0000u: // pdo -> Latn
        case 0xCC6F0000u: // pdt -> Latn
        case 0xD06F0000u: // pdu -> Latn
        case 0x808F0000u: // pea -> Latn
        case 0x848F0000u: // peb -> Latn
        case 0x8C8F0000u: // ped -> Latn
        case 0x908F0000u: // pee -> Latn
        case 0xA08F0000u: // pei -> Latn
        case 0xA88F0000u: // pek -> Latn
        case 0xAC8F0000u: // pel -> Latn
        case 0xB08F0000u: // pem -> Latn
        case 0xBC8F0000u: // pep -> Latn
        case 0xC08F0000u: // peq -> Latn
        case 0xD48F0000u: // pev -> Latn
        case 0xDC8F0000u: // pex -> Latn
        case 0xE08F0000u: // pey -> Latn
        case 0xE48F0000u: // pez -> Latn
        case 0x80AF0000u: // pfa -> Latn
        case 0x90AF0000u: // pfe -> Latn
        case 0xACAF0000u: // pfl -> Latn
        case 0x80CF0000u: // pga -> Latn
        case 0xA0CF0000u: // pgi -> Latn
        case 0xA8CF0000u: // pgk -> Latn
        case 0xC8CF0000u: // pgs -> Latn
        case 0xD0CF0000u: // pgu -> Latn
        case 0x98EF0000u: // phg -> Latn
        case 0x9CEF0000u: // phh -> Latn
        case 0xB0EF0000u: // phm -> Latn
        case 0x810F0000u: // pia -> Latn
        case 0x850F0000u: // pib -> Latn
        case 0x890F0000u: // pic -> Latn
        case 0x8D0F0000u: // pid -> Latn
        case 0x950F0000u: // pif -> Latn
        case 0x990F0000u: // pig -> Latn
        case 0x9D0F0000u: // pih -> Latn
        case 0xA50F0000u: // pij -> Latn
        case 0xAD0F0000u: // pil -> Latn
        case 0xB10F0000u: // pim -> Latn
        case 0xB50F0000u: // pin -> Latn
        case 0xB90F0000u: // pio -> Latn
        case 0xBD0F0000u: // pip -> Latn
        case 0xC50F0000u: // pir -> Latn
        case 0xC90F0000u: // pis -> Latn
        case 0xCD0F0000u: // pit -> Latn
        case 0xD10F0000u: // piu -> Latn
        case 0xD50F0000u: // piv -> Latn
        case 0xD90F0000u: // piw -> Latn
        case 0xDD0F0000u: // pix -> Latn
        case 0xE10F0000u: // piy -> Latn
        case 0xE50F0000u: // piz -> Latn
        case 0xCD2F0000u: // pjt -> Latn
        case 0x854F0000u: // pkb -> Latn
        case 0x994F0000u: // pkg -> Latn
        case 0x9D4F0000u: // pkh -> Latn
        case 0xB54F0000u: // pkn -> Latn
        case 0xB94F0000u: // pko -> Latn
        case 0xBD4F0000u: // pkp -> Latn
        case 0xD14F0000u: // pku -> Latn
        case 0x706C0000u: // pl -> Latn
        case 0x816F0000u: // pla -> Latn
        case 0x856F0000u: // plb -> Latn
        case 0x896F0000u: // plc -> Latn
        case 0x8D6F0000u: // pld -> Latn
        case 0x916F0000u: // ple -> Latn
        case 0x996F0000u: // plg -> Latn
        case 0x9D6F0000u: // plh -> Latn
        case 0xB56F0000u: // pln -> Latn
        case 0xB96F0000u: // plo -> Latn
        case 0xC56F0000u: // plr -> Latn
        case 0xC96F0000u: // pls -> Latn
        case 0xD16F0000u: // plu -> Latn
        case 0xD56F0000u: // plv -> Latn
        case 0xD96F0000u: // plw -> Latn
        case 0xE56F0000u: // plz -> Latn
        case 0x818F0000u: // pma -> Latn
        case 0x858F0000u: // pmb -> Latn
        case 0x8D8F0000u: // pmd -> Latn
        case 0x918F0000u: // pme -> Latn
        case 0x958F0000u: // pmf -> Latn
        case 0xA18F0000u: // pmi -> Latn
        case 0xA58F0000u: // pmj -> Latn
        case 0xAD8F0000u: // pml -> Latn
        case 0xB18F0000u: // pmm -> Latn
        case 0xB58F0000u: // pmn -> Latn
        case 0xB98F0000u: // pmo -> Latn
        case 0xC18F0000u: // pmq -> Latn
        case 0xC58F0000u: // pmr -> Latn
        case 0xC98F0000u: // pms -> Latn
        case 0xCD8F0000u: // pmt -> Latn
        case 0xD98F0000u: // pmw -> Latn
        case 0xDD8F0000u: // pmx -> Latn
        case 0xE18F0000u: // pmy -> Latn
        case 0xE58F0000u: // pmz -> Latn
        case 0x81AF0000u: // pna -> Latn
        case 0x89AF0000u: // pnc -> Latn
        case 0x8DAF0000u: // pnd -> Latn
        case 0x91AF0000u: // pne -> Latn
        case 0x99AF0000u: // png -> Latn
        case 0x9DAF0000u: // pnh -> Latn
        case 0xA1AF0000u: // pni -> Latn
        case 0xA5AF0000u: // pnj -> Latn
        case 0xA9AF0000u: // pnk -> Latn
        case 0xADAF0000u: // pnl -> Latn
        case 0xB1AF0000u: // pnm -> Latn
        case 0xB5AF0000u: // pnn -> Latn
        case 0xB9AF0000u: // pno -> Latn
        case 0xBDAF0000u: // pnp -> Latn
        case 0xC1AF0000u: // pnq -> Latn
        case 0xC5AF0000u: // pnr -> Latn
        case 0xC9AF0000u: // pns -> Latn
        case 0xD5AF0000u: // pnv -> Latn
        case 0xD9AF0000u: // pnw -> Latn
        case 0xE1AF0000u: // pny -> Latn
        case 0xE5AF0000u: // pnz -> Latn
        case 0x89CF0000u: // poc -> Latn
        case 0x91CF0000u: // poe -> Latn
        case 0x95CF0000u: // pof -> Latn
        case 0x99CF0000u: // pog -> Latn
        case 0x9DCF0000u: // poh -> Latn
        case 0xA1CF0000u: // poi -> Latn
        case 0xA9CF0000u: // pok -> Latn
        case 0xB1CF0000u: // pom -> Latn
        case 0xB5CF0000u: // pon -> Latn
        case 0xB9CF0000u: // poo -> Latn
        case 0xBDCF0000u: // pop -> Latn
        case 0xC1CF0000u: // poq -> Latn
        case 0xC9CF0000u: // pos -> Latn
        case 0xCDCF0000u: // pot -> Latn
        case 0xD5CF0000u: // pov -> Latn
        case 0xD9CF0000u: // pow -> Latn
        case 0xE1CF0000u: // poy -> Latn
        case 0x91EF0000u: // ppe -> Latn
        case 0xA1EF0000u: // ppi -> Latn
        case 0xA9EF0000u: // ppk -> Latn
        case 0xADEF0000u: // ppl -> Latn
        case 0xB1EF0000u: // ppm -> Latn
        case 0xB5EF0000u: // ppn -> Latn
        case 0xB9EF0000u: // ppo -> Latn
        case 0xBDEF0000u: // ppp -> Latn
        case 0xC1EF0000u: // ppq -> Latn
        case 0xC9EF0000u: // pps -> Latn
        case 0xCDEF0000u: // ppt -> Latn
        case 0x820F0000u: // pqa -> Latn
        case 0xB20F0000u: // pqm -> Latn
        case 0x922F0000u: // pre -> Latn
        case 0x962F0000u: // prf -> Latn
        case 0x9A2F0000u: // prg -> Latn
        case 0x9E2F0000u: // prh -> Latn
        case 0xA22F0000u: // pri -> Latn
        case 0xAA2F0000u: // prk -> Latn
        case 0xB22F0000u: // prm -> Latn
        case 0xBA2F0000u: // pro -> Latn
        case 0xC22F0000u: // prq -> Latn
        case 0xC62F0000u: // prr -> Latn
        case 0xD22F0000u: // pru -> Latn
        case 0xDA2F0000u: // prw -> Latn
        case 0x824F0000u: // psa -> Latn
        case 0x924F0000u: // pse -> Latn
        case 0xB24F0000u: // psm -> Latn
        case 0xB64F0000u: // psn -> Latn
        case 0xC24F0000u: // psq -> Latn
        case 0xCA4F0000u: // pss -> Latn
        case 0xDA4F0000u: // psw -> Latn
        case 0x70740000u: // pt -> Latn
        case 0x826F0000u: // pta -> Latn
        case 0x9E6F0000u: // pth -> Latn
        case 0xA26F0000u: // pti -> Latn
        case 0xB66F0000u: // ptn -> Latn
        case 0xBA6F0000u: // pto -> Latn
        case 0xBE6F0000u: // ptp -> Latn
        case 0xC66F0000u: // ptr -> Latn
        case 0xCE6F0000u: // ptt -> Latn
        case 0xD26F0000u: // ptu -> Latn
        case 0xD66F0000u: // ptv -> Latn
        case 0x828F0000u: // pua -> Latn
        case 0x868F0000u: // pub -> Latn
        case 0x8A8F0000u: // puc -> Latn
        case 0x8E8F0000u: // pud -> Latn
        case 0x928F0000u: // pue -> Latn
        case 0x968F0000u: // puf -> Latn
        case 0x9A8F0000u: // pug -> Latn
        case 0xA28F0000u: // pui -> Latn
        case 0xA68F0000u: // puj -> Latn
        case 0xBA8F0000u: // puo -> Latn
        case 0xBE8F0000u: // pup -> Latn
        case 0xC28F0000u: // puq -> Latn
        case 0xC68F0000u: // pur -> Latn
        case 0xCE8F0000u: // put -> Latn
        case 0xD28F0000u: // puu -> Latn
        case 0xDA8F0000u: // puw -> Latn
        case 0xDE8F0000u: // pux -> Latn
        case 0xE28F0000u: // puy -> Latn
        case 0x82CF0000u: // pwa -> Latn
        case 0x86CF0000u: // pwb -> Latn
        case 0x9ACF0000u: // pwg -> Latn
        case 0xB2CF0000u: // pwm -> Latn
        case 0xB6CF0000u: // pwn -> Latn
        case 0xB2EF0000u: // pxm -> Latn
        case 0x930F0000u: // pye -> Latn
        case 0xB30F0000u: // pym -> Latn
        case 0xB70F0000u: // pyn -> Latn
        case 0xD30F0000u: // pyu -> Latn
        case 0xE30F0000u: // pyy -> Latn
        case 0x932F0000u: // pze -> Latn
        case 0x9F2F0000u: // pzh -> Latn
        case 0xB72F0000u: // pzn -> Latn
        case 0x71750000u: // qu -> Latn
        case 0x82900000u: // qua -> Latn
        case 0x86900000u: // qub -> Latn
        case 0x8A900000u: // quc -> Latn
        case 0x8E900000u: // qud -> Latn
        case 0x96900000u: // quf -> Latn
        case 0x9A900000u: // qug -> Latn
        case 0xA2900000u: // qui -> Latn
        case 0xAA900000u: // quk -> Latn
        case 0xAE900000u: // qul -> Latn
        case 0xB2900000u: // qum -> Latn
        case 0xB6900000u: // qun -> Latn
        case 0xBE900000u: // qup -> Latn
        case 0xC2900000u: // quq -> Latn
        case 0xC6900000u: // qur -> Latn
        case 0xCA900000u: // qus -> Latn
        case 0xD6900000u: // quv -> Latn
        case 0xDA900000u: // quw -> Latn
        case 0xDE900000u: // qux -> Latn
        case 0xE2900000u: // quy -> Latn
        case 0x82B00000u: // qva -> Latn
        case 0x8AB00000u: // qvc -> Latn
        case 0x92B00000u: // qve -> Latn
        case 0x9EB00000u: // qvh -> Latn
        case 0xA2B00000u: // qvi -> Latn
        case 0xA6B00000u: // qvj -> Latn
        case 0xAEB00000u: // qvl -> Latn
        case 0xB2B00000u: // qvm -> Latn
        case 0xB6B00000u: // qvn -> Latn
        case 0xBAB00000u: // qvo -> Latn
        case 0xBEB00000u: // qvp -> Latn
        case 0xCAB00000u: // qvs -> Latn
        case 0xDAB00000u: // qvw -> Latn
        case 0xE6B00000u: // qvz -> Latn
        case 0x82D00000u: // qwa -> Latn
        case 0x8AD00000u: // qwc -> Latn
        case 0x9ED00000u: // qwh -> Latn
        case 0xB2D00000u: // qwm -> Latn
        case 0xCAD00000u: // qws -> Latn
        case 0xCED00000u: // qwt -> Latn
        case 0x82F00000u: // qxa -> Latn
        case 0x8AF00000u: // qxc -> Latn
        case 0x9EF00000u: // qxh -> Latn
        case 0xAEF00000u: // qxl -> Latn
        case 0xB6F00000u: // qxn -> Latn
        case 0xBAF00000u: // qxo -> Latn
        case 0xBEF00000u: // qxp -> Latn
        case 0xC6F00000u: // qxr -> Latn
        case 0xCEF00000u: // qxt -> Latn
        case 0xD2F00000u: // qxu -> Latn
        case 0xDAF00000u: // qxw -> Latn
        case 0x83100000u: // qya -> Latn
        case 0xBF100000u: // qyp -> Latn
        case 0x88110000u: // rac -> Latn
        case 0x8C110000u: // rad -> Latn
        case 0x98110000u: // rag -> Latn
        case 0xA0110000u: // rai -> Latn
        case 0xA8110000u: // rak -> Latn
        case 0xB0110000u: // ram -> Latn
        case 0xB4110000u: // ran -> Latn
        case 0xB8110000u: // rao -> Latn
        case 0xBC110000u: // rap -> Latn
        case 0xC4110000u: // rar -> Latn
        case 0xD8110000u: // raw -> Latn
        case 0xDC110000u: // rax -> Latn
        case 0xE0110000u: // ray -> Latn
        case 0xE4110000u: // raz -> Latn
        case 0xA8310000u: // rbk -> Latn
        case 0xAC310000u: // rbl -> Latn
        case 0xBC310000u: // rbp -> Latn
        case 0x94510000u: // rcf -> Latn
        case 0x80910000u: // rea -> Latn
        case 0x84910000u: // reb -> Latn
        case 0x90910000u: // ree -> Latn
        case 0x98910000u: // reg -> Latn
        case 0xA4910000u: // rej -> Latn
        case 0xAC910000u: // rel -> Latn
        case 0xB0910000u: // rem -> Latn
        case 0xB4910000u: // ren -> Latn
        case 0xC8910000u: // res -> Latn
        case 0xCC910000u: // ret -> Latn
        case 0xE0910000u: // rey -> Latn
        case 0x80D10000u: // rga -> Latn
        case 0xB4D10000u: // rgn -> Latn
        case 0xC4D10000u: // rgr -> Latn
        case 0xC8D10000u: // rgs -> Latn
        case 0xD0D10000u: // rgu -> Latn
        case 0xBCF10000u: // rhp -> Latn
        case 0x81110000u: // ria -> Latn
        case 0x95110000u: // rif -> Latn
        case 0xAD110000u: // ril -> Latn
        case 0xB1110000u: // rim -> Latn
        case 0xB5110000u: // rin -> Latn
        case 0xC5110000u: // rir -> Latn
        case 0xCD110000u: // rit -> Latn
        case 0xD1110000u: // riu -> Latn
        case 0x99310000u: // rjg -> Latn
        case 0x85510000u: // rkb -> Latn
        case 0x9D510000u: // rkh -> Latn
        case 0xB1510000u: // rkm -> Latn
        case 0xD9510000u: // rkw -> Latn
        case 0x726D0000u: // rm -> Latn
        case 0x81910000u: // rma -> Latn
        case 0x85910000u: // rmb -> Latn
        case 0x89910000u: // rmc -> Latn
        case 0x8D910000u: // rmd -> Latn
        case 0x91910000u: // rme -> Latn
        case 0x95910000u: // rmf -> Latn
        case 0x99910000u: // rmg -> Latn
        case 0x9D910000u: // rmh -> Latn
        case 0xA9910000u: // rmk -> Latn
        case 0xAD910000u: // rml -> Latn
        case 0xB1910000u: // rmm -> Latn
        case 0xB5910000u: // rmn -> Latn
        case 0xB9910000u: // rmo -> Latn
        case 0xBD910000u: // rmp -> Latn
        case 0xC1910000u: // rmq -> Latn
        case 0xD1910000u: // rmu -> Latn
        case 0xD9910000u: // rmw -> Latn
        case 0xDD910000u: // rmx -> Latn
        case 0x726E0000u: // rn -> Latn
        case 0x8DB10000u: // rnd -> Latn
        case 0x99B10000u: // rng -> Latn
        case 0xADB10000u: // rnl -> Latn
        case 0xB5B10000u: // rnn -> Latn
        case 0xC5B10000u: // rnr -> Latn
        case 0xD9B10000u: // rnw -> Latn
        case 0x726F0000u: // ro -> Latn
        case 0x85D10000u: // rob -> Latn
        case 0x89D10000u: // roc -> Latn
        case 0x8DD10000u: // rod -> Latn
        case 0x91D10000u: // roe -> Latn
        case 0x95D10000u: // rof -> Latn
        case 0x99D10000u: // rog -> Latn
        case 0xADD10000u: // rol -> Latn
        case 0xB1D10000u: // rom -> Latn
        case 0xB9D10000u: // roo -> Latn
        case 0xBDD10000u: // rop -> Latn
        case 0xC5D10000u: // ror -> Latn
        case 0xD1D10000u: // rou -> Latn
        case 0xD9D10000u: // row -> Latn
        case 0xB5F10000u: // rpn -> Latn
        case 0xCDF10000u: // rpt -> Latn
        case 0xA2310000u: // rri -> Latn
        case 0xB2310000u: // rrm -> Latn
        case 0xBA310000u: // rro -> Latn
        case 0xCE310000u: // rrt -> Latn
        case 0xDA510000u: // rsw -> Latn
        case 0x8A710000u: // rtc -> Latn
        case 0x9E710000u: // rth -> Latn
        case 0xB2710000u: // rtm -> Latn
        case 0x86910000u: // rub -> Latn
        case 0x8A910000u: // ruc -> Latn
        case 0x96910000u: // ruf -> Latn
        case 0x9A910000u: // rug -> Latn
        case 0xA2910000u: // rui -> Latn
        case 0xAA910000u: // ruk -> Latn
        case 0xBA910000u: // ruo -> Latn
        case 0xBE910000u: // rup -> Latn
        case 0xC2910000u: // ruq -> Latn
        case 0xD2910000u: // ruu -> Latn
        case 0xE2910000u: // ruy -> Latn
        case 0xE6910000u: // ruz -> Latn
        case 0x72770000u: // rw -> Latn
        case 0x82D10000u: // rwa -> Latn
        case 0xAAD10000u: // rwk -> Latn
        case 0xAED10000u: // rwl -> Latn
        case 0xB2D10000u: // rwm -> Latn
        case 0xBAD10000u: // rwo -> Latn
        case 0x8EF10000u: // rxd -> Latn
        case 0xDAF10000u: // rxw -> Latn
        case 0x80120000u: // saa -> Latn
        case 0x84120000u: // sab -> Latn
        case 0x88120000u: // sac -> Latn
        case 0x8C120000u: // sad -> Latn
        case 0x90120000u: // sae -> Latn
        case 0x94120000u: // saf -> Latn
        case 0xA4120000u: // saj -> Latn
        case 0xA8120000u: // sak -> Latn
        case 0xB8120000u: // sao -> Latn
        case 0xC0120000u: // saq -> Latn
        case 0xC4120000u: // sar -> Latn
        case 0xC8120000u: // sas -> Latn
        case 0xD0120000u: // sau -> Latn
        case 0xD4120000u: // sav -> Latn
        case 0xD8120000u: // saw -> Latn
        case 0xDC120000u: // sax -> Latn
        case 0xE0120000u: // say -> Latn
        case 0x80320000u: // sba -> Latn
        case 0x84320000u: // sbb -> Latn
        case 0x88320000u: // sbc -> Latn
        case 0x8C320000u: // sbd -> Latn
        case 0x90320000u: // sbe -> Latn
        case 0x98320000u: // sbg -> Latn
        case 0x9C320000u: // sbh -> Latn
        case 0xA0320000u: // sbi -> Latn
        case 0xA4320000u: // sbj -> Latn
        case 0xA8320000u: // sbk -> Latn
        case 0xAC320000u: // sbl -> Latn
        case 0xB0320000u: // sbm -> Latn
        case 0xB8320000u: // sbo -> Latn
        case 0xBC320000u: // sbp -> Latn
        case 0xC0320000u: // sbq -> Latn
        case 0xC4320000u: // sbr -> Latn
        case 0xC8320000u: // sbs -> Latn
        case 0xCC320000u: // sbt -> Latn
        case 0xD4320000u: // sbv -> Latn
        case 0xD8320000u: // sbw -> Latn
        case 0xDC320000u: // sbx -> Latn
        case 0xE0320000u: // sby -> Latn
        case 0xE4320000u: // sbz -> Latn
        case 0x73630000u: // sc -> Latn
        case 0x84520000u: // scb -> Latn
        case 0x90520000u: // sce -> Latn
        case 0x94520000u: // scf -> Latn
        case 0x98520000u: // scg -> Latn
        case 0x9C520000u: // sch -> Latn
        case 0xA0520000u: // sci -> Latn
        case 0xB4520000u: // scn -> Latn
        case 0xB8520000u: // sco -> Latn
        case 0xC8520000u: // scs -> Latn
        case 0xD4520000u: // scv -> Latn
        case 0xD8520000u: // scw -> Latn
        case 0x80720000u: // sda -> Latn
        case 0x88720000u: // sdc -> Latn
        case 0x90720000u: // sde -> Latn
        case 0xA4720000u: // sdj -> Latn
        case 0xA8720000u: // sdk -> Latn
        case 0xB4720000u: // sdn -> Latn
        case 0xB8720000u: // sdo -> Latn
        case 0xC0720000u: // sdq -> Latn
        case 0xD0720000u: // sdu -> Latn
        case 0xDC720000u: // sdx -> Latn
        case 0x73650000u: // se -> Latn
        case 0x80920000u: // sea -> Latn
        case 0x84920000u: // seb -> Latn
        case 0x88920000u: // sec -> Latn
        case 0x8C920000u: // sed -> Latn
        case 0x90920000u: // see -> Latn
        case 0x94920000u: // sef -> Latn
        case 0x98920000u: // seg -> Latn
        case 0x9C920000u: // seh -> Latn
        case 0xA0920000u: // sei -> Latn
        case 0xA4920000u: // sej -> Latn
        case 0xA8920000u: // sek -> Latn
        case 0xB4920000u: // sen -> Latn
        case 0xB8920000u: // seo -> Latn
        case 0xBC920000u: // sep -> Latn
        case 0xC0920000u: // seq -> Latn
        case 0xC4920000u: // ser -> Latn
        case 0xC8920000u: // ses -> Latn
        case 0xCC920000u: // set -> Latn
        case 0xD0920000u: // seu -> Latn
        case 0xD4920000u: // sev -> Latn
        case 0xD8920000u: // sew -> Latn
        case 0xE0920000u: // sey -> Latn
        case 0xE4920000u: // sez -> Latn
        case 0x90B20000u: // sfe -> Latn
        case 0xD8B20000u: // sfw -> Latn
        case 0x73670000u: // sg -> Latn
        case 0x84D20000u: // sgb -> Latn
        case 0x88D20000u: // sgc -> Latn
        case 0x8CD20000u: // sgd -> Latn
        case 0x90D20000u: // sge -> Latn
        case 0xA0D20000u: // sgi -> Latn
        case 0xB0D20000u: // sgm -> Latn
        case 0xBCD20000u: // sgp -> Latn
        case 0xC8D20000u: // sgs -> Latn
        case 0xD0D20000u: // sgu -> Latn
        case 0xE4D20000u: // sgz -> Latn
        case 0x80F20000u: // sha -> Latn
        case 0x84F20000u: // shb -> Latn
        case 0x88F20000u: // shc -> Latn
        case 0x90F20000u: // she -> Latn
        case 0x98F20000u: // shg -> Latn
        case 0x9CF20000u: // shh -> Latn
        case 0xA4F20000u: // shj -> Latn
        case 0xA8F20000u: // shk -> Latn
        case 0xB8F20000u: // sho -> Latn
        case 0xBCF20000u: // shp -> Latn
        case 0xC0F20000u: // shq -> Latn
        case 0xC4F20000u: // shr -> Latn
        case 0xC8F20000u: // shs -> Latn
        case 0xCCF20000u: // sht -> Latn
        case 0xD8F20000u: // shw -> Latn
        case 0xE0F20000u: // shy -> Latn
        case 0xE4F20000u: // shz -> Latn
        case 0x85120000u: // sib -> Latn
        case 0x8D120000u: // sid -> Latn
        case 0x91120000u: // sie -> Latn
        case 0x95120000u: // sif -> Latn
        case 0x99120000u: // sig -> Latn
        case 0x9D120000u: // sih -> Latn
        case 0xA1120000u: // sii -> Latn
        case 0xA5120000u: // sij -> Latn
        case 0xA9120000u: // sik -> Latn
        case 0xAD120000u: // sil -> Latn
        case 0xB1120000u: // sim -> Latn
        case 0xC1120000u: // siq -> Latn
        case 0xC5120000u: // sir -> Latn
        case 0xC9120000u: // sis -> Latn
        case 0xD1120000u: // siu -> Latn
        case 0xD5120000u: // siv -> Latn
        case 0xD9120000u: // siw -> Latn
        case 0xDD120000u: // six -> Latn
        case 0x81320000u: // sja -> Latn
        case 0x85320000u: // sjb -> Latn
        case 0x91320000u: // sje -> Latn
        case 0x99320000u: // sjg -> Latn
        case 0xAD320000u: // sjl -> Latn
        case 0xB1320000u: // sjm -> Latn
        case 0xC5320000u: // sjr -> Latn
        case 0xD1320000u: // sju -> Latn
        case 0xD9320000u: // sjw -> Latn
        case 0x736B0000u: // sk -> Latn
        case 0x81520000u: // ska -> Latn
        case 0x89520000u: // skc -> Latn
        case 0x8D520000u: // skd -> Latn
        case 0x91520000u: // ske -> Latn
        case 0x95520000u: // skf -> Latn
        case 0x99520000u: // skg -> Latn
        case 0x9D520000u: // skh -> Latn
        case 0xA1520000u: // ski -> Latn
        case 0xB1520000u: // skm -> Latn
        case 0xB5520000u: // skn -> Latn
        case 0xB9520000u: // sko -> Latn
        case 0xBD520000u: // skp -> Latn
        case 0xC1520000u: // skq -> Latn
        case 0xC9520000u: // sks -> Latn
        case 0xCD520000u: // skt -> Latn
        case 0xD1520000u: // sku -> Latn
        case 0xD5520000u: // skv -> Latn
        case 0xD9520000u: // skw -> Latn
        case 0xDD520000u: // skx -> Latn
        case 0xE1520000u: // sky -> Latn
        case 0xE5520000u: // skz -> Latn
        case 0x736C0000u: // sl -> Latn
        case 0x89720000u: // slc -> Latn
        case 0x8D720000u: // sld -> Latn
        case 0x99720000u: // slg -> Latn
        case 0x9D720000u: // slh -> Latn
        case 0xA1720000u: // sli -> Latn
        case 0xA5720000u: // slj -> Latn
        case 0xAD720000u: // sll -> Latn
        case 0xB1720000u: // slm -> Latn
        case 0xB5720000u: // sln -> Latn
        case 0xBD720000u: // slp -> Latn
        case 0xC5720000u: // slr -> Latn
        case 0xD1720000u: // slu -> Latn
        case 0xD9720000u: // slw -> Latn
        case 0xDD720000u: // slx -> Latn
        case 0xE1720000u: // sly -> Latn
        case 0xE5720000u: // slz -> Latn
        case 0x736D0000u: // sm -> Latn
        case 0x81920000u: // sma -> Latn
        case 0x85920000u: // smb -> Latn
        case 0x89920000u: // smc -> Latn
        case 0x95920000u: // smf -> Latn
        case 0x99920000u: // smg -> Latn
        case 0xA5920000u: // smj -> Latn
        case 0xA9920000u: // smk -> Latn
        case 0xAD920000u: // sml -> Latn
        case 0xB5920000u: // smn -> Latn
        case 0xC1920000u: // smq -> Latn
        case 0xC5920000u: // smr -> Latn
        case 0xC9920000u: // sms -> Latn
        case 0xCD920000u: // smt -> Latn
        case 0xD9920000u: // smw -> Latn
        case 0xDD920000u: // smx -> Latn
        case 0xE5920000u: // smz -> Latn
        case 0x736E0000u: // sn -> Latn
        case 0x89B20000u: // snc -> Latn
        case 0x91B20000u: // sne -> Latn
        case 0x95B20000u: // snf -> Latn
        case 0x99B20000u: // sng -> Latn
        case 0xA1B20000u: // sni -> Latn
        case 0xA5B20000u: // snj -> Latn
        case 0xA9B20000u: // snk -> Latn
        case 0xADB20000u: // snl -> Latn
        case 0xB1B20000u: // snm -> Latn
        case 0xB5B20000u: // snn -> Latn
        case 0xB9B20000u: // sno -> Latn
        case 0xBDB20000u: // snp -> Latn
        case 0xC1B20000u: // snq -> Latn
        case 0xC5B20000u: // snr -> Latn
        case 0xC9B20000u: // sns -> Latn
        case 0xD1B20000u: // snu -> Latn
        case 0xD5B20000u: // snv -> Latn
        case 0xD9B20000u: // snw -> Latn
        case 0xDDB20000u: // snx -> Latn
        case 0xE1B20000u: // sny -> Latn
        case 0xE5B20000u: // snz -> Latn
        case 0x736F0000u: // so -> Latn
        case 0x85D20000u: // sob -> Latn
        case 0x89D20000u: // soc -> Latn
        case 0x8DD20000u: // sod -> Latn
        case 0x91D20000u: // soe -> Latn
        case 0xA9D20000u: // sok -> Latn
        case 0xADD20000u: // sol -> Latn
        case 0xB9D20000u: // soo -> Latn
        case 0xBDD20000u: // sop -> Latn
        case 0xC1D20000u: // soq -> Latn
        case 0xC5D20000u: // sor -> Latn
        case 0xC9D20000u: // sos -> Latn
        case 0xD5D20000u: // sov -> Latn
        case 0xD9D20000u: // sow -> Latn
        case 0xDDD20000u: // sox -> Latn
        case 0xE1D20000u: // soy -> Latn
        case 0xE5D20000u: // soz -> Latn
        case 0x85F20000u: // spb -> Latn
        case 0x89F20000u: // spc -> Latn
        case 0x8DF20000u: // spd -> Latn
        case 0x91F20000u: // spe -> Latn
        case 0x99F20000u: // spg -> Latn
        case 0xA1F20000u: // spi -> Latn
        case 0xA9F20000u: // spk -> Latn
        case 0xADF20000u: // spl -> Latn
        case 0xB1F20000u: // spm -> Latn
        case 0xB5F20000u: // spn -> Latn
        case 0xB9F20000u: // spo -> Latn
        case 0xBDF20000u: // spp -> Latn
        case 0xC1F20000u: // spq -> Latn
        case 0xC5F20000u: // spr -> Latn
        case 0xC9F20000u: // sps -> Latn
        case 0x73710000u: // sq -> Latn
        case 0x82120000u: // sqa -> Latn
        case 0x9E120000u: // sqh -> Latn
        case 0xB2120000u: // sqm -> Latn
        case 0xD2120000u: // squ -> Latn
        case 0x73724D45u: // sr-ME -> Latn
        case 0x7372524Fu: // sr-RO -> Latn
        case 0x73725255u: // sr-RU -> Latn
        case 0x73725452u: // sr-TR -> Latn
        case 0x82320000u: // sra -> Latn
        case 0x92320000u: // sre -> Latn
        case 0x96320000u: // srf -> Latn
        case 0x9A320000u: // srg -> Latn
        case 0xA2320000u: // sri -> Latn
        case 0xAA320000u: // srk -> Latn
        case 0xAE320000u: // srl -> Latn
        case 0xB2320000u: // srm -> Latn
        case 0xB6320000u: // srn -> Latn
        case 0xBA320000u: // sro -> Latn
        case 0xC2320000u: // srq -> Latn
        case 0xC6320000u: // srr -> Latn
        case 0xCA320000u: // srs -> Latn
        case 0xCE320000u: // srt -> Latn
        case 0xD2320000u: // sru -> Latn
        case 0xD6320000u: // srv -> Latn
        case 0xDA320000u: // srw -> Latn
        case 0xE2320000u: // sry -> Latn
        case 0x73730000u: // ss -> Latn
        case 0x86520000u: // ssb -> Latn
        case 0x8A520000u: // ssc -> Latn
        case 0x8E520000u: // ssd -> Latn
        case 0x92520000u: // sse -> Latn
        case 0x96520000u: // ssf -> Latn
        case 0x9A520000u: // ssg -> Latn
        case 0xA6520000u: // ssj -> Latn
        case 0xAE520000u: // ssl -> Latn
        case 0xB2520000u: // ssm -> Latn
        case 0xB6520000u: // ssn -> Latn
        case 0xBA520000u: // sso -> Latn
        case 0xC2520000u: // ssq -> Latn
        case 0xCE520000u: // sst -> Latn
        case 0xD2520000u: // ssu -> Latn
        case 0xD6520000u: // ssv -> Latn
        case 0xDE520000u: // ssx -> Latn
        case 0xE2520000u: // ssy -> Latn
        case 0xE6520000u: // ssz -> Latn
        case 0x73740000u: // st -> Latn
        case 0x82720000u: // sta -> Latn
        case 0x86720000u: // stb -> Latn
        case 0x92720000u: // ste -> Latn
        case 0x96720000u: // stf -> Latn
        case 0x9A720000u: // stg -> Latn
        case 0x9E720000u: // sth -> Latn
        case 0xA2720000u: // sti -> Latn
        case 0xA6720000u: // stj -> Latn
        case 0xAA720000u: // stk -> Latn
        case 0xAE720000u: // stl -> Latn
        case 0xB2720000u: // stm -> Latn
        case 0xB6720000u: // stn -> Latn
        case 0xBA720000u: // sto -> Latn
        case 0xBE720000u: // stp -> Latn
        case 0xC2720000u: // stq -> Latn
        case 0xC6720000u: // str -> Latn
        case 0xCE720000u: // stt -> Latn
        case 0xDA720000u: // stw -> Latn
        case 0x73750000u: // su -> Latn
        case 0x82920000u: // sua -> Latn
        case 0x86920000u: // sub -> Latn
        case 0x8A920000u: // suc -> Latn
        case 0x92920000u: // sue -> Latn
        case 0x9A920000u: // sug -> Latn
        case 0xA2920000u: // sui -> Latn
        case 0xA6920000u: // suj -> Latn
        case 0xAA920000u: // suk -> Latn
        case 0xBA920000u: // suo -> Latn
        case 0xC2920000u: // suq -> Latn
        case 0xC6920000u: // sur -> Latn
        case 0xCA920000u: // sus -> Latn
        case 0xCE920000u: // sut -> Latn
        case 0xD6920000u: // suv -> Latn
        case 0xDA920000u: // suw -> Latn
        case 0xE2920000u: // suy -> Latn
        case 0x73760000u: // sv -> Latn
        case 0x86B20000u: // svb -> Latn
        case 0x8AB20000u: // svc -> Latn
        case 0x92B20000u: // sve -> Latn
        case 0xB2B20000u: // svm -> Latn
        case 0xCAB20000u: // svs -> Latn
        case 0x73770000u: // sw -> Latn
        case 0x96D20000u: // swf -> Latn
        case 0x9AD20000u: // swg -> Latn
        case 0xA6D20000u: // swj -> Latn
        case 0xAAD20000u: // swk -> Latn
        case 0xB2D20000u: // swm -> Latn
        case 0xBAD20000u: // swo -> Latn
        case 0xBED20000u: // swp -> Latn
        case 0xC2D20000u: // swq -> Latn
        case 0xC6D20000u: // swr -> Latn
        case 0xCAD20000u: // sws -> Latn
        case 0xCED20000u: // swt -> Latn
        case 0xD2D20000u: // swu -> Latn
        case 0xDAD20000u: // sww -> Latn
        case 0xDED20000u: // swx -> Latn
        case 0xE2D20000u: // swy -> Latn
        case 0x86F20000u: // sxb -> Latn
        case 0x92F20000u: // sxe -> Latn
        case 0xB6F20000u: // sxn -> Latn
        case 0xC6F20000u: // sxr -> Latn
        case 0xCAF20000u: // sxs -> Latn
        case 0xDAF20000u: // sxw -> Latn
        case 0x83120000u: // sya -> Latn
        case 0x87120000u: // syb -> Latn
        case 0xA3120000u: // syi -> Latn
        case 0xAB120000u: // syk -> Latn
        case 0xB3120000u: // sym -> Latn
        case 0xBB120000u: // syo -> Latn
        case 0xCB120000u: // sys -> Latn
        case 0xDF120000u: // syx -> Latn
        case 0x83320000u: // sza -> Latn
        case 0x87320000u: // szb -> Latn
        case 0x8B320000u: // szc -> Latn
        case 0x9B320000u: // szg -> Latn
        case 0xAF320000u: // szl -> Latn
        case 0xB7320000u: // szn -> Latn
        case 0xBF320000u: // szp -> Latn
        case 0xD7320000u: // szv -> Latn
        case 0xDB320000u: // szw -> Latn
        case 0xE3320000u: // szy -> Latn
        case 0x80130000u: // taa -> Latn
        case 0x88130000u: // tac -> Latn
        case 0x8C130000u: // tad -> Latn
        case 0x90130000u: // tae -> Latn
        case 0x94130000u: // taf -> Latn
        case 0x98130000u: // tag -> Latn
        case 0xA8130000u: // tak -> Latn
        case 0xAC130000u: // tal -> Latn
        case 0xB4130000u: // tan -> Latn
        case 0xB8130000u: // tao -> Latn
        case 0xBC130000u: // tap -> Latn
        case 0xC0130000u: // taq -> Latn
        case 0xC4130000u: // tar -> Latn
        case 0xC8130000u: // tas -> Latn
        case 0xD0130000u: // tau -> Latn
        case 0xD4130000u: // tav -> Latn
        case 0xD8130000u: // taw -> Latn
        case 0xDC130000u: // tax -> Latn
        case 0xE0130000u: // tay -> Latn
        case 0xE4130000u: // taz -> Latn
        case 0x80330000u: // tba -> Latn
        case 0x88330000u: // tbc -> Latn
        case 0x8C330000u: // tbd -> Latn
        case 0x90330000u: // tbe -> Latn
        case 0x94330000u: // tbf -> Latn
        case 0x98330000u: // tbg -> Latn
        case 0x9C330000u: // tbh -> Latn
        case 0xA0330000u: // tbi -> Latn
        case 0xA4330000u: // tbj -> Latn
        case 0xAC330000u: // tbl -> Latn
        case 0xB0330000u: // tbm -> Latn
        case 0xB4330000u: // tbn -> Latn
        case 0xB8330000u: // tbo -> Latn
        case 0xBC330000u: // tbp -> Latn
        case 0xC8330000u: // tbs -> Latn
        case 0xCC330000u: // tbt -> Latn
        case 0xD0330000u: // tbu -> Latn
        case 0xD4330000u: // tbv -> Latn
        case 0xD8330000u: // tbw -> Latn
        case 0xDC330000u: // tbx -> Latn
        case 0xE0330000u: // tby -> Latn
        case 0xE4330000u: // tbz -> Latn
        case 0x80530000u: // tca -> Latn
        case 0x84530000u: // tcb -> Latn
        case 0x88530000u: // tcc -> Latn
        case 0x8C530000u: // tcd -> Latn
        case 0x90530000u: // tce -> Latn
        case 0x94530000u: // tcf -> Latn
        case 0x98530000u: // tcg -> Latn
        case 0x9C530000u: // tch -> Latn
        case 0xA0530000u: // tci -> Latn
        case 0xA8530000u: // tck -> Latn
        case 0xB0530000u: // tcm -> Latn
        case 0xBC530000u: // tcp -> Latn
        case 0xC0530000u: // tcq -> Latn
        case 0xC8530000u: // tcs -> Latn
        case 0xD0530000u: // tcu -> Latn
        case 0xD8530000u: // tcw -> Latn
        case 0xE4530000u: // tcz -> Latn
        case 0x88730000u: // tdc -> Latn
        case 0x90730000u: // tde -> Latn
        case 0xA0730000u: // tdi -> Latn
        case 0xA4730000u: // tdj -> Latn
        case 0xA8730000u: // tdk -> Latn
        case 0xAC730000u: // tdl -> Latn
        case 0xB0730000u: // tdm -> Latn
        case 0xB4730000u: // tdn -> Latn
        case 0xB8730000u: // tdo -> Latn
        case 0xC0730000u: // tdq -> Latn
        case 0xC4730000u: // tdr -> Latn
        case 0xC8730000u: // tds -> Latn
        case 0xCC730000u: // tdt -> Latn
        case 0xD4730000u: // tdv -> Latn
        case 0xDC730000u: // tdx -> Latn
        case 0xE0730000u: // tdy -> Latn
        case 0x80930000u: // tea -> Latn
        case 0x84930000u: // teb -> Latn
        case 0x88930000u: // tec -> Latn
        case 0x8C930000u: // ted -> Latn
        case 0x90930000u: // tee -> Latn
        case 0x98930000u: // teg -> Latn
        case 0x9C930000u: // teh -> Latn
        case 0xA0930000u: // tei -> Latn
        case 0xA8930000u: // tek -> Latn
        case 0xB0930000u: // tem -> Latn
        case 0xB4930000u: // ten -> Latn
        case 0xB8930000u: // teo -> Latn
        case 0xBC930000u: // tep -> Latn
        case 0xC0930000u: // teq -> Latn
        case 0xC4930000u: // ter -> Latn
        case 0xCC930000u: // tet -> Latn
        case 0xD0930000u: // teu -> Latn
        case 0xD4930000u: // tev -> Latn
        case 0xD8930000u: // tew -> Latn
        case 0xDC930000u: // tex -> Latn
        case 0xE0930000u: // tey -> Latn
        case 0xE4930000u: // tez -> Latn
        case 0xA0B30000u: // tfi -> Latn
        case 0xB4B30000u: // tfn -> Latn
        case 0xB8B30000u: // tfo -> Latn
        case 0xC4B30000u: // tfr -> Latn
        case 0xCCB30000u: // tft -> Latn
        case 0x80D30000u: // tga -> Latn
        case 0x84D30000u: // tgb -> Latn
        case 0x88D30000u: // tgc -> Latn
        case 0x8CD30000u: // tgd -> Latn
        case 0x9CD30000u: // tgh -> Latn
        case 0xA0D30000u: // tgi -> Latn
        case 0xA4D30000u: // tgj -> Latn
        case 0xB4D30000u: // tgn -> Latn
        case 0xB8D30000u: // tgo -> Latn
        case 0xBCD30000u: // tgp -> Latn
        case 0xC0D30000u: // tgq -> Latn
        case 0xC8D30000u: // tgs -> Latn
        case 0xCCD30000u: // tgt -> Latn
        case 0xD0D30000u: // tgu -> Latn
        case 0xD4D30000u: // tgv -> Latn
        case 0xD8D30000u: // tgw -> Latn
        case 0xDCD30000u: // tgx -> Latn
        case 0xE0D30000u: // tgy -> Latn
        case 0xE4D30000u: // tgz -> Latn
        case 0x8CF30000u: // thd -> Latn
        case 0x9CF30000u: // thh -> Latn
        case 0xA8F30000u: // thk -> Latn
        case 0xBCF30000u: // thp -> Latn
        case 0xCCF30000u: // tht -> Latn
        case 0xD0F30000u: // thu -> Latn
        case 0xD4F30000u: // thv -> Latn
        case 0xE0F30000u: // thy -> Latn
        case 0xE4F30000u: // thz -> Latn
        case 0x89130000u: // tic -> Latn
        case 0x95130000u: // tif -> Latn
        case 0x9D130000u: // tih -> Latn
        case 0xA1130000u: // tii -> Latn
        case 0xA9130000u: // tik -> Latn
        case 0xAD130000u: // til -> Latn
        case 0xB1130000u: // tim -> Latn
        case 0xB9130000u: // tio -> Latn
        case 0xBD130000u: // tip -> Latn
        case 0xC1130000u: // tiq -> Latn
        case 0xC9130000u: // tis -> Latn
        case 0xCD130000u: // tit -> Latn
        case 0xD1130000u: // tiu -> Latn
        case 0xD5130000u: // tiv -> Latn
        case 0xD9130000u: // tiw -> Latn
        case 0xDD130000u: // tix -> Latn
        case 0xE1130000u: // tiy -> Latn
        case 0x81330000u: // tja -> Latn
        case 0x99330000u: // tjg -> Latn
        case 0xA1330000u: // tji -> Latn
        case 0xA5330000u: // tjj -> Latn
        case 0xB5330000u: // tjn -> Latn
        case 0xBD330000u: // tjp -> Latn
        case 0xC9330000u: // tjs -> Latn
        case 0xD1330000u: // tju -> Latn
        case 0xD9330000u: // tjw -> Latn
        case 0x746B0000u: // tk -> Latn
        case 0x81530000u: // tka -> Latn
        case 0x8D530000u: // tkd -> Latn
        case 0x91530000u: // tke -> Latn
        case 0x95530000u: // tkf -> Latn
        case 0x99530000u: // tkg -> Latn
        case 0xAD530000u: // tkl -> Latn
        case 0xBD530000u: // tkp -> Latn
        case 0xC1530000u: // tkq -> Latn
        case 0xC5530000u: // tkr -> Latn
        case 0xD1530000u: // tku -> Latn
        case 0xD5530000u: // tkv -> Latn
        case 0xD9530000u: // tkw -> Latn
        case 0xDD530000u: // tkx -> Latn
        case 0xE5530000u: // tkz -> Latn
        case 0x746C0000u: // tl -> Latn
        case 0x81730000u: // tla -> Latn
        case 0x85730000u: // tlb -> Latn
        case 0x89730000u: // tlc -> Latn
        case 0x8D730000u: // tld -> Latn
        case 0x95730000u: // tlf -> Latn
        case 0x99730000u: // tlg -> Latn
        case 0xA1730000u: // tli -> Latn
        case 0xA5730000u: // tlj -> Latn
        case 0xA9730000u: // tlk -> Latn
        case 0xAD730000u: // tll -> Latn
        case 0xB1730000u: // tlm -> Latn
        case 0xB5730000u: // tln -> Latn
        case 0xBD730000u: // tlp -> Latn
        case 0xC1730000u: // tlq -> Latn
        case 0xC5730000u: // tlr -> Latn
        case 0xC9730000u: // tls -> Latn
        case 0xCD730000u: // tlt -> Latn
        case 0xD1730000u: // tlu -> Latn
        case 0xD5730000u: // tlv -> Latn
        case 0xDD730000u: // tlx -> Latn
        case 0xE1730000u: // tly -> Latn
        case 0x81930000u: // tma -> Latn
        case 0x85930000u: // tmb -> Latn
        case 0x89930000u: // tmc -> Latn
        case 0x8D930000u: // tmd -> Latn
        case 0x91930000u: // tme -> Latn
        case 0x95930000u: // tmf -> Latn
        case 0x99930000u: // tmg -> Latn
        case 0x9D930000u: // tmh -> Latn
        case 0xA1930000u: // tmi -> Latn
        case 0xA5930000u: // tmj -> Latn
        case 0xAD930000u: // tml -> Latn
        case 0xB1930000u: // tmm -> Latn
        case 0xB5930000u: // tmn -> Latn
        case 0xB9930000u: // tmo -> Latn
        case 0xC1930000u: // tmq -> Latn
        case 0xCD930000u: // tmt -> Latn
        case 0xD1930000u: // tmu -> Latn
        case 0xD5930000u: // tmv -> Latn
        case 0xD9930000u: // tmw -> Latn
        case 0xE1930000u: // tmy -> Latn
        case 0xE5930000u: // tmz -> Latn
        case 0x746E0000u: // tn -> Latn
        case 0x81B30000u: // tna -> Latn
        case 0x85B30000u: // tnb -> Latn
        case 0x89B30000u: // tnc -> Latn
        case 0x8DB30000u: // tnd -> Latn
        case 0x99B30000u: // tng -> Latn
        case 0x9DB30000u: // tnh -> Latn
        case 0xA1B30000u: // tni -> Latn
        case 0xA9B30000u: // tnk -> Latn
        case 0xADB30000u: // tnl -> Latn
        case 0xB1B30000u: // tnm -> Latn
        case 0xB5B30000u: // tnn -> Latn
        case 0xB9B30000u: // tno -> Latn
        case 0xBDB30000u: // tnp -> Latn
        case 0xC1B30000u: // tnq -> Latn
        case 0xC5B30000u: // tnr -> Latn
        case 0xC9B30000u: // tns -> Latn
        case 0xCDB30000u: // tnt -> Latn
        case 0xD9B30000u: // tnw -> Latn
        case 0xDDB30000u: // tnx -> Latn
        case 0xE1B30000u: // tny -> Latn
        case 0x746F0000u: // to -> Latn
        case 0x85D30000u: // tob -> Latn
        case 0x89D30000u: // toc -> Latn
        case 0x8DD30000u: // tod -> Latn
        case 0x95D30000u: // tof -> Latn
        case 0x99D30000u: // tog -> Latn
        case 0x9DD30000u: // toh -> Latn
        case 0xA1D30000u: // toi -> Latn
        case 0xA5D30000u: // toj -> Latn
        case 0xA9D30000u: // tok -> Latn
        case 0xADD30000u: // tol -> Latn
        case 0xB1D30000u: // tom -> Latn
        case 0xB9D30000u: // too -> Latn
        case 0xBDD30000u: // top -> Latn
        case 0xC1D30000u: // toq -> Latn
        case 0xC5D30000u: // tor -> Latn
        case 0xC9D30000u: // tos -> Latn
        case 0xD1D30000u: // tou -> Latn
        case 0xD9D30000u: // tow -> Latn
        case 0xDDD30000u: // tox -> Latn
        case 0xE1D30000u: // toy -> Latn
        case 0xE5D30000u: // toz -> Latn
        case 0x81F30000u: // tpa -> Latn
        case 0x89F30000u: // tpc -> Latn
        case 0x91F30000u: // tpe -> Latn
        case 0x95F30000u: // tpf -> Latn
        case 0x99F30000u: // tpg -> Latn
        case 0xA1F30000u: // tpi -> Latn
        case 0xA5F30000u: // tpj -> Latn
        case 0xA9F30000u: // tpk -> Latn
        case 0xADF30000u: // tpl -> Latn
        case 0xB1F30000u: // tpm -> Latn
        case 0xB5F30000u: // tpn -> Latn
        case 0xBDF30000u: // tpp -> Latn
        case 0xC5F30000u: // tpr -> Latn
        case 0xCDF30000u: // tpt -> Latn
        case 0xD5F30000u: // tpv -> Latn
        case 0xDDF30000u: // tpx -> Latn
        case 0xE1F30000u: // tpy -> Latn
        case 0xE5F30000u: // tpz -> Latn
        case 0x86130000u: // tqb -> Latn
        case 0xAE130000u: // tql -> Latn
        case 0xB2130000u: // tqm -> Latn
        case 0xB6130000u: // tqn -> Latn
        case 0xBA130000u: // tqo -> Latn
        case 0xBE130000u: // tqp -> Latn
        case 0xCE130000u: // tqt -> Latn
        case 0xD2130000u: // tqu -> Latn
        case 0xDA130000u: // tqw -> Latn
        case 0x74720000u: // tr -> Latn
        case 0x86330000u: // trb -> Latn
        case 0x8A330000u: // trc -> Latn
        case 0x92330000u: // tre -> Latn
        case 0x96330000u: // trf -> Latn
        case 0x9E330000u: // trh -> Latn
        case 0xA2330000u: // tri -> Latn
        case 0xA6330000u: // trj -> Latn
        case 0xAE330000u: // trl -> Latn
        case 0xB6330000u: // trn -> Latn
        case 0xBA330000u: // tro -> Latn
        case 0xBE330000u: // trp -> Latn
        case 0xC2330000u: // trq -> Latn
        case 0xC6330000u: // trr -> Latn
        case 0xCA330000u: // trs -> Latn
        case 0xCE330000u: // trt -> Latn
        case 0xD2330000u: // tru -> Latn
        case 0xD6330000u: // trv -> Latn
        case 0xDE330000u: // trx -> Latn
        case 0xE2330000u: // try -> Latn
        case 0xE6330000u: // trz -> Latn
        case 0x74730000u: // ts -> Latn
        case 0x82530000u: // tsa -> Latn
        case 0x86530000u: // tsb -> Latn
        case 0x8A530000u: // tsc -> Latn
        case 0x9A530000u: // tsg -> Latn
        case 0x9E530000u: // tsh -> Latn
        case 0xA2530000u: // tsi -> Latn
        case 0xAE530000u: // tsl -> Latn
        case 0xBE530000u: // tsp -> Latn
        case 0xC6530000u: // tsr -> Latn
        case 0xCE530000u: // tst -> Latn
        case 0xD2530000u: // tsu -> Latn
        case 0xD6530000u: // tsv -> Latn
        case 0xDA530000u: // tsw -> Latn
        case 0xDE530000u: // tsx -> Latn
        case 0xE6530000u: // tsz -> Latn
        case 0x86730000u: // ttb -> Latn
        case 0x8A730000u: // ttc -> Latn
        case 0x8E730000u: // ttd -> Latn
        case 0x92730000u: // tte -> Latn
        case 0x96730000u: // ttf -> Latn
        case 0xA2730000u: // tti -> Latn
        case 0xA6730000u: // ttj -> Latn
        case 0xAA730000u: // ttk -> Latn
        case 0xAE730000u: // ttl -> Latn
        case 0xB2730000u: // ttm -> Latn
        case 0xB6730000u: // ttn -> Latn
        case 0xBE730000u: // ttp -> Latn
        case 0xC6730000u: // ttr -> Latn
        case 0xCE730000u: // ttt -> Latn
        case 0xD2730000u: // ttu -> Latn
        case 0xD6730000u: // ttv -> Latn
        case 0xDA730000u: // ttw -> Latn
        case 0xE2730000u: // tty -> Latn
        case 0x82930000u: // tua -> Latn
        case 0x86930000u: // tub -> Latn
        case 0x8A930000u: // tuc -> Latn
        case 0x8E930000u: // tud -> Latn
        case 0x92930000u: // tue -> Latn
        case 0x96930000u: // tuf -> Latn
        case 0x9A930000u: // tug -> Latn
        case 0x9E930000u: // tuh -> Latn
        case 0xA2930000u: // tui -> Latn
        case 0xA6930000u: // tuj -> Latn
        case 0xAE930000u: // tul -> Latn
        case 0xB2930000u: // tum -> Latn
        case 0xB6930000u: // tun -> Latn
        case 0xBA930000u: // tuo -> Latn
        case 0xC2930000u: // tuq -> Latn
        case 0xCA930000u: // tus -> Latn
        case 0xD2930000u: // tuu -> Latn
        case 0xD6930000u: // tuv -> Latn
        case 0xDE930000u: // tux -> Latn
        case 0xE2930000u: // tuy -> Latn
        case 0xE6930000u: // tuz -> Latn
        case 0x82B30000u: // tva -> Latn
        case 0x8EB30000u: // tvd -> Latn
        case 0x92B30000u: // tve -> Latn
        case 0xA2B30000u: // tvi -> Latn
        case 0xAAB30000u: // tvk -> Latn
        case 0xAEB30000u: // tvl -> Latn
        case 0xB2B30000u: // tvm -> Latn
        case 0xBAB30000u: // tvo -> Latn
        case 0xCAB30000u: // tvs -> Latn
        case 0xCEB30000u: // tvt -> Latn
        case 0xD2B30000u: // tvu -> Latn
        case 0xDAB30000u: // tvw -> Latn
        case 0xDEB30000u: // tvx -> Latn
        case 0x82D30000u: // twa -> Latn
        case 0x86D30000u: // twb -> Latn
        case 0x8ED30000u: // twd -> Latn
        case 0x92D30000u: // twe -> Latn
        case 0x96D30000u: // twf -> Latn
        case 0x9AD30000u: // twg -> Latn
        case 0x9ED30000u: // twh -> Latn
        case 0xAED30000u: // twl -> Latn
        case 0xB6D30000u: // twn -> Latn
        case 0xBAD30000u: // two -> Latn
        case 0xBED30000u: // twp -> Latn
        case 0xC2D30000u: // twq -> Latn
        case 0xC6D30000u: // twr -> Latn
        case 0xCED30000u: // twt -> Latn
        case 0xD2D30000u: // twu -> Latn
        case 0xDAD30000u: // tww -> Latn
        case 0xDED30000u: // twx -> Latn
        case 0xE2D30000u: // twy -> Latn
        case 0x82F30000u: // txa -> Latn
        case 0x92F30000u: // txe -> Latn
        case 0xA2F30000u: // txi -> Latn
        case 0xA6F30000u: // txj -> Latn
        case 0xB2F30000u: // txm -> Latn
        case 0xB6F30000u: // txn -> Latn
        case 0xC2F30000u: // txq -> Latn
        case 0xCAF30000u: // txs -> Latn
        case 0xCEF30000u: // txt -> Latn
        case 0xD2F30000u: // txu -> Latn
        case 0xDEF30000u: // txx -> Latn
        case 0xE2F30000u: // txy -> Latn
        case 0x74790000u: // ty -> Latn
        case 0x83130000u: // tya -> Latn
        case 0x93130000u: // tye -> Latn
        case 0x9F130000u: // tyh -> Latn
        case 0xA3130000u: // tyi -> Latn
        case 0xA7130000u: // tyj -> Latn
        case 0xAF130000u: // tyl -> Latn
        case 0xB7130000u: // tyn -> Latn
        case 0xBF130000u: // typ -> Latn
        case 0xCB130000u: // tys -> Latn
        case 0xCF130000u: // tyt -> Latn
        case 0xD3130000u: // tyu -> Latn
        case 0xDF130000u: // tyx -> Latn
        case 0xE3130000u: // tyy -> Latn
        case 0xE7130000u: // tyz -> Latn
        case 0x9F330000u: // tzh -> Latn
        case 0xA7330000u: // tzj -> Latn
        case 0xAF330000u: // tzl -> Latn
        case 0xB3330000u: // tzm -> Latn
        case 0xB7330000u: // tzn -> Latn
        case 0xBB330000u: // tzo -> Latn
        case 0xDF330000u: // tzx -> Latn
        case 0xB0140000u: // uam -> Latn
        case 0xC4140000u: // uar -> Latn
        case 0x80340000u: // uba -> Latn
        case 0xA0340000u: // ubi -> Latn
        case 0xAC340000u: // ubl -> Latn
        case 0xC4340000u: // ubr -> Latn
        case 0xD0340000u: // ubu -> Latn
        case 0xE0340000u: // uby -> Latn
        case 0x80740000u: // uda -> Latn
        case 0xA4740000u: // udj -> Latn
        case 0xAC740000u: // udl -> Latn
        case 0xD0740000u: // udu -> Latn
        case 0xC8940000u: // ues -> Latn
        case 0xA0B40000u: // ufi -> Latn
        case 0x84D40000u: // ugb -> Latn
        case 0x90D40000u: // uge -> Latn
        case 0x80F40000u: // uha -> Latn
        case 0xB4F40000u: // uhn -> Latn
        case 0xC9140000u: // uis -> Latn
        case 0xD5140000u: // uiv -> Latn
        case 0xA1340000u: // uji -> Latn
        case 0x81540000u: // uka -> Latn
        case 0x99540000u: // ukg -> Latn
        case 0x9D540000u: // ukh -> Latn
        case 0xA9540000u: // ukk -> Latn
        case 0xBD540000u: // ukp -> Latn
        case 0xC1540000u: // ukq -> Latn
        case 0xD1540000u: // uku -> Latn
        case 0xD5540000u: // ukv -> Latn
        case 0xD9540000u: // ukw -> Latn
        case 0xE1540000u: // uky -> Latn
        case 0x81740000u: // ula -> Latn
        case 0x85740000u: // ulb -> Latn
        case 0x91740000u: // ule -> Latn
        case 0x95740000u: // ulf -> Latn
        case 0xA1740000u: // uli -> Latn
        case 0xA9740000u: // ulk -> Latn
        case 0xB1740000u: // ulm -> Latn
        case 0xB5740000u: // uln -> Latn
        case 0xD1740000u: // ulu -> Latn
        case 0xD9740000u: // ulw -> Latn
        case 0xE1740000u: // uly -> Latn
        case 0x81940000u: // uma -> Latn
        case 0x85940000u: // umb -> Latn
        case 0x8D940000u: // umd -> Latn
        case 0x99940000u: // umg -> Latn
        case 0xA1940000u: // umi -> Latn
        case 0xB1940000u: // umm -> Latn
        case 0xB5940000u: // umn -> Latn
        case 0xB9940000u: // umo -> Latn
        case 0xBD940000u: // ump -> Latn
        case 0xC5940000u: // umr -> Latn
        case 0xC9940000u: // ums -> Latn
        case 0x81B40000u: // una -> Latn
        case 0x91B40000u: // une -> Latn
        case 0x99B40000u: // ung -> Latn
        case 0xA1B40000u: // uni -> Latn
        case 0xA9B40000u: // unk -> Latn
        case 0xB1B40000u: // unm -> Latn
        case 0xB5B40000u: // unn -> Latn
        case 0xD1B40000u: // unu -> Latn
        case 0xE5B40000u: // unz -> Latn
        case 0xB5D40000u: // uon -> Latn
        case 0xA1F40000u: // upi -> Latn
        case 0xD5F40000u: // upv -> Latn
        case 0x82340000u: // ura -> Latn
        case 0x86340000u: // urb -> Latn
        case 0x8A340000u: // urc -> Latn
        case 0x92340000u: // ure -> Latn
        case 0x96340000u: // urf -> Latn
        case 0x9A340000u: // urg -> Latn
        case 0x9E340000u: // urh -> Latn
        case 0xA2340000u: // uri -> Latn
        case 0xB2340000u: // urm -> Latn
        case 0xB6340000u: // urn -> Latn
        case 0xBA340000u: // uro -> Latn
        case 0xBE340000u: // urp -> Latn
        case 0xC6340000u: // urr -> Latn
        case 0xCE340000u: // urt -> Latn
        case 0xD2340000u: // uru -> Latn
        case 0xD6340000u: // urv -> Latn
        case 0xDA340000u: // urw -> Latn
        case 0xDE340000u: // urx -> Latn
        case 0xE2340000u: // ury -> Latn
        case 0xE6340000u: // urz -> Latn
        case 0x82540000u: // usa -> Latn
        case 0xA2540000u: // usi -> Latn
        case 0xAA540000u: // usk -> Latn
        case 0xBE540000u: // usp -> Latn
        case 0xCA540000u: // uss -> Latn
        case 0xD2540000u: // usu -> Latn
        case 0x82740000u: // uta -> Latn
        case 0x92740000u: // ute -> Latn
        case 0x9E740000u: // uth -> Latn
        case 0xBE740000u: // utp -> Latn
        case 0xC6740000u: // utr -> Latn
        case 0xD2740000u: // utu -> Latn
        case 0xC6940000u: // uur -> Latn
        case 0x92B40000u: // uve -> Latn
        case 0x9EB40000u: // uvh -> Latn
        case 0xAEB40000u: // uvl -> Latn
        case 0x82D40000u: // uwa -> Latn
        case 0x83140000u: // uya -> Latn
        case 0x757A0000u: // uz -> Latn
        case 0x90150000u: // vae -> Latn
        case 0x98150000u: // vag -> Latn
        case 0xA4150000u: // vaj -> Latn
        case 0xAC150000u: // val -> Latn
        case 0xB0150000u: // vam -> Latn
        case 0xB4150000u: // van -> Latn
        case 0xB8150000u: // vao -> Latn
        case 0xBC150000u: // vap -> Latn
        case 0xC4150000u: // var -> Latn
        case 0xD0150000u: // vau -> Latn
        case 0x84350000u: // vbb -> Latn
        case 0xA8350000u: // vbk -> Latn
        case 0x76650000u: // ve -> Latn
        case 0x88950000u: // vec -> Latn
        case 0xB0950000u: // vem -> Latn
        case 0xB8950000u: // veo -> Latn
        case 0xBC950000u: // vep -> Latn
        case 0xC4950000u: // ver -> Latn
        case 0x76690000u: // vi -> Latn
        case 0x89150000u: // vic -> Latn
        case 0x8D150000u: // vid -> Latn
        case 0x95150000u: // vif -> Latn
        case 0x99150000u: // vig -> Latn
        case 0xAD150000u: // vil -> Latn
        case 0xB5150000u: // vin -> Latn
        case 0xCD150000u: // vit -> Latn
        case 0xD5150000u: // viv -> Latn
        case 0x81550000u: // vka -> Latn
        case 0xA5550000u: // vkj -> Latn
        case 0xA9550000u: // vkk -> Latn
        case 0xAD550000u: // vkl -> Latn
        case 0xB1550000u: // vkm -> Latn
        case 0xB5550000u: // vkn -> Latn
        case 0xB9550000u: // vko -> Latn
        case 0xBD550000u: // vkp -> Latn
        case 0xCD550000u: // vkt -> Latn
        case 0xD1550000u: // vku -> Latn
        case 0xE5550000u: // vkz -> Latn
        case 0xBD750000u: // vlp -> Latn
        case 0xC9750000u: // vls -> Latn
        case 0x81950000u: // vma -> Latn
        case 0x85950000u: // vmb -> Latn
        case 0x89950000u: // vmc -> Latn
        case 0x91950000u: // vme -> Latn
        case 0x95950000u: // vmf -> Latn
        case 0x99950000u: // vmg -> Latn
        case 0xA1950000u: // vmi -> Latn
        case 0xA5950000u: // vmj -> Latn
        case 0xA9950000u: // vmk -> Latn
        case 0xAD950000u: // vml -> Latn
        case 0xB1950000u: // vmm -> Latn
        case 0xBD950000u: // vmp -> Latn
        case 0xC1950000u: // vmq -> Latn
        case 0xC5950000u: // vmr -> Latn
        case 0xC9950000u: // vms -> Latn
        case 0xD1950000u: // vmu -> Latn
        case 0xD9950000u: // vmw -> Latn
        case 0xDD950000u: // vmx -> Latn
        case 0xE1950000u: // vmy -> Latn
        case 0xE5950000u: // vmz -> Latn
        case 0xA9B50000u: // vnk -> Latn
        case 0xB1B50000u: // vnm -> Latn
        case 0xBDB50000u: // vnp -> Latn
        case 0x766F0000u: // vo -> Latn
        case 0xC5D50000u: // vor -> Latn
        case 0xCDD50000u: // vot -> Latn
        case 0x82350000u: // vra -> Latn
        case 0xBA350000u: // vro -> Latn
        case 0xCA350000u: // vrs -> Latn
        case 0xCE350000u: // vrt -> Latn
        case 0xBA750000u: // vto -> Latn
        case 0xB2950000u: // vum -> Latn
        case 0xB6950000u: // vun -> Latn
        case 0xCE950000u: // vut -> Latn
        case 0x82D50000u: // vwa -> Latn
        case 0x77610000u: // wa -> Latn
        case 0x80160000u: // waa -> Latn
        case 0x84160000u: // wab -> Latn
        case 0x88160000u: // wac -> Latn
        case 0x8C160000u: // wad -> Latn
        case 0x90160000u: // wae -> Latn
        case 0x94160000u: // waf -> Latn
        case 0x98160000u: // wag -> Latn
        case 0x9C160000u: // wah -> Latn
        case 0xA0160000u: // wai -> Latn
        case 0xA4160000u: // waj -> Latn
        case 0xB0160000u: // wam -> Latn
        case 0xB4160000u: // wan -> Latn
        case 0xBC160000u: // wap -> Latn
        case 0xC0160000u: // waq -> Latn
        case 0xC4160000u: // war -> Latn
        case 0xC8160000u: // was -> Latn
        case 0xCC160000u: // wat -> Latn
        case 0xD0160000u: // wau -> Latn
        case 0xD4160000u: // wav -> Latn
        case 0xD8160000u: // waw -> Latn
        case 0xDC160000u: // wax -> Latn
        case 0xE0160000u: // way -> Latn
        case 0xE4160000u: // waz -> Latn
        case 0x80360000u: // wba -> Latn
        case 0x84360000u: // wbb -> Latn
        case 0x90360000u: // wbe -> Latn
        case 0x94360000u: // wbf -> Latn
        case 0x9C360000u: // wbh -> Latn
        case 0xA0360000u: // wbi -> Latn
        case 0xA4360000u: // wbj -> Latn
        case 0xAC360000u: // wbl -> Latn
        case 0xB0360000u: // wbm -> Latn
        case 0xBC360000u: // wbp -> Latn
        case 0xCC360000u: // wbt -> Latn
        case 0xD4360000u: // wbv -> Latn
        case 0xD8360000u: // wbw -> Latn
        case 0x80560000u: // wca -> Latn
        case 0xA0560000u: // wci -> Latn
        case 0x8C760000u: // wdd -> Latn
        case 0x98760000u: // wdg -> Latn
        case 0xA4760000u: // wdj -> Latn
        case 0xA8760000u: // wdk -> Latn
        case 0xCC760000u: // wdt -> Latn
        case 0xD0760000u: // wdu -> Latn
        case 0xE0760000u: // wdy -> Latn
        case 0x88960000u: // wec -> Latn
        case 0x8C960000u: // wed -> Latn
        case 0x98960000u: // weg -> Latn
        case 0x9C960000u: // weh -> Latn
        case 0xA0960000u: // wei -> Latn
        case 0xB0960000u: // wem -> Latn
        case 0xB8960000u: // weo -> Latn
        case 0xBC960000u: // wep -> Latn
        case 0xC4960000u: // wer -> Latn
        case 0xC8960000u: // wes -> Latn
        case 0xCC960000u: // wet -> Latn
        case 0xD0960000u: // weu -> Latn
        case 0xD8960000u: // wew -> Latn
        case 0x98B60000u: // wfg -> Latn
        case 0x80D60000u: // wga -> Latn
        case 0x84D60000u: // wgb -> Latn
        case 0x98D60000u: // wgg -> Latn
        case 0xA0D60000u: // wgi -> Latn
        case 0xB8D60000u: // wgo -> Latn
        case 0xD0D60000u: // wgu -> Latn
        case 0xE0D60000u: // wgy -> Latn
        case 0x80F60000u: // wha -> Latn
        case 0x98F60000u: // whg -> Latn
        case 0xA8F60000u: // whk -> Latn
        case 0xD0F60000u: // whu -> Latn
        case 0x85160000u: // wib -> Latn
        case 0x89160000u: // wic -> Latn
        case 0x91160000u: // wie -> Latn
        case 0x95160000u: // wif -> Latn
        case 0x99160000u: // wig -> Latn
        case 0x9D160000u: // wih -> Latn
        case 0xA1160000u: // wii -> Latn
        case 0xA5160000u: // wij -> Latn
        case 0xA9160000u: // wik -> Latn
        case 0xAD160000u: // wil -> Latn
        case 0xB1160000u: // wim -> Latn
        case 0xB5160000u: // win -> Latn
        case 0xC5160000u: // wir -> Latn
        case 0xD1160000u: // wiu -> Latn
        case 0xD5160000u: // wiv -> Latn
        case 0xE1160000u: // wiy -> Latn
        case 0x81360000u: // wja -> Latn
        case 0xA1360000u: // wji -> Latn
        case 0x81560000u: // wka -> Latn
        case 0x8D560000u: // wkd -> Latn
        case 0xC5560000u: // wkr -> Latn
        case 0xD9560000u: // wkw -> Latn
        case 0xE1560000u: // wky -> Latn
        case 0x81760000u: // wla -> Latn
        case 0x99760000u: // wlg -> Latn
        case 0x9D760000u: // wlh -> Latn
        case 0xA1760000u: // wli -> Latn
        case 0xB1760000u: // wlm -> Latn
        case 0xC5760000u: // wlr -> Latn
        case 0xC9760000u: // wls -> Latn
        case 0xD1760000u: // wlu -> Latn
        case 0xD5760000u: // wlv -> Latn
        case 0xD9760000u: // wlw -> Latn
        case 0xDD760000u: // wlx -> Latn
        case 0x81960000u: // wma -> Latn
        case 0x85960000u: // wmb -> Latn
        case 0x89960000u: // wmc -> Latn
        case 0x8D960000u: // wmd -> Latn
        case 0x9D960000u: // wmh -> Latn
        case 0xA1960000u: // wmi -> Latn
        case 0xB1960000u: // wmm -> Latn
        case 0xB5960000u: // wmn -> Latn
        case 0xB9960000u: // wmo -> Latn
        case 0xC9960000u: // wms -> Latn
        case 0xCD960000u: // wmt -> Latn
        case 0xD9960000u: // wmw -> Latn
        case 0xDD960000u: // wmx -> Latn
        case 0x85B60000u: // wnb -> Latn
        case 0x89B60000u: // wnc -> Latn
        case 0x8DB60000u: // wnd -> Latn
        case 0x99B60000u: // wng -> Latn
        case 0xA9B60000u: // wnk -> Latn
        case 0xB1B60000u: // wnm -> Latn
        case 0xB5B60000u: // wnn -> Latn
        case 0xB9B60000u: // wno -> Latn
        case 0xBDB60000u: // wnp -> Latn
        case 0xD1B60000u: // wnu -> Latn
        case 0xD9B60000u: // wnw -> Latn
        case 0xE1B60000u: // wny -> Latn
        case 0x776F0000u: // wo -> Latn
        case 0x81D60000u: // woa -> Latn
        case 0x85D60000u: // wob -> Latn
        case 0x89D60000u: // woc -> Latn
        case 0x8DD60000u: // wod -> Latn
        case 0x91D60000u: // woe -> Latn
        case 0x95D60000u: // wof -> Latn
        case 0x99D60000u: // wog -> Latn
        case 0xA1D60000u: // woi -> Latn
        case 0xA9D60000u: // wok -> Latn
        case 0xB1D60000u: // wom -> Latn
        case 0xB5D60000u: // won -> Latn
        case 0xB9D60000u: // woo -> Latn
        case 0xC5D60000u: // wor -> Latn
        case 0xC9D60000u: // wos -> Latn
        case 0xD9D60000u: // wow -> Latn
        case 0x89F60000u: // wpc -> Latn
        case 0x86360000u: // wrb -> Latn
        case 0x9A360000u: // wrg -> Latn
        case 0x9E360000u: // wrh -> Latn
        case 0xA2360000u: // wri -> Latn
        case 0xAA360000u: // wrk -> Latn
        case 0xAE360000u: // wrl -> Latn
        case 0xB2360000u: // wrm -> Latn
        case 0xBA360000u: // wro -> Latn
        case 0xBE360000u: // wrp -> Latn
        case 0xC6360000u: // wrr -> Latn
        case 0xCA360000u: // wrs -> Latn
        case 0xD2360000u: // wru -> Latn
        case 0xD6360000u: // wrv -> Latn
        case 0xDA360000u: // wrw -> Latn
        case 0xDE360000u: // wrx -> Latn
        case 0xE6360000u: // wrz -> Latn
        case 0x82560000u: // wsa -> Latn
        case 0xA2560000u: // wsi -> Latn
        case 0xAA560000u: // wsk -> Latn
        case 0xC6560000u: // wsr -> Latn
        case 0xCA560000u: // wss -> Latn
        case 0xD2560000u: // wsu -> Latn
        case 0x86760000u: // wtb -> Latn
        case 0x96760000u: // wtf -> Latn
        case 0x9E760000u: // wth -> Latn
        case 0xA2760000u: // wti -> Latn
        case 0xAA760000u: // wtk -> Latn
        case 0xDA760000u: // wtw -> Latn
        case 0x82960000u: // wua -> Latn
        case 0x86960000u: // wub -> Latn
        case 0x8E960000u: // wud -> Latn
        case 0xAE960000u: // wul -> Latn
        case 0xB2960000u: // wum -> Latn
        case 0xB6960000u: // wun -> Latn
        case 0xC6960000u: // wur -> Latn
        case 0xCE960000u: // wut -> Latn
        case 0xD6960000u: // wuv -> Latn
        case 0xDE960000u: // wux -> Latn
        case 0xE2960000u: // wuy -> Latn
        case 0x82D60000u: // wwa -> Latn
        case 0x86D60000u: // wwb -> Latn
        case 0xBAD60000u: // wwo -> Latn
        case 0xC6D60000u: // wwr -> Latn
        case 0xDAD60000u: // www -> Latn
        case 0xDAF60000u: // wxw -> Latn
        case 0x87160000u: // wyb -> Latn
        case 0xA3160000u: // wyi -> Latn
        case 0xB3160000u: // wym -> Latn
        case 0xB7160000u: // wyn -> Latn
        case 0xC7160000u: // wyr -> Latn
        case 0xE3160000u: // wyy -> Latn
        case 0x80170000u: // xaa -> Latn
        case 0x84170000u: // xab -> Latn
        case 0xA0170000u: // xai -> Latn
        case 0xA4170000u: // xaj -> Latn
        case 0xA8170000u: // xak -> Latn
        case 0xB0170000u: // xam -> Latn
        case 0xB8170000u: // xao -> Latn
        case 0xC4170000u: // xar -> Latn
        case 0xCC170000u: // xat -> Latn
        case 0xD0170000u: // xau -> Latn
        case 0xD4170000u: // xav -> Latn
        case 0xD8170000u: // xaw -> Latn
        case 0xE0170000u: // xay -> Latn
        case 0x84370000u: // xbb -> Latn
        case 0x8C370000u: // xbd -> Latn
        case 0x90370000u: // xbe -> Latn
        case 0x98370000u: // xbg -> Latn
        case 0xA0370000u: // xbi -> Latn
        case 0xA4370000u: // xbj -> Latn
        case 0xB0370000u: // xbm -> Latn
        case 0xB4370000u: // xbn -> Latn
        case 0xBC370000u: // xbp -> Latn
        case 0xC4370000u: // xbr -> Latn
        case 0xD8370000u: // xbw -> Latn
        case 0xE0370000u: // xby -> Latn
        case 0x9C570000u: // xch -> Latn
        case 0x80770000u: // xda -> Latn
        case 0xA8770000u: // xdk -> Latn
        case 0xB8770000u: // xdo -> Latn
        case 0xE0770000u: // xdy -> Latn
        case 0x8C970000u: // xed -> Latn
        case 0x98970000u: // xeg -> Latn
        case 0xB0970000u: // xem -> Latn
        case 0xC4970000u: // xer -> Latn
        case 0xC8970000u: // xes -> Latn
        case 0xCC970000u: // xet -> Latn
        case 0xD0970000u: // xeu -> Latn
        case 0x84D70000u: // xgb -> Latn
        case 0x8CD70000u: // xgd -> Latn
        case 0x98D70000u: // xgg -> Latn
        case 0xA0D70000u: // xgi -> Latn
        case 0xB0D70000u: // xgm -> Latn
        case 0xD0D70000u: // xgu -> Latn
        case 0xD8D70000u: // xgw -> Latn
        case 0x78680000u: // xh -> Latn
        case 0xD4F70000u: // xhv -> Latn
        case 0xA1170000u: // xii -> Latn
        case 0xB5170000u: // xin -> Latn
        case 0xC5170000u: // xir -> Latn
        case 0xE1170000u: // xiy -> Latn
        case 0x85370000u: // xjb -> Latn
        case 0xCD370000u: // xjt -> Latn
        case 0x85570000u: // xkb -> Latn
        case 0x8D570000u: // xkd -> Latn
        case 0x91570000u: // xke -> Latn
        case 0x99570000u: // xkg -> Latn
        case 0xAD570000u: // xkl -> Latn
        case 0xB5570000u: // xkn -> Latn
        case 0xC1570000u: // xkq -> Latn
        case 0xC5570000u: // xkr -> Latn
        case 0xC9570000u: // xks -> Latn
        case 0xCD570000u: // xkt -> Latn
        case 0xD1570000u: // xku -> Latn
        case 0xD5570000u: // xkv -> Latn
        case 0xD9570000u: // xkw -> Latn
        case 0xDD570000u: // xkx -> Latn
        case 0xE1570000u: // xky -> Latn
        case 0xE5570000u: // xkz -> Latn
        case 0x81770000u: // xla -> Latn
        case 0x81970000u: // xma -> Latn
        case 0x85970000u: // xmb -> Latn
        case 0x89970000u: // xmc -> Latn
        case 0x8D970000u: // xmd -> Latn
        case 0x99970000u: // xmg -> Latn
        case 0x9D970000u: // xmh -> Latn
        case 0xA5970000u: // xmj -> Latn
        case 0xB1970000u: // xmm -> Latn
        case 0xB9970000u: // xmo -> Latn
        case 0xBD970000u: // xmp -> Latn
        case 0xC1970000u: // xmq -> Latn
        case 0xCD970000u: // xmt -> Latn
        case 0xD1970000u: // xmu -> Latn
        case 0xD5970000u: // xmv -> Latn
        case 0xD9970000u: // xmw -> Latn
        case 0xDD970000u: // xmx -> Latn
        case 0xE1970000u: // xmy -> Latn
        case 0xE5970000u: // xmz -> Latn
        case 0x85B70000u: // xnb -> Latn
        case 0xA1B70000u: // xni -> Latn
        case 0xA5B70000u: // xnj -> Latn
        case 0xA9B70000u: // xnk -> Latn
        case 0xB1B70000u: // xnm -> Latn
        case 0xB5B70000u: // xnn -> Latn
        case 0xC1B70000u: // xnq -> Latn
        case 0xCDB70000u: // xnt -> Latn
        case 0xD1B70000u: // xnu -> Latn
        case 0xE1B70000u: // xny -> Latn
        case 0xE5B70000u: // xnz -> Latn
        case 0x89D70000u: // xoc -> Latn
        case 0x8DD70000u: // xod -> Latn
        case 0x99D70000u: // xog -> Latn
        case 0xA1D70000u: // xoi -> Latn
        case 0xA9D70000u: // xok -> Latn
        case 0xB1D70000u: // xom -> Latn
        case 0xB5D70000u: // xon -> Latn
        case 0xB9D70000u: // xoo -> Latn
        case 0xBDD70000u: // xop -> Latn
        case 0xC5D70000u: // xor -> Latn
        case 0xD9D70000u: // xow -> Latn
        case 0x81F70000u: // xpa -> Latn
        case 0x85F70000u: // xpb -> Latn
        case 0x8DF70000u: // xpd -> Latn
        case 0x95F70000u: // xpf -> Latn
        case 0x9DF70000u: // xph -> Latn
        case 0xA5F70000u: // xpj -> Latn
        case 0xA9F70000u: // xpk -> Latn
        case 0xADF70000u: // xpl -> Latn
        case 0xB5F70000u: // xpn -> Latn
        case 0xB9F70000u: // xpo -> Latn
        case 0xC1F70000u: // xpq -> Latn
        case 0xCDF70000u: // xpt -> Latn
        case 0xD5F70000u: // xpv -> Latn
        case 0xD9F70000u: // xpw -> Latn
        case 0xDDF70000u: // xpx -> Latn
        case 0xE5F70000u: // xpz -> Latn
        case 0x82370000u: // xra -> Latn
        case 0x86370000u: // xrb -> Latn
        case 0x8E370000u: // xrd -> Latn
        case 0x92370000u: // xre -> Latn
        case 0x9A370000u: // xrg -> Latn
        case 0xA2370000u: // xri -> Latn
        case 0xC6370000u: // xrr -> Latn
        case 0xD2370000u: // xru -> Latn
        case 0xDA370000u: // xrw -> Latn
        case 0x86570000u: // xsb -> Latn
        case 0x92570000u: // xse -> Latn
        case 0x9E570000u: // xsh -> Latn
        case 0xA2570000u: // xsi -> Latn
        case 0xB2570000u: // xsm -> Latn
        case 0xB6570000u: // xsn -> Latn
        case 0xBE570000u: // xsp -> Latn
        case 0xC2570000u: // xsq -> Latn
        case 0xD2570000u: // xsu -> Latn
        case 0xE2570000u: // xsy -> Latn
        case 0x82770000u: // xta -> Latn
        case 0x86770000u: // xtb -> Latn
        case 0x8A770000u: // xtc -> Latn
        case 0x8E770000u: // xtd -> Latn
        case 0x92770000u: // xte -> Latn
        case 0x9E770000u: // xth -> Latn
        case 0xA2770000u: // xti -> Latn
        case 0xA6770000u: // xtj -> Latn
        case 0xAE770000u: // xtl -> Latn
        case 0xB2770000u: // xtm -> Latn
        case 0xB6770000u: // xtn -> Latn
        case 0xBE770000u: // xtp -> Latn
        case 0xCA770000u: // xts -> Latn
        case 0xCE770000u: // xtt -> Latn
        case 0xD2770000u: // xtu -> Latn
        case 0xD6770000u: // xtv -> Latn
        case 0xDA770000u: // xtw -> Latn
        case 0xE2770000u: // xty -> Latn
        case 0x8E970000u: // xud -> Latn
        case 0xAE970000u: // xul -> Latn
        case 0xB2970000u: // xum -> Latn
        case 0xB6970000u: // xun -> Latn
        case 0xBA970000u: // xuo -> Latn
        case 0xCE970000u: // xut -> Latn
        case 0xD2970000u: // xuu -> Latn
        case 0xB6B70000u: // xvn -> Latn
        case 0xBAB70000u: // xvo -> Latn
        case 0xCAB70000u: // xvs -> Latn
        case 0x82D70000u: // xwa -> Latn
        case 0x8ED70000u: // xwd -> Latn
        case 0x92D70000u: // xwe -> Latn
        case 0xA6D70000u: // xwj -> Latn
        case 0xAAD70000u: // xwk -> Latn
        case 0xAED70000u: // xwl -> Latn
        case 0xC6D70000u: // xwr -> Latn
        case 0xCED70000u: // xwt -> Latn
        case 0xDAD70000u: // xww -> Latn
        case 0x86F70000u: // xxb -> Latn
        case 0xAAF70000u: // xxk -> Latn
        case 0xB2F70000u: // xxm -> Latn
        case 0xC6F70000u: // xxr -> Latn
        case 0xCEF70000u: // xxt -> Latn
        case 0x83170000u: // xya -> Latn
        case 0x87170000u: // xyb -> Latn
        case 0xA7170000u: // xyj -> Latn
        case 0xAB170000u: // xyk -> Latn
        case 0xAF170000u: // xyl -> Latn
        case 0xCF170000u: // xyt -> Latn
        case 0xE3170000u: // xyy -> Latn
        case 0xBF370000u: // xzp -> Latn
        case 0x80180000u: // yaa -> Latn
        case 0x84180000u: // yab -> Latn
        case 0x88180000u: // yac -> Latn
        case 0x8C180000u: // yad -> Latn
        case 0x90180000u: // yae -> Latn
        case 0x94180000u: // yaf -> Latn
        case 0x98180000u: // yag -> Latn
        case 0x9C180000u: // yah -> Latn
        case 0xA4180000u: // yaj -> Latn
        case 0xA8180000u: // yak -> Latn
        case 0xAC180000u: // yal -> Latn
        case 0xB0180000u: // yam -> Latn
        case 0xB4180000u: // yan -> Latn
        case 0xB8180000u: // yao -> Latn
        case 0xBC180000u: // yap -> Latn
        case 0xC0180000u: // yaq -> Latn
        case 0xC4180000u: // yar -> Latn
        case 0xC8180000u: // yas -> Latn
        case 0xCC180000u: // yat -> Latn
        case 0xD0180000u: // yau -> Latn
        case 0xD4180000u: // yav -> Latn
        case 0xD8180000u: // yaw -> Latn
        case 0xDC180000u: // yax -> Latn
        case 0xE0180000u: // yay -> Latn
        case 0xE4180000u: // yaz -> Latn
        case 0x80380000u: // yba -> Latn
        case 0x84380000u: // ybb -> Latn
        case 0x90380000u: // ybe -> Latn
        case 0xA4380000u: // ybj -> Latn
        case 0xAC380000u: // ybl -> Latn
        case 0xB0380000u: // ybm -> Latn
        case 0xB4380000u: // ybn -> Latn
        case 0xB8380000u: // ybo -> Latn
        case 0xDC380000u: // ybx -> Latn
        case 0xE0380000u: // yby -> Latn
        case 0xAC580000u: // ycl -> Latn
        case 0xB4580000u: // ycn -> Latn
        case 0xC4580000u: // ycr -> Latn
        case 0x80780000u: // yda -> Latn
        case 0x90780000u: // yde -> Latn
        case 0xA8780000u: // ydk -> Latn
        case 0x88980000u: // yec -> Latn
        case 0x90980000u: // yee -> Latn
        case 0xA0980000u: // yei -> Latn
        case 0xAC980000u: // yel -> Latn
        case 0xC4980000u: // yer -> Latn
        case 0xC8980000u: // yes -> Latn
        case 0xCC980000u: // yet -> Latn
        case 0xD4980000u: // yev -> Latn
        case 0xE0980000u: // yey -> Latn
        case 0x80D80000u: // yga -> Latn
        case 0xA0D80000u: // ygi -> Latn
        case 0xACD80000u: // ygl -> Latn
        case 0xB0D80000u: // ygm -> Latn
        case 0xC4D80000u: // ygr -> Latn
        case 0xD0D80000u: // ygu -> Latn
        case 0xD8D80000u: // ygw -> Latn
        case 0x81180000u: // yia -> Latn
        case 0xA1180000u: // yii -> Latn
        case 0xA5180000u: // yij -> Latn
        case 0xAD180000u: // yil -> Latn
        case 0xB1180000u: // yim -> Latn
        case 0xC5180000u: // yir -> Latn
        case 0xC9180000u: // yis -> Latn
        case 0x81580000u: // yka -> Latn
        case 0xA1580000u: // yki -> Latn
        case 0xA9580000u: // ykk -> Latn
        case 0xB1580000u: // ykm -> Latn
        case 0xB9580000u: // yko -> Latn
        case 0xC5580000u: // ykr -> Latn
        case 0xE1580000u: // yky -> Latn
        case 0x81780000u: // yla -> Latn
        case 0x85780000u: // ylb -> Latn
        case 0x91780000u: // yle -> Latn
        case 0x99780000u: // ylg -> Latn
        case 0xA1780000u: // yli -> Latn
        case 0xAD780000u: // yll -> Latn
        case 0xC5780000u: // ylr -> Latn
        case 0xD1780000u: // ylu -> Latn
        case 0xE1780000u: // yly -> Latn
        case 0x85980000u: // ymb -> Latn
        case 0x91980000u: // yme -> Latn
        case 0x99980000u: // ymg -> Latn
        case 0xA9980000u: // ymk -> Latn
        case 0xAD980000u: // yml -> Latn
        case 0xB1980000u: // ymm -> Latn
        case 0xB5980000u: // ymn -> Latn
        case 0xB9980000u: // ymo -> Latn
        case 0xBD980000u: // ymp -> Latn
        case 0x8DB80000u: // ynd -> Latn
        case 0x99B80000u: // yng -> Latn
        case 0xADB80000u: // ynl -> Latn
        case 0xC1B80000u: // ynq -> Latn
        case 0xC9B80000u: // yns -> Latn
        case 0xD1B80000u: // ynu -> Latn
        case 0x796F0000u: // yo -> Latn
        case 0x85D80000u: // yob -> Latn
        case 0x99D80000u: // yog -> Latn
        case 0xA9D80000u: // yok -> Latn
        case 0xADD80000u: // yol -> Latn
        case 0xB1D80000u: // yom -> Latn
        case 0xB5D80000u: // yon -> Latn
        case 0xCDD80000u: // yot -> Latn
        case 0x82380000u: // yra -> Latn
        case 0x86380000u: // yrb -> Latn
        case 0x92380000u: // yre -> Latn
        case 0xAE380000u: // yrl -> Latn
        case 0xB2380000u: // yrm -> Latn
        case 0xBA380000u: // yro -> Latn
        case 0xCA380000u: // yrs -> Latn
        case 0xDA380000u: // yrw -> Latn
        case 0xE2380000u: // yry -> Latn
        case 0xCA580000u: // yss -> Latn
        case 0xDA780000u: // ytw -> Latn
        case 0xE2780000u: // yty -> Latn
        case 0x82980000u: // yua -> Latn
        case 0x86980000u: // yub -> Latn
        case 0x8A980000u: // yuc -> Latn
        case 0x96980000u: // yuf -> Latn
        case 0xA2980000u: // yui -> Latn
        case 0xA6980000u: // yuj -> Latn
        case 0xAE980000u: // yul -> Latn
        case 0xB2980000u: // yum -> Latn
        case 0xB6980000u: // yun -> Latn
        case 0xBE980000u: // yup -> Latn
        case 0xC2980000u: // yuq -> Latn
        case 0xC6980000u: // yur -> Latn
        case 0xCE980000u: // yut -> Latn
        case 0xDA980000u: // yuw -> Latn
        case 0xE6980000u: // yuz -> Latn
        case 0x82B80000u: // yva -> Latn
        case 0xCEB80000u: // yvt -> Latn
        case 0x82D80000u: // ywa -> Latn
        case 0x9AD80000u: // ywg -> Latn
        case 0xB6D80000u: // ywn -> Latn
        case 0xC6D80000u: // ywr -> Latn
        case 0xDAD80000u: // yww -> Latn
        case 0x82F80000u: // yxa -> Latn
        case 0x9AF80000u: // yxg -> Latn
        case 0xAEF80000u: // yxl -> Latn
        case 0xB2F80000u: // yxm -> Latn
        case 0xD2F80000u: // yxu -> Latn
        case 0xE2F80000u: // yxy -> Latn
        case 0xC7180000u: // yyr -> Latn
        case 0xD3180000u: // yyu -> Latn
        case 0x7A610000u: // za -> Latn
        case 0x80190000u: // zaa -> Latn
        case 0x84190000u: // zab -> Latn
        case 0x88190000u: // zac -> Latn
        case 0x8C190000u: // zad -> Latn
        case 0x90190000u: // zae -> Latn
        case 0x94190000u: // zaf -> Latn
        case 0x98190000u: // zag -> Latn
        case 0x9C190000u: // zah -> Latn
        case 0xA4190000u: // zaj -> Latn
        case 0xA8190000u: // zak -> Latn
        case 0xB0190000u: // zam -> Latn
        case 0xB8190000u: // zao -> Latn
        case 0xBC190000u: // zap -> Latn
        case 0xC0190000u: // zaq -> Latn
        case 0xC4190000u: // zar -> Latn
        case 0xC8190000u: // zas -> Latn
        case 0xCC190000u: // zat -> Latn
        case 0xD4190000u: // zav -> Latn
        case 0xD8190000u: // zaw -> Latn
        case 0xDC190000u: // zax -> Latn
        case 0xE0190000u: // zay -> Latn
        case 0xE4190000u: // zaz -> Latn
        case 0x88390000u: // zbc -> Latn
        case 0x90390000u: // zbe -> Latn
        case 0xCC390000u: // zbt -> Latn
        case 0xD0390000u: // zbu -> Latn
        case 0xD8390000u: // zbw -> Latn
        case 0x80590000u: // zca -> Latn
        case 0x80990000u: // zea -> Latn
        case 0x98990000u: // zeg -> Latn
        case 0xB0990000u: // zem -> Latn
        case 0x80D90000u: // zga -> Latn
        case 0xC4D90000u: // zgr -> Latn
        case 0xA0F90000u: // zhi -> Latn
        case 0xB4F90000u: // zhn -> Latn
        case 0xD8F90000u: // zhw -> Latn
        case 0x81190000u: // zia -> Latn
        case 0xA9190000u: // zik -> Latn
        case 0xAD190000u: // zil -> Latn
        case 0xB1190000u: // zim -> Latn
        case 0xB5190000u: // zin -> Latn
        case 0xD9190000u: // ziw -> Latn
        case 0xE5190000u: // ziz -> Latn
        case 0x81590000u: // zka -> Latn
        case 0x8D590000u: // zkd -> Latn
        case 0xBD590000u: // zkp -> Latn
        case 0xD1590000u: // zku -> Latn
        case 0x81790000u: // zla -> Latn
        case 0xB1790000u: // zlm -> Latn
        case 0xD1790000u: // zlu -> Latn
        case 0x81990000u: // zma -> Latn
        case 0x85990000u: // zmb -> Latn
        case 0x89990000u: // zmc -> Latn
        case 0x8D990000u: // zmd -> Latn
        case 0x91990000u: // zme -> Latn
        case 0x95990000u: // zmf -> Latn
        case 0x99990000u: // zmg -> Latn
        case 0x9D990000u: // zmh -> Latn
        case 0xA1990000u: // zmi -> Latn
        case 0xA5990000u: // zmj -> Latn
        case 0xA9990000u: // zmk -> Latn
        case 0xAD990000u: // zml -> Latn
        case 0xB1990000u: // zmm -> Latn
        case 0xB5990000u: // zmn -> Latn
        case 0xB9990000u: // zmo -> Latn
        case 0xBD990000u: // zmp -> Latn
        case 0xC1990000u: // zmq -> Latn
        case 0xC5990000u: // zmr -> Latn
        case 0xC9990000u: // zms -> Latn
        case 0xCD990000u: // zmt -> Latn
        case 0xD1990000u: // zmu -> Latn
        case 0xD5990000u: // zmv -> Latn
        case 0xD9990000u: // zmw -> Latn
        case 0xDD990000u: // zmx -> Latn
        case 0xE1990000u: // zmy -> Latn
        case 0xE5990000u: // zmz -> Latn
        case 0x81B90000u: // zna -> Latn
        case 0x91B90000u: // zne -> Latn
        case 0x99B90000u: // zng -> Latn
        case 0xA9B90000u: // znk -> Latn
        case 0xC9B90000u: // zns -> Latn
        case 0x89D90000u: // zoc -> Latn
        case 0x9DD90000u: // zoh -> Latn
        case 0xB1D90000u: // zom -> Latn
        case 0xB9D90000u: // zoo -> Latn
        case 0xC1D90000u: // zoq -> Latn
        case 0xC5D90000u: // zor -> Latn
        case 0xC9D90000u: // zos -> Latn
        case 0x81F90000u: // zpa -> Latn
        case 0x85F90000u: // zpb -> Latn
        case 0x89F90000u: // zpc -> Latn
        case 0x8DF90000u: // zpd -> Latn
        case 0x91F90000u: // zpe -> Latn
        case 0x95F90000u: // zpf -> Latn
        case 0x99F90000u: // zpg -> Latn
        case 0x9DF90000u: // zph -> Latn
        case 0xA1F90000u: // zpi -> Latn
        case 0xA5F90000u: // zpj -> Latn
        case 0xA9F90000u: // zpk -> Latn
        case 0xADF90000u: // zpl -> Latn
        case 0xB1F90000u: // zpm -> Latn
        case 0xB5F90000u: // zpn -> Latn
        case 0xB9F90000u: // zpo -> Latn
        case 0xBDF90000u: // zpp -> Latn
        case 0xC1F90000u: // zpq -> Latn
        case 0xC5F90000u: // zpr -> Latn
        case 0xC9F90000u: // zps -> Latn
        case 0xCDF90000u: // zpt -> Latn
        case 0xD1F90000u: // zpu -> Latn
        case 0xD5F90000u: // zpv -> Latn
        case 0xD9F90000u: // zpw -> Latn
        case 0xDDF90000u: // zpx -> Latn
        case 0xE1F90000u: // zpy -> Latn
        case 0xE5F90000u: // zpz -> Latn
        case 0xB6390000u: // zrn -> Latn
        case 0xBA390000u: // zro -> Latn
        case 0xCA390000u: // zrs -> Latn
        case 0x82590000u: // zsa -> Latn
        case 0xC6590000u: // zsr -> Latn
        case 0xD2590000u: // zsu -> Latn
        case 0x92790000u: // zte -> Latn
        case 0x9A790000u: // ztg -> Latn
        case 0xAE790000u: // ztl -> Latn
        case 0xB2790000u: // ztm -> Latn
        case 0xB6790000u: // ztn -> Latn
        case 0xBE790000u: // ztp -> Latn
        case 0xC2790000u: // ztq -> Latn
        case 0xCA790000u: // zts -> Latn
        case 0xCE790000u: // ztt -> Latn
        case 0xD2790000u: // ztu -> Latn
        case 0xDE790000u: // ztx -> Latn
        case 0xE2790000u: // zty -> Latn
        case 0x7A750000u: // zu -> Latn
        case 0x9E990000u: // zuh -> Latn
        case 0xB6990000u: // zun -> Latn
        case 0xE2990000u: // zuy -> Latn
        case 0xA7190000u: // zyj -> Latn
        case 0xBF190000u: // zyp -> Latn
        case 0x83390000u: // zza -> Latn
            return SCRIPT_CODES[55u];
        case 0xBC8B0000u: // lep -> Lepc
            return SCRIPT_CODES[56u];
        case 0x840B0000u: // lab -> Lina
            return SCRIPT_CODES[57u];
        case 0xE1860000u: // gmy -> Linb
            return SCRIPT_CODES[58u];
        case 0xC90B0000u: // lis -> Lisu
            return SCRIPT_CODES[59u];
        case 0xE1880000u: // imy -> Lyci
        case 0x89770000u: // xlc -> Lyci
            return SCRIPT_CODES[60u];
        case 0x8D770000u: // xld -> Lydi
            return SCRIPT_CODES[61u];
        case 0x8D0C0000u: // mid -> Mand
        case 0xE70C0000u: // myz -> Mand
            return SCRIPT_CODES[62u];
        case 0xB5970000u: // xmn -> Mani
            return SCRIPT_CODES[63u];
        case 0x9F370000u: // xzh -> Marc
            return SCRIPT_CODES[64u];
        case 0x95830000u: // dmf -> Medf
            return SCRIPT_CODES[65u];
        case 0xC5970000u: // xmr -> Merc
            return SCRIPT_CODES[66u];
        case 0x94000000u: // aaf -> Mlym
        case 0xAD600000u: // all -> Mlym
        case 0xD48A0000u: // kev -> Mlym
        case 0x9CAA0000u: // kfh -> Mlym
        case 0xC12C0000u: // mjq -> Mlym
        case 0xC52C0000u: // mjr -> Mlym
        case 0xD52C0000u: // mjv -> Mlym
        case 0x6D6C0000u: // ml -> Mlym
        case 0x944F0000u: // pcf -> Mlym
        case 0x984F0000u: // pcg -> Mlym
        case 0xC54F0000u: // pkr -> Mlym
        case 0x98740000u: // udg -> Mlym
        case 0x80980000u: // yea -> Mlym
            return SCRIPT_CODES[67u];
        case 0xC58E0000u: // omr -> Modi
            return SCRIPT_CODES[68u];
        case 0xD2E10000u: // bxu -> Mong
        case 0x6D6E434Eu: // mn-CN -> Mong
        case 0x89AC0000u: // mnc -> Mong
        case 0x96AC0000u: // mvf -> Mong
            return SCRIPT_CODES[69u];
        case 0xBA2C0000u: // mro -> Mroo
            return SCRIPT_CODES[70u];
        case 0xBD8E0000u: // omp -> Mtei
            return SCRIPT_CODES[71u];
        case 0xB9000000u: // aio -> Mymr
        case 0xA9610000u: // blk -> Mymr
        case 0x92C10000u: // bwe -> Mymr
        case 0x9E420000u: // csh -> Mymr
        case 0xD1A30000u: // dnu -> Mymr
        case 0xD5A30000u: // dnv -> Mymr
        case 0xB9E70000u: // hpo -> Mymr
        case 0xCDA80000u: // int -> Mymr
        case 0xB1490000u: // jkm -> Mymr
        case 0xCCEA0000u: // kht -> Mymr
        case 0xBD2A0000u: // kjp -> Mymr
        case 0xD24A0000u: // ksu -> Mymr
        case 0xDA4A0000u: // ksw -> Mymr
        case 0xC2AA0000u: // kvq -> Mymr
        case 0xCEAA0000u: // kvt -> Mymr
        case 0x96EA0000u: // kxf -> Mymr
        case 0xAAEA0000u: // kxk -> Mymr
        case 0xD9AC0000u: // mnw -> Mymr
        case 0xCECC0000u: // mwt -> Mymr
        case 0x6D790000u: // my -> Mymr
        case 0xC42E0000u: // obr -> Mymr
        case 0xDD8E0000u: // omx -> Mymr
        case 0x904F0000u: // pce -> Mymr
        case 0xA8EF0000u: // phk -> Mymr
        case 0xAD6F0000u: // pll -> Mymr
        case 0xBACF0000u: // pwo -> Mymr
        case 0xDF0F0000u: // pyx -> Mymr
        case 0x84310000u: // rbb -> Mymr
        case 0xA1510000u: // rki -> Mymr
        case 0xE5910000u: // rmz -> Mymr
        case 0xB4F20000u: // shn -> Mymr
        case 0xB8530000u: // tco -> Mymr
        case 0xAD330000u: // tjl -> Mymr
        case 0xB6B30000u: // tvn -> Mymr
            return SCRIPT_CODES[72u];
        case 0x81B70000u: // xna -> Narb
            return SCRIPT_CODES[73u];
        case 0x8ACD0000u: // nwc -> Newa
            return SCRIPT_CODES[74u];
        case 0xB40C474Eu: // man-GN -> Nkoo
        case 0xBA0D0000u: // nqo -> Nkoo
            return SCRIPT_CODES[75u];
        case 0xDCF90000u: // zhx -> Nshu
            return SCRIPT_CODES[76u];
        case 0xACCF0000u: // pgl -> Ogam
        case 0x80D20000u: // sga -> Ogam
        case 0xA1F70000u: // xpi -> Ogam
            return SCRIPT_CODES[77u];
        case 0xCC120000u: // sat -> Olck
            return SCRIPT_CODES[78u];
        case 0xAA6E0000u: // otk -> Orkh
            return SCRIPT_CODES[79u];
        case 0xD4610000u: // bdv -> Orya
        case 0xD8A10000u: // bfw -> Orya
        case 0xBA430000u: // dso -> Orya
        case 0xAAC30000u: // dwk -> Orya
        case 0xC0060000u: // gaq -> Orya
        case 0xA4260000u: // gbj -> Orya
        case 0x84660000u: // gdb -> Orya
        case 0xB6890000u: // jun -> Orya
        case 0xE2890000u: // juy -> Orya
        case 0x6F720000u: // or -> Orya
        case 0x988F0000u: // peg -> Orya
        case 0xA0910000u: // rei -> Orya
        case 0xD5F20000u: // spv -> Orya
        case 0xA1540000u: // uki -> Orya
        case 0xC9170000u: // xis -> Orya
        case 0x9A390000u: // zrg -> Orya
            return SCRIPT_CODES[80u];
        case 0x824E0000u: // osa -> Osge
            return SCRIPT_CODES[81u];
        case 0xA28E0000u: // oui -> Ougr
            return SCRIPT_CODES[82u];
        case 0x8E620000u: // ctd -> Pauc
            return SCRIPT_CODES[83u];
        case 0xAC0F0000u: // pal -> Phli
            return SCRIPT_CODES[84u];
        case 0xB02E0000u: // obm -> Phnx
        case 0xB4EF0000u: // phn -> Phnx
            return SCRIPT_CODES[85u];
        case 0x8D870000u: // hmd -> Plrd
        case 0xBE6A0000u: // ktp -> Plrd
        case 0xB9EB0000u: // lpo -> Plrd
        case 0xB0B20000u: // sfm -> Plrd
        case 0xBCD80000u: // ygp -> Plrd
        case 0x81B80000u: // yna -> Plrd
        case 0xE2580000u: // ysy -> Plrd
        case 0xC2D80000u: // ywq -> Plrd
        case 0xD2D80000u: // ywu -> Plrd
            return SCRIPT_CODES[86u];
        case 0xC5F70000u: // xpr -> Prti
            return SCRIPT_CODES[87u];
        case 0xAC200000u: // abl -> Rjng
            return SCRIPT_CODES[88u];
        case 0x98F10000u: // rhg -> Rohg
            return SCRIPT_CODES[89u];
        case 0xB5CD0000u: // non -> Runr
        case 0xB62D0000u: // nrn -> Runr
        case 0xD2F20000u: // sxu -> Runr
            return SCRIPT_CODES[90u];
        case 0xB0120000u: // sam -> Samr
        case 0xBD920000u: // smp -> Samr
            return SCRIPT_CODES[91u];
        case 0x82570000u: // xsa -> Sarb
            return SCRIPT_CODES[92u];
        case 0xE4120000u: // saz -> Saur
            return SCRIPT_CODES[93u];
        case 0x92400000u: // ase -> Sgnw
            return SCRIPT_CODES[94u];
        case 0x70690000u: // pi -> Sinh
        case 0x73690000u: // si -> Sinh
            return SCRIPT_CODES[95u];
        case 0x99D20000u: // sog -> Sogd
            return SCRIPT_CODES[96u];
        case 0x86320000u: // srb -> Sora
            return SCRIPT_CODES[97u];
        case 0x99820000u: // cmg -> Soyo
            return SCRIPT_CODES[98u];
        case 0xE6920000u: // suz -> Sunu
            return SCRIPT_CODES[99u];
        case 0xA1000000u: // aii -> Syrc
        case 0xD9800000u: // amw -> Syrc
        case 0xB4E10000u: // bhn -> Syrc
        case 0x95210000u: // bjf -> Syrc
        case 0xCE270000u: // hrt -> Syrc
        case 0x8E0A0000u: // kqd -> Syrc
        case 0xC8EB0000u: // lhs -> Syrc
        case 0xC40E0000u: // oar -> Syrc
        case 0x8B120000u: // syc -> Syrc
        case 0xB7120000u: // syn -> Syrc
        case 0xC7120000u: // syr -> Syrc
        case 0xC5930000u: // tmr -> Syrc
            return SCRIPT_CODES[100u];
        case 0xA8330000u: // tbk -> Tagb
            return SCRIPT_CODES[101u];
        case 0xA1070000u: // hii -> Takr
        case 0x81A90000u: // jna -> Takr
        case 0xD0520000u: // scu -> Takr
            return SCRIPT_CODES[102u];
        case 0x8C730000u: // tdd -> Tale
        case 0xA0F30000u: // thi -> Tale
            return SCRIPT_CODES[103u];
        case 0x84EA0000u: // khb -> Talu
            return SCRIPT_CODES[104u];
        case 0xC0A10000u: // bfq -> Taml
        case 0xCE620000u: // ctt -> Taml
        case 0xE2620000u: // cty -> Taml
        case 0x82240000u: // era -> Taml
        case 0xD2280000u: // iru -> Taml
        case 0x90AA0000u: // kfe -> Taml
        case 0xA0AA0000u: // kfi -> Taml
        case 0xD68C0000u: // muv -> Taml
        case 0x74610000u: // ta -> Taml
        case 0xDC530000u: // tcx -> Taml
        case 0x80150000u: // vaa -> Taml
        case 0x86970000u: // xub -> Taml
        case 0xA6970000u: // xuj -> Taml
            return SCRIPT_CODES[105u];
        case 0x9AF30000u: // txg -> Tang
            return SCRIPT_CODES[106u];
        case 0xCD610000u: // blt -> Tavt
        case 0x81D20000u: // soa -> Tavt
        case 0xC7130000u: // tyr -> Tavt
            return SCRIPT_CODES[107u];
        case 0x90620000u: // cde -> Telu
        case 0xD0060000u: // gau -> Telu
        case 0xE08A0000u: // key -> Telu
        case 0x88AA0000u: // kfc -> Telu
        case 0xB58B0000u: // lmn -> Telu
        case 0xD12C0000u: // mju -> Telu
        case 0xCD0D0000u: // nit -> Telu
        case 0xCE2E0000u: // ort -> Telu
        case 0xA44F0000u: // pcj -> Telu
        case 0x74650000u: // te -> Telu
        case 0xC0360000u: // wbq -> Telu
        case 0xD0980000u: // yeu -> Telu
            return SCRIPT_CODES[108u];
        case 0xB8E60000u: // gho -> Tfng
        case 0xA0F20000u: // shi -> Tfng
        case 0x80730000u: // tda -> Tfng
        case 0xB4990000u: // zen -> Tfng
        case 0x9CD90000u: // zgh -> Tfng
            return SCRIPT_CODES[109u];
        case 0x64760000u: // dv -> Thaa
            return SCRIPT_CODES[110u];
        case 0xA3210000u: // bzi -> Thai
        case 0xB4220000u: // cbn -> Thai
        case 0x99C20000u: // cog -> Thai
        case 0xCC6A0000u: // kdt -> Thai
        case 0x94EA0000u: // khf -> Thai
        case 0xCD2A0000u: // kjt -> Thai
        case 0xB2EA0000u: // kxm -> Thai
        case 0xBC4B0000u: // lcp -> Thai
        case 0xAECB0000u: // lwl -> Thai
        case 0xB2CB0000u: // lwm -> Thai
        case 0xB14C0000u: // mkm -> Thai
        case 0x956C0000u: // mlf -> Thai
        case 0xE5EC0000u: // mpz -> Thai
        case 0x822C0000u: // mra -> Thai
        case 0xAF0D0000u: // nyl -> Thai
        case 0xDB0D0000u: // nyw -> Thai
        case 0xCCEF0000u: // pht -> Thai
        case 0xD0EF0000u: // phu -> Thai
        case 0xCE2F0000u: // prt -> Thai
        case 0xDACF0000u: // pww -> Thai
        case 0x85520000u: // skb -> Thai
        case 0xD1D20000u: // sou -> Thai
        case 0x74680000u: // th -> Thai
        case 0xB0F30000u: // thm -> Thai
        case 0xCA730000u: // tts -> Thai
        case 0xB8D40000u: // ugo -> Thai
        case 0xAA340000u: // urk -> Thai
        case 0xE1D80000u: // yoy -> Thai
            return SCRIPT_CODES[111u];
        case 0xDC600000u: // adx -> Tibt
        case 0xD0A10000u: // bfu -> Tibt
        case 0xA9410000u: // bkk -> Tibt
        case 0x626F0000u: // bo -> Tibt
        case 0xBA210000u: // bro -> Tibt
        case 0xA8C20000u: // cgk -> Tibt
        case 0x81A20000u: // cna -> Tibt
        case 0x81430000u: // dka -> Tibt
        case 0x92230000u: // dre -> Tibt
        case 0x647A0000u: // dz -> Tibt
        case 0xAF230000u: // dzl -> Tibt
        case 0xCCE60000u: // ght -> Tibt
        case 0x91C60000u: // goe -> Tibt
        case 0x80690000u: // jda -> Tibt
        case 0x83090000u: // jya -> Tibt
        case 0x982A0000u: // kbg -> Tibt
        case 0x98EA0000u: // khg -> Tibt
        case 0xE52A0000u: // kjz -> Tibt
        case 0x954A0000u: // kkf -> Tibt
        case 0xA42B0000u: // lbj -> Tibt
        case 0x9D4B0000u: // lkh -> Tibt
        case 0xAA8B0000u: // luk -> Tibt
        case 0x830B0000u: // lya -> Tibt
        case 0xAA8C0000u: // muk -> Tibt
        case 0x9C8D0000u: // neh -> Tibt
        case 0x85ED0000u: // npb -> Tibt
        case 0x916E0000u: // ole -> Tibt
        case 0x866E0000u: // otb -> Tibt
        case 0xD0320000u: // sbu -> Tibt
        case 0xCCD20000u: // sgt -> Tibt
        case 0xBD120000u: // sip -> Tibt
        case 0xCDF20000u: // spt -> Tibt
        case 0xB4530000u: // tcn -> Tibt
        case 0x94D30000u: // tgf -> Tibt
        case 0xA6530000u: // tsj -> Tibt
        case 0x95570000u: // xkf -> Tibt
        case 0xD0190000u: // zau -> Tibt
            return SCRIPT_CODES[112u];
        case 0xCE4D0000u: // nst -> Tnsa
            return SCRIPT_CODES[113u];
        case 0xBAF30000u: // txo -> Toto
            return SCRIPT_CODES[114u];
        case 0x80D40000u: // uga -> Ugar
            return SCRIPT_CODES[115u];
        case 0xA0150000u: // vai -> Vaii
            return SCRIPT_CODES[116u];
        case 0xBDAD0000u: // nnp -> Wcho
            return SCRIPT_CODES[117u];
        case 0xB88F0000u: // peo -> Xpeo
            return SCRIPT_CODES[118u];
        case 0xA9400000u: // akk -> Xsux
        case 0xCD070000u: // hit -> Xsux
        case 0xDE670000u: // htx -> Xsux
        case 0xA08D0000u: // nei -> Xsux
        case 0xCCEE0000u: // oht -> Xsux
            return SCRIPT_CODES[119u];
        case 0x69690000u: // ii -> Yiii
        case 0xC9CD0000u: // nos -> Yiii
        case 0x8E4D0000u: // nsd -> Yiii
        case 0x964D0000u: // nsf -> Yiii
        case 0xD64D0000u: // nsv -> Yiii
        case 0xE26D0000u: // nty -> Yiii
        case 0x9D920000u: // smh -> Yiii
        case 0x99180000u: // yig -> Yiii
        case 0xD5180000u: // yiv -> Yiii
        case 0x8E580000u: // ysd -> Yiii
        case 0xB6580000u: // ysn -> Yiii
        case 0xBE580000u: // ysp -> Yiii
            return SCRIPT_CODES[120u];
        case 0x656E5841u: // en-XA -> ~~~A
            return SCRIPT_CODES[121u];
        case 0x61725842u: // ar-XB -> ~~~B
            return SCRIPT_CODES[122u];
        default:
            return nullptr;
     }
}

/*
 * TODO: Consider turning the below switch statement into binary search
 *      to save the disk space when the table is larger in the future.
 *      Disassembled code shows that the jump table emitted by clang can be
 *      4x larger than the data in disk size, but it depends on the optimization option.
 *      However, a switch statement will benefit from the future of compiler improvement.
 */
bool isLocaleRepresentative(uint32_t language_and_region, const char* script) {
    const uint64_t packed_locale =
            ((static_cast<uint64_t>(language_and_region)) << 32u) |
            (static_cast<uint64_t>(packScript(script)));
    switch(packed_locale) {
        case 0x616145544C61746ELLU: // aa_Latn_ET
        case 0x80004E474C61746ELLU: // aaa_Latn_NG
        case 0x84004E474C61746ELLU: // aab_Latn_NG
        case 0x880050474C61746ELLU: // aac_Latn_PG
        case 0x8C0050474C61746ELLU: // aad_Latn_PG
        case 0x900049544C61746ELLU: // aae_Latn_IT
        case 0x9400494E4D6C796DLLU: // aaf_Mlym_IN
        case 0x980050474C61746ELLU: // aag_Latn_PG
        case 0x9C0050474C61746ELLU: // aah_Latn_PG
        case 0xA00050474C61746ELLU: // aai_Latn_PG
        case 0xA80050474C61746ELLU: // aak_Latn_PG
        case 0xAC00434D4C61746ELLU: // aal_Latn_CM
        case 0xB40042524C61746ELLU: // aan_Latn_BR
        case 0xB800445A41726162LLU: // aao_Arab_DZ
        case 0xBC0042524C61746ELLU: // aap_Latn_BR
        case 0xC00055534C61746ELLU: // aaq_Latn_US
        case 0xC800545A4C61746ELLU: // aas_Latn_TZ
        case 0xCC0047524772656BLLU: // aat_Grek_GR
        case 0xD00050474C61746ELLU: // aau_Latn_PG
        case 0xD80050474C61746ELLU: // aaw_Latn_PG
        case 0xDC0049444C61746ELLU: // aax_Latn_ID
        case 0xE40049444C61746ELLU: // aaz_Latn_ID
        case 0x616247454379726CLLU: // ab_Cyrl_GE
        case 0x802043494C61746ELLU: // aba_Latn_CI
        case 0x8420434D4C61746ELLU: // abb_Latn_CM
        case 0x882050484C61746ELLU: // abc_Latn_PH
        case 0x8C2050484C61746ELLU: // abd_Latn_PH
        case 0x902043414C61746ELLU: // abe_Latn_CA
        case 0x94204D594C61746ELLU: // abf_Latn_MY
        case 0x982050474C61746ELLU: // abg_Latn_PG
        case 0x9C20544A41726162LLU: // abh_Arab_TJ
        case 0xA02043494C61746ELLU: // abi_Latn_CI
        case 0xAC204944526A6E67LLU: // abl_Rjng_ID
        case 0xB0204E474C61746ELLU: // abm_Latn_NG
        case 0xB4204E474C61746ELLU: // abn_Latn_NG
        case 0xB8204E474C61746ELLU: // abo_Latn_NG
        case 0xBC2050484C61746ELLU: // abp_Latn_PH
        case 0xC42047484C61746ELLU: // abr_Latn_GH
        case 0xC82049444C61746ELLU: // abs_Latn_ID
        case 0xCC2050474C61746ELLU: // abt_Latn_PG
        case 0xD02043494C61746ELLU: // abu_Latn_CI
        case 0xD420424841726162LLU: // abv_Arab_BH
        case 0xD82050474C61746ELLU: // abw_Latn_PG
        case 0xDC2050484C61746ELLU: // abx_Latn_PH
        case 0xE02050474C61746ELLU: // aby_Latn_PG
        case 0xE42049444C61746ELLU: // abz_Latn_ID
        case 0x8040434F4C61746ELLU: // aca_Latn_CO
        case 0x84404E474C61746ELLU: // acb_Latn_NG
        case 0x8C4047484C61746ELLU: // acd_Latn_GH
        case 0x904049444C61746ELLU: // ace_Latn_ID
        case 0x94404C434C61746ELLU: // acf_Latn_LC
        case 0x9C4055474C61746ELLU: // ach_Latn_UG
        case 0xB040495141726162LLU: // acm_Arab_IQ
        case 0xB440434E4C61746ELLU: // acn_Latn_CN
        case 0xBC404E474C61746ELLU: // acp_Latn_NG
        case 0xC040594541726162LLU: // acq_Arab_YE
        case 0xC44047544C61746ELLU: // acr_Latn_GT
        case 0xC84042524C61746ELLU: // acs_Latn_BR
        case 0xCC404E4C4C61746ELLU: // act_Latn_NL
        case 0xD04045434C61746ELLU: // acu_Latn_EC
        case 0xD44055534C61746ELLU: // acv_Latn_US
        case 0xD840534141726162LLU: // acw_Arab_SA
        case 0xDC404F4D41726162LLU: // acx_Arab_OM
        case 0xE04043594C61746ELLU: // acy_Latn_CY
        case 0xE44053444C61746ELLU: // acz_Latn_SD
        case 0x806047484C61746ELLU: // ada_Latn_GH
        case 0x8460544C4C61746ELLU: // adb_Latn_TL
        case 0x8C60434D4C61746ELLU: // add_Latn_CM
        case 0x906054474C61746ELLU: // ade_Latn_TG
        case 0x94604F4D41726162LLU: // adf_Arab_OM
        case 0x986041554C61746ELLU: // adg_Latn_AU
        case 0x9C6055474C61746ELLU: // adh_Latn_UG
        case 0xA060494E4C61746ELLU: // adi_Latn_IN
        case 0xA46043494C61746ELLU: // adj_Latn_CI
        case 0xAC60494E4C61746ELLU: // adl_Latn_IN
        case 0xB46049444C61746ELLU: // adn_Latn_ID
        case 0xB86050474C61746ELLU: // ado_Latn_PG
        case 0xC06047484C61746ELLU: // adq_Latn_GH
        case 0xC46049444C61746ELLU: // adr_Latn_ID
        case 0xCC6041554C61746ELLU: // adt_Latn_AU
        case 0xD0604E474C61746ELLU: // adu_Latn_NG
        case 0xD86042524C61746ELLU: // adw_Latn_BR
        case 0xDC60434E54696274LLU: // adx_Tibt_CN
        case 0xE06052554379726CLLU: // ady_Cyrl_RU
        case 0xE46050474C61746ELLU: // adz_Latn_PG
        case 0x6165495241767374LLU: // ae_Avst_IR
        case 0x808041554C61746ELLU: // aea_Latn_AU
        case 0x8480544E41726162LLU: // aeb_Arab_TN
        case 0x8880454741726162LLU: // aec_Arab_EG
        case 0x9080414641726162LLU: // aee_Arab_AF
        case 0xA8804E434C61746ELLU: // aek_Latn_NC
        case 0xAC80434D4C61746ELLU: // ael_Latn_CM
        case 0xB080564E4C61746ELLU: // aem_Latn_VN
        case 0xC080504B41726162LLU: // aeq_Arab_PK
        case 0xC48041554C61746ELLU: // aer_Latn_AU
        case 0xD080434E4C61746ELLU: // aeu_Latn_CN
        case 0xD88050474C61746ELLU: // aew_Latn_PG
        case 0xE08050474C61746ELLU: // aey_Latn_PG
        case 0xE48050474C61746ELLU: // aez_Latn_PG
        case 0x61665A414C61746ELLU: // af_Latn_ZA
        case 0x84A04B5741726162LLU: // afb_Arab_KW
        case 0x8CA050474C61746ELLU: // afd_Latn_PG
        case 0x90A04E474C61746ELLU: // afe_Latn_NG
        case 0x9CA047484C61746ELLU: // afh_Latn_GH
        case 0xA0A050474C61746ELLU: // afi_Latn_PG
        case 0xA8A050474C61746ELLU: // afk_Latn_PG
        case 0xB4A04E474C61746ELLU: // afn_Latn_NG
        case 0xB8A04E474C61746ELLU: // afo_Latn_NG
        case 0xBCA050474C61746ELLU: // afp_Latn_PG
        case 0xC8A04D584C61746ELLU: // afs_Latn_MX
        case 0xD0A047484C61746ELLU: // afu_Latn_GH
        case 0xE4A049444C61746ELLU: // afz_Latn_ID
        case 0x80C050454C61746ELLU: // aga_Latn_PE
        case 0x84C04E474C61746ELLU: // agb_Latn_NG
        case 0x88C04E474C61746ELLU: // agc_Latn_NG
        case 0x8CC050474C61746ELLU: // agd_Latn_PG
        case 0x90C050474C61746ELLU: // age_Latn_PG
        case 0x94C049444C61746ELLU: // agf_Latn_ID
        case 0x98C050474C61746ELLU: // agg_Latn_PG
        case 0x9CC043444C61746ELLU: // agh_Latn_CD
        case 0xA0C0494E44657661LLU: // agi_Deva_IN
        case 0xA4C0455445746869LLU: // agj_Ethi_ET
        case 0xA8C050484C61746ELLU: // agk_Latn_PH
        case 0xACC050474C61746ELLU: // agl_Latn_PG
        case 0xB0C050474C61746ELLU: // agm_Latn_PG
        case 0xB4C050484C61746ELLU: // agn_Latn_PH
        case 0xB8C050474C61746ELLU: // ago_Latn_PG
        case 0xC0C0434D4C61746ELLU: // agq_Latn_CM
        case 0xC4C050454C61746ELLU: // agr_Latn_PE
        case 0xC8C0434D4C61746ELLU: // ags_Latn_CM
        case 0xCCC050484C61746ELLU: // agt_Latn_PH
        case 0xD0C047544C61746ELLU: // agu_Latn_GT
        case 0xD4C050484C61746ELLU: // agv_Latn_PH
        case 0xD8C053424C61746ELLU: // agw_Latn_SB
        case 0xDCC052554379726CLLU: // agx_Cyrl_RU
        case 0xE0C050484C61746ELLU: // agy_Latn_PH
        case 0xE4C050484C61746ELLU: // agz_Latn_PH
        case 0x80E047484C61746ELLU: // aha_Latn_GH
        case 0x84E056554C61746ELLU: // ahb_Latn_VU
        case 0x98E0455445746869LLU: // ahg_Ethi_ET
        case 0x9CE049444C61746ELLU: // ahh_Latn_ID
        case 0xA0E043494C61746ELLU: // ahi_Latn_CI
        case 0xA8E04D4D4C61746ELLU: // ahk_Latn_MM
        case 0xACE054474C61746ELLU: // ahl_Latn_TG
        case 0xB0E043494C61746ELLU: // ahm_Latn_CI
        case 0xB4E04E474C61746ELLU: // ahn_Latn_NG
        case 0xB8E0494E41686F6DLLU: // aho_Ahom_IN
        case 0xBCE043494C61746ELLU: // ahp_Latn_CI
        case 0xC4E0494E44657661LLU: // ahr_Deva_IN
        case 0xC8E04E474C61746ELLU: // ahs_Latn_NG
        case 0xCCE055534C61746ELLU: // aht_Latn_US
        case 0x810053424C61746ELLU: // aia_Latn_SB
        case 0x8500434E41726162LLU: // aib_Arab_CN
        case 0x890050474C61746ELLU: // aic_Latn_PG
        case 0x8D0041554C61746ELLU: // aid_Latn_AU
        case 0x910050474C61746ELLU: // aie_Latn_PG
        case 0x950050474C61746ELLU: // aif_Latn_PG
        case 0x990041474C61746ELLU: // aig_Latn_AG
        case 0xA100495153797263LLU: // aii_Syrc_IQ
        case 0xA500494C48656272LLU: // aij_Hebr_IL
        case 0xA9004E474C61746ELLU: // aik_Latn_NG
        case 0xAD0050474C61746ELLU: // ail_Latn_PG
        case 0xB100494E4C61746ELLU: // aim_Latn_IN
        case 0xB5004A504B616E61LLU: // ain_Kana_JP
        case 0xB900494E4D796D72LLU: // aio_Mymr_IN
        case 0xBD0049444C61746ELLU: // aip_Latn_ID
        case 0xC100414641726162LLU: // aiq_Arab_AF
        case 0xC50049444C61746ELLU: // air_Latn_ID
        case 0xCD0042524C61746ELLU: // ait_Latn_BR
        case 0xD90045544C61746ELLU: // aiw_Latn_ET
        case 0xDD0050474C61746ELLU: // aix_Latn_PG
        case 0xE10043464C61746ELLU: // aiy_Latn_CF
        case 0x812053534C61746ELLU: // aja_Latn_SS
        case 0x9920424A4C61746ELLU: // ajg_Latn_BJ
        case 0xA1204E434C61746ELLU: // aji_Latn_NC
        case 0xB52041554C61746ELLU: // ajn_Latn_AU
        case 0xD9204E474C61746ELLU: // ajw_Latn_NG
        case 0xE520494E4C61746ELLU: // ajz_Latn_IN
        case 0x616B47484C61746ELLU: // ak_Latn_GH
        case 0x854049444C61746ELLU: // akb_Latn_ID
        case 0x894049444C61746ELLU: // akc_Latn_ID
        case 0x8D404E474C61746ELLU: // akd_Latn_NG
        case 0x914047594C61746ELLU: // ake_Latn_GY
        case 0x95404E474C61746ELLU: // akf_Latn_NG
        case 0x994049444C61746ELLU: // akg_Latn_ID
        case 0x9D4050474C61746ELLU: // akh_Latn_PG
        case 0xA14050474C61746ELLU: // aki_Latn_PG
        case 0xA940495158737578LLU: // akk_Xsux_IQ
        case 0xAD4050484C61746ELLU: // akl_Latn_PH
        case 0xB94053524C61746ELLU: // ako_Latn_SR
        case 0xBD4047484C61746ELLU: // akp_Latn_GH
        case 0xC14050474C61746ELLU: // akq_Latn_PG
        case 0xC54056554C61746ELLU: // akr_Latn_VU
        case 0xC94054474C61746ELLU: // aks_Latn_TG
        case 0xCD4050474C61746ELLU: // akt_Latn_PG
        case 0xD140434D4C61746ELLU: // aku_Latn_CM
        case 0xD54052554379726CLLU: // akv_Cyrl_RU
        case 0xD94043474C61746ELLU: // akw_Latn_CG
        case 0xE54055534C61746ELLU: // akz_Latn_US
        case 0x81604E474C61746ELLU: // ala_Latn_NG
        case 0x8960434C4C61746ELLU: // alc_Latn_CL
        case 0x8D6043494C61746ELLU: // ald_Latn_CI
        case 0x916055534C61746ELLU: // ale_Latn_US
        case 0x95604E474C61746ELLU: // alf_Latn_NG
        case 0x9D6041554C61746ELLU: // alh_Latn_AU
        case 0xA16050474C61746ELLU: // ali_Latn_PG
        case 0xA56050484C61746ELLU: // alj_Latn_PH
        case 0xA9604C414C616F6FLLU: // alk_Laoo_LA
        case 0xAD60494E4D6C796DLLU: // all_Mlym_IN
        case 0xB16056554C61746ELLU: // alm_Latn_VU
        case 0xB560584B4C61746ELLU: // aln_Latn_XK
        case 0xB96049444C61746ELLU: // alo_Latn_ID
        case 0xBD6049444C61746ELLU: // alp_Latn_ID
        case 0xC16043414C61746ELLU: // alq_Latn_CA
        case 0xC56052554379726CLLU: // alr_Cyrl_RU
        case 0xCD6052554379726CLLU: // alt_Cyrl_RU
        case 0xD16053424C61746ELLU: // alu_Latn_SB
        case 0xD960455445746869LLU: // alw_Ethi_ET
        case 0xDD6050474C61746ELLU: // alx_Latn_PG
        case 0xE16041554C61746ELLU: // aly_Latn_AU
        case 0xE56043444C61746ELLU: // alz_Latn_CD
        case 0x616D455445746869LLU: // am_Ethi_ET
        case 0x818042524C61746ELLU: // ama_Latn_BR
        case 0x85804E474C61746ELLU: // amb_Latn_NG
        case 0x898050454C61746ELLU: // amc_Latn_PE
        case 0x918050454C61746ELLU: // ame_Latn_PE
        case 0x958045544C61746ELLU: // amf_Latn_ET
        case 0x998041554C61746ELLU: // amg_Latn_AU
        case 0xA18054574C61746ELLU: // ami_Latn_TW
        case 0xA58054444C61746ELLU: // amj_Latn_TD
        case 0xA98049444C61746ELLU: // amk_Latn_ID
        case 0xB18050474C61746ELLU: // amm_Latn_PG
        case 0xB58050474C61746ELLU: // amn_Latn_PG
        case 0xB9804E474C61746ELLU: // amo_Latn_NG
        case 0xBD8050474C61746ELLU: // amp_Latn_PG
        case 0xC18049444C61746ELLU: // amq_Latn_ID
        case 0xC58050454C61746ELLU: // amr_Latn_PE
        case 0xC9804A504A70616ELLU: // ams_Jpan_JP
        case 0xCD8050474C61746ELLU: // amt_Latn_PG
        case 0xD1804D584C61746ELLU: // amu_Latn_MX
        case 0xD58049444C61746ELLU: // amv_Latn_ID
        case 0xD980535953797263LLU: // amw_Syrc_SY
        case 0xDD8041554C61746ELLU: // amx_Latn_AU
        case 0xE18041554C61746ELLU: // amy_Latn_AU
        case 0xE58041554C61746ELLU: // amz_Latn_AU
        case 0x616E45534C61746ELLU: // an_Latn_ES
        case 0x81A0434F4C61746ELLU: // ana_Latn_CO
        case 0x85A050454C61746ELLU: // anb_Latn_PE
        case 0x89A04E474C61746ELLU: // anc_Latn_NG
        case 0x8DA049444C61746ELLU: // and_Latn_ID
        case 0x91A04E434C61746ELLU: // ane_Latn_NC
        case 0x95A047484C61746ELLU: // anf_Latn_GH
        case 0x99A047424C61746ELLU: // ang_Latn_GB
        case 0x9DA050474C61746ELLU: // anh_Latn_PG
        case 0xA1A052554379726CLLU: // ani_Cyrl_RU
        case 0xA5A050474C61746ELLU: // anj_Latn_PG
        case 0xA9A04E474C61746ELLU: // ank_Latn_NG
        case 0xADA04D4D4C61746ELLU: // anl_Latn_MM
        case 0xB1A0494E4C61746ELLU: // anm_Latn_IN
        case 0xB5A04E474C61746ELLU: // ann_Latn_NG
        case 0xB9A0434F4C61746ELLU: // ano_Latn_CO
        case 0xBDA0494E44657661LLU: // anp_Deva_IN
        case 0xC1A0494E44657661LLU: // anq_Deva_IN
        case 0xC5A0494E44657661LLU: // anr_Deva_IN
        case 0xC9A0434F4C61746ELLU: // ans_Latn_CO
        case 0xCDA041554C61746ELLU: // ant_Latn_AU
        case 0xD1A0455445746869LLU: // anu_Ethi_ET
        case 0xD5A0434D4C61746ELLU: // anv_Latn_CM
        case 0xD9A04E474C61746ELLU: // anw_Latn_NG
        case 0xDDA050474C61746ELLU: // anx_Latn_PG
        case 0xE1A043494C61746ELLU: // any_Latn_CI
        case 0xE5A050474C61746ELLU: // anz_Latn_PG
        case 0x81C053544C61746ELLU: // aoa_Latn_ST
        case 0x85C050474C61746ELLU: // aob_Latn_PG
        case 0x89C056454C61746ELLU: // aoc_Latn_VE
        case 0x8DC050474C61746ELLU: // aod_Latn_PG
        case 0x91C050474C61746ELLU: // aoe_Latn_PG
        case 0x95C050474C61746ELLU: // aof_Latn_PG
        case 0x99C050474C61746ELLU: // aog_Latn_PG
        case 0xA1C041554C61746ELLU: // aoi_Latn_AU
        case 0xA5C050474C61746ELLU: // aoj_Latn_PG
        case 0xA9C04E434C61746ELLU: // aok_Latn_NC
        case 0xADC049444C61746ELLU: // aol_Latn_ID
        case 0xB1C050474C61746ELLU: // aom_Latn_PG
        case 0xB5C050474C61746ELLU: // aon_Latn_PG
        case 0xC5C056554C61746ELLU: // aor_Latn_VU
        case 0xC9C049444C61746ELLU: // aos_Latn_ID
        case 0xCDC0424442656E67LLU: // aot_Beng_BD
        case 0xDDC047594C61746ELLU: // aox_Latn_GY
        case 0xE5C049444C61746ELLU: // aoz_Latn_ID
        case 0x85E053424C61746ELLU: // apb_Latn_SB
        case 0x89E0535941726162LLU: // apc_Arab_SY
        case 0x8DE0544741726162LLU: // apd_Arab_TG
        case 0x91E050474C61746ELLU: // ape_Latn_PG
        case 0x95E050484C61746ELLU: // apf_Latn_PH
        case 0x99E049444C61746ELLU: // apg_Latn_ID
        case 0x9DE04E5044657661LLU: // aph_Deva_NP
        case 0xA1E042524C61746ELLU: // api_Latn_BR
        case 0xA5E055534C61746ELLU: // apj_Latn_US
        case 0xA9E055534C61746ELLU: // apk_Latn_US
        case 0xADE055534C61746ELLU: // apl_Latn_US
        case 0xB1E055534C61746ELLU: // apm_Latn_US
        case 0xB5E042524C61746ELLU: // apn_Latn_BR
        case 0xB9E050474C61746ELLU: // apo_Latn_PG
        case 0xBDE056554C61746ELLU: // app_Latn_VU
        case 0xC5E050474C61746ELLU: // apr_Latn_PG
        case 0xC9E050474C61746ELLU: // aps_Latn_PG
        case 0xCDE0494E4C61746ELLU: // apt_Latn_IN
        case 0xD1E042524C61746ELLU: // apu_Latn_BR
        case 0xD5E042524C61746ELLU: // apv_Latn_BR
        case 0xD9E055534C61746ELLU: // apw_Latn_US
        case 0xDDE049444C61746ELLU: // apx_Latn_ID
        case 0xE1E042524C61746ELLU: // apy_Latn_BR
        case 0xE5E050474C61746ELLU: // apz_Latn_PG
        case 0x8A0052554379726CLLU: // aqc_Cyrl_RU
        case 0x8E004D4C4C61746ELLU: // aqd_Latn_ML
        case 0x9A004E474C61746ELLU: // aqg_Latn_NG
        case 0xAA004E474C61746ELLU: // aqk_Latn_NG
        case 0xB20049444C61746ELLU: // aqm_Latn_ID
        case 0xB60050484C61746ELLU: // aqn_Latn_PH
        case 0xC6004E434C61746ELLU: // aqr_Latn_NC
        case 0xCE0050594C61746ELLU: // aqt_Latn_PY
        case 0xE60042524C61746ELLU: // aqz_Latn_BR
        case 0x6172454741726162LLU: // ar_Arab_EG
        case 0x8A20495241726D69LLU: // arc_Armi_IR
        case 0x8A20495148617472LLU: // arc_Hatr_IQ
        case 0x8A204A4F4E626174LLU: // arc_Nbat_JO
        case 0x8A20535950616C6DLLU: // arc_Palm_SY
        case 0x8E2041554C61746ELLU: // ard_Latn_AU
        case 0x922041554C61746ELLU: // are_Latn_AU
        case 0x9E20434F4C61746ELLU: // arh_Latn_CO
        case 0xA22055534C61746ELLU: // ari_Latn_US
        case 0xA62042524C61746ELLU: // arj_Latn_BR
        case 0xAA2042524C61746ELLU: // ark_Latn_BR
        case 0xAE2050454C61746ELLU: // arl_Latn_PE
        case 0xB620434C4C61746ELLU: // arn_Latn_CL
        case 0xBA20424F4C61746ELLU: // aro_Latn_BO
        case 0xBE2055534C61746ELLU: // arp_Latn_US
        case 0xC220445A41726162LLU: // arq_Arab_DZ
        case 0xC62042524C61746ELLU: // arr_Latn_BR
        case 0xCA20534141726162LLU: // ars_Arab_SA
        case 0xD22042524C61746ELLU: // aru_Latn_BR
        case 0xDA2053524C61746ELLU: // arw_Latn_SR
        case 0xDE2042524C61746ELLU: // arx_Latn_BR
        case 0xE2204D4141726162LLU: // ary_Arab_MA
        case 0xE620454741726162LLU: // arz_Arab_EG
        case 0x6173494E42656E67LLU: // as_Beng_IN
        case 0x8240545A4C61746ELLU: // asa_Latn_TZ
        case 0x864043414C61746ELLU: // asb_Latn_CA
        case 0x8A4049444C61746ELLU: // asc_Latn_ID
        case 0x9240555353676E77LLU: // ase_Sgnw_US
        case 0x9A404E474C61746ELLU: // asg_Latn_NG
        case 0x9E4050454C61746ELLU: // ash_Latn_PE
        case 0xA24049444C61746ELLU: // asi_Latn_ID
        case 0xA640434D4C61746ELLU: // asj_Latn_CM
        case 0xAA40414641726162LLU: // ask_Arab_AF
        case 0xAE4049444C61746ELLU: // asl_Latn_ID
        case 0xB64042524C61746ELLU: // asn_Latn_BR
        case 0xBA4050474C61746ELLU: // aso_Latn_PG
        case 0xC640494E44657661LLU: // asr_Deva_IN
        case 0xCA40434D4C61746ELLU: // ass_Latn_CM
        case 0xCE4045534C61746ELLU: // ast_Latn_ES
        case 0xD24042524C61746ELLU: // asu_Latn_BR
        case 0xD64043444C61746ELLU: // asv_Latn_CD
        case 0xDE4050474C61746ELLU: // asx_Latn_PG
        case 0xE24049444C61746ELLU: // asy_Latn_ID
        case 0xE64049444C61746ELLU: // asz_Latn_ID
        case 0x826050474C61746ELLU: // ata_Latn_PG
        case 0x8660434E4C61746ELLU: // atb_Latn_CN
        case 0x8A6050454C61746ELLU: // atc_Latn_PE
        case 0x8E6050484C61746ELLU: // atd_Latn_PH
        case 0x926050474C61746ELLU: // ate_Latn_PG
        case 0x9A604E474C61746ELLU: // atg_Latn_NG
        case 0xA26043494C61746ELLU: // ati_Latn_CI
        case 0xA66043414C61746ELLU: // atj_Latn_CA
        case 0xAA6050484C61746ELLU: // atk_Latn_PH
        case 0xAE6050484C61746ELLU: // atl_Latn_PH
        case 0xB26050484C61746ELLU: // atm_Latn_PH
        case 0xB660495241726162LLU: // atn_Arab_IR
        case 0xBA60434D4C61746ELLU: // ato_Latn_CM
        case 0xBE6050484C61746ELLU: // atp_Latn_PH
        case 0xC26049444C61746ELLU: // atq_Latn_ID
        case 0xC66042524C61746ELLU: // atr_Latn_BR
        case 0xCA6055534C61746ELLU: // ats_Latn_US
        case 0xCE6050484C61746ELLU: // att_Latn_PH
        case 0xD26053534C61746ELLU: // atu_Latn_SS
        case 0xD66052554379726CLLU: // atv_Cyrl_RU
        case 0xDA6055534C61746ELLU: // atw_Latn_US
        case 0xDE6042524C61746ELLU: // atx_Latn_BR
        case 0xE26056554C61746ELLU: // aty_Latn_VU
        case 0xE66050484C61746ELLU: // atz_Latn_PH
        case 0x828053424C61746ELLU: // aua_Latn_SB
        case 0x8A8045434C61746ELLU: // auc_Latn_EC
        case 0x8E8053424C61746ELLU: // aud_Latn_SB
        case 0x9A80424A4C61746ELLU: // aug_Latn_BJ
        case 0x9E805A4D4C61746ELLU: // auh_Latn_ZM
        case 0xA28050474C61746ELLU: // aui_Latn_PG
        case 0xA6804C5941726162LLU: // auj_Arab_LY
        case 0xAA8050474C61746ELLU: // auk_Latn_PG
        case 0xAE8056554C61746ELLU: // aul_Latn_VU
        case 0xB2804E474C61746ELLU: // aum_Latn_NG
        case 0xB68050474C61746ELLU: // aun_Latn_PG
        case 0xBA804E474C61746ELLU: // auo_Latn_NG
        case 0xBE8050474C61746ELLU: // aup_Latn_PG
        case 0xC28049444C61746ELLU: // auq_Latn_ID
        case 0xC68050474C61746ELLU: // aur_Latn_PG
        case 0xCE8050464C61746ELLU: // aut_Latn_PF
        case 0xD28049444C61746ELLU: // auu_Latn_ID
        case 0xDA8049444C61746ELLU: // auw_Latn_ID
        case 0xE28050474C61746ELLU: // auy_Latn_PG
        case 0xE680555A41726162LLU: // auz_Arab_UZ
        case 0x617652554379726CLLU: // av_Cyrl_RU
        case 0x86A050474C61746ELLU: // avb_Latn_PG
        case 0x8EA0495241726162LLU: // avd_Arab_IR
        case 0xA2A043494C61746ELLU: // avi_Latn_CI
        case 0xAEA0454741726162LLU: // avl_Arab_EG
        case 0xB2A041554C61746ELLU: // avm_Latn_AU
        case 0xB6A047484C61746ELLU: // avn_Latn_GH
        case 0xBAA042524C61746ELLU: // avo_Latn_BR
        case 0xCAA050454C61746ELLU: // avs_Latn_PE
        case 0xCEA050474C61746ELLU: // avt_Latn_PG
        case 0xD2A053534C61746ELLU: // avu_Latn_SS
        case 0xD6A042524C61746ELLU: // avv_Latn_BR
        case 0x82C0494E44657661LLU: // awa_Deva_IN
        case 0x86C050474C61746ELLU: // awb_Latn_PG
        case 0x8AC04E474C61746ELLU: // awc_Latn_NG
        case 0x92C042524C61746ELLU: // awe_Latn_BR
        case 0x9AC041554C61746ELLU: // awg_Latn_AU
        case 0x9EC049444C61746ELLU: // awh_Latn_ID
        case 0xA2C050474C61746ELLU: // awi_Latn_PG
        case 0xAAC041554C61746ELLU: // awk_Latn_AU
        case 0xB2C050474C61746ELLU: // awm_Latn_PG
        case 0xB6C0455445746869LLU: // awn_Ethi_ET
        case 0xBAC04E474C61746ELLU: // awo_Latn_NG
        case 0xC6C049444C61746ELLU: // awr_Latn_ID
        case 0xCAC049444C61746ELLU: // aws_Latn_ID
        case 0xCEC042524C61746ELLU: // awt_Latn_BR
        case 0xD2C049444C61746ELLU: // awu_Latn_ID
        case 0xD6C049444C61746ELLU: // awv_Latn_ID
        case 0xDAC050474C61746ELLU: // aww_Latn_PG
        case 0xDEC050474C61746ELLU: // awx_Latn_PG
        case 0xE2C049444C61746ELLU: // awy_Latn_ID
        case 0x86E041524C61746ELLU: // axb_Latn_AR
        case 0x92E041554C61746ELLU: // axe_Latn_AU
        case 0x9AE042524C61746ELLU: // axg_Latn_BR
        case 0xAAE043464C61746ELLU: // axk_Latn_CF
        case 0xAEE041554C61746ELLU: // axl_Latn_AU
        case 0xB2E0414D41726D6ELLU: // axm_Armn_AM
        case 0xDEE04E434C61746ELLU: // axx_Latn_NC
        case 0x6179424F4C61746ELLU: // ay_Latn_BO
        case 0x830050474C61746ELLU: // aya_Latn_PG
        case 0x8700424A4C61746ELLU: // ayb_Latn_BJ
        case 0x8B0050454C61746ELLU: // ayc_Latn_PE
        case 0x8F0041554C61746ELLU: // ayd_Latn_AU
        case 0x93004E474C61746ELLU: // aye_Latn_NG
        case 0x9B0054474C61746ELLU: // ayg_Latn_TG
        case 0x9F00594541726162LLU: // ayh_Arab_YE
        case 0xA3004E474C61746ELLU: // ayi_Latn_NG
        case 0xAB004E474C61746ELLU: // ayk_Latn_NG
        case 0xAF004C5941726162LLU: // ayl_Arab_LY
        case 0xB700594541726162LLU: // ayn_Arab_YE
        case 0xBB0050594C61746ELLU: // ayo_Latn_PY
        case 0xBF00495141726162LLU: // ayp_Arab_IQ
        case 0xC30050474C61746ELLU: // ayq_Latn_PG
        case 0xCB0050484C61746ELLU: // ays_Latn_PH
        case 0xCF0050484C61746ELLU: // ayt_Latn_PH
        case 0xD3004E474C61746ELLU: // ayu_Latn_NG
        case 0xE70049444C61746ELLU: // ayz_Latn_ID
        case 0x617A495241726162LLU: // az_Arab_IR
        case 0x617A415A4C61746ELLU: // az_Latn_AZ
        case 0x8720495241726162LLU: // azb_Arab_IR
        case 0x8F204D584C61746ELLU: // azd_Latn_MX
        case 0x9B204D584C61746ELLU: // azg_Latn_MX
        case 0xB3204D584C61746ELLU: // azm_Latn_MX
        case 0xB7204D584C61746ELLU: // azn_Latn_MX
        case 0xBB20434D4C61746ELLU: // azo_Latn_CM
        case 0xCF2050484C61746ELLU: // azt_Latn_PH
        case 0xE7204D584C61746ELLU: // azz_Latn_MX
        case 0x626152554379726CLLU: // ba_Cyrl_RU
        case 0x800153424C61746ELLU: // baa_Latn_SB
        case 0x840147574C61746ELLU: // bab_Latn_GW
        case 0x880149444C61746ELLU: // bac_Latn_ID
        case 0x900156454C61746ELLU: // bae_Latn_VE
        case 0x9401434D4C61746ELLU: // baf_Latn_CM
        case 0x9801434D4C61746ELLU: // bag_Latn_CM
        case 0x9C0142534C61746ELLU: // bah_Latn_BS
        case 0xA40149444C61746ELLU: // baj_Latn_ID
        case 0xAC01504B41726162LLU: // bal_Arab_PK
        case 0xB40149444C61746ELLU: // ban_Latn_ID
        case 0xB801434F4C61746ELLU: // bao_Latn_CO
        case 0xBC014E5044657661LLU: // bap_Deva_NP
        case 0xBC01494E4B726169LLU: // bap_Krai_IN
        case 0xC40141544C61746ELLU: // bar_Latn_AT
        case 0xC801434D4C61746ELLU: // bas_Latn_CM
        case 0xD0014E474C61746ELLU: // bau_Latn_NG
        case 0xD401434D4C61746ELLU: // bav_Latn_CM
        case 0xD801434D4C61746ELLU: // baw_Latn_CM
        case 0xDC01434D42616D75LLU: // bax_Bamu_CM
        case 0xE00149444C61746ELLU: // bay_Latn_ID
        case 0x8021424A4C61746ELLU: // bba_Latn_BJ
        case 0x842150474C61746ELLU: // bbb_Latn_PG
        case 0x882149444C61746ELLU: // bbc_Latn_ID
        case 0x8C2150474C61746ELLU: // bbd_Latn_PG
        case 0x902143444C61746ELLU: // bbe_Latn_CD
        case 0x942150474C61746ELLU: // bbf_Latn_PG
        case 0x982147414C61746ELLU: // bbg_Latn_GA
        case 0xA021434D4C61746ELLU: // bbi_Latn_CM
        case 0xA421434D4C61746ELLU: // bbj_Latn_CM
        case 0xA821434D4C61746ELLU: // bbk_Latn_CM
        case 0xAC21474547656F72LLU: // bbl_Geor_GE
        case 0xB02143444C61746ELLU: // bbm_Latn_CD
        case 0xB42150474C61746ELLU: // bbn_Latn_PG
        case 0xB82142464C61746ELLU: // bbo_Latn_BF
        case 0xBC2143464C61746ELLU: // bbp_Latn_CF
        case 0xC021434D4C61746ELLU: // bbq_Latn_CM
        case 0xC42150474C61746ELLU: // bbr_Latn_PG
        case 0xC8214E474C61746ELLU: // bbs_Latn_NG
        case 0xCC214E474C61746ELLU: // bbt_Latn_NG
        case 0xD0214E474C61746ELLU: // bbu_Latn_NG
        case 0xD42150474C61746ELLU: // bbv_Latn_PG
        case 0xD821434D4C61746ELLU: // bbw_Latn_CM
        case 0xDC21434D4C61746ELLU: // bbx_Latn_CM
        case 0xE021434D4C61746ELLU: // bby_Latn_CM
        case 0x8041434E4C61746ELLU: // bca_Latn_CN
        case 0x8441534E4C61746ELLU: // bcb_Latn_SN
        case 0x8C4149444C61746ELLU: // bcd_Latn_ID
        case 0x9041434D4C61746ELLU: // bce_Latn_CM
        case 0x944150474C61746ELLU: // bcf_Latn_PG
        case 0x9841474E4C61746ELLU: // bcg_Latn_GN
        case 0x9C4150474C61746ELLU: // bch_Latn_PG
        case 0xA04143494C61746ELLU: // bci_Latn_CI
        case 0xA44141554C61746ELLU: // bcj_Latn_AU
        case 0xA84141554C61746ELLU: // bck_Latn_AU
        case 0xB04150474C61746ELLU: // bcm_Latn_PG
        case 0xB4414E474C61746ELLU: // bcn_Latn_NG
        case 0xB84150474C61746ELLU: // bco_Latn_PG
        case 0xBC4143444C61746ELLU: // bcp_Latn_CD
        case 0xC041455445746869LLU: // bcq_Ethi_ET
        case 0xC44143414C61746ELLU: // bcr_Latn_CA
        case 0xC8414E474C61746ELLU: // bcs_Latn_NG
        case 0xCC4143444C61746ELLU: // bct_Latn_CD
        case 0xD04150474C61746ELLU: // bcu_Latn_PG
        case 0xD4414E474C61746ELLU: // bcv_Latn_NG
        case 0xD841434D4C61746ELLU: // bcw_Latn_CM
        case 0xE0414E474C61746ELLU: // bcy_Latn_NG
        case 0xE441534E4C61746ELLU: // bcz_Latn_SN
        case 0x8061534E4C61746ELLU: // bda_Latn_SN
        case 0x846149444C61746ELLU: // bdb_Latn_ID
        case 0x8861434F4C61746ELLU: // bdc_Latn_CO
        case 0x8C6150474C61746ELLU: // bdd_Latn_PG
        case 0x90614E474C61746ELLU: // bde_Latn_NG
        case 0x946150474C61746ELLU: // bdf_Latn_PG
        case 0x98614D594C61746ELLU: // bdg_Latn_MY
        case 0x9C6153534C61746ELLU: // bdh_Latn_SS
        case 0xA06153444C61746ELLU: // bdi_Latn_SD
        case 0xA46153534C61746ELLU: // bdj_Latn_SS
        case 0xA861415A4C61746ELLU: // bdk_Latn_AZ
        case 0xAC6149444C61746ELLU: // bdl_Latn_ID
        case 0xB06154444C61746ELLU: // bdm_Latn_TD
        case 0xB461434D4C61746ELLU: // bdn_Latn_CM
        case 0xB86154444C61746ELLU: // bdo_Latn_TD
        case 0xBC61545A4C61746ELLU: // bdp_Latn_TZ
        case 0xC061564E4C61746ELLU: // bdq_Latn_VN
        case 0xC4614D594C61746ELLU: // bdr_Latn_MY
        case 0xC861545A4C61746ELLU: // bds_Latn_TZ
        case 0xCC6143464C61746ELLU: // bdt_Latn_CF
        case 0xD061434D4C61746ELLU: // bdu_Latn_CM
        case 0xD461494E4F727961LLU: // bdv_Orya_IN
        case 0xD86149444C61746ELLU: // bdw_Latn_ID
        case 0xDC6149444C61746ELLU: // bdx_Latn_ID
        case 0xE06141554C61746ELLU: // bdy_Latn_AU
        case 0xE461504B41726162LLU: // bdz_Arab_PK
        case 0x626542594379726CLLU: // be_Cyrl_BY
        case 0x808143414C61746ELLU: // bea_Latn_CA
        case 0x8481434D4C61746ELLU: // beb_Latn_CM
        case 0x8881434D4C61746ELLU: // bec_Latn_CM
        case 0x8C8149444C61746ELLU: // bed_Latn_ID
        case 0x9081494E44657661LLU: // bee_Deva_IN
        case 0x948150474C61746ELLU: // bef_Latn_PG
        case 0x9C81424A4C61746ELLU: // beh_Latn_BJ
        case 0xA08149444C61746ELLU: // bei_Latn_ID
        case 0xA481534441726162LLU: // bej_Arab_SD
        case 0xA88150474C61746ELLU: // bek_Latn_PG
        case 0xB0815A4D4C61746ELLU: // bem_Latn_ZM
        case 0xB88150474C61746ELLU: // beo_Latn_PG
        case 0xBC8149444C61746ELLU: // bep_Latn_ID
        case 0xC08143474C61746ELLU: // beq_Latn_CG
        case 0xC88154444C61746ELLU: // bes_Latn_TD
        case 0xCC8143494C61746ELLU: // bet_Latn_CI
        case 0xD08149444C61746ELLU: // beu_Latn_ID
        case 0xD48143494C61746ELLU: // bev_Latn_CI
        case 0xD88149444C61746ELLU: // bew_Latn_ID
        case 0xDC8153534C61746ELLU: // bex_Latn_SS
        case 0xE08150474C61746ELLU: // bey_Latn_PG
        case 0xE481545A4C61746ELLU: // bez_Latn_TZ
        case 0x80A153534C61746ELLU: // bfa_Latn_SS
        case 0x84A1494E44657661LLU: // bfb_Deva_IN
        case 0x88A1434E4C61746ELLU: // bfc_Latn_CN
        case 0x8CA1434D4C61746ELLU: // bfd_Latn_CM
        case 0x90A149444C61746ELLU: // bfe_Latn_ID
        case 0x94A143464C61746ELLU: // bff_Latn_CF
        case 0x98A149444C61746ELLU: // bfg_Latn_ID
        case 0x9CA150474C61746ELLU: // bfh_Latn_PG
        case 0xA4A1434D4C61746ELLU: // bfj_Latn_CM
        case 0xACA143464C61746ELLU: // bfl_Latn_CF
        case 0xB0A1434D4C61746ELLU: // bfm_Latn_CM
        case 0xB4A1544C4C61746ELLU: // bfn_Latn_TL
        case 0xB8A142464C61746ELLU: // bfo_Latn_BF
        case 0xBCA1434D4C61746ELLU: // bfp_Latn_CM
        case 0xC0A1494E54616D6CLLU: // bfq_Taml_IN
        case 0xC8A1434E4C61746ELLU: // bfs_Latn_CN
        case 0xCCA1504B41726162LLU: // bft_Arab_PK
        case 0xD0A1494E54696274LLU: // bfu_Tibt_IN
        case 0xD8A1494E4F727961LLU: // bfw_Orya_IN
        case 0xDCA150484C61746ELLU: // bfx_Latn_PH
        case 0xE0A1494E44657661LLU: // bfy_Deva_IN
        case 0xE4A1494E44657661LLU: // bfz_Deva_IN
        case 0x626742474379726CLLU: // bg_Cyrl_BG
        case 0x80C14E474C61746ELLU: // bga_Latn_NG
        case 0x84C149444C61746ELLU: // bgb_Latn_ID
        case 0x88C1494E44657661LLU: // bgc_Deva_IN
        case 0x8CC1494E44657661LLU: // bgd_Deva_IN
        case 0x94C1434D4C61746ELLU: // bgf_Latn_CM
        case 0x98C1494E4C61746ELLU: // bgg_Latn_IN
        case 0xA0C150484C61746ELLU: // bgi_Latn_PH
        case 0xA4C1434D4C61746ELLU: // bgj_Latn_CM
        case 0xB4C1504B41726162LLU: // bgn_Arab_PK
        case 0xB8C1474E4C61746ELLU: // bgo_Latn_GN
        case 0xBCC1504B41726162LLU: // bgp_Arab_PK
        case 0xC0C1494E44657661LLU: // bgq_Deva_IN
        case 0xC4C1494E4C61746ELLU: // bgr_Latn_IN
        case 0xC8C150484C61746ELLU: // bgs_Latn_PH
        case 0xCCC153424C61746ELLU: // bgt_Latn_SB
        case 0xD0C14E474C61746ELLU: // bgu_Latn_NG
        case 0xD4C149444C61746ELLU: // bgv_Latn_ID
        case 0xD8C1494E44657661LLU: // bgw_Deva_IN
        case 0xDCC154524772656BLLU: // bgx_Grek_TR
        case 0xE0C149444C61746ELLU: // bgy_Latn_ID
        case 0xE4C149444C61746ELLU: // bgz_Latn_ID
        case 0x80E1494E44657661LLU: // bha_Deva_IN
        case 0x84E1494E44657661LLU: // bhb_Deva_IN
        case 0x88E149444C61746ELLU: // bhc_Latn_ID
        case 0x8CE1494E44657661LLU: // bhd_Deva_IN
        case 0x90E1504B41726162LLU: // bhe_Arab_PK
        case 0x94E150474C61746ELLU: // bhf_Latn_PG
        case 0x98E150474C61746ELLU: // bhg_Latn_PG
        case 0x9CE1494C4379726CLLU: // bhh_Cyrl_IL
        case 0xA0E1494E44657661LLU: // bhi_Deva_IN
        case 0xA4E14E5044657661LLU: // bhj_Deva_NP
        case 0xACE150474C61746ELLU: // bhl_Latn_PG
        case 0xB0E14F4D41726162LLU: // bhm_Arab_OM
        case 0xB4E1474553797263LLU: // bhn_Syrc_GE
        case 0xB8E1494E44657661LLU: // bho_Deva_IN
        case 0xBCE149444C61746ELLU: // bhp_Latn_ID
        case 0xC0E149444C61746ELLU: // bhq_Latn_ID
        case 0xC4E14D474C61746ELLU: // bhr_Latn_MG
        case 0xC8E1434D4C61746ELLU: // bhs_Latn_CM
        case 0xCCE1494E44657661LLU: // bht_Deva_IN
        case 0xD0E1494E44657661LLU: // bhu_Deva_IN
        case 0xD4E149444C61746ELLU: // bhv_Latn_ID
        case 0xD8E149444C61746ELLU: // bhw_Latn_ID
        case 0xE0E143444C61746ELLU: // bhy_Latn_CD
        case 0xE4E149444C61746ELLU: // bhz_Latn_ID
        case 0x626956554C61746ELLU: // bi_Latn_VU
        case 0x810141554C61746ELLU: // bia_Latn_AU
        case 0x850142464C61746ELLU: // bib_Latn_BF
        case 0x8D0154444C61746ELLU: // bid_Latn_TD
        case 0x910150474C61746ELLU: // bie_Latn_PG
        case 0x950147574C61746ELLU: // bif_Latn_GW
        case 0x990150474C61746ELLU: // big_Latn_PG
        case 0xA90150484C61746ELLU: // bik_Latn_PH
        case 0xAD014E474C61746ELLU: // bil_Latn_NG
        case 0xB10147484C61746ELLU: // bim_Latn_GH
        case 0xB5014E474C61746ELLU: // bin_Latn_NG
        case 0xB90150474C61746ELLU: // bio_Latn_PG
        case 0xBD0143444C61746ELLU: // bip_Latn_CD
        case 0xC10150474C61746ELLU: // biq_Latn_PG
        case 0xC50150474C61746ELLU: // bir_Latn_PG
        case 0xCD0150474C61746ELLU: // bit_Latn_PG
        case 0xD101494E4C61746ELLU: // biu_Latn_IN
        case 0xD50147484C61746ELLU: // biv_Latn_GH
        case 0xD901434D4C61746ELLU: // biw_Latn_CM
        case 0xE101494E44657661LLU: // biy_Deva_IN
        case 0xE50143444C61746ELLU: // biz_Latn_CD
        case 0x812143444C61746ELLU: // bja_Latn_CD
        case 0x852141554C61746ELLU: // bjb_Latn_AU
        case 0x892150474C61746ELLU: // bjc_Latn_PG
        case 0x9521494C53797263LLU: // bjf_Syrc_IL
        case 0x992147574C61746ELLU: // bjg_Latn_GW
        case 0x9D2150474C61746ELLU: // bjh_Latn_PG
        case 0xA12145544C61746ELLU: // bji_Latn_ET
        case 0xA521494E44657661LLU: // bjj_Deva_IN
        case 0xA92150474C61746ELLU: // bjk_Latn_PG
        case 0xAD2150474C61746ELLU: // bjl_Latn_PG
        case 0xB121495141726162LLU: // bjm_Arab_IQ
        case 0xB52149444C61746ELLU: // bjn_Latn_ID
        case 0xB92143464C61746ELLU: // bjo_Latn_CF
        case 0xBD2150474C61746ELLU: // bjp_Latn_PG
        case 0xC52150474C61746ELLU: // bjr_Latn_PG
        case 0xC92142424C61746ELLU: // bjs_Latn_BB
        case 0xCD21534E4C61746ELLU: // bjt_Latn_SN
        case 0xD121434D4C61746ELLU: // bju_Latn_CM
        case 0xD52154444C61746ELLU: // bjv_Latn_TD
        case 0xD92143494C61746ELLU: // bjw_Latn_CI
        case 0xDD2150484C61746ELLU: // bjx_Latn_PH
        case 0xE12141554C61746ELLU: // bjy_Latn_AU
        case 0xE52150474C61746ELLU: // bjz_Latn_PG
        case 0x81414E474C61746ELLU: // bka_Latn_NG
        case 0x8941434D4C61746ELLU: // bkc_Latn_CM
        case 0x8D4150484C61746ELLU: // bkd_Latn_PH
        case 0x954143444C61746ELLU: // bkf_Latn_CD
        case 0x994143464C61746ELLU: // bkg_Latn_CF
        case 0x9D41434D4C61746ELLU: // bkh_Latn_CM
        case 0xA14156554C61746ELLU: // bki_Latn_VU
        case 0xA54143464C61746ELLU: // bkj_Latn_CF
        case 0xA941494E54696274LLU: // bkk_Tibt_IN
        case 0xAD4149444C61746ELLU: // bkl_Latn_ID
        case 0xB141434D4C61746ELLU: // bkm_Latn_CM
        case 0xB54149444C61746ELLU: // bkn_Latn_ID
        case 0xB941434D4C61746ELLU: // bko_Latn_CM
        case 0xBD4143444C61746ELLU: // bkp_Latn_CD
        case 0xC14142524C61746ELLU: // bkq_Latn_BR
        case 0xC54149444C61746ELLU: // bkr_Latn_ID
        case 0xC94150484C61746ELLU: // bks_Latn_PH
        case 0xCD4143444C61746ELLU: // bkt_Latn_CD
        case 0xD14150484C61746ELLU: // bku_Latn_PH
        case 0xD5414E474C61746ELLU: // bkv_Latn_NG
        case 0xD94143474C61746ELLU: // bkw_Latn_CG
        case 0xDD41544C4C61746ELLU: // bkx_Latn_TL
        case 0xE1414E474C61746ELLU: // bky_Latn_NG
        case 0xE54149444C61746ELLU: // bkz_Latn_ID
        case 0x816143414C61746ELLU: // bla_Latn_CA
        case 0x856153424C61746ELLU: // blb_Latn_SB
        case 0x896143414C61746ELLU: // blc_Latn_CA
        case 0x8D6149444C61746ELLU: // bld_Latn_ID
        case 0x916147574C61746ELLU: // ble_Latn_GW
        case 0x956149444C61746ELLU: // blf_Latn_ID
        case 0x9D614C524C61746ELLU: // blh_Latn_LR
        case 0xA16143444C61746ELLU: // bli_Latn_CD
        case 0xA56149444C61746ELLU: // blj_Latn_ID
        case 0xA9614D4D4D796D72LLU: // blk_Mymr_MM
        case 0xB16153534C61746ELLU: // blm_Latn_SS
        case 0xB56150484C61746ELLU: // bln_Latn_PH
        case 0xB961424A4C61746ELLU: // blo_Latn_BJ
        case 0xBD6153424C61746ELLU: // blp_Latn_SB
        case 0xC16150474C61746ELLU: // blq_Latn_PG
        case 0xC561434E4C61746ELLU: // blr_Latn_CN
        case 0xC96149444C61746ELLU: // bls_Latn_ID
        case 0xCD61564E54617674LLU: // blt_Tavt_VN
        case 0xD561414F4C61746ELLU: // blv_Latn_AO
        case 0xD96150484C61746ELLU: // blw_Latn_PH
        case 0xDD6150484C61746ELLU: // blx_Latn_PH
        case 0xE161424A4C61746ELLU: // bly_Latn_BJ
        case 0xE56149444C61746ELLU: // blz_Latn_ID
        case 0x626D4D4C4C61746ELLU: // bm_Latn_ML
        case 0x81814E474C61746ELLU: // bma_Latn_NG
        case 0x858143444C61746ELLU: // bmb_Latn_CD
        case 0x898150474C61746ELLU: // bmc_Latn_PG
        case 0x8D81474E4C61746ELLU: // bmd_Latn_GN
        case 0x918143464C61746ELLU: // bme_Latn_CF
        case 0x9581534C4C61746ELLU: // bmf_Latn_SL
        case 0x998143444C61746ELLU: // bmg_Latn_CD
        case 0x9D8150474C61746ELLU: // bmh_Latn_PG
        case 0xA18154444C61746ELLU: // bmi_Latn_TD
        case 0xA5814E5044657661LLU: // bmj_Deva_NP
        case 0xA98150474C61746ELLU: // bmk_Latn_PG
        case 0xAD8143444C61746ELLU: // bml_Latn_CD
        case 0xB1814D474C61746ELLU: // bmm_Latn_MG
        case 0xB58150474C61746ELLU: // bmn_Latn_PG
        case 0xB981434D4C61746ELLU: // bmo_Latn_CM
        case 0xBD8150474C61746ELLU: // bmp_Latn_PG
        case 0xC1814D4C4C61746ELLU: // bmq_Latn_ML
        case 0xC581434F4C61746ELLU: // bmr_Latn_CO
        case 0xC9814E454C61746ELLU: // bms_Latn_NE
        case 0xD18150474C61746ELLU: // bmu_Latn_PG
        case 0xD581434D4C61746ELLU: // bmv_Latn_CM
        case 0xD98143474C61746ELLU: // bmw_Latn_CG
        case 0xDD8150474C61746ELLU: // bmx_Latn_PG
        case 0xE58150474C61746ELLU: // bmz_Latn_PG
        case 0x626E424442656E67LLU: // bn_Beng_BD
        case 0x81A149444C61746ELLU: // bna_Latn_ID
        case 0x85A14D594C61746ELLU: // bnb_Latn_MY
        case 0x89A150484C61746ELLU: // bnc_Latn_PH
        case 0x8DA149444C61746ELLU: // bnd_Latn_ID
        case 0x91A149444C61746ELLU: // bne_Latn_ID
        case 0x95A149444C61746ELLU: // bnf_Latn_ID
        case 0x99A147514C61746ELLU: // bng_Latn_GQ
        case 0xA1A143444C61746ELLU: // bni_Latn_CD
        case 0xA5A150484C61746ELLU: // bnj_Latn_PH
        case 0xA9A156554C61746ELLU: // bnk_Latn_VU
        case 0xB1A147514C61746ELLU: // bnm_Latn_GQ
        case 0xB5A154574C61746ELLU: // bnn_Latn_TW
        case 0xB9A150484C61746ELLU: // bno_Latn_PH
        case 0xBDA150474C61746ELLU: // bnp_Latn_PG
        case 0xC1A149444C61746ELLU: // bnq_Latn_ID
        case 0xC5A156554C61746ELLU: // bnr_Latn_VU
        case 0xC9A1494E44657661LLU: // bns_Deva_IN
        case 0xD1A149444C61746ELLU: // bnu_Latn_ID
        case 0xD5A149444C61746ELLU: // bnv_Latn_ID
        case 0xD9A150474C61746ELLU: // bnw_Latn_PG
        case 0xDDA143444C61746ELLU: // bnx_Latn_CD
        case 0xE1A14D594C61746ELLU: // bny_Latn_MY
        case 0xE5A1434D4C61746ELLU: // bnz_Latn_CM
        case 0x626F434E54696274LLU: // bo_Tibt_CN
        case 0x81C150454C61746ELLU: // boa_Latn_PE
        case 0x85C14B454C61746ELLU: // bob_Latn_KE
        case 0x91C1434D4C61746ELLU: // boe_Latn_CM
        case 0x95C142464C61746ELLU: // bof_Latn_BF
        case 0x9DC143444C61746ELLU: // boh_Latn_CD
        case 0xA5C150474C61746ELLU: // boj_Latn_PG
        case 0xA9C143474C61746ELLU: // bok_Latn_CG
        case 0xADC14E474C61746ELLU: // bol_Latn_NG
        case 0xB1C14E474C61746ELLU: // bom_Latn_NG
        case 0xB5C150474C61746ELLU: // bon_Latn_PG
        case 0xB9C14D4C4C61746ELLU: // boo_Latn_ML
        case 0xBDC150474C61746ELLU: // bop_Latn_PG
        case 0xC1C150474C61746ELLU: // boq_Latn_PG
        case 0xC5C142524C61746ELLU: // bor_Latn_BR
        case 0xCDC153534C61746ELLU: // bot_Latn_SS
        case 0xD1C1545A4C61746ELLU: // bou_Latn_TZ
        case 0xD5C147484C61746ELLU: // bov_Latn_GH
        case 0xD9C150474C61746ELLU: // bow_Latn_PG
        case 0xDDC142464C61746ELLU: // box_Latn_BF
        case 0xE1C143464C61746ELLU: // boy_Latn_CF
        case 0xE5C14D4C4C61746ELLU: // boz_Latn_ML
        case 0x81E156554C61746ELLU: // bpa_Latn_VU
        case 0x89E1434D4C61746ELLU: // bpc_Latn_CM
        case 0x8DE143464C61746ELLU: // bpd_Latn_CF
        case 0x91E150474C61746ELLU: // bpe_Latn_PG
        case 0x99E149444C61746ELLU: // bpg_Latn_ID
        case 0x9DE152554379726CLLU: // bph_Cyrl_RU
        case 0xA1E150474C61746ELLU: // bpi_Latn_PG
        case 0xA5E143444C61746ELLU: // bpj_Latn_CD
        case 0xA9E14E434C61746ELLU: // bpk_Latn_NC
        case 0xADE141554C61746ELLU: // bpl_Latn_AU
        case 0xB1E150474C61746ELLU: // bpm_Latn_PG
        case 0xB9E149444C61746ELLU: // bpo_Latn_ID
        case 0xBDE149444C61746ELLU: // bpp_Latn_ID
        case 0xC1E149444C61746ELLU: // bpq_Latn_ID
        case 0xC5E150484C61746ELLU: // bpr_Latn_PH
        case 0xC9E150484C61746ELLU: // bps_Latn_PH
        case 0xCDE141554C61746ELLU: // bpt_Latn_AU
        case 0xD1E150474C61746ELLU: // bpu_Latn_PG
        case 0xD5E149444C61746ELLU: // bpv_Latn_ID
        case 0xD9E150474C61746ELLU: // bpw_Latn_PG
        case 0xDDE1494E44657661LLU: // bpx_Deva_IN
        case 0xE1E1494E42656E67LLU: // bpy_Beng_IN
        case 0xE5E149444C61746ELLU: // bpz_Latn_ID
        case 0x8201424A4C61746ELLU: // bqa_Latn_BJ
        case 0x860149444C61746ELLU: // bqb_Latn_ID
        case 0x8A01424A4C61746ELLU: // bqc_Latn_BJ
        case 0x8E01434D4C61746ELLU: // bqd_Latn_CM
        case 0x9601474E4C61746ELLU: // bqf_Latn_GN
        case 0x9A0154474C61746ELLU: // bqg_Latn_TG
        case 0xA201495241726162LLU: // bqi_Arab_IR
        case 0xA601534E4C61746ELLU: // bqj_Latn_SN
        case 0xAA0143464C61746ELLU: // bqk_Latn_CF
        case 0xAE0150474C61746ELLU: // bql_Latn_PG
        case 0xB201434D4C61746ELLU: // bqm_Latn_CM
        case 0xBA01434D4C61746ELLU: // bqo_Latn_CM
        case 0xBE014E474C61746ELLU: // bqp_Latn_NG
        case 0xC20149444C61746ELLU: // bqq_Latn_ID
        case 0xC60149444C61746ELLU: // bqr_Latn_ID
        case 0xCA0150474C61746ELLU: // bqs_Latn_PG
        case 0xCE01434D4C61746ELLU: // bqt_Latn_CM
        case 0xD20143444C61746ELLU: // bqu_Latn_CD
        case 0xD60143494C61746ELLU: // bqv_Latn_CI
        case 0xDA014E474C61746ELLU: // bqw_Latn_NG
        case 0xDE014E474C61746ELLU: // bqx_Latn_NG
        case 0xE601434D4C61746ELLU: // bqz_Latn_CM
        case 0x627246524C61746ELLU: // br_Latn_FR
        case 0x8221494E44657661LLU: // bra_Deva_IN
        case 0x86214B484B686D72LLU: // brb_Khmr_KH
        case 0x8A2147594C61746ELLU: // brc_Latn_GY
        case 0x8E214E5044657661LLU: // brd_Deva_NP
        case 0x962143444C61746ELLU: // brf_Latn_CD
        case 0x9A21424F4C61746ELLU: // brg_Latn_BO
        case 0x9E21504B41726162LLU: // brh_Arab_PK
        case 0xA221434D4C61746ELLU: // bri_Latn_CM
        case 0xA62156554C61746ELLU: // brj_Latn_VU
        case 0xAA21534441726162LLU: // brk_Arab_SD
        case 0xAE2142574C61746ELLU: // brl_Latn_BW
        case 0xB22143444C61746ELLU: // brm_Latn_CD
        case 0xB62143524C61746ELLU: // brn_Latn_CR
        case 0xBA21425454696274LLU: // bro_Tibt_BT
        case 0xBE2149444C61746ELLU: // brp_Latn_ID
        case 0xC22150474C61746ELLU: // brq_Latn_PG
        case 0xC62153424C61746ELLU: // brr_Latn_SB
        case 0xCA2149444C61746ELLU: // brs_Latn_ID
        case 0xCE214E474C61746ELLU: // brt_Latn_NG
        case 0xD221564E4C61746ELLU: // bru_Latn_VN
        case 0xD6214C414C616F6FLLU: // brv_Laoo_LA
        case 0xDA21494E4B6E6461LLU: // brw_Knda_IN
        case 0xDE21494E44657661LLU: // brx_Deva_IN
        case 0xE22150474C61746ELLU: // bry_Latn_PG
        case 0xE62150474C61746ELLU: // brz_Latn_PG
        case 0x627342414C61746ELLU: // bs_Latn_BA
        case 0x824149444C61746ELLU: // bsa_Latn_ID
        case 0x8641424E4C61746ELLU: // bsb_Latn_BN
        case 0x8A41534E4C61746ELLU: // bsc_Latn_SN
        case 0x9241434D4C61746ELLU: // bse_Latn_CM
        case 0x96414E474C61746ELLU: // bsf_Latn_NG
        case 0x9E41414641726162LLU: // bsh_Arab_AF
        case 0xA241434D4C61746ELLU: // bsi_Latn_CM
        case 0xA6414E474C61746ELLU: // bsj_Latn_NG
        case 0xAA41504B41726162LLU: // bsk_Arab_PK
        case 0xAE414E474C61746ELLU: // bsl_Latn_NG
        case 0xB24149444C61746ELLU: // bsm_Latn_ID
        case 0xB641434F4C61746ELLU: // bsn_Latn_CO
        case 0xBA4154444C61746ELLU: // bso_Latn_TD
        case 0xBE41474E4C61746ELLU: // bsp_Latn_GN
        case 0xC2414C5242617373LLU: // bsq_Bass_LR
        case 0xC6414E474C61746ELLU: // bsr_Latn_NG
        case 0xCA41434D4C61746ELLU: // bss_Latn_CM
        case 0xCE41455445746869LLU: // bst_Ethi_ET
        case 0xD24149444C61746ELLU: // bsu_Latn_ID
        case 0xD641474E4C61746ELLU: // bsv_Latn_GN
        case 0xDA4145544C61746ELLU: // bsw_Latn_ET
        case 0xDE414E474C61746ELLU: // bsx_Latn_NG
        case 0xE2414D594C61746ELLU: // bsy_Latn_MY
        case 0x82614E474C61746ELLU: // bta_Latn_NG
        case 0x8A61434D4C61746ELLU: // btc_Latn_CM
        case 0x8E6149444261746BLLU: // btd_Batk_ID
        case 0x92614E474C61746ELLU: // bte_Latn_NG
        case 0x966154444C61746ELLU: // btf_Latn_TD
        case 0x9A6143494C61746ELLU: // btg_Latn_CI
        case 0x9E614D594C61746ELLU: // bth_Latn_MY
        case 0xA26149444C61746ELLU: // bti_Latn_ID
        case 0xA66149444C61746ELLU: // btj_Latn_ID
        case 0xB26149444261746BLLU: // btm_Batk_ID
        case 0xB66150484C61746ELLU: // btn_Latn_PH
        case 0xBA6150484C61746ELLU: // bto_Latn_PH
        case 0xBE6150474C61746ELLU: // btp_Latn_PG
        case 0xC2614D594C61746ELLU: // btq_Latn_MY
        case 0xC66156554C61746ELLU: // btr_Latn_VU
        case 0xCA6149444C61746ELLU: // bts_Latn_ID
        case 0xCE614E474C61746ELLU: // btt_Latn_NG
        case 0xD2614E474C61746ELLU: // btu_Latn_NG
        case 0xD661504B44657661LLU: // btv_Deva_PK
        case 0xDA6150484C61746ELLU: // btw_Latn_PH
        case 0xDE6149444C61746ELLU: // btx_Latn_ID
        case 0xE26149444C61746ELLU: // bty_Latn_ID
        case 0xE66149444C61746ELLU: // btz_Latn_ID
        case 0x828152554379726CLLU: // bua_Cyrl_RU
        case 0x868154444C61746ELLU: // bub_Latn_TD
        case 0x8A8159544C61746ELLU: // buc_Latn_YT
        case 0x8E8154474C61746ELLU: // bud_Latn_TG
        case 0x928143414C61746ELLU: // bue_Latn_CA
        case 0x968143444C61746ELLU: // buf_Latn_CD
        case 0x9A8149444C61746ELLU: // bug_Latn_ID
        case 0x9E81434E4C61746ELLU: // buh_Latn_CN
        case 0xA28143474C61746ELLU: // bui_Latn_CG
        case 0xA6814E474C61746ELLU: // buj_Latn_NG
        case 0xAA8150474C61746ELLU: // buk_Latn_PG
        case 0xB281434D4C61746ELLU: // bum_Latn_CM
        case 0xB681534C4C61746ELLU: // bun_Latn_SL
        case 0xBA8150474C61746ELLU: // buo_Latn_PG
        case 0xBE8149444C61746ELLU: // bup_Latn_ID
        case 0xC28150474C61746ELLU: // buq_Latn_PG
        case 0xCA814E474C61746ELLU: // bus_Latn_NG
        case 0xCE8150474C61746ELLU: // but_Latn_PG
        case 0xD28143444C61746ELLU: // buu_Latn_CD
        case 0xD68150474C61746ELLU: // buv_Latn_PG
        case 0xDA8147414C61746ELLU: // buw_Latn_GA
        case 0xDE814E474C61746ELLU: // bux_Latn_NG
        case 0xE281534C4C61746ELLU: // buy_Latn_SL
        case 0xE6814E474C61746ELLU: // buz_Latn_NG
        case 0x82A154444C61746ELLU: // bva_Latn_TD
        case 0x86A147514C61746ELLU: // bvb_Latn_GQ
        case 0x8AA153424C61746ELLU: // bvc_Latn_SB
        case 0x8EA153424C61746ELLU: // bvd_Latn_SB
        case 0x92A149444C61746ELLU: // bve_Latn_ID
        case 0x96A154444C61746ELLU: // bvf_Latn_TD
        case 0x9AA1434D4C61746ELLU: // bvg_Latn_CM
        case 0x9EA14E474C61746ELLU: // bvh_Latn_NG
        case 0xA2A153534C61746ELLU: // bvi_Latn_SS
        case 0xA6A14E474C61746ELLU: // bvj_Latn_NG
        case 0xAAA149444C61746ELLU: // bvk_Latn_ID
        case 0xB2A1434D4C61746ELLU: // bvm_Latn_CM
        case 0xB6A150474C61746ELLU: // bvn_Latn_PG
        case 0xBAA154444C61746ELLU: // bvo_Latn_TD
        case 0xC2A143464C61746ELLU: // bvq_Latn_CF
        case 0xC6A141554C61746ELLU: // bvr_Latn_AU
        case 0xCEA149444C61746ELLU: // bvt_Latn_ID
        case 0xD2A149444C61746ELLU: // bvu_Latn_ID
        case 0xD6A156454C61746ELLU: // bvv_Latn_VE
        case 0xDAA14E474C61746ELLU: // bvw_Latn_NG
        case 0xDEA143474C61746ELLU: // bvx_Latn_CG
        case 0xE2A150484C61746ELLU: // bvy_Latn_PH
        case 0xE6A149444C61746ELLU: // bvz_Latn_ID
        case 0x82C14E434C61746ELLU: // bwa_Latn_NC
        case 0x86C1464A4C61746ELLU: // bwb_Latn_FJ
        case 0x8AC15A4D4C61746ELLU: // bwc_Latn_ZM
        case 0x8EC150474C61746ELLU: // bwd_Latn_PG
        case 0x92C14D4D4D796D72LLU: // bwe_Mymr_MM
        case 0x96C150474C61746ELLU: // bwf_Latn_PG
        case 0x9AC14D5A4C61746ELLU: // bwg_Latn_MZ
        case 0x9EC1434D4C61746ELLU: // bwh_Latn_CM
        case 0xA2C156454C61746ELLU: // bwi_Latn_VE
        case 0xA6C142464C61746ELLU: // bwj_Latn_BF
        case 0xAAC150474C61746ELLU: // bwk_Latn_PG
        case 0xAEC143444C61746ELLU: // bwl_Latn_CD
        case 0xB2C150474C61746ELLU: // bwm_Latn_PG
        case 0xBAC145544C61746ELLU: // bwo_Latn_ET
        case 0xBEC149444C61746ELLU: // bwp_Latn_ID
        case 0xC2C142464C61746ELLU: // bwq_Latn_BF
        case 0xC6C14E474C61746ELLU: // bwr_Latn_NG
        case 0xCAC143444C61746ELLU: // bws_Latn_CD
        case 0xCEC1434D4C61746ELLU: // bwt_Latn_CM
        case 0xD2C147484C61746ELLU: // bwu_Latn_GH
        case 0xDAC143444C61746ELLU: // bww_Latn_CD
        case 0xDEC1434E4C61746ELLU: // bwx_Latn_CN
        case 0xE2C142464C61746ELLU: // bwy_Latn_BF
        case 0xE6C143474C61746ELLU: // bwz_Latn_CG
        case 0x82E153424C61746ELLU: // bxa_Latn_SB
        case 0x86E153534C61746ELLU: // bxb_Latn_SS
        case 0x8AE147514C61746ELLU: // bxc_Latn_GQ
        case 0x96E150474C61746ELLU: // bxf_Latn_PG
        case 0x9AE143444C61746ELLU: // bxg_Latn_CD
        case 0x9EE150474C61746ELLU: // bxh_Latn_PG
        case 0xA2E141554C61746ELLU: // bxi_Latn_AU
        case 0xA6E141554C61746ELLU: // bxj_Latn_AU
        case 0xAEE142464C61746ELLU: // bxl_Latn_BF
        case 0xB2E14D4E4379726CLLU: // bxm_Cyrl_MN
        case 0xB6E141554C61746ELLU: // bxn_Latn_AU
        case 0xBAE14E474C61746ELLU: // bxo_Latn_NG
        case 0xBEE1434D4C61746ELLU: // bxp_Latn_CM
        case 0xC2E14E474C61746ELLU: // bxq_Latn_NG
        case 0xCAE1434D4C61746ELLU: // bxs_Latn_CM
        case 0xD2E1434E4D6F6E67LLU: // bxu_Mong_CN
        case 0xD6E154444C61746ELLU: // bxv_Latn_TD
        case 0xDAE14D4C4C61746ELLU: // bxw_Latn_ML
        case 0xE6E150474C61746ELLU: // bxz_Latn_PG
        case 0x830150484C61746ELLU: // bya_Latn_PH
        case 0x8701434D4C61746ELLU: // byb_Latn_CM
        case 0x8B014E474C61746ELLU: // byc_Latn_NG
        case 0x8F0149444C61746ELLU: // byd_Latn_ID
        case 0x930150474C61746ELLU: // bye_Latn_PG
        case 0x97014E474C61746ELLU: // byf_Latn_NG
        case 0x9F014E5044657661LLU: // byh_Deva_NP
        case 0xA30143444C61746ELLU: // byi_Latn_CD
        case 0xA7014E474C61746ELLU: // byj_Latn_NG
        case 0xAB01434E4C61746ELLU: // byk_Latn_CN
        case 0xAF0149444C61746ELLU: // byl_Latn_ID
        case 0xB30141554C61746ELLU: // bym_Latn_AU
        case 0xB701455245746869LLU: // byn_Ethi_ER
        case 0xBF014E474C61746ELLU: // byp_Latn_NG
        case 0xC70150474C61746ELLU: // byr_Latn_PG
        case 0xCB014E474C61746ELLU: // bys_Latn_NG
        case 0xD701434D4C61746ELLU: // byv_Latn_CM
        case 0xDB014E5044657661LLU: // byw_Deva_NP
        case 0xDF0150474C61746ELLU: // byx_Latn_PG
        case 0xE70150474C61746ELLU: // byz_Latn_PG
        case 0x83214C524C61746ELLU: // bza_Latn_LR
        case 0x872149444C61746ELLU: // bzb_Latn_ID
        case 0x8B214D474C61746ELLU: // bzc_Latn_MG
        case 0x8F2143524C61746ELLU: // bzd_Latn_CR
        case 0x93214D4C4C61746ELLU: // bze_Latn_ML
        case 0x972150474C61746ELLU: // bzf_Latn_PG
        case 0x9F2150474C61746ELLU: // bzh_Latn_PG
        case 0xA321544854686169LLU: // bzi_Thai_TH
        case 0xA721425A4C61746ELLU: // bzj_Latn_BZ
        case 0xAB214E494C61746ELLU: // bzk_Latn_NI
        case 0xAF2149444C61746ELLU: // bzl_Latn_ID
        case 0xB32143444C61746ELLU: // bzm_Latn_CD
        case 0xB72149444C61746ELLU: // bzn_Latn_ID
        case 0xBB2143444C61746ELLU: // bzo_Latn_CD
        case 0xBF2149444C61746ELLU: // bzp_Latn_ID
        case 0xC32149444C61746ELLU: // bzq_Latn_ID
        case 0xC72141554C61746ELLU: // bzr_Latn_AU
        case 0xD32149444C61746ELLU: // bzu_Latn_ID
        case 0xD721434D4C61746ELLU: // bzv_Latn_CM
        case 0xDB214E474C61746ELLU: // bzw_Latn_NG
        case 0xDF214D4C4C61746ELLU: // bzx_Latn_ML
        case 0xE3214E474C61746ELLU: // bzy_Latn_NG
        case 0xE7214E474C61746ELLU: // bzz_Latn_NG
        case 0x636145534C61746ELLU: // ca_Latn_ES
        case 0x800247544C61746ELLU: // caa_Latn_GT
        case 0x8402484E4C61746ELLU: // cab_Latn_HN
        case 0x880247544C61746ELLU: // cac_Latn_GT
        case 0x8C0255534C61746ELLU: // cad_Latn_US
        case 0x9002534E4C61746ELLU: // cae_Latn_SN
        case 0x940243414C61746ELLU: // caf_Latn_CA
        case 0x980250594C61746ELLU: // cag_Latn_PY
        case 0x9C0250454C61746ELLU: // cah_Latn_PE
        case 0xA402424F4C61746ELLU: // caj_Latn_BO
        case 0xA80247544C61746ELLU: // cak_Latn_GT
        case 0xAC024D504C61746ELLU: // cal_Latn_MP
        case 0xB0024E434C61746ELLU: // cam_Latn_NC
        case 0xB40250474C61746ELLU: // can_Latn_PG
        case 0xB802424F4C61746ELLU: // cao_Latn_BO
        case 0xBC02424F4C61746ELLU: // cap_Latn_BO
        case 0xC002494E4C61746ELLU: // caq_Latn_IN
        case 0xC40256454C61746ELLU: // car_Latn_VE
        case 0xC802424F4C61746ELLU: // cas_Latn_BO
        case 0xD402424F4C61746ELLU: // cav_Latn_BO
        case 0xD802424F4C61746ELLU: // caw_Latn_BO
        case 0xDC02424F4C61746ELLU: // cax_Latn_BO
        case 0xE00243414C61746ELLU: // cay_Latn_CA
        case 0xE402424F4C61746ELLU: // caz_Latn_BO
        case 0x8422434F4C61746ELLU: // cbb_Latn_CO
        case 0x8822434F4C61746ELLU: // cbc_Latn_CO
        case 0x8C22434F4C61746ELLU: // cbd_Latn_CO
        case 0x9822434F4C61746ELLU: // cbg_Latn_CO
        case 0xA02245434C61746ELLU: // cbi_Latn_EC
        case 0xA422424A4C61746ELLU: // cbj_Latn_BJ
        case 0xA82250484C61746ELLU: // cbk_Latn_PH
        case 0xAC224D4D4C61746ELLU: // cbl_Latn_MM
        case 0xB422544854686169LLU: // cbn_Thai_TH
        case 0xB8224E474C61746ELLU: // cbo_Latn_NG
        case 0xC0224E474C61746ELLU: // cbq_Latn_NG
        case 0xC42250454C61746ELLU: // cbr_Latn_PE
        case 0xC82250454C61746ELLU: // cbs_Latn_PE
        case 0xCC2250454C61746ELLU: // cbt_Latn_PE
        case 0xD02250454C61746ELLU: // cbu_Latn_PE
        case 0xD422434F4C61746ELLU: // cbv_Latn_CO
        case 0xD82250484C61746ELLU: // cbw_Latn_PH
        case 0xE022434F4C61746ELLU: // cby_Latn_CO
        case 0x884250454C61746ELLU: // ccc_Latn_PE
        case 0x8C4242524C61746ELLU: // ccd_Latn_BR
        case 0x90424D5A4C61746ELLU: // cce_Latn_MZ
        case 0x98424E474C61746ELLU: // ccg_Latn_NG
        case 0x9C424E474C61746ELLU: // cch_Latn_NG
        case 0xA44247574C61746ELLU: // ccj_Latn_GW
        case 0xAC42545A4C61746ELLU: // ccl_Latn_TZ
        case 0xB0424D594C61746ELLU: // ccm_Latn_MY
        case 0xB8424D584C61746ELLU: // cco_Latn_MX
        case 0xBC42424443616B6DLLU: // ccp_Cakm_BD
        case 0xC44253564C61746ELLU: // ccr_Latn_SV
        case 0x9062494E54656C75LLU: // cde_Telu_IN
        case 0x9462494E4C61746ELLU: // cdf_Latn_IN
        case 0x9C62494E44657661LLU: // cdh_Deva_IN
        case 0xA062494E47756A72LLU: // cdi_Gujr_IN
        case 0xA462494E44657661LLU: // cdj_Deva_IN
        case 0xB0624E5044657661LLU: // cdm_Deva_NP
        case 0xB862434E48616E73LLU: // cdo_Hans_CN
        case 0xC4624E474C61746ELLU: // cdr_Latn_NG
        case 0xE462494E42656E67LLU: // cdz_Beng_IN
        case 0x636552554379726CLLU: // ce_Cyrl_RU
        case 0x808255534C61746ELLU: // cea_Latn_US
        case 0x848250484C61746ELLU: // ceb_Latn_PH
        case 0x988250594C61746ELLU: // ceg_Latn_PY
        case 0xA8824D4D4C61746ELLU: // cek_Latn_MM
        case 0xB4824E474C61746ELLU: // cen_Latn_NG
        case 0xCC824E474C61746ELLU: // cet_Latn_NG
        case 0xE0824D4D4C61746ELLU: // cey_Latn_MM
        case 0x80A24E474C61746ELLU: // cfa_Latn_NG
        case 0x8CA24E474C61746ELLU: // cfd_Latn_NG
        case 0x98A24E474C61746ELLU: // cfg_Latn_NG
        case 0xB0A24D4D4C61746ELLU: // cfm_Latn_MM
        case 0x80C250474C61746ELLU: // cga_Latn_PG
        case 0x88C250484C61746ELLU: // cgc_Latn_PH
        case 0x98C255474C61746ELLU: // cgg_Latn_UG
        case 0xA8C2425454696274LLU: // cgk_Tibt_BT
        case 0x636847554C61746ELLU: // ch_Latn_GU
        case 0x84E2434F4C61746ELLU: // chb_Latn_CO
        case 0x8CE24D584C61746ELLU: // chd_Latn_MX
        case 0x94E24D584C61746ELLU: // chf_Latn_MX
        case 0x98E2544D41726162LLU: // chg_Arab_TM
        case 0x9CE255534C61746ELLU: // chh_Latn_US
        case 0xA4E24D584C61746ELLU: // chj_Latn_MX
        case 0xA8E2464D4C61746ELLU: // chk_Latn_FM
        case 0xACE255534C61746ELLU: // chl_Latn_US
        case 0xB0E252554379726CLLU: // chm_Cyrl_RU
        case 0xB4E255534C61746ELLU: // chn_Latn_US
        case 0xB8E255534C61746ELLU: // cho_Latn_US
        case 0xBCE243414C61746ELLU: // chp_Latn_CA
        case 0xC0E24D584C61746ELLU: // chq_Latn_MX
        case 0xC4E2555343686572LLU: // chr_Cher_US
        case 0xCCE250454C61746ELLU: // cht_Latn_PE
        case 0xD8E24D5A4C61746ELLU: // chw_Latn_MZ
        case 0xDCE24E5044657661LLU: // chx_Deva_NP
        case 0xE0E255534C61746ELLU: // chy_Latn_US
        case 0xE4E24D584C61746ELLU: // chz_Latn_MX
        case 0x810249444C61746ELLU: // cia_Latn_ID
        case 0x8502424A4C61746ELLU: // cib_Latn_BJ
        case 0x890255534C61746ELLU: // cic_Latn_US
        case 0x91024E474C61746ELLU: // cie_Latn_NG
        case 0x9D02494E44657661LLU: // cih_Deva_IN
        case 0xB10249544C61746ELLU: // cim_Latn_IT
        case 0xB50242524C61746ELLU: // cin_Latn_BR
        case 0xBD024D584C61746ELLU: // cip_Latn_MX
        case 0xC5024E434C61746ELLU: // cir_Latn_NC
        case 0xD90255534C61746ELLU: // ciw_Latn_US
        case 0xE10256454C61746ELLU: // ciy_Latn_VE
        case 0x81224B4841726162LLU: // cja_Arab_KH
        case 0x9122564E4C61746ELLU: // cje_Latn_VN
        case 0x9D2255534C61746ELLU: // cjh_Latn_US
        case 0xA12252554379726CLLU: // cji_Cyrl_RU
        case 0xA922414F4C61746ELLU: // cjk_Latn_AO
        case 0xB122564E4368616DLLU: // cjm_Cham_VN
        case 0xB52250474C61746ELLU: // cjn_Latn_PG
        case 0xB92250454C61746ELLU: // cjo_Latn_PE
        case 0xBD2243524C61746ELLU: // cjp_Latn_CR
        case 0xC92252554C61746ELLU: // cjs_Latn_RU
        case 0xD52250474C61746ELLU: // cjv_Latn_PG
        case 0xE122434E48616E73LLU: // cjy_Hans_CN
        case 0x8542495141726162LLU: // ckb_Arab_IQ
        case 0xAD424E474C61746ELLU: // ckl_Latn_NG
        case 0xB14248524C61746ELLU: // ckm_Latn_HR
        case 0xB5424D4D4C61746ELLU: // ckn_Latn_MM
        case 0xB94247484C61746ELLU: // cko_Latn_GH
        case 0xC14254444C61746ELLU: // ckq_Latn_TD
        case 0xC54250474C61746ELLU: // ckr_Latn_PG
        case 0xC9424E434C61746ELLU: // cks_Latn_NC
        case 0xCD4252554379726CLLU: // ckt_Cyrl_RU
        case 0xD14255534C61746ELLU: // cku_Latn_US
        case 0xD54254574C61746ELLU: // ckv_Latn_TW
        case 0xDD42434D4C61746ELLU: // ckx_Latn_CM
        case 0xE1424E474C61746ELLU: // cky_Latn_NG
        case 0xE54247544C61746ELLU: // ckz_Latn_GT
        case 0x81624E474C61746ELLU: // cla_Latn_NG
        case 0x896243414C61746ELLU: // clc_Latn_CA
        case 0x91624D584C61746ELLU: // cle_Latn_MX
        case 0x9D62504B41726162LLU: // clh_Arab_PK
        case 0xA16247484C61746ELLU: // cli_Latn_GH
        case 0xA5624D4D4C61746ELLU: // clj_Latn_MM
        case 0xA962494E4C61746ELLU: // clk_Latn_IN
        case 0xAD6247484C61746ELLU: // cll_Latn_GH
        case 0xB16255534C61746ELLU: // clm_Latn_US
        case 0xB9624D584C61746ELLU: // clo_Latn_MX
        case 0xCD624D4D4C61746ELLU: // clt_Latn_MM
        case 0xD16250484C61746ELLU: // clu_Latn_PH
        case 0xD96252554379726CLLU: // clw_Cyrl_RU
        case 0xE1624D584C61746ELLU: // cly_Latn_MX
        case 0x8182564E4C61746ELLU: // cma_Latn_VN
        case 0x918242464C61746ELLU: // cme_Latn_BF
        case 0x99824D4E536F796FLLU: // cmg_Soyo_MN
        case 0xA182434F4C61746ELLU: // cmi_Latn_CO
        case 0xAD8249444C61746ELLU: // cml_Latn_ID
        case 0xB982564E4C61746ELLU: // cmo_Latn_VN
        case 0xC5824D4D4C61746ELLU: // cmr_Latn_MM
        case 0xC98249544C61746ELLU: // cms_Latn_IT
        case 0xCD825A414C61746ELLU: // cmt_Latn_ZA
        case 0x81A2494E54696274LLU: // cna_Tibt_IN
        case 0x85A24D4D4C61746ELLU: // cnb_Latn_MM
        case 0x89A2564E4C61746ELLU: // cnc_Latn_VN
        case 0x99A2434E4C61746ELLU: // cng_Latn_CN
        case 0x9DA24D4D4C61746ELLU: // cnh_Latn_MM
        case 0xA1A250454C61746ELLU: // cni_Latn_PE
        case 0xA9A24D4D4C61746ELLU: // cnk_Latn_MM
        case 0xADA24D584C61746ELLU: // cnl_Latn_MX
        case 0xBDA2434E48616E73LLU: // cnp_Hans_CN
        case 0xC1A2434D4C61746ELLU: // cnq_Latn_CM
        case 0xC9A249444C61746ELLU: // cns_Latn_ID
        case 0xCDA24D584C61746ELLU: // cnt_Latn_MX
        case 0xD9A24D4D4C61746ELLU: // cnw_Latn_MM
        case 0xDDA247424C61746ELLU: // cnx_Latn_GB
        case 0x636F46524C61746ELLU: // co_Latn_FR
        case 0x81C241554C61746ELLU: // coa_Latn_AU
        case 0x85C24D584C61746ELLU: // cob_Latn_MX
        case 0x89C24D584C61746ELLU: // coc_Latn_MX
        case 0x8DC250454C61746ELLU: // cod_Latn_PE
        case 0x91C2434F4C61746ELLU: // coe_Latn_CO
        case 0x95C245434C61746ELLU: // cof_Latn_EC
        case 0x99C2544854686169LLU: // cog_Thai_TH
        case 0x9DC24B454C61746ELLU: // coh_Latn_KE
        case 0xA5C24D584C61746ELLU: // coj_Latn_MX
        case 0xA9C24D584C61746ELLU: // cok_Latn_MX
        case 0xADC255534C61746ELLU: // col_Latn_US
        case 0xB1C255534C61746ELLU: // com_Latn_US
        case 0xB9C243414C61746ELLU: // coo_Latn_CA
        case 0xBDC24547436F7074LLU: // cop_Copt_EG
        case 0xC1C255534C61746ELLU: // coq_Latn_US
        case 0xCDC250454C61746ELLU: // cot_Latn_PE
        case 0xD1C2534E4C61746ELLU: // cou_Latn_SN
        case 0xDDC250454C61746ELLU: // cox_Latn_PE
        case 0xE5C24D584C61746ELLU: // coz_Latn_MX
        case 0x81E24D584C61746ELLU: // cpa_Latn_MX
        case 0x85E250454C61746ELLU: // cpb_Latn_PE
        case 0x89E250454C61746ELLU: // cpc_Latn_PE
        case 0x99E247524772656BLLU: // cpg_Grek_GR
        case 0xA1E24E524C61746ELLU: // cpi_Latn_NR
        case 0xB5E247484C61746ELLU: // cpn_Latn_GH
        case 0xB9E242464C61746ELLU: // cpo_Latn_BF
        case 0xC9E250484C61746ELLU: // cps_Latn_PH
        case 0xD1E250454C61746ELLU: // cpu_Latn_PE
        case 0xDDE2434E4C61746ELLU: // cpx_Latn_CN
        case 0xE1E250454C61746ELLU: // cpy_Latn_PE
        case 0x8E02434E4C61746ELLU: // cqd_Latn_CN
        case 0x6372434143616E73LLU: // cr_Cans_CA
        case 0x822245544C61746ELLU: // cra_Latn_ET
        case 0x862256434C61746ELLU: // crb_Latn_VC
        case 0x8A2256554C61746ELLU: // crc_Latn_VU
        case 0x8E2255534C61746ELLU: // crd_Latn_US
        case 0x9622434F4C61746ELLU: // crf_Latn_CO
        case 0x9A2243414C61746ELLU: // crg_Latn_CA
        case 0x9E2255414379726CLLU: // crh_Cyrl_UA
        case 0xA22253544C61746ELLU: // cri_Latn_ST
        case 0xA622434143616E73LLU: // crj_Cans_CA
        case 0xAA22434143616E73LLU: // crk_Cans_CA
        case 0xAE22434143616E73LLU: // crl_Cans_CA
        case 0xB222434143616E73LLU: // crm_Cans_CA
        case 0xB6224D584C61746ELLU: // crn_Latn_MX
        case 0xBA2255534C61746ELLU: // cro_Latn_US
        case 0xC22241524C61746ELLU: // crq_Latn_AR
        case 0xCA2253434C61746ELLU: // crs_Latn_SC
        case 0xCE2241524C61746ELLU: // crt_Latn_AR
        case 0xD622494E4C61746ELLU: // crv_Latn_IN
        case 0xDA22564E4C61746ELLU: // crw_Latn_VN
        case 0xDE2243414C61746ELLU: // crx_Latn_CA
        case 0xE2224E474C61746ELLU: // cry_Latn_NG
        case 0xE62255534C61746ELLU: // crz_Latn_US
        case 0x6373435A4C61746ELLU: // cs_Latn_CZ
        case 0x82424D584C61746ELLU: // csa_Latn_MX
        case 0x8642504C4C61746ELLU: // csb_Latn_PL
        case 0x9E424D4D4D796D72LLU: // csh_Mymr_MM
        case 0xA6424D4D4C61746ELLU: // csj_Latn_MM
        case 0xAA42534E4C61746ELLU: // csk_Latn_SN
        case 0xB24255534C61746ELLU: // csm_Latn_US
        case 0xBA424D584C61746ELLU: // cso_Latn_MX
        case 0xBE42434E48616E73LLU: // csp_Hans_CN
        case 0xCA4255534C61746ELLU: // css_Latn_US
        case 0xCE4255534C61746ELLU: // cst_Latn_US
        case 0xD6424D4D4C61746ELLU: // csv_Latn_MM
        case 0xDA42434143616E73LLU: // csw_Cans_CA
        case 0xE2424D4D4C61746ELLU: // csy_Latn_MM
        case 0xE64255534C61746ELLU: // csz_Latn_US
        case 0x82624D584C61746ELLU: // cta_Latn_MX
        case 0x8A6255534C61746ELLU: // ctc_Latn_US
        case 0x8E624D4D50617563LLU: // ctd_Pauc_MM
        case 0x92624D584C61746ELLU: // cte_Latn_MX
        case 0x9A62424442656E67LLU: // ctg_Beng_BD
        case 0x9E624D4D4C61746ELLU: // cth_Latn_MM
        case 0xAE624D584C61746ELLU: // ctl_Latn_MX
        case 0xB26255534C61746ELLU: // ctm_Latn_US
        case 0xB6624E5044657661LLU: // ctn_Deva_NP
        case 0xBA62434F4C61746ELLU: // cto_Latn_CO
        case 0xBE624D584C61746ELLU: // ctp_Latn_MX
        case 0xCA6250484C61746ELLU: // cts_Latn_PH
        case 0xCE62494E54616D6CLLU: // ctt_Taml_IN
        case 0xD2624D584C61746ELLU: // ctu_Latn_MX
        case 0xE262494E54616D6CLLU: // cty_Taml_IN
        case 0xE6624D584C61746ELLU: // ctz_Latn_MX
        case 0x637552554379726CLLU: // cu_Cyrl_RU
        case 0x63754247476C6167LLU: // cu_Glag_BG
        case 0x8282564E4C61746ELLU: // cua_Latn_VN
        case 0x8682434F4C61746ELLU: // cub_Latn_CO
        case 0x8A824D584C61746ELLU: // cuc_Latn_MX
        case 0x9E824B454C61746ELLU: // cuh_Latn_KE
        case 0xA282434F4C61746ELLU: // cui_Latn_CO
        case 0xA68250454C61746ELLU: // cuj_Latn_PE
        case 0xAA8250414C61746ELLU: // cuk_Latn_PA
        case 0xAE8242524C61746ELLU: // cul_Latn_BR
        case 0xBA8256454C61746ELLU: // cuo_Latn_VE
        case 0xBE8255534C61746ELLU: // cup_Latn_US
        case 0xCE824D584C61746ELLU: // cut_Latn_MX
        case 0xD282434E4C616E61LLU: // cuu_Lana_CN
        case 0xD682434D4C61746ELLU: // cuv_Latn_CM
        case 0xDE824D584C61746ELLU: // cux_Latn_MX
        case 0xE2824D584C61746ELLU: // cuy_Latn_MX
        case 0x637652554379726CLLU: // cv_Cyrl_RU
        case 0x9AA2494E4C61746ELLU: // cvg_Latn_IN
        case 0xB6A24D584C61746ELLU: // cvn_Latn_MX
        case 0x82C2545A4C61746ELLU: // cwa_Latn_TZ
        case 0x86C24D5A4C61746ELLU: // cwb_Latn_MZ
        case 0x92C2545A4C61746ELLU: // cwe_Latn_TZ
        case 0x9AC24D594C61746ELLU: // cwg_Latn_MY
        case 0xCEC2534E4C61746ELLU: // cwt_Latn_SN
        case 0x9EE24E474C61746ELLU: // cxh_Latn_NG
        case 0x637947424C61746ELLU: // cy_Latn_GB
        case 0x83024D584C61746ELLU: // cya_Latn_MX
        case 0x8702424F4C61746ELLU: // cyb_Latn_BO
        case 0xBB0250484C61746ELLU: // cyo_Latn_PH
        case 0x9F22434E48616E73LLU: // czh_Hans_CN
        case 0xAB22435A48656272LLU: // czk_Hebr_CZ
        case 0xB7224D584C61746ELLU: // czn_Latn_MX
        case 0xCF224D4D4C61746ELLU: // czt_Latn_MM
        case 0x6461444B4C61746ELLU: // da_Latn_DK
        case 0x800354444C61746ELLU: // daa_Latn_TD
        case 0x880350474C61746ELLU: // dac_Latn_PG
        case 0x8C0350474C61746ELLU: // dad_Latn_PG
        case 0x9003434D4C61746ELLU: // dae_Latn_CM
        case 0x980347484C61746ELLU: // dag_Latn_GH
        case 0x9C0350474C61746ELLU: // dah_Latn_PG
        case 0xA00354444C61746ELLU: // dai_Latn_TD
        case 0xA40353444C61746ELLU: // daj_Latn_SD
        case 0xA80355534C61746ELLU: // dak_Latn_US
        case 0xAC034B454C61746ELLU: // dal_Latn_KE
        case 0xB0034E474C61746ELLU: // dam_Latn_NG
        case 0xB8034D4D4C61746ELLU: // dao_Latn_MM
        case 0xC003494E44657661LLU: // daq_Deva_IN
        case 0xC40352554379726CLLU: // dar_Cyrl_RU
        case 0xC80343494C61746ELLU: // das_Latn_CI
        case 0xD00354444C61746ELLU: // dau_Latn_TD
        case 0xD4034B454C61746ELLU: // dav_Latn_KE
        case 0xD80350484C61746ELLU: // daw_Latn_PH
        case 0xDC0341554C61746ELLU: // dax_Latn_AU
        case 0xE40349444C61746ELLU: // daz_Latn_ID
        case 0x80234D4C4C61746ELLU: // dba_Latn_ML
        case 0x84234E474C61746ELLU: // dbb_Latn_NG
        case 0x8C234E474C61746ELLU: // dbd_Latn_NG
        case 0x902349444C61746ELLU: // dbe_Latn_ID
        case 0x942349444C61746ELLU: // dbf_Latn_ID
        case 0x98234D4C4C61746ELLU: // dbg_Latn_ML
        case 0xA0234E474C61746ELLU: // dbi_Latn_NG
        case 0xA4234D594C61746ELLU: // dbj_Latn_MY
        case 0xAC2341554C61746ELLU: // dbl_Latn_AU
        case 0xB0234E474C61746ELLU: // dbm_Latn_NG
        case 0xB42349444C61746ELLU: // dbn_Latn_ID
        case 0xB8234E474C61746ELLU: // dbo_Latn_NG
        case 0xBC234E474C61746ELLU: // dbp_Latn_NG
        case 0xC023434D4C61746ELLU: // dbq_Latn_CM
        case 0xCC234D4C4C61746ELLU: // dbt_Latn_ML
        case 0xD0234D4C4C61746ELLU: // dbu_Latn_ML
        case 0xD4234E474C61746ELLU: // dbv_Latn_NG
        case 0xD8234D4C4C61746ELLU: // dbw_Latn_ML
        case 0xE02350474C61746ELLU: // dby_Latn_PG
        case 0x8843494E41726162LLU: // dcc_Arab_IN
        case 0xC44356494C61746ELLU: // dcr_Latn_VI
        case 0x806341554C61746ELLU: // dda_Latn_AU
        case 0x8C6353534C61746ELLU: // ddd_Latn_SS
        case 0x906343474C61746ELLU: // dde_Latn_CG
        case 0x9863544C4C61746ELLU: // ddg_Latn_TL
        case 0xA06350474C61746ELLU: // ddi_Latn_PG
        case 0xA46341554C61746ELLU: // ddj_Latn_AU
        case 0xB463424A4C61746ELLU: // ddn_Latn_BJ
        case 0xB86352554379726CLLU: // ddo_Cyrl_RU
        case 0xC46341554C61746ELLU: // ddr_Latn_AU
        case 0xC8634D4C4C61746ELLU: // dds_Latn_ML
        case 0xD86349444C61746ELLU: // ddw_Latn_ID
        case 0x646544454C61746ELLU: // de_Latn_DE
        case 0x888353444C61746ELLU: // dec_Latn_SD
        case 0x8C8350474C61746ELLU: // ded_Latn_PG
        case 0x90834C524C61746ELLU: // dee_Latn_LR
        case 0x9483495241726162LLU: // def_Arab_IR
        case 0x98834E474C61746ELLU: // deg_Latn_NG
        case 0x9C83504B41726162LLU: // deh_Arab_PK
        case 0xA08349444C61746ELLU: // dei_Latn_ID
        case 0xA883434D4C61746ELLU: // dek_Latn_CM
        case 0xAC8355534C61746ELLU: // del_Latn_US
        case 0xB08349444C61746ELLU: // dem_Latn_ID
        case 0xB48343414C61746ELLU: // den_Latn_CA
        case 0xC08343464C61746ELLU: // deq_Latn_CF
        case 0xC483494E42656E67LLU: // der_Beng_IN
        case 0xC88342524C61746ELLU: // des_Latn_BR
        case 0xD48350474C61746ELLU: // dev_Latn_PG
        case 0xE48343444C61746ELLU: // dez_Latn_CD
        case 0x80C347484C61746ELLU: // dga_Latn_GH
        case 0x84C34D4C4C61746ELLU: // dgb_Latn_ML
        case 0x88C350484C61746ELLU: // dgc_Latn_PH
        case 0x8CC342464C61746ELLU: // dgd_Latn_BF
        case 0x90C350474C61746ELLU: // dge_Latn_PG
        case 0x98C350474C61746ELLU: // dgg_Latn_PG
        case 0x9CC34E474C61746ELLU: // dgh_Latn_NG
        case 0xA0C342464C61746ELLU: // dgi_Latn_BF
        case 0xA8C343464C61746ELLU: // dgk_Latn_CF
        case 0xACC3534441726162LLU: // dgl_Arab_SD
        case 0xB4C341554C61746ELLU: // dgn_Latn_AU
        case 0xC4C343414C61746ELLU: // dgr_Latn_CA
        case 0xC8C342464C61746ELLU: // dgs_Latn_BF
        case 0xCCC341554C61746ELLU: // dgt_Latn_AU
        case 0xD8C341554C61746ELLU: // dgw_Latn_AU
        case 0xDCC350474C61746ELLU: // dgx_Latn_PG
        case 0xE4C350474C61746ELLU: // dgz_Latn_PG
        case 0x98E341554C61746ELLU: // dhg_Latn_AU
        case 0xA0E34E5044657661LLU: // dhi_Deva_NP
        case 0xACE341554C61746ELLU: // dhl_Latn_AU
        case 0xB0E3414F4C61746ELLU: // dhm_Latn_AO
        case 0xB4E3494E47756A72LLU: // dhn_Gujr_IN
        case 0xB8E3494E44657661LLU: // dho_Deva_IN
        case 0xC4E341554C61746ELLU: // dhr_Latn_AU
        case 0xC8E3545A4C61746ELLU: // dhs_Latn_TZ
        case 0xD0E341554C61746ELLU: // dhu_Latn_AU
        case 0xD4E34E434C61746ELLU: // dhv_Latn_NC
        case 0xD8E34E5044657661LLU: // dhw_Deva_NP
        case 0xDCE341554C61746ELLU: // dhx_Latn_AU
        case 0x810350474C61746ELLU: // dia_Latn_PG
        case 0x850353534C61746ELLU: // dib_Latn_SS
        case 0x890343494C61746ELLU: // dic_Latn_CI
        case 0x8D0353534C61746ELLU: // did_Latn_SS
        case 0x950341554C61746ELLU: // dif_Latn_AU
        case 0x99034B454C61746ELLU: // dig_Latn_KE
        case 0x9D034D584C61746ELLU: // dih_Latn_MX
        case 0xA103434D4C61746ELLU: // dii_Latn_CM
        case 0xA50349444C61746ELLU: // dij_Latn_ID
        case 0xAD0353444C61746ELLU: // dil_Latn_SD
        case 0xB50353534C61746ELLU: // din_Latn_SS
        case 0xB9034E474C61746ELLU: // dio_Latn_NG
        case 0xBD0353534C61746ELLU: // dip_Latn_SS
        case 0xC5034E474C61746ELLU: // dir_Latn_NG
        case 0xC903494E4C61746ELLU: // dis_Latn_IN
        case 0xD1034E414C61746ELLU: // diu_Latn_NA
        case 0xD90353534C61746ELLU: // diw_Latn_SS
        case 0xDD0356554C61746ELLU: // dix_Latn_VU
        case 0xE10349444C61746ELLU: // diy_Latn_ID
        case 0xE50343444C61746ELLU: // diz_Latn_CD
        case 0x812341554C61746ELLU: // dja_Latn_AU
        case 0x852341554C61746ELLU: // djb_Latn_AU
        case 0x892354444C61746ELLU: // djc_Latn_TD
        case 0x8D2341554C61746ELLU: // djd_Latn_AU
        case 0x91234E454C61746ELLU: // dje_Latn_NE
        case 0x952341554C61746ELLU: // djf_Latn_AU
        case 0xA12341554C61746ELLU: // dji_Latn_AU
        case 0xA52341554C61746ELLU: // djj_Latn_AU
        case 0xA92353524C61746ELLU: // djk_Latn_SR
        case 0xB1234D4C4C61746ELLU: // djm_Latn_ML
        case 0xB52341554C61746ELLU: // djn_Latn_AU
        case 0xB92349444C61746ELLU: // djo_Latn_ID
        case 0xC52341554C61746ELLU: // djr_Latn_AU
        case 0xD12350474C61746ELLU: // dju_Latn_PG
        case 0xD92341554C61746ELLU: // djw_Latn_AU
        case 0x8143425454696274LLU: // dka_Tibt_BT
        case 0x99434E474C61746ELLU: // dkg_Latn_NG
        case 0xA94349444C61746ELLU: // dkk_Latn_ID
        case 0xC5434D594C61746ELLU: // dkr_Latn_MY
        case 0xC94353534C61746ELLU: // dks_Latn_SS
        case 0xDD43434D4C61746ELLU: // dkx_Latn_CM
        case 0x996352554379726CLLU: // dlg_Cyrl_RU
        case 0xB16348524C61746ELLU: // dlm_Latn_HR
        case 0xB563494E4C61746ELLU: // dln_Latn_IN
        case 0x818347414C61746ELLU: // dma_Latn_GA
        case 0x85834D4C4C61746ELLU: // dmb_Latn_ML
        case 0x898350474C61746ELLU: // dmc_Latn_PG
        case 0x8D8341554C61746ELLU: // dmd_Latn_AU
        case 0x9183434D4C61746ELLU: // dme_Latn_CM
        case 0x95834E474D656466LLU: // dmf_Medf_NG
        case 0x99834D594C61746ELLU: // dmg_Latn_MY
        case 0xA983504B41726162LLU: // dmk_Arab_PK
        case 0xAD83504B41726162LLU: // dml_Arab_PK
        case 0xB183434D4C61746ELLU: // dmm_Latn_CM
        case 0xB983434D4C61746ELLU: // dmo_Latn_CM
        case 0xC58349444C61746ELLU: // dmr_Latn_ID
        case 0xC98349444C61746ELLU: // dms_Latn_ID
        case 0xD18349444C61746ELLU: // dmu_Latn_ID
        case 0xD5834D594C61746ELLU: // dmv_Latn_MY
        case 0xD98341554C61746ELLU: // dmw_Latn_AU
        case 0xDD834D5A4C61746ELLU: // dmx_Latn_MZ
        case 0xE18349444C61746ELLU: // dmy_Latn_ID
        case 0x81A349444C61746ELLU: // dna_Latn_ID
        case 0x8DA350474C61746ELLU: // dnd_Latn_PG
        case 0x91A3545A4C61746ELLU: // dne_Latn_TZ
        case 0x99A34B474379726CLLU: // dng_Cyrl_KG
        case 0xA1A349444C61746ELLU: // dni_Latn_ID
        case 0xA5A343494C61746ELLU: // dnj_Latn_CI
        case 0xA9A349444C61746ELLU: // dnk_Latn_ID
        case 0xB5A342464C61746ELLU: // dnn_Latn_BF
        case 0xB9A343444C61746ELLU: // dno_Latn_CD
        case 0xC5A350474C61746ELLU: // dnr_Latn_PG
        case 0xCDA349444C61746ELLU: // dnt_Latn_ID
        case 0xD1A34D4D4D796D72LLU: // dnu_Mymr_MM
        case 0xD5A34D4D4D796D72LLU: // dnv_Mymr_MM
        case 0xD9A349444C61746ELLU: // dnw_Latn_ID
        case 0xE1A342524C61746ELLU: // dny_Latn_BR
        case 0x81C350474C61746ELLU: // doa_Latn_PG
        case 0x85C350474C61746ELLU: // dob_Latn_PG
        case 0x89C3434E4C61746ELLU: // doc_Latn_CN
        case 0x91C3545A4C61746ELLU: // doe_Latn_TZ
        case 0x95C350474C61746ELLU: // dof_Latn_PG
        case 0x9DC34E474C61746ELLU: // doh_Latn_NG
        case 0xA1C3494E44657661LLU: // doi_Deva_IN
        case 0xA9C349444C61746ELLU: // dok_Latn_ID
        case 0xADC350474C61746ELLU: // dol_Latn_PG
        case 0xB5C350474C61746ELLU: // don_Latn_PG
        case 0xB9C343444C61746ELLU: // doo_Latn_CD
        case 0xBDC3424A4C61746ELLU: // dop_Latn_BJ
        case 0xC5C353424C61746ELLU: // dor_Latn_SB
        case 0xC9C342464C61746ELLU: // dos_Latn_BF
        case 0xCDC34E474C61746ELLU: // dot_Latn_NG
        case 0xD5C35A574C61746ELLU: // dov_Latn_ZW
        case 0xD9C3434D4C61746ELLU: // dow_Latn_CM
        case 0xDDC3455445746869LLU: // dox_Ethi_ET
        case 0xE1C347484C61746ELLU: // doy_Latn_GH
        case 0xBDE34D594C61746ELLU: // dpp_Latn_MY
        case 0x8A2350544C61746ELLU: // drc_Latn_PT
        case 0x92234E5054696274LLU: // dre_Tibt_NP
        case 0x9A234D594C61746ELLU: // drg_Latn_MY
        case 0xA2234E474C61746ELLU: // dri_Latn_NG
        case 0xAE2341554C61746ELLU: // drl_Latn_AU
        case 0xB62349444C61746ELLU: // drn_Latn_ID
        case 0xBA234D594C61746ELLU: // dro_Latn_MY
        case 0xC2234E5044657661LLU: // drq_Deva_NP
        case 0xCA23455445746869LLU: // drs_Ethi_ET
        case 0xCE234E4C4C61746ELLU: // drt_Latn_NL
        case 0xD22354574C61746ELLU: // dru_Latn_TW
        case 0xE2234E5044657661LLU: // dry_Deva_NP
        case 0x864344454C61746ELLU: // dsb_Latn_DE
        case 0x9E434B454C61746ELLU: // dsh_Latn_KE
        case 0xA24354444C61746ELLU: // dsi_Latn_TD
        case 0xAA434E474C61746ELLU: // dsk_Latn_NG
        case 0xB64349444C61746ELLU: // dsn_Latn_ID
        case 0xBA43494E4F727961LLU: // dso_Orya_IN
        case 0xC2434D4C4C61746ELLU: // dsq_Latn_ML
        case 0x8263434E4C61746ELLU: // dta_Latn_CN
        case 0x86634D594C61746ELLU: // dtb_Latn_MY
        case 0x8E6343414C61746ELLU: // dtd_Latn_CA
        case 0x9E6341554C61746ELLU: // dth_Latn_AU
        case 0xA2634D4C4C61746ELLU: // dti_Latn_ML
        case 0xAA634D4C4C61746ELLU: // dtk_Latn_ML
        case 0xB2634D4C4C61746ELLU: // dtm_Latn_ML
        case 0xBA634D4C4C61746ELLU: // dto_Latn_ML
        case 0xBE634D594C61746ELLU: // dtp_Latn_MY
        case 0xC6634D594C61746ELLU: // dtr_Latn_MY
        case 0xCA634D4C4C61746ELLU: // dts_Latn_ML
        case 0xCE634D4C4C61746ELLU: // dtt_Latn_ML
        case 0xD2634D4C4C61746ELLU: // dtu_Latn_ML
        case 0xE2634E5044657661LLU: // dty_Deva_NP
        case 0x8283434D4C61746ELLU: // dua_Latn_CM
        case 0x8683494E47756A72LLU: // dub_Gujr_IN
        case 0x8A8350474C61746ELLU: // duc_Latn_PG
        case 0x928350484C61746ELLU: // due_Latn_PH
        case 0x96834E434C61746ELLU: // duf_Latn_NC
        case 0x9A834B454C61746ELLU: // dug_Latn_KE
        case 0x9E83494E44657661LLU: // duh_Deva_IN
        case 0xA28350474C61746ELLU: // dui_Latn_PG
        case 0xAA8350474C61746ELLU: // duk_Latn_PG
        case 0xAE8350484C61746ELLU: // dul_Latn_PH
        case 0xB2834E4C4C61746ELLU: // dum_Latn_NL
        case 0xB68349444C61746ELLU: // dun_Latn_ID
        case 0xBA8350484C61746ELLU: // duo_Latn_PH
        case 0xBE8349444C61746ELLU: // dup_Latn_ID
        case 0xC28349444C61746ELLU: // duq_Latn_ID
        case 0xC683434D4C61746ELLU: // dur_Latn_CM
        case 0xCA834E5044657661LLU: // dus_Deva_NP
        case 0xD283434E4C61746ELLU: // duu_Latn_CN
        case 0xD68349444C61746ELLU: // duv_Latn_ID
        case 0xDA8349444C61746ELLU: // duw_Latn_ID
        case 0xDE834D4C4C61746ELLU: // dux_Latn_ML
        case 0xE28350484C61746ELLU: // duy_Latn_PH
        case 0xE683434D4C61746ELLU: // duz_Latn_CM
        case 0x64764D5654686161LLU: // dv_Thaa_MV
        case 0x82A350474C61746ELLU: // dva_Latn_PG
        case 0x82C34E474C61746ELLU: // dwa_Latn_NG
        case 0xAAC3494E4F727961LLU: // dwk_Orya_IN
        case 0xC6C345544C61746ELLU: // dwr_Latn_ET
        case 0xD2C341554C61746ELLU: // dwu_Latn_AU
        case 0xDAC350474C61746ELLU: // dww_Latn_PG
        case 0xE2C341554C61746ELLU: // dwy_Latn_AU
        case 0xE6C34E5044657661LLU: // dwz_Deva_NP
        case 0x830342464C61746ELLU: // dya_Latn_BF
        case 0x870341554C61746ELLU: // dyb_Latn_AU
        case 0x8F0341554C61746ELLU: // dyd_Latn_AU
        case 0x9B0350484C61746ELLU: // dyg_Latn_PH
        case 0xA30343494C61746ELLU: // dyi_Latn_CI
        case 0xB3034D4C4C61746ELLU: // dym_Latn_ML
        case 0xB70341554C61746ELLU: // dyn_Latn_AU
        case 0xBB03534E4C61746ELLU: // dyo_Latn_SN
        case 0xC7034E474C61746ELLU: // dyr_Latn_NG
        case 0xD30342464C61746ELLU: // dyu_Latn_BF
        case 0xE30341554C61746ELLU: // dyy_Latn_AU
        case 0x647A425454696274LLU: // dz_Tibt_BT
        case 0x83234E474C61746ELLU: // dza_Latn_NG
        case 0x8F234E474C61746ELLU: // dzd_Latn_NG
        case 0x932341554C61746ELLU: // dze_Latn_AU
        case 0x9B2354444C61746ELLU: // dzg_Latn_TD
        case 0xAF23425454696274LLU: // dzl_Tibt_BT
        case 0xB72343444C61746ELLU: // dzn_Latn_CD
        case 0x800441554C61746ELLU: // eaa_Latn_AU
        case 0x882449444C61746ELLU: // ebc_Latn_ID
        case 0x98244E474C61746ELLU: // ebg_Latn_NG
        case 0xA82450484C61746ELLU: // ebk_Latn_PH
        case 0xB82443474C61746ELLU: // ebo_Latn_CG
        case 0xC42443494C61746ELLU: // ebr_Latn_CI
        case 0xD0244B454C61746ELLU: // ebu_Latn_KE
        case 0xC44447524772656BLLU: // ecr_Grek_GR
        case 0xE044435943707274LLU: // ecy_Cprt_CY
        case 0x656547484C61746ELLU: // ee_Latn_GH
        case 0x80A44E474C61746ELLU: // efa_Latn_NG
        case 0x90A443444C61746ELLU: // efe_Latn_CD
        case 0xA0A44E474C61746ELLU: // efi_Latn_NG
        case 0x80C443494C61746ELLU: // ega_Latn_CI
        case 0xACC449544C61746ELLU: // egl_Latn_IT
        case 0xB0C4545A4C61746ELLU: // egm_Latn_TZ
        case 0xB8C44E474C61746ELLU: // ego_Latn_NG
        case 0xE0C4454745677970LLU: // egy_Egyp_EG
        case 0xD0E44E474C61746ELLU: // ehu_Latn_NG
        case 0xBD0449444C61746ELLU: // eip_Latn_ID
        case 0xCD0450474C61746ELLU: // eit_Latn_PG
        case 0xD50450474C61746ELLU: // eiv_Latn_PG
        case 0x812447574C61746ELLU: // eja_Latn_GW
        case 0x81444E474C61746ELLU: // eka_Latn_NG
        case 0x91444E474C61746ELLU: // eke_Latn_NG
        case 0x994449444C61746ELLU: // ekg_Latn_ID
        case 0xA1444E474C61746ELLU: // eki_Latn_NG
        case 0xAD4442444C61746ELLU: // ekl_Latn_BD
        case 0xB144434D4C61746ELLU: // ekm_Latn_CM
        case 0xB9444D5A4C61746ELLU: // eko_Latn_MZ
        case 0xBD444E474C61746ELLU: // ekp_Latn_NG
        case 0xC5444E474C61746ELLU: // ekr_Latn_NG
        case 0xE1444D4D4B616C69LLU: // eky_Kali_MM
        case 0x656C47524772656BLLU: // el_Grek_GR
        case 0x916450474C61746ELLU: // ele_Latn_PG
        case 0xA96450474C61746ELLU: // elk_Latn_PG
        case 0xB1644E474C61746ELLU: // elm_Latn_NG
        case 0xB9644B454C61746ELLU: // elo_Latn_KE
        case 0xD16450474C61746ELLU: // elu_Latn_PG
        case 0x81844E474C61746ELLU: // ema_Latn_NG
        case 0x858449444C61746ELLU: // emb_Latn_ID
        case 0x918447464C61746ELLU: // eme_Latn_GF
        case 0x99844E5044657661LLU: // emg_Deva_NP
        case 0xA18450474C61746ELLU: // emi_Latn_PG
        case 0xB1844D584C61746ELLU: // emm_Latn_MX
        case 0xB584434D4C61746ELLU: // emn_Latn_CM
        case 0xBD8450414C61746ELLU: // emp_Latn_PA
        case 0xC98455534C61746ELLU: // ems_Latn_US
        case 0xD184494E44657661LLU: // emu_Deva_IN
        case 0xD98449444C61746ELLU: // emw_Latn_ID
        case 0xDD8446524C61746ELLU: // emx_Latn_FR
        case 0xE584434D4C61746ELLU: // emz_Latn_CM
        case 0x656E47424C61746ELLU: // en_Latn_GB
        case 0x656E55534C61746ELLU: // en_Latn_US
        case 0x656E474253686177LLU: // en_Shaw_GB
        case 0x81A450474C61746ELLU: // ena_Latn_PG
        case 0x85A44B454C61746ELLU: // enb_Latn_KE
        case 0x89A4564E4C61746ELLU: // enc_Latn_VN
        case 0x8DA449444C61746ELLU: // end_Latn_ID
        case 0x95A452554379726CLLU: // enf_Cyrl_RU
        case 0x9DA452554379726CLLU: // enh_Cyrl_RU
        case 0xADA450594C61746ELLU: // enl_Latn_PY
        case 0xB1A447424C61746ELLU: // enm_Latn_GB
        case 0xB5A44E474C61746ELLU: // enn_Latn_NG
        case 0xB9A449444C61746ELLU: // eno_Latn_ID
        case 0xC1A450474C61746ELLU: // enq_Latn_PG
        case 0xC5A449444C61746ELLU: // enr_Latn_ID
        case 0xD5A44E474C61746ELLU: // env_Latn_NG
        case 0xD9A44E474C61746ELLU: // enw_Latn_NG
        case 0xDDA450594C61746ELLU: // enx_Latn_PY
        case 0xCDC443494C61746ELLU: // eot_Latn_CI
        case 0xA1E44E474C61746ELLU: // epi_Latn_NG
        case 0x8224494E54616D6CLLU: // era_Taml_IN
        case 0x9A2456554C61746ELLU: // erg_Latn_VU
        case 0x9E244E474C61746ELLU: // erh_Latn_NG
        case 0xA22450474C61746ELLU: // eri_Latn_PG
        case 0xAA2456554C61746ELLU: // erk_Latn_VU
        case 0xC62441554C61746ELLU: // err_Latn_AU
        case 0xCA24434E4C61746ELLU: // ers_Latn_CN
        case 0xCE2449444C61746ELLU: // ert_Latn_ID
        case 0xDA2449444C61746ELLU: // erw_Latn_ID
        case 0x657345534C61746ELLU: // es_Latn_ES
        case 0x65734D584C61746ELLU: // es_Latn_MX
        case 0x657355534C61746ELLU: // es_Latn_US
        case 0x9244424F4C61746ELLU: // ese_Latn_BO
        case 0x9A44494E476F6E6DLLU: // esg_Gonm_IN
        case 0x9E44495241726162LLU: // esh_Arab_IR
        case 0xA24455534C61746ELLU: // esi_Latn_US
        case 0xB24443494C61746ELLU: // esm_Latn_CI
        case 0xCA4455534C61746ELLU: // ess_Latn_US
        case 0xD24455534C61746ELLU: // esu_Latn_US
        case 0xE24450484C61746ELLU: // esy_Latn_PH
        case 0x657445454C61746ELLU: // et_Latn_EE
        case 0x86644E474C61746ELLU: // etb_Latn_NG
        case 0xB66456554C61746ELLU: // etn_Latn_VU
        case 0xBA64434D4C61746ELLU: // eto_Latn_CM
        case 0xC66450474C61746ELLU: // etr_Latn_PG
        case 0xCA644E474C61746ELLU: // ets_Latn_NG
        case 0xCE6449544974616CLLU: // ett_Ital_IT
        case 0xD2644E474C61746ELLU: // etu_Latn_NG
        case 0xDE644E474C61746ELLU: // etx_Latn_NG
        case 0xE66449444C61746ELLU: // etz_Latn_ID
        case 0x657545534C61746ELLU: // eu_Latn_ES
        case 0x8E844D584C61746ELLU: // eud_Latn_MX
        case 0x92A452554379726CLLU: // eve_Cyrl_RU
        case 0x9EA44E474C61746ELLU: // evh_Latn_NG
        case 0xB6A452554379726CLLU: // evn_Cyrl_RU
        case 0xBAC4434D4C61746ELLU: // ewo_Latn_CM
        case 0xCEE445534C61746ELLU: // ext_Latn_ES
        case 0x830455534C61746ELLU: // eya_Latn_US
        case 0xBB044B454C61746ELLU: // eyo_Latn_KE
        case 0x83244E474C61746ELLU: // eza_Latn_NG
        case 0x93244E474C61746ELLU: // eze_Latn_NG
        case 0x6661495241726162LLU: // fa_Arab_IR
        case 0x800550474C61746ELLU: // faa_Latn_PG
        case 0x840547514C61746ELLU: // fab_Latn_GQ
        case 0x8C0550474C61746ELLU: // fad_Latn_PG
        case 0x940553424C61746ELLU: // faf_Latn_SB
        case 0x980550474C61746ELLU: // fag_Latn_PG
        case 0x9C054E474C61746ELLU: // fah_Latn_NG
        case 0xA00550474C61746ELLU: // fai_Latn_PG
        case 0xA40550474C61746ELLU: // faj_Latn_PG
        case 0xA805434D4C61746ELLU: // fak_Latn_CM
        case 0xAC05434D4C61746ELLU: // fal_Latn_CM
        case 0xB0054E474C61746ELLU: // fam_Latn_NG
        case 0xB40547514C61746ELLU: // fan_Latn_GQ
        case 0xBC05534E4C61746ELLU: // fap_Latn_SN
        case 0xC40553424C61746ELLU: // far_Latn_SB
        case 0xD00549444C61746ELLU: // fau_Latn_ID
        case 0xDC0545534C61746ELLU: // fax_Latn_ES
        case 0xE005495241726162LLU: // fay_Arab_IR
        case 0xE405495241726162LLU: // faz_Arab_IR
        case 0xAC2550484C61746ELLU: // fbl_Latn_PH
        case 0xC48553534C61746ELLU: // fer_Latn_SS
        case 0x6666474E41646C6DLLU: // ff_Adlm_GN
        case 0x6666534E4C61746ELLU: // ff_Latn_SN
        case 0xA0A550474C61746ELLU: // ffi_Latn_PG
        case 0xB0A54D4C4C61746ELLU: // ffm_Latn_ML
        case 0xC4C554444C61746ELLU: // fgr_Latn_TD
        case 0x666946494C61746ELLU: // fi_Latn_FI
        case 0x8105534441726162LLU: // fia_Arab_SD
        case 0x91054E474C61746ELLU: // fie_Latn_NG
        case 0x950553414C61746ELLU: // fif_Latn_SA
        case 0xAD0550484C61746ELLU: // fil_Latn_PH
        case 0xBD05545A4C61746ELLU: // fip_Latn_TZ
        case 0xC5054E474C61746ELLU: // fir_Latn_NG
        case 0xCD0553454C61746ELLU: // fit_Latn_SE
        case 0xD90550474C61746ELLU: // fiw_Latn_PG
        case 0x666A464A4C61746ELLU: // fj_Latn_FJ
        case 0xA9454E474C61746ELLU: // fkk_Latn_NG
        case 0xD5454E4F4C61746ELLU: // fkv_Latn_NO
        case 0x816555534C61746ELLU: // fla_Latn_US
        case 0x9D6549444C61746ELLU: // flh_Latn_ID
        case 0xA1654E474C61746ELLU: // fli_Latn_NG
        case 0xAD65434D4C61746ELLU: // fll_Latn_CM
        case 0xB56541554C61746ELLU: // fln_Latn_AU
        case 0xC56543444C61746ELLU: // flr_Latn_CD
        case 0xE1655A414C61746ELLU: // fly_Latn_ZA
        case 0xBD85434D4C61746ELLU: // fmp_Latn_CM
        case 0xD185494E44657661LLU: // fmu_Deva_IN
        case 0x85A556554C61746ELLU: // fnb_Latn_VU
        case 0x99A55A414C61746ELLU: // fng_Latn_ZA
        case 0xA1A554444C61746ELLU: // fni_Latn_TD
        case 0x666F464F4C61746ELLU: // fo_Latn_FO
        case 0x8DC5424A4C61746ELLU: // fod_Latn_BJ
        case 0xA1C550474C61746ELLU: // foi_Latn_PG
        case 0xB1C543444C61746ELLU: // fom_Latn_CD
        case 0xB5C5424A4C61746ELLU: // fon_Latn_BJ
        case 0xC5C550474C61746ELLU: // for_Latn_PG
        case 0xC9C554574C61746ELLU: // fos_Latn_TW
        case 0x91E547514C61746ELLU: // fpe_Latn_GQ
        case 0xCA0550474C61746ELLU: // fqs_Latn_PG
        case 0x667246524C61746ELLU: // fr_Latn_FR
        case 0x8A2555534C61746ELLU: // frc_Latn_US
        case 0x8E2549444C61746ELLU: // frd_Latn_ID
        case 0xAA2544454C61746ELLU: // frk_Latn_DE
        case 0xB22546524C61746ELLU: // frm_Latn_FR
        case 0xBA2546524C61746ELLU: // fro_Latn_FR
        case 0xBE2546524C61746ELLU: // frp_Latn_FR
        case 0xC22550474C61746ELLU: // frq_Latn_PG
        case 0xC62544454C61746ELLU: // frr_Latn_DE
        case 0xCA2544454C61746ELLU: // frs_Latn_DE
        case 0xCE2556554C61746ELLU: // frt_Latn_VU
        case 0x8685434D41726162LLU: // fub_Arab_CM
        case 0x8E8557464C61746ELLU: // fud_Latn_WF
        case 0x9285424A4C61746ELLU: // fue_Latn_BJ
        case 0x9685474E4C61746ELLU: // fuf_Latn_GN
        case 0x9E854E454C61746ELLU: // fuh_Latn_NE
        case 0xA28554444C61746ELLU: // fui_Latn_TD
        case 0xB2854E474C61746ELLU: // fum_Latn_NG
        case 0xB68542524C61746ELLU: // fun_Latn_BR
        case 0xC2854E454C61746ELLU: // fuq_Latn_NE
        case 0xC68549544C61746ELLU: // fur_Latn_IT
        case 0xCE8556554C61746ELLU: // fut_Latn_VU
        case 0xD28543444C61746ELLU: // fuu_Latn_CD
        case 0xD6854E474C61746ELLU: // fuv_Latn_NG
        case 0xE28550474C61746ELLU: // fuy_Latn_PG
        case 0xC6A553444C61746ELLU: // fvr_Latn_SD
        case 0x82C54E434C61746ELLU: // fwa_Latn_NC
        case 0x92C54E414C61746ELLU: // fwe_Latn_NA
        case 0x66794E4C4C61746ELLU: // fy_Latn_NL
        case 0x676149454C61746ELLU: // ga_Latn_IE
        case 0x800647484C61746ELLU: // gaa_Latn_GH
        case 0x840654444C61746ELLU: // gab_Latn_TD
        case 0x8806494E4C61746ELLU: // gac_Latn_IN
        case 0x8C0650484C61746ELLU: // gad_Latn_PH
        case 0x900656454C61746ELLU: // gae_Latn_VE
        case 0x940650474C61746ELLU: // gaf_Latn_PG
        case 0x98064D444C61746ELLU: // gag_Latn_MD
        case 0x9C0650474C61746ELLU: // gah_Latn_PG
        case 0xA00650474C61746ELLU: // gai_Latn_PG
        case 0xA40650474C61746ELLU: // gaj_Latn_PG
        case 0xA80649444C61746ELLU: // gak_Latn_ID
        case 0xAC06544C4C61746ELLU: // gal_Latn_TL
        case 0xB00650474C61746ELLU: // gam_Latn_PG
        case 0xB406434E48616E73LLU: // gan_Hans_CN
        case 0xB80650474C61746ELLU: // gao_Latn_PG
        case 0xBC0650474C61746ELLU: // gap_Latn_PG
        case 0xC006494E4F727961LLU: // gaq_Orya_IN
        case 0xC40650474C61746ELLU: // gar_Latn_PG
        case 0xC806494E47756A72LLU: // gas_Gujr_IN
        case 0xCC0650474C61746ELLU: // gat_Latn_PG
        case 0xD006494E54656C75LLU: // gau_Telu_IN
        case 0xD80650474C61746ELLU: // gaw_Latn_PG
        case 0xDC0645544C61746ELLU: // gax_Latn_ET
        case 0xE00649444C61746ELLU: // gay_Latn_ID
        case 0x802643464C61746ELLU: // gba_Latn_CF
        case 0x842641554C61746ELLU: // gbb_Latn_AU
        case 0x8C2641554C61746ELLU: // gbd_Latn_AU
        case 0x902650474C61746ELLU: // gbe_Latn_PG
        case 0x942650474C61746ELLU: // gbf_Latn_PG
        case 0x982643464C61746ELLU: // gbg_Latn_CF
        case 0x9C26424A4C61746ELLU: // gbh_Latn_BJ
        case 0xA02649444C61746ELLU: // gbi_Latn_ID
        case 0xA426494E4F727961LLU: // gbj_Orya_IN
        case 0xA826494E44657661LLU: // gbk_Deva_IN
        case 0xAC26494E47756A72LLU: // gbl_Gujr_IN
        case 0xB026494E44657661LLU: // gbm_Deva_IN
        case 0xB42653534C61746ELLU: // gbn_Latn_SS
        case 0xBC2643464C61746ELLU: // gbp_Latn_CF
        case 0xC02643464C61746ELLU: // gbq_Latn_CF
        case 0xC4264E474C61746ELLU: // gbr_Latn_NG
        case 0xC826424A4C61746ELLU: // gbs_Latn_BJ
        case 0xD02641554C61746ELLU: // gbu_Latn_AU
        case 0xD42643464C61746ELLU: // gbv_Latn_CF
        case 0xD82641554C61746ELLU: // gbw_Latn_AU
        case 0xDC26424A4C61746ELLU: // gbx_Latn_BJ
        case 0xE0264E474C61746ELLU: // gby_Latn_NG
        case 0xE426495241726162LLU: // gbz_Arab_IR
        case 0x884650474C61746ELLU: // gcc_Latn_PG
        case 0x8C4641554C61746ELLU: // gcd_Latn_AU
        case 0x944647504C61746ELLU: // gcf_Latn_GP
        case 0xAC4647444C61746ELLU: // gcl_Latn_GD
        case 0xB44650474C61746ELLU: // gcn_Latn_PG
        case 0xC44647464C61746ELLU: // gcr_Latn_GF
        case 0xCC4656454C61746ELLU: // gct_Latn_VE
        case 0x676447424C61746ELLU: // gd_Latn_GB
        case 0x8466494E4F727961LLU: // gdb_Orya_IN
        case 0x886641554C61746ELLU: // gdc_Latn_AU
        case 0x8C6650474C61746ELLU: // gdd_Latn_PG
        case 0x90664E474C61746ELLU: // gde_Latn_NG
        case 0x94664E474C61746ELLU: // gdf_Latn_NG
        case 0x986650484C61746ELLU: // gdg_Latn_PH
        case 0x9C6641554C61746ELLU: // gdh_Latn_AU
        case 0xA06643464C61746ELLU: // gdi_Latn_CF
        case 0xA46641554C61746ELLU: // gdj_Latn_AU
        case 0xA86654444C61746ELLU: // gdk_Latn_TD
        case 0xAC6645544C61746ELLU: // gdl_Latn_ET
        case 0xB06654444C61746ELLU: // gdm_Latn_TD
        case 0xB46650474C61746ELLU: // gdn_Latn_PG
        case 0xB86652554379726CLLU: // gdo_Cyrl_RU
        case 0xC06659454C61746ELLU: // gdq_Latn_YE
        case 0xC46650474C61746ELLU: // gdr_Latn_PG
        case 0xCC6641554C61746ELLU: // gdt_Latn_AU
        case 0xD0664E474C61746ELLU: // gdu_Latn_NG
        case 0xDC66494E44657661LLU: // gdx_Deva_IN
        case 0x80864E474C61746ELLU: // gea_Latn_NG
        case 0x848650474C61746ELLU: // geb_Latn_PG
        case 0x88864C524C61746ELLU: // gec_Latn_LR
        case 0x8C864E474C61746ELLU: // ged_Latn_NG
        case 0x948649444C61746ELLU: // gef_Latn_ID
        case 0x98864E474C61746ELLU: // geg_Latn_NG
        case 0x9C8643414C61746ELLU: // geh_Latn_CA
        case 0xA08649444C61746ELLU: // gei_Latn_ID
        case 0xA48654474C61746ELLU: // gej_Latn_TG
        case 0xA8864E474C61746ELLU: // gek_Latn_NG
        case 0xAC864E474C61746ELLU: // gel_Latn_NG
        case 0xC08643464C61746ELLU: // geq_Latn_CF
        case 0xC88649444C61746ELLU: // ges_Latn_ID
        case 0xD48647414C61746ELLU: // gev_Latn_GA
        case 0xD8864E474C61746ELLU: // gew_Latn_NG
        case 0xDC86534F4C61746ELLU: // gex_Latn_SO
        case 0xE08643444C61746ELLU: // gey_Latn_CD
        case 0xE486455445746869LLU: // gez_Ethi_ET
        case 0xA8A650474C61746ELLU: // gfk_Latn_PG
        case 0x80C653424C61746ELLU: // gga_Latn_SB
        case 0x84C64C524C61746ELLU: // ggb_Latn_LR
        case 0x8CC641554C61746ELLU: // ggd_Latn_AU
        case 0x90C641554C61746ELLU: // gge_Latn_AU
        case 0x98C6504B41726162LLU: // ggg_Arab_PK
        case 0xA8C641554C61746ELLU: // ggk_Latn_AU
        case 0xACC650474C61746ELLU: // ggl_Latn_PG
        case 0xCCC650474C61746ELLU: // ggt_Latn_PG
        case 0xD0C643494C61746ELLU: // ggu_Latn_CI
        case 0xD8C650474C61746ELLU: // ggw_Latn_PG
        case 0x80E64C5941726162LLU: // gha_Arab_LY
        case 0x88E647424C61746ELLU: // ghc_Latn_GB
        case 0x90E64E5044657661LLU: // ghe_Deva_NP
        case 0xA8E64D4D4C61746ELLU: // ghk_Latn_MM
        case 0xB4E653424C61746ELLU: // ghn_Latn_SB
        case 0xB8E64D4154666E67LLU: // gho_Tfng_MA
        case 0xC4E6504B41726162LLU: // ghr_Arab_PK
        case 0xC8E650474C61746ELLU: // ghs_Latn_PG
        case 0xCCE64E5054696274LLU: // ght_Tibt_NP
        case 0x810641554C61746ELLU: // gia_Latn_AU
        case 0x85064E474C61746ELLU: // gib_Latn_NG
        case 0x89065A414C61746ELLU: // gic_Latn_ZA
        case 0x8D06434D4C61746ELLU: // gid_Latn_CM
        case 0x910643494C61746ELLU: // gie_Latn_CI
        case 0x9906504B41726162LLU: // gig_Arab_PK
        case 0x9D0641554C61746ELLU: // gih_Latn_AU
        case 0xAD064B494C61746ELLU: // gil_Latn_KI
        case 0xB10650474C61746ELLU: // gim_Latn_PG
        case 0xB50652554379726CLLU: // gin_Cyrl_RU
        case 0xBD0650474C61746ELLU: // gip_Latn_PG
        case 0xC106564E4C61746ELLU: // giq_Latn_VN
        case 0xC506564E4C61746ELLU: // gir_Latn_VN
        case 0xC906434D4C61746ELLU: // gis_Latn_CM
        case 0xCD0643414C61746ELLU: // git_Latn_CA
        case 0xDD0643444C61746ELLU: // gix_Latn_CD
        case 0xE10641554C61746ELLU: // giy_Latn_AU
        case 0xE506434D4C61746ELLU: // giz_Latn_CM
        case 0xA926504B41726162LLU: // gjk_Arab_PK
        case 0xB12641554C61746ELLU: // gjm_Latn_AU
        case 0xB52647484C61746ELLU: // gjn_Latn_GH
        case 0xC52641554C61746ELLU: // gjr_Latn_AU
        case 0xD126504B41726162LLU: // gju_Arab_PK
        case 0x814650474C61746ELLU: // gka_Latn_PG
        case 0x8D4650474C61746ELLU: // gkd_Latn_PG
        case 0x9146434D4C61746ELLU: // gke_Latn_CM
        case 0xB5464E474C61746ELLU: // gkn_Latn_NG
        case 0xB94641554C61746ELLU: // gko_Latn_AU
        case 0xBD46474E4C61746ELLU: // gkp_Latn_GN
        case 0xD1465A414C61746ELLU: // gku_Latn_ZA
        case 0x676C45534C61746ELLU: // gl_Latn_ES
        case 0x85664E474C61746ELLU: // glb_Latn_NG
        case 0x896654444C61746ELLU: // glc_Latn_TD
        case 0x8D6652554379726CLLU: // gld_Cyrl_RU
        case 0x9D66414641726162LLU: // glh_Arab_AF
        case 0xA56654444C61746ELLU: // glj_Latn_TD
        case 0xA966495241726162LLU: // glk_Arab_IR
        case 0xAD6641554C61746ELLU: // gll_Latn_AU
        case 0xB9664E474C61746ELLU: // glo_Latn_NG
        case 0xC5664C524C61746ELLU: // glr_Latn_LR
        case 0xD16654444C61746ELLU: // glu_Latn_TD
        case 0xD9664E474C61746ELLU: // glw_Latn_NG
        case 0x818641554C61746ELLU: // gma_Latn_AU
        case 0x858653424C61746ELLU: // gmb_Latn_SB
        case 0x8D864E474C61746ELLU: // gmd_Latn_NG
        case 0x998650474C61746ELLU: // gmg_Latn_PG
        case 0x9D8644454C61746ELLU: // gmh_Latn_DE
        case 0xAD8644454C617466LLU: // gml_Latf_DE
        case 0xB186434D4C61746ELLU: // gmm_Latn_CM
        case 0xB586434D4C61746ELLU: // gmn_Latn_CM
        case 0xC58641554C61746ELLU: // gmr_Latn_AU
        case 0xD18650474C61746ELLU: // gmu_Latn_PG
        case 0xD586455445746869LLU: // gmv_Ethi_ET
        case 0xDD86545A4C61746ELLU: // gmx_Latn_TZ
        case 0xE18647524C696E62LLU: // gmy_Linb_GR
        case 0xE5864E474C61746ELLU: // gmz_Latn_NG
        case 0x676E50594C61746ELLU: // gn_Latn_PY
        case 0x81A642464C61746ELLU: // gna_Latn_BF
        case 0x85A6494E4C61746ELLU: // gnb_Latn_IN
        case 0x89A645534C61746ELLU: // gnc_Latn_ES
        case 0x8DA6434D4C61746ELLU: // gnd_Latn_CM
        case 0x91A64E474C61746ELLU: // gne_Latn_NG
        case 0x99A654474C61746ELLU: // gng_Latn_TG
        case 0x9DA64E474C61746ELLU: // gnh_Latn_NG
        case 0xA1A641554C61746ELLU: // gni_Latn_AU
        case 0xA5A643494C61746ELLU: // gnj_Latn_CI
        case 0xA9A642574C61746ELLU: // gnk_Latn_BW
        case 0xADA641554C61746ELLU: // gnl_Latn_AU
        case 0xB1A650474C61746ELLU: // gnm_Latn_PG
        case 0xB5A641554C61746ELLU: // gnn_Latn_AU
        case 0xC1A64D594C61746ELLU: // gnq_Latn_MY
        case 0xC5A641554C61746ELLU: // gnr_Latn_AU
        case 0xCDA650474C61746ELLU: // gnt_Latn_PG
        case 0xD1A650474C61746ELLU: // gnu_Latn_PG
        case 0xD9A6424F4C61746ELLU: // gnw_Latn_BO
        case 0xE5A643464C61746ELLU: // gnz_Latn_CF
        case 0x81C643494C61746ELLU: // goa_Latn_CI
        case 0x85C6434F4C61746ELLU: // gob_Latn_CO
        case 0x89C650474C61746ELLU: // goc_Latn_PG
        case 0x8DC643494C61746ELLU: // god_Latn_CI
        case 0x91C6425454696274LLU: // goe_Tibt_BT
        case 0x95C6455445746869LLU: // gof_Ethi_ET
        case 0x99C6545A4C61746ELLU: // gog_Latn_TZ
        case 0x9DC644454C61746ELLU: // goh_Latn_DE
        case 0xA1C650474C61746ELLU: // goi_Latn_PG
        case 0xA5C6494E44657661LLU: // goj_Deva_IN
        case 0xA9C6494E44657661LLU: // gok_Deva_IN
        case 0xADC64C524C61746ELLU: // gol_Latn_LR
        case 0xB5C6494E44657661LLU: // gon_Deva_IN
        case 0xB9C6464A4C61746ELLU: // goo_Latn_FJ
        case 0xBDC649444C61746ELLU: // gop_Latn_ID
        case 0xC1C649444C61746ELLU: // goq_Latn_ID
        case 0xC5C649444C61746ELLU: // gor_Latn_ID
        case 0xC9C64E4C4C61746ELLU: // gos_Latn_NL
        case 0xCDC65541476F7468LLU: // got_Goth_UA
        case 0xD1C6434D4C61746ELLU: // gou_Latn_CM
        case 0xD5C643494C61746ELLU: // gov_Latn_CI
        case 0xD9C6545A4C61746ELLU: // gow_Latn_TZ
        case 0xDDC643444C61746ELLU: // gox_Latn_CD
        case 0xE1C654444C61746ELLU: // goy_Latn_TD
        case 0x81E64E474C61746ELLU: // gpa_Latn_NG
        case 0x91E647484C61746ELLU: // gpe_Latn_GH
        case 0xB5E650474C61746ELLU: // gpn_Latn_PG
        case 0x82064E474C61746ELLU: // gqa_Latn_NG
        case 0xB60642524C61746ELLU: // gqn_Latn_BR
        case 0xC60654444C61746ELLU: // gqr_Latn_TD
        case 0x8226494E44657661LLU: // gra_Deva_IN
        case 0x86264C524C61746ELLU: // grb_Latn_LR
        case 0x8A26435943707274LLU: // grc_Cprt_CY
        case 0x8A2647524C696E62LLU: // grc_Linb_GR
        case 0x8E264E474C61746ELLU: // grd_Latn_NG
        case 0x9A2650474C61746ELLU: // grg_Latn_PG
        case 0x9E264E474C61746ELLU: // grh_Latn_NG
        case 0xA22653424C61746ELLU: // gri_Latn_SB
        case 0xA6264C524C61746ELLU: // grj_Latn_LR
        case 0xB2264D594C61746ELLU: // grm_Latn_MY
        case 0xC22650474C61746ELLU: // grq_Latn_PG
        case 0xCA2649444C61746ELLU: // grs_Latn_ID
        case 0xCE26494E42656E67LLU: // grt_Beng_IN
        case 0xD226455445746869LLU: // gru_Ethi_ET
        case 0xD6264C524C61746ELLU: // grv_Latn_LR
        case 0xDA2650474C61746ELLU: // grw_Latn_PG
        case 0xDE2650474C61746ELLU: // grx_Latn_PG
        case 0xE2264C524C61746ELLU: // gry_Latn_LR
        case 0xE62650474C61746ELLU: // grz_Latn_PG
        case 0xAE46534E4C61746ELLU: // gsl_Latn_SN
        case 0xB64650474C61746ELLU: // gsn_Latn_PG
        case 0xBA4643464C61746ELLU: // gso_Latn_CF
        case 0xBE4650474C61746ELLU: // gsp_Latn_PG
        case 0xDA4643484C61746ELLU: // gsw_Latn_CH
        case 0x826642524C61746ELLU: // gta_Latn_BR
        case 0xD26641554C61746ELLU: // gtu_Latn_AU
        case 0x6775494E47756A72LLU: // gu_Gujr_IN
        case 0x82864E474C61746ELLU: // gua_Latn_NG
        case 0x868642524C61746ELLU: // gub_Latn_BR
        case 0x8A86434F4C61746ELLU: // guc_Latn_CO
        case 0x8E8643494C61746ELLU: // gud_Latn_CI
        case 0x928641554C61746ELLU: // gue_Latn_AU
        case 0x968641554C61746ELLU: // guf_Latn_AU
        case 0x9E86434F4C61746ELLU: // guh_Latn_CO
        case 0xA286424F4C61746ELLU: // gui_Latn_BO
        case 0xAA8645544C61746ELLU: // guk_Latn_ET
        case 0xAE8655534C61746ELLU: // gul_Latn_US
        case 0xB286434F4C61746ELLU: // gum_Latn_CO
        case 0xB68642524C61746ELLU: // gun_Latn_BR
        case 0xBA86434F4C61746ELLU: // guo_Latn_CO
        case 0xBE8641554C61746ELLU: // gup_Latn_AU
        case 0xC28650594C61746ELLU: // guq_Latn_PY
        case 0xC68647484C61746ELLU: // gur_Latn_GH
        case 0xCE8643524C61746ELLU: // gut_Latn_CR
        case 0xD28656454C61746ELLU: // guu_Latn_VE
        case 0xDA86424A4C61746ELLU: // guw_Latn_BJ
        case 0xDE8642464C61746ELLU: // gux_Latn_BF
        case 0xE6864B454C61746ELLU: // guz_Latn_KE
        case 0x6776494D4C61746ELLU: // gv_Latn_IM
        case 0x82A650594C61746ELLU: // gva_Latn_PY
        case 0x8AA642524C61746ELLU: // gvc_Latn_BR
        case 0x92A650474C61746ELLU: // gve_Latn_PG
        case 0x96A650474C61746ELLU: // gvf_Latn_PG
        case 0xA6A642524C61746ELLU: // gvj_Latn_BR
        case 0xAEA654444C61746ELLU: // gvl_Latn_TD
        case 0xB2A64E474C61746ELLU: // gvm_Latn_NG
        case 0xB6A641554C61746ELLU: // gvn_Latn_AU
        case 0xBAA642524C61746ELLU: // gvo_Latn_BR
        case 0xBEA642524C61746ELLU: // gvp_Latn_BR
        case 0xC6A64E5044657661LLU: // gvr_Deva_NP
        case 0xCAA650474C61746ELLU: // gvs_Latn_PG
        case 0xE2A641554C61746ELLU: // gvy_Latn_AU
        case 0x82C643494C61746ELLU: // gwa_Latn_CI
        case 0x86C64E474C61746ELLU: // gwb_Latn_NG
        case 0x8AC6504B41726162LLU: // gwc_Arab_PK
        case 0x8EC645544C61746ELLU: // gwd_Latn_ET
        case 0x92C6545A4C61746ELLU: // gwe_Latn_TZ
        case 0x96C6504B41726162LLU: // gwf_Arab_PK
        case 0x9AC64E474C61746ELLU: // gwg_Latn_NG
        case 0xA2C643414C61746ELLU: // gwi_Latn_CA
        case 0xA6C642574C61746ELLU: // gwj_Latn_BW
        case 0xB2C641554C61746ELLU: // gwm_Latn_AU
        case 0xB6C64E474C61746ELLU: // gwn_Latn_NG
        case 0xC6C655474C61746ELLU: // gwr_Latn_UG
        case 0xCEC6414641726162LLU: // gwt_Arab_AF
        case 0xD2C641554C61746ELLU: // gwu_Latn_AU
        case 0xDAC641554C61746ELLU: // gww_Latn_AU
        case 0xDEC647484C61746ELLU: // gwx_Latn_GH
        case 0xDEE643494C61746ELLU: // gxx_Latn_CI
        case 0x870650474C61746ELLU: // gyb_Latn_PG
        case 0x8F0641554C61746ELLU: // gyd_Latn_AU
        case 0x93064E474C61746ELLU: // gye_Latn_NG
        case 0x970641554C61746ELLU: // gyf_Latn_AU
        case 0x9B0643464C61746ELLU: // gyg_Latn_CF
        case 0xA306434D4C61746ELLU: // gyi_Latn_CM
        case 0xAF0645544C61746ELLU: // gyl_Latn_ET
        case 0xB30650414C61746ELLU: // gym_Latn_PA
        case 0xB70647594C61746ELLU: // gyn_Latn_GY
        case 0xBB064E5044657661LLU: // gyo_Deva_NP
        case 0xC706424F4C61746ELLU: // gyr_Latn_BO
        case 0xE30641554C61746ELLU: // gyy_Latn_AU
        case 0xE7064E474C61746ELLU: // gyz_Latn_NG
        case 0x832653444C61746ELLU: // gza_Latn_SD
        case 0xA326495241726162LLU: // gzi_Arab_IR
        case 0xB72649444C61746ELLU: // gzn_Latn_ID
        case 0x68614E474C61746ELLU: // ha_Latn_NG
        case 0x800755534C61746ELLU: // haa_Latn_US
        case 0x8807495241726162LLU: // hac_Arab_IR
        case 0x8C0749444C61746ELLU: // had_Latn_ID
        case 0x900745544C61746ELLU: // hae_Latn_ET
        case 0x980747484C61746ELLU: // hag_Latn_GH
        case 0x9C0750474C61746ELLU: // hah_Latn_PG
        case 0xA00743414C61746ELLU: // hai_Latn_CA
        case 0xA407494E4C61746ELLU: // haj_Latn_IN
        case 0xA807434E48616E73LLU: // hak_Hans_CN
        case 0xAC07564E4C61746ELLU: // hal_Latn_VN
        case 0xB00750474C61746ELLU: // ham_Latn_PG
        case 0xB407545A4C61746ELLU: // han_Latn_TZ
        case 0xB80750474C61746ELLU: // hao_Latn_PG
        case 0xBC0749444C61746ELLU: // hap_Latn_ID
        case 0xC007545A4C61746ELLU: // haq_Latn_TZ
        case 0xC407455445746869LLU: // har_Ethi_ET
        case 0xC80743414C61746ELLU: // has_Latn_CA
        case 0xD40743444C61746ELLU: // hav_Latn_CD
        case 0xD80755534C61746ELLU: // haw_Latn_US
        case 0xDC0743414C61746ELLU: // hax_Latn_CA
        case 0xE007545A4C61746ELLU: // hay_Latn_TZ
        case 0xE407414641726162LLU: // haz_Arab_AF
        case 0x802743444C61746ELLU: // hba_Latn_CD
        case 0x84274E474C61746ELLU: // hbb_Latn_NG
        case 0xB42753444C61746ELLU: // hbn_Latn_SD
        case 0xB827494C48656272LLU: // hbo_Hebr_IL
        case 0xD027544C4C61746ELLU: // hbu_Latn_TL
        case 0x9C474D584C61746ELLU: // hch_Latn_MX
        case 0xE067455445746869LLU: // hdy_Ethi_ET
        case 0x6865494C48656272LLU: // he_Hebr_IL
        case 0x8C8754444C61746ELLU: // hed_Latn_TD
        case 0x988749444C61746ELLU: // heg_Latn_ID
        case 0x9C87545A4C61746ELLU: // heh_Latn_TZ
        case 0xA08743414C61746ELLU: // hei_Latn_CA
        case 0xB08743444C61746ELLU: // hem_Latn_CD
        case 0xB0C74E414C61746ELLU: // hgm_Latn_NA
        case 0xD8C750474C61746ELLU: // hgw_Latn_PG
        case 0xA0E750474C61746ELLU: // hhi_Latn_PG
        case 0xC4E7534E4C61746ELLU: // hhr_Latn_SN
        case 0xE0E750474C61746ELLU: // hhy_Latn_PG
        case 0x6869494E44657661LLU: // hi_Deva_IN
        case 0x81074E474C61746ELLU: // hia_Latn_NG
        case 0x850750454C61746ELLU: // hib_Latn_PE
        case 0x8D0755534C61746ELLU: // hid_Latn_US
        case 0x9507464A44657661LLU: // hif_Deva_FJ
        case 0x99074E474C61746ELLU: // hig_Latn_NG
        case 0x9D0750474C61746ELLU: // hih_Latn_PG
        case 0xA107494E54616B72LLU: // hii_Takr_IN
        case 0xA507434D4C61746ELLU: // hij_Latn_CM
        case 0xA90749444C61746ELLU: // hik_Latn_ID
        case 0xAD0750484C61746ELLU: // hil_Latn_PH
        case 0xB90742574C61746ELLU: // hio_Latn_BW
        case 0xC50742524C61746ELLU: // hir_Latn_BR
        case 0xCD07545258737578LLU: // hit_Xsux_TR
        case 0xD90756554C61746ELLU: // hiw_Latn_VU
        case 0xDD0742524C61746ELLU: // hix_Latn_BR
        case 0xA12749444C61746ELLU: // hji_Latn_ID
        case 0x8147545A4C61746ELLU: // hka_Latn_TZ
        case 0x914743444C61746ELLU: // hke_Latn_CD
        case 0x9D47494E41726162LLU: // hkh_Arab_IN
        case 0xA94750474C61746ELLU: // hkk_Latn_PG
        case 0x816750474C61746ELLU: // hla_Latn_PG
        case 0x8567494E44657661LLU: // hlb_Deva_IN
        case 0x8D67564E4C61746ELLU: // hld_Latn_VN
        case 0xCD674D4D4C61746ELLU: // hlt_Latn_MM
        case 0xD1675452486C7577LLU: // hlu_Hluw_TR
        case 0x8187434E4C61746ELLU: // hma_Latn_CN
        case 0x85874D4C4C61746ELLU: // hmb_Latn_ML
        case 0x8D87434E506C7264LLU: // hmd_Plrd_CN
        case 0x9587564E4C61746ELLU: // hmf_Latn_VN
        case 0xA587434E426F706FLLU: // hmj_Bopo_CN
        case 0xB187434E4C61746ELLU: // hmm_Latn_CN
        case 0xB587434E4C61746ELLU: // hmn_Latn_CN
        case 0xBD87434E4C61746ELLU: // hmp_Latn_CN
        case 0xC187434E426F706FLLU: // hmq_Bopo_CN
        case 0xC587494E4C61746ELLU: // hmr_Latn_IN
        case 0xC987434E4C61746ELLU: // hms_Latn_CN
        case 0xCD8750474C61746ELLU: // hmt_Latn_PG
        case 0xD18749444C61746ELLU: // hmu_Latn_ID
        case 0xD587564E4C61746ELLU: // hmv_Latn_VN
        case 0xD987434E4C61746ELLU: // hmw_Latn_CN
        case 0xE187434E4C61746ELLU: // hmy_Latn_CN
        case 0xE587434E4C61746ELLU: // hmz_Latn_CN
        case 0x81A7434D4C61746ELLU: // hna_Latn_CM
        case 0x8DA7504B41726162LLU: // hnd_Arab_PK
        case 0x91A7494E44657661LLU: // hne_Deva_IN
        case 0x99A7414F4C61746ELLU: // hng_Latn_AO
        case 0x9DA742574C61746ELLU: // hnh_Latn_BW
        case 0xA1A7434E4C61746ELLU: // hni_Latn_CN
        case 0xA5A74C41486D6E67LLU: // hnj_Hmng_LA
        case 0xA5A75553486D6E70LLU: // hnj_Hmnp_US
        case 0xB5A750484C61746ELLU: // hnn_Latn_PH
        case 0xB9A7504B41726162LLU: // hno_Arab_PK
        case 0xC9A753524C61746ELLU: // hns_Latn_SR
        case 0x686F50474C61746ELLU: // ho_Latn_PG
        case 0x81C753424C61746ELLU: // hoa_Latn_SB
        case 0x85C750474C61746ELLU: // hob_Latn_PG
        case 0x89C7494E44657661LLU: // hoc_Deva_IN
        case 0x8DC74E474C61746ELLU: // hod_Latn_NG
        case 0x91C74E474C61746ELLU: // hoe_Latn_NG
        case 0x9DC74F4D41726162LLU: // hoh_Arab_OM
        case 0xA1C755534C61746ELLU: // hoi_Latn_US
        case 0xA5C7494E44657661LLU: // hoj_Deva_IN
        case 0xADC7414F4C61746ELLU: // hol_Latn_AO
        case 0xB1C753534C61746ELLU: // hom_Latn_SS
        case 0xB9C743444C61746ELLU: // hoo_Latn_CD
        case 0xBDC755534C61746ELLU: // hop_Latn_US
        case 0xC5C754444C61746ELLU: // hor_Latn_TD
        case 0xCDC750474C61746ELLU: // hot_Latn_PG
        case 0xD5C749444C61746ELLU: // hov_Latn_ID
        case 0xD9C7434E48616E69LLU: // how_Hani_CN
        case 0xE1C7494E44657661LLU: // hoy_Deva_IN
        case 0xB9E74D4D4D796D72LLU: // hpo_Mymr_MM
        case 0x687248524C61746ELLU: // hr_Latn_HR
        case 0x8227494E4C61746ELLU: // hra_Latn_IN
        case 0x8A2750474C61746ELLU: // hrc_Latn_PG
        case 0x9227564E4C61746ELLU: // hre_Latn_VN
        case 0xAA2749444C61746ELLU: // hrk_Latn_ID
        case 0xB227434E4C61746ELLU: // hrm_Latn_CN
        case 0xBA27564E4C61746ELLU: // hro_Latn_VN
        case 0xBE2741554C61746ELLU: // hrp_Latn_AU
        case 0xCE27545253797263LLU: // hrt_Syrc_TR
        case 0xD227494E4C61746ELLU: // hru_Latn_IN
        case 0xDA2750474C61746ELLU: // hrw_Latn_PG
        case 0xDE2742524C61746ELLU: // hrx_Latn_BR
        case 0xE627495241726162LLU: // hrz_Arab_IR
        case 0x864744454C61746ELLU: // hsb_Latn_DE
        case 0xB647434E48616E73LLU: // hsn_Hans_CN
        case 0xCA474F4D41726162LLU: // hss_Arab_OM
        case 0x687448544C61746ELLU: // ht_Latn_HT
        case 0xA26749444C61746ELLU: // hti_Latn_ID
        case 0xBA67434F4C61746ELLU: // hto_Latn_CO
        case 0xCA67545A4C61746ELLU: // hts_Latn_TZ
        case 0xD26749444C61746ELLU: // htu_Latn_ID
        case 0xDE67545258737578LLU: // htx_Xsux_TR
        case 0x687548554C61746ELLU: // hu_Latn_HU
        case 0x868750454C61746ELLU: // hub_Latn_PE
        case 0x8A8742574C61746ELLU: // huc_Latn_BW
        case 0x8E8749444C61746ELLU: // hud_Latn_ID
        case 0x92874D584C61746ELLU: // hue_Latn_MX
        case 0x968750474C61746ELLU: // huf_Latn_PG
        case 0x9A8750454C61746ELLU: // hug_Latn_PE
        case 0x9E87434C4C61746ELLU: // huh_Latn_CL
        case 0xA28750474C61746ELLU: // hui_Latn_PG
        case 0xAA8749444C61746ELLU: // huk_Latn_ID
        case 0xAE8750474C61746ELLU: // hul_Latn_PG
        case 0xB28743444C61746ELLU: // hum_Latn_CD
        case 0xBE8755534C61746ELLU: // hup_Latn_US
        case 0xC68743414C61746ELLU: // hur_Latn_CA
        case 0xCA874D584C61746ELLU: // hus_Latn_MX
        case 0xCE874E5044657661LLU: // hut_Deva_NP
        case 0xD28750454C61746ELLU: // huu_Latn_PE
        case 0xD6874D584C61746ELLU: // huv_Latn_MX
        case 0xDA8749444C61746ELLU: // huw_Latn_ID
        case 0xDE8750454C61746ELLU: // hux_Latn_PE
        case 0xE287494C48656272LLU: // huy_Hebr_IL
        case 0xE68752554379726CLLU: // huz_Cyrl_RU
        case 0x8AA748544C61746ELLU: // hvc_Latn_HT
        case 0x92A74D584C61746ELLU: // hve_Latn_MX
        case 0xAAA74E434C61746ELLU: // hvk_Latn_NC
        case 0xB6A749444C61746ELLU: // hvn_Latn_ID
        case 0xD6A74D584C61746ELLU: // hvv_Latn_MX
        case 0x82C743494C61746ELLU: // hwa_Latn_CI
        case 0x8AC755534C61746ELLU: // hwc_Latn_US
        case 0xBAC74E474C61746ELLU: // hwo_Latn_NG
        case 0x6879414D41726D6ELLU: // hy_Armn_AM
        case 0x8307434D4C61746ELLU: // hya_Latn_CM
        case 0xDB07414D41726D6ELLU: // hyw_Armn_AM
        case 0x687A4E414C61746ELLU: // hz_Latn_NA
        case 0xA0084E434C61746ELLU: // iai_Latn_NC
        case 0xB40850474C61746ELLU: // ian_Latn_PG
        case 0xC40850474C61746ELLU: // iar_Latn_PG
        case 0x80284D594C61746ELLU: // iba_Latn_MY
        case 0x84284E474C61746ELLU: // ibb_Latn_NG
        case 0x8C2841554C61746ELLU: // ibd_Latn_AU
        case 0x90284E474C61746ELLU: // ibe_Latn_NG
        case 0x982850484C61746ELLU: // ibg_Latn_PH
        case 0x9C28564E4C61746ELLU: // ibh_Latn_VN
        case 0xAC2850484C61746ELLU: // ibl_Latn_PH
        case 0xB0284E474C61746ELLU: // ibm_Latn_NG
        case 0xB4284E474C61746ELLU: // ibn_Latn_NG
        case 0xC4284E474C61746ELLU: // ibr_Latn_NG
        case 0xD02849444C61746ELLU: // ibu_Latn_ID
        case 0xE0284E474C61746ELLU: // iby_Latn_NG
        case 0x8048424A4C61746ELLU: // ica_Latn_BJ
        case 0x9C484E474C61746ELLU: // ich_Latn_NG
        case 0xC448434F4C61746ELLU: // icr_Latn_CO
        case 0x696449444C61746ELLU: // id_Latn_ID
        case 0x80684B454C61746ELLU: // ida_Latn_KE
        case 0x8468494E4C61746ELLU: // idb_Latn_IN
        case 0x88684E474C61746ELLU: // idc_Latn_NG
        case 0x8C68424A4C61746ELLU: // idd_Latn_BJ
        case 0x90684E474C61746ELLU: // ide_Latn_NG
        case 0xA06850474C61746ELLU: // idi_Latn_PG
        case 0xC46853534C61746ELLU: // idr_Latn_SS
        case 0xC8684E474C61746ELLU: // ids_Latn_NG
        case 0xCC68544C4C61746ELLU: // idt_Latn_TL
        case 0xD0684E474C61746ELLU: // idu_Latn_NG
        case 0x696545454C61746ELLU: // ie_Latn_EE
        case 0x80A850484C61746ELLU: // ifa_Latn_PH
        case 0x84A850484C61746ELLU: // ifb_Latn_PH
        case 0x90A854474C61746ELLU: // ife_Latn_TG
        case 0x94A856554C61746ELLU: // iff_Latn_VU
        case 0xA8A850484C61746ELLU: // ifk_Latn_PH
        case 0xB0A843474C61746ELLU: // ifm_Latn_CG
        case 0xD0A850484C61746ELLU: // ifu_Latn_PH
        case 0xE0A850484C61746ELLU: // ify_Latn_PH
        case 0x69674E474C61746ELLU: // ig_Latn_NG
        case 0x84C84E474C61746ELLU: // igb_Latn_NG
        case 0x90C84E474C61746ELLU: // ige_Latn_NG
        case 0x98C850474C61746ELLU: // igg_Latn_PG
        case 0xACC84E474C61746ELLU: // igl_Latn_NG
        case 0xB0C850474C61746ELLU: // igm_Latn_PG
        case 0xB4C8424F4C61746ELLU: // ign_Latn_BO
        case 0xB8C850474C61746ELLU: // igo_Latn_PG
        case 0xD8C84E474C61746ELLU: // igw_Latn_NG
        case 0x84E849444C61746ELLU: // ihb_Latn_ID
        case 0xA0E84E474C61746ELLU: // ihi_Latn_NG
        case 0xBCE849444C61746ELLU: // ihp_Latn_ID
        case 0xD8E841554C61746ELLU: // ihw_Latn_AU
        case 0x6969434E59696969LLU: // ii_Yiii_CN
        case 0xB50841554C61746ELLU: // iin_Latn_AU
        case 0x89284E474C61746ELLU: // ijc_Latn_NG
        case 0x91284E474C61746ELLU: // ije_Latn_NG
        case 0xA528424A4C61746ELLU: // ijj_Latn_BJ
        case 0xB5284E474C61746ELLU: // ijn_Latn_NG
        case 0xC9284E474C61746ELLU: // ijs_Latn_NG
        case 0x696B55534C61746ELLU: // ik_Latn_US
        case 0x9D484E474C61746ELLU: // ikh_Latn_NG
        case 0xA1484E474C61746ELLU: // iki_Latn_NG
        case 0xA9484E474C61746ELLU: // ikk_Latn_NG
        case 0xAD484E474C61746ELLU: // ikl_Latn_NG
        case 0xB9484E474C61746ELLU: // iko_Latn_NG
        case 0xBD484E474C61746ELLU: // ikp_Latn_NG
        case 0xC54841554C61746ELLU: // ikr_Latn_AU
        case 0xCD4843414C61746ELLU: // ikt_Latn_CA
        case 0xD5484E474C61746ELLU: // ikv_Latn_NG
        case 0xD9484E474C61746ELLU: // ikw_Latn_NG
        case 0xDD4855474C61746ELLU: // ikx_Latn_UG
        case 0xE548545A4C61746ELLU: // ikz_Latn_TZ
        case 0x816849444C61746ELLU: // ila_Latn_ID
        case 0x85685A4D4C61746ELLU: // ilb_Latn_ZM
        case 0x996841554C61746ELLU: // ilg_Latn_AU
        case 0xA168434E4C61746ELLU: // ili_Latn_CN
        case 0xA96850484C61746ELLU: // ilk_Latn_PH
        case 0xB1684D594C61746ELLU: // ilm_Latn_MY
        case 0xB96850484C61746ELLU: // ilo_Latn_PH
        case 0xBD6850484C61746ELLU: // ilp_Latn_PH
        case 0xD16849444C61746ELLU: // ilu_Latn_ID
        case 0xD5684E474C61746ELLU: // ilv_Latn_NG
        case 0xA18850474C61746ELLU: // imi_Latn_PG
        case 0xAD8855534C61746ELLU: // iml_Latn_US
        case 0xB58850474C61746ELLU: // imn_Latn_PG
        case 0xB98850474C61746ELLU: // imo_Latn_PG
        case 0xC58849444C61746ELLU: // imr_Latn_ID
        case 0xC98849544C61746ELLU: // ims_Latn_IT
        case 0xCD8853534C61746ELLU: // imt_Latn_SS
        case 0xE18854524C796369LLU: // imy_Lyci_TR
        case 0x696E49444C61746ELLU: // in_Latn_ID
        case 0x85A8434F4C61746ELLU: // inb_Latn_CO
        case 0x99A855534C61746ELLU: // ing_Latn_US
        case 0x9DA852554379726CLLU: // inh_Cyrl_RU
        case 0xA5A8434F4C61746ELLU: // inj_Latn_CO
        case 0xB5A850484C61746ELLU: // inn_Latn_PH
        case 0xB9A850474C61746ELLU: // ino_Latn_PG
        case 0xBDA850454C61746ELLU: // inp_Latn_PE
        case 0xCDA84D4D4D796D72LLU: // int_Mymr_MM
        case 0xC5C8455445746869LLU: // ior_Ethi_ET
        case 0xD1C850474C61746ELLU: // iou_Latn_PG
        case 0xD9C855534C61746ELLU: // iow_Latn_US
        case 0xA1E850474C61746ELLU: // ipi_Latn_PG
        case 0xB9E850474C61746ELLU: // ipo_Latn_PG
        case 0xD20850454C61746ELLU: // iqu_Latn_PE
        case 0xDA084E474C61746ELLU: // iqw_Latn_NG
        case 0x922849444C61746ELLU: // ire_Latn_ID
        case 0x9E2849444C61746ELLU: // irh_Latn_ID
        case 0xA2284E474C61746ELLU: // iri_Latn_NG
        case 0xAA28545A4C61746ELLU: // irk_Latn_TZ
        case 0xB62842524C61746ELLU: // irn_Latn_BR
        case 0xD228494E54616D6CLLU: // iru_Taml_IN
        case 0xDE2849444C61746ELLU: // irx_Latn_ID
        case 0xE22850484C61746ELLU: // iry_Latn_PH
        case 0x697349534C61746ELLU: // is_Latn_IS
        case 0x824850474C61746ELLU: // isa_Latn_PG
        case 0x8A4850454C61746ELLU: // isc_Latn_PE
        case 0x8E4850484C61746ELLU: // isd_Latn_PH
        case 0x9E484E474C61746ELLU: // ish_Latn_NG
        case 0xA2484E474C61746ELLU: // isi_Latn_NG
        case 0xAA48414641726162LLU: // isk_Arab_AF
        case 0xB24849444C61746ELLU: // ism_Latn_ID
        case 0xB648545A4C61746ELLU: // isn_Latn_TZ
        case 0xBA484E474C61746ELLU: // iso_Latn_NG
        case 0xCE4848524C61746ELLU: // ist_Latn_HR
        case 0xD248434D4C61746ELLU: // isu_Latn_CM
        case 0x697449544C61746ELLU: // it_Latn_IT
        case 0x866850484C61746ELLU: // itb_Latn_PH
        case 0x8E6849444C61746ELLU: // itd_Latn_ID
        case 0x9268424F4C61746ELLU: // ite_Latn_BO
        case 0xA26850484C61746ELLU: // iti_Latn_PH
        case 0xAA68495448656272LLU: // itk_Hebr_IT
        case 0xAE6852554379726CLLU: // itl_Cyrl_RU
        case 0xB2684E474C61746ELLU: // itm_Latn_NG
        case 0xBA68424F4C61746ELLU: // ito_Latn_BO
        case 0xC66850474C61746ELLU: // itr_Latn_PG
        case 0xCA684E474C61746ELLU: // its_Latn_NG
        case 0xCE6850484C61746ELLU: // itt_Latn_PH
        case 0xD66850484C61746ELLU: // itv_Latn_PH
        case 0xDA684E474C61746ELLU: // itw_Latn_NG
        case 0xDE6849444C61746ELLU: // itx_Latn_ID
        case 0xE26850484C61746ELLU: // ity_Latn_PH
        case 0xE66847544C61746ELLU: // itz_Latn_GT
        case 0x6975434143616E73LLU: // iu_Cans_CA
        case 0xB288434E4C61746ELLU: // ium_Latn_CN
        case 0x86A850484C61746ELLU: // ivb_Latn_PH
        case 0xD6A850484C61746ELLU: // ivv_Latn_PH
        case 0x6977494C48656272LLU: // iw_Hebr_IL
        case 0xAAC850484C61746ELLU: // iwk_Latn_PH
        case 0xB2C850474C61746ELLU: // iwm_Latn_PG
        case 0xBAC849444C61746ELLU: // iwo_Latn_ID
        case 0xCAC850474C61746ELLU: // iws_Latn_PG
        case 0x8AE84D584C61746ELLU: // ixc_Latn_MX
        case 0xAEE847544C61746ELLU: // ixl_Latn_GT
        case 0x83084E474C61746ELLU: // iya_Latn_NG
        case 0xBB08434D4C61746ELLU: // iyo_Latn_CM
        case 0xDF0843474C61746ELLU: // iyx_Latn_CG
        case 0x9F2852554C61746ELLU: // izh_Latn_RU
        case 0xB3284E474C61746ELLU: // izm_Latn_NG
        case 0xC7284E474C61746ELLU: // izr_Latn_NG
        case 0xE7284E474C61746ELLU: // izz_Latn_NG
        case 0x6A614A504A70616ELLU: // ja_Jpan_JP
        case 0x800942524C61746ELLU: // jaa_Latn_BR
        case 0x84094E474C61746ELLU: // jab_Latn_NG
        case 0x880947544C61746ELLU: // jac_Latn_GT
        case 0x8C09474E41726162LLU: // jad_Arab_GN
        case 0x900950474C61746ELLU: // jae_Latn_PG
        case 0x94094E474C61746ELLU: // jaf_Latn_NG
        case 0x9C094D594C61746ELLU: // jah_Latn_MY
        case 0xA40953424C61746ELLU: // jaj_Latn_SB
        case 0xA8094D594C61746ELLU: // jak_Latn_MY
        case 0xAC0949444C61746ELLU: // jal_Latn_ID
        case 0xB0094A4D4C61746ELLU: // jam_Latn_JM
        case 0xB40941554C61746ELLU: // jan_Latn_AU
        case 0xB80941554C61746ELLU: // jao_Latn_AU
        case 0xC00949444C61746ELLU: // jaq_Latn_ID
        case 0xC8094E434C61746ELLU: // jas_Latn_NC
        case 0xCC09414641726162LLU: // jat_Arab_AF
        case 0xD00949444C61746ELLU: // jau_Latn_ID
        case 0xDC0949444C61746ELLU: // jax_Latn_ID
        case 0xE00941554C61746ELLU: // jay_Latn_AU
        case 0xE4094E434C61746ELLU: // jaz_Latn_NC
        case 0x9029494C48656272LLU: // jbe_Hebr_IL
        case 0xA02941554C61746ELLU: // jbi_Latn_AU
        case 0xA42949444C61746ELLU: // jbj_Latn_ID
        case 0xA82950474C61746ELLU: // jbk_Latn_PG
        case 0xB0294E474C61746ELLU: // jbm_Latn_NG
        case 0xB4294C5941726162LLU: // jbn_Arab_LY
        case 0xC42949444C61746ELLU: // jbr_Latn_ID
        case 0xCC2942524C61746ELLU: // jbt_Latn_BR
        case 0xD029434D4C61746ELLU: // jbu_Latn_CM
        case 0xD82941554C61746ELLU: // jbw_Latn_AU
        case 0xCC4955414379726CLLU: // jct_Cyrl_UA
        case 0x8069494E54696274LLU: // jda_Tibt_IN
        case 0x9869504B41726162LLU: // jdg_Arab_PK
        case 0xCC6952554379726CLLU: // jdt_Cyrl_RU
        case 0x848950454C61746ELLU: // jeb_Latn_PE
        case 0x90894E5044657661LLU: // jee_Deva_NP
        case 0x9C89564E4C61746ELLU: // jeh_Latn_VN
        case 0xA08949444C61746ELLU: // jei_Latn_ID
        case 0xA88943494C61746ELLU: // jek_Latn_CI
        case 0xAC8949444C61746ELLU: // jel_Latn_ID
        case 0xB4894E474C61746ELLU: // jen_Latn_NG
        case 0xC4894E474C61746ELLU: // jer_Latn_NG
        case 0xCC8950474C61746ELLU: // jet_Latn_PG
        case 0xD08954444C61746ELLU: // jeu_Latn_TD
        case 0x84C943444C61746ELLU: // jgb_Latn_CD
        case 0x90C9474547656F72LLU: // jge_Geor_GE
        case 0xA8C94E474C61746ELLU: // jgk_Latn_NG
        case 0xB8C9434D4C61746ELLU: // jgo_Latn_CM
        case 0xA0E94D594C61746ELLU: // jhi_Latn_MY
        case 0x6A69554148656272LLU: // ji_Hebr_UA
        case 0x8109434D4C61746ELLU: // jia_Latn_CM
        case 0x85094E474C61746ELLU: // jib_Latn_NG
        case 0x8909484E4C61746ELLU: // jic_Latn_HN
        case 0x8D094E474C61746ELLU: // jid_Latn_NG
        case 0x91094E474C61746ELLU: // jie_Latn_NG
        case 0x990941554C61746ELLU: // jig_Latn_AU
        case 0xAD0950474C61746ELLU: // jil_Latn_PG
        case 0xB109434D4C61746ELLU: // jim_Latn_CM
        case 0xCD09545A4C61746ELLU: // jit_Latn_TZ
        case 0xD109434E4C61746ELLU: // jiu_Latn_CN
        case 0xD50945434C61746ELLU: // jiv_Latn_EC
        case 0xE109434E4C61746ELLU: // jiy_Latn_CN
        case 0x91294B5248616E67LLU: // jje_Hang_KR
        case 0xC5294E474C61746ELLU: // jjr_Latn_NG
        case 0x814949444C61746ELLU: // jka_Latn_ID
        case 0xB1494D4D4D796D72LLU: // jkm_Mymr_MM
        case 0xB94950474C61746ELLU: // jko_Latn_PG
        case 0xD1494E474C61746ELLU: // jku_Latn_NG
        case 0x916953444C61746ELLU: // jle_Latn_SD
        case 0x818950474C61746ELLU: // jma_Latn_PG
        case 0x85894E474C61746ELLU: // jmb_Latn_NG
        case 0x8989545A4C61746ELLU: // jmc_Latn_TZ
        case 0x8D8949444C61746ELLU: // jmd_Latn_ID
        case 0xA1894E474C61746ELLU: // jmi_Latn_NG
        case 0xAD894E5044657661LLU: // jml_Deva_NP
        case 0xB5894D4D4C61746ELLU: // jmn_Latn_MM
        case 0xC58947484C61746ELLU: // jmr_Latn_GH
        case 0xC9894E474C61746ELLU: // jms_Latn_NG
        case 0xD98950474C61746ELLU: // jmw_Latn_PG
        case 0xDD894D584C61746ELLU: // jmx_Latn_MX
        case 0x81A9494E54616B72LLU: // jna_Takr_IN
        case 0x8DA9504B41726162LLU: // jnd_Arab_PK
        case 0x99A941554C61746ELLU: // jng_Latn_AU
        case 0xA1A94E474C61746ELLU: // jni_Latn_NG
        case 0xA5A945544C61746ELLU: // jnj_Latn_ET
        case 0xADA9494E44657661LLU: // jnl_Deva_IN
        case 0xC9A9494E44657661LLU: // jns_Deva_IN
        case 0x85C943444C61746ELLU: // job_Latn_CD
        case 0x8DC943494C61746ELLU: // jod_Latn_CI
        case 0x99C9504B41726162LLU: // jog_Arab_PK
        case 0xC5C9424F4C61746ELLU: // jor_Latn_BO
        case 0xD9C94D4C4C61746ELLU: // jow_Latn_ML
        case 0x81E9505348656272LLU: // jpa_Hebr_PS
        case 0xC5E9494C48656272LLU: // jpr_Hebr_IL
        case 0xC60950454C61746ELLU: // jqr_Latn_PE
        case 0x8229564E4C61746ELLU: // jra_Latn_VN
        case 0x8629494C48656272LLU: // jrb_Hebr_IL
        case 0xC6294E474C61746ELLU: // jrr_Latn_NG
        case 0xCE294E474C61746ELLU: // jrt_Latn_NG
        case 0xD22956454C61746ELLU: // jru_Latn_VE
        case 0x828942524C61746ELLU: // jua_Latn_BR
        case 0x86894E474C61746ELLU: // jub_Latn_NG
        case 0x8E8943494C61746ELLU: // jud_Latn_CI
        case 0x9E894E474C61746ELLU: // juh_Latn_NG
        case 0xA28941554C61746ELLU: // jui_Latn_AU
        case 0xAA894E474C61746ELLU: // juk_Latn_NG
        case 0xAE894E5044657661LLU: // jul_Deva_NP
        case 0xB28953444C61746ELLU: // jum_Latn_SD
        case 0xB689494E4F727961LLU: // jun_Orya_IN
        case 0xBA894E474C61746ELLU: // juo_Latn_NG
        case 0xBE8942524C61746ELLU: // jup_Latn_BR
        case 0xC68942524C61746ELLU: // jur_Latn_BR
        case 0xCE89444B4C61746ELLU: // jut_Latn_DK
        case 0xD2894E474C61746ELLU: // juu_Latn_NG
        case 0xDA894E474C61746ELLU: // juw_Latn_NG
        case 0xE289494E4F727961LLU: // juy_Orya_IN
        case 0x6A7649444C61746ELLU: // jv_Latn_ID
        case 0x8EA949444C61746ELLU: // jvd_Latn_ID
        case 0xB6A953524C61746ELLU: // jvn_Latn_SR
        case 0x6A7749444C61746ELLU: // jw_Latn_ID
        case 0xA2C947484C61746ELLU: // jwi_Latn_GH
        case 0x8309434E54696274LLU: // jya_Tibt_CN
        case 0x9309494C48656272LLU: // jye_Hebr_IL
        case 0xE30954444C61746ELLU: // jyy_Latn_TD
        case 0x6B61474547656F72LLU: // ka_Geor_GE
        case 0x800A555A4379726CLLU: // kaa_Cyrl_UZ
        case 0x840A445A4C61746ELLU: // kab_Latn_DZ
        case 0x880A4D4D4C61746ELLU: // kac_Latn_MM
        case 0x8C0A4E474C61746ELLU: // kad_Latn_NG
        case 0x980A4D594C61746ELLU: // kag_Latn_MY
        case 0x9C0A43464C61746ELLU: // kah_Latn_CF
        case 0xA00A4E474C61746ELLU: // kai_Latn_NG
        case 0xA40A4E474C61746ELLU: // kaj_Latn_NG
        case 0xA80A50484C61746ELLU: // kak_Latn_PH
        case 0xB00A4B454C61746ELLU: // kam_Latn_KE
        case 0xB80A4D4C4C61746ELLU: // kao_Latn_ML
        case 0xBC0A52554379726CLLU: // kap_Cyrl_RU
        case 0xC00A50454C61746ELLU: // kaq_Latn_PE
        case 0xD40A42524C61746ELLU: // kav_Latn_BR
        case 0xD80A49444B617769LLU: // kaw_Kawi_ID
        case 0xDC0A49444C61746ELLU: // kax_Latn_ID
        case 0xE00A42524C61746ELLU: // kay_Latn_BR
        case 0x802A41554C61746ELLU: // kba_Latn_AU
        case 0x842A42524C61746ELLU: // kbb_Latn_BR
        case 0x882A42524C61746ELLU: // kbc_Latn_BR
        case 0x8C2A52554379726CLLU: // kbd_Cyrl_RU
        case 0x902A41554C61746ELLU: // kbe_Latn_AU
        case 0x982A494E54696274LLU: // kbg_Tibt_IN
        case 0x9C2A434F4C61746ELLU: // kbh_Latn_CO
        case 0xA02A49444C61746ELLU: // kbi_Latn_ID
        case 0xA42A43444C61746ELLU: // kbj_Latn_CD
        case 0xA82A50474C61746ELLU: // kbk_Latn_PG
        case 0xAC2A54444C61746ELLU: // kbl_Latn_TD
        case 0xB02A50474C61746ELLU: // kbm_Latn_PG
        case 0xB42A43464C61746ELLU: // kbn_Latn_CF
        case 0xB82A53534C61746ELLU: // kbo_Latn_SS
        case 0xBC2A54474C61746ELLU: // kbp_Latn_TG
        case 0xC02A50474C61746ELLU: // kbq_Latn_PG
        case 0xC42A45544C61746ELLU: // kbr_Latn_ET
        case 0xC82A47414C61746ELLU: // kbs_Latn_GA
        case 0xCC2A50474C61746ELLU: // kbt_Latn_PG
        case 0xD02A504B41726162LLU: // kbu_Arab_PK
        case 0xD42A49444C61746ELLU: // kbv_Latn_ID
        case 0xD82A50474C61746ELLU: // kbw_Latn_PG
        case 0xDC2A50474C61746ELLU: // kbx_Latn_PG
        case 0xE02A4E4541726162LLU: // kby_Arab_NE
        case 0xE42A4E474C61746ELLU: // kbz_Latn_NG
        case 0x804A52554379726CLLU: // kca_Cyrl_RU
        case 0x844A50474C61746ELLU: // kcb_Latn_PG
        case 0x884A4E474C61746ELLU: // kcc_Latn_NG
        case 0x8C4A49444C61746ELLU: // kcd_Latn_ID
        case 0x904A4E474C61746ELLU: // kce_Latn_NG
        case 0x944A4E474C61746ELLU: // kcf_Latn_NG
        case 0x984A4E474C61746ELLU: // kcg_Latn_NG
        case 0x9C4A4E474C61746ELLU: // kch_Latn_NG
        case 0xA04A4E474C61746ELLU: // kci_Latn_NG
        case 0xA44A47574C61746ELLU: // kcj_Latn_GW
        case 0xA84A5A574C61746ELLU: // kck_Latn_ZW
        case 0xAC4A50474C61746ELLU: // kcl_Latn_PG
        case 0xB04A43464C61746ELLU: // kcm_Latn_CF
        case 0xB44A55474C61746ELLU: // kcn_Latn_UG
        case 0xB84A50474C61746ELLU: // kco_Latn_PG
        case 0xBC4A53444C61746ELLU: // kcp_Latn_SD
        case 0xC04A4E474C61746ELLU: // kcq_Latn_NG
        case 0xC84A4E474C61746ELLU: // kcs_Latn_NG
        case 0xCC4A50474C61746ELLU: // kct_Latn_PG
        case 0xD04A545A4C61746ELLU: // kcu_Latn_TZ
        case 0xD44A43444C61746ELLU: // kcv_Latn_CD
        case 0xD84A43444C61746ELLU: // kcw_Latn_CD
        case 0xE04A445A41726162LLU: // kcy_Arab_DZ
        case 0xE44A545A4C61746ELLU: // kcz_Latn_TZ
        case 0x806A41554C61746ELLU: // kda_Latn_AU
        case 0x886A545A4C61746ELLU: // kdc_Latn_TZ
        case 0x8C6A41554C61746ELLU: // kdd_Latn_AU
        case 0x906A545A4C61746ELLU: // kde_Latn_TZ
        case 0x946A50474C61746ELLU: // kdf_Latn_PG
        case 0x986A43444C61746ELLU: // kdg_Latn_CD
        case 0x9C6A54474C61746ELLU: // kdh_Latn_TG
        case 0xA06A55474C61746ELLU: // kdi_Latn_UG
        case 0xA46A55474C61746ELLU: // kdj_Latn_UG
        case 0xA86A4E434C61746ELLU: // kdk_Latn_NC
        case 0xAC6A4E474C61746ELLU: // kdl_Latn_NG
        case 0xB06A4E474C61746ELLU: // kdm_Latn_NG
        case 0xB46A5A574C61746ELLU: // kdn_Latn_ZW
        case 0xBC6A4E474C61746ELLU: // kdp_Latn_NG
        case 0xC06A494E42656E67LLU: // kdq_Beng_IN
        case 0xC46A4C544C61746ELLU: // kdr_Latn_LT
        case 0xCC6A544854686169LLU: // kdt_Thai_TH
        case 0xD86A49444C61746ELLU: // kdw_Latn_ID
        case 0xDC6A4E474C61746ELLU: // kdx_Latn_NG
        case 0xE06A49444C61746ELLU: // kdy_Latn_ID
        case 0xE46A434D4C61746ELLU: // kdz_Latn_CM
        case 0x808A43564C61746ELLU: // kea_Latn_CV
        case 0x848A47414C61746ELLU: // keb_Latn_GA
        case 0x888A53444C61746ELLU: // kec_Latn_SD
        case 0x8C8A545A4C61746ELLU: // ked_Latn_TZ
        case 0x908A55534C61746ELLU: // kee_Latn_US
        case 0x948A54474C61746ELLU: // kef_Latn_TG
        case 0x988A53444C61746ELLU: // keg_Latn_SD
        case 0x9C8A50474C61746ELLU: // keh_Latn_PG
        case 0xA08A49444C61746ELLU: // kei_Latn_ID
        case 0xA88A47544C61746ELLU: // kek_Latn_GT
        case 0xAC8A43444C61746ELLU: // kel_Latn_CD
        case 0xB08A544C4C61746ELLU: // kem_Latn_TL
        case 0xB48A434D4C61746ELLU: // ken_Latn_CM
        case 0xB88A55474C61746ELLU: // keo_Latn_UG
        case 0xC48A54444C61746ELLU: // ker_Latn_TD
        case 0xC88A4E474C61746ELLU: // kes_Latn_NG
        case 0xCC8A52554379726CLLU: // ket_Cyrl_RU
        case 0xD08A54474C61746ELLU: // keu_Latn_TG
        case 0xD48A494E4D6C796DLLU: // kev_Mlym_IN
        case 0xD88A50474C61746ELLU: // kew_Latn_PG
        case 0xDC8A494E44657661LLU: // kex_Deva_IN
        case 0xE08A494E54656C75LLU: // key_Telu_IN
        case 0xE48A4E474C61746ELLU: // kez_Latn_NG
        case 0x80AA494E4B6E6461LLU: // kfa_Knda_IN
        case 0x84AA494E44657661LLU: // kfb_Deva_IN
        case 0x88AA494E54656C75LLU: // kfc_Telu_IN
        case 0x8CAA494E4B6E6461LLU: // kfd_Knda_IN
        case 0x90AA494E54616D6CLLU: // kfe_Taml_IN
        case 0x94AA494E4C61746ELLU: // kff_Latn_IN
        case 0x98AA494E4B6E6461LLU: // kfg_Knda_IN
        case 0x9CAA494E4D6C796DLLU: // kfh_Mlym_IN
        case 0xA0AA494E54616D6CLLU: // kfi_Taml_IN
        case 0xA8AA494E44657661LLU: // kfk_Deva_IN
        case 0xACAA434D4C61746ELLU: // kfl_Latn_CM
        case 0xB0AA495241726162LLU: // kfm_Arab_IR
        case 0xB4AA434D4C61746ELLU: // kfn_Latn_CM
        case 0xB8AA43494C61746ELLU: // kfo_Latn_CI
        case 0xBCAA494E44657661LLU: // kfp_Deva_IN
        case 0xC0AA494E44657661LLU: // kfq_Deva_IN
        case 0xC4AA494E44657661LLU: // kfr_Deva_IN
        case 0xC8AA494E44657661LLU: // kfs_Deva_IN
        case 0xD0AA494E44657661LLU: // kfu_Deva_IN
        case 0xD4AA494E4C61746ELLU: // kfv_Latn_IN
        case 0xD8AA494E4C61746ELLU: // kfw_Latn_IN
        case 0xDCAA494E44657661LLU: // kfx_Deva_IN
        case 0xE0AA494E44657661LLU: // kfy_Deva_IN
        case 0xE4AA42464C61746ELLU: // kfz_Latn_BF
        case 0x6B6743444C61746ELLU: // kg_Latn_CD
        case 0x80CA43494C61746ELLU: // kga_Latn_CI
        case 0x84CA49444C61746ELLU: // kgb_Latn_ID
        case 0x90CA49444C61746ELLU: // kge_Latn_ID
        case 0x94CA50474C61746ELLU: // kgf_Latn_PG
        case 0xA4CA4E5044657661LLU: // kgj_Deva_NP
        case 0xA8CA42524C61746ELLU: // kgk_Latn_BR
        case 0xACCA41554C61746ELLU: // kgl_Latn_AU
        case 0xB8CA53444C61746ELLU: // kgo_Latn_SD
        case 0xBCCA42524C61746ELLU: // kgp_Latn_BR
        case 0xC0CA49444C61746ELLU: // kgq_Latn_ID
        case 0xC4CA49444C61746ELLU: // kgr_Latn_ID
        case 0xC8CA41554C61746ELLU: // kgs_Latn_AU
        case 0xCCCA4E474C61746ELLU: // kgt_Latn_NG
        case 0xD0CA50474C61746ELLU: // kgu_Latn_PG
        case 0xD4CA49444C61746ELLU: // kgv_Latn_ID
        case 0xD8CA49444C61746ELLU: // kgw_Latn_ID
        case 0xDCCA49444C61746ELLU: // kgx_Latn_ID
        case 0xE0CA4E5044657661LLU: // kgy_Deva_NP
        case 0x80EA494E4C61746ELLU: // kha_Latn_IN
        case 0x84EA434E54616C75LLU: // khb_Talu_CN
        case 0x88EA49444C61746ELLU: // khc_Latn_ID
        case 0x8CEA49444C61746ELLU: // khd_Latn_ID
        case 0x90EA49444C61746ELLU: // khe_Latn_ID
        case 0x94EA4C4154686169LLU: // khf_Thai_LA
        case 0x98EA434E54696274LLU: // khg_Tibt_CN
        case 0x9CEA49444C61746ELLU: // khh_Latn_ID
        case 0xA4EA4E474C61746ELLU: // khj_Latn_NG
        case 0xACEA50474C61746ELLU: // khl_Latn_PG
        case 0xB4EA494E44657661LLU: // khn_Deva_IN
        case 0xB8EA495242726168LLU: // kho_Brah_IR
        case 0xBCEA49444C61746ELLU: // khp_Latn_ID
        case 0xC0EA4D4C4C61746ELLU: // khq_Latn_ML
        case 0xC4EA494E4C61746ELLU: // khr_Latn_IN
        case 0xC8EA50474C61746ELLU: // khs_Latn_PG
        case 0xCCEA494E4D796D72LLU: // kht_Mymr_IN
        case 0xD0EA414F4C61746ELLU: // khu_Latn_AO
        case 0xD4EA52554379726CLLU: // khv_Cyrl_RU
        case 0xD8EA504B41726162LLU: // khw_Arab_PK
        case 0xDCEA43444C61746ELLU: // khx_Latn_CD
        case 0xE0EA43444C61746ELLU: // khy_Latn_CD
        case 0xE4EA50474C61746ELLU: // khz_Latn_PG
        case 0x6B694B454C61746ELLU: // ki_Latn_KE
        case 0x810A54444C61746ELLU: // kia_Latn_TD
        case 0x850A53444C61746ELLU: // kib_Latn_SD
        case 0x890A55534C61746ELLU: // kic_Latn_US
        case 0x8D0A434D4C61746ELLU: // kid_Latn_CM
        case 0x910A54444C61746ELLU: // kie_Latn_TD
        case 0x950A4E5044657661LLU: // kif_Deva_NP
        case 0x990A49444C61746ELLU: // kig_Latn_ID
        case 0x9D0A50474C61746ELLU: // kih_Latn_PG
        case 0xA50A50474C61746ELLU: // kij_Latn_PG
        case 0xAD0A4E474C61746ELLU: // kil_Latn_NG
        case 0xB10A52554379726CLLU: // kim_Cyrl_RU
        case 0xB90A55534C61746ELLU: // kio_Latn_US
        case 0xBD0A4E5044657661LLU: // kip_Deva_NP
        case 0xC10A49444C61746ELLU: // kiq_Latn_ID
        case 0xC90A50474C61746ELLU: // kis_Latn_PG
        case 0xCD0A50474C61746ELLU: // kit_Latn_PG
        case 0xD10A54524C61746ELLU: // kiu_Latn_TR
        case 0xD50A545A4C61746ELLU: // kiv_Latn_TZ
        case 0xD90A50474C61746ELLU: // kiw_Latn_PG
        case 0xDD0A494E4C61746ELLU: // kix_Latn_IN
        case 0xE10A49444C61746ELLU: // kiy_Latn_ID
        case 0xE50A545A4C61746ELLU: // kiz_Latn_TZ
        case 0x6B6A4E414C61746ELLU: // kj_Latn_NA
        case 0x812A49444C61746ELLU: // kja_Latn_ID
        case 0x852A47544C61746ELLU: // kjb_Latn_GT
        case 0x892A49444C61746ELLU: // kjc_Latn_ID
        case 0x8D2A50474C61746ELLU: // kjd_Latn_PG
        case 0x912A49444C61746ELLU: // kje_Latn_ID
        case 0x992A4C414C616F6FLLU: // kjg_Laoo_LA
        case 0x9D2A52554379726CLLU: // kjh_Cyrl_RU
        case 0xA12A53424C61746ELLU: // kji_Latn_SB
        case 0xA52A415A4C61746ELLU: // kjj_Latn_AZ
        case 0xA92A49444C61746ELLU: // kjk_Latn_ID
        case 0xAD2A4E5044657661LLU: // kjl_Deva_NP
        case 0xB12A564E4C61746ELLU: // kjm_Latn_VN
        case 0xB52A41554C61746ELLU: // kjn_Latn_AU
        case 0xB92A494E44657661LLU: // kjo_Deva_IN
        case 0xBD2A4D4D4D796D72LLU: // kjp_Mymr_MM
        case 0xC12A55534C61746ELLU: // kjq_Latn_US
        case 0xC52A49444C61746ELLU: // kjr_Latn_ID
        case 0xC92A50474C61746ELLU: // kjs_Latn_PG
        case 0xCD2A544854686169LLU: // kjt_Thai_TH
        case 0xD12A55534C61746ELLU: // kju_Latn_US
        case 0xDD2A50474C61746ELLU: // kjx_Latn_PG
        case 0xE12A50474C61746ELLU: // kjy_Latn_PG
        case 0xE52A425454696274LLU: // kjz_Tibt_BT
        case 0x6B6B434E41726162LLU: // kk_Arab_CN
        case 0x6B6B4B5A4379726CLLU: // kk_Cyrl_KZ
        case 0x814A4E474C61746ELLU: // kka_Latn_NG
        case 0x854A49444C61746ELLU: // kkb_Latn_ID
        case 0x894A50474C61746ELLU: // kkc_Latn_PG
        case 0x8D4A4E474C61746ELLU: // kkd_Latn_NG
        case 0x914A474E4C61746ELLU: // kke_Latn_GN
        case 0x954A494E54696274LLU: // kkf_Tibt_IN
        case 0x994A50484C61746ELLU: // kkg_Latn_PH
        case 0x9D4A4D4D4C616E61LLU: // kkh_Lana_MM
        case 0xA14A545A4C61746ELLU: // kki_Latn_TZ
        case 0xA54A434D4C61746ELLU: // kkj_Latn_CM
        case 0xA94A53424C61746ELLU: // kkk_Latn_SB
        case 0xAD4A49444C61746ELLU: // kkl_Latn_ID
        case 0xB14A4E474C61746ELLU: // kkm_Latn_NG
        case 0xB94A53444C61746ELLU: // kko_Latn_SD
        case 0xBD4A41554C61746ELLU: // kkp_Latn_AU
        case 0xC14A43444C61746ELLU: // kkq_Latn_CD
        case 0xC54A4E474C61746ELLU: // kkr_Latn_NG
        case 0xC94A4E474C61746ELLU: // kks_Latn_NG
        case 0xCD4A4E5044657661LLU: // kkt_Deva_NP
        case 0xD14A4E474C61746ELLU: // kku_Latn_NG
        case 0xD54A49444C61746ELLU: // kkv_Latn_ID
        case 0xD94A43474C61746ELLU: // kkw_Latn_CG
        case 0xDD4A49444C61746ELLU: // kkx_Latn_ID
        case 0xE14A41554C61746ELLU: // kky_Latn_AU
        case 0xE54A43414C61746ELLU: // kkz_Latn_CA
        case 0x6B6C474C4C61746ELLU: // kl_Latn_GL
        case 0x816A55534C61746ELLU: // kla_Latn_US
        case 0x856A4D584C61746ELLU: // klb_Latn_MX
        case 0x896A434D4C61746ELLU: // klc_Latn_CM
        case 0x8D6A41554C61746ELLU: // kld_Latn_AU
        case 0x916A4E5044657661LLU: // kle_Deva_NP
        case 0x956A54444C61746ELLU: // klf_Latn_TD
        case 0x996A50484C61746ELLU: // klg_Latn_PH
        case 0x9D6A50474C61746ELLU: // klh_Latn_PG
        case 0xA16A49444C61746ELLU: // kli_Latn_ID
        case 0xA56A495241726162LLU: // klj_Arab_IR
        case 0xA96A4E474C61746ELLU: // klk_Latn_NG
        case 0xAD6A50484C61746ELLU: // kll_Latn_PH
        case 0xB16A50474C61746ELLU: // klm_Latn_PG
        case 0xB56A4B454C61746ELLU: // kln_Latn_KE
        case 0xB96A4E474C61746ELLU: // klo_Latn_NG
        case 0xBD6A50474C61746ELLU: // klp_Latn_PG
        case 0xC16A50474C61746ELLU: // klq_Latn_PG
        case 0xC56A4E5044657661LLU: // klr_Deva_NP
        case 0xC96A504B4C61746ELLU: // kls_Latn_PK
        case 0xCD6A50474C61746ELLU: // klt_Latn_PG
        case 0xD16A4C524C61746ELLU: // klu_Latn_LR
        case 0xD56A56554C61746ELLU: // klv_Latn_VU
        case 0xD96A49444C61746ELLU: // klw_Latn_ID
        case 0xDD6A50474C61746ELLU: // klx_Latn_PG
        case 0xE16A49444C61746ELLU: // kly_Latn_ID
        case 0xE56A49444C61746ELLU: // klz_Latn_ID
        case 0x6B6D4B484B686D72LLU: // km_Khmr_KH
        case 0x818A47484C61746ELLU: // kma_Latn_GH
        case 0x858A414F4C61746ELLU: // kmb_Latn_AO
        case 0x898A434E4C61746ELLU: // kmc_Latn_CN
        case 0x8D8A50484C61746ELLU: // kmd_Latn_PH
        case 0x918A434D4C61746ELLU: // kme_Latn_CM
        case 0x958A50474C61746ELLU: // kmf_Latn_PG
        case 0x998A50474C61746ELLU: // kmg_Latn_PG
        case 0x9D8A50474C61746ELLU: // kmh_Latn_PG
        case 0xA18A4E474C61746ELLU: // kmi_Latn_NG
        case 0xA58A494E44657661LLU: // kmj_Deva_IN
        case 0xA98A50484C61746ELLU: // kmk_Latn_PH
        case 0xAD8A50484C61746ELLU: // kml_Latn_PH
        case 0xB18A494E4C61746ELLU: // kmm_Latn_IN
        case 0xB58A50474C61746ELLU: // kmn_Latn_PG
        case 0xB98A50474C61746ELLU: // kmo_Latn_PG
        case 0xBD8A434D4C61746ELLU: // kmp_Latn_CM
        case 0xC18A45544C61746ELLU: // kmq_Latn_ET
        case 0xC98A50474C61746ELLU: // kms_Latn_PG
        case 0xCD8A49444C61746ELLU: // kmt_Latn_ID
        case 0xD18A50474C61746ELLU: // kmu_Latn_PG
        case 0xD58A42524C61746ELLU: // kmv_Latn_BR
        case 0xD98A43444C61746ELLU: // kmw_Latn_CD
        case 0xDD8A50474C61746ELLU: // kmx_Latn_PG
        case 0xE18A4E474C61746ELLU: // kmy_Latn_NG
        case 0xE58A495241726162LLU: // kmz_Arab_IR
        case 0x6B6E494E4B6E6461LLU: // kn_Knda_IN
        case 0x81AA4E474C61746ELLU: // kna_Latn_NG
        case 0x85AA50484C61746ELLU: // knb_Latn_PH
        case 0x8DAA49444C61746ELLU: // knd_Latn_ID
        case 0x91AA50484C61746ELLU: // kne_Latn_PH
        case 0x95AA47574C61746ELLU: // knf_Latn_GW
        case 0xA1AA4E474C61746ELLU: // kni_Latn_NG
        case 0xA5AA47544C61746ELLU: // knj_Latn_GT
        case 0xA9AA534C4C61746ELLU: // knk_Latn_SL
        case 0xADAA49444C61746ELLU: // knl_Latn_ID
        case 0xB1AA42524C61746ELLU: // knm_Latn_BR
        case 0xB5AA494E44657661LLU: // knn_Deva_IN
        case 0xB9AA534C4C61746ELLU: // kno_Latn_SL
        case 0xBDAA434D4C61746ELLU: // knp_Latn_CM
        case 0xC1AA4D594C61746ELLU: // knq_Latn_MY
        case 0xC5AA50474C61746ELLU: // knr_Latn_PG
        case 0xC9AA4D594C61746ELLU: // kns_Latn_MY
        case 0xCDAA42524C61746ELLU: // knt_Latn_BR
        case 0xD1AA474E4C61746ELLU: // knu_Latn_GN
        case 0xD5AA50474C61746ELLU: // knv_Latn_PG
        case 0xD9AA4E414C61746ELLU: // knw_Latn_NA
        case 0xDDAA49444C61746ELLU: // knx_Latn_ID
        case 0xE1AA43444C61746ELLU: // kny_Latn_CD
        case 0xE5AA42464C61746ELLU: // knz_Latn_BF
        case 0x6B6F4B524B6F7265LLU: // ko_Kore_KR
        case 0x81CA50474C61746ELLU: // koa_Latn_PG
        case 0x89CA4E474C61746ELLU: // koc_Latn_NG
        case 0x8DCA49444C61746ELLU: // kod_Latn_ID
        case 0x91CA53534C61746ELLU: // koe_Latn_SS
        case 0x95CA4E474C61746ELLU: // kof_Latn_NG
        case 0x99CA434F4C61746ELLU: // kog_Latn_CO
        case 0x9DCA43474C61746ELLU: // koh_Latn_CG
        case 0xA1CA52554379726CLLU: // koi_Cyrl_RU
        case 0xA9CA494E44657661LLU: // kok_Deva_IN
        case 0xADCA50474C61746ELLU: // kol_Latn_PG
        case 0xB9CA55474C61746ELLU: // koo_Latn_UG
        case 0xBDCA50474C61746ELLU: // kop_Latn_PG
        case 0xC1CA47414C61746ELLU: // koq_Latn_GA
        case 0xC9CA464D4C61746ELLU: // kos_Latn_FM
        case 0xCDCA434D4C61746ELLU: // kot_Latn_CM
        case 0xD1CA54444C61746ELLU: // kou_Latn_TD
        case 0xD5CA4E474C61746ELLU: // kov_Latn_NG
        case 0xD9CA4E474C61746ELLU: // kow_Latn_NG
        case 0xE1CA55534C61746ELLU: // koy_Latn_US
        case 0xE5CA50474C61746ELLU: // koz_Latn_PG
        case 0x81EA4E474C61746ELLU: // kpa_Latn_NG
        case 0x89EA434F4C61746ELLU: // kpc_Latn_CO
        case 0x8DEA49444C61746ELLU: // kpd_Latn_ID
        case 0x91EA4C524C61746ELLU: // kpe_Latn_LR
        case 0x95EA50474C61746ELLU: // kpf_Latn_PG
        case 0x99EA464D4C61746ELLU: // kpg_Latn_FM
        case 0x9DEA47484C61746ELLU: // kph_Latn_GH
        case 0xA1EA49444C61746ELLU: // kpi_Latn_ID
        case 0xA5EA42524C61746ELLU: // kpj_Latn_BR
        case 0xA9EA4E474C61746ELLU: // kpk_Latn_NG
        case 0xADEA43444C61746ELLU: // kpl_Latn_CD
        case 0xB1EA564E4C61746ELLU: // kpm_Latn_VN
        case 0xB5EA42524C61746ELLU: // kpn_Latn_BR
        case 0xB9EA54474C61746ELLU: // kpo_Latn_TG
        case 0xC1EA49444C61746ELLU: // kpq_Latn_ID
        case 0xC5EA50474C61746ELLU: // kpr_Latn_PG
        case 0xC9EA49444C61746ELLU: // kps_Latn_ID
        case 0xCDEA52554379726CLLU: // kpt_Cyrl_RU
        case 0xD1EA49444C61746ELLU: // kpu_Latn_ID
        case 0xD9EA50474C61746ELLU: // kpw_Latn_PG
        case 0xDDEA50474C61746ELLU: // kpx_Latn_PG
        case 0xE1EA52554379726CLLU: // kpy_Cyrl_RU
        case 0xE5EA55474C61746ELLU: // kpz_Latn_UG
        case 0x820A50474C61746ELLU: // kqa_Latn_PG
        case 0x860A50474C61746ELLU: // kqb_Latn_PG
        case 0x8A0A50474C61746ELLU: // kqc_Latn_PG
        case 0x8E0A495153797263LLU: // kqd_Syrc_IQ
        case 0x920A50484C61746ELLU: // kqe_Latn_PH
        case 0x960A50474C61746ELLU: // kqf_Latn_PG
        case 0x9A0A42464C61746ELLU: // kqg_Latn_BF
        case 0x9E0A545A4C61746ELLU: // kqh_Latn_TZ
        case 0xA20A50474C61746ELLU: // kqi_Latn_PG
        case 0xA60A50474C61746ELLU: // kqj_Latn_PG
        case 0xAA0A424A4C61746ELLU: // kqk_Latn_BJ
        case 0xAE0A50474C61746ELLU: // kql_Latn_PG
        case 0xB20A43494C61746ELLU: // kqm_Latn_CI
        case 0xB60A5A4D4C61746ELLU: // kqn_Latn_ZM
        case 0xBA0A4C524C61746ELLU: // kqo_Latn_LR
        case 0xBE0A54444C61746ELLU: // kqp_Latn_TD
        case 0xC20A42524C61746ELLU: // kqq_Latn_BR
        case 0xC60A4D594C61746ELLU: // kqr_Latn_MY
        case 0xCA0A474E4C61746ELLU: // kqs_Latn_GN
        case 0xCE0A4D594C61746ELLU: // kqt_Latn_MY
        case 0xD20A5A414C61746ELLU: // kqu_Latn_ZA
        case 0xD60A49444C61746ELLU: // kqv_Latn_ID
        case 0xDA0A50474C61746ELLU: // kqw_Latn_PG
        case 0xDE0A434D4C61746ELLU: // kqx_Latn_CM
        case 0xE20A455445746869LLU: // kqy_Ethi_ET
        case 0xE60A5A414C61746ELLU: // kqz_Latn_ZA
        case 0x6B724E474C61746ELLU: // kr_Latn_NG
        case 0x822A4E5044657661LLU: // kra_Deva_NP
        case 0x862A55534C61746ELLU: // krb_Latn_US
        case 0x8A2A52554379726CLLU: // krc_Cyrl_RU
        case 0x8E2A544C4C61746ELLU: // krd_Latn_TL
        case 0x922A42524C61746ELLU: // kre_Latn_BR
        case 0x962A56554C61746ELLU: // krf_Latn_VU
        case 0x9E2A4E474C61746ELLU: // krh_Latn_NG
        case 0xA22A534C4C61746ELLU: // kri_Latn_SL
        case 0xA62A50484C61746ELLU: // krj_Latn_PH
        case 0xAA2A52554379726CLLU: // krk_Cyrl_RU
        case 0xAE2A52554C61746ELLU: // krl_Latn_RU
        case 0xB62A4C524C61746ELLU: // krn_Latn_LR
        case 0xBE2A4E474C61746ELLU: // krp_Latn_NG
        case 0xC62A4B484B686D72LLU: // krr_Khmr_KH
        case 0xCA2A53534C61746ELLU: // krs_Latn_SS
        case 0xCE2A4E454C61746ELLU: // krt_Latn_NE
        case 0xD22A494E44657661LLU: // kru_Deva_IN
        case 0xD62A4B484B686D72LLU: // krv_Khmr_KH
        case 0xDA2A4C524C61746ELLU: // krw_Latn_LR
        case 0xDE2A534E4C61746ELLU: // krx_Latn_SN
        case 0xE22A415A4C61746ELLU: // kry_Latn_AZ
        case 0xE62A49444C61746ELLU: // krz_Latn_ID
        case 0x6B73494E41726162LLU: // ks_Arab_IN
        case 0x864A545A4C61746ELLU: // ksb_Latn_TZ
        case 0x8A4A50484C61746ELLU: // ksc_Latn_PH
        case 0x8E4A50474C61746ELLU: // ksd_Latn_PG
        case 0x924A50474C61746ELLU: // kse_Latn_PG
        case 0x964A434D4C61746ELLU: // ksf_Latn_CM
        case 0x9A4A53424C61746ELLU: // ksg_Latn_SB
        case 0x9E4A44454C61746ELLU: // ksh_Latn_DE
        case 0xA24A50474C61746ELLU: // ksi_Latn_PG
        case 0xA64A50474C61746ELLU: // ksj_Latn_PG
        case 0xAA4A55534C61746ELLU: // ksk_Latn_US
        case 0xAE4A50474C61746ELLU: // ksl_Latn_PG
        case 0xB24A4E474C61746ELLU: // ksm_Latn_NG
        case 0xB64A50484C61746ELLU: // ksn_Latn_PH
        case 0xBA4A4E474C61746ELLU: // kso_Latn_NG
        case 0xBE4A43464C61746ELLU: // ksp_Latn_CF
        case 0xC24A4E474C61746ELLU: // ksq_Latn_NG
        case 0xC64A50474C61746ELLU: // ksr_Latn_PG
        case 0xCA4A4C524C61746ELLU: // kss_Latn_LR
        case 0xCE4A42464C61746ELLU: // kst_Latn_BF
        case 0xD24A494E4D796D72LLU: // ksu_Mymr_IN
        case 0xD64A43444C61746ELLU: // ksv_Latn_CD
        case 0xDA4A4D4D4D796D72LLU: // ksw_Mymr_MM
        case 0xDE4A49444C61746ELLU: // ksx_Latn_ID
        case 0xE64A494E44657661LLU: // ksz_Deva_IN
        case 0x826A564E4C61746ELLU: // kta_Latn_VN
        case 0x866A455445746869LLU: // ktb_Ethi_ET
        case 0x8A6A4E474C61746ELLU: // ktc_Latn_NG
        case 0x8E6A41554C61746ELLU: // ktd_Latn_AU
        case 0x926A4E5044657661LLU: // kte_Deva_NP
        case 0x966A43444C61746ELLU: // ktf_Latn_CD
        case 0x9A6A41554C61746ELLU: // ktg_Latn_AU
        case 0x9E6A54444C61746ELLU: // kth_Latn_TD
        case 0xA26A49444C61746ELLU: // kti_Latn_ID
        case 0xA66A43494C61746ELLU: // ktj_Latn_CI
        case 0xAA6A50474C61746ELLU: // ktk_Latn_PG
        case 0xAE6A495241726162LLU: // ktl_Arab_IR
        case 0xB26A50474C61746ELLU: // ktm_Latn_PG
        case 0xB66A42524C61746ELLU: // ktn_Latn_BR
        case 0xBA6A50474C61746ELLU: // kto_Latn_PG
        case 0xBE6A434E506C7264LLU: // ktp_Plrd_CN
        case 0xC26A50484C61746ELLU: // ktq_Latn_PH
        case 0xCA6A49444C61746ELLU: // kts_Latn_ID
        case 0xCE6A49444C61746ELLU: // ktt_Latn_ID
        case 0xD26A43444C61746ELLU: // ktu_Latn_CD
        case 0xD66A564E4C61746ELLU: // ktv_Latn_VN
        case 0xDA6A55534C61746ELLU: // ktw_Latn_US
        case 0xDE6A42524C61746ELLU: // ktx_Latn_BR
        case 0xE26A43444C61746ELLU: // kty_Latn_CD
        case 0xE66A4E414C61746ELLU: // ktz_Latn_NA
        case 0x6B75495141726162LLU: // ku_Arab_IQ
        case 0x6B7554524C61746ELLU: // ku_Latn_TR
        case 0x6B75474559657A69LLU: // ku_Yezi_GE
        case 0x868A4E474C61746ELLU: // kub_Latn_NG
        case 0x8A8A49444C61746ELLU: // kuc_Latn_ID
        case 0x8E8A50474C61746ELLU: // kud_Latn_PG
        case 0x928A50474C61746ELLU: // kue_Latn_PG
        case 0x968A4C414C616F6FLLU: // kuf_Laoo_LA
        case 0x9A8A4E474C61746ELLU: // kug_Latn_NG
        case 0x9E8A4E474C61746ELLU: // kuh_Latn_NG
        case 0xA28A42524C61746ELLU: // kui_Latn_BR
        case 0xA68A545A4C61746ELLU: // kuj_Latn_TZ
        case 0xAA8A49444C61746ELLU: // kuk_Latn_ID
        case 0xAE8A4E474C61746ELLU: // kul_Latn_NG
        case 0xB28A52554379726CLLU: // kum_Cyrl_RU
        case 0xB68A45524C61746ELLU: // kun_Latn_ER
        case 0xBA8A50474C61746ELLU: // kuo_Latn_PG
        case 0xBE8A50474C61746ELLU: // kup_Latn_PG
        case 0xC28A42524C61746ELLU: // kuq_Latn_BR
        case 0xCA8A47484C61746ELLU: // kus_Latn_GH
        case 0xCE8A43414C61746ELLU: // kut_Latn_CA
        case 0xD28A55534C61746ELLU: // kuu_Latn_US
        case 0xD68A49444C61746ELLU: // kuv_Latn_ID
        case 0xDA8A43464C61746ELLU: // kuw_Latn_CF
        case 0xDE8A41554C61746ELLU: // kux_Latn_AU
        case 0xE28A41554C61746ELLU: // kuy_Latn_AU
        case 0xE68A434C4C61746ELLU: // kuz_Latn_CL
        case 0x6B7652554379726CLLU: // kv_Cyrl_RU
        case 0x82AA52554379726CLLU: // kva_Cyrl_RU
        case 0x86AA49444C61746ELLU: // kvb_Latn_ID
        case 0x8AAA50474C61746ELLU: // kvc_Latn_PG
        case 0x8EAA49444C61746ELLU: // kvd_Latn_ID
        case 0x92AA4D594C61746ELLU: // kve_Latn_MY
        case 0x96AA54444C61746ELLU: // kvf_Latn_TD
        case 0x9AAA50474C61746ELLU: // kvg_Latn_PG
        case 0x9EAA49444C61746ELLU: // kvh_Latn_ID
        case 0xA2AA54444C61746ELLU: // kvi_Latn_TD
        case 0xA6AA434D4C61746ELLU: // kvj_Latn_CM
        case 0xAEAA4D4D4C61746ELLU: // kvl_Latn_MM
        case 0xB2AA434D4C61746ELLU: // kvm_Latn_CM
        case 0xB6AA434F4C61746ELLU: // kvn_Latn_CO
        case 0xBAAA49444C61746ELLU: // kvo_Latn_ID
        case 0xBEAA49444C61746ELLU: // kvp_Latn_ID
        case 0xC2AA4D4D4D796D72LLU: // kvq_Mymr_MM
        case 0xC6AA49444C61746ELLU: // kvr_Latn_ID
        case 0xCEAA4D4D4D796D72LLU: // kvt_Mymr_MM
        case 0xD6AA49444C61746ELLU: // kvv_Latn_ID
        case 0xDAAA49444C61746ELLU: // kvw_Latn_ID
        case 0xDEAA504B41726162LLU: // kvx_Arab_PK
        case 0xE2AA4D4D4B616C69LLU: // kvy_Kali_MM
        case 0xE6AA49444C61746ELLU: // kvz_Latn_ID
        case 0x6B7747424C61746ELLU: // kw_Latn_GB
        case 0x82CA42524C61746ELLU: // kwa_Latn_BR
        case 0x86CA4E474C61746ELLU: // kwb_Latn_NG
        case 0x8ACA43474C61746ELLU: // kwc_Latn_CG
        case 0x8ECA53424C61746ELLU: // kwd_Latn_SB
        case 0x92CA49444C61746ELLU: // kwe_Latn_ID
        case 0x96CA53424C61746ELLU: // kwf_Latn_SB
        case 0x9ACA54444C61746ELLU: // kwg_Latn_TD
        case 0x9ECA49444C61746ELLU: // kwh_Latn_ID
        case 0xA2CA434F4C61746ELLU: // kwi_Latn_CO
        case 0xA6CA50474C61746ELLU: // kwj_Latn_PG
        case 0xAACA43414C61746ELLU: // kwk_Latn_CA
        case 0xAECA4E474C61746ELLU: // kwl_Latn_NG
        case 0xB2CA4E414C61746ELLU: // kwm_Latn_NA
        case 0xB6CA4E414C61746ELLU: // kwn_Latn_NA
        case 0xBACA50474C61746ELLU: // kwo_Latn_PG
        case 0xBECA43494C61746ELLU: // kwp_Latn_CI
        case 0xC6CA49444C61746ELLU: // kwr_Latn_ID
        case 0xCACA43444C61746ELLU: // kws_Latn_CD
        case 0xCECA49444C61746ELLU: // kwt_Latn_ID
        case 0xD2CA434D4C61746ELLU: // kwu_Latn_CM
        case 0xD6CA54444C61746ELLU: // kwv_Latn_TD
        case 0xDACA53524C61746ELLU: // kww_Latn_SR
        case 0xE2CA414F4C61746ELLU: // kwy_Latn_AO
        case 0xE6CA414F4C61746ELLU: // kwz_Latn_AO
        case 0x82EA50474C61746ELLU: // kxa_Latn_PG
        case 0x86EA43494C61746ELLU: // kxb_Latn_CI
        case 0x8AEA45544C61746ELLU: // kxc_Latn_ET
        case 0x8EEA424E4C61746ELLU: // kxd_Latn_BN
        case 0x96EA4D4D4D796D72LLU: // kxf_Mymr_MM
        case 0xA2EA4D594C61746ELLU: // kxi_Latn_MY
        case 0xA6EA54444C61746ELLU: // kxj_Latn_TD
        case 0xAAEA4D4D4D796D72LLU: // kxk_Mymr_MM
        case 0xB2EA544854686169LLU: // kxm_Thai_TH
        case 0xB6EA4D594C61746ELLU: // kxn_Latn_MY
        case 0xBAEA42524C61746ELLU: // kxo_Latn_BR
        case 0xBEEA504B41726162LLU: // kxp_Arab_PK
        case 0xC2EA49444C61746ELLU: // kxq_Latn_ID
        case 0xC6EA50474C61746ELLU: // kxr_Latn_PG
        case 0xCEEA50474C61746ELLU: // kxt_Latn_PG
        case 0xD6EA494E4C61746ELLU: // kxv_Latn_IN
        case 0xDAEA50474C61746ELLU: // kxw_Latn_PG
        case 0xDEEA43474C61746ELLU: // kxx_Latn_CG
        case 0xE2EA564E4C61746ELLU: // kxy_Latn_VN
        case 0xE6EA50474C61746ELLU: // kxz_Latn_PG
        case 0x6B79434E41726162LLU: // ky_Arab_CN
        case 0x6B794B474379726CLLU: // ky_Cyrl_KG
        case 0x6B7954524C61746ELLU: // ky_Latn_TR
        case 0x830A545A4C61746ELLU: // kya_Latn_TZ
        case 0x870A50484C61746ELLU: // kyb_Latn_PH
        case 0x8B0A50474C61746ELLU: // kyc_Latn_PG
        case 0x8F0A49444C61746ELLU: // kyd_Latn_ID
        case 0x930A47484C61746ELLU: // kye_Latn_GH
        case 0x970A43494C61746ELLU: // kyf_Latn_CI
        case 0x9B0A50474C61746ELLU: // kyg_Latn_PG
        case 0x9F0A55534C61746ELLU: // kyh_Latn_US
        case 0xA30A4D594C61746ELLU: // kyi_Latn_MY
        case 0xA70A50484C61746ELLU: // kyj_Latn_PH
        case 0xAB0A50484C61746ELLU: // kyk_Latn_PH
        case 0xAF0A55534C61746ELLU: // kyl_Latn_US
        case 0xB30A43464C61746ELLU: // kym_Latn_CF
        case 0xB70A50484C61746ELLU: // kyn_Latn_PH
        case 0xBB0A49444C61746ELLU: // kyo_Latn_ID
        case 0xC30A54444C61746ELLU: // kyq_Latn_TD
        case 0xC70A42524C61746ELLU: // kyr_Latn_BR
        case 0xCB0A4D594C61746ELLU: // kys_Latn_MY
        case 0xCF0A49444C61746ELLU: // kyt_Latn_ID
        case 0xD30A4D4D4B616C69LLU: // kyu_Kali_MM
        case 0xD70A4E5044657661LLU: // kyv_Deva_NP
        case 0xDB0A494E44657661LLU: // kyw_Deva_IN
        case 0xDF0A50474C61746ELLU: // kyx_Latn_PG
        case 0xE30A50474C61746ELLU: // kyy_Latn_PG
        case 0xE70A42524C61746ELLU: // kyz_Latn_BR
        case 0x832A42464C61746ELLU: // kza_Latn_BF
        case 0x872A49444C61746ELLU: // kzb_Latn_ID
        case 0x8B2A43494C61746ELLU: // kzc_Latn_CI
        case 0x8F2A49444C61746ELLU: // kzd_Latn_ID
        case 0x932A50474C61746ELLU: // kze_Latn_PG
        case 0x972A49444C61746ELLU: // kzf_Latn_ID
        case 0xA32A4D594C61746ELLU: // kzi_Latn_MY
        case 0xAB2A53424C61746ELLU: // kzk_Latn_SB
        case 0xAF2A49444C61746ELLU: // kzl_Latn_ID
        case 0xB32A49444C61746ELLU: // kzm_Latn_ID
        case 0xB72A4D574C61746ELLU: // kzn_Latn_MW
        case 0xBB2A47414C61746ELLU: // kzo_Latn_GA
        case 0xBF2A49444C61746ELLU: // kzp_Latn_ID
        case 0xC72A434D4C61746ELLU: // kzr_Latn_CM
        case 0xCB2A4D594C61746ELLU: // kzs_Latn_MY
        case 0xD32A49444C61746ELLU: // kzu_Latn_ID
        case 0xD72A49444C61746ELLU: // kzv_Latn_ID
        case 0xDB2A42524C61746ELLU: // kzw_Latn_BR
        case 0xDF2A49444C61746ELLU: // kzx_Latn_ID
        case 0xE32A43444C61746ELLU: // kzy_Latn_CD
        case 0xE72A49444C61746ELLU: // kzz_Latn_ID
        case 0x6C6156414C61746ELLU: // la_Latn_VA
        case 0x800B50484C61746ELLU: // laa_Latn_PH
        case 0x840B47524C696E61LLU: // lab_Lina_GR
        case 0x880B4D584C61746ELLU: // lac_Latn_MX
        case 0x8C0B494C48656272LLU: // lad_Hebr_IL
        case 0x900B494E44657661LLU: // lae_Deva_IN
        case 0x980B545A4C61746ELLU: // lag_Latn_TZ
        case 0x9C0B504B41726162LLU: // lah_Arab_PK
        case 0xA00B4D574C61746ELLU: // lai_Latn_MW
        case 0xA40B55474C61746ELLU: // laj_Latn_UG
        case 0xAC0B43444C61746ELLU: // lal_Latn_CD
        case 0xB00B5A4D4C61746ELLU: // lam_Latn_ZM
        case 0xB40B4E474C61746ELLU: // lan_Latn_NG
        case 0xBC0B54444C61746ELLU: // lap_Latn_TD
        case 0xC00B564E4C61746ELLU: // laq_Latn_VN
        case 0xC40B47484C61746ELLU: // lar_Latn_GH
        case 0xC80B54474C61746ELLU: // las_Latn_TG
        case 0xD00B49444C61746ELLU: // lau_Latn_ID
        case 0xD80B49444C61746ELLU: // law_Latn_ID
        case 0xDC0B494E4C61746ELLU: // lax_Latn_IN
        case 0xE40B50474C61746ELLU: // laz_Latn_PG
        case 0x6C624C554C61746ELLU: // lb_Latn_LU
        case 0x842B50474C61746ELLU: // lbb_Latn_PG
        case 0x902B52554379726CLLU: // lbe_Cyrl_RU
        case 0x942B494E44657661LLU: // lbf_Deva_IN
        case 0xA02B434D4C61746ELLU: // lbi_Latn_CM
        case 0xA42B494E54696274LLU: // lbj_Tibt_IN
        case 0xAC2B50484C61746ELLU: // lbl_Latn_PH
        case 0xB02B494E44657661LLU: // lbm_Deva_IN
        case 0xB42B4C414C61746ELLU: // lbn_Latn_LA
        case 0xB82B4C414C616F6FLLU: // lbo_Laoo_LA
        case 0xC02B50474C61746ELLU: // lbq_Latn_PG
        case 0xC42B4E5044657661LLU: // lbr_Deva_NP
        case 0xCC2B564E4C61746ELLU: // lbt_Latn_VN
        case 0xD02B50474C61746ELLU: // lbu_Latn_PG
        case 0xD42B50474C61746ELLU: // lbv_Latn_PG
        case 0xD82B49444C61746ELLU: // lbw_Latn_ID
        case 0xDC2B49444C61746ELLU: // lbx_Latn_ID
        case 0xE02B41554C61746ELLU: // lby_Latn_AU
        case 0xE42B41554C61746ELLU: // lbz_Latn_AU
        case 0x884B49444C61746ELLU: // lcc_Latn_ID
        case 0x8C4B49444C61746ELLU: // lcd_Latn_ID
        case 0x904B49444C61746ELLU: // lce_Latn_ID
        case 0x944B49444C61746ELLU: // lcf_Latn_ID
        case 0x9C4B414F4C61746ELLU: // lch_Latn_AO
        case 0xAC4B49444C61746ELLU: // lcl_Latn_ID
        case 0xB04B50474C61746ELLU: // lcm_Latn_PG
        case 0xBC4B434E54686169LLU: // lcp_Thai_CN
        case 0xC04B49444C61746ELLU: // lcq_Latn_ID
        case 0xC84B49444C61746ELLU: // lcs_Latn_ID
        case 0x806B43494C61746ELLU: // lda_Latn_CI
        case 0x846B4E474C61746ELLU: // ldb_Latn_NG
        case 0x8C6B4E474C61746ELLU: // ldd_Latn_NG
        case 0x986B4E474C61746ELLU: // ldg_Latn_NG
        case 0x9C6B4E474C61746ELLU: // ldh_Latn_NG
        case 0xA06B43474C61746ELLU: // ldi_Latn_CG
        case 0xA46B4E474C61746ELLU: // ldj_Latn_NG
        case 0xA86B4E474C61746ELLU: // ldk_Latn_NG
        case 0xAC6B4E474C61746ELLU: // ldl_Latn_NG
        case 0xB06B474E4C61746ELLU: // ldm_Latn_GN
        case 0xB86B4E474C61746ELLU: // ldo_Latn_NG
        case 0xBC6B4E474C61746ELLU: // ldp_Latn_NG
        case 0xC06B4E474C61746ELLU: // ldq_Latn_NG
        case 0x808B43444C61746ELLU: // lea_Latn_CD
        case 0x848B5A4D4C61746ELLU: // leb_Latn_ZM
        case 0x888B424F4C61746ELLU: // lec_Latn_BO
        case 0x8C8B43444C61746ELLU: // led_Latn_CD
        case 0x908B42464C61746ELLU: // lee_Latn_BF
        case 0x948B47484C61746ELLU: // lef_Latn_GH
        case 0x9C8B5A4D4C61746ELLU: // leh_Latn_ZM
        case 0xA08B50474C61746ELLU: // lei_Latn_PG
        case 0xA48B43444C61746ELLU: // lej_Latn_CD
        case 0xA88B50474C61746ELLU: // lek_Latn_PG
        case 0xAC8B43444C61746ELLU: // lel_Latn_CD
        case 0xB08B434D4C61746ELLU: // lem_Latn_CM
        case 0xB48B484E4C61746ELLU: // len_Latn_HN
        case 0xB88B434D4C61746ELLU: // leo_Latn_CM
        case 0xBC8B494E4C657063LLU: // lep_Lepc_IN
        case 0xC08B50474C61746ELLU: // leq_Latn_PG
        case 0xC48B50474C61746ELLU: // ler_Latn_PG
        case 0xC88B43444C61746ELLU: // les_Latn_CD
        case 0xCC8B50474C61746ELLU: // let_Latn_PG
        case 0xD08B50474C61746ELLU: // leu_Latn_PG
        case 0xD48B49444C61746ELLU: // lev_Latn_ID
        case 0xD88B49444C61746ELLU: // lew_Latn_ID
        case 0xDC8B49444C61746ELLU: // lex_Latn_ID
        case 0xE08B49444C61746ELLU: // ley_Latn_ID
        case 0xE48B52554379726CLLU: // lez_Cyrl_RU
        case 0x80AB434D4C61746ELLU: // lfa_Latn_CM
        case 0x6C6755474C61746ELLU: // lg_Latn_UG
        case 0x80CB53424C61746ELLU: // lga_Latn_SB
        case 0x84CB53424C61746ELLU: // lgb_Latn_SB
        case 0x98CB55474C61746ELLU: // lgg_Latn_UG
        case 0x9CCB564E4C61746ELLU: // lgh_Latn_VN
        case 0xA0CB49444C61746ELLU: // lgi_Latn_ID
        case 0xA8CB56554C61746ELLU: // lgk_Latn_VU
        case 0xACCB53424C61746ELLU: // lgl_Latn_SB
        case 0xB0CB43444C61746ELLU: // lgm_Latn_CD
        case 0xB4CB45544C61746ELLU: // lgn_Latn_ET
        case 0xB8CB53534C61746ELLU: // lgo_Latn_SS
        case 0xC0CB47484C61746ELLU: // lgq_Latn_GH
        case 0xC4CB53424C61746ELLU: // lgr_Latn_SB
        case 0xCCCB50474C61746ELLU: // lgt_Latn_PG
        case 0xD0CB53424C61746ELLU: // lgu_Latn_SB
        case 0xE4CB43444C61746ELLU: // lgz_Latn_CD
        case 0x80EB564E4C61746ELLU: // lha_Latn_VN
        case 0x9CEB49444C61746ELLU: // lhh_Latn_ID
        case 0xA0EB434E4C61746ELLU: // lhi_Latn_CN
        case 0xB0EB4E5044657661LLU: // lhm_Deva_NP
        case 0xB4EB4D594C61746ELLU: // lhn_Latn_MY
        case 0xC8EB535953797263LLU: // lhs_Syrc_SY
        case 0xCCEB56554C61746ELLU: // lht_Latn_VU
        case 0xD0EB434E4C61746ELLU: // lhu_Latn_CN
        case 0x6C694E4C4C61746ELLU: // li_Latn_NL
        case 0x810B534C4C61746ELLU: // lia_Latn_SL
        case 0x850B50474C61746ELLU: // lib_Latn_PG
        case 0x890B434E4C61746ELLU: // lic_Latn_CN
        case 0x8D0B50474C61746ELLU: // lid_Latn_PG
        case 0x910B43444C61746ELLU: // lie_Latn_CD
        case 0x950B4E5044657661LLU: // lif_Deva_NP
        case 0x950B494E4C696D62LLU: // lif_Limb_IN
        case 0x990B47484C61746ELLU: // lig_Latn_GH
        case 0x9D0B50474C61746ELLU: // lih_Latn_PG
        case 0xA50B49544C61746ELLU: // lij_Latn_IT
        case 0xA90B43444C61746ELLU: // lik_Latn_CD
        case 0xAD0B43414C61746ELLU: // lil_Latn_CA
        case 0xB90B49444C61746ELLU: // lio_Latn_ID
        case 0xBD0B47484C61746ELLU: // lip_Latn_GH
        case 0xC10B45544C61746ELLU: // liq_Latn_ET
        case 0xC50B4C524C61746ELLU: // lir_Latn_LR
        case 0xC90B434E4C697375LLU: // lis_Lisu_CN
        case 0xD10B53444C61746ELLU: // liu_Latn_SD
        case 0xD50B4C564C61746ELLU: // liv_Latn_LV
        case 0xD90B49444C61746ELLU: // liw_Latn_ID
        case 0xDD0B49444C61746ELLU: // lix_Latn_ID
        case 0xE10B43464C61746ELLU: // liy_Latn_CF
        case 0xE50B43444C61746ELLU: // liz_Latn_CD
        case 0x812B41554C61746ELLU: // lja_Latn_AU
        case 0x912B49444C61746ELLU: // lje_Latn_ID
        case 0xA12B49444C61746ELLU: // lji_Latn_ID
        case 0xAD2B49444C61746ELLU: // ljl_Latn_ID
        case 0xBD2B49444C61746ELLU: // ljp_Latn_ID
        case 0xD92B41554C61746ELLU: // ljw_Latn_AU
        case 0xDD2B41554C61746ELLU: // ljx_Latn_AU
        case 0x814B544C4C61746ELLU: // lka_Latn_TL
        case 0x854B4B454C61746ELLU: // lkb_Latn_KE
        case 0x894B564E4C61746ELLU: // lkc_Latn_VN
        case 0x8D4B42524C61746ELLU: // lkd_Latn_BR
        case 0x914B55474C61746ELLU: // lke_Latn_UG
        case 0x9D4B425454696274LLU: // lkh_Tibt_BT
        case 0xA14B495241726162LLU: // lki_Arab_IR
        case 0xA54B4D594C61746ELLU: // lkj_Latn_MY
        case 0xAD4B50474C61746ELLU: // lkl_Latn_PG
        case 0xB14B41554C61746ELLU: // lkm_Latn_AU
        case 0xB54B56554C61746ELLU: // lkn_Latn_VU
        case 0xB94B4B454C61746ELLU: // lko_Latn_KE
        case 0xC54B53534C61746ELLU: // lkr_Latn_SS
        case 0xC94B4B454C61746ELLU: // lks_Latn_KE
        case 0xCD4B55534C61746ELLU: // lkt_Latn_US
        case 0xD14B41554C61746ELLU: // lku_Latn_AU
        case 0xE14B53534C61746ELLU: // lky_Latn_SS
        case 0x816B4E474C61746ELLU: // lla_Latn_NG
        case 0x856B4D5A4C61746ELLU: // llb_Latn_MZ
        case 0x896B474E4C61746ELLU: // llc_Latn_GN
        case 0x8D6B49544C61746ELLU: // lld_Latn_IT
        case 0x916B50474C61746ELLU: // lle_Latn_PG
        case 0x956B50474C61746ELLU: // llf_Latn_PG
        case 0x996B49444C61746ELLU: // llg_Latn_ID
        case 0xA16B43474C61746ELLU: // lli_Latn_CG
        case 0xA56B41554C61746ELLU: // llj_Latn_AU
        case 0xA96B4D594C61746ELLU: // llk_Latn_MY
        case 0xAD6B50474C61746ELLU: // lll_Latn_PG
        case 0xB16B49444C61746ELLU: // llm_Latn_ID
        case 0xB56B54444C61746ELLU: // lln_Latn_TD
        case 0xBD6B56554C61746ELLU: // llp_Latn_VU
        case 0xC16B49444C61746ELLU: // llq_Latn_ID
        case 0xD16B53424C61746ELLU: // llu_Latn_SB
        case 0xDD6B464A4C61746ELLU: // llx_Latn_FJ
        case 0x818B474E4C61746ELLU: // lma_Latn_GN
        case 0x858B56554C61746ELLU: // lmb_Latn_VU
        case 0x898B41554C61746ELLU: // lmc_Latn_AU
        case 0x8D8B53444C61746ELLU: // lmd_Latn_SD
        case 0x918B54444C61746ELLU: // lme_Latn_TD
        case 0x958B49444C61746ELLU: // lmf_Latn_ID
        case 0x998B50474C61746ELLU: // lmg_Latn_PG
        case 0x9D8B4E5044657661LLU: // lmh_Deva_NP
        case 0xA18B43444C61746ELLU: // lmi_Latn_CD
        case 0xA58B49444C61746ELLU: // lmj_Latn_ID
        case 0xA98B494E4C61746ELLU: // lmk_Latn_IN
        case 0xAD8B56554C61746ELLU: // lml_Latn_VU
        case 0xB58B494E54656C75LLU: // lmn_Telu_IN
        case 0xB98B49544C61746ELLU: // lmo_Latn_IT
        case 0xBD8B434D4C61746ELLU: // lmp_Latn_CM
        case 0xC18B49444C61746ELLU: // lmq_Latn_ID
        case 0xC58B49444C61746ELLU: // lmr_Latn_ID
        case 0xD18B56554C61746ELLU: // lmu_Latn_VU
        case 0xD58B464A4C61746ELLU: // lmv_Latn_FJ
        case 0xD98B55534C61746ELLU: // lmw_Latn_US
        case 0xDD8B434D4C61746ELLU: // lmx_Latn_CM
        case 0xE18B49444C61746ELLU: // lmy_Latn_ID
        case 0x6C6E43444C61746ELLU: // ln_Latn_CD
        case 0x81AB43464C61746ELLU: // lna_Latn_CF
        case 0x85AB4E414C61746ELLU: // lnb_Latn_NA
        case 0x8DAB49444C61746ELLU: // lnd_Latn_ID
        case 0x99AB48554C61746ELLU: // lng_Latn_HU
        case 0x9DAB4D594C61746ELLU: // lnh_Latn_MY
        case 0xA1AB50474C61746ELLU: // lni_Latn_PG
        case 0xA5AB41554C61746ELLU: // lnj_Latn_AU
        case 0xADAB43464C61746ELLU: // lnl_Latn_CF
        case 0xB1AB50474C61746ELLU: // lnm_Latn_PG
        case 0xB5AB56554C61746ELLU: // lnn_Latn_VU
        case 0xC9AB434D4C61746ELLU: // lns_Latn_CM
        case 0xD1AB4E474C61746ELLU: // lnu_Latn_NG
        case 0xD9AB41554C61746ELLU: // lnw_Latn_AU
        case 0xE5AB43444C61746ELLU: // lnz_Latn_CD
        case 0x6C6F4C414C616F6FLLU: // lo_Laoo_LA
        case 0x81CB49444C61746ELLU: // loa_Latn_ID
        case 0x85CB42464C61746ELLU: // lob_Latn_BF
        case 0x89CB50484C61746ELLU: // loc_Latn_PH
        case 0x91CB49444C61746ELLU: // loe_Latn_ID
        case 0x99CB43444C61746ELLU: // log_Latn_CD
        case 0x9DCB53534C61746ELLU: // loh_Latn_SS
        case 0xA1CB43494C61746ELLU: // loi_Latn_CI
        case 0xA5CB50474C61746ELLU: // loj_Latn_PG
        case 0xA9CB534C4C61746ELLU: // lok_Latn_SL
        case 0xADCB43444C61746ELLU: // lol_Latn_CD
        case 0xB1CB4C524C61746ELLU: // lom_Latn_LR
        case 0xB5CB4D574C61746ELLU: // lon_Latn_MW
        case 0xB9CB43444C61746ELLU: // loo_Latn_CD
        case 0xBDCB4E474C61746ELLU: // lop_Latn_NG
        case 0xC1CB43444C61746ELLU: // loq_Latn_CD
        case 0xC5CB43494C61746ELLU: // lor_Latn_CI
        case 0xC9CB50474C61746ELLU: // los_Latn_PG
        case 0xCDCB53534C61746ELLU: // lot_Latn_SS
        case 0xD1CB55534C61746ELLU: // lou_Latn_US
        case 0xD9CB4D594C61746ELLU: // low_Latn_MY
        case 0xDDCB49444C61746ELLU: // lox_Latn_ID
        case 0xE1CB4E5044657661LLU: // loy_Deva_NP
        case 0xE5CB5A4D4C61746ELLU: // loz_Latn_ZM
        case 0x81EB56554C61746ELLU: // lpa_Latn_VU
        case 0x91EB49444C61746ELLU: // lpe_Latn_ID
        case 0xB5EB4D4D4C61746ELLU: // lpn_Latn_MM
        case 0xB9EB434E506C7264LLU: // lpo_Plrd_CN
        case 0xDDEB53534C61746ELLU: // lpx_Latn_SS
        case 0xC60B53534C61746ELLU: // lqr_Latn_SS
        case 0x822B4D594C61746ELLU: // lra_Latn_MY
        case 0x8A2B495241726162LLU: // lrc_Arab_IR
        case 0x9A2B41554C61746ELLU: // lrg_Latn_AU
        case 0xA22B4B454C61746ELLU: // lri_Latn_KE
        case 0xAA2B504B41726162LLU: // lrk_Arab_PK
        case 0xAE2B495241726162LLU: // lrl_Arab_IR
        case 0xB22B4B454C61746ELLU: // lrm_Latn_KE
        case 0xB62B49444C61746ELLU: // lrn_Latn_ID
        case 0xBA2B53444C61746ELLU: // lro_Latn_SD
        case 0xCE2B49444C61746ELLU: // lrt_Latn_ID
        case 0xD62B56554C61746ELLU: // lrv_Latn_VU
        case 0xE62B56554C61746ELLU: // lrz_Latn_VU
        case 0x824B495241726162LLU: // lsa_Arab_IR
        case 0x8E4B494C48656272LLU: // lsd_Hebr_IL
        case 0x924B43444C61746ELLU: // lse_Latn_CD
        case 0xA24B4D4D4C61746ELLU: // lsi_Latn_MM
        case 0xB24B55474C61746ELLU: // lsm_Latn_UG
        case 0xC64B50474C61746ELLU: // lsr_Latn_PG
        case 0xCA4B504B41726162LLU: // lss_Arab_PK
        case 0x6C744C544C61746ELLU: // lt_Latn_LT
        case 0x8A6B434E48616E74LLU: // ltc_Hant_CN
        case 0x9A6B4C564C61746ELLU: // ltg_Latn_LV
        case 0x9E6B55474C61746ELLU: // lth_Latn_UG
        case 0xA26B49444C61746ELLU: // lti_Latn_ID
        case 0xB66B42524C61746ELLU: // ltn_Latn_BR
        case 0xBA6B4B454C61746ELLU: // lto_Latn_KE
        case 0xCA6B4B454C61746ELLU: // lts_Latn_KE
        case 0xD26B49444C61746ELLU: // ltu_Latn_ID
        case 0x6C7543444C61746ELLU: // lu_Latn_CD
        case 0x828B43444C61746ELLU: // lua_Latn_CD
        case 0x8A8B55474C61746ELLU: // luc_Latn_UG
        case 0x8E8B52554C61746ELLU: // lud_Latn_RU
        case 0x928B5A4D4C61746ELLU: // lue_Latn_ZM
        case 0x968B50474C61746ELLU: // luf_Latn_PG
        case 0xA28B55534C61746ELLU: // lui_Latn_US
        case 0xA68B43444C61746ELLU: // luj_Latn_CD
        case 0xAA8B425454696274LLU: // luk_Tibt_BT
        case 0xAE8B53534C61746ELLU: // lul_Latn_SS
        case 0xB28B414F4C61746ELLU: // lum_Latn_AO
        case 0xB68B5A4D4C61746ELLU: // lun_Latn_ZM
        case 0xBA8B4B454C61746ELLU: // luo_Latn_KE
        case 0xBE8B47414C61746ELLU: // lup_Latn_GA
        case 0xC28B43554C61746ELLU: // luq_Latn_CU
        case 0xC68B49444C61746ELLU: // lur_Latn_ID
        case 0xCA8B494E4C61746ELLU: // lus_Latn_IN
        case 0xCE8B55534C61746ELLU: // lut_Latn_US
        case 0xD28B4E5044657661LLU: // luu_Deva_NP
        case 0xD68B4F4D41726162LLU: // luv_Arab_OM
        case 0xDA8B434D4C61746ELLU: // luw_Latn_CM
        case 0xE28B4B454C61746ELLU: // luy_Latn_KE
        case 0xE68B495241726162LLU: // luz_Arab_IR
        case 0x6C764C564C61746ELLU: // lv_Latn_LV
        case 0x82AB544C4C61746ELLU: // lva_Latn_TL
        case 0xA2AB4C414C61746ELLU: // lvi_Latn_LA
        case 0xAAAB53424C61746ELLU: // lvk_Latn_SB
        case 0xAEAB43444C61746ELLU: // lvl_Latn_CD
        case 0xD2AB49444C61746ELLU: // lvu_Latn_ID
        case 0x82CB43444C61746ELLU: // lwa_Latn_CD
        case 0x92CB49444C61746ELLU: // lwe_Latn_ID
        case 0x9ACB4B454C61746ELLU: // lwg_Latn_KE
        case 0x9ECB564E4C61746ELLU: // lwh_Latn_VN
        case 0xAECB544854686169LLU: // lwl_Thai_TH
        case 0xB2CB434E54686169LLU: // lwm_Thai_CN
        case 0xBACB53534C61746ELLU: // lwo_Latn_SS
        case 0xCECB49444C61746ELLU: // lwt_Latn_ID
        case 0xDACB56554C61746ELLU: // lww_Latn_VU
        case 0xB2EB50474C61746ELLU: // lxm_Latn_PG
        case 0x830B425454696274LLU: // lya_Tibt_BT
        case 0xB70B5A4D4C61746ELLU: // lyn_Latn_ZM
        case 0x9F2B434E48616E73LLU: // lzh_Hans_CN
        case 0xAF2B56554C61746ELLU: // lzl_Latn_VU
        case 0xB72B4D4D4C61746ELLU: // lzn_Latn_MM
        case 0xE72B54524C61746ELLU: // lzz_Latn_TR
        case 0x800C4D584C61746ELLU: // maa_Latn_MX
        case 0x840C4D584C61746ELLU: // mab_Latn_MX
        case 0x8C0C49444C61746ELLU: // mad_Latn_ID
        case 0x900C4E474C61746ELLU: // mae_Latn_NG
        case 0x940C434D4C61746ELLU: // maf_Latn_CM
        case 0x980C494E44657661LLU: // mag_Deva_IN
        case 0xA00C494E44657661LLU: // mai_Deva_IN
        case 0xA40C4D584C61746ELLU: // maj_Latn_MX
        case 0xA80C49444C61746ELLU: // mak_Latn_ID
        case 0xB00C47544C61746ELLU: // mam_Latn_GT
        case 0xB40C474D4C61746ELLU: // man_Latn_GM
        case 0xB40C474E4E6B6F6FLLU: // man_Nkoo_GN
        case 0xC00C4D584C61746ELLU: // maq_Latn_MX
        case 0xC80C4B454C61746ELLU: // mas_Latn_KE
        case 0xCC0C4D584C61746ELLU: // mat_Latn_MX
        case 0xD00C4D584C61746ELLU: // mau_Latn_MX
        case 0xD40C42524C61746ELLU: // mav_Latn_BR
        case 0xD80C47484C61746ELLU: // maw_Latn_GH
        case 0xDC0C49444C61746ELLU: // max_Latn_ID
        case 0xE40C4D584C61746ELLU: // maz_Latn_MX
        case 0x802C50484C61746ELLU: // mba_Latn_PH
        case 0x842C50484C61746ELLU: // mbb_Latn_PH
        case 0x882C42524C61746ELLU: // mbc_Latn_BR
        case 0x8C2C50484C61746ELLU: // mbd_Latn_PH
        case 0x942C53474C61746ELLU: // mbf_Latn_SG
        case 0x9C2C50474C61746ELLU: // mbh_Latn_PG
        case 0xA02C50484C61746ELLU: // mbi_Latn_PH
        case 0xA42C42524C61746ELLU: // mbj_Latn_BR
        case 0xA82C50474C61746ELLU: // mbk_Latn_PG
        case 0xAC2C42524C61746ELLU: // mbl_Latn_BR
        case 0xB02C43474C61746ELLU: // mbm_Latn_CG
        case 0xB42C434F4C61746ELLU: // mbn_Latn_CO
        case 0xB82C434D4C61746ELLU: // mbo_Latn_CM
        case 0xBC2C434F4C61746ELLU: // mbp_Latn_CO
        case 0xC02C50474C61746ELLU: // mbq_Latn_PG
        case 0xC42C434F4C61746ELLU: // mbr_Latn_CO
        case 0xC82C50484C61746ELLU: // mbs_Latn_PH
        case 0xCC2C50484C61746ELLU: // mbt_Latn_PH
        case 0xD02C4E474C61746ELLU: // mbu_Latn_NG
        case 0xD42C474E4C61746ELLU: // mbv_Latn_GN
        case 0xD82C50474C61746ELLU: // mbw_Latn_PG
        case 0xDC2C50474C61746ELLU: // mbx_Latn_PG
        case 0xE02C504B41726162LLU: // mby_Arab_PK
        case 0xE42C4D584C61746ELLU: // mbz_Latn_MX
        case 0x804C50594C61746ELLU: // mca_Latn_PY
        case 0x844C50454C61746ELLU: // mcb_Latn_PE
        case 0x884C50474C61746ELLU: // mcc_Latn_PG
        case 0x8C4C50454C61746ELLU: // mcd_Latn_PE
        case 0x904C4D584C61746ELLU: // mce_Latn_MX
        case 0x944C50454C61746ELLU: // mcf_Latn_PE
        case 0x984C56454C61746ELLU: // mcg_Latn_VE
        case 0x9C4C56454C61746ELLU: // mch_Latn_VE
        case 0xA04C50474C61746ELLU: // mci_Latn_PG
        case 0xA44C4E474C61746ELLU: // mcj_Latn_NG
        case 0xA84C414F4C61746ELLU: // mck_Latn_AO
        case 0xAC4C434F4C61746ELLU: // mcl_Latn_CO
        case 0xB04C4D594C61746ELLU: // mcm_Latn_MY
        case 0xB44C54444C61746ELLU: // mcn_Latn_TD
        case 0xB84C4D584C61746ELLU: // mco_Latn_MX
        case 0xBC4C434D4C61746ELLU: // mcp_Latn_CM
        case 0xC04C50474C61746ELLU: // mcq_Latn_PG
        case 0xC44C50474C61746ELLU: // mcr_Latn_PG
        case 0xC84C434D4C61746ELLU: // mcs_Latn_CM
        case 0xCC4C434D4C61746ELLU: // mct_Latn_CM
        case 0xD04C434D4C61746ELLU: // mcu_Latn_CM
        case 0xD44C50474C61746ELLU: // mcv_Latn_PG
        case 0xD84C54444C61746ELLU: // mcw_Latn_TD
        case 0xDC4C43464C61746ELLU: // mcx_Latn_CF
        case 0xE04C50474C61746ELLU: // mcy_Latn_PG
        case 0xE44C50474C61746ELLU: // mcz_Latn_PG
        case 0x806C4E474C61746ELLU: // mda_Latn_NG
        case 0x846C50474C61746ELLU: // mdb_Latn_PG
        case 0x886C50474C61746ELLU: // mdc_Latn_PG
        case 0x8C6C434D4C61746ELLU: // mdd_Latn_CM
        case 0x906C544441726162LLU: // mde_Arab_TD
        case 0x946C52554379726CLLU: // mdf_Cyrl_RU
        case 0x986C54444C61746ELLU: // mdg_Latn_TD
        case 0x9C6C50484C61746ELLU: // mdh_Latn_PH
        case 0xA06C43444C61746ELLU: // mdi_Latn_CD
        case 0xA46C43444C61746ELLU: // mdj_Latn_CD
        case 0xA86C43444C61746ELLU: // mdk_Latn_CD
        case 0xB06C43444C61746ELLU: // mdm_Latn_CD
        case 0xB46C43464C61746ELLU: // mdn_Latn_CF
        case 0xBC6C43444C61746ELLU: // mdp_Latn_CD
        case 0xC06C43444C61746ELLU: // mdq_Latn_CD
        case 0xC46C49444C61746ELLU: // mdr_Latn_ID
        case 0xC86C50474C61746ELLU: // mds_Latn_PG
        case 0xCC6C43474C61746ELLU: // mdt_Latn_CG
        case 0xD06C43474C61746ELLU: // mdu_Latn_CG
        case 0xD46C4D584C61746ELLU: // mdv_Latn_MX
        case 0xD86C43474C61746ELLU: // mdw_Latn_CG
        case 0xDC6C455445746869LLU: // mdx_Ethi_ET
        case 0xE06C455445746869LLU: // mdy_Ethi_ET
        case 0xE46C42524C61746ELLU: // mdz_Latn_BR
        case 0x808C434D4C61746ELLU: // mea_Latn_CM
        case 0x848C50474C61746ELLU: // meb_Latn_PG
        case 0x888C41554C61746ELLU: // mec_Latn_AU
        case 0x8C8C50474C61746ELLU: // med_Latn_PG
        case 0x908C50474C61746ELLU: // mee_Latn_PG
        case 0x9C8C4D584C61746ELLU: // meh_Latn_MX
        case 0xA48C49444C61746ELLU: // mej_Latn_ID
        case 0xA88C50474C61746ELLU: // mek_Latn_PG
        case 0xAC8C4D594C61746ELLU: // mel_Latn_MY
        case 0xB08C41554C61746ELLU: // mem_Latn_AU
        case 0xB48C534C4C61746ELLU: // men_Latn_SL
        case 0xB88C4D594C61746ELLU: // meo_Latn_MY
        case 0xBC8C41554C61746ELLU: // mep_Latn_AU
        case 0xC08C434D4C61746ELLU: // meq_Latn_CM
        case 0xC48C4B454C61746ELLU: // mer_Latn_KE
        case 0xC88C54444C61746ELLU: // mes_Latn_TD
        case 0xCC8C50474C61746ELLU: // met_Latn_PG
        case 0xD08C50474C61746ELLU: // meu_Latn_PG
        case 0xD48C4C524C61746ELLU: // mev_Latn_LR
        case 0xD88C4E474C61746ELLU: // mew_Latn_NG
        case 0xE08C534E4C61746ELLU: // mey_Latn_SN
        case 0xE48C55534C61746ELLU: // mez_Latn_US
        case 0x80AC544841726162LLU: // mfa_Arab_TH
        case 0x84AC49444C61746ELLU: // mfb_Latn_ID
        case 0x88AC43444C61746ELLU: // mfc_Latn_CD
        case 0x8CAC434D4C61746ELLU: // mfd_Latn_CM
        case 0x90AC4D554C61746ELLU: // mfe_Latn_MU
        case 0x94AC434D4C61746ELLU: // mff_Latn_CM
        case 0x98AC474E4C61746ELLU: // mfg_Latn_GN
        case 0x9CAC434D4C61746ELLU: // mfh_Latn_CM
        case 0xA0AC434D41726162LLU: // mfi_Arab_CM
        case 0xA4AC434D4C61746ELLU: // mfj_Latn_CM
        case 0xA8AC434D4C61746ELLU: // mfk_Latn_CM
        case 0xACAC4E474C61746ELLU: // mfl_Latn_NG
        case 0xB0AC4E474C61746ELLU: // mfm_Latn_NG
        case 0xB4AC4E474C61746ELLU: // mfn_Latn_NG
        case 0xB8AC4E474C61746ELLU: // mfo_Latn_NG
        case 0xBCAC49444C61746ELLU: // mfp_Latn_ID
        case 0xC0AC54474C61746ELLU: // mfq_Latn_TG
        case 0xC4AC41554C61746ELLU: // mfr_Latn_AU
        case 0xCCAC50474C61746ELLU: // mft_Latn_PG
        case 0xD0AC414F4C61746ELLU: // mfu_Latn_AO
        case 0xD4AC534E4C61746ELLU: // mfv_Latn_SN
        case 0xD8AC50474C61746ELLU: // mfw_Latn_PG
        case 0xDCAC45544C61746ELLU: // mfx_Latn_ET
        case 0xE0AC4D584C61746ELLU: // mfy_Latn_MX
        case 0xE4AC53534C61746ELLU: // mfz_Latn_SS
        case 0x6D674D474C61746ELLU: // mg_Latn_MG
        case 0x80CC49454C617467LLU: // mga_Latg_IE
        case 0x84CC54444C61746ELLU: // mgb_Latn_TD
        case 0x88CC53534C61746ELLU: // mgc_Latn_SS
        case 0x8CCC53534C61746ELLU: // mgd_Latn_SS
        case 0x90CC54444C61746ELLU: // mge_Latn_TD
        case 0x94CC49444C61746ELLU: // mgf_Latn_ID
        case 0x98CC434D4C61746ELLU: // mgg_Latn_CM
        case 0x9CCC4D5A4C61746ELLU: // mgh_Latn_MZ
        case 0xA0CC4E474C61746ELLU: // mgi_Latn_NG
        case 0xA4CC4E474C61746ELLU: // mgj_Latn_NG
        case 0xA8CC49444C61746ELLU: // mgk_Latn_ID
        case 0xACCC50474C61746ELLU: // mgl_Latn_PG
        case 0xB0CC544C4C61746ELLU: // mgm_Latn_TL
        case 0xB4CC43464C61746ELLU: // mgn_Latn_CF
        case 0xB8CC434D4C61746ELLU: // mgo_Latn_CM
        case 0xBCCC4E5044657661LLU: // mgp_Deva_NP
        case 0xC0CC545A4C61746ELLU: // mgq_Latn_TZ
        case 0xC4CC5A4D4C61746ELLU: // mgr_Latn_ZM
        case 0xC8CC545A4C61746ELLU: // mgs_Latn_TZ
        case 0xCCCC50474C61746ELLU: // mgt_Latn_PG
        case 0xD0CC50474C61746ELLU: // mgu_Latn_PG
        case 0xD4CC545A4C61746ELLU: // mgv_Latn_TZ
        case 0xD8CC545A4C61746ELLU: // mgw_Latn_TZ
        case 0xE0CC545A4C61746ELLU: // mgy_Latn_TZ
        case 0xE4CC545A4C61746ELLU: // mgz_Latn_TZ
        case 0x6D684D484C61746ELLU: // mh_Latn_MH
        case 0x84EC47414C61746ELLU: // mhb_Latn_GA
        case 0x88EC4D584C61746ELLU: // mhc_Latn_MX
        case 0x8CEC545A4C61746ELLU: // mhd_Latn_TZ
        case 0x90EC4D594C61746ELLU: // mhe_Latn_MY
        case 0x94EC50474C61746ELLU: // mhf_Latn_PG
        case 0x98EC41554C61746ELLU: // mhg_Latn_AU
        case 0xA0EC55474C61746ELLU: // mhi_Latn_UG
        case 0xA4EC414641726162LLU: // mhj_Arab_AF
        case 0xA8EC434D4C61746ELLU: // mhk_Latn_CM
        case 0xACEC50474C61746ELLU: // mhl_Latn_PG
        case 0xB0EC4D5A4C61746ELLU: // mhm_Latn_MZ
        case 0xB4EC49544C61746ELLU: // mhn_Latn_IT
        case 0xB8EC5A4D4C61746ELLU: // mho_Latn_ZM
        case 0xBCEC49444C61746ELLU: // mhp_Latn_ID
        case 0xC0EC55534C61746ELLU: // mhq_Latn_US
        case 0xC8EC49444C61746ELLU: // mhs_Latn_ID
        case 0xCCEC56454C61746ELLU: // mht_Latn_VE
        case 0xD0EC494E4C61746ELLU: // mhu_Latn_IN
        case 0xD8EC42574C61746ELLU: // mhw_Latn_BW
        case 0xDCEC4D4D4C61746ELLU: // mhx_Latn_MM
        case 0xE0EC49444C61746ELLU: // mhy_Latn_ID
        case 0xE4EC49444C61746ELLU: // mhz_Latn_ID
        case 0x6D694E5A4C61746ELLU: // mi_Latn_NZ
        case 0x810C55534C61746ELLU: // mia_Latn_US
        case 0x850C4D584C61746ELLU: // mib_Latn_MX
        case 0x890C43414C61746ELLU: // mic_Latn_CA
        case 0x8D0C49514D616E64LLU: // mid_Mand_IQ
        case 0x910C4D584C61746ELLU: // mie_Latn_MX
        case 0x950C434D4C61746ELLU: // mif_Latn_CM
        case 0x990C4D584C61746ELLU: // mig_Latn_MX
        case 0x9D0C4D584C61746ELLU: // mih_Latn_MX
        case 0xA10C4D584C61746ELLU: // mii_Latn_MX
        case 0xA50C434D4C61746ELLU: // mij_Latn_CM
        case 0xA90C55534C61746ELLU: // mik_Latn_US
        case 0xAD0C4D584C61746ELLU: // mil_Latn_MX
        case 0xB10C4D584C61746ELLU: // mim_Latn_MX
        case 0xB50C49444C61746ELLU: // min_Latn_ID
        case 0xB90C4D584C61746ELLU: // mio_Latn_MX
        case 0xBD0C4D584C61746ELLU: // mip_Latn_MX
        case 0xC10C4E494C61746ELLU: // miq_Latn_NI
        case 0xC50C4D584C61746ELLU: // mir_Latn_MX
        case 0xCD0C4D584C61746ELLU: // mit_Latn_MX
        case 0xD10C4D584C61746ELLU: // miu_Latn_MX
        case 0xD90C50474C61746ELLU: // miw_Latn_PG
        case 0xDD0C4D584C61746ELLU: // mix_Latn_MX
        case 0xE10C4D584C61746ELLU: // miy_Latn_MX
        case 0xE50C4D584C61746ELLU: // miz_Latn_MX
        case 0x852C544C4C61746ELLU: // mjb_Latn_TL
        case 0x892C4D584C61746ELLU: // mjc_Latn_MX
        case 0x8D2C55534C61746ELLU: // mjd_Latn_US
        case 0x912C54444C61746ELLU: // mje_Latn_TD
        case 0x992C434E4C61746ELLU: // mjg_Latn_CN
        case 0x9D2C545A4C61746ELLU: // mjh_Latn_TZ
        case 0xA12C434E4C61746ELLU: // mji_Latn_CN
        case 0xA52C50474C61746ELLU: // mjj_Latn_PG
        case 0xA92C50474C61746ELLU: // mjk_Latn_PG
        case 0xAD2C494E44657661LLU: // mjl_Deva_IN
        case 0xB12C50474C61746ELLU: // mjm_Latn_PG
        case 0xB52C50474C61746ELLU: // mjn_Latn_PG
        case 0xC12C494E4D6C796DLLU: // mjq_Mlym_IN
        case 0xC52C494E4D6C796DLLU: // mjr_Mlym_IN
        case 0xC92C4E474C61746ELLU: // mjs_Latn_NG
        case 0xCD2C494E44657661LLU: // mjt_Deva_IN
        case 0xD12C494E54656C75LLU: // mju_Telu_IN
        case 0xD52C494E4D6C796DLLU: // mjv_Mlym_IN
        case 0xD92C494E4C61746ELLU: // mjw_Latn_IN
        case 0xDD2C42444C61746ELLU: // mjx_Latn_BD
        case 0xE12C55534C61746ELLU: // mjy_Latn_US
        case 0xE52C4E5044657661LLU: // mjz_Deva_NP
        case 0x6D6B4D4B4379726CLLU: // mk_Cyrl_MK
        case 0x814C43494C61746ELLU: // mka_Latn_CI
        case 0x854C494E44657661LLU: // mkb_Deva_IN
        case 0x894C50474C61746ELLU: // mkc_Latn_PG
        case 0x914C494E44657661LLU: // mke_Deva_IN
        case 0x954C4E474C61746ELLU: // mkf_Latn_NG
        case 0xA14C504B41726162LLU: // mki_Arab_PK
        case 0xA54C464D4C61746ELLU: // mkj_Latn_FM
        case 0xA94C434D4C61746ELLU: // mkk_Latn_CM
        case 0xAD4C424A4C61746ELLU: // mkl_Latn_BJ
        case 0xB14C544854686169LLU: // mkm_Thai_TH
        case 0xB54C49444C61746ELLU: // mkn_Latn_ID
        case 0xB94C4E474C61746ELLU: // mko_Latn_NG
        case 0xBD4C50474C61746ELLU: // mkp_Latn_PG
        case 0xC54C50474C61746ELLU: // mkr_Latn_PG
        case 0xC94C4D584C61746ELLU: // mks_Latn_MX
        case 0xCD4C4E434C61746ELLU: // mkt_Latn_NC
        case 0xD14C474E4C61746ELLU: // mku_Latn_GN
        case 0xD54C56554C61746ELLU: // mkv_Latn_VU
        case 0xD94C43474C61746ELLU: // mkw_Latn_CG
        case 0xDD4C50484C61746ELLU: // mkx_Latn_PH
        case 0xE14C49444C61746ELLU: // mky_Latn_ID
        case 0xE54C544C4C61746ELLU: // mkz_Latn_TL
        case 0x6D6C494E4D6C796DLLU: // ml_Mlym_IN
        case 0x816C56554C61746ELLU: // mla_Latn_VU
        case 0x856C434D4C61746ELLU: // mlb_Latn_CM
        case 0x896C564E4C61746ELLU: // mlc_Latn_VN
        case 0x916C50474C61746ELLU: // mle_Latn_PG
        case 0x956C4C4154686169LLU: // mlf_Thai_LA
        case 0x9D6C50474C61746ELLU: // mlh_Latn_PG
        case 0xA16C49444C61746ELLU: // mli_Latn_ID
        case 0xA56C54444C61746ELLU: // mlj_Latn_TD
        case 0xA96C4B454C61746ELLU: // mlk_Latn_KE
        case 0xAD6C56554C61746ELLU: // mll_Latn_VU
        case 0xB56C53424C61746ELLU: // mln_Latn_SB
        case 0xB96C534E4C61746ELLU: // mlo_Latn_SN
        case 0xBD6C50474C61746ELLU: // mlp_Latn_PG
        case 0xC16C534E4C61746ELLU: // mlq_Latn_SN
        case 0xC56C434D4C61746ELLU: // mlr_Latn_CM
        case 0xC96C53444C61746ELLU: // mls_Latn_SD
        case 0xD16C53424C61746ELLU: // mlu_Latn_SB
        case 0xD56C56554C61746ELLU: // mlv_Latn_VU
        case 0xD96C434D4C61746ELLU: // mlw_Latn_CM
        case 0xDD6C56554C61746ELLU: // mlx_Latn_VU
        case 0xE56C50484C61746ELLU: // mlz_Latn_PH
        case 0x818C4E474C61746ELLU: // mma_Latn_NG
        case 0x858C49444C61746ELLU: // mmb_Latn_ID
        case 0x898C4D584C61746ELLU: // mmc_Latn_MX
        case 0x8D8C434E4C61746ELLU: // mmd_Latn_CN
        case 0x918C56554C61746ELLU: // mme_Latn_VU
        case 0x958C4E474C61746ELLU: // mmf_Latn_NG
        case 0x998C56554C61746ELLU: // mmg_Latn_VU
        case 0x9D8C42524C61746ELLU: // mmh_Latn_BR
        case 0xA18C50474C61746ELLU: // mmi_Latn_PG
        case 0xB18C56554C61746ELLU: // mmm_Latn_VU
        case 0xB58C50484C61746ELLU: // mmn_Latn_PH
        case 0xB98C50474C61746ELLU: // mmo_Latn_PG
        case 0xBD8C50474C61746ELLU: // mmp_Latn_PG
        case 0xC18C50474C61746ELLU: // mmq_Latn_PG
        case 0xC58C434E4C61746ELLU: // mmr_Latn_CN
        case 0xCD8C50474C61746ELLU: // mmt_Latn_PG
        case 0xD18C434D4C61746ELLU: // mmu_Latn_CM
        case 0xD58C42524C61746ELLU: // mmv_Latn_BR
        case 0xD98C56554C61746ELLU: // mmw_Latn_VU
        case 0xDD8C50474C61746ELLU: // mmx_Latn_PG
        case 0xE18C54444C61746ELLU: // mmy_Latn_TD
        case 0xE58C43444C61746ELLU: // mmz_Latn_CD
        case 0x6D6E4D4E4379726CLLU: // mn_Cyrl_MN
        case 0x6D6E434E4D6F6E67LLU: // mn_Mong_CN
        case 0x81AC50474C61746ELLU: // mna_Latn_PG
        case 0x85AC49444C61746ELLU: // mnb_Latn_ID
        case 0x89AC434E4D6F6E67LLU: // mnc_Mong_CN
        case 0x8DAC42524C61746ELLU: // mnd_Latn_BR
        case 0x91AC54444C61746ELLU: // mne_Latn_TD
        case 0x95AC434D4C61746ELLU: // mnf_Latn_CM
        case 0x99AC564E4C61746ELLU: // mng_Latn_VN
        case 0x9DAC43444C61746ELLU: // mnh_Latn_CD
        case 0xA1AC494E42656E67LLU: // mni_Beng_IN
        case 0xA5AC414641726162LLU: // mnj_Arab_AF
        case 0xADAC56554C61746ELLU: // mnl_Latn_VU
        case 0xB1AC50474C61746ELLU: // mnm_Latn_PG
        case 0xB5AC564E4C61746ELLU: // mnn_Latn_VN
        case 0xBDAC434E4C61746ELLU: // mnp_Latn_CN
        case 0xC1AC4D594C61746ELLU: // mnq_Latn_MY
        case 0xC5AC55534C61746ELLU: // mnr_Latn_US
        case 0xC9AC52554379726CLLU: // mns_Cyrl_RU
        case 0xD1AC49444C61746ELLU: // mnu_Latn_ID
        case 0xD5AC53424C61746ELLU: // mnv_Latn_SB
        case 0xD9AC4D4D4D796D72LLU: // mnw_Mymr_MM
        case 0xDDAC49444C61746ELLU: // mnx_Latn_ID
        case 0xE1AC4D5A4C61746ELLU: // mny_Latn_MZ
        case 0xE5AC49444C61746ELLU: // mnz_Latn_ID
        case 0x6D6F524F4C61746ELLU: // mo_Latn_RO
        case 0x81CC43494C61746ELLU: // moa_Latn_CI
        case 0x89CC41524C61746ELLU: // moc_Latn_AR
        case 0x8DCC55534C61746ELLU: // mod_Latn_US
        case 0x91CC43414C61746ELLU: // moe_Latn_CA
        case 0x99CC49444C61746ELLU: // mog_Latn_ID
        case 0x9DCC43414C61746ELLU: // moh_Latn_CA
        case 0xA1CC4E474C61746ELLU: // moi_Latn_NG
        case 0xA5CC43474C61746ELLU: // moj_Latn_CG
        case 0xA9CC49444C61746ELLU: // mok_Latn_ID
        case 0xB1CC4E494C61746ELLU: // mom_Latn_NI
        case 0xB9CC564E4C61746ELLU: // moo_Latn_VN
        case 0xBDCC425A4C61746ELLU: // mop_Latn_BZ
        case 0xC1CC49444C61746ELLU: // moq_Latn_ID
        case 0xC5CC53444C61746ELLU: // mor_Latn_SD
        case 0xC9CC42464C61746ELLU: // mos_Latn_BF
        case 0xCDCC434F4C61746ELLU: // mot_Latn_CO
        case 0xD1CC54444C61746ELLU: // mou_Latn_TD
        case 0xD5CC55534C61746ELLU: // mov_Latn_US
        case 0xD9CC43474C61746ELLU: // mow_Latn_CG
        case 0xDDCC50474C61746ELLU: // mox_Latn_PG
        case 0xE1CC45544C61746ELLU: // moy_Latn_ET
        case 0xE5CC54444C61746ELLU: // moz_Latn_TD
        case 0x81EC545A4C61746ELLU: // mpa_Latn_TZ
        case 0x85EC41554C61746ELLU: // mpb_Latn_AU
        case 0x89EC41554C61746ELLU: // mpc_Latn_AU
        case 0x8DEC42524C61746ELLU: // mpd_Latn_BR
        case 0x91EC45544C61746ELLU: // mpe_Latn_ET
        case 0x99EC54444C61746ELLU: // mpg_Latn_TD
        case 0x9DEC41554C61746ELLU: // mph_Latn_AU
        case 0xA1EC434D4C61746ELLU: // mpi_Latn_CM
        case 0xA5EC41554C61746ELLU: // mpj_Latn_AU
        case 0xA9EC54444C61746ELLU: // mpk_Latn_TD
        case 0xADEC50474C61746ELLU: // mpl_Latn_PG
        case 0xB1EC4D584C61746ELLU: // mpm_Latn_MX
        case 0xB5EC50474C61746ELLU: // mpn_Latn_PG
        case 0xB9EC50474C61746ELLU: // mpo_Latn_PG
        case 0xBDEC50474C61746ELLU: // mpp_Latn_PG
        case 0xC1EC42524C61746ELLU: // mpq_Latn_BR
        case 0xC5EC53424C61746ELLU: // mpr_Latn_SB
        case 0xC9EC50474C61746ELLU: // mps_Latn_PG
        case 0xCDEC50474C61746ELLU: // mpt_Latn_PG
        case 0xD1EC42524C61746ELLU: // mpu_Latn_BR
        case 0xD5EC50474C61746ELLU: // mpv_Latn_PG
        case 0xD9EC42524C61746ELLU: // mpw_Latn_BR
        case 0xDDEC50474C61746ELLU: // mpx_Latn_PG
        case 0xE1EC49444C61746ELLU: // mpy_Latn_ID
        case 0xE5EC544854686169LLU: // mpz_Thai_TH
        case 0x820C49444C61746ELLU: // mqa_Latn_ID
        case 0x860C434D4C61746ELLU: // mqb_Latn_CM
        case 0x8A0C49444C61746ELLU: // mqc_Latn_ID
        case 0x920C50474C61746ELLU: // mqe_Latn_PG
        case 0x960C49444C61746ELLU: // mqf_Latn_ID
        case 0x9A0C49444C61746ELLU: // mqg_Latn_ID
        case 0x9E0C4D584C61746ELLU: // mqh_Latn_MX
        case 0xA20C49444C61746ELLU: // mqi_Latn_ID
        case 0xA60C49444C61746ELLU: // mqj_Latn_ID
        case 0xAA0C50484C61746ELLU: // mqk_Latn_PH
        case 0xAE0C424A4C61746ELLU: // mql_Latn_BJ
        case 0xB20C50464C61746ELLU: // mqm_Latn_PF
        case 0xB60C49444C61746ELLU: // mqn_Latn_ID
        case 0xBA0C49444C61746ELLU: // mqo_Latn_ID
        case 0xBE0C49444C61746ELLU: // mqp_Latn_ID
        case 0xC20C4D594C61746ELLU: // mqq_Latn_MY
        case 0xC60C49444C61746ELLU: // mqr_Latn_ID
        case 0xCA0C49444C61746ELLU: // mqs_Latn_ID
        case 0xD20C53534C61746ELLU: // mqu_Latn_SS
        case 0xD60C50474C61746ELLU: // mqv_Latn_PG
        case 0xDA0C50474C61746ELLU: // mqw_Latn_PG
        case 0xDE0C49444C61746ELLU: // mqx_Latn_ID
        case 0xE20C49444C61746ELLU: // mqy_Latn_ID
        case 0xE60C50474C61746ELLU: // mqz_Latn_PG
        case 0x6D72494E44657661LLU: // mr_Deva_IN
        case 0x822C544854686169LLU: // mra_Thai_TH
        case 0x862C56554C61746ELLU: // mrb_Latn_VU
        case 0x8A2C55534C61746ELLU: // mrc_Latn_US
        case 0x8E2C4E5044657661LLU: // mrd_Deva_NP
        case 0x962C49444C61746ELLU: // mrf_Latn_ID
        case 0x9A2C494E4C61746ELLU: // mrg_Latn_IN
        case 0x9E2C494E4C61746ELLU: // mrh_Latn_IN
        case 0xA62C52554379726CLLU: // mrj_Cyrl_RU
        case 0xAA2C4E434C61746ELLU: // mrk_Latn_NC
        case 0xAE2C464D4C61746ELLU: // mrl_Latn_FM
        case 0xB22C56554C61746ELLU: // mrm_Latn_VU
        case 0xB62C53424C61746ELLU: // mrn_Latn_SB
        case 0xBA2C42444D726F6FLLU: // mro_Mroo_BD
        case 0xBE2C56554C61746ELLU: // mrp_Latn_VU
        case 0xC22C50464C61746ELLU: // mrq_Latn_PF
        case 0xC62C494E44657661LLU: // mrr_Deva_IN
        case 0xCA2C56554C61746ELLU: // mrs_Latn_VU
        case 0xCE2C4E474C61746ELLU: // mrt_Latn_NG
        case 0xD22C434D4C61746ELLU: // mru_Latn_CM
        case 0xD62C50464C61746ELLU: // mrv_Latn_PF
        case 0xDA2C50484C61746ELLU: // mrw_Latn_PH
        case 0xDE2C49444C61746ELLU: // mrx_Latn_ID
        case 0xE22C50484C61746ELLU: // mry_Latn_PH
        case 0xE62C49444C61746ELLU: // mrz_Latn_ID
        case 0x6D734D594C61746ELLU: // ms_Latn_MY
        case 0x864C50484C61746ELLU: // msb_Latn_PH
        case 0x8A4C474E4C61746ELLU: // msc_Latn_GN
        case 0x924C54444C61746ELLU: // mse_Latn_TD
        case 0x964C49444C61746ELLU: // msf_Latn_ID
        case 0x9A4C49444C61746ELLU: // msg_Latn_ID
        case 0x9E4C4D474C61746ELLU: // msh_Latn_MG
        case 0xA24C4D594C61746ELLU: // msi_Latn_MY
        case 0xA64C43444C61746ELLU: // msj_Latn_CD
        case 0xAA4C50484C61746ELLU: // msk_Latn_PH
        case 0xAE4C49444C61746ELLU: // msl_Latn_ID
        case 0xB24C50484C61746ELLU: // msm_Latn_PH
        case 0xB64C56554C61746ELLU: // msn_Latn_VU
        case 0xBA4C49444C61746ELLU: // mso_Latn_ID
        case 0xBE4C42524C61746ELLU: // msp_Latn_BR
        case 0xC24C4E434C61746ELLU: // msq_Latn_NC
        case 0xCA4C49444C61746ELLU: // mss_Latn_ID
        case 0xD24C50474C61746ELLU: // msu_Latn_PG
        case 0xD64C434D4C61746ELLU: // msv_Latn_CM
        case 0xDA4C47574C61746ELLU: // msw_Latn_GW
        case 0xDE4C50474C61746ELLU: // msx_Latn_PG
        case 0xE24C50474C61746ELLU: // msy_Latn_PG
        case 0xE64C50474C61746ELLU: // msz_Latn_PG
        case 0x6D744D544C61746ELLU: // mt_Latn_MT
        case 0x826C50484C61746ELLU: // mta_Latn_PH
        case 0x866C43494C61746ELLU: // mtb_Latn_CI
        case 0x8A6C50474C61746ELLU: // mtc_Latn_PG
        case 0x8E6C49444C61746ELLU: // mtd_Latn_ID
        case 0x926C53424C61746ELLU: // mte_Latn_SB
        case 0x966C50474C61746ELLU: // mtf_Latn_PG
        case 0x9A6C49444C61746ELLU: // mtg_Latn_ID
        case 0x9E6C49444C61746ELLU: // mth_Latn_ID
        case 0xA26C50474C61746ELLU: // mti_Latn_PG
        case 0xA66C49444C61746ELLU: // mtj_Latn_ID
        case 0xAA6C434D4C61746ELLU: // mtk_Latn_CM
        case 0xAE6C4E474C61746ELLU: // mtl_Latn_NG
        case 0xB26C52554379726CLLU: // mtm_Cyrl_RU
        case 0xB66C4E494C61746ELLU: // mtn_Latn_NI
        case 0xBA6C4D584C61746ELLU: // mto_Latn_MX
        case 0xBE6C424F4C61746ELLU: // mtp_Latn_BO
        case 0xC26C564E4C61746ELLU: // mtq_Latn_VN
        case 0xC66C494E44657661LLU: // mtr_Deva_IN
        case 0xCA6C50454C61746ELLU: // mts_Latn_PE
        case 0xCE6C56554C61746ELLU: // mtt_Latn_VU
        case 0xD26C4D584C61746ELLU: // mtu_Latn_MX
        case 0xD66C50474C61746ELLU: // mtv_Latn_PG
        case 0xDA6C50484C61746ELLU: // mtw_Latn_PH
        case 0xDE6C4D584C61746ELLU: // mtx_Latn_MX
        case 0xE26C50474C61746ELLU: // mty_Latn_PG
        case 0x828C434D4C61746ELLU: // mua_Latn_CM
        case 0x868C54444C61746ELLU: // mub_Latn_TD
        case 0x8A8C434D4C61746ELLU: // muc_Latn_CM
        case 0x8E8C52554379726CLLU: // mud_Cyrl_RU
        case 0x928C45434C61746ELLU: // mue_Latn_EC
        case 0x9A8C434D4C61746ELLU: // mug_Latn_CM
        case 0x9E8C53534C61746ELLU: // muh_Latn_SS
        case 0xA28C49444C61746ELLU: // mui_Latn_ID
        case 0xA68C54444C61746ELLU: // muj_Latn_TD
        case 0xAA8C4E5054696274LLU: // muk_Tibt_NP
        case 0xB28C50474C61746ELLU: // mum_Latn_PG
        case 0xBA8C434D4C61746ELLU: // muo_Latn_CM
        case 0xC28C434E4C61746ELLU: // muq_Latn_CN
        case 0xC68C53534C61746ELLU: // mur_Latn_SS
        case 0xCA8C55534C61746ELLU: // mus_Latn_US
        case 0xCE8C494E44657661LLU: // mut_Deva_IN
        case 0xD28C4B454C61746ELLU: // muu_Latn_KE
        case 0xD68C494E54616D6CLLU: // muv_Taml_IN
        case 0xDE8C50474C61746ELLU: // mux_Latn_PG
        case 0xE28C434D4C61746ELLU: // muy_Latn_CM
        case 0xE68C455445746869LLU: // muz_Ethi_ET
        case 0x82AC50474C61746ELLU: // mva_Latn_PG
        case 0x8EAC49444C61746ELLU: // mvd_Latn_ID
        case 0x92AC504B41726162LLU: // mve_Arab_PK
        case 0x96AC434E4D6F6E67LLU: // mvf_Mong_CN
        case 0x9AAC4D584C61746ELLU: // mvg_Latn_MX
        case 0x9EAC54444C61746ELLU: // mvh_Latn_TD
        case 0xAAAC50474C61746ELLU: // mvk_Latn_PG
        case 0xAEAC41554C61746ELLU: // mvl_Latn_AU
        case 0xB6AC50474C61746ELLU: // mvn_Latn_PG
        case 0xBAAC53424C61746ELLU: // mvo_Latn_SB
        case 0xBEAC49444C61746ELLU: // mvp_Latn_ID
        case 0xC2AC50474C61746ELLU: // mvq_Latn_PG
        case 0xC6AC49444C61746ELLU: // mvr_Latn_ID
        case 0xCAAC49444C61746ELLU: // mvs_Latn_ID
        case 0xCEAC56554C61746ELLU: // mvt_Latn_VU
        case 0xD2AC54444C61746ELLU: // mvu_Latn_TD
        case 0xD6AC4D594C61746ELLU: // mvv_Latn_MY
        case 0xDAAC545A4C61746ELLU: // mvw_Latn_TZ
        case 0xDEAC49444C61746ELLU: // mvx_Latn_ID
        case 0xE2AC504B41726162LLU: // mvy_Arab_PK
        case 0xE6AC455445746869LLU: // mvz_Ethi_ET
        case 0x82CC50474C61746ELLU: // mwa_Latn_PG
        case 0x86CC50474C61746ELLU: // mwb_Latn_PG
        case 0x8ACC50474C61746ELLU: // mwc_Latn_PG
        case 0x92CC545A4C61746ELLU: // mwe_Latn_TZ
        case 0x96CC41554C61746ELLU: // mwf_Latn_AU
        case 0x9ACC50474C61746ELLU: // mwg_Latn_PG
        case 0x9ECC50474C61746ELLU: // mwh_Latn_PG
        case 0xA2CC56554C61746ELLU: // mwi_Latn_VU
        case 0xAACC4D4C4C61746ELLU: // mwk_Latn_ML
        case 0xAECC50544C61746ELLU: // mwl_Latn_PT
        case 0xB2CC54444C61746ELLU: // mwm_Latn_TD
        case 0xB6CC5A4D4C61746ELLU: // mwn_Latn_ZM
        case 0xBACC56554C61746ELLU: // mwo_Latn_VU
        case 0xBECC41554C61746ELLU: // mwp_Latn_AU
        case 0xC2CC4D4D4C61746ELLU: // mwq_Latn_MM
        case 0xC6CC494E44657661LLU: // mwr_Deva_IN
        case 0xCACC4B454C61746ELLU: // mws_Latn_KE
        case 0xCECC4D4D4D796D72LLU: // mwt_Mymr_MM
        case 0xD2CC53534C61746ELLU: // mwu_Latn_SS
        case 0xD6CC49444C61746ELLU: // mwv_Latn_ID
        case 0xDACC5553486D6E70LLU: // mww_Hmnp_US
        case 0xE6CC43444C61746ELLU: // mwz_Latn_CD
        case 0x82EC4D584C61746ELLU: // mxa_Latn_MX
        case 0x86EC4D584C61746ELLU: // mxb_Latn_MX
        case 0x8AEC5A574C61746ELLU: // mxc_Latn_ZW
        case 0x8EEC49444C61746ELLU: // mxd_Latn_ID
        case 0x92EC56554C61746ELLU: // mxe_Latn_VU
        case 0x96EC434D4C61746ELLU: // mxf_Latn_CM
        case 0x9AEC414F4C61746ELLU: // mxg_Latn_AO
        case 0x9EEC43444C61746ELLU: // mxh_Latn_CD
        case 0xA2EC45534C61746ELLU: // mxi_Latn_ES
        case 0xA6EC494E4C61746ELLU: // mxj_Latn_IN
        case 0xAAEC50474C61746ELLU: // mxk_Latn_PG
        case 0xAEEC424A4C61746ELLU: // mxl_Latn_BJ
        case 0xB2EC50474C61746ELLU: // mxm_Latn_PG
        case 0xB6EC49444C61746ELLU: // mxn_Latn_ID
        case 0xBAEC5A4D4C61746ELLU: // mxo_Latn_ZM
        case 0xBEEC4D584C61746ELLU: // mxp_Latn_MX
        case 0xC2EC4D584C61746ELLU: // mxq_Latn_MX
        case 0xC6EC4D594C61746ELLU: // mxr_Latn_MY
        case 0xCAEC4D584C61746ELLU: // mxs_Latn_MX
        case 0xCEEC4D584C61746ELLU: // mxt_Latn_MX
        case 0xD2EC434D4C61746ELLU: // mxu_Latn_CM
        case 0xD6EC4D584C61746ELLU: // mxv_Latn_MX
        case 0xDAEC50474C61746ELLU: // mxw_Latn_PG
        case 0xDEEC43494C61746ELLU: // mxx_Latn_CI
        case 0xE2EC4D584C61746ELLU: // mxy_Latn_MX
        case 0xE6EC49444C61746ELLU: // mxz_Latn_ID
        case 0x6D794D4D4D796D72LLU: // my_Mymr_MM
        case 0x870C54444C61746ELLU: // myb_Latn_TD
        case 0x8B0C43444C61746ELLU: // myc_Latn_CD
        case 0x930C47414C61746ELLU: // mye_Latn_GA
        case 0x970C45544C61746ELLU: // myf_Latn_ET
        case 0x9B0C434D4C61746ELLU: // myg_Latn_CM
        case 0x9F0C55534C61746ELLU: // myh_Latn_US
        case 0xA70C53534C61746ELLU: // myj_Latn_SS
        case 0xAB0C4D4C4C61746ELLU: // myk_Latn_ML
        case 0xAF0C49444C61746ELLU: // myl_Latn_ID
        case 0xB30C455445746869LLU: // mym_Ethi_ET
        case 0xBF0C42524C61746ELLU: // myp_Latn_BR
        case 0xC70C50454C61746ELLU: // myr_Latn_PE
        case 0xD30C42524C61746ELLU: // myu_Latn_BR
        case 0xD70C52554379726CLLU: // myv_Cyrl_RU
        case 0xDB0C50474C61746ELLU: // myw_Latn_PG
        case 0xDF0C55474C61746ELLU: // myx_Latn_UG
        case 0xE30C434F4C61746ELLU: // myy_Latn_CO
        case 0xE70C49524D616E64LLU: // myz_Mand_IR
        case 0x832C4D584C61746ELLU: // mza_Latn_MX
        case 0x8F2C434D4C61746ELLU: // mzd_Latn_CM
        case 0x932C50474C61746ELLU: // mze_Latn_PG
        case 0x9F2C41524C61746ELLU: // mzh_Latn_AR
        case 0xA32C4D584C61746ELLU: // mzi_Latn_MX
        case 0xA72C4C524C61746ELLU: // mzj_Latn_LR
        case 0xAB2C4E474C61746ELLU: // mzk_Latn_NG
        case 0xAF2C4D584C61746ELLU: // mzl_Latn_MX
        case 0xB32C4E474C61746ELLU: // mzm_Latn_NG
        case 0xB72C495241726162LLU: // mzn_Arab_IR
        case 0xBB2C42524C61746ELLU: // mzo_Latn_BR
        case 0xBF2C424F4C61746ELLU: // mzp_Latn_BO
        case 0xC32C49444C61746ELLU: // mzq_Latn_ID
        case 0xC72C42524C61746ELLU: // mzr_Latn_BR
        case 0xCF2C4D594C61746ELLU: // mzt_Latn_MY
        case 0xD32C50474C61746ELLU: // mzu_Latn_PG
        case 0xD72C43464C61746ELLU: // mzv_Latn_CF
        case 0xDB2C47484C61746ELLU: // mzw_Latn_GH
        case 0xDF2C47594C61746ELLU: // mzx_Latn_GY
        case 0xE72C50474C61746ELLU: // mzz_Latn_PG
        case 0x6E614E524C61746ELLU: // na_Latn_NR
        case 0x800D49444C61746ELLU: // naa_Latn_ID
        case 0x840D42524C61746ELLU: // nab_Latn_BR
        case 0x880D50474C61746ELLU: // nac_Latn_PG
        case 0x900D49444C61746ELLU: // nae_Latn_ID
        case 0x940D50474C61746ELLU: // naf_Latn_PG
        case 0x980D494E4C61746ELLU: // nag_Latn_IN
        case 0xA40D474E4C61746ELLU: // naj_Latn_GN
        case 0xA80D50474C61746ELLU: // nak_Latn_PG
        case 0xAC0D50474C61746ELLU: // nal_Latn_PG
        case 0xB00D41554C61746ELLU: // nam_Latn_AU
        case 0xB40D434E48616E73LLU: // nan_Hans_CN
        case 0xB80D4E5044657661LLU: // nao_Deva_NP
        case 0xBC0D49544C61746ELLU: // nap_Latn_IT
        case 0xC00D4E414C61746ELLU: // naq_Latn_NA
        case 0xC40D4E474C61746ELLU: // nar_Latn_NG
        case 0xC80D50474C61746ELLU: // nas_Latn_PG
        case 0xCC0D4E474C61746ELLU: // nat_Latn_NG
        case 0xD80D47484C61746ELLU: // naw_Latn_GH
        case 0xDC0D50474C61746ELLU: // nax_Latn_PG
        case 0xE00D41554C61746ELLU: // nay_Latn_AU
        case 0xE40D4D584C61746ELLU: // naz_Latn_MX
        case 0x6E624E4F4C61746ELLU: // nb_Latn_NO
        case 0x802D414F4C61746ELLU: // nba_Latn_AO
        case 0x842D4E474C61746ELLU: // nbb_Latn_NG
        case 0x882D494E4C61746ELLU: // nbc_Latn_IN
        case 0x8C2D43444C61746ELLU: // nbd_Latn_CD
        case 0x902D494E4C61746ELLU: // nbe_Latn_IN
        case 0x9C2D4E474C61746ELLU: // nbh_Latn_NG
        case 0xA02D494E4C61746ELLU: // nbi_Latn_IN
        case 0xA42D41554C61746ELLU: // nbj_Latn_AU
        case 0xA82D50474C61746ELLU: // nbk_Latn_PG
        case 0xB02D43464C61746ELLU: // nbm_Latn_CF
        case 0xB42D49444C61746ELLU: // nbn_Latn_ID
        case 0xB82D4E474C61746ELLU: // nbo_Latn_NG
        case 0xBC2D4E474C61746ELLU: // nbp_Latn_NG
        case 0xC02D49444C61746ELLU: // nbq_Latn_ID
        case 0xC42D4E474C61746ELLU: // nbr_Latn_NG
        case 0xCC2D494E4C61746ELLU: // nbt_Latn_IN
        case 0xD02D494E4C61746ELLU: // nbu_Latn_IN
        case 0xD42D434D4C61746ELLU: // nbv_Latn_CM
        case 0xD82D43444C61746ELLU: // nbw_Latn_CD
        case 0xE02D50474C61746ELLU: // nby_Latn_PG
        case 0x804D50474C61746ELLU: // nca_Latn_PG
        case 0x844D494E4C61746ELLU: // ncb_Latn_IN
        case 0x884D50474C61746ELLU: // ncc_Latn_PG
        case 0x8C4D4E5044657661LLU: // ncd_Deva_NP
        case 0x904D50474C61746ELLU: // nce_Latn_PG
        case 0x944D50474C61746ELLU: // ncf_Latn_PG
        case 0x984D43414C61746ELLU: // ncg_Latn_CA
        case 0x9C4D4D584C61746ELLU: // nch_Latn_MX
        case 0xA04D4D584C61746ELLU: // nci_Latn_MX
        case 0xA44D4D584C61746ELLU: // ncj_Latn_MX
        case 0xA84D41554C61746ELLU: // nck_Latn_AU
        case 0xAC4D4D584C61746ELLU: // ncl_Latn_MX
        case 0xB04D50474C61746ELLU: // ncm_Latn_PG
        case 0xB44D50474C61746ELLU: // ncn_Latn_PG
        case 0xB84D50474C61746ELLU: // nco_Latn_PG
        case 0xC04D4C414C616F6FLLU: // ncq_Laoo_LA
        case 0xC44D434D4C61746ELLU: // ncr_Latn_CM
        case 0xCC4D494E4C61746ELLU: // nct_Latn_IN
        case 0xD04D47484C61746ELLU: // ncu_Latn_GH
        case 0xDC4D4D584C61746ELLU: // ncx_Latn_MX
        case 0xE44D55534C61746ELLU: // ncz_Latn_US
        case 0x6E645A574C61746ELLU: // nd_Latn_ZW
        case 0x806D43474C61746ELLU: // nda_Latn_CG
        case 0x846D434D4C61746ELLU: // ndb_Latn_CM
        case 0x886D4D5A4C61746ELLU: // ndc_Latn_MZ
        case 0x8C6D4E474C61746ELLU: // ndd_Latn_NG
        case 0x946D52554379726CLLU: // ndf_Cyrl_RU
        case 0x986D545A4C61746ELLU: // ndg_Latn_TZ
        case 0x9C6D545A4C61746ELLU: // ndh_Latn_TZ
        case 0xA06D4E474C61746ELLU: // ndi_Latn_NG
        case 0xA46D545A4C61746ELLU: // ndj_Latn_TZ
        case 0xA86D43444C61746ELLU: // ndk_Latn_CD
        case 0xAC6D43444C61746ELLU: // ndl_Latn_CD
        case 0xB06D54444C61746ELLU: // ndm_Latn_TD
        case 0xB46D43474C61746ELLU: // ndn_Latn_CG
        case 0xBC6D55474C61746ELLU: // ndp_Latn_UG
        case 0xC06D414F4C61746ELLU: // ndq_Latn_AO
        case 0xC46D4E474C61746ELLU: // ndr_Latn_NG
        case 0xC86D44454C61746ELLU: // nds_Latn_DE
        case 0xCC6D43444C61746ELLU: // ndt_Latn_CD
        case 0xD06D434D4C61746ELLU: // ndu_Latn_CM
        case 0xD46D534E4C61746ELLU: // ndv_Latn_SN
        case 0xD86D43444C61746ELLU: // ndw_Latn_CD
        case 0xDC6D49444C61746ELLU: // ndx_Latn_ID
        case 0xE06D43464C61746ELLU: // ndy_Latn_CF
        case 0xE46D53534C61746ELLU: // ndz_Latn_SS
        case 0x6E654E5044657661LLU: // ne_Deva_NP
        case 0x808D49444C61746ELLU: // nea_Latn_ID
        case 0x848D43494C61746ELLU: // neb_Latn_CI
        case 0x888D49444C61746ELLU: // nec_Latn_ID
        case 0x8C8D4E474C61746ELLU: // ned_Latn_NG
        case 0x908D4E434C61746ELLU: // nee_Latn_NC
        case 0x988D52554379726CLLU: // neg_Cyrl_RU
        case 0x9C8D425454696274LLU: // neh_Tibt_BT
        case 0xA08D545258737578LLU: // nei_Xsux_TR
        case 0xA48D50474C61746ELLU: // nej_Latn_PG
        case 0xA88D4E434C61746ELLU: // nek_Latn_NC
        case 0xB08D4E434C61746ELLU: // nem_Latn_NC
        case 0xB48D4E434C61746ELLU: // nen_Latn_NC
        case 0xB88D564E4C61746ELLU: // neo_Latn_VN
        case 0xC08D4D584C61746ELLU: // neq_Latn_MX
        case 0xC48D49444C61746ELLU: // ner_Latn_ID
        case 0xCC8D50474C61746ELLU: // net_Latn_PG
        case 0xD88D4E5044657661LLU: // new_Deva_NP
        case 0xDC8D50474C61746ELLU: // nex_Latn_PG
        case 0xE08D43494C61746ELLU: // ney_Latn_CI
        case 0xE48D55534C61746ELLU: // nez_Latn_US
        case 0x80AD49444C61746ELLU: // nfa_Latn_ID
        case 0x8CAD4E474C61746ELLU: // nfd_Latn_NG
        case 0xACAD53424C61746ELLU: // nfl_Latn_SB
        case 0xC4AD47484C61746ELLU: // nfr_Latn_GH
        case 0xD0AD434D4C61746ELLU: // nfu_Latn_CM
        case 0x6E674E414C61746ELLU: // ng_Latn_NA
        case 0x80CD43444C61746ELLU: // nga_Latn_CD
        case 0x84CD43444C61746ELLU: // ngb_Latn_CD
        case 0x88CD43444C61746ELLU: // ngc_Latn_CD
        case 0x8CCD43464C61746ELLU: // ngd_Latn_CF
        case 0x90CD434D4C61746ELLU: // nge_Latn_CM
        case 0x98CD43464C61746ELLU: // ngg_Latn_CF
        case 0x9CCD5A414C61746ELLU: // ngh_Latn_ZA
        case 0xA0CD4E474C61746ELLU: // ngi_Latn_NG
        case 0xA4CD434D4C61746ELLU: // ngj_Latn_CM
        case 0xA8CD41554C61746ELLU: // ngk_Latn_AU
        case 0xACCD4D5A4C61746ELLU: // ngl_Latn_MZ
        case 0xB0CD464D4C61746ELLU: // ngm_Latn_FM
        case 0xB4CD434D4C61746ELLU: // ngn_Latn_CM
        case 0xBCCD545A4C61746ELLU: // ngp_Latn_TZ
        case 0xC0CD545A4C61746ELLU: // ngq_Latn_TZ
        case 0xC4CD53424C61746ELLU: // ngr_Latn_SB
        case 0xC8CD4E474C61746ELLU: // ngs_Latn_NG
        case 0xCCCD4C414C616F6FLLU: // ngt_Laoo_LA
        case 0xD0CD4D584C61746ELLU: // ngu_Latn_MX
        case 0xD4CD434D4C61746ELLU: // ngv_Latn_CM
        case 0xD8CD4E474C61746ELLU: // ngw_Latn_NG
        case 0xDCCD4E474C61746ELLU: // ngx_Latn_NG
        case 0xE0CD434D4C61746ELLU: // ngy_Latn_CM
        case 0xE4CD43474C61746ELLU: // ngz_Latn_CG
        case 0x80ED41554C61746ELLU: // nha_Latn_AU
        case 0x84ED43494C61746ELLU: // nhb_Latn_CI
        case 0x88ED4D584C61746ELLU: // nhc_Latn_MX
        case 0x8CED50594C61746ELLU: // nhd_Latn_PY
        case 0x90ED4D584C61746ELLU: // nhe_Latn_MX
        case 0x94ED41554C61746ELLU: // nhf_Latn_AU
        case 0x98ED4D584C61746ELLU: // nhg_Latn_MX
        case 0xA0ED4D584C61746ELLU: // nhi_Latn_MX
        case 0xA8ED4D584C61746ELLU: // nhk_Latn_MX
        case 0xB0ED4D584C61746ELLU: // nhm_Latn_MX
        case 0xB4ED4D584C61746ELLU: // nhn_Latn_MX
        case 0xB8ED50474C61746ELLU: // nho_Latn_PG
        case 0xBCED4D584C61746ELLU: // nhp_Latn_MX
        case 0xC0ED4D584C61746ELLU: // nhq_Latn_MX
        case 0xC4ED42574C61746ELLU: // nhr_Latn_BW
        case 0xCCED4D584C61746ELLU: // nht_Latn_MX
        case 0xD0ED434D4C61746ELLU: // nhu_Latn_CM
        case 0xD4ED4D584C61746ELLU: // nhv_Latn_MX
        case 0xD8ED4D584C61746ELLU: // nhw_Latn_MX
        case 0xDCED4D584C61746ELLU: // nhx_Latn_MX
        case 0xE0ED4D584C61746ELLU: // nhy_Latn_MX
        case 0xE4ED4D584C61746ELLU: // nhz_Latn_MX
        case 0x810D49444C61746ELLU: // nia_Latn_ID
        case 0x850D50474C61746ELLU: // nib_Latn_PG
        case 0x8D0D41554C61746ELLU: // nid_Latn_AU
        case 0x910D54444C61746ELLU: // nie_Latn_TD
        case 0x950D50474C61746ELLU: // nif_Latn_PG
        case 0x990D41554C61746ELLU: // nig_Latn_AU
        case 0x9D0D545A4C61746ELLU: // nih_Latn_TZ
        case 0xA10D50474C61746ELLU: // nii_Latn_PG
        case 0xA50D49444C61746ELLU: // nij_Latn_ID
        case 0xAD0D49444C61746ELLU: // nil_Latn_ID
        case 0xB10D545A4C61746ELLU: // nim_Latn_TZ
        case 0xB50D4E474C61746ELLU: // nin_Latn_NG
        case 0xB90D52554379726CLLU: // nio_Cyrl_RU
        case 0xC10D4B454C61746ELLU: // niq_Latn_KE
        case 0xC50D49444C61746ELLU: // nir_Latn_ID
        case 0xC90D50474C61746ELLU: // nis_Latn_PG
        case 0xCD0D494E54656C75LLU: // nit_Telu_IN
        case 0xD10D4E554C61746ELLU: // niu_Latn_NU
        case 0xD50D52554379726CLLU: // niv_Cyrl_RU
        case 0xD90D50474C61746ELLU: // niw_Latn_PG
        case 0xDD0D43444C61746ELLU: // nix_Latn_CD
        case 0xE10D43444C61746ELLU: // niy_Latn_CD
        case 0xE50D50474C61746ELLU: // niz_Latn_PG
        case 0x812D4E474C61746ELLU: // nja_Latn_NG
        case 0x852D494E4C61746ELLU: // njb_Latn_IN
        case 0x8D2D545A4C61746ELLU: // njd_Latn_TZ
        case 0x9D2D494E4C61746ELLU: // njh_Latn_IN
        case 0xA12D41554C61746ELLU: // nji_Latn_AU
        case 0xA52D434D4C61746ELLU: // njj_Latn_CM
        case 0xAD2D53534C61746ELLU: // njl_Latn_SS
        case 0xB12D494E4C61746ELLU: // njm_Latn_IN
        case 0xB52D494E4C61746ELLU: // njn_Latn_IN
        case 0xB92D494E4C61746ELLU: // njo_Latn_IN
        case 0xC52D4E474C61746ELLU: // njr_Latn_NG
        case 0xC92D49444C61746ELLU: // njs_Latn_ID
        case 0xCD2D53524C61746ELLU: // njt_Latn_SR
        case 0xD12D41554C61746ELLU: // nju_Latn_AU
        case 0xDD2D43474C61746ELLU: // njx_Latn_CG
        case 0xE12D434D4C61746ELLU: // njy_Latn_CM
        case 0xE52D494E4C61746ELLU: // njz_Latn_IN
        case 0x814D5A4D4C61746ELLU: // nka_Latn_ZM
        case 0x854D494E4C61746ELLU: // nkb_Latn_IN
        case 0x894D434D4C61746ELLU: // nkc_Latn_CM
        case 0x8D4D494E4C61746ELLU: // nkd_Latn_IN
        case 0x914D53424C61746ELLU: // nke_Latn_SB
        case 0x954D494E4C61746ELLU: // nkf_Latn_IN
        case 0x994D50474C61746ELLU: // nkg_Latn_PG
        case 0x9D4D494E4C61746ELLU: // nkh_Latn_IN
        case 0xA14D494E4C61746ELLU: // nki_Latn_IN
        case 0xA54D49444C61746ELLU: // nkj_Latn_ID
        case 0xA94D56554C61746ELLU: // nkk_Latn_VU
        case 0xB14D50474C61746ELLU: // nkm_Latn_PG
        case 0xB54D414F4C61746ELLU: // nkn_Latn_AO
        case 0xB94D47484C61746ELLU: // nko_Latn_GH
        case 0xC14D47484C61746ELLU: // nkq_Latn_GH
        case 0xC54D464D4C61746ELLU: // nkr_Latn_FM
        case 0xC94D49444C61746ELLU: // nks_Latn_ID
        case 0xCD4D545A4C61746ELLU: // nkt_Latn_TZ
        case 0xD14D43494C61746ELLU: // nku_Latn_CI
        case 0xD54D4D574C61746ELLU: // nkv_Latn_MW
        case 0xD94D43444C61746ELLU: // nkw_Latn_CD
        case 0xDD4D4E474C61746ELLU: // nkx_Latn_NG
        case 0xE54D4E474C61746ELLU: // nkz_Latn_NG
        case 0x6E6C4E4C4C61746ELLU: // nl_Latn_NL
        case 0x816D434D4C61746ELLU: // nla_Latn_CM
        case 0x896D49444C61746ELLU: // nlc_Latn_ID
        case 0x916D4B454C61746ELLU: // nle_Latn_KE
        case 0x996D53424C61746ELLU: // nlg_Latn_SB
        case 0xA16D414641726162LLU: // nli_Arab_AF
        case 0xA56D43444C61746ELLU: // nlj_Latn_CD
        case 0xA96D49444C61746ELLU: // nlk_Latn_ID
        case 0xB16D504B41726162LLU: // nlm_Arab_PK
        case 0xB96D43444C61746ELLU: // nlo_Latn_CD
        case 0xC16D4D4D4C61746ELLU: // nlq_Latn_MM
        case 0xD16D47484C61746ELLU: // nlu_Latn_GH
        case 0xD56D4D584C61746ELLU: // nlv_Latn_MX
        case 0xD96D41554C61746ELLU: // nlw_Latn_AU
        case 0xDD6D494E44657661LLU: // nlx_Deva_IN
        case 0xE16D41554C61746ELLU: // nly_Latn_AU
        case 0xE56D53424C61746ELLU: // nlz_Latn_SB
        case 0x818D494E4C61746ELLU: // nma_Latn_IN
        case 0x858D56554C61746ELLU: // nmb_Latn_VU
        case 0x898D54444C61746ELLU: // nmc_Latn_TD
        case 0x8D8D47414C61746ELLU: // nmd_Latn_GA
        case 0x918D494E4C61746ELLU: // nme_Latn_IN
        case 0x958D494E4C61746ELLU: // nmf_Latn_IN
        case 0x998D434D4C61746ELLU: // nmg_Latn_CM
        case 0x9D8D494E4C61746ELLU: // nmh_Latn_IN
        case 0xA18D4E474C61746ELLU: // nmi_Latn_NG
        case 0xA58D43464C61746ELLU: // nmj_Latn_CF
        case 0xA98D56554C61746ELLU: // nmk_Latn_VU
        case 0xAD8D434D4C61746ELLU: // nml_Latn_CM
        case 0xB18D4E5044657661LLU: // nmm_Deva_NP
        case 0xB58D42574C61746ELLU: // nmn_Latn_BW
        case 0xB98D494E4C61746ELLU: // nmo_Latn_IN
        case 0xBD8D41554C61746ELLU: // nmp_Latn_AU
        case 0xC18D5A574C61746ELLU: // nmq_Latn_ZW
        case 0xC58D434D4C61746ELLU: // nmr_Latn_CM
        case 0xC98D56554C61746ELLU: // nms_Latn_VU
        case 0xCD8D464D4C61746ELLU: // nmt_Latn_FM
        case 0xD18D55534C61746ELLU: // nmu_Latn_US
        case 0xD58D41554C61746ELLU: // nmv_Latn_AU
        case 0xD98D50474C61746ELLU: // nmw_Latn_PG
        case 0xDD8D50474C61746ELLU: // nmx_Latn_PG
        case 0xE58D54474C61746ELLU: // nmz_Latn_TG
        case 0x6E6E4E4F4C61746ELLU: // nn_Latn_NO
        case 0x81AD41554C61746ELLU: // nna_Latn_AU
        case 0x85AD43444C61746ELLU: // nnb_Latn_CD
        case 0x89AD54444C61746ELLU: // nnc_Latn_TD
        case 0x8DAD56554C61746ELLU: // nnd_Latn_VU
        case 0x91AD414F4C61746ELLU: // nne_Latn_AO
        case 0x95AD50474C61746ELLU: // nnf_Latn_PG
        case 0x99AD494E4C61746ELLU: // nng_Latn_IN
        case 0x9DAD434D4C61746ELLU: // nnh_Latn_CM
        case 0xA1AD49444C61746ELLU: // nni_Latn_ID
        case 0xA5AD45544C61746ELLU: // nnj_Latn_ET
        case 0xA9AD50474C61746ELLU: // nnk_Latn_PG
        case 0xADAD494E4C61746ELLU: // nnl_Latn_IN
        case 0xB1AD50474C61746ELLU: // nnm_Latn_PG
        case 0xB5AD54444C61746ELLU: // nnn_Latn_TD
        case 0xBDAD494E5763686FLLU: // nnp_Wcho_IN
        case 0xC1AD545A4C61746ELLU: // nnq_Latn_TZ
        case 0xC5AD41554C61746ELLU: // nnr_Latn_AU
        case 0xCDAD55534C61746ELLU: // nnt_Latn_US
        case 0xD1AD47484C61746ELLU: // nnu_Latn_GH
        case 0xD5AD41554C61746ELLU: // nnv_Latn_AU
        case 0xD9AD42464C61746ELLU: // nnw_Latn_BF
        case 0xE1AD41554C61746ELLU: // nny_Latn_AU
        case 0xE5AD434D4C61746ELLU: // nnz_Latn_CM
        case 0x6E6F4E4F4C61746ELLU: // no_Latn_NO
        case 0x81CD434F4C61746ELLU: // noa_Latn_CO
        case 0x89CD50474C61746ELLU: // noc_Latn_PG
        case 0x8DCD54484C616E61LLU: // nod_Lana_TH
        case 0x91CD494E44657661LLU: // noe_Deva_IN
        case 0x95CD50474C61746ELLU: // nof_Latn_PG
        case 0x99CD52554379726CLLU: // nog_Cyrl_RU
        case 0x9DCD50474C61746ELLU: // noh_Latn_PG
        case 0xA1CD494E44657661LLU: // noi_Deva_IN
        case 0xA5CD434F4C61746ELLU: // noj_Latn_CO
        case 0xA9CD55534C61746ELLU: // nok_Latn_US
        case 0xB5CD534552756E72LLU: // non_Runr_SE
        case 0xBDCD50474C61746ELLU: // nop_Latn_PG
        case 0xC1CD43444C61746ELLU: // noq_Latn_CD
        case 0xC9CD434E59696969LLU: // nos_Yiii_CN
        case 0xCDCD50454C61746ELLU: // not_Latn_PE
        case 0xD1CD50474C61746ELLU: // nou_Latn_PG
        case 0xD9CD545A4C61746ELLU: // now_Latn_TZ
        case 0xE1CD54444C61746ELLU: // noy_Latn_TD
        case 0x85ED425454696274LLU: // npb_Tibt_BT
        case 0x99ED4D4D4C61746ELLU: // npg_Latn_MM
        case 0x9DED494E4C61746ELLU: // nph_Latn_IN
        case 0xADED4D584C61746ELLU: // npl_Latn_MX
        case 0xB5ED50474C61746ELLU: // npn_Latn_PG
        case 0xB9ED494E4C61746ELLU: // npo_Latn_IN
        case 0xC9ED49444C61746ELLU: // nps_Latn_ID
        case 0xD1ED494E4C61746ELLU: // npu_Latn_IN
        case 0xDDED53424C61746ELLU: // npx_Latn_SB
        case 0xE1ED49444C61746ELLU: // npy_Latn_ID
        case 0x9A0D424A4C61746ELLU: // nqg_Latn_BJ
        case 0xAA0D424A4C61746ELLU: // nqk_Latn_BJ
        case 0xAE0D414F4C61746ELLU: // nql_Latn_AO
        case 0xB20D49444C61746ELLU: // nqm_Latn_ID
        case 0xB60D50474C61746ELLU: // nqn_Latn_PG
        case 0xBA0D474E4E6B6F6FLLU: // nqo_Nkoo_GN
        case 0xC20D4D4D4C61746ELLU: // nqq_Latn_MM
        case 0xCE0D4E474C61746ELLU: // nqt_Latn_NG
        case 0xE20D4D4D4C61746ELLU: // nqy_Latn_MM
        case 0x6E725A414C61746ELLU: // nr_Latn_ZA
        case 0x822D47414C61746ELLU: // nra_Latn_GA
        case 0x862D45524C61746ELLU: // nrb_Latn_ER
        case 0x922D494E4C61746ELLU: // nre_Latn_IN
        case 0x962D4A454C61746ELLU: // nrf_Latn_JE
        case 0x9A2D56554C61746ELLU: // nrg_Latn_VU
        case 0xA22D494E4C61746ELLU: // nri_Latn_IN
        case 0xAA2D41554C61746ELLU: // nrk_Latn_AU
        case 0xAE2D41554C61746ELLU: // nrl_Latn_AU
        case 0xB22D4D594C61746ELLU: // nrm_Latn_MY
        case 0xB62D474252756E72LLU: // nrn_Runr_GB
        case 0xBE2D49544C61746ELLU: // nrp_Latn_IT
        case 0xD22D434E4C61746ELLU: // nru_Latn_CN
        case 0xDE2D41554C61746ELLU: // nrx_Latn_AU
        case 0xE62D50474C61746ELLU: // nrz_Latn_PG
        case 0x824D494E4C61746ELLU: // nsa_Latn_IN
        case 0x864D5A414C61746ELLU: // nsb_Latn_ZA
        case 0x8A4D4E474C61746ELLU: // nsc_Latn_NG
        case 0x8E4D434E59696969LLU: // nsd_Yiii_CN
        case 0x924D5A4D4C61746ELLU: // nse_Latn_ZM
        case 0x964D434E59696969LLU: // nsf_Yiii_CN
        case 0x9A4D545A4C61746ELLU: // nsg_Latn_TZ
        case 0x9E4D434D4C61746ELLU: // nsh_Latn_CM
        case 0xAA4D434143616E73LLU: // nsk_Cans_CA
        case 0xB24D494E4C61746ELLU: // nsm_Latn_IN
        case 0xB64D50474C61746ELLU: // nsn_Latn_PG
        case 0xBA4D5A414C61746ELLU: // nso_Latn_ZA
        case 0xC24D55534C61746ELLU: // nsq_Latn_US
        case 0xCA4D50474C61746ELLU: // nss_Latn_PG
        case 0xCE4D494E546E7361LLU: // nst_Tnsa_IN
        case 0xD24D4D584C61746ELLU: // nsu_Latn_MX
        case 0xD64D434E59696969LLU: // nsv_Yiii_CN
        case 0xDA4D56554C61746ELLU: // nsw_Latn_VU
        case 0xDE4D414F4C61746ELLU: // nsx_Latn_AO
        case 0xE24D49444C61746ELLU: // nsy_Latn_ID
        case 0xE64D55534C61746ELLU: // nsz_Latn_US
        case 0x8E6D4D594C61746ELLU: // ntd_Latn_MY
        case 0x926D4D5A4C61746ELLU: // nte_Latn_MZ
        case 0x9A6D41554C61746ELLU: // ntg_Latn_AU
        case 0xA26D42464C61746ELLU: // nti_Latn_BF
        case 0xA66D41554C61746ELLU: // ntj_Latn_AU
        case 0xAA6D545A4C61746ELLU: // ntk_Latn_TZ
        case 0xB26D424A4C61746ELLU: // ntm_Latn_BJ
        case 0xBA6D43444C61746ELLU: // nto_Latn_CD
        case 0xBE6D4D584C61746ELLU: // ntp_Latn_MX
        case 0xC66D47484C61746ELLU: // ntr_Latn_GH
        case 0xD26D53424C61746ELLU: // ntu_Latn_SB
        case 0xDE6D4D4D4C61746ELLU: // ntx_Latn_MM
        case 0xE26D564E59696969LLU: // nty_Yiii_VN
        case 0xE66D495241726162LLU: // ntz_Arab_IR
        case 0x828D4E434C61746ELLU: // nua_Latn_NC
        case 0x8A8D42524C61746ELLU: // nuc_Latn_BR
        case 0x8E8D50474C61746ELLU: // nud_Latn_PG
        case 0x928D43444C61746ELLU: // nue_Latn_CD
        case 0x968D434E4C61746ELLU: // nuf_Latn_CN
        case 0x9A8D41554C61746ELLU: // nug_Latn_AU
        case 0x9E8D4E474C61746ELLU: // nuh_Latn_NG
        case 0xA28D47514C61746ELLU: // nui_Latn_GQ
        case 0xA68D55474C61746ELLU: // nuj_Latn_UG
        case 0xAA8D43414C61746ELLU: // nuk_Latn_CA
        case 0xB28D544F4C61746ELLU: // num_Latn_TO
        case 0xB68D4D4D4C61746ELLU: // nun_Latn_MM
        case 0xBA8D564E4C61746ELLU: // nuo_Latn_VN
        case 0xBE8D4E474C61746ELLU: // nup_Latn_NG
        case 0xC28D50474C61746ELLU: // nuq_Latn_PG
        case 0xC68D50474C61746ELLU: // nur_Latn_PG
        case 0xCA8D53534C61746ELLU: // nus_Latn_SS
        case 0xCE8D564E4C61746ELLU: // nut_Latn_VN
        case 0xD28D43444C61746ELLU: // nuu_Latn_CD
        case 0xD68D42464C61746ELLU: // nuv_Latn_BF
        case 0xDA8D464D4C61746ELLU: // nuw_Latn_FM
        case 0xDE8D50474C61746ELLU: // nux_Latn_PG
        case 0xE28D41554C61746ELLU: // nuy_Latn_AU
        case 0xE68D4D584C61746ELLU: // nuz_Latn_MX
        case 0x6E7655534C61746ELLU: // nv_Latn_US
        case 0x9EAD56554C61746ELLU: // nvh_Latn_VU
        case 0xB2AD50474C61746ELLU: // nvm_Latn_PG
        case 0xBAAD434D4C61746ELLU: // nvo_Latn_CM
        case 0x86CD43494C61746ELLU: // nwb_Latn_CI
        case 0x8ACD4E504E657761LLU: // nwc_Newa_NP
        case 0x92CD434D4C61746ELLU: // nwe_Latn_CM
        case 0x9ACD41554C61746ELLU: // nwg_Latn_AU
        case 0xA2CD56554C61746ELLU: // nwi_Latn_VU
        case 0xB2CD53534C61746ELLU: // nwm_Latn_SS
        case 0xBACD41554C61746ELLU: // nwo_Latn_AU
        case 0xC6CD50474C61746ELLU: // nwr_Latn_PG
        case 0xDACD545A4C61746ELLU: // nww_Latn_TZ
        case 0xDECD4E5044657661LLU: // nwx_Deva_NP
        case 0x82ED544C4C61746ELLU: // nxa_Latn_TL
        case 0x8EED43444C61746ELLU: // nxd_Latn_CD
        case 0x92ED49444C61746ELLU: // nxe_Latn_ID
        case 0x9AED49444C61746ELLU: // nxg_Latn_ID
        case 0xA2ED545A4C61746ELLU: // nxi_Latn_TZ
        case 0xAEED49444C61746ELLU: // nxl_Latn_ID
        case 0xB6ED41554C61746ELLU: // nxn_Latn_AU
        case 0xBAED47414C61746ELLU: // nxo_Latn_GA
        case 0xC2ED434E4C61746ELLU: // nxq_Latn_CN
        case 0xC6ED50474C61746ELLU: // nxr_Latn_PG
        case 0xDEED49444C61746ELLU: // nxx_Latn_ID
        case 0x6E794D574C61746ELLU: // ny_Latn_MW
        case 0x870D47484C61746ELLU: // nyb_Latn_GH
        case 0x8B0D43444C61746ELLU: // nyc_Latn_CD
        case 0x8F0D4B454C61746ELLU: // nyd_Latn_KE
        case 0x930D414F4C61746ELLU: // nye_Latn_AO
        case 0x970D4B454C61746ELLU: // nyf_Latn_KE
        case 0x9B0D43444C61746ELLU: // nyg_Latn_CD
        case 0x9F0D41554C61746ELLU: // nyh_Latn_AU
        case 0xA30D53444C61746ELLU: // nyi_Latn_SD
        case 0xA70D43444C61746ELLU: // nyj_Latn_CD
        case 0xAB0D414F4C61746ELLU: // nyk_Latn_AO
        case 0xAF0D544854686169LLU: // nyl_Thai_TH
        case 0xB30D545A4C61746ELLU: // nym_Latn_TZ
        case 0xB70D55474C61746ELLU: // nyn_Latn_UG
        case 0xBB0D55474C61746ELLU: // nyo_Latn_UG
        case 0xBF0D55474C61746ELLU: // nyp_Latn_UG
        case 0xC30D495241726162LLU: // nyq_Arab_IR
        case 0xC70D4D574C61746ELLU: // nyr_Latn_MW
        case 0xCB0D41554C61746ELLU: // nys_Latn_AU
        case 0xCF0D41554C61746ELLU: // nyt_Latn_AU
        case 0xD30D4D5A4C61746ELLU: // nyu_Latn_MZ
        case 0xD70D41554C61746ELLU: // nyv_Latn_AU
        case 0xDB0D544854686169LLU: // nyw_Thai_TH
        case 0xDF0D41554C61746ELLU: // nyx_Latn_AU
        case 0xE30D545A4C61746ELLU: // nyy_Latn_TZ
        case 0x832D434D4C61746ELLU: // nza_Latn_CM
        case 0x872D47414C61746ELLU: // nzb_Latn_GA
        case 0x8F2D43444C61746ELLU: // nzd_Latn_CD
        case 0xA32D47484C61746ELLU: // nzi_Latn_GH
        case 0xAB2D43464C61746ELLU: // nzk_Latn_CF
        case 0xB32D494E4C61746ELLU: // nzm_Latn_IN
        case 0xC72D4E474C61746ELLU: // nzr_Latn_NG
        case 0xD32D43474C61746ELLU: // nzu_Latn_CG
        case 0xE32D54444C61746ELLU: // nzy_Latn_TD
        case 0xE72D4D4C4C61746ELLU: // nzz_Latn_ML
        case 0x800E52554379726CLLU: // oaa_Cyrl_RU
        case 0x880E52554379726CLLU: // oac_Cyrl_RU
        case 0xC40E535953797263LLU: // oar_Syrc_SY
        case 0xD40E474547656F72LLU: // oav_Geor_GE
        case 0xA02E55534C61746ELLU: // obi_Latn_US
        case 0xA82E50484C61746ELLU: // obk_Latn_PH
        case 0xAC2E434D4C61746ELLU: // obl_Latn_CM
        case 0xB02E4A4F50686E78LLU: // obm_Phnx_JO
        case 0xB82E50484C61746ELLU: // obo_Latn_PH
        case 0xC42E4D4D4D796D72LLU: // obr_Mymr_MM
        case 0xCC2E46524C61746ELLU: // obt_Latn_FR
        case 0xD02E4E474C61746ELLU: // obu_Latn_NG
        case 0x6F6346524C61746ELLU: // oc_Latn_FR
        case 0x804E50454C61746ELLU: // oca_Latn_PE
        case 0xB84E47424C61746ELLU: // oco_Latn_GB
        case 0xD04E4D584C61746ELLU: // ocu_Latn_MX
        case 0x806E4E474C61746ELLU: // oda_Latn_NG
        case 0xA86E504B41726162LLU: // odk_Arab_PK
        case 0xCC6E4E4C4C61746ELLU: // odt_Latn_NL
        case 0xD06E4E474C61746ELLU: // odu_Latn_NG
        case 0xC8AE4E4C4C61746ELLU: // ofs_Latn_NL
        case 0xD0AE4E474C61746ELLU: // ofu_Latn_NG
        case 0x84CE4E474C61746ELLU: // ogb_Latn_NG
        case 0x88CE4E474C61746ELLU: // ogc_Latn_NG
        case 0x98CE4E474C61746ELLU: // ogg_Latn_NG
        case 0xB8CE4E474C61746ELLU: // ogo_Latn_NG
        case 0xD0CE4E474C61746ELLU: // ogu_Latn_NG
        case 0xCCEE545258737578LLU: // oht_Xsux_TR
        case 0xD0EE48554C61746ELLU: // ohu_Latn_HU
        case 0x810E49444C61746ELLU: // oia_Latn_ID
        case 0x910E53534C61746ELLU: // oie_Latn_SS
        case 0xB50E50474C61746ELLU: // oin_Latn_PG
        case 0x6F6A434143616E73LLU: // oj_Cans_CA
        case 0x852E43414C61746ELLU: // ojb_Latn_CA
        case 0x892E43414C61746ELLU: // ojc_Latn_CA
        case 0xC92E434143616E73LLU: // ojs_Cans_CA
        case 0xD52E53424C61746ELLU: // ojv_Latn_SB
        case 0xD92E43414C61746ELLU: // ojw_Latn_CA
        case 0x814E43414C61746ELLU: // oka_Latn_CA
        case 0x854E4E474C61746ELLU: // okb_Latn_NG
        case 0x894E43444C61746ELLU: // okc_Latn_CD
        case 0x8D4E4E474C61746ELLU: // okd_Latn_NG
        case 0x914E4E474C61746ELLU: // oke_Latn_NG
        case 0x994E41554C61746ELLU: // okg_Latn_AU
        case 0xA14E4B454C61746ELLU: // oki_Latn_KE
        case 0xA94E50474C61746ELLU: // okk_Latn_PG
        case 0xB14E4B5248616E67LLU: // okm_Hang_KR
        case 0xB94E4B5248616E69LLU: // oko_Hani_KR
        case 0xC54E4E474C61746ELLU: // okr_Latn_NG
        case 0xC94E4E474C61746ELLU: // oks_Latn_NG
        case 0xD14E434D4C61746ELLU: // oku_Latn_CM
        case 0xD54E50474C61746ELLU: // okv_Latn_PG
        case 0xDD4E4E474C61746ELLU: // okx_Latn_NG
        case 0xE54E4B484B686D72LLU: // okz_Khmr_KH
        case 0x816E4E5044657661LLU: // ola_Deva_NP
        case 0x8D6E545A4C61746ELLU: // old_Latn_TZ
        case 0x916E425454696274LLU: // ole_Tibt_BT
        case 0xA96E41554C61746ELLU: // olk_Latn_AU
        case 0xB16E4E474C61746ELLU: // olm_Latn_NG
        case 0xB96E52554C61746ELLU: // olo_Latn_RU
        case 0xC56E56554C61746ELLU: // olr_Latn_VU
        case 0xCD6E4C544C61746ELLU: // olt_Latn_LT
        case 0xD16E414F4C61746ELLU: // olu_Latn_AO
        case 0x6F6D45544C61746ELLU: // om_Latn_ET
        case 0x818E55534C61746ELLU: // oma_Latn_US
        case 0x858E56554C61746ELLU: // omb_Latn_VU
        case 0x898E50454C61746ELLU: // omc_Latn_PE
        case 0x998E50454C61746ELLU: // omg_Latn_PE
        case 0xA18E43444C61746ELLU: // omi_Latn_CD
        case 0xA98E52554379726CLLU: // omk_Cyrl_RU
        case 0xAD8E43444C61746ELLU: // oml_Latn_CD
        case 0xB98E50474C61746ELLU: // omo_Latn_PG
        case 0xBD8E494E4D746569LLU: // omp_Mtei_IN
        case 0xC58E494E4D6F6469LLU: // omr_Modi_IN
        case 0xCD8E4B454C61746ELLU: // omt_Latn_KE
        case 0xD18E50454C61746ELLU: // omu_Latn_PE
        case 0xD98E50474C61746ELLU: // omw_Latn_PG
        case 0xDD8E4D4D4D796D72LLU: // omx_Mymr_MM
        case 0x81AE41524C61746ELLU: // ona_Latn_AR
        case 0x91AE43414C61746ELLU: // one_Latn_CA
        case 0x99AE50474C61746ELLU: // ong_Latn_PG
        case 0xA1AE49444C61746ELLU: // oni_Latn_ID
        case 0xA5AE50474C61746ELLU: // onj_Latn_PG
        case 0xA9AE50474C61746ELLU: // onk_Latn_PG
        case 0xB5AE50474C61746ELLU: // onn_Latn_PG
        case 0xB9AE43414C61746ELLU: // ono_Latn_CA
        case 0xBDAE494E4C61746ELLU: // onp_Latn_IN
        case 0xC5AE50474C61746ELLU: // onr_Latn_PG
        case 0xC9AE50474C61746ELLU: // ons_Latn_PG
        case 0xCDAE50474C61746ELLU: // ont_Latn_PG
        case 0xD1AE56554C61746ELLU: // onu_Latn_VU
        case 0xDDAE49444C61746ELLU: // onx_Latn_ID
        case 0x8DCE55534C61746ELLU: // ood_Latn_US
        case 0xB5CE494E44657661LLU: // oon_Deva_IN
        case 0xC5CE5A414C61746ELLU: // oor_Latn_ZA
        case 0x81EE4E474C61746ELLU: // opa_Latn_NG
        case 0xA9EE49444C61746ELLU: // opk_Latn_ID
        case 0xB1EE50474C61746ELLU: // opm_Latn_PG
        case 0xB9EE50474C61746ELLU: // opo_Latn_PG
        case 0xCDEE4D584C61746ELLU: // opt_Latn_MX
        case 0xE1EE42524C61746ELLU: // opy_Latn_BR
        case 0x6F72494E4F727961LLU: // or_Orya_IN
        case 0x822E53424C61746ELLU: // ora_Latn_SB
        case 0x8A2E4B454C61746ELLU: // orc_Latn_KE
        case 0x922E50454C61746ELLU: // ore_Latn_PE
        case 0x9A2E4E474C61746ELLU: // org_Latn_NG
        case 0xB62E4D594C61746ELLU: // orn_Latn_MY
        case 0xBA2E50474C61746ELLU: // oro_Latn_PG
        case 0xC62E4E474C61746ELLU: // orr_Latn_NG
        case 0xCA2E4D594C61746ELLU: // ors_Latn_MY
        case 0xCE2E494E54656C75LLU: // ort_Telu_IN
        case 0xD22E504B41726162LLU: // oru_Arab_PK
        case 0xD62E52554379726CLLU: // orv_Cyrl_RU
        case 0xDA2E42524C61746ELLU: // orw_Latn_BR
        case 0xDE2E4E474C61746ELLU: // orx_Latn_NG
        case 0xE62E49444C61746ELLU: // orz_Latn_ID
        case 0x6F7347454379726CLLU: // os_Cyrl_GE
        case 0x824E55534F736765LLU: // osa_Osge_US
        case 0x8A4E49544974616CLLU: // osc_Ital_IT
        case 0xA24E49444A617661LLU: // osi_Java_ID
        case 0xBA4E4E474C61746ELLU: // oso_Latn_NG
        case 0xBE4E45534C61746ELLU: // osp_Latn_ES
        case 0xCE4E434D4C61746ELLU: // ost_Latn_CM
        case 0xD24E50474C61746ELLU: // osu_Latn_PG
        case 0xDE4E44454C61746ELLU: // osx_Latn_DE
        case 0x826E545241726162LLU: // ota_Arab_TR
        case 0x866E434E54696274LLU: // otb_Tibt_CN
        case 0x8E6E49444C61746ELLU: // otd_Latn_ID
        case 0x926E4D584C61746ELLU: // ote_Latn_MX
        case 0xA26E42524C61746ELLU: // oti_Latn_BR
        case 0xAA6E4D4E4F726B68LLU: // otk_Orkh_MN
        case 0xAE6E4D584C61746ELLU: // otl_Latn_MX
        case 0xB26E4D584C61746ELLU: // otm_Latn_MX
        case 0xB66E4D584C61746ELLU: // otn_Latn_MX
        case 0xC26E4D584C61746ELLU: // otq_Latn_MX
        case 0xC66E53444C61746ELLU: // otr_Latn_SD
        case 0xCA6E4D584C61746ELLU: // ots_Latn_MX
        case 0xCE6E4D584C61746ELLU: // ott_Latn_MX
        case 0xD26E42524C61746ELLU: // otu_Latn_BR
        case 0xDA6E43414C61746ELLU: // otw_Latn_CA
        case 0xDE6E4D584C61746ELLU: // otx_Latn_MX
        case 0xE26E494E4772616ELLU: // oty_Gran_IN
        case 0xE66E4D584C61746ELLU: // otz_Latn_MX
        case 0x868E4C524C61746ELLU: // oub_Latn_LR
        case 0x928E50474C61746ELLU: // oue_Latn_PG
        case 0xA28E434E4F756772LLU: // oui_Ougr_CN
        case 0xB28E50474C61746ELLU: // oum_Latn_PG
        case 0x8EAE53454C61746ELLU: // ovd_Latn_SE
        case 0xA2CE50474C61746ELLU: // owi_Latn_PG
        case 0xAECE47424C61746ELLU: // owl_Latn_GB
        case 0x8F0E45544C61746ELLU: // oyd_Latn_ET
        case 0xB30E42524C61746ELLU: // oym_Latn_BR
        case 0xE30E50474C61746ELLU: // oyy_Latn_PG
        case 0xB32E434D4C61746ELLU: // ozm_Latn_CM
        case 0x7061504B41726162LLU: // pa_Arab_PK
        case 0x7061494E47757275LLU: // pa_Guru_IN
        case 0x840F42524C61746ELLU: // pab_Latn_BR
        case 0x880F564E4C61746ELLU: // pac_Latn_VN
        case 0x8C0F42524C61746ELLU: // pad_Latn_BR
        case 0x900F43444C61746ELLU: // pae_Latn_CD
        case 0x940F42524C61746ELLU: // paf_Latn_BR
        case 0x980F50484C61746ELLU: // pag_Latn_PH
        case 0x9C0F42524C61746ELLU: // pah_Latn_BR
        case 0xA00F4E474C61746ELLU: // pai_Latn_NG
        case 0xA80F42524C61746ELLU: // pak_Latn_BR
        case 0xAC0F495250686C69LLU: // pal_Phli_IR
        case 0xAC0F434E50686C70LLU: // pal_Phlp_CN
        case 0xB00F50484C61746ELLU: // pam_Latn_PH
        case 0xB80F55534C61746ELLU: // pao_Latn_US
        case 0xBC0F43574C61746ELLU: // pap_Latn_CW
        case 0xC00F544A4379726CLLU: // paq_Cyrl_TJ
        case 0xC40F55534C61746ELLU: // par_Latn_US
        case 0xC80F49444C61746ELLU: // pas_Latn_ID
        case 0xD00F50574C61746ELLU: // pau_Latn_PW
        case 0xD40F42524C61746ELLU: // pav_Latn_BR
        case 0xD80F55534C61746ELLU: // paw_Latn_US
        case 0xDC0F42524C61746ELLU: // pax_Latn_BR
        case 0xE00F484E4C61746ELLU: // pay_Latn_HN
        case 0xE40F42524C61746ELLU: // paz_Latn_BR
        case 0x842F434F4C61746ELLU: // pbb_Latn_CO
        case 0x882F47594C61746ELLU: // pbc_Latn_GY
        case 0x902F4D584C61746ELLU: // pbe_Latn_MX
        case 0x942F4D584C61746ELLU: // pbf_Latn_MX
        case 0x982F56454C61746ELLU: // pbg_Latn_VE
        case 0x9C2F56454C61746ELLU: // pbh_Latn_VE
        case 0xA02F434D4C61746ELLU: // pbi_Latn_CM
        case 0xAC2F4E474C61746ELLU: // pbl_Latn_NG
        case 0xB02F4D584C61746ELLU: // pbm_Latn_MX
        case 0xB42F4E474C61746ELLU: // pbn_Latn_NG
        case 0xB82F47574C61746ELLU: // pbo_Latn_GW
        case 0xBC2F474E4C61746ELLU: // pbp_Latn_GN
        case 0xC42F545A4C61746ELLU: // pbr_Latn_TZ
        case 0xC82F4D584C61746ELLU: // pbs_Latn_MX
        case 0xCC2F414641726162LLU: // pbt_Arab_AF
        case 0xD42F494E4C61746ELLU: // pbv_Latn_IN
        case 0xE02F50474C61746ELLU: // pby_Latn_PG
        case 0x804F4D584C61746ELLU: // pca_Latn_MX
        case 0x844F4B484B686D72LLU: // pcb_Khmr_KH
        case 0x884F434E4C61746ELLU: // pcc_Latn_CN
        case 0x8C4F46524C61746ELLU: // pcd_Latn_FR
        case 0x904F4D4D4D796D72LLU: // pce_Mymr_MM
        case 0x944F494E4D6C796DLLU: // pcf_Mlym_IN
        case 0x984F494E4D6C796DLLU: // pcg_Mlym_IN
        case 0x9C4F494E44657661LLU: // pch_Deva_IN
        case 0xA04F494E44657661LLU: // pci_Deva_IN
        case 0xA44F494E54656C75LLU: // pcj_Telu_IN
        case 0xA84F494E4C61746ELLU: // pck_Latn_IN
        case 0xB04F4E474C61746ELLU: // pcm_Latn_NG
        case 0xB44F4E474C61746ELLU: // pcn_Latn_NG
        case 0xBC4F424F4C61746ELLU: // pcp_Latn_BO
        case 0xD84F4E474C61746ELLU: // pcw_Latn_NG
        case 0x806F50474C61746ELLU: // pda_Latn_PG
        case 0x886F55534C61746ELLU: // pdc_Latn_US
        case 0xB46F49444C61746ELLU: // pdn_Latn_ID
        case 0xB86F49444C61746ELLU: // pdo_Latn_ID
        case 0xCC6F43414C61746ELLU: // pdt_Latn_CA
        case 0xD06F4D4D4C61746ELLU: // pdu_Latn_MM
        case 0x808F49444C61746ELLU: // pea_Latn_ID
        case 0x848F55534C61746ELLU: // peb_Latn_US
        case 0x8C8F50474C61746ELLU: // ped_Latn_PG
        case 0x908F49444C61746ELLU: // pee_Latn_ID
        case 0x988F494E4F727961LLU: // peg_Orya_IN
        case 0xA08F4D584C61746ELLU: // pei_Latn_MX
        case 0xA88F50474C61746ELLU: // pek_Latn_PG
        case 0xAC8F49444C61746ELLU: // pel_Latn_ID
        case 0xB08F43444C61746ELLU: // pem_Latn_CD
        case 0xB88F49525870656FLLU: // peo_Xpeo_IR
        case 0xBC8F50474C61746ELLU: // pep_Latn_PG
        case 0xC08F55534C61746ELLU: // peq_Latn_US
        case 0xD48F56454C61746ELLU: // pev_Latn_VE
        case 0xDC8F50474C61746ELLU: // pex_Latn_PG
        case 0xE08F49444C61746ELLU: // pey_Latn_ID
        case 0xE48F4D594C61746ELLU: // pez_Latn_MY
        case 0x80AF464D4C61746ELLU: // pfa_Latn_FM
        case 0x90AF434D4C61746ELLU: // pfe_Latn_CM
        case 0xACAF44454C61746ELLU: // pfl_Latn_DE
        case 0x80CF53534C61746ELLU: // pga_Latn_SS
        case 0x8CCF504B4B686172LLU: // pgd_Khar_PK
        case 0x98CF494E44657661LLU: // pgg_Deva_IN
        case 0xA0CF50474C61746ELLU: // pgi_Latn_PG
        case 0xA8CF56554C61746ELLU: // pgk_Latn_VU
        case 0xACCF49454F67616DLLU: // pgl_Ogam_IE
        case 0xB4CF49544974616CLLU: // pgn_Ital_IT
        case 0xC8CF4E474C61746ELLU: // pgs_Latn_NG
        case 0xD0CF49444C61746ELLU: // pgu_Latn_ID
        case 0x8CEF494E44657661LLU: // phd_Deva_IN
        case 0x98EF564E4C61746ELLU: // phg_Latn_VN
        case 0x9CEF564E4C61746ELLU: // phh_Latn_VN
        case 0xA8EF494E4D796D72LLU: // phk_Mymr_IN
        case 0xACEF504B41726162LLU: // phl_Arab_PK
        case 0xB0EF4D5A4C61746ELLU: // phm_Latn_MZ
        case 0xB4EF4C4250686E78LLU: // phn_Phnx_LB
        case 0xB8EF4C414C616F6FLLU: // pho_Laoo_LA
        case 0xC4EF504B41726162LLU: // phr_Arab_PK
        case 0xCCEF544854686169LLU: // pht_Thai_TH
        case 0xD0EF544854686169LLU: // phu_Thai_TH
        case 0xD4EF414641726162LLU: // phv_Arab_AF
        case 0xD8EF4E5044657661LLU: // phw_Deva_NP
        case 0x7069494E53696E68LLU: // pi_Sinh_IN
        case 0x810F4D584C61746ELLU: // pia_Latn_MX
        case 0x850F50454C61746ELLU: // pib_Latn_PE
        case 0x890F47414C61746ELLU: // pic_Latn_GA
        case 0x8D0F56454C61746ELLU: // pid_Latn_VE
        case 0x950F464D4C61746ELLU: // pif_Latn_FM
        case 0x990F50454C61746ELLU: // pig_Latn_PE
        case 0x9D0F4E464C61746ELLU: // pih_Latn_NF
        case 0xA50F434F4C61746ELLU: // pij_Latn_CO
        case 0xAD0F424A4C61746ELLU: // pil_Latn_BJ
        case 0xB10F55534C61746ELLU: // pim_Latn_US
        case 0xB50F50474C61746ELLU: // pin_Latn_PG
        case 0xB90F434F4C61746ELLU: // pio_Latn_CO
        case 0xBD0F4E474C61746ELLU: // pip_Latn_NG
        case 0xC50F42524C61746ELLU: // pir_Latn_BR
        case 0xC90F53424C61746ELLU: // pis_Latn_SB
        case 0xCD0F41554C61746ELLU: // pit_Latn_AU
        case 0xD10F41554C61746ELLU: // piu_Latn_AU
        case 0xD50F53424C61746ELLU: // piv_Latn_SB
        case 0xD90F545A4C61746ELLU: // piw_Latn_TZ
        case 0xDD0F50474C61746ELLU: // pix_Latn_PG
        case 0xE10F4E474C61746ELLU: // piy_Latn_NG
        case 0xE50F4E434C61746ELLU: // piz_Latn_NC
        case 0xCD2F41554C61746ELLU: // pjt_Latn_AU
        case 0x814F494E42726168LLU: // pka_Brah_IN
        case 0x854F4B454C61746ELLU: // pkb_Latn_KE
        case 0x994F50474C61746ELLU: // pkg_Latn_PG
        case 0x9D4F42444C61746ELLU: // pkh_Latn_BD
        case 0xB54F41554C61746ELLU: // pkn_Latn_AU
        case 0xB94F4B454C61746ELLU: // pko_Latn_KE
        case 0xBD4F434B4C61746ELLU: // pkp_Latn_CK
        case 0xC54F494E4D6C796DLLU: // pkr_Mlym_IN
        case 0xD14F49444C61746ELLU: // pku_Latn_ID
        case 0x706C504C4C61746ELLU: // pl_Latn_PL
        case 0x816F50474C61746ELLU: // pla_Latn_PG
        case 0x856F56554C61746ELLU: // plb_Latn_VU
        case 0x896F50484C61746ELLU: // plc_Latn_PH
        case 0x8D6F47424C61746ELLU: // pld_Latn_GB
        case 0x916F49444C61746ELLU: // ple_Latn_ID
        case 0x996F41524C61746ELLU: // plg_Latn_AR
        case 0x9D6F49444C61746ELLU: // plh_Latn_ID
        case 0xA96F504B41726162LLU: // plk_Arab_PK
        case 0xAD6F4D4D4D796D72LLU: // pll_Mymr_MM
        case 0xB56F434F4C61746ELLU: // pln_Latn_CO
        case 0xB96F4D584C61746ELLU: // plo_Latn_MX
        case 0xC56F43494C61746ELLU: // plr_Latn_CI
        case 0xC96F4D584C61746ELLU: // pls_Latn_MX
        case 0xD16F42524C61746ELLU: // plu_Latn_BR
        case 0xD56F50484C61746ELLU: // plv_Latn_PH
        case 0xD96F50484C61746ELLU: // plw_Latn_PH
        case 0xE56F4D594C61746ELLU: // plz_Latn_MY
        case 0x818F56554C61746ELLU: // pma_Latn_VU
        case 0x858F43444C61746ELLU: // pmb_Latn_CD
        case 0x8D8F41554C61746ELLU: // pmd_Latn_AU
        case 0x918F4E434C61746ELLU: // pme_Latn_NC
        case 0x958F49444C61746ELLU: // pmf_Latn_ID
        case 0x9D8F494E42726168LLU: // pmh_Brah_IN
        case 0xA18F434E4C61746ELLU: // pmi_Latn_CN
        case 0xA58F434E4C61746ELLU: // pmj_Latn_CN
        case 0xAD8F544E4C61746ELLU: // pml_Latn_TN
        case 0xB18F434D4C61746ELLU: // pmm_Latn_CM
        case 0xB58F434D4C61746ELLU: // pmn_Latn_CM
        case 0xB98F49444C61746ELLU: // pmo_Latn_ID
        case 0xC18F4D584C61746ELLU: // pmq_Latn_MX
        case 0xC58F50474C61746ELLU: // pmr_Latn_PG
        case 0xC98F49544C61746ELLU: // pms_Latn_IT
        case 0xCD8F50464C61746ELLU: // pmt_Latn_PF
        case 0xD98F55534C61746ELLU: // pmw_Latn_US
        case 0xDD8F494E4C61746ELLU: // pmx_Latn_IN
        case 0xE18F49444C61746ELLU: // pmy_Latn_ID
        case 0xE58F4D584C61746ELLU: // pmz_Latn_MX
        case 0x81AF4D594C61746ELLU: // pna_Latn_MY
        case 0x89AF49444C61746ELLU: // pnc_Latn_ID
        case 0x8DAF414F4C61746ELLU: // pnd_Latn_AO
        case 0x91AF4D594C61746ELLU: // pne_Latn_MY
        case 0x99AF4E474C61746ELLU: // png_Latn_NG
        case 0x9DAF434B4C61746ELLU: // pnh_Latn_CK
        case 0xA1AF49444C61746ELLU: // pni_Latn_ID
        case 0xA5AF41554C61746ELLU: // pnj_Latn_AU
        case 0xA9AF424F4C61746ELLU: // pnk_Latn_BO
        case 0xADAF42464C61746ELLU: // pnl_Latn_BF
        case 0xB1AF4D594C61746ELLU: // pnm_Latn_MY
        case 0xB5AF50474C61746ELLU: // pnn_Latn_PG
        case 0xB9AF50454C61746ELLU: // pno_Latn_PE
        case 0xBDAF49444C61746ELLU: // pnp_Latn_ID
        case 0xC1AF42464C61746ELLU: // pnq_Latn_BF
        case 0xC5AF50474C61746ELLU: // pnr_Latn_PG
        case 0xC9AF49444C61746ELLU: // pns_Latn_ID
        case 0xCDAF47524772656BLLU: // pnt_Grek_GR
        case 0xD5AF41554C61746ELLU: // pnv_Latn_AU
        case 0xD9AF41554C61746ELLU: // pnw_Latn_AU
        case 0xE1AF434D4C61746ELLU: // pny_Latn_CM
        case 0xE5AF43464C61746ELLU: // pnz_Latn_CF
        case 0x89CF47544C61746ELLU: // poc_Latn_GT
        case 0x91CF4D584C61746ELLU: // poe_Latn_MX
        case 0x95CF43444C61746ELLU: // pof_Latn_CD
        case 0x99CF42524C61746ELLU: // pog_Latn_BR
        case 0x9DCF47544C61746ELLU: // poh_Latn_GT
        case 0xA1CF4D584C61746ELLU: // poi_Latn_MX
        case 0xA9CF42524C61746ELLU: // pok_Latn_BR
        case 0xB1CF55534C61746ELLU: // pom_Latn_US
        case 0xB5CF464D4C61746ELLU: // pon_Latn_FM
        case 0xB9CF55534C61746ELLU: // poo_Latn_US
        case 0xBDCF4E434C61746ELLU: // pop_Latn_NC
        case 0xC1CF4D584C61746ELLU: // poq_Latn_MX
        case 0xC9CF4D584C61746ELLU: // pos_Latn_MX
        case 0xCDCF55534C61746ELLU: // pot_Latn_US
        case 0xD5CF47574C61746ELLU: // pov_Latn_GW
        case 0xD9CF4D584C61746ELLU: // pow_Latn_MX
        case 0xE1CF545A4C61746ELLU: // poy_Latn_TZ
        case 0x91EF50474C61746ELLU: // ppe_Latn_PG
        case 0xA1EF4D584C61746ELLU: // ppi_Latn_MX
        case 0xA9EF49444C61746ELLU: // ppk_Latn_ID
        case 0xADEF53564C61746ELLU: // ppl_Latn_SV
        case 0xB1EF49444C61746ELLU: // ppm_Latn_ID
        case 0xB5EF50474C61746ELLU: // ppn_Latn_PG
        case 0xB9EF50474C61746ELLU: // ppo_Latn_PG
        case 0xBDEF43444C61746ELLU: // ppp_Latn_CD
        case 0xC1EF50474C61746ELLU: // ppq_Latn_PG
        case 0xC9EF4D584C61746ELLU: // pps_Latn_MX
        case 0xCDEF50474C61746ELLU: // ppt_Latn_PG
        case 0x820F4E474C61746ELLU: // pqa_Latn_NG
        case 0xB20F43414C61746ELLU: // pqm_Latn_CA
        case 0x822F504B4B686172LLU: // pra_Khar_PK
        case 0x8A2F414641726162LLU: // prc_Arab_AF
        case 0x8E2F495241726162LLU: // prd_Arab_IR
        case 0x922F53544C61746ELLU: // pre_Latn_ST
        case 0x962F50484C61746ELLU: // prf_Latn_PH
        case 0x9A2F504C4C61746ELLU: // prg_Latn_PL
        case 0x9E2F50484C61746ELLU: // prh_Latn_PH
        case 0xA22F4E434C61746ELLU: // pri_Latn_NC
        case 0xAA2F4D4D4C61746ELLU: // prk_Latn_MM
        case 0xB22F50474C61746ELLU: // prm_Latn_PG
        case 0xBA2F46524C61746ELLU: // pro_Latn_FR
        case 0xC22F50454C61746ELLU: // prq_Latn_PE
        case 0xC62F42524C61746ELLU: // prr_Latn_BR
        case 0xCE2F544854686169LLU: // prt_Thai_TH
        case 0xD22F49444C61746ELLU: // pru_Latn_ID
        case 0xDA2F50474C61746ELLU: // prw_Latn_PG
        case 0xDE2F494E41726162LLU: // prx_Arab_IN
        case 0x7073414641726162LLU: // ps_Arab_AF
        case 0x824F49444C61746ELLU: // psa_Latn_ID
        case 0x924F49444C61746ELLU: // pse_Latn_ID
        case 0x9E4F414641726162LLU: // psh_Arab_AF
        case 0xA24F414641726162LLU: // psi_Arab_AF
        case 0xB24F424F4C61746ELLU: // psm_Latn_BO
        case 0xB64F49444C61746ELLU: // psn_Latn_ID
        case 0xC24F50474C61746ELLU: // psq_Latn_PG
        case 0xCA4F50474C61746ELLU: // pss_Latn_PG
        case 0xCE4F504B41726162LLU: // pst_Arab_PK
        case 0xD24F494E42726168LLU: // psu_Brah_IN
        case 0xDA4F56554C61746ELLU: // psw_Latn_VU
        case 0x707442524C61746ELLU: // pt_Latn_BR
        case 0x826F50594C61746ELLU: // pta_Latn_PY
        case 0x9E6F42524C61746ELLU: // pth_Latn_BR
        case 0xA26F41554C61746ELLU: // pti_Latn_AU
        case 0xB66F49444C61746ELLU: // ptn_Latn_ID
        case 0xBA6F42524C61746ELLU: // pto_Latn_BR
        case 0xBE6F50474C61746ELLU: // ptp_Latn_PG
        case 0xC66F56554C61746ELLU: // ptr_Latn_VU
        case 0xCE6F49444C61746ELLU: // ptt_Latn_ID
        case 0xD26F49444C61746ELLU: // ptu_Latn_ID
        case 0xD66F56554C61746ELLU: // ptv_Latn_VU
        case 0x828F4D584C61746ELLU: // pua_Latn_MX
        case 0x868F494E4C61746ELLU: // pub_Latn_IN
        case 0x8A8F49444C61746ELLU: // puc_Latn_ID
        case 0x8E8F49444C61746ELLU: // pud_Latn_ID
        case 0x928F41524C61746ELLU: // pue_Latn_AR
        case 0x968F49444C61746ELLU: // puf_Latn_ID
        case 0x9A8F42464C61746ELLU: // pug_Latn_BF
        case 0xA28F434F4C61746ELLU: // pui_Latn_CO
        case 0xA68F49444C61746ELLU: // puj_Latn_ID
        case 0xB28F4E5044657661LLU: // pum_Deva_NP
        case 0xBA8F564E4C61746ELLU: // puo_Latn_VN
        case 0xBE8F50474C61746ELLU: // pup_Latn_PG
        case 0xC28F424F4C61746ELLU: // puq_Latn_BO
        case 0xC68F42524C61746ELLU: // pur_Latn_BR
        case 0xCE8F49444C61746ELLU: // put_Latn_ID
        case 0xD28F47414C61746ELLU: // puu_Latn_GA
        case 0xDA8F464D4C61746ELLU: // puw_Latn_FM
        case 0xDE8F50474C61746ELLU: // pux_Latn_PG
        case 0xE28F55534C61746ELLU: // puy_Latn_US
        case 0x82CF50474C61746ELLU: // pwa_Latn_PG
        case 0x86CF4E474C61746ELLU: // pwb_Latn_NG
        case 0x9ACF50474C61746ELLU: // pwg_Latn_PG
        case 0xB2CF50484C61746ELLU: // pwm_Latn_PH
        case 0xB6CF54574C61746ELLU: // pwn_Latn_TW
        case 0xBACF4D4D4D796D72LLU: // pwo_Mymr_MM
        case 0xC6CF494E44657661LLU: // pwr_Deva_IN
        case 0xDACF544854686169LLU: // pww_Thai_TH
        case 0xB2EF4D584C61746ELLU: // pxm_Latn_MX
        case 0x930F43494C61746ELLU: // pye_Latn_CI
        case 0xB30F4E474C61746ELLU: // pym_Latn_NG
        case 0xB70F42524C61746ELLU: // pyn_Latn_BR
        case 0xD30F54574C61746ELLU: // pyu_Latn_TW
        case 0xDF0F4D4D4D796D72LLU: // pyx_Mymr_MM
        case 0xE30F4D4D4C61746ELLU: // pyy_Latn_MM
        case 0x932F4E474C61746ELLU: // pze_Latn_NG
        case 0x9F2F54574C61746ELLU: // pzh_Latn_TW
        case 0xB72F4D4D4C61746ELLU: // pzn_Latn_MM
        case 0x717550454C61746ELLU: // qu_Latn_PE
        case 0x829055534C61746ELLU: // qua_Latn_US
        case 0x869050454C61746ELLU: // qub_Latn_PE
        case 0x8A9047544C61746ELLU: // quc_Latn_GT
        case 0x8E9045434C61746ELLU: // qud_Latn_EC
        case 0x969050454C61746ELLU: // quf_Latn_PE
        case 0x9A9045434C61746ELLU: // qug_Latn_EC
        case 0xA29055534C61746ELLU: // qui_Latn_US
        case 0xAA9050454C61746ELLU: // quk_Latn_PE
        case 0xAE90424F4C61746ELLU: // qul_Latn_BO
        case 0xB29047544C61746ELLU: // qum_Latn_GT
        case 0xB69055534C61746ELLU: // qun_Latn_US
        case 0xBE9050454C61746ELLU: // qup_Latn_PE
        case 0xC29045534C61746ELLU: // quq_Latn_ES
        case 0xC69050454C61746ELLU: // qur_Latn_PE
        case 0xCA9041524C61746ELLU: // qus_Latn_AR
        case 0xD69047544C61746ELLU: // quv_Latn_GT
        case 0xDA9045434C61746ELLU: // quw_Latn_EC
        case 0xDE9050454C61746ELLU: // qux_Latn_PE
        case 0xE29050454C61746ELLU: // quy_Latn_PE
        case 0x82B050454C61746ELLU: // qva_Latn_PE
        case 0x8AB050454C61746ELLU: // qvc_Latn_PE
        case 0x92B050454C61746ELLU: // qve_Latn_PE
        case 0x9EB050454C61746ELLU: // qvh_Latn_PE
        case 0xA2B045434C61746ELLU: // qvi_Latn_EC
        case 0xA6B045434C61746ELLU: // qvj_Latn_EC
        case 0xAEB050454C61746ELLU: // qvl_Latn_PE
        case 0xB2B050454C61746ELLU: // qvm_Latn_PE
        case 0xB6B050454C61746ELLU: // qvn_Latn_PE
        case 0xBAB050454C61746ELLU: // qvo_Latn_PE
        case 0xBEB050454C61746ELLU: // qvp_Latn_PE
        case 0xCAB050454C61746ELLU: // qvs_Latn_PE
        case 0xDAB050454C61746ELLU: // qvw_Latn_PE
        case 0xE6B045434C61746ELLU: // qvz_Latn_EC
        case 0x82D050454C61746ELLU: // qwa_Latn_PE
        case 0x8AD050454C61746ELLU: // qwc_Latn_PE
        case 0x9ED050454C61746ELLU: // qwh_Latn_PE
        case 0xB2D048554C61746ELLU: // qwm_Latn_HU
        case 0xCAD050454C61746ELLU: // qws_Latn_PE
        case 0xCED055534C61746ELLU: // qwt_Latn_US
        case 0x82F050454C61746ELLU: // qxa_Latn_PE
        case 0x8AF050454C61746ELLU: // qxc_Latn_PE
        case 0x9EF050454C61746ELLU: // qxh_Latn_PE
        case 0xAEF045434C61746ELLU: // qxl_Latn_EC
        case 0xB6F050454C61746ELLU: // qxn_Latn_PE
        case 0xBAF050454C61746ELLU: // qxo_Latn_PE
        case 0xBEF050454C61746ELLU: // qxp_Latn_PE
        case 0xC2F0495241726162LLU: // qxq_Arab_IR
        case 0xC6F045434C61746ELLU: // qxr_Latn_EC
        case 0xCEF050454C61746ELLU: // qxt_Latn_PE
        case 0xD2F050454C61746ELLU: // qxu_Latn_PE
        case 0xDAF050454C61746ELLU: // qxw_Latn_PE
        case 0xBF1055534C61746ELLU: // qyp_Latn_US
        case 0x80114E5044657661LLU: // raa_Deva_NP
        case 0x84114E5044657661LLU: // rab_Deva_NP
        case 0x881149444C61746ELLU: // rac_Latn_ID
        case 0x8C11564E4C61746ELLU: // rad_Latn_VN
        case 0x94114E5044657661LLU: // raf_Deva_NP
        case 0x98114B454C61746ELLU: // rag_Latn_KE
        case 0x9C11494E42656E67LLU: // rah_Beng_IN
        case 0xA01150474C61746ELLU: // rai_Latn_PG
        case 0xA411494E44657661LLU: // raj_Deva_IN
        case 0xA81150474C61746ELLU: // rak_Latn_PG
        case 0xB01142524C61746ELLU: // ram_Latn_BR
        case 0xB41149444C61746ELLU: // ran_Latn_ID
        case 0xB81150474C61746ELLU: // rao_Latn_PG
        case 0xBC11434C4C61746ELLU: // rap_Latn_CL
        case 0xC411434B4C61746ELLU: // rar_Latn_CK
        case 0xD4114E5044657661LLU: // rav_Deva_NP
        case 0xD8114D4D4C61746ELLU: // raw_Latn_MM
        case 0xDC114E474C61746ELLU: // rax_Latn_NG
        case 0xE01150464C61746ELLU: // ray_Latn_PF
        case 0xE41149444C61746ELLU: // raz_Latn_ID
        case 0x84314D4D4D796D72LLU: // rbb_Mymr_MM
        case 0xA83150484C61746ELLU: // rbk_Latn_PH
        case 0xAC3150484C61746ELLU: // rbl_Latn_PH
        case 0xBC3141554C61746ELLU: // rbp_Latn_AU
        case 0x945152454C61746ELLU: // rcf_Latn_RE
        case 0x8471495241726162LLU: // rdb_Arab_IR
        case 0x809150474C61746ELLU: // rea_Latn_PG
        case 0x849149444C61746ELLU: // reb_Latn_ID
        case 0x90914D594C61746ELLU: // ree_Latn_MY
        case 0x9891545A4C61746ELLU: // reg_Latn_TZ
        case 0xA091494E4F727961LLU: // rei_Orya_IN
        case 0xA49149444C61746ELLU: // rej_Latn_ID
        case 0xAC914B454C61746ELLU: // rel_Latn_KE
        case 0xB09150454C61746ELLU: // rem_Latn_PE
        case 0xB491564E4C61746ELLU: // ren_Latn_VN
        case 0xC8914E474C61746ELLU: // res_Latn_NG
        case 0xCC9149444C61746ELLU: // ret_Latn_ID
        case 0xE091424F4C61746ELLU: // rey_Latn_BO
        case 0x80D156554C61746ELLU: // rga_Latn_VU
        case 0xB4D149544C61746ELLU: // rgn_Latn_IT
        case 0xC4D150454C61746ELLU: // rgr_Latn_PE
        case 0xC8D1564E4C61746ELLU: // rgs_Latn_VN
        case 0xD0D149444C61746ELLU: // rgu_Latn_ID
        case 0x98F14D4D526F6867LLU: // rhg_Rohg_MM
        case 0xBCF150474C61746ELLU: // rhp_Latn_PG
        case 0x8111494E4C61746ELLU: // ria_Latn_IN
        case 0x95114D414C61746ELLU: // rif_Latn_MA
        case 0xAD114D4D4C61746ELLU: // ril_Latn_MM
        case 0xB111545A4C61746ELLU: // rim_Latn_TZ
        case 0xB5114E474C61746ELLU: // rin_Latn_NG
        case 0xC51149444C61746ELLU: // rir_Latn_ID
        case 0xCD1141554C61746ELLU: // rit_Latn_AU
        case 0xD11149444C61746ELLU: // riu_Latn_ID
        case 0x993149444C61746ELLU: // rjg_Latn_ID
        case 0xA1314E5044657661LLU: // rji_Deva_NP
        case 0xC9314E5044657661LLU: // rjs_Deva_NP
        case 0x81514B484B686D72LLU: // rka_Khmr_KH
        case 0x855142524C61746ELLU: // rkb_Latn_BR
        case 0x9D51434B4C61746ELLU: // rkh_Latn_CK
        case 0xA1514D4D4D796D72LLU: // rki_Mymr_MM
        case 0xB15142464C61746ELLU: // rkm_Latn_BF
        case 0xCD51424442656E67LLU: // rkt_Beng_BD
        case 0xD95141554C61746ELLU: // rkw_Latn_AU
        case 0x726D43484C61746ELLU: // rm_Latn_CH
        case 0x81914E494C61746ELLU: // rma_Latn_NI
        case 0x859141554C61746ELLU: // rmb_Latn_AU
        case 0x8991534B4C61746ELLU: // rmc_Latn_SK
        case 0x8D91444B4C61746ELLU: // rmd_Latn_DK
        case 0x919147424C61746ELLU: // rme_Latn_GB
        case 0x959146494C61746ELLU: // rmf_Latn_FI
        case 0x99914E4F4C61746ELLU: // rmg_Latn_NO
        case 0x9D9149444C61746ELLU: // rmh_Latn_ID
        case 0xA191414D41726D6ELLU: // rmi_Armn_AM
        case 0xA99150474C61746ELLU: // rmk_Latn_PG
        case 0xAD91504C4C61746ELLU: // rml_Latn_PL
        case 0xB19149444C61746ELLU: // rmm_Latn_ID
        case 0xB59152534C61746ELLU: // rmn_Latn_RS
        case 0xB99143484C61746ELLU: // rmo_Latn_CH
        case 0xBD9150474C61746ELLU: // rmp_Latn_PG
        case 0xC19145534C61746ELLU: // rmq_Latn_ES
        case 0xCD91495241726162LLU: // rmt_Arab_IR
        case 0xD19153454C61746ELLU: // rmu_Latn_SE
        case 0xD99147424C61746ELLU: // rmw_Latn_GB
        case 0xDD91564E4C61746ELLU: // rmx_Latn_VN
        case 0xE591494E4D796D72LLU: // rmz_Mymr_IN
        case 0x726E42494C61746ELLU: // rn_Latn_BI
        case 0x8DB143444C61746ELLU: // rnd_Latn_CD
        case 0x99B14D5A4C61746ELLU: // rng_Latn_MZ
        case 0xADB1494E4C61746ELLU: // rnl_Latn_IN
        case 0xB5B149444C61746ELLU: // rnn_Latn_ID
        case 0xC5B141554C61746ELLU: // rnr_Latn_AU
        case 0xD9B1545A4C61746ELLU: // rnw_Latn_TZ
        case 0x726F524F4C61746ELLU: // ro_Latn_RO
        case 0x85D149444C61746ELLU: // rob_Latn_ID
        case 0x89D1564E4C61746ELLU: // roc_Latn_VN
        case 0x8DD14E474C61746ELLU: // rod_Latn_NG
        case 0x91D150474C61746ELLU: // roe_Latn_PG
        case 0x95D1545A4C61746ELLU: // rof_Latn_TZ
        case 0x99D1564E4C61746ELLU: // rog_Latn_VN
        case 0xADD150484C61746ELLU: // rol_Latn_PH
        case 0xB1D1524F4C61746ELLU: // rom_Latn_RO
        case 0xB9D150474C61746ELLU: // roo_Latn_PG
        case 0xBDD141554C61746ELLU: // rop_Latn_AU
        case 0xC5D149444C61746ELLU: // ror_Latn_ID
        case 0xD1D154444C61746ELLU: // rou_Latn_TD
        case 0xD9D149444C61746ELLU: // row_Latn_ID
        case 0xB5F156554C61746ELLU: // rpn_Latn_VU
        case 0xCDF150474C61746ELLU: // rpt_Latn_PG
        case 0xA23153424C61746ELLU: // rri_Latn_SB
        case 0xB2314E5A4C61746ELLU: // rrm_Latn_NZ
        case 0xBA3150474C61746ELLU: // rro_Latn_PG
        case 0xCE3141554C61746ELLU: // rrt_Latn_AU
        case 0xAA5152534379726CLLU: // rsk_Cyrl_RS
        case 0xDA514E474C61746ELLU: // rsw_Latn_NG
        case 0x8A714D4D4C61746ELLU: // rtc_Latn_MM
        case 0x9E7149444C61746ELLU: // rth_Latn_ID
        case 0xB271464A4C61746ELLU: // rtm_Latn_FJ
        case 0xDA71494E44657661LLU: // rtw_Deva_IN
        case 0x727552554379726CLLU: // ru_Cyrl_RU
        case 0x869155474C61746ELLU: // rub_Latn_UG
        case 0x8A9155474C61746ELLU: // ruc_Latn_UG
        case 0x929155414379726CLLU: // rue_Cyrl_UA
        case 0x9691545A4C61746ELLU: // ruf_Latn_TZ
        case 0x9A9153424C61746ELLU: // rug_Latn_SB
        case 0xA291545A4C61746ELLU: // rui_Latn_TZ
        case 0xAA914E474C61746ELLU: // ruk_Latn_NG
        case 0xBA9148524C61746ELLU: // ruo_Latn_HR
        case 0xBE91524F4C61746ELLU: // rup_Latn_RO
        case 0xC29147524C61746ELLU: // ruq_Latn_GR
        case 0xCE9152554379726CLLU: // rut_Cyrl_RU
        case 0xD2914D594C61746ELLU: // ruu_Latn_MY
        case 0xE2914E474C61746ELLU: // ruy_Latn_NG
        case 0xE6914E474C61746ELLU: // ruz_Latn_NG
        case 0x727752574C61746ELLU: // rw_Latn_RW
        case 0x82D150474C61746ELLU: // rwa_Latn_PG
        case 0xAAD1545A4C61746ELLU: // rwk_Latn_TZ
        case 0xAED1545A4C61746ELLU: // rwl_Latn_TZ
        case 0xB2D155474C61746ELLU: // rwm_Latn_UG
        case 0xBAD150474C61746ELLU: // rwo_Latn_PG
        case 0xC6D1494E44657661LLU: // rwr_Deva_IN
        case 0x8EF141554C61746ELLU: // rxd_Latn_AU
        case 0xDAF141554C61746ELLU: // rxw_Latn_AU
        case 0xD3114A504B616E61LLU: // ryu_Kana_JP
        case 0x7361494E44657661LLU: // sa_Deva_IN
        case 0x801254444C61746ELLU: // saa_Latn_TD
        case 0x841250414C61746ELLU: // sab_Latn_PA
        case 0x881255534C61746ELLU: // sac_Latn_US
        case 0x8C12545A4C61746ELLU: // sad_Latn_TZ
        case 0x901242524C61746ELLU: // sae_Latn_BR
        case 0x941247484C61746ELLU: // saf_Latn_GH
        case 0x9C1252554379726CLLU: // sah_Cyrl_RU
        case 0xA41249444C61746ELLU: // saj_Latn_ID
        case 0xA81247414C61746ELLU: // sak_Latn_GA
        case 0xB012505353616D72LLU: // sam_Samr_PS
        case 0xB81249444C61746ELLU: // sao_Latn_ID
        case 0xC0124B454C61746ELLU: // saq_Latn_KE
        case 0xC412424F4C61746ELLU: // sar_Latn_BO
        case 0xC81249444C61746ELLU: // sas_Latn_ID
        case 0xCC12494E4F6C636BLLU: // sat_Olck_IN
        case 0xD01249444C61746ELLU: // sau_Latn_ID
        case 0xD412534E4C61746ELLU: // sav_Latn_SN
        case 0xD81249444C61746ELLU: // saw_Latn_ID
        case 0xDC1256554C61746ELLU: // sax_Latn_VU
        case 0xE0124E474C61746ELLU: // say_Latn_NG
        case 0xE412494E53617572LLU: // saz_Saur_IN
        case 0x803254444C61746ELLU: // sba_Latn_TD
        case 0x843253424C61746ELLU: // sbb_Latn_SB
        case 0x883250474C61746ELLU: // sbc_Latn_PG
        case 0x8C3242464C61746ELLU: // sbd_Latn_BF
        case 0x903250474C61746ELLU: // sbe_Latn_PG
        case 0x983249444C61746ELLU: // sbg_Latn_ID
        case 0x9C3250474C61746ELLU: // sbh_Latn_PG
        case 0xA03250474C61746ELLU: // sbi_Latn_PG
        case 0xA43254444C61746ELLU: // sbj_Latn_TD
        case 0xA832545A4C61746ELLU: // sbk_Latn_TZ
        case 0xAC3250484C61746ELLU: // sbl_Latn_PH
        case 0xB032545A4C61746ELLU: // sbm_Latn_TZ
        case 0xB432504B41726162LLU: // sbn_Arab_PK
        case 0xB8324D594C61746ELLU: // sbo_Latn_MY
        case 0xBC32545A4C61746ELLU: // sbp_Latn_TZ
        case 0xC03250474C61746ELLU: // sbq_Latn_PG
        case 0xC43249444C61746ELLU: // sbr_Latn_ID
        case 0xC8324E414C61746ELLU: // sbs_Latn_NA
        case 0xCC3249444C61746ELLU: // sbt_Latn_ID
        case 0xD032494E54696274LLU: // sbu_Tibt_IN
        case 0xD43249544C61746ELLU: // sbv_Latn_IT
        case 0xD83247414C61746ELLU: // sbw_Latn_GA
        case 0xDC3249444C61746ELLU: // sbx_Latn_ID
        case 0xE0325A4D4C61746ELLU: // sby_Latn_ZM
        case 0xE43243464C61746ELLU: // sbz_Latn_CF
        case 0x736349544C61746ELLU: // sc_Latn_IT
        case 0x8452564E4C61746ELLU: // scb_Latn_VN
        case 0x9052434E4C61746ELLU: // sce_Latn_CN
        case 0x945250414C61746ELLU: // scf_Latn_PA
        case 0x985249444C61746ELLU: // scg_Latn_ID
        case 0x9C52494E4C61746ELLU: // sch_Latn_IN
        case 0xA0524C4B4C61746ELLU: // sci_Latn_LK
        case 0xA852494E44657661LLU: // sck_Deva_IN
        case 0xAC52504B41726162LLU: // scl_Arab_PK
        case 0xB45249544C61746ELLU: // scn_Latn_IT
        case 0xB85247424C61746ELLU: // sco_Latn_GB
        case 0xBC524E5044657661LLU: // scp_Deva_NP
        case 0xC85243414C61746ELLU: // scs_Latn_CA
        case 0xCC524C414C616F6FLLU: // sct_Laoo_LA
        case 0xD052494E54616B72LLU: // scu_Takr_IN
        case 0xD4524E474C61746ELLU: // scv_Latn_NG
        case 0xD8524E474C61746ELLU: // scw_Latn_NG
        case 0xDC5249544772656BLLU: // scx_Grek_IT
        case 0x7364504B41726162LLU: // sd_Arab_PK
        case 0x7364494E44657661LLU: // sd_Deva_IN
        case 0x7364494E4B686F6ALLU: // sd_Khoj_IN
        case 0x7364494E53696E64LLU: // sd_Sind_IN
        case 0x807249444C61746ELLU: // sda_Latn_ID
        case 0x8472495141726162LLU: // sdb_Arab_IQ
        case 0x887249544C61746ELLU: // sdc_Latn_IT
        case 0x90724E474C61746ELLU: // sde_Latn_NG
        case 0x9472495141726162LLU: // sdf_Arab_IQ
        case 0x9872414641726162LLU: // sdg_Arab_AF
        case 0x9C72495241726162LLU: // sdh_Arab_IR
        case 0xA47243474C61746ELLU: // sdj_Latn_CG
        case 0xA87250474C61746ELLU: // sdk_Latn_PG
        case 0xB47249544C61746ELLU: // sdn_Latn_IT
        case 0xB8724D594C61746ELLU: // sdo_Latn_MY
        case 0xC07249444C61746ELLU: // sdq_Latn_ID
        case 0xC472424442656E67LLU: // sdr_Beng_BD
        case 0xC872544E41726162LLU: // sds_Arab_TN
        case 0xD07249444C61746ELLU: // sdu_Latn_ID
        case 0xDC724D594C61746ELLU: // sdx_Latn_MY
        case 0x73654E4F4C61746ELLU: // se_Latn_NO
        case 0x80924D594C61746ELLU: // sea_Latn_MY
        case 0x849243494C61746ELLU: // seb_Latn_CI
        case 0x889243414C61746ELLU: // sec_Latn_CA
        case 0x8C92564E4C61746ELLU: // sed_Latn_VN
        case 0x909255534C61746ELLU: // see_Latn_US
        case 0x949243494C61746ELLU: // sef_Latn_CI
        case 0x9892545A4C61746ELLU: // seg_Latn_TZ
        case 0x9C924D5A4C61746ELLU: // seh_Latn_MZ
        case 0xA0924D584C61746ELLU: // sei_Latn_MX
        case 0xA49250474C61746ELLU: // sej_Latn_PG
        case 0xA89243414C61746ELLU: // sek_Latn_CA
        case 0xAC9252554379726CLLU: // sel_Cyrl_RU
        case 0xB49242464C61746ELLU: // sen_Latn_BF
        case 0xB89250474C61746ELLU: // seo_Latn_PG
        case 0xBC9242464C61746ELLU: // sep_Latn_BF
        case 0xC09242464C61746ELLU: // seq_Latn_BF
        case 0xC49255534C61746ELLU: // ser_Latn_US
        case 0xC8924D4C4C61746ELLU: // ses_Latn_ML
        case 0xCC9249444C61746ELLU: // set_Latn_ID
        case 0xD09249444C61746ELLU: // seu_Latn_ID
        case 0xD49243494C61746ELLU: // sev_Latn_CI
        case 0xD89250474C61746ELLU: // sew_Latn_PG
        case 0xE09245434C61746ELLU: // sey_Latn_EC
        case 0xE4924D4D4C61746ELLU: // sez_Latn_MM
        case 0x90B250484C61746ELLU: // sfe_Latn_PH
        case 0xB0B2434E506C7264LLU: // sfm_Plrd_CN
        case 0xD8B247484C61746ELLU: // sfw_Latn_GH
        case 0x736743464C61746ELLU: // sg_Latn_CF
        case 0x80D249454F67616DLLU: // sga_Ogam_IE
        case 0x84D250484C61746ELLU: // sgb_Latn_PH
        case 0x88D24B454C61746ELLU: // sgc_Latn_KE
        case 0x8CD250484C61746ELLU: // sgd_Latn_PH
        case 0x90D249444C61746ELLU: // sge_Latn_ID
        case 0x9CD2544A4379726CLLU: // sgh_Cyrl_TJ
        case 0xA0D2434D4C61746ELLU: // sgi_Latn_CM
        case 0xA4D2494E44657661LLU: // sgj_Deva_IN
        case 0xB0D24B454C61746ELLU: // sgm_Latn_KE
        case 0xBCD2494E4C61746ELLU: // sgp_Latn_IN
        case 0xC4D2495241726162LLU: // sgr_Arab_IR
        case 0xC8D24C544C61746ELLU: // sgs_Latn_LT
        case 0xCCD2425454696274LLU: // sgt_Tibt_BT
        case 0xD0D249444C61746ELLU: // sgu_Latn_ID
        case 0xD8D2455445746869LLU: // sgw_Ethi_ET
        case 0xE0D2414641726162LLU: // sgy_Arab_AF
        case 0xE4D250474C61746ELLU: // sgz_Latn_PG
        case 0x80F24E474C61746ELLU: // sha_Latn_NG
        case 0x84F242524C61746ELLU: // shb_Latn_BR
        case 0x88F243444C61746ELLU: // shc_Latn_CD
        case 0x8CF2504B41726162LLU: // shd_Arab_PK
        case 0x90F245544C61746ELLU: // she_Latn_ET
        case 0x98F242574C61746ELLU: // shg_Latn_BW
        case 0x9CF255534C61746ELLU: // shh_Latn_US
        case 0xA0F24D4154666E67LLU: // shi_Tfng_MA
        case 0xA4F253444C61746ELLU: // shj_Latn_SD
        case 0xA8F253534C61746ELLU: // shk_Latn_SS
        case 0xB0F2495241726162LLU: // shm_Arab_IR
        case 0xB4F24D4D4D796D72LLU: // shn_Mymr_MM
        case 0xB8F24E474C61746ELLU: // sho_Latn_NG
        case 0xBCF250454C61746ELLU: // shp_Latn_PE
        case 0xC0F25A4D4C61746ELLU: // shq_Latn_ZM
        case 0xC4F243444C61746ELLU: // shr_Latn_CD
        case 0xC8F243414C61746ELLU: // shs_Latn_CA
        case 0xCCF255534C61746ELLU: // sht_Latn_US
        case 0xD0F2544441726162LLU: // shu_Arab_TD
        case 0xD4F24F4D41726162LLU: // shv_Arab_OM
        case 0xD8F253444C61746ELLU: // shw_Latn_SD
        case 0xE0F2445A4C61746ELLU: // shy_Latn_DZ
        case 0xE4F24D4C4C61746ELLU: // shz_Latn_ML
        case 0x73694C4B53696E68LLU: // si_Sinh_LK
        case 0x811252554379726CLLU: // sia_Cyrl_RU
        case 0x85124D594C61746ELLU: // sib_Latn_MY
        case 0x8D1245544C61746ELLU: // sid_Latn_ET
        case 0x91125A4D4C61746ELLU: // sie_Latn_ZM
        case 0x951242464C61746ELLU: // sif_Latn_BF
        case 0x991247484C61746ELLU: // sig_Latn_GH
        case 0x9D124E434C61746ELLU: // sih_Latn_NC
        case 0xA112494E4C61746ELLU: // sii_Latn_IN
        case 0xA51250474C61746ELLU: // sij_Latn_PG
        case 0xA91242524C61746ELLU: // sik_Latn_BR
        case 0xAD1247484C61746ELLU: // sil_Latn_GH
        case 0xB11250474C61746ELLU: // sim_Latn_PG
        case 0xBD12494E54696274LLU: // sip_Tibt_IN
        case 0xC11250474C61746ELLU: // siq_Latn_PG
        case 0xC5124E474C61746ELLU: // sir_Latn_NG
        case 0xC91255534C61746ELLU: // sis_Latn_US
        case 0xD11250474C61746ELLU: // siu_Latn_PG
        case 0xD51250474C61746ELLU: // siv_Latn_PG
        case 0xD91250474C61746ELLU: // siw_Latn_PG
        case 0xDD1250474C61746ELLU: // six_Latn_PG
        case 0xE112495241726162LLU: // siy_Arab_IR
        case 0xE512454741726162LLU: // siz_Arab_EG
        case 0x8132434F4C61746ELLU: // sja_Latn_CO
        case 0x853249444C61746ELLU: // sjb_Latn_ID
        case 0x8D3252554379726CLLU: // sjd_Cyrl_RU
        case 0x913253454C61746ELLU: // sje_Latn_SE
        case 0x993254444C61746ELLU: // sjg_Latn_TD
        case 0xAD32494E4C61746ELLU: // sjl_Latn_IN
        case 0xB13250484C61746ELLU: // sjm_Latn_PH
        case 0xBD32494E44657661LLU: // sjp_Deva_IN
        case 0xC53250474C61746ELLU: // sjr_Latn_PG
        case 0xCD3252554379726CLLU: // sjt_Cyrl_RU
        case 0xD13253454C61746ELLU: // sju_Latn_SE
        case 0xD93255534C61746ELLU: // sjw_Latn_US
        case 0x736B534B4C61746ELLU: // sk_Latn_SK
        case 0x815255534C61746ELLU: // ska_Latn_US
        case 0x8552544854686169LLU: // skb_Thai_TH
        case 0x895250474C61746ELLU: // skc_Latn_PG
        case 0x8D5255534C61746ELLU: // skd_Latn_US
        case 0x915256554C61746ELLU: // ske_Latn_VU
        case 0x955242524C61746ELLU: // skf_Latn_BR
        case 0x99524D474C61746ELLU: // skg_Latn_MG
        case 0x9D5249444C61746ELLU: // skh_Latn_ID
        case 0xA15249444C61746ELLU: // ski_Latn_ID
        case 0xA5524E5044657661LLU: // skj_Deva_NP
        case 0xB15250474C61746ELLU: // skm_Latn_PG
        case 0xB55250484C61746ELLU: // skn_Latn_PH
        case 0xB95249444C61746ELLU: // sko_Latn_ID
        case 0xBD524D594C61746ELLU: // skp_Latn_MY
        case 0xC15242464C61746ELLU: // skq_Latn_BF
        case 0xC552504B41726162LLU: // skr_Arab_PK
        case 0xC95250474C61746ELLU: // sks_Latn_PG
        case 0xCD5243444C61746ELLU: // skt_Latn_CD
        case 0xD15256554C61746ELLU: // sku_Latn_VU
        case 0xD55249444C61746ELLU: // skv_Latn_ID
        case 0xD95247594C61746ELLU: // skw_Latn_GY
        case 0xDD5249444C61746ELLU: // skx_Latn_ID
        case 0xE15253424C61746ELLU: // sky_Latn_SB
        case 0xE55249444C61746ELLU: // skz_Latn_ID
        case 0x736C53494C61746ELLU: // sl_Latn_SI
        case 0x8972434F4C61746ELLU: // slc_Latn_CO
        case 0x8D7242464C61746ELLU: // sld_Latn_BF
        case 0x997249444C61746ELLU: // slg_Latn_ID
        case 0x9D7255534C61746ELLU: // slh_Latn_US
        case 0xA172504C4C61746ELLU: // sli_Latn_PL
        case 0xA57242524C61746ELLU: // slj_Latn_BR
        case 0xAD7250474C61746ELLU: // sll_Latn_PG
        case 0xB17250484C61746ELLU: // slm_Latn_PH
        case 0xB57255534C61746ELLU: // sln_Latn_US
        case 0xBD7249444C61746ELLU: // slp_Latn_ID
        case 0xC572434E4C61746ELLU: // slr_Latn_CN
        case 0xD17249444C61746ELLU: // slu_Latn_ID
        case 0xD97250474C61746ELLU: // slw_Latn_PG
        case 0xDD7243444C61746ELLU: // slx_Latn_CD
        case 0xE17249444C61746ELLU: // sly_Latn_ID
        case 0xE57249444C61746ELLU: // slz_Latn_ID
        case 0x736D57534C61746ELLU: // sm_Latn_WS
        case 0x819253454C61746ELLU: // sma_Latn_SE
        case 0x859250474C61746ELLU: // smb_Latn_PG
        case 0x899250474C61746ELLU: // smc_Latn_PG
        case 0x959250474C61746ELLU: // smf_Latn_PG
        case 0x999250474C61746ELLU: // smg_Latn_PG
        case 0x9D92434E59696969LLU: // smh_Yiii_CN
        case 0xA59253454C61746ELLU: // smj_Latn_SE
        case 0xA99250484C61746ELLU: // smk_Latn_PH
        case 0xAD9250484C61746ELLU: // sml_Latn_PH
        case 0xB59246494C61746ELLU: // smn_Latn_FI
        case 0xBD92494C53616D72LLU: // smp_Samr_IL
        case 0xC19250474C61746ELLU: // smq_Latn_PG
        case 0xC59249444C61746ELLU: // smr_Latn_ID
        case 0xC99246494C61746ELLU: // sms_Latn_FI
        case 0xCD92494E4C61746ELLU: // smt_Latn_IN
        case 0xD1924B484B686D72LLU: // smu_Khmr_KH
        case 0xD99249444C61746ELLU: // smw_Latn_ID
        case 0xDD9243444C61746ELLU: // smx_Latn_CD
        case 0xE192495241726162LLU: // smy_Arab_IR
        case 0xE59250474C61746ELLU: // smz_Latn_PG
        case 0x736E5A574C61746ELLU: // sn_Latn_ZW
        case 0x89B250474C61746ELLU: // snc_Latn_PG
        case 0x91B24D594C61746ELLU: // sne_Latn_MY
        case 0x95B2534E4C61746ELLU: // snf_Latn_SN
        case 0x99B243444C61746ELLU: // sng_Latn_CD
        case 0xA1B250454C61746ELLU: // sni_Latn_PE
        case 0xA5B243464C61746ELLU: // snj_Latn_CF
        case 0xA9B24D4C4C61746ELLU: // snk_Latn_ML
        case 0xADB250484C61746ELLU: // snl_Latn_PH
        case 0xB1B255474C61746ELLU: // snm_Latn_UG
        case 0xB5B2434F4C61746ELLU: // snn_Latn_CO
        case 0xB9B255534C61746ELLU: // sno_Latn_US
        case 0xBDB250474C61746ELLU: // snp_Latn_PG
        case 0xC1B247414C61746ELLU: // snq_Latn_GA
        case 0xC5B250474C61746ELLU: // snr_Latn_PG
        case 0xC9B256554C61746ELLU: // sns_Latn_VU
        case 0xD1B249444C61746ELLU: // snu_Latn_ID
        case 0xD5B24D594C61746ELLU: // snv_Latn_MY
        case 0xD9B247484C61746ELLU: // snw_Latn_GH
        case 0xDDB250474C61746ELLU: // snx_Latn_PG
        case 0xE1B250474C61746ELLU: // sny_Latn_PG
        case 0xE5B250474C61746ELLU: // snz_Latn_PG
        case 0x736F534F4C61746ELLU: // so_Latn_SO
        case 0x81D2544854617674LLU: // soa_Tavt_TH
        case 0x85D249444C61746ELLU: // sob_Latn_ID
        case 0x89D243444C61746ELLU: // soc_Latn_CD
        case 0x8DD243444C61746ELLU: // sod_Latn_CD
        case 0x91D243444C61746ELLU: // soe_Latn_CD
        case 0x99D2555A536F6764LLU: // sog_Sogd_UZ
        case 0xA1D24E5044657661LLU: // soi_Deva_NP
        case 0xA9D254444C61746ELLU: // sok_Latn_TD
        case 0xADD250474C61746ELLU: // sol_Latn_PG
        case 0xB9D243444C61746ELLU: // soo_Latn_CD
        case 0xBDD243444C61746ELLU: // sop_Latn_CD
        case 0xC1D250474C61746ELLU: // soq_Latn_PG
        case 0xC5D254444C61746ELLU: // sor_Latn_TD
        case 0xC9D242464C61746ELLU: // sos_Latn_BF
        case 0xD1D2544854686169LLU: // sou_Thai_TH
        case 0xD5D250574C61746ELLU: // sov_Latn_PW
        case 0xD9D250474C61746ELLU: // sow_Latn_PG
        case 0xDDD2434D4C61746ELLU: // sox_Latn_CM
        case 0xE1D2424A4C61746ELLU: // soy_Latn_BJ
        case 0xE5D2545A4C61746ELLU: // soz_Latn_TZ
        case 0x85F249444C61746ELLU: // spb_Latn_ID
        case 0x89F256454C61746ELLU: // spc_Latn_VE
        case 0x8DF250474C61746ELLU: // spd_Latn_PG
        case 0x91F250474C61746ELLU: // spe_Latn_PG
        case 0x99F24D594C61746ELLU: // spg_Latn_MY
        case 0xA1F249444C61746ELLU: // spi_Latn_ID
        case 0xA9F250474C61746ELLU: // spk_Latn_PG
        case 0xADF250474C61746ELLU: // spl_Latn_PG
        case 0xB1F250474C61746ELLU: // spm_Latn_PG
        case 0xB5F250594C61746ELLU: // spn_Latn_PY
        case 0xB9F255534C61746ELLU: // spo_Latn_US
        case 0xBDF24D4C4C61746ELLU: // spp_Latn_ML
        case 0xC1F250454C61746ELLU: // spq_Latn_PE
        case 0xC5F249444C61746ELLU: // spr_Latn_ID
        case 0xC9F250474C61746ELLU: // sps_Latn_PG
        case 0xCDF2494E54696274LLU: // spt_Tibt_IN
        case 0xD5F2494E4F727961LLU: // spv_Orya_IN
        case 0x7371414C4C61746ELLU: // sq_Latn_AL
        case 0x82124E474C61746ELLU: // sqa_Latn_NG
        case 0x9E124E474C61746ELLU: // sqh_Latn_NG
        case 0xB21243464C61746ELLU: // sqm_Latn_CF
        case 0xBA12495241726162LLU: // sqo_Arab_IR
        case 0xC2124C414C616F6FLLU: // sqq_Laoo_LA
        case 0xCE12594541726162LLU: // sqt_Arab_YE
        case 0xD21243414C61746ELLU: // squ_Latn_CA
        case 0x737252534379726CLLU: // sr_Cyrl_RS
        case 0x823250474C61746ELLU: // sra_Latn_PG
        case 0x8632494E536F7261LLU: // srb_Sora_IN
        case 0x923249444C61746ELLU: // sre_Latn_ID
        case 0x963250474C61746ELLU: // srf_Latn_PG
        case 0x9A3250484C61746ELLU: // srg_Latn_PH
        case 0x9E32434E41726162LLU: // srh_Arab_CN
        case 0xA232434F4C61746ELLU: // sri_Latn_CO
        case 0xAA324D594C61746ELLU: // srk_Latn_MY
        case 0xAE3249444C61746ELLU: // srl_Latn_ID
        case 0xB23253524C61746ELLU: // srm_Latn_SR
        case 0xB63253524C61746ELLU: // srn_Latn_SR
        case 0xBA3249544C61746ELLU: // sro_Latn_IT
        case 0xC232424F4C61746ELLU: // srq_Latn_BO
        case 0xC632534E4C61746ELLU: // srr_Latn_SN
        case 0xCA3243414C61746ELLU: // srs_Latn_CA
        case 0xCE3249444C61746ELLU: // srt_Latn_ID
        case 0xD23242524C61746ELLU: // sru_Latn_BR
        case 0xD63250484C61746ELLU: // srv_Latn_PH
        case 0xDA3249444C61746ELLU: // srw_Latn_ID
        case 0xDE32494E44657661LLU: // srx_Deva_IN
        case 0xE23250474C61746ELLU: // sry_Latn_PG
        case 0xE632495241726162LLU: // srz_Arab_IR
        case 0x73735A414C61746ELLU: // ss_Latn_ZA
        case 0x865250484C61746ELLU: // ssb_Latn_PH
        case 0x8A52545A4C61746ELLU: // ssc_Latn_TZ
        case 0x8E5250474C61746ELLU: // ssd_Latn_PG
        case 0x925250484C61746ELLU: // sse_Latn_PH
        case 0x965254574C61746ELLU: // ssf_Latn_TW
        case 0x9A5250474C61746ELLU: // ssg_Latn_PG
        case 0x9E52414541726162LLU: // ssh_Arab_AE
        case 0xA65250474C61746ELLU: // ssj_Latn_PG
        case 0xAE5247484C61746ELLU: // ssl_Latn_GH
        case 0xB2524D594C61746ELLU: // ssm_Latn_MY
        case 0xB6524B454C61746ELLU: // ssn_Latn_KE
        case 0xBA5250474C61746ELLU: // sso_Latn_PG
        case 0xC25249444C61746ELLU: // ssq_Latn_ID
        case 0xCA524C414C616F6FLLU: // sss_Laoo_LA
        case 0xCE5250474C61746ELLU: // sst_Latn_PG
        case 0xD25250474C61746ELLU: // ssu_Latn_PG
        case 0xD65256554C61746ELLU: // ssv_Latn_VU
        case 0xDE5250474C61746ELLU: // ssx_Latn_PG
        case 0xE25245524C61746ELLU: // ssy_Latn_ER
        case 0xE65250474C61746ELLU: // ssz_Latn_PG
        case 0x73745A414C61746ELLU: // st_Latn_ZA
        case 0x82725A4D4C61746ELLU: // sta_Latn_ZM
        case 0x867250484C61746ELLU: // stb_Latn_PH
        case 0x927249444C61746ELLU: // ste_Latn_ID
        case 0x967250474C61746ELLU: // stf_Latn_PG
        case 0x9A72564E4C61746ELLU: // stg_Latn_VN
        case 0x9E7249454C61746ELLU: // sth_Latn_IE
        case 0xA272564E4C61746ELLU: // sti_Latn_VN
        case 0xA67242464C61746ELLU: // stj_Latn_BF
        case 0xAA7250474C61746ELLU: // stk_Latn_PG
        case 0xAE724E4C4C61746ELLU: // stl_Latn_NL
        case 0xB27250474C61746ELLU: // stm_Latn_PG
        case 0xB67253424C61746ELLU: // stn_Latn_SB
        case 0xBA7243414C61746ELLU: // sto_Latn_CA
        case 0xBE724D584C61746ELLU: // stp_Latn_MX
        case 0xC27244454C61746ELLU: // stq_Latn_DE
        case 0xC67243414C61746ELLU: // str_Latn_CA
        case 0xCA72414641726162LLU: // sts_Arab_AF
        case 0xCE72564E4C61746ELLU: // stt_Latn_VN
        case 0xD672455445746869LLU: // stv_Ethi_ET
        case 0xDA72464D4C61746ELLU: // stw_Latn_FM
        case 0xE27252554379726CLLU: // sty_Cyrl_RU
        case 0x737549444C61746ELLU: // su_Latn_ID
        case 0x829250474C61746ELLU: // sua_Latn_PG
        case 0x869243444C61746ELLU: // sub_Latn_CD
        case 0x8A9250484C61746ELLU: // suc_Latn_PH
        case 0x929250474C61746ELLU: // sue_Latn_PG
        case 0x9A9250474C61746ELLU: // sug_Latn_PG
        case 0xA29250474C61746ELLU: // sui_Latn_PG
        case 0xA692545A4C61746ELLU: // suj_Latn_TZ
        case 0xAA92545A4C61746ELLU: // suk_Latn_TZ
        case 0xBA9250474C61746ELLU: // suo_Latn_PG
        case 0xC29245544C61746ELLU: // suq_Latn_ET
        case 0xC6924E474C61746ELLU: // sur_Latn_NG
        case 0xCA92474E4C61746ELLU: // sus_Latn_GN
        case 0xCE924E494C61746ELLU: // sut_Latn_NI
        case 0xD692494E4C61746ELLU: // suv_Latn_IN
        case 0xDA92545A4C61746ELLU: // suw_Latn_TZ
        case 0xE29242524C61746ELLU: // suy_Latn_BR
        case 0xE6924E5053756E75LLU: // suz_Sunu_NP
        case 0x737653454C61746ELLU: // sv_Latn_SE
        case 0x82B2474547656F72LLU: // sva_Geor_GE
        case 0x86B250474C61746ELLU: // svb_Latn_PG
        case 0x8AB256434C61746ELLU: // svc_Latn_VC
        case 0x92B249444C61746ELLU: // sve_Latn_ID
        case 0xB2B249544C61746ELLU: // svm_Latn_IT
        case 0xCAB253424C61746ELLU: // svs_Latn_SB
        case 0x7377545A4C61746ELLU: // sw_Latn_TZ
        case 0x86D2595441726162LLU: // swb_Arab_YT
        case 0x96D243444C61746ELLU: // swf_Latn_CD
        case 0x9AD244454C61746ELLU: // swg_Latn_DE
        case 0xA2D2434E48616E69LLU: // swi_Hani_CN
        case 0xA6D247414C61746ELLU: // swj_Latn_GA
        case 0xAAD24D574C61746ELLU: // swk_Latn_MW
        case 0xB2D250474C61746ELLU: // swm_Latn_PG
        case 0xBAD242524C61746ELLU: // swo_Latn_BR
        case 0xBED250474C61746ELLU: // swp_Latn_PG
        case 0xC2D2434D4C61746ELLU: // swq_Latn_CM
        case 0xC6D249444C61746ELLU: // swr_Latn_ID
        case 0xCAD249444C61746ELLU: // sws_Latn_ID
        case 0xCED249444C61746ELLU: // swt_Latn_ID
        case 0xD2D249444C61746ELLU: // swu_Latn_ID
        case 0xD6D2494E44657661LLU: // swv_Deva_IN
        case 0xDAD256554C61746ELLU: // sww_Latn_VU
        case 0xDED242524C61746ELLU: // swx_Latn_BR
        case 0xE2D254444C61746ELLU: // swy_Latn_TD
        case 0x86F24B454C61746ELLU: // sxb_Latn_KE
        case 0x92F247414C61746ELLU: // sxe_Latn_GA
        case 0xB6F249444C61746ELLU: // sxn_Latn_ID
        case 0xC6F254574C61746ELLU: // sxr_Latn_TW
        case 0xCAF24E474C61746ELLU: // sxs_Latn_NG
        case 0xD2F2444552756E72LLU: // sxu_Runr_DE
        case 0xDAF2424A4C61746ELLU: // sxw_Latn_BJ
        case 0x831249444C61746ELLU: // sya_Latn_ID
        case 0x871250484C61746ELLU: // syb_Latn_PH
        case 0x8B12545253797263LLU: // syc_Syrc_TR
        case 0xA31247414C61746ELLU: // syi_Latn_GA
        case 0xAB124E474C61746ELLU: // syk_Latn_NG
        case 0xAF12424442656E67LLU: // syl_Beng_BD
        case 0xB31242464C61746ELLU: // sym_Latn_BF
        case 0xB712495253797263LLU: // syn_Syrc_IR
        case 0xBB124B484C61746ELLU: // syo_Latn_KH
        case 0xC712495153797263LLU: // syr_Syrc_IQ
        case 0xCB1254444C61746ELLU: // sys_Latn_TD
        case 0xDB124E5044657661LLU: // syw_Deva_NP
        case 0xDF1247414C61746ELLU: // syx_Latn_GA
        case 0x83324D594C61746ELLU: // sza_Latn_MY
        case 0x873249444C61746ELLU: // szb_Latn_ID
        case 0x8B324D594C61746ELLU: // szc_Latn_MY
        case 0x9B3243444C61746ELLU: // szg_Latn_CD
        case 0xAF32504C4C61746ELLU: // szl_Latn_PL
        case 0xB73249444C61746ELLU: // szn_Latn_ID
        case 0xBF3249444C61746ELLU: // szp_Latn_ID
        case 0xD732434D4C61746ELLU: // szv_Latn_CM
        case 0xDB3249444C61746ELLU: // szw_Latn_ID
        case 0xE33254574C61746ELLU: // szy_Latn_TW
        case 0x7461494E54616D6CLLU: // ta_Taml_IN
        case 0x801355534C61746ELLU: // taa_Latn_US
        case 0x841352554379726CLLU: // tab_Cyrl_RU
        case 0x88134D584C61746ELLU: // tac_Latn_MX
        case 0x8C1349444C61746ELLU: // tad_Latn_ID
        case 0x901342524C61746ELLU: // tae_Latn_BR
        case 0x941342524C61746ELLU: // taf_Latn_BR
        case 0x981353444C61746ELLU: // tag_Latn_SD
        case 0xA4134E5044657661LLU: // taj_Deva_NP
        case 0xA8134E474C61746ELLU: // tak_Latn_NG
        case 0xAC134E474C61746ELLU: // tal_Latn_NG
        case 0xB4134E474C61746ELLU: // tan_Latn_NG
        case 0xB81354574C61746ELLU: // tao_Latn_TW
        case 0xBC1343444C61746ELLU: // tap_Latn_CD
        case 0xC0134D4C4C61746ELLU: // taq_Latn_ML
        case 0xC4134D584C61746ELLU: // tar_Latn_MX
        case 0xC813564E4C61746ELLU: // tas_Latn_VN
        case 0xD01355534C61746ELLU: // tau_Latn_US
        case 0xD413434F4C61746ELLU: // tav_Latn_CO
        case 0xD81350474C61746ELLU: // taw_Latn_PG
        case 0xDC1354444C61746ELLU: // tax_Latn_TD
        case 0xE01354574C61746ELLU: // tay_Latn_TW
        case 0xE41353444C61746ELLU: // taz_Latn_SD
        case 0x803342524C61746ELLU: // tba_Latn_BR
        case 0x883350474C61746ELLU: // tbc_Latn_PG
        case 0x8C3350474C61746ELLU: // tbd_Latn_PG
        case 0x903353424C61746ELLU: // tbe_Latn_SB
        case 0x943350474C61746ELLU: // tbf_Latn_PG
        case 0x983350474C61746ELLU: // tbg_Latn_PG
        case 0x9C3341554C61746ELLU: // tbh_Latn_AU
        case 0xA03353444C61746ELLU: // tbi_Latn_SD
        case 0xA43350474C61746ELLU: // tbj_Latn_PG
        case 0xA833504854616762LLU: // tbk_Tagb_PH
        case 0xAC3350484C61746ELLU: // tbl_Latn_PH
        case 0xB03343444C61746ELLU: // tbm_Latn_CD
        case 0xB433434F4C61746ELLU: // tbn_Latn_CO
        case 0xB83350474C61746ELLU: // tbo_Latn_PG
        case 0xBC3349444C61746ELLU: // tbp_Latn_ID
        case 0xC83350474C61746ELLU: // tbs_Latn_PG
        case 0xCC3343444C61746ELLU: // tbt_Latn_CD
        case 0xD0334D584C61746ELLU: // tbu_Latn_MX
        case 0xD43350474C61746ELLU: // tbv_Latn_PG
        case 0xD83350484C61746ELLU: // tbw_Latn_PH
        case 0xDC3350474C61746ELLU: // tbx_Latn_PG
        case 0xE03349444C61746ELLU: // tby_Latn_ID
        case 0xE433424A4C61746ELLU: // tbz_Latn_BJ
        case 0x805342524C61746ELLU: // tca_Latn_BR
        case 0x845355534C61746ELLU: // tcb_Latn_US
        case 0x8853545A4C61746ELLU: // tcc_Latn_TZ
        case 0x8C5347484C61746ELLU: // tcd_Latn_GH
        case 0x905343414C61746ELLU: // tce_Latn_CA
        case 0x94534D584C61746ELLU: // tcf_Latn_MX
        case 0x985349444C61746ELLU: // tcg_Latn_ID
        case 0x9C5354434C61746ELLU: // tch_Latn_TC
        case 0xA05350474C61746ELLU: // tci_Latn_PG
        case 0xA85347414C61746ELLU: // tck_Latn_GA
        case 0xB05349444C61746ELLU: // tcm_Latn_ID
        case 0xB4534E5054696274LLU: // tcn_Tibt_NP
        case 0xB8534D4D4D796D72LLU: // tco_Mymr_MM
        case 0xBC534D4D4C61746ELLU: // tcp_Latn_MM
        case 0xC05349444C61746ELLU: // tcq_Latn_ID
        case 0xC85341554C61746ELLU: // tcs_Latn_AU
        case 0xD0534D584C61746ELLU: // tcu_Latn_MX
        case 0xD8534D584C61746ELLU: // tcw_Latn_MX
        case 0xDC53494E54616D6CLLU: // tcx_Taml_IN
        case 0xE053494E4B6E6461LLU: // tcy_Knda_IN
        case 0xE453494E4C61746ELLU: // tcz_Latn_IN
        case 0x80734E4554666E67LLU: // tda_Tfng_NE
        case 0x8473494E44657661LLU: // tdb_Deva_IN
        case 0x8873434F4C61746ELLU: // tdc_Latn_CO
        case 0x8C73434E54616C65LLU: // tdd_Tale_CN
        case 0x90734D4C4C61746ELLU: // tde_Latn_ML
        case 0x98734E5044657661LLU: // tdg_Deva_NP
        case 0x9C734E5044657661LLU: // tdh_Deva_NP
        case 0xA07349444C61746ELLU: // tdi_Latn_ID
        case 0xA47349444C61746ELLU: // tdj_Latn_ID
        case 0xA8734E474C61746ELLU: // tdk_Latn_NG
        case 0xAC734E474C61746ELLU: // tdl_Latn_NG
        case 0xB07347594C61746ELLU: // tdm_Latn_GY
        case 0xB47349444C61746ELLU: // tdn_Latn_ID
        case 0xB8734E474C61746ELLU: // tdo_Latn_NG
        case 0xC0734E474C61746ELLU: // tdq_Latn_NG
        case 0xC473564E4C61746ELLU: // tdr_Latn_VN
        case 0xC87349444C61746ELLU: // tds_Latn_ID
        case 0xCC73544C4C61746ELLU: // tdt_Latn_TL
        case 0xD4734E474C61746ELLU: // tdv_Latn_NG
        case 0xDC734D474C61746ELLU: // tdx_Latn_MG
        case 0xE07350484C61746ELLU: // tdy_Latn_PH
        case 0x7465494E54656C75LLU: // te_Telu_IN
        case 0x80934D594C61746ELLU: // tea_Latn_MY
        case 0x849345434C61746ELLU: // teb_Latn_EC
        case 0x88934B454C61746ELLU: // tec_Latn_KE
        case 0x8C9343494C61746ELLU: // ted_Latn_CI
        case 0x90934D584C61746ELLU: // tee_Latn_MX
        case 0x989347414C61746ELLU: // teg_Latn_GA
        case 0x9C9341524C61746ELLU: // teh_Latn_AR
        case 0xA09350474C61746ELLU: // tei_Latn_PG
        case 0xA89343444C61746ELLU: // tek_Latn_CD
        case 0xB093534C4C61746ELLU: // tem_Latn_SL
        case 0xB493434F4C61746ELLU: // ten_Latn_CO
        case 0xB89355474C61746ELLU: // teo_Latn_UG
        case 0xBC934D584C61746ELLU: // tep_Latn_MX
        case 0xC09353444C61746ELLU: // teq_Latn_SD
        case 0xC49342524C61746ELLU: // ter_Latn_BR
        case 0xC89349444A617661LLU: // tes_Java_ID
        case 0xCC93544C4C61746ELLU: // tet_Latn_TL
        case 0xD09355474C61746ELLU: // teu_Latn_UG
        case 0xD49349444C61746ELLU: // tev_Latn_ID
        case 0xD89355534C61746ELLU: // tew_Latn_US
        case 0xDC9353534C61746ELLU: // tex_Latn_SS
        case 0xE09353444C61746ELLU: // tey_Latn_SD
        case 0xE4934E454C61746ELLU: // tez_Latn_NE
        case 0xA0B3424A4C61746ELLU: // tfi_Latn_BJ
        case 0xB4B355534C61746ELLU: // tfn_Latn_US
        case 0xB8B349444C61746ELLU: // tfo_Latn_ID
        case 0xC4B350414C61746ELLU: // tfr_Latn_PA
        case 0xCCB349444C61746ELLU: // tft_Latn_ID
        case 0x7467504B41726162LLU: // tg_Arab_PK
        case 0x7467544A4379726CLLU: // tg_Cyrl_TJ
        case 0x80D34B454C61746ELLU: // tga_Latn_KE
        case 0x84D34D594C61746ELLU: // tgb_Latn_MY
        case 0x88D350474C61746ELLU: // tgc_Latn_PG
        case 0x8CD34E474C61746ELLU: // tgd_Latn_NG
        case 0x90D34E5044657661LLU: // tge_Deva_NP
        case 0x94D3425454696274LLU: // tgf_Tibt_BT
        case 0x9CD354544C61746ELLU: // tgh_Latn_TT
        case 0xA0D350474C61746ELLU: // tgi_Latn_PG
        case 0xA4D3494E4C61746ELLU: // tgj_Latn_IN
        case 0xB4D350484C61746ELLU: // tgn_Latn_PH
        case 0xB8D350474C61746ELLU: // tgo_Latn_PG
        case 0xBCD356554C61746ELLU: // tgp_Latn_VU
        case 0xC0D34D594C61746ELLU: // tgq_Latn_MY
        case 0xC8D356554C61746ELLU: // tgs_Latn_VU
        case 0xCCD350484C61746ELLU: // tgt_Latn_PH
        case 0xD0D350474C61746ELLU: // tgu_Latn_PG
        case 0xD4D342524C61746ELLU: // tgv_Latn_BR
        case 0xD8D343494C61746ELLU: // tgw_Latn_CI
        case 0xDCD343414C61746ELLU: // tgx_Latn_CA
        case 0xE0D353534C61746ELLU: // tgy_Latn_SS
        case 0xE4D341554C61746ELLU: // tgz_Latn_AU
        case 0x7468544854686169LLU: // th_Thai_TH
        case 0x8CF341554C61746ELLU: // thd_Latn_AU
        case 0x90F34E5044657661LLU: // the_Deva_NP
        case 0x94F34E5044657661LLU: // thf_Deva_NP
        case 0x9CF34D584C61746ELLU: // thh_Latn_MX
        case 0xA0F34C4154616C65LLU: // thi_Tale_LA
        case 0xA8F34B454C61746ELLU: // thk_Latn_KE
        case 0xACF34E5044657661LLU: // thl_Deva_NP
        case 0xB0F3544854686169LLU: // thm_Thai_TH
        case 0xBCF343414C61746ELLU: // thp_Latn_CA
        case 0xC0F34E5044657661LLU: // thq_Deva_NP
        case 0xC4F34E5044657661LLU: // thr_Deva_NP
        case 0xC8F34E5044657661LLU: // ths_Deva_NP
        case 0xCCF343414C61746ELLU: // tht_Latn_CA
        case 0xD0F353534C61746ELLU: // thu_Latn_SS
        case 0xD4F3445A4C61746ELLU: // thv_Latn_DZ
        case 0xE0F34E474C61746ELLU: // thy_Latn_NG
        case 0xE4F34E454C61746ELLU: // thz_Latn_NE
        case 0x7469455445746869LLU: // ti_Ethi_ET
        case 0x891353444C61746ELLU: // tic_Latn_SD
        case 0x951350474C61746ELLU: // tif_Latn_PG
        case 0x9913455245746869LLU: // tig_Ethi_ER
        case 0x9D134D594C61746ELLU: // tih_Latn_MY
        case 0xA11343444C61746ELLU: // tii_Latn_CD
        case 0xA5134E5044657661LLU: // tij_Deva_NP
        case 0xA913434D4C61746ELLU: // tik_Latn_CM
        case 0xAD1355534C61746ELLU: // til_Latn_US
        case 0xB11350474C61746ELLU: // tim_Latn_PG
        case 0xB51352554379726CLLU: // tin_Cyrl_RU
        case 0xB91350474C61746ELLU: // tio_Latn_PG
        case 0xBD1349444C61746ELLU: // tip_Latn_ID
        case 0xC11342464C61746ELLU: // tiq_Latn_BF
        case 0xC91350484C61746ELLU: // tis_Latn_PH
        case 0xCD13434F4C61746ELLU: // tit_Latn_CO
        case 0xD11350484C61746ELLU: // tiu_Latn_PH
        case 0xD5134E474C61746ELLU: // tiv_Latn_NG
        case 0xD91341554C61746ELLU: // tiw_Latn_AU
        case 0xDD1355534C61746ELLU: // tix_Latn_US
        case 0xE11350484C61746ELLU: // tiy_Latn_PH
        case 0x81334C524C61746ELLU: // tja_Latn_LR
        case 0x993349444C61746ELLU: // tjg_Latn_ID
        case 0xA133434E4C61746ELLU: // tji_Latn_CN
        case 0xA53341554C61746ELLU: // tjj_Latn_AU
        case 0xAD334D4D4D796D72LLU: // tjl_Mymr_MM
        case 0xB53343494C61746ELLU: // tjn_Latn_CI
        case 0xB933445A41726162LLU: // tjo_Arab_DZ
        case 0xBD3341554C61746ELLU: // tjp_Latn_AU
        case 0xC933434E4C61746ELLU: // tjs_Latn_CN
        case 0xD13341554C61746ELLU: // tju_Latn_AU
        case 0xD93341554C61746ELLU: // tjw_Latn_AU
        case 0x746B544D4C61746ELLU: // tk_Latn_TM
        case 0x815342524C61746ELLU: // tka_Latn_BR
        case 0x8553494E44657661LLU: // tkb_Deva_IN
        case 0x8D53544C4C61746ELLU: // tkd_Latn_TL
        case 0x91534D5A4C61746ELLU: // tke_Latn_MZ
        case 0x955342524C61746ELLU: // tkf_Latn_BR
        case 0x99534D474C61746ELLU: // tkg_Latn_MG
        case 0xAD53544B4C61746ELLU: // tkl_Latn_TK
        case 0xBD5353424C61746ELLU: // tkp_Latn_SB
        case 0xC1534E474C61746ELLU: // tkq_Latn_NG
        case 0xC553415A4C61746ELLU: // tkr_Latn_AZ
        case 0xC953495241726162LLU: // tks_Arab_IR
        case 0xCD534E5044657661LLU: // tkt_Deva_NP
        case 0xD1534D584C61746ELLU: // tku_Latn_MX
        case 0xD55350474C61746ELLU: // tkv_Latn_PG
        case 0xD95353424C61746ELLU: // tkw_Latn_SB
        case 0xDD5349444C61746ELLU: // tkx_Latn_ID
        case 0xE553564E4C61746ELLU: // tkz_Latn_VN
        case 0x746C50484C61746ELLU: // tl_Latn_PH
        case 0x81734D584C61746ELLU: // tla_Latn_MX
        case 0x857349444C61746ELLU: // tlb_Latn_ID
        case 0x89734D584C61746ELLU: // tlc_Latn_MX
        case 0x8D7349444C61746ELLU: // tld_Latn_ID
        case 0x957350474C61746ELLU: // tlf_Latn_PG
        case 0x997349444C61746ELLU: // tlg_Latn_ID
        case 0xA17355534C61746ELLU: // tli_Latn_US
        case 0xA57355474C61746ELLU: // tlj_Latn_UG
        case 0xA97349444C61746ELLU: // tlk_Latn_ID
        case 0xAD7343444C61746ELLU: // tll_Latn_CD
        case 0xB17356554C61746ELLU: // tlm_Latn_VU
        case 0xB57349444C61746ELLU: // tln_Latn_ID
        case 0xBD734D584C61746ELLU: // tlp_Latn_MX
        case 0xC1734D4D4C61746ELLU: // tlq_Latn_MM
        case 0xC57353424C61746ELLU: // tlr_Latn_SB
        case 0xC97356554C61746ELLU: // tls_Latn_VU
        case 0xCD7349444C61746ELLU: // tlt_Latn_ID
        case 0xD17349444C61746ELLU: // tlu_Latn_ID
        case 0xD57349444C61746ELLU: // tlv_Latn_ID
        case 0xDD7350474C61746ELLU: // tlx_Latn_PG
        case 0xE173415A4C61746ELLU: // tly_Latn_AZ
        case 0x819354444C61746ELLU: // tma_Latn_TD
        case 0x859356554C61746ELLU: // tmb_Latn_VU
        case 0x899354444C61746ELLU: // tmc_Latn_TD
        case 0x8D9350474C61746ELLU: // tmd_Latn_PG
        case 0x919342524C61746ELLU: // tme_Latn_BR
        case 0x959350594C61746ELLU: // tmf_Latn_PY
        case 0x999349444C61746ELLU: // tmg_Latn_ID
        case 0x9D934E454C61746ELLU: // tmh_Latn_NE
        case 0xA19356554C61746ELLU: // tmi_Latn_VU
        case 0xA59349444C61746ELLU: // tmj_Latn_ID
        case 0xAD9349444C61746ELLU: // tml_Latn_ID
        case 0xB193564E4C61746ELLU: // tmm_Latn_VN
        case 0xB59349444C61746ELLU: // tmn_Latn_ID
        case 0xB9934D594C61746ELLU: // tmo_Latn_MY
        case 0xC19350474C61746ELLU: // tmq_Latn_PG
        case 0xC593494C53797263LLU: // tmr_Syrc_IL
        case 0xCD9356554C61746ELLU: // tmt_Latn_VU
        case 0xD19349444C61746ELLU: // tmu_Latn_ID
        case 0xD59343444C61746ELLU: // tmv_Latn_CD
        case 0xD9934D594C61746ELLU: // tmw_Latn_MY
        case 0xE19350474C61746ELLU: // tmy_Latn_PG
        case 0xE59356454C61746ELLU: // tmz_Latn_VE
        case 0x746E5A414C61746ELLU: // tn_Latn_ZA
        case 0x81B3424F4C61746ELLU: // tna_Latn_BO
        case 0x85B3434F4C61746ELLU: // tnb_Latn_CO
        case 0x89B3434F4C61746ELLU: // tnc_Latn_CO
        case 0x8DB3434F4C61746ELLU: // tnd_Latn_CO
        case 0x99B354444C61746ELLU: // tng_Latn_TD
        case 0x9DB350474C61746ELLU: // tnh_Latn_PG
        case 0xA1B349444C61746ELLU: // tni_Latn_ID
        case 0xA9B356554C61746ELLU: // tnk_Latn_VU
        case 0xADB356554C61746ELLU: // tnl_Latn_VU
        case 0xB1B349444C61746ELLU: // tnm_Latn_ID
        case 0xB5B356554C61746ELLU: // tnn_Latn_VU
        case 0xB9B3424F4C61746ELLU: // tno_Latn_BO
        case 0xBDB356554C61746ELLU: // tnp_Latn_VU
        case 0xC1B350524C61746ELLU: // tnq_Latn_PR
        case 0xC5B3534E4C61746ELLU: // tnr_Latn_SN
        case 0xC9B350474C61746ELLU: // tns_Latn_PG
        case 0xCDB349444C61746ELLU: // tnt_Latn_ID
        case 0xD5B3424443616B6DLLU: // tnv_Cakm_BD
        case 0xD9B349444C61746ELLU: // tnw_Latn_ID
        case 0xDDB353424C61746ELLU: // tnx_Latn_SB
        case 0xE1B3545A4C61746ELLU: // tny_Latn_TZ
        case 0x746F544F4C61746ELLU: // to_Latn_TO
        case 0x85D341524C61746ELLU: // tob_Latn_AR
        case 0x89D34D584C61746ELLU: // toc_Latn_MX
        case 0x8DD3474E4C61746ELLU: // tod_Latn_GN
        case 0x95D350474C61746ELLU: // tof_Latn_PG
        case 0x99D34D574C61746ELLU: // tog_Latn_MW
        case 0x9DD34D5A4C61746ELLU: // toh_Latn_MZ
        case 0xA1D35A4D4C61746ELLU: // toi_Latn_ZM
        case 0xA5D34D584C61746ELLU: // toj_Latn_MX
        case 0xADD355534C61746ELLU: // tol_Latn_US
        case 0xB1D349444C61746ELLU: // tom_Latn_ID
        case 0xB9D34D584C61746ELLU: // too_Latn_MX
        case 0xBDD34D584C61746ELLU: // top_Latn_MX
        case 0xC1D353534C61746ELLU: // toq_Latn_SS
        case 0xC5D343444C61746ELLU: // tor_Latn_CD
        case 0xC9D34D584C61746ELLU: // tos_Latn_MX
        case 0xD1D3564E4C61746ELLU: // tou_Latn_VN
        case 0xD5D3495241726162LLU: // tov_Arab_IR
        case 0xD9D355534C61746ELLU: // tow_Latn_US
        case 0xDDD350574C61746ELLU: // tox_Latn_PW
        case 0xE1D349444C61746ELLU: // toy_Latn_ID
        case 0xE5D3434D4C61746ELLU: // toz_Latn_CM
        case 0x81F350474C61746ELLU: // tpa_Latn_PG
        case 0x89F34D584C61746ELLU: // tpc_Latn_MX
        case 0x91F342444C61746ELLU: // tpe_Latn_BD
        case 0x95F349444C61746ELLU: // tpf_Latn_ID
        case 0x99F349444C61746ELLU: // tpg_Latn_ID
        case 0xA1F350474C61746ELLU: // tpi_Latn_PG
        case 0xA5F350594C61746ELLU: // tpj_Latn_PY
        case 0xA9F342524C61746ELLU: // tpk_Latn_BR
        case 0xADF34D584C61746ELLU: // tpl_Latn_MX
        case 0xB1F347484C61746ELLU: // tpm_Latn_GH
        case 0xB5F342524C61746ELLU: // tpn_Latn_BR
        case 0xBDF34D584C61746ELLU: // tpp_Latn_MX
        case 0xC5F342524C61746ELLU: // tpr_Latn_BR
        case 0xCDF34D584C61746ELLU: // tpt_Latn_MX
        case 0xD1F34B484B686D72LLU: // tpu_Khmr_KH
        case 0xD5F34D504C61746ELLU: // tpv_Latn_MP
        case 0xDDF34D584C61746ELLU: // tpx_Latn_MX
        case 0xE1F342524C61746ELLU: // tpy_Latn_BR
        case 0xE5F350474C61746ELLU: // tpz_Latn_PG
        case 0x861342524C61746ELLU: // tqb_Latn_BR
        case 0xAE1356554C61746ELLU: // tql_Latn_VU
        case 0xB21350474C61746ELLU: // tqm_Latn_PG
        case 0xB61355534C61746ELLU: // tqn_Latn_US
        case 0xBA1350474C61746ELLU: // tqo_Latn_PG
        case 0xBE1350474C61746ELLU: // tqp_Latn_PG
        case 0xCE134D584C61746ELLU: // tqt_Latn_MX
        case 0xD21353424C61746ELLU: // tqu_Latn_SB
        case 0xDA1355534C61746ELLU: // tqw_Latn_US
        case 0x747254524C61746ELLU: // tr_Latn_TR
        case 0x8233414641726162LLU: // tra_Arab_AF
        case 0x863350474C61746ELLU: // trb_Latn_PG
        case 0x8A334D584C61746ELLU: // trc_Latn_MX
        case 0x923349444C61746ELLU: // tre_Latn_ID
        case 0x963354544C61746ELLU: // trf_Latn_TT
        case 0x9A33494C48656272LLU: // trg_Hebr_IL
        case 0x9E3350474C61746ELLU: // trh_Latn_PG
        case 0xA23353524C61746ELLU: // tri_Latn_SR
        case 0xA63354444C61746ELLU: // trj_Latn_TD
        case 0xAE3347424C61746ELLU: // trl_Latn_GB
        case 0xB233414641726162LLU: // trm_Arab_AF
        case 0xB633424F4C61746ELLU: // trn_Latn_BO
        case 0xBA33494E4C61746ELLU: // tro_Latn_IN
        case 0xBE33494E4C61746ELLU: // trp_Latn_IN
        case 0xC2334D584C61746ELLU: // trq_Latn_MX
        case 0xC63350454C61746ELLU: // trr_Latn_PE
        case 0xCA334D584C61746ELLU: // trs_Latn_MX
        case 0xCE3349444C61746ELLU: // trt_Latn_ID
        case 0xD23354524C61746ELLU: // tru_Latn_TR
        case 0xD63354574C61746ELLU: // trv_Latn_TW
        case 0xDA33504B41726162LLU: // trw_Arab_PK
        case 0xDE334D594C61746ELLU: // trx_Latn_MY
        case 0xE233494E4C61746ELLU: // try_Latn_IN
        case 0xE63342524C61746ELLU: // trz_Latn_BR
        case 0x74735A414C61746ELLU: // ts_Latn_ZA
        case 0x825343474C61746ELLU: // tsa_Latn_CG
        case 0x865345544C61746ELLU: // tsb_Latn_ET
        case 0x8A534D5A4C61746ELLU: // tsc_Latn_MZ
        case 0x8E5347524772656BLLU: // tsd_Grek_GR
        case 0x9A5350484C61746ELLU: // tsg_Latn_PH
        case 0x9E53434D4C61746ELLU: // tsh_Latn_CM
        case 0xA25343414C61746ELLU: // tsi_Latn_CA
        case 0xA653425454696274LLU: // tsj_Tibt_BT
        case 0xAE53564E4C61746ELLU: // tsl_Latn_VN
        case 0xBE5342464C61746ELLU: // tsp_Latn_BF
        case 0xC65356554C61746ELLU: // tsr_Latn_VU
        case 0xCE534D4C4C61746ELLU: // tst_Latn_ML
        case 0xD25354574C61746ELLU: // tsu_Latn_TW
        case 0xD65347414C61746ELLU: // tsv_Latn_GA
        case 0xDA534E474C61746ELLU: // tsw_Latn_NG
        case 0xDE5350474C61746ELLU: // tsx_Latn_PG
        case 0xE6534D584C61746ELLU: // tsz_Latn_MX
        case 0x747452554379726CLLU: // tt_Cyrl_RU
        case 0x86734E474C61746ELLU: // ttb_Latn_NG
        case 0x8A7347544C61746ELLU: // ttc_Latn_GT
        case 0x8E7350474C61746ELLU: // ttd_Latn_PG
        case 0x927350474C61746ELLU: // tte_Latn_PG
        case 0x9673434D4C61746ELLU: // ttf_Latn_CM
        case 0x9E734C414C616F6FLLU: // tth_Laoo_LA
        case 0xA27349444C61746ELLU: // tti_Latn_ID
        case 0xA67355474C61746ELLU: // ttj_Latn_UG
        case 0xAA73434F4C61746ELLU: // ttk_Latn_CO
        case 0xAE735A4D4C61746ELLU: // ttl_Latn_ZM
        case 0xB27343414C61746ELLU: // ttm_Latn_CA
        case 0xB67349444C61746ELLU: // ttn_Latn_ID
        case 0xBA734C414C616F6FLLU: // tto_Laoo_LA
        case 0xBE7349444C61746ELLU: // ttp_Latn_ID
        case 0xC6734E474C61746ELLU: // ttr_Latn_NG
        case 0xCA73544854686169LLU: // tts_Thai_TH
        case 0xCE73415A4C61746ELLU: // ttt_Latn_AZ
        case 0xD27350474C61746ELLU: // ttu_Latn_PG
        case 0xD67350474C61746ELLU: // ttv_Latn_PG
        case 0xDA734D594C61746ELLU: // ttw_Latn_MY
        case 0xE27349444C61746ELLU: // tty_Latn_ID
        case 0xE6734E5044657661LLU: // ttz_Deva_NP
        case 0x829350474C61746ELLU: // tua_Latn_PG
        case 0x869355534C61746ELLU: // tub_Latn_US
        case 0x8A9350474C61746ELLU: // tuc_Latn_PG
        case 0x8E9342524C61746ELLU: // tud_Latn_BR
        case 0x9293434F4C61746ELLU: // tue_Latn_CO
        case 0x9693434F4C61746ELLU: // tuf_Latn_CO
        case 0x9A9354444C61746ELLU: // tug_Latn_TD
        case 0x9E9350474C61746ELLU: // tuh_Latn_PG
        case 0xA293434D4C61746ELLU: // tui_Latn_CM
        case 0xA69349444C61746ELLU: // tuj_Latn_ID
        case 0xAE934E474C61746ELLU: // tul_Latn_NG
        case 0xB2934D574C61746ELLU: // tum_Latn_MW
        case 0xB69355534C61746ELLU: // tun_Latn_US
        case 0xBA9342524C61746ELLU: // tuo_Latn_BR
        case 0xC29354444C61746ELLU: // tuq_Latn_TD
        case 0xCA9343414C61746ELLU: // tus_Latn_CA
        case 0xD29355534C61746ELLU: // tuu_Latn_US
        case 0xD6934B454C61746ELLU: // tuv_Latn_KE
        case 0xDE9342524C61746ELLU: // tux_Latn_BR
        case 0xE2934B454C61746ELLU: // tuy_Latn_KE
        case 0xE69342464C61746ELLU: // tuz_Latn_BF
        case 0x82B353424C61746ELLU: // tva_Latn_SB
        case 0x8EB34E474C61746ELLU: // tvd_Latn_NG
        case 0x92B349444C61746ELLU: // tve_Latn_ID
        case 0xA2B34E474C61746ELLU: // tvi_Latn_NG
        case 0xAAB356554C61746ELLU: // tvk_Latn_VU
        case 0xAEB354564C61746ELLU: // tvl_Latn_TV
        case 0xB2B349444C61746ELLU: // tvm_Latn_ID
        case 0xB6B34D4D4D796D72LLU: // tvn_Mymr_MM
        case 0xBAB349444C61746ELLU: // tvo_Latn_ID
        case 0xCAB34B454C61746ELLU: // tvs_Latn_KE
        case 0xCEB3494E4C61746ELLU: // tvt_Latn_IN
        case 0xD2B3434D4C61746ELLU: // tvu_Latn_CM
        case 0xDAB349444C61746ELLU: // tvw_Latn_ID
        case 0xDEB354574C61746ELLU: // tvx_Latn_TW
        case 0x82D355534C61746ELLU: // twa_Latn_US
        case 0x86D350484C61746ELLU: // twb_Latn_PH
        case 0x8ED34E4C4C61746ELLU: // twd_Latn_NL
        case 0x92D349444C61746ELLU: // twe_Latn_ID
        case 0x96D355534C61746ELLU: // twf_Latn_US
        case 0x9AD349444C61746ELLU: // twg_Latn_ID
        case 0x9ED3564E4C61746ELLU: // twh_Latn_VN
        case 0xAED34D5A4C61746ELLU: // twl_Latn_MZ
        case 0xB2D3494E44657661LLU: // twm_Deva_IN
        case 0xB6D3434D4C61746ELLU: // twn_Latn_CM
        case 0xBAD342574C61746ELLU: // two_Latn_BW
        case 0xBED350474C61746ELLU: // twp_Latn_PG
        case 0xC2D34E454C61746ELLU: // twq_Latn_NE
        case 0xC6D34D584C61746ELLU: // twr_Latn_MX
        case 0xCED342524C61746ELLU: // twt_Latn_BR
        case 0xD2D349444C61746ELLU: // twu_Latn_ID
        case 0xDAD350474C61746ELLU: // tww_Latn_PG
        case 0xDED34D5A4C61746ELLU: // twx_Latn_MZ
        case 0xE2D349444C61746ELLU: // twy_Latn_ID
        case 0x82F34D594C61746ELLU: // txa_Latn_MY
        case 0x92F349444C61746ELLU: // txe_Latn_ID
        case 0x9AF3434E54616E67LLU: // txg_Tang_CN
        case 0xA2F342524C61746ELLU: // txi_Latn_BR
        case 0xA6F34E474C61746ELLU: // txj_Latn_NG
        case 0xB2F349444C61746ELLU: // txm_Latn_ID
        case 0xB6F349444C61746ELLU: // txn_Latn_ID
        case 0xBAF3494E546F746FLLU: // txo_Toto_IN
        case 0xC2F349444C61746ELLU: // txq_Latn_ID
        case 0xCAF349444C61746ELLU: // txs_Latn_ID
        case 0xCEF349444C61746ELLU: // txt_Latn_ID
        case 0xD2F342524C61746ELLU: // txu_Latn_BR
        case 0xDEF34D594C61746ELLU: // txx_Latn_MY
        case 0xE2F34D474C61746ELLU: // txy_Latn_MG
        case 0x747950464C61746ELLU: // ty_Latn_PF
        case 0x831350474C61746ELLU: // tya_Latn_PG
        case 0x93134E474C61746ELLU: // tye_Latn_NG
        case 0x9F13564E4C61746ELLU: // tyh_Latn_VN
        case 0xA31343474C61746ELLU: // tyi_Latn_CG
        case 0xA713564E4C61746ELLU: // tyj_Latn_VN
        case 0xAF13564E4C61746ELLU: // tyl_Latn_VN
        case 0xB71349444C61746ELLU: // tyn_Latn_ID
        case 0xBF1341554C61746ELLU: // typ_Latn_AU
        case 0xC713564E54617674LLU: // tyr_Tavt_VN
        case 0xCB13564E4C61746ELLU: // tys_Latn_VN
        case 0xCF13564E4C61746ELLU: // tyt_Latn_VN
        case 0xD31342574C61746ELLU: // tyu_Latn_BW
        case 0xD71352554379726CLLU: // tyv_Cyrl_RU
        case 0xDF1343474C61746ELLU: // tyx_Latn_CG
        case 0xE3134E474C61746ELLU: // tyy_Latn_NG
        case 0xE713564E4C61746ELLU: // tyz_Latn_VN
        case 0x9F334D584C61746ELLU: // tzh_Latn_MX
        case 0xA73347544C61746ELLU: // tzj_Latn_GT
        case 0xB3334D414C61746ELLU: // tzm_Latn_MA
        case 0xB73349444C61746ELLU: // tzn_Latn_ID
        case 0xBB334D584C61746ELLU: // tzo_Latn_MX
        case 0xDF3350474C61746ELLU: // tzx_Latn_PG
        case 0xB01442524C61746ELLU: // uam_Latn_BR
        case 0xC41450474C61746ELLU: // uar_Latn_PG
        case 0x80344E474C61746ELLU: // uba_Latn_NG
        case 0xA03454444C61746ELLU: // ubi_Latn_TD
        case 0xAC3450484C61746ELLU: // ubl_Latn_PH
        case 0xC43450474C61746ELLU: // ubr_Latn_PG
        case 0xD03450474C61746ELLU: // ubu_Latn_PG
        case 0xE03454524C61746ELLU: // uby_Latn_TR
        case 0x80744E474C61746ELLU: // uda_Latn_NG
        case 0x907452554379726CLLU: // ude_Cyrl_RU
        case 0x9874494E4D6C796DLLU: // udg_Mlym_IN
        case 0xA07452554379726CLLU: // udi_Cyrl_RU
        case 0xA47449444C61746ELLU: // udj_Latn_ID
        case 0xAC74434D4C61746ELLU: // udl_Latn_CM
        case 0xB07452554379726CLLU: // udm_Cyrl_RU
        case 0xD07453444C61746ELLU: // udu_Latn_SD
        case 0xC89449444C61746ELLU: // ues_Latn_ID
        case 0xA0B450474C61746ELLU: // ufi_Latn_PG
        case 0x7567434E41726162LLU: // ug_Arab_CN
        case 0x75674B5A4379726CLLU: // ug_Cyrl_KZ
        case 0x80D4535955676172LLU: // uga_Ugar_SY
        case 0x84D441554C61746ELLU: // ugb_Latn_AU
        case 0x90D453424C61746ELLU: // uge_Latn_SB
        case 0x9CD452554379726CLLU: // ugh_Cyrl_RU
        case 0xB8D4544854686169LLU: // ugo_Thai_TH
        case 0x80F44E474C61746ELLU: // uha_Latn_NG
        case 0xB4F449444C61746ELLU: // uhn_Latn_ID
        case 0xC91450474C61746ELLU: // uis_Latn_PG
        case 0xD514434D4C61746ELLU: // uiv_Latn_CM
        case 0xA1344E474C61746ELLU: // uji_Latn_NG
        case 0x756B55414379726CLLU: // uk_Cyrl_UA
        case 0x815449444C61746ELLU: // uka_Latn_ID
        case 0x995450474C61746ELLU: // ukg_Latn_PG
        case 0x9D5443464C61746ELLU: // ukh_Latn_CF
        case 0xA154494E4F727961LLU: // uki_Orya_IN
        case 0xA9544D4D4C61746ELLU: // ukk_Latn_MM
        case 0xBD544E474C61746ELLU: // ukp_Latn_NG
        case 0xC1544E474C61746ELLU: // ukq_Latn_NG
        case 0xD1544E474C61746ELLU: // uku_Latn_NG
        case 0xD55453534C61746ELLU: // ukv_Latn_SS
        case 0xD9544E474C61746ELLU: // ukw_Latn_NG
        case 0xE15441554C61746ELLU: // uky_Latn_AU
        case 0x81744E474C61746ELLU: // ula_Latn_NG
        case 0x85744E474C61746ELLU: // ulb_Latn_NG
        case 0x897452554379726CLLU: // ulc_Cyrl_RU
        case 0x917441524C61746ELLU: // ule_Latn_AR
        case 0x957449444C61746ELLU: // ulf_Latn_ID
        case 0xA174464D4C61746ELLU: // uli_Latn_FM
        case 0xA97441554C61746ELLU: // ulk_Latn_AU
        case 0xB17449444C61746ELLU: // ulm_Latn_ID
        case 0xB57450474C61746ELLU: // uln_Latn_PG
        case 0xD17449444C61746ELLU: // ulu_Latn_ID
        case 0xD9744E494C61746ELLU: // ulw_Latn_NI
        case 0xE1744E474C61746ELLU: // uly_Latn_NG
        case 0x819455534C61746ELLU: // uma_Latn_US
        case 0x8594414F4C61746ELLU: // umb_Latn_AO
        case 0x8D9441554C61746ELLU: // umd_Latn_AU
        case 0x999441554C61746ELLU: // umg_Latn_AU
        case 0xA1944D594C61746ELLU: // umi_Latn_MY
        case 0xB1944E474C61746ELLU: // umm_Latn_NG
        case 0xB5944D4D4C61746ELLU: // umn_Latn_MM
        case 0xB99442524C61746ELLU: // umo_Latn_BR
        case 0xBD9441554C61746ELLU: // ump_Latn_AU
        case 0xC59441554C61746ELLU: // umr_Latn_AU
        case 0xC99449444C61746ELLU: // ums_Latn_ID
        case 0x81B450474C61746ELLU: // una_Latn_PG
        case 0x91B44E474C61746ELLU: // une_Latn_NG
        case 0x99B441554C61746ELLU: // ung_Latn_AU
        case 0xA1B450474C61746ELLU: // uni_Latn_PG
        case 0xA9B442524C61746ELLU: // unk_Latn_BR
        case 0xB1B455534C61746ELLU: // unm_Latn_US
        case 0xB5B441554C61746ELLU: // unn_Latn_AU
        case 0xC5B4494E42656E67LLU: // unr_Beng_IN
        case 0xC5B44E5044657661LLU: // unr_Deva_NP
        case 0xD1B450474C61746ELLU: // unu_Latn_PG
        case 0xDDB4494E42656E67LLU: // unx_Beng_IN
        case 0xE5B449444C61746ELLU: // unz_Latn_ID
        case 0xB5D454574C61746ELLU: // uon_Latn_TW
        case 0xA1F450474C61746ELLU: // upi_Latn_PG
        case 0xD5F456554C61746ELLU: // upv_Latn_VU
        case 0x7572504B41726162LLU: // ur_Arab_PK
        case 0x823450454C61746ELLU: // ura_Latn_PE
        case 0x863442524C61746ELLU: // urb_Latn_BR
        case 0x8A3441554C61746ELLU: // urc_Latn_AU
        case 0x9234424F4C61746ELLU: // ure_Latn_BO
        case 0x963441554C61746ELLU: // urf_Latn_AU
        case 0x9A3450474C61746ELLU: // urg_Latn_PG
        case 0x9E344E474C61746ELLU: // urh_Latn_NG
        case 0xA23450474C61746ELLU: // uri_Latn_PG
        case 0xAA34544854686169LLU: // urk_Thai_TH
        case 0xB23450474C61746ELLU: // urm_Latn_PG
        case 0xB63449444C61746ELLU: // urn_Latn_ID
        case 0xBA3450474C61746ELLU: // uro_Latn_PG
        case 0xBE3442524C61746ELLU: // urp_Latn_BR
        case 0xC63456554C61746ELLU: // urr_Latn_VU
        case 0xCE3450474C61746ELLU: // urt_Latn_PG
        case 0xD23442524C61746ELLU: // uru_Latn_BR
        case 0xD63450474C61746ELLU: // urv_Latn_PG
        case 0xDA3450474C61746ELLU: // urw_Latn_PG
        case 0xDE3450474C61746ELLU: // urx_Latn_PG
        case 0xE23449444C61746ELLU: // ury_Latn_ID
        case 0xE63442524C61746ELLU: // urz_Latn_BR
        case 0x825450474C61746ELLU: // usa_Latn_PG
        case 0x9E54504B41726162LLU: // ush_Arab_PK
        case 0xA25442444C61746ELLU: // usi_Latn_BD
        case 0xAA54434D4C61746ELLU: // usk_Latn_CM
        case 0xBE5447544C61746ELLU: // usp_Latn_GT
        case 0xCA544E474C61746ELLU: // uss_Latn_NG
        case 0xD25450474C61746ELLU: // usu_Latn_PG
        case 0x82744E474C61746ELLU: // uta_Latn_NG
        case 0x927455534C61746ELLU: // ute_Latn_US
        case 0x9E744E474C61746ELLU: // uth_Latn_NG
        case 0xBE7453424C61746ELLU: // utp_Latn_SB
        case 0xC6744E474C61746ELLU: // utr_Latn_NG
        case 0xD27450474C61746ELLU: // utu_Latn_PG
        case 0xB29447454772656BLLU: // uum_Grek_GE
        case 0xC69456554C61746ELLU: // uur_Latn_VU
        case 0x92B44E434C61746ELLU: // uve_Latn_NC
        case 0x9EB450474C61746ELLU: // uvh_Latn_PG
        case 0xAEB450474C61746ELLU: // uvl_Latn_PG
        case 0x82D441554C61746ELLU: // uwa_Latn_AU
        case 0x83144E474C61746ELLU: // uya_Latn_NG
        case 0x757A414641726162LLU: // uz_Arab_AF
        case 0x757A555A4C61746ELLU: // uz_Latn_UZ
        case 0xCB34414641726162LLU: // uzs_Arab_AF
        case 0x8015494E54616D6CLLU: // vaa_Taml_IN
        case 0x901543464C61746ELLU: // vae_Latn_CF
        case 0x9415495241726162LLU: // vaf_Arab_IR
        case 0x981547484C61746ELLU: // vag_Latn_GH
        case 0x9C15494E44657661LLU: // vah_Deva_IN
        case 0xA0154C5256616969LLU: // vai_Vaii_LR
        case 0xA4154E414C61746ELLU: // vaj_Latn_NA
        case 0xAC1550474C61746ELLU: // val_Latn_PG
        case 0xB01550474C61746ELLU: // vam_Latn_PG
        case 0xB41550474C61746ELLU: // van_Latn_PG
        case 0xB81556554C61746ELLU: // vao_Latn_VU
        case 0xBC15494E4C61746ELLU: // vap_Latn_IN
        case 0xC4154D584C61746ELLU: // var_Latn_MX
        case 0xC815494E44657661LLU: // vas_Deva_IN
        case 0xD01543444C61746ELLU: // vau_Latn_CD
        case 0xD415494E44657661LLU: // vav_Deva_IN
        case 0xE0154E5044657661LLU: // vay_Deva_NP
        case 0x843549444C61746ELLU: // vbb_Latn_ID
        case 0xA83550484C61746ELLU: // vbk_Latn_PH
        case 0x76655A414C61746ELLU: // ve_Latn_ZA
        case 0x889549544C61746ELLU: // vec_Latn_IT
        case 0xB0954E474C61746ELLU: // vem_Latn_NG
        case 0xB89555534C61746ELLU: // veo_Latn_US
        case 0xBC9552554C61746ELLU: // vep_Latn_RU
        case 0xC4954E474C61746ELLU: // ver_Latn_NG
        case 0xC4D5504B41726162LLU: // vgr_Arab_PK
        case 0x7669564E4C61746ELLU: // vi_Latn_VN
        case 0x891553584C61746ELLU: // vic_Latn_SX
        case 0x8D15545A4C61746ELLU: // vid_Latn_TZ
        case 0x951543474C61746ELLU: // vif_Latn_CG
        case 0x991542464C61746ELLU: // vig_Latn_BF
        case 0xAD1541524C61746ELLU: // vil_Latn_AR
        case 0xB515545A4C61746ELLU: // vin_Latn_TZ
        case 0xCD154E474C61746ELLU: // vit_Latn_NG
        case 0xD51550474C61746ELLU: // viv_Latn_PG
        case 0xA935494E44657661LLU: // vjk_Deva_IN
        case 0x815541554C61746ELLU: // vka_Latn_AU
        case 0xA55554444C61746ELLU: // vkj_Latn_TD
        case 0xA95549444C61746ELLU: // vkk_Latn_ID
        case 0xAD5549444C61746ELLU: // vkl_Latn_ID
        case 0xB15542524C61746ELLU: // vkm_Latn_BR
        case 0xB5554E474C61746ELLU: // vkn_Latn_NG
        case 0xB95549444C61746ELLU: // vko_Latn_ID
        case 0xBD55494E4C61746ELLU: // vkp_Latn_IN
        case 0xCD5549444C61746ELLU: // vkt_Latn_ID
        case 0xD15541554C61746ELLU: // vku_Latn_AU
        case 0xE5554E474C61746ELLU: // vkz_Latn_NG
        case 0xBD7556554C61746ELLU: // vlp_Latn_VU
        case 0xC97542454C61746ELLU: // vls_Latn_BE
        case 0x819541554C61746ELLU: // vma_Latn_AU
        case 0x859541554C61746ELLU: // vmb_Latn_AU
        case 0x89954D584C61746ELLU: // vmc_Latn_MX
        case 0x8D95494E4B6E6461LLU: // vmd_Knda_IN
        case 0x919549444C61746ELLU: // vme_Latn_ID
        case 0x959544454C61746ELLU: // vmf_Latn_DE
        case 0x999550474C61746ELLU: // vmg_Latn_PG
        case 0x9D95495241726162LLU: // vmh_Arab_IR
        case 0xA19541554C61746ELLU: // vmi_Latn_AU
        case 0xA5954D584C61746ELLU: // vmj_Latn_MX
        case 0xA9954D5A4C61746ELLU: // vmk_Latn_MZ
        case 0xAD9541554C61746ELLU: // vml_Latn_AU
        case 0xB1954D584C61746ELLU: // vmm_Latn_MX
        case 0xBD954D584C61746ELLU: // vmp_Latn_MX
        case 0xC1954D584C61746ELLU: // vmq_Latn_MX
        case 0xC5954D5A4C61746ELLU: // vmr_Latn_MZ
        case 0xC99549444C61746ELLU: // vms_Latn_ID
        case 0xD19541554C61746ELLU: // vmu_Latn_AU
        case 0xD9954D5A4C61746ELLU: // vmw_Latn_MZ
        case 0xDD954D584C61746ELLU: // vmx_Latn_MX
        case 0xE1954D584C61746ELLU: // vmy_Latn_MX
        case 0xE5954D584C61746ELLU: // vmz_Latn_MX
        case 0xA9B553424C61746ELLU: // vnk_Latn_SB
        case 0xB1B556554C61746ELLU: // vnm_Latn_VU
        case 0xBDB556554C61746ELLU: // vnp_Latn_VU
        case 0xC5D54E474C61746ELLU: // vor_Latn_NG
        case 0xCDD552554C61746ELLU: // vot_Latn_RU
        case 0x823556554C61746ELLU: // vra_Latn_VU
        case 0xBA3545454C61746ELLU: // vro_Latn_EE
        case 0xCA3553424C61746ELLU: // vrs_Latn_SB
        case 0xCE3556554C61746ELLU: // vrt_Latn_VU
        case 0xBA7549444C61746ELLU: // vto_Latn_ID
        case 0xB29547414C61746ELLU: // vum_Latn_GA
        case 0xB695545A4C61746ELLU: // vun_Latn_TZ
        case 0xCE95434D4C61746ELLU: // vut_Latn_CM
        case 0x82D5434E4C61746ELLU: // vwa_Latn_CN
        case 0x776142454C61746ELLU: // wa_Latn_BE
        case 0x801655534C61746ELLU: // waa_Latn_US
        case 0x841650474C61746ELLU: // wab_Latn_PG
        case 0x881655534C61746ELLU: // wac_Latn_US
        case 0x8C1649444C61746ELLU: // wad_Latn_ID
        case 0x901643484C61746ELLU: // wae_Latn_CH
        case 0x941642524C61746ELLU: // waf_Latn_BR
        case 0x981650474C61746ELLU: // wag_Latn_PG
        case 0x9C1649444C61746ELLU: // wah_Latn_ID
        case 0xA01649444C61746ELLU: // wai_Latn_ID
        case 0xA41650474C61746ELLU: // waj_Latn_PG
        case 0xAC16455445746869LLU: // wal_Ethi_ET
        case 0xB01655534C61746ELLU: // wam_Latn_US
        case 0xB41643494C61746ELLU: // wan_Latn_CI
        case 0xBC1647594C61746ELLU: // wap_Latn_GY
        case 0xC01641554C61746ELLU: // waq_Latn_AU
        case 0xC41650484C61746ELLU: // war_Latn_PH
        case 0xC81655534C61746ELLU: // was_Latn_US
        case 0xCC1650474C61746ELLU: // wat_Latn_PG
        case 0xD01642524C61746ELLU: // wau_Latn_BR
        case 0xD4164E474C61746ELLU: // wav_Latn_NG
        case 0xD81642524C61746ELLU: // waw_Latn_BR
        case 0xDC1650474C61746ELLU: // wax_Latn_PG
        case 0xE01653524C61746ELLU: // way_Latn_SR
        case 0xE41650474C61746ELLU: // waz_Latn_PG
        case 0x803656454C61746ELLU: // wba_Latn_VE
        case 0x843649444C61746ELLU: // wbb_Latn_ID
        case 0x903649444C61746ELLU: // wbe_Latn_ID
        case 0x943642464C61746ELLU: // wbf_Latn_BF
        case 0x9C36545A4C61746ELLU: // wbh_Latn_TZ
        case 0xA036545A4C61746ELLU: // wbi_Latn_TZ
        case 0xA436545A4C61746ELLU: // wbj_Latn_TZ
        case 0xA836414641726162LLU: // wbk_Arab_AF
        case 0xAC36504B4C61746ELLU: // wbl_Latn_PK
        case 0xB036434E4C61746ELLU: // wbm_Latn_CN
        case 0xBC3641554C61746ELLU: // wbp_Latn_AU
        case 0xC036494E54656C75LLU: // wbq_Telu_IN
        case 0xC436494E44657661LLU: // wbr_Deva_IN
        case 0xCC3641554C61746ELLU: // wbt_Latn_AU
        case 0xD43641554C61746ELLU: // wbv_Latn_AU
        case 0xD83649444C61746ELLU: // wbw_Latn_ID
        case 0x805642524C61746ELLU: // wca_Latn_BR
        case 0xA05654474C61746ELLU: // wci_Latn_TG
        case 0x8C7647414C61746ELLU: // wdd_Latn_GA
        case 0x987650474C61746ELLU: // wdg_Latn_PG
        case 0xA47641554C61746ELLU: // wdj_Latn_AU
        case 0xA87641554C61746ELLU: // wdk_Latn_AU
        case 0xCC7643414C61746ELLU: // wdt_Latn_CA
        case 0xD07641554C61746ELLU: // wdu_Latn_AU
        case 0xE07641554C61746ELLU: // wdy_Latn_AU
        case 0x889643494C61746ELLU: // wec_Latn_CI
        case 0x8C9650474C61746ELLU: // wed_Latn_PG
        case 0x989641554C61746ELLU: // weg_Latn_AU
        case 0x9C96434D4C61746ELLU: // weh_Latn_CM
        case 0xA09650474C61746ELLU: // wei_Latn_PG
        case 0xB096424A4C61746ELLU: // wem_Latn_BJ
        case 0xB89649444C61746ELLU: // weo_Latn_ID
        case 0xBC9644454C61746ELLU: // wep_Latn_DE
        case 0xC49650474C61746ELLU: // wer_Latn_PG
        case 0xC896434D4C61746ELLU: // wes_Latn_CM
        case 0xCC9649444C61746ELLU: // wet_Latn_ID
        case 0xD0964D4D4C61746ELLU: // weu_Latn_MM
        case 0xD89649444C61746ELLU: // wew_Latn_ID
        case 0x98B649444C61746ELLU: // wfg_Latn_ID
        case 0x80D641554C61746ELLU: // wga_Latn_AU
        case 0x84D650474C61746ELLU: // wgb_Latn_PG
        case 0x98D641554C61746ELLU: // wgg_Latn_AU
        case 0xA0D650474C61746ELLU: // wgi_Latn_PG
        case 0xB8D649444C61746ELLU: // wgo_Latn_ID
        case 0xD0D641554C61746ELLU: // wgu_Latn_AU
        case 0xE0D641554C61746ELLU: // wgy_Latn_AU
        case 0x80F649444C61746ELLU: // wha_Latn_ID
        case 0x98F650474C61746ELLU: // whg_Latn_PG
        case 0xA8F649444C61746ELLU: // whk_Latn_ID
        case 0xD0F649444C61746ELLU: // whu_Latn_ID
        case 0x851642464C61746ELLU: // wib_Latn_BF
        case 0x891655534C61746ELLU: // wic_Latn_US
        case 0x911641554C61746ELLU: // wie_Latn_AU
        case 0x951641554C61746ELLU: // wif_Latn_AU
        case 0x991641554C61746ELLU: // wig_Latn_AU
        case 0x9D1641554C61746ELLU: // wih_Latn_AU
        case 0xA11650474C61746ELLU: // wii_Latn_PG
        case 0xA51641554C61746ELLU: // wij_Latn_AU
        case 0xA91641554C61746ELLU: // wik_Latn_AU
        case 0xAD1641554C61746ELLU: // wil_Latn_AU
        case 0xB11641554C61746ELLU: // wim_Latn_AU
        case 0xB51655534C61746ELLU: // win_Latn_US
        case 0xC51642524C61746ELLU: // wir_Latn_BR
        case 0xD11650474C61746ELLU: // wiu_Latn_PG
        case 0xD51650474C61746ELLU: // wiv_Latn_PG
        case 0xE11655534C61746ELLU: // wiy_Latn_US
        case 0x81364E474C61746ELLU: // wja_Latn_NG
        case 0xA1364E474C61746ELLU: // wji_Latn_NG
        case 0x8156545A4C61746ELLU: // wka_Latn_TZ
        case 0x8D5649444C61746ELLU: // wkd_Latn_ID
        case 0xC55641554C61746ELLU: // wkr_Latn_AU
        case 0xD95641554C61746ELLU: // wkw_Latn_AU
        case 0xE15641554C61746ELLU: // wky_Latn_AU
        case 0x817650474C61746ELLU: // wla_Latn_PG
        case 0x9176455445746869LLU: // wle_Ethi_ET
        case 0x997641554C61746ELLU: // wlg_Latn_AU
        case 0x9D76544C4C61746ELLU: // wlh_Latn_TL
        case 0xA17649444C61746ELLU: // wli_Latn_ID
        case 0xB17647424C61746ELLU: // wlm_Latn_GB
        case 0xB976494441726162LLU: // wlo_Arab_ID
        case 0xC57656554C61746ELLU: // wlr_Latn_VU
        case 0xC97657464C61746ELLU: // wls_Latn_WF
        case 0xD17641554C61746ELLU: // wlu_Latn_AU
        case 0xD57641524C61746ELLU: // wlv_Latn_AR
        case 0xD97649444C61746ELLU: // wlw_Latn_ID
        case 0xDD7647484C61746ELLU: // wlx_Latn_GH
        case 0x81964E474C61746ELLU: // wma_Latn_NG
        case 0x859641554C61746ELLU: // wmb_Latn_AU
        case 0x899650474C61746ELLU: // wmc_Latn_PG
        case 0x8D9642524C61746ELLU: // wmd_Latn_BR
        case 0x91964E5044657661LLU: // wme_Deva_NP
        case 0x9D96544C4C61746ELLU: // wmh_Latn_TL
        case 0xA19641554C61746ELLU: // wmi_Latn_AU
        case 0xB19649444C61746ELLU: // wmm_Latn_ID
        case 0xB5964E434C61746ELLU: // wmn_Latn_NC
        case 0xB99650474C61746ELLU: // wmo_Latn_PG
        case 0xC99649444C61746ELLU: // wms_Latn_ID
        case 0xCD9641554C61746ELLU: // wmt_Latn_AU
        case 0xD9964D5A4C61746ELLU: // wmw_Latn_MZ
        case 0xDD9650474C61746ELLU: // wmx_Latn_PG
        case 0x85B650474C61746ELLU: // wnb_Latn_PG
        case 0x89B650474C61746ELLU: // wnc_Latn_PG
        case 0x8DB641554C61746ELLU: // wnd_Latn_AU
        case 0x91B6504B41726162LLU: // wne_Arab_PK
        case 0x99B649444C61746ELLU: // wng_Latn_ID
        case 0xA1B64B4D41726162LLU: // wni_Arab_KM
        case 0xA9B649444C61746ELLU: // wnk_Latn_ID
        case 0xB1B641554C61746ELLU: // wnm_Latn_AU
        case 0xB5B641554C61746ELLU: // wnn_Latn_AU
        case 0xB9B649444C61746ELLU: // wno_Latn_ID
        case 0xBDB650474C61746ELLU: // wnp_Latn_PG
        case 0xD1B650474C61746ELLU: // wnu_Latn_PG
        case 0xD9B655534C61746ELLU: // wnw_Latn_US
        case 0xE1B641554C61746ELLU: // wny_Latn_AU
        case 0x776F534E4C61746ELLU: // wo_Latn_SN
        case 0x81D641554C61746ELLU: // woa_Latn_AU
        case 0x85D643494C61746ELLU: // wob_Latn_CI
        case 0x89D650474C61746ELLU: // woc_Latn_PG
        case 0x8DD649444C61746ELLU: // wod_Latn_ID
        case 0x91D6464D4C61746ELLU: // woe_Latn_FM
        case 0x95D6474D4C61746ELLU: // wof_Latn_GM
        case 0x99D650474C61746ELLU: // wog_Latn_PG
        case 0xA1D649444C61746ELLU: // woi_Latn_ID
        case 0xA9D6434D4C61746ELLU: // wok_Latn_CM
        case 0xB1D64E474C61746ELLU: // wom_Latn_NG
        case 0xB5D643444C61746ELLU: // won_Latn_CD
        case 0xB9D649444C61746ELLU: // woo_Latn_ID
        case 0xC5D649444C61746ELLU: // wor_Latn_ID
        case 0xC9D650474C61746ELLU: // wos_Latn_PG
        case 0xD9D649444C61746ELLU: // wow_Latn_ID
        case 0x89F656454C61746ELLU: // wpc_Latn_VE
        case 0x863641554C61746ELLU: // wrb_Latn_AU
        case 0x9A3641554C61746ELLU: // wrg_Latn_AU
        case 0x9E3641554C61746ELLU: // wrh_Latn_AU
        case 0xA23641554C61746ELLU: // wri_Latn_AU
        case 0xAA3641554C61746ELLU: // wrk_Latn_AU
        case 0xAE3641554C61746ELLU: // wrl_Latn_AU
        case 0xB23641554C61746ELLU: // wrm_Latn_AU
        case 0xBA3641554C61746ELLU: // wro_Latn_AU
        case 0xBE3649444C61746ELLU: // wrp_Latn_ID
        case 0xC63641554C61746ELLU: // wrr_Latn_AU
        case 0xCA3650474C61746ELLU: // wrs_Latn_PG
        case 0xD23649444C61746ELLU: // wru_Latn_ID
        case 0xD63650474C61746ELLU: // wrv_Latn_PG
        case 0xDA3641554C61746ELLU: // wrw_Latn_AU
        case 0xDE3649444C61746ELLU: // wrx_Latn_ID
        case 0xE63641554C61746ELLU: // wrz_Latn_AU
        case 0x825649444C61746ELLU: // wsa_Latn_ID
        case 0x9A56494E476F6E67LLU: // wsg_Gong_IN
        case 0xA25656554C61746ELLU: // wsi_Latn_VU
        case 0xAA5650474C61746ELLU: // wsk_Latn_PG
        case 0xC65650474C61746ELLU: // wsr_Latn_PG
        case 0xCA5647484C61746ELLU: // wss_Latn_GH
        case 0xD25642524C61746ELLU: // wsu_Latn_BR
        case 0xD656414641726162LLU: // wsv_Arab_AF
        case 0x8676545A4C61746ELLU: // wtb_Latn_TZ
        case 0x967650474C61746ELLU: // wtf_Latn_PG
        case 0x9E7641554C61746ELLU: // wth_Latn_AU
        case 0xA27645544C61746ELLU: // wti_Latn_ET
        case 0xAA7650474C61746ELLU: // wtk_Latn_PG
        case 0xB276494E44657661LLU: // wtm_Deva_IN
        case 0xDA7649444C61746ELLU: // wtw_Latn_ID
        case 0x829641554C61746ELLU: // wua_Latn_AU
        case 0x869641554C61746ELLU: // wub_Latn_AU
        case 0x8E9654474C61746ELLU: // wud_Latn_TG
        case 0xAE9649444C61746ELLU: // wul_Latn_ID
        case 0xB29647414C61746ELLU: // wum_Latn_GA
        case 0xB696545A4C61746ELLU: // wun_Latn_TZ
        case 0xC69641554C61746ELLU: // wur_Latn_AU
        case 0xCE9650474C61746ELLU: // wut_Latn_PG
        case 0xD296434E48616E73LLU: // wuu_Hans_CN
        case 0xD69650474C61746ELLU: // wuv_Latn_PG
        case 0xDE9641554C61746ELLU: // wux_Latn_AU
        case 0xE29649444C61746ELLU: // wuy_Latn_ID
        case 0x82D6424A4C61746ELLU: // wwa_Latn_BJ
        case 0x86D641554C61746ELLU: // wwb_Latn_AU
        case 0xBAD656554C61746ELLU: // wwo_Latn_VU
        case 0xC6D641554C61746ELLU: // wwr_Latn_AU
        case 0xDAD6434D4C61746ELLU: // www_Latn_CM
        case 0xDAF641554C61746ELLU: // wxw_Latn_AU
        case 0x871641554C61746ELLU: // wyb_Latn_AU
        case 0xA31641554C61746ELLU: // wyi_Latn_AU
        case 0xB316504C4C61746ELLU: // wym_Latn_PL
        case 0xB71655534C61746ELLU: // wyn_Latn_US
        case 0xC71642524C61746ELLU: // wyr_Latn_BR
        case 0xE316464A4C61746ELLU: // wyy_Latn_FJ
        case 0x801745534C61746ELLU: // xaa_Latn_ES
        case 0x84174E474C61746ELLU: // xab_Latn_NG
        case 0x9817415A41676862LLU: // xag_Aghb_AZ
        case 0xA01742524C61746ELLU: // xai_Latn_BR
        case 0xA41742524C61746ELLU: // xaj_Latn_BR
        case 0xA81756454C61746ELLU: // xak_Latn_VE
        case 0xAC1752554379726CLLU: // xal_Cyrl_RU
        case 0xB0175A414C61746ELLU: // xam_Latn_ZA
        case 0xB417455445746869LLU: // xan_Ethi_ET
        case 0xB817564E4C61746ELLU: // xao_Latn_VN
        case 0xC41750474C61746ELLU: // xar_Latn_PG
        case 0xC81752554379726CLLU: // xas_Cyrl_RU
        case 0xCC1742524C61746ELLU: // xat_Latn_BR
        case 0xD01749444C61746ELLU: // xau_Latn_ID
        case 0xD41742524C61746ELLU: // xav_Latn_BR
        case 0xD81755534C61746ELLU: // xaw_Latn_US
        case 0xE01749444C61746ELLU: // xay_Latn_ID
        case 0x843741554C61746ELLU: // xbb_Latn_AU
        case 0x8C3741554C61746ELLU: // xbd_Latn_AU
        case 0x903741554C61746ELLU: // xbe_Latn_AU
        case 0x983741554C61746ELLU: // xbg_Latn_AU
        case 0xA03750474C61746ELLU: // xbi_Latn_PG
        case 0xA43741554C61746ELLU: // xbj_Latn_AU
        case 0xB03746524C61746ELLU: // xbm_Latn_FR
        case 0xB4374D594C61746ELLU: // xbn_Latn_MY
        case 0xBC3741554C61746ELLU: // xbp_Latn_AU
        case 0xC43749444C61746ELLU: // xbr_Latn_ID
        case 0xD83742524C61746ELLU: // xbw_Latn_BR
        case 0xE03741554C61746ELLU: // xby_Latn_AU
        case 0x9C5755534C61746ELLU: // xch_Latn_US
        case 0xB857555A43687273LLU: // xco_Chrs_UZ
        case 0xC457545243617269LLU: // xcr_Cari_TR
        case 0x807741554C61746ELLU: // xda_Latn_AU
        case 0xA87741554C61746ELLU: // xdk_Latn_AU
        case 0xB877414F4C61746ELLU: // xdo_Latn_AO
        case 0xC07752554379726CLLU: // xdq_Cyrl_RU
        case 0xE07749444C61746ELLU: // xdy_Latn_ID
        case 0x8C97434D4C61746ELLU: // xed_Latn_CM
        case 0x98975A414C61746ELLU: // xeg_Latn_ZA
        case 0xB09749444C61746ELLU: // xem_Latn_ID
        case 0xC49742524C61746ELLU: // xer_Latn_BR
        case 0xC89750474C61746ELLU: // xes_Latn_PG
        case 0xCC9742524C61746ELLU: // xet_Latn_BR
        case 0xD09750474C61746ELLU: // xeu_Latn_PG
        case 0x84D743494C61746ELLU: // xgb_Latn_CI
        case 0x8CD741554C61746ELLU: // xgd_Latn_AU
        case 0x98D741554C61746ELLU: // xgg_Latn_AU
        case 0xA0D741554C61746ELLU: // xgi_Latn_AU
        case 0xB0D741554C61746ELLU: // xgm_Latn_AU
        case 0xD0D741554C61746ELLU: // xgu_Latn_AU
        case 0xD8D741554C61746ELLU: // xgw_Latn_AU
        case 0x78685A414C61746ELLU: // xh_Latn_ZA
        case 0x90F7504B41726162LLU: // xhe_Arab_PK
        case 0xB0F74B484B686D72LLU: // xhm_Khmr_KH
        case 0xD4F7564E4C61746ELLU: // xhv_Latn_VN
        case 0xA1175A414C61746ELLU: // xii_Latn_ZA
        case 0xB51747544C61746ELLU: // xin_Latn_GT
        case 0xC51742524C61746ELLU: // xir_Latn_BR
        case 0xC917494E4F727961LLU: // xis_Orya_IN
        case 0xE11742524C61746ELLU: // xiy_Latn_BR
        case 0x853741554C61746ELLU: // xjb_Latn_AU
        case 0xCD3741554C61746ELLU: // xjt_Latn_AU
        case 0x8157504B41726162LLU: // xka_Arab_PK
        case 0x8557424A4C61746ELLU: // xkb_Latn_BJ
        case 0x8957495241726162LLU: // xkc_Arab_IR
        case 0x8D5749444C61746ELLU: // xkd_Latn_ID
        case 0x915749444C61746ELLU: // xke_Latn_ID
        case 0x9557425454696274LLU: // xkf_Tibt_BT
        case 0x99574D4C4C61746ELLU: // xkg_Latn_ML
        case 0xA557495241726162LLU: // xkj_Arab_IR
        case 0xAD5749444C61746ELLU: // xkl_Latn_ID
        case 0xB55749444C61746ELLU: // xkn_Latn_ID
        case 0xBD57495241726162LLU: // xkp_Arab_IR
        case 0xC15749444C61746ELLU: // xkq_Latn_ID
        case 0xC55742524C61746ELLU: // xkr_Latn_BR
        case 0xC95749444C61746ELLU: // xks_Latn_ID
        case 0xCD5747484C61746ELLU: // xkt_Latn_GH
        case 0xD15743474C61746ELLU: // xku_Latn_CG
        case 0xD55742574C61746ELLU: // xkv_Latn_BW
        case 0xD95749444C61746ELLU: // xkw_Latn_ID
        case 0xDD5750474C61746ELLU: // xkx_Latn_PG
        case 0xE1574D594C61746ELLU: // xky_Latn_MY
        case 0xE55742544C61746ELLU: // xkz_Latn_BT
        case 0x817750474C61746ELLU: // xla_Latn_PG
        case 0x897754524C796369LLU: // xlc_Lyci_TR
        case 0x8D7754524C796469LLU: // xld_Lydi_TR
        case 0xE1774952456C796DLLU: // xly_Elym_IR
        case 0x8197534F4C61746ELLU: // xma_Latn_SO
        case 0x8597434D4C61746ELLU: // xmb_Latn_CM
        case 0x89974D5A4C61746ELLU: // xmc_Latn_MZ
        case 0x8D97434D4C61746ELLU: // xmd_Latn_CM
        case 0x9597474547656F72LLU: // xmf_Geor_GE
        case 0x9997434D4C61746ELLU: // xmg_Latn_CM
        case 0x9D9741554C61746ELLU: // xmh_Latn_AU
        case 0xA597434D4C61746ELLU: // xmj_Latn_CM
        case 0xB19749444C61746ELLU: // xmm_Latn_ID
        case 0xB597434E4D616E69LLU: // xmn_Mani_CN
        case 0xB99742524C61746ELLU: // xmo_Latn_BR
        case 0xBD9741554C61746ELLU: // xmp_Latn_AU
        case 0xC19741554C61746ELLU: // xmq_Latn_AU
        case 0xC59753444D657263LLU: // xmr_Merc_SD
        case 0xCD9749444C61746ELLU: // xmt_Latn_ID
        case 0xD19741554C61746ELLU: // xmu_Latn_AU
        case 0xD5974D474C61746ELLU: // xmv_Latn_MG
        case 0xD9974D474C61746ELLU: // xmw_Latn_MG
        case 0xDD9749444C61746ELLU: // xmx_Latn_ID
        case 0xE19741554C61746ELLU: // xmy_Latn_AU
        case 0xE59749444C61746ELLU: // xmz_Latn_ID
        case 0x81B753414E617262LLU: // xna_Narb_SA
        case 0x85B754574C61746ELLU: // xnb_Latn_TW
        case 0xA1B741554C61746ELLU: // xni_Latn_AU
        case 0xA5B7545A4C61746ELLU: // xnj_Latn_TZ
        case 0xA9B741554C61746ELLU: // xnk_Latn_AU
        case 0xB1B741554C61746ELLU: // xnm_Latn_AU
        case 0xB5B750484C61746ELLU: // xnn_Latn_PH
        case 0xC1B74D5A4C61746ELLU: // xnq_Latn_MZ
        case 0xC5B7494E44657661LLU: // xnr_Deva_IN
        case 0xCDB755534C61746ELLU: // xnt_Latn_US
        case 0xD1B741554C61746ELLU: // xnu_Latn_AU
        case 0xE1B741554C61746ELLU: // xny_Latn_AU
        case 0xE5B745474C61746ELLU: // xnz_Latn_EG
        case 0x89D74E474C61746ELLU: // xoc_Latn_NG
        case 0x8DD749444C61746ELLU: // xod_Latn_ID
        case 0x99D755474C61746ELLU: // xog_Latn_UG
        case 0xA1D750474C61746ELLU: // xoi_Latn_PG
        case 0xA9D742524C61746ELLU: // xok_Latn_BR
        case 0xB1D753444C61746ELLU: // xom_Latn_SD
        case 0xB5D747484C61746ELLU: // xon_Latn_GH
        case 0xB9D742524C61746ELLU: // xoo_Latn_BR
        case 0xBDD750474C61746ELLU: // xop_Latn_PG
        case 0xC5D742524C61746ELLU: // xor_Latn_BR
        case 0xD9D750474C61746ELLU: // xow_Latn_PG
        case 0x81F741554C61746ELLU: // xpa_Latn_AU
        case 0x85F741554C61746ELLU: // xpb_Latn_AU
        case 0x8DF741554C61746ELLU: // xpd_Latn_AU
        case 0x95F741554C61746ELLU: // xpf_Latn_AU
        case 0x99F754524772656BLLU: // xpg_Grek_TR
        case 0x9DF741554C61746ELLU: // xph_Latn_AU
        case 0xA1F747424F67616DLLU: // xpi_Ogam_GB
        case 0xA5F741554C61746ELLU: // xpj_Latn_AU
        case 0xA9F742524C61746ELLU: // xpk_Latn_BR
        case 0xADF741554C61746ELLU: // xpl_Latn_AU
        case 0xB1F752554379726CLLU: // xpm_Cyrl_RU
        case 0xB5F742524C61746ELLU: // xpn_Latn_BR
        case 0xB9F74D584C61746ELLU: // xpo_Latn_MX
        case 0xC1F755534C61746ELLU: // xpq_Latn_US
        case 0xC5F7495250727469LLU: // xpr_Prti_IR
        case 0xCDF741554C61746ELLU: // xpt_Latn_AU
        case 0xD5F741554C61746ELLU: // xpv_Latn_AU
        case 0xD9F741554C61746ELLU: // xpw_Latn_AU
        case 0xDDF741554C61746ELLU: // xpx_Latn_AU
        case 0xE5F741554C61746ELLU: // xpz_Latn_AU
        case 0x823742524C61746ELLU: // xra_Latn_BR
        case 0x863742464C61746ELLU: // xrb_Latn_BF
        case 0x8E3741554C61746ELLU: // xrd_Latn_AU
        case 0x923742524C61746ELLU: // xre_Latn_BR
        case 0x9A3741554C61746ELLU: // xrg_Latn_AU
        case 0xA23742524C61746ELLU: // xri_Latn_BR
        case 0xB23752554379726CLLU: // xrm_Cyrl_RU
        case 0xB63752554379726CLLU: // xrn_Cyrl_RU
        case 0xC63749544C61746ELLU: // xrr_Latn_IT
        case 0xD23741554C61746ELLU: // xru_Latn_AU
        case 0xDA3750474C61746ELLU: // xrw_Latn_PG
        case 0x8257594553617262LLU: // xsa_Sarb_YE
        case 0x865750484C61746ELLU: // xsb_Latn_PH
        case 0x925749444C61746ELLU: // xse_Latn_ID
        case 0x9E574E474C61746ELLU: // xsh_Latn_NG
        case 0xA25750474C61746ELLU: // xsi_Latn_PG
        case 0xB25747484C61746ELLU: // xsm_Latn_GH
        case 0xB6574E474C61746ELLU: // xsn_Latn_NG
        case 0xBE5750474C61746ELLU: // xsp_Latn_PG
        case 0xC2574D5A4C61746ELLU: // xsq_Latn_MZ
        case 0xC6574E5044657661LLU: // xsr_Deva_NP
        case 0xD25756454C61746ELLU: // xsu_Latn_VE
        case 0xE25754574C61746ELLU: // xsy_Latn_TW
        case 0x82774D584C61746ELLU: // xta_Latn_MX
        case 0x86774D584C61746ELLU: // xtb_Latn_MX
        case 0x8A7753444C61746ELLU: // xtc_Latn_SD
        case 0x8E774D584C61746ELLU: // xtd_Latn_MX
        case 0x927749444C61746ELLU: // xte_Latn_ID
        case 0x9E7741554C61746ELLU: // xth_Latn_AU
        case 0xA2774D584C61746ELLU: // xti_Latn_MX
        case 0xA6774D584C61746ELLU: // xtj_Latn_MX
        case 0xAE774D584C61746ELLU: // xtl_Latn_MX
        case 0xB2774D584C61746ELLU: // xtm_Latn_MX
        case 0xB6774D584C61746ELLU: // xtn_Latn_MX
        case 0xBE774D584C61746ELLU: // xtp_Latn_MX
        case 0xC277495242726168LLU: // xtq_Brah_IR
        case 0xCA774D584C61746ELLU: // xts_Latn_MX
        case 0xCE774D584C61746ELLU: // xtt_Latn_MX
        case 0xD2774D584C61746ELLU: // xtu_Latn_MX
        case 0xD67741554C61746ELLU: // xtv_Latn_AU
        case 0xDA7742524C61746ELLU: // xtw_Latn_BR
        case 0xE2774D584C61746ELLU: // xty_Latn_MX
        case 0x8697494E54616D6CLLU: // xub_Taml_IN
        case 0x8E9741554C61746ELLU: // xud_Latn_AU
        case 0xA697494E54616D6CLLU: // xuj_Taml_IN
        case 0xAE9741554C61746ELLU: // xul_Latn_AU
        case 0xB29749544C61746ELLU: // xum_Latn_IT
        case 0xB69741554C61746ELLU: // xun_Latn_AU
        case 0xBA9754444C61746ELLU: // xuo_Latn_TD
        case 0xCE9741554C61746ELLU: // xut_Latn_AU
        case 0xD2974E414C61746ELLU: // xuu_Latn_NA
        case 0x92B749544974616CLLU: // xve_Ital_IT
        case 0xA2B7414641726162LLU: // xvi_Arab_AF
        case 0xB6B745534C61746ELLU: // xvn_Latn_ES
        case 0xBAB749544C61746ELLU: // xvo_Latn_IT
        case 0xCAB749544C61746ELLU: // xvs_Latn_IT
        case 0x82D742524C61746ELLU: // xwa_Latn_BR
        case 0x8ED741554C61746ELLU: // xwd_Latn_AU
        case 0x92D7424A4C61746ELLU: // xwe_Latn_BJ
        case 0xA6D741554C61746ELLU: // xwj_Latn_AU
        case 0xAAD741554C61746ELLU: // xwk_Latn_AU
        case 0xAED7424A4C61746ELLU: // xwl_Latn_BJ
        case 0xBAD752554379726CLLU: // xwo_Cyrl_RU
        case 0xC6D749444C61746ELLU: // xwr_Latn_ID
        case 0xCED741554C61746ELLU: // xwt_Latn_AU
        case 0xDAD741554C61746ELLU: // xww_Latn_AU
        case 0x86F747484C61746ELLU: // xxb_Latn_GH
        case 0xAAF749444C61746ELLU: // xxk_Latn_ID
        case 0xB2F741554C61746ELLU: // xxm_Latn_AU
        case 0xC6F742524C61746ELLU: // xxr_Latn_BR
        case 0xCEF749444C61746ELLU: // xxt_Latn_ID
        case 0x831741554C61746ELLU: // xya_Latn_AU
        case 0x871741554C61746ELLU: // xyb_Latn_AU
        case 0xA71741554C61746ELLU: // xyj_Latn_AU
        case 0xAB1741554C61746ELLU: // xyk_Latn_AU
        case 0xAF1742524C61746ELLU: // xyl_Latn_BR
        case 0xCF1741554C61746ELLU: // xyt_Latn_AU
        case 0xE31741554C61746ELLU: // xyy_Latn_AU
        case 0x9F37434E4D617263LLU: // xzh_Marc_CN
        case 0xBF374D584C61746ELLU: // xzp_Latn_MX
        case 0x801850454C61746ELLU: // yaa_Latn_PE
        case 0x841842524C61746ELLU: // yab_Latn_BR
        case 0x881849444C61746ELLU: // yac_Latn_ID
        case 0x8C1850454C61746ELLU: // yad_Latn_PE
        case 0x901856454C61746ELLU: // yae_Latn_VE
        case 0x941843444C61746ELLU: // yaf_Latn_CD
        case 0x9818434C4C61746ELLU: // yag_Latn_CL
        case 0x9C18544A4C61746ELLU: // yah_Latn_TJ
        case 0xA018544A4379726CLLU: // yai_Cyrl_TJ
        case 0xA41843464C61746ELLU: // yaj_Latn_CF
        case 0xA81855534C61746ELLU: // yak_Latn_US
        case 0xAC18474E4C61746ELLU: // yal_Latn_GN
        case 0xB018434D4C61746ELLU: // yam_Latn_CM
        case 0xB4184E494C61746ELLU: // yan_Latn_NI
        case 0xB8184D5A4C61746ELLU: // yao_Latn_MZ
        case 0xBC18464D4C61746ELLU: // yap_Latn_FM
        case 0xC0184D584C61746ELLU: // yaq_Latn_MX
        case 0xC41856454C61746ELLU: // yar_Latn_VE
        case 0xC818434D4C61746ELLU: // yas_Latn_CM
        case 0xCC18434D4C61746ELLU: // yat_Latn_CM
        case 0xD01856454C61746ELLU: // yau_Latn_VE
        case 0xD418434D4C61746ELLU: // yav_Latn_CM
        case 0xD81842524C61746ELLU: // yaw_Latn_BR
        case 0xDC18414F4C61746ELLU: // yax_Latn_AO
        case 0xE0184E474C61746ELLU: // yay_Latn_NG
        case 0xE4184E474C61746ELLU: // yaz_Latn_NG
        case 0x80384E474C61746ELLU: // yba_Latn_NG
        case 0x8438434D4C61746ELLU: // ybb_Latn_CM
        case 0x9038434E4C61746ELLU: // ybe_Latn_CN
        case 0x9C384E5044657661LLU: // ybh_Deva_NP
        case 0xA0384E5044657661LLU: // ybi_Deva_NP
        case 0xA4384E474C61746ELLU: // ybj_Latn_NG
        case 0xAC384E474C61746ELLU: // ybl_Latn_NG
        case 0xB03850474C61746ELLU: // ybm_Latn_PG
        case 0xB43842524C61746ELLU: // ybn_Latn_BR
        case 0xB83850474C61746ELLU: // ybo_Latn_PG
        case 0xDC3850474C61746ELLU: // ybx_Latn_PG
        case 0xE03850474C61746ELLU: // yby_Latn_PG
        case 0xAC58434E4C61746ELLU: // ycl_Latn_CN
        case 0xB458434F4C61746ELLU: // ycn_Latn_CO
        case 0xC45854574C61746ELLU: // ycr_Latn_TW
        case 0x807841554C61746ELLU: // yda_Latn_AU
        case 0x907850474C61746ELLU: // yde_Latn_PG
        case 0x9878504B41726162LLU: // ydg_Arab_PK
        case 0xA87850474C61746ELLU: // ydk_Latn_PG
        case 0x8098494E4D6C796DLLU: // yea_Mlym_IN
        case 0x889844454C61746ELLU: // yec_Latn_DE
        case 0x909850474C61746ELLU: // yee_Latn_PG
        case 0xA098434D4C61746ELLU: // yei_Latn_CM
        case 0xA49847524772656BLLU: // yej_Grek_GR
        case 0xAC9843444C61746ELLU: // yel_Latn_CD
        case 0xC4984E474C61746ELLU: // yer_Latn_NG
        case 0xC8984E474C61746ELLU: // yes_Latn_NG
        case 0xCC9849444C61746ELLU: // yet_Latn_ID
        case 0xD098494E54656C75LLU: // yeu_Telu_IN
        case 0xD49850474C61746ELLU: // yev_Latn_PG
        case 0xE09842574C61746ELLU: // yey_Latn_BW
        case 0x80D841554C61746ELLU: // yga_Latn_AU
        case 0xA0D841554C61746ELLU: // ygi_Latn_AU
        case 0xACD850474C61746ELLU: // ygl_Latn_PG
        case 0xB0D850474C61746ELLU: // ygm_Latn_PG
        case 0xBCD8434E506C7264LLU: // ygp_Plrd_CN
        case 0xC4D850474C61746ELLU: // ygr_Latn_PG
        case 0xD0D841554C61746ELLU: // ygu_Latn_AU
        case 0xD8D850474C61746ELLU: // ygw_Latn_PG
        case 0x8CF8494C48656272LLU: // yhd_Hebr_IL
        case 0x7969554148656272LLU: // yi_Hebr_UA
        case 0x811841554C61746ELLU: // yia_Latn_AU
        case 0x9918434E59696969LLU: // yig_Yiii_CN
        case 0x9D18444548656272LLU: // yih_Hebr_DE
        case 0xA11841554C61746ELLU: // yii_Latn_AU
        case 0xA51841554C61746ELLU: // yij_Latn_AU
        case 0xAD1841554C61746ELLU: // yil_Latn_AU
        case 0xB118494E4C61746ELLU: // yim_Latn_IN
        case 0xC51849444C61746ELLU: // yir_Latn_ID
        case 0xC91850474C61746ELLU: // yis_Latn_PG
        case 0xD518434E59696969LLU: // yiv_Yiii_CN
        case 0x815850484C61746ELLU: // yka_Latn_PH
        case 0x995852554379726CLLU: // ykg_Cyrl_RU
        case 0x9D584D4E4379726CLLU: // ykh_Cyrl_MN
        case 0xA15849444C61746ELLU: // yki_Latn_ID
        case 0xA95850474C61746ELLU: // ykk_Latn_PG
        case 0xB15850474C61746ELLU: // ykm_Latn_PG
        case 0xB958434D4C61746ELLU: // yko_Latn_CM
        case 0xC55850474C61746ELLU: // ykr_Latn_PG
        case 0xE15843464C61746ELLU: // yky_Latn_CF
        case 0x817850474C61746ELLU: // yla_Latn_PG
        case 0x857850474C61746ELLU: // ylb_Latn_PG
        case 0x917850474C61746ELLU: // yle_Latn_PG
        case 0x997850474C61746ELLU: // ylg_Latn_PG
        case 0xA17849444C61746ELLU: // yli_Latn_ID
        case 0xAD7850474C61746ELLU: // yll_Latn_PG
        case 0xC57841554C61746ELLU: // ylr_Latn_AU
        case 0xD17850474C61746ELLU: // ylu_Latn_PG
        case 0xE1784E434C61746ELLU: // yly_Latn_NC
        case 0x859850474C61746ELLU: // ymb_Latn_PG
        case 0x919850454C61746ELLU: // yme_Latn_PE
        case 0x999843444C61746ELLU: // ymg_Latn_CD
        case 0xA9984D5A4C61746ELLU: // ymk_Latn_MZ
        case 0xAD9850474C61746ELLU: // yml_Latn_PG
        case 0xB198534F4C61746ELLU: // ymm_Latn_SO
        case 0xB59849444C61746ELLU: // ymn_Latn_ID
        case 0xB99850474C61746ELLU: // ymo_Latn_PG
        case 0xBD9850474C61746ELLU: // ymp_Latn_PG
        case 0x81B8434E506C7264LLU: // yna_Plrd_CN
        case 0x8DB841554C61746ELLU: // ynd_Latn_AU
        case 0x99B843444C61746ELLU: // yng_Latn_CD
        case 0xA9B852554379726CLLU: // ynk_Cyrl_RU
        case 0xADB850474C61746ELLU: // ynl_Latn_PG
        case 0xC1B84E474C61746ELLU: // ynq_Latn_NG
        case 0xC9B843444C61746ELLU: // yns_Latn_CD
        case 0xD1B8434F4C61746ELLU: // ynu_Latn_CO
        case 0x796F4E474C61746ELLU: // yo_Latn_NG
        case 0x85D850474C61746ELLU: // yob_Latn_PG
        case 0x99D850484C61746ELLU: // yog_Latn_PH
        case 0xA1D84A504A70616ELLU: // yoi_Jpan_JP
        case 0xA9D855534C61746ELLU: // yok_Latn_US
        case 0xADD849454C61746ELLU: // yol_Latn_IE
        case 0xB1D843444C61746ELLU: // yom_Latn_CD
        case 0xB5D850474C61746ELLU: // yon_Latn_PG
        case 0xCDD84E474C61746ELLU: // yot_Latn_NG
        case 0xE1D8544854686169LLU: // yoy_Thai_TH
        case 0x823850474C61746ELLU: // yra_Latn_PG
        case 0x863850474C61746ELLU: // yrb_Latn_PG
        case 0x923843494C61746ELLU: // yre_Latn_CI
        case 0xAA3852554379726CLLU: // yrk_Cyrl_RU
        case 0xAE3842524C61746ELLU: // yrl_Latn_BR
        case 0xB23841554C61746ELLU: // yrm_Latn_AU
        case 0xBA3842524C61746ELLU: // yro_Latn_BR
        case 0xCA3849444C61746ELLU: // yrs_Latn_ID
        case 0xDA3850474C61746ELLU: // yrw_Latn_PG
        case 0xE23841554C61746ELLU: // yry_Latn_AU
        case 0x8E58434E59696969LLU: // ysd_Yiii_CN
        case 0xB658434E59696969LLU: // ysn_Yiii_CN
        case 0xBE58434E59696969LLU: // ysp_Yiii_CN
        case 0xC65852554379726CLLU: // ysr_Cyrl_RU
        case 0xCA5850474C61746ELLU: // yss_Latn_PG
        case 0xE258434E506C7264LLU: // ysy_Plrd_CN
        case 0xDA7850474C61746ELLU: // ytw_Latn_PG
        case 0xE27841554C61746ELLU: // yty_Latn_AU
        case 0x82984D584C61746ELLU: // yua_Latn_MX
        case 0x869841554C61746ELLU: // yub_Latn_AU
        case 0x8A9855534C61746ELLU: // yuc_Latn_US
        case 0x8E98494C48656272LLU: // yud_Hebr_IL
        case 0x9298434E48616E73LLU: // yue_Hans_CN
        case 0x9298484B48616E74LLU: // yue_Hant_HK
        case 0x969855534C61746ELLU: // yuf_Latn_US
        case 0x9A9852554379726CLLU: // yug_Cyrl_RU
        case 0xA298434F4C61746ELLU: // yui_Latn_CO
        case 0xA69850474C61746ELLU: // yuj_Latn_PG
        case 0xAE9843464C61746ELLU: // yul_Latn_CF
        case 0xB29855534C61746ELLU: // yum_Latn_US
        case 0xB6984E474C61746ELLU: // yun_Latn_NG
        case 0xBE98434F4C61746ELLU: // yup_Latn_CO
        case 0xC298424F4C61746ELLU: // yuq_Latn_BO
        case 0xC69855534C61746ELLU: // yur_Latn_US
        case 0xCE9850474C61746ELLU: // yut_Latn_PG
        case 0xDA9850474C61746ELLU: // yuw_Latn_PG
        case 0xDE9852554379726CLLU: // yux_Cyrl_RU
        case 0xE698424F4C61746ELLU: // yuz_Latn_BO
        case 0x82B849444C61746ELLU: // yva_Latn_ID
        case 0xCEB856454C61746ELLU: // yvt_Latn_VE
        case 0x82D850474C61746ELLU: // ywa_Latn_PG
        case 0x9AD841554C61746ELLU: // ywg_Latn_AU
        case 0xB6D842524C61746ELLU: // ywn_Latn_BR
        case 0xC2D8434E506C7264LLU: // ywq_Plrd_CN
        case 0xC6D841554C61746ELLU: // ywr_Latn_AU
        case 0xD2D8434E506C7264LLU: // ywu_Plrd_CN
        case 0xDAD841554C61746ELLU: // yww_Latn_AU
        case 0x82F841554C61746ELLU: // yxa_Latn_AU
        case 0x9AF841554C61746ELLU: // yxg_Latn_AU
        case 0xAEF841554C61746ELLU: // yxl_Latn_AU
        case 0xB2F841554C61746ELLU: // yxm_Latn_AU
        case 0xD2F841554C61746ELLU: // yxu_Latn_AU
        case 0xE2F841554C61746ELLU: // yxy_Latn_AU
        case 0xC71841554C61746ELLU: // yyr_Latn_AU
        case 0xD31850474C61746ELLU: // yyu_Latn_PG
        case 0x7A61434E4C61746ELLU: // za_Latn_CN
        case 0x80194D584C61746ELLU: // zaa_Latn_MX
        case 0x84194D584C61746ELLU: // zab_Latn_MX
        case 0x88194D584C61746ELLU: // zac_Latn_MX
        case 0x8C194D584C61746ELLU: // zad_Latn_MX
        case 0x90194D584C61746ELLU: // zae_Latn_MX
        case 0x94194D584C61746ELLU: // zaf_Latn_MX
        case 0x981953444C61746ELLU: // zag_Latn_SD
        case 0x9C194E474C61746ELLU: // zah_Latn_NG
        case 0xA419545A4C61746ELLU: // zaj_Latn_TZ
        case 0xA819545A4C61746ELLU: // zak_Latn_TZ
        case 0xB0194D584C61746ELLU: // zam_Latn_MX
        case 0xB8194D584C61746ELLU: // zao_Latn_MX
        case 0xBC194D584C61746ELLU: // zap_Latn_MX
        case 0xC0194D584C61746ELLU: // zaq_Latn_MX
        case 0xC4194D584C61746ELLU: // zar_Latn_MX
        case 0xC8194D584C61746ELLU: // zas_Latn_MX
        case 0xCC194D584C61746ELLU: // zat_Latn_MX
        case 0xD019494E54696274LLU: // zau_Tibt_IN
        case 0xD4194D584C61746ELLU: // zav_Latn_MX
        case 0xD8194D584C61746ELLU: // zaw_Latn_MX
        case 0xDC194D584C61746ELLU: // zax_Latn_MX
        case 0xE01945544C61746ELLU: // zay_Latn_ET
        case 0xE4194E474C61746ELLU: // zaz_Latn_NG
        case 0x88394D594C61746ELLU: // zbc_Latn_MY
        case 0x90394D594C61746ELLU: // zbe_Latn_MY
        case 0xCC3949444C61746ELLU: // zbt_Latn_ID
        case 0xD0394E474C61746ELLU: // zbu_Latn_NG
        case 0xD8394D594C61746ELLU: // zbw_Latn_MY
        case 0x80594D584C61746ELLU: // zca_Latn_MX
        case 0x9C59434E48616E69LLU: // zch_Hani_CN
        case 0xA4794B4D41726162LLU: // zdj_Arab_KM
        case 0x80994E4C4C61746ELLU: // zea_Latn_NL
        case 0x989950474C61746ELLU: // zeg_Latn_PG
        case 0x9C99434E48616E69LLU: // zeh_Hani_CN
        case 0xB0994E474C61746ELLU: // zem_Latn_NG
        case 0xB4994D5254666E67LLU: // zen_Tfng_MR
        case 0x80D9545A4C61746ELLU: // zga_Latn_TZ
        case 0x84D9434E48616E69LLU: // zgb_Hani_CN
        case 0x9CD94D4154666E67LLU: // zgh_Tfng_MA
        case 0xB0D9434E48616E69LLU: // zgm_Hani_CN
        case 0xB4D9434E48616E69LLU: // zgn_Hani_CN
        case 0xC4D950474C61746ELLU: // zgr_Latn_PG
        case 0x7A685457426F706FLLU: // zh_Bopo_TW
        case 0x7A68545748616E62LLU: // zh_Hanb_TW
        case 0x7A68434E48616E73LLU: // zh_Hans_CN
        case 0x7A68545748616E74LLU: // zh_Hant_TW
        case 0x8CF9434E48616E69LLU: // zhd_Hani_CN
        case 0xA0F94E474C61746ELLU: // zhi_Latn_NG
        case 0xB4F9434E4C61746ELLU: // zhn_Latn_CN
        case 0xD8F9434D4C61746ELLU: // zhw_Latn_CM
        case 0xDCF9434E4E736875LLU: // zhx_Nshu_CN
        case 0x811950474C61746ELLU: // zia_Latn_PG
        case 0xA91950474C61746ELLU: // zik_Latn_PG
        case 0xAD19474E4C61746ELLU: // zil_Latn_GN
        case 0xB11954444C61746ELLU: // zim_Latn_TD
        case 0xB519545A4C61746ELLU: // zin_Latn_TZ
        case 0xD919545A4C61746ELLU: // ziw_Latn_TZ
        case 0xE5194E474C61746ELLU: // ziz_Latn_NG
        case 0x815949444C61746ELLU: // zka_Latn_ID
        case 0x8D594D4D4C61746ELLU: // zkd_Latn_MM
        case 0xB95952554379726CLLU: // zko_Cyrl_RU
        case 0xBD5942524C61746ELLU: // zkp_Latn_BR
        case 0xCD59434E4B697473LLU: // zkt_Kits_CN
        case 0xD15941554C61746ELLU: // zku_Latn_AU
        case 0xE55952554379726CLLU: // zkz_Cyrl_RU
        case 0x817943444C61746ELLU: // zla_Latn_CD
        case 0xA579434E48616E69LLU: // zlj_Hani_CN
        case 0xB17954474C61746ELLU: // zlm_Latn_TG
        case 0xB579434E48616E69LLU: // zln_Hani_CN
        case 0xC179434E48616E69LLU: // zlq_Hani_CN
        case 0xD1794E474C61746ELLU: // zlu_Latn_NG
        case 0x819941554C61746ELLU: // zma_Latn_AU
        case 0x859943444C61746ELLU: // zmb_Latn_CD
        case 0x899941554C61746ELLU: // zmc_Latn_AU
        case 0x8D9941554C61746ELLU: // zmd_Latn_AU
        case 0x919941554C61746ELLU: // zme_Latn_AU
        case 0x959943444C61746ELLU: // zmf_Latn_CD
        case 0x999941554C61746ELLU: // zmg_Latn_AU
        case 0x9D9950474C61746ELLU: // zmh_Latn_PG
        case 0xA1994D594C61746ELLU: // zmi_Latn_MY
        case 0xA59941554C61746ELLU: // zmj_Latn_AU
        case 0xA99941554C61746ELLU: // zmk_Latn_AU
        case 0xAD9941554C61746ELLU: // zml_Latn_AU
        case 0xB19941554C61746ELLU: // zmm_Latn_AU
        case 0xB59947414C61746ELLU: // zmn_Latn_GA
        case 0xB99953444C61746ELLU: // zmo_Latn_SD
        case 0xBD9943444C61746ELLU: // zmp_Latn_CD
        case 0xC19943444C61746ELLU: // zmq_Latn_CD
        case 0xC59941554C61746ELLU: // zmr_Latn_AU
        case 0xC99943444C61746ELLU: // zms_Latn_CD
        case 0xCD9941554C61746ELLU: // zmt_Latn_AU
        case 0xD19941554C61746ELLU: // zmu_Latn_AU
        case 0xD59941554C61746ELLU: // zmv_Latn_AU
        case 0xD99943444C61746ELLU: // zmw_Latn_CD
        case 0xDD9943474C61746ELLU: // zmx_Latn_CG
        case 0xE19941554C61746ELLU: // zmy_Latn_AU
        case 0xE59943444C61746ELLU: // zmz_Latn_CD
        case 0x81B954444C61746ELLU: // zna_Latn_TD
        case 0x91B943444C61746ELLU: // zne_Latn_CD
        case 0x99B9564E4C61746ELLU: // zng_Latn_VN
        case 0xA9B941554C61746ELLU: // znk_Latn_AU
        case 0xC9B94E474C61746ELLU: // zns_Latn_NG
        case 0x89D94D584C61746ELLU: // zoc_Latn_MX
        case 0x9DD94D584C61746ELLU: // zoh_Latn_MX
        case 0xB1D9494E4C61746ELLU: // zom_Latn_IN
        case 0xB9D94D584C61746ELLU: // zoo_Latn_MX
        case 0xC1D94D584C61746ELLU: // zoq_Latn_MX
        case 0xC5D94D584C61746ELLU: // zor_Latn_MX
        case 0xC9D94D584C61746ELLU: // zos_Latn_MX
        case 0x81F94D584C61746ELLU: // zpa_Latn_MX
        case 0x85F94D584C61746ELLU: // zpb_Latn_MX
        case 0x89F94D584C61746ELLU: // zpc_Latn_MX
        case 0x8DF94D584C61746ELLU: // zpd_Latn_MX
        case 0x91F94D584C61746ELLU: // zpe_Latn_MX
        case 0x95F94D584C61746ELLU: // zpf_Latn_MX
        case 0x99F94D584C61746ELLU: // zpg_Latn_MX
        case 0x9DF94D584C61746ELLU: // zph_Latn_MX
        case 0xA1F94D584C61746ELLU: // zpi_Latn_MX
        case 0xA5F94D584C61746ELLU: // zpj_Latn_MX
        case 0xA9F94D584C61746ELLU: // zpk_Latn_MX
        case 0xADF94D584C61746ELLU: // zpl_Latn_MX
        case 0xB1F94D584C61746ELLU: // zpm_Latn_MX
        case 0xB5F94D584C61746ELLU: // zpn_Latn_MX
        case 0xB9F94D584C61746ELLU: // zpo_Latn_MX
        case 0xBDF94D584C61746ELLU: // zpp_Latn_MX
        case 0xC1F94D584C61746ELLU: // zpq_Latn_MX
        case 0xC5F94D584C61746ELLU: // zpr_Latn_MX
        case 0xC9F94D584C61746ELLU: // zps_Latn_MX
        case 0xCDF94D584C61746ELLU: // zpt_Latn_MX
        case 0xD1F94D584C61746ELLU: // zpu_Latn_MX
        case 0xD5F94D584C61746ELLU: // zpv_Latn_MX
        case 0xD9F94D584C61746ELLU: // zpw_Latn_MX
        case 0xDDF94D584C61746ELLU: // zpx_Latn_MX
        case 0xE1F94D584C61746ELLU: // zpy_Latn_MX
        case 0xE5F94D584C61746ELLU: // zpz_Latn_MX
        case 0x9219434E48616E69LLU: // zqe_Hani_CN
        case 0x9A39494E4F727961LLU: // zrg_Orya_IN
        case 0xB63954444C61746ELLU: // zrn_Latn_TD
        case 0xBA3945434C61746ELLU: // zro_Latn_EC
        case 0xBE39465248656272LLU: // zrp_Hebr_FR
        case 0xCA3949444C61746ELLU: // zrs_Latn_ID
        case 0x825950474C61746ELLU: // zsa_Latn_PG
        case 0xC6594D584C61746ELLU: // zsr_Latn_MX
        case 0xD25950474C61746ELLU: // zsu_Latn_PG
        case 0x92794D584C61746ELLU: // zte_Latn_MX
        case 0x9A794D584C61746ELLU: // ztg_Latn_MX
        case 0xAE794D584C61746ELLU: // ztl_Latn_MX
        case 0xB2794D584C61746ELLU: // ztm_Latn_MX
        case 0xB6794D584C61746ELLU: // ztn_Latn_MX
        case 0xBE794D584C61746ELLU: // ztp_Latn_MX
        case 0xC2794D584C61746ELLU: // ztq_Latn_MX
        case 0xCA794D584C61746ELLU: // zts_Latn_MX
        case 0xCE794D584C61746ELLU: // ztt_Latn_MX
        case 0xD2794D584C61746ELLU: // ztu_Latn_MX
        case 0xDE794D584C61746ELLU: // ztx_Latn_MX
        case 0xE2794D584C61746ELLU: // zty_Latn_MX
        case 0x7A755A414C61746ELLU: // zu_Latn_ZA
        case 0x9E9950474C61746ELLU: // zuh_Latn_PG
        case 0xB2994F4D41726162LLU: // zum_Arab_OM
        case 0xB69955534C61746ELLU: // zun_Latn_US
        case 0xE299434D4C61746ELLU: // zuy_Latn_CM
        case 0x82D9455445746869LLU: // zwa_Ethi_ET
        case 0x9B19434E48616E69LLU: // zyg_Hani_CN
        case 0xA719434E4C61746ELLU: // zyj_Latn_CN
        case 0xB719434E48616E69LLU: // zyn_Hani_CN
        case 0xBF194D4D4C61746ELLU: // zyp_Latn_MM
        case 0x833954524C61746ELLU: // zza_Latn_TR
        case 0xA739434E48616E69LLU: // zzj_Hani_CN
            return true;
        default:
            return false;
    }
}

static uint32_t findArabParent(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x61724145u: // ar-AE -> ar-015
        case 0x6172445Au: // ar-DZ -> ar-015
        case 0x61724548u: // ar-EH -> ar-015
        case 0x61724C59u: // ar-LY -> ar-015
        case 0x61724D41u: // ar-MA -> ar-015
        case 0x6172544Eu: // ar-TN -> ar-015
            return 0x61729420u;
        default:
            return 0;
    }
}

static uint32_t findDevaParent(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x68690000u: // hi-Latn -> en-IN
            return 0x656E494Eu;
        default:
            return 0;
    }
}

static uint32_t findHantParent(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x7A684D4Fu: // zh-Hant-MO -> zh-Hant-HK
            return 0x7A68484Bu;
        default:
            return 0;
    }
}

static uint32_t findLatnParent(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x656E80A1u: // en-150 -> en-001
        case 0x656E4147u: // en-AG -> en-001
        case 0x656E4149u: // en-AI -> en-001
        case 0x656E4155u: // en-AU -> en-001
        case 0x656E4242u: // en-BB -> en-001
        case 0x656E424Du: // en-BM -> en-001
        case 0x656E4253u: // en-BS -> en-001
        case 0x656E4257u: // en-BW -> en-001
        case 0x656E425Au: // en-BZ -> en-001
        case 0x656E4343u: // en-CC -> en-001
        case 0x656E434Bu: // en-CK -> en-001
        case 0x656E434Du: // en-CM -> en-001
        case 0x656E4358u: // en-CX -> en-001
        case 0x656E4359u: // en-CY -> en-001
        case 0x656E4447u: // en-DG -> en-001
        case 0x656E444Du: // en-DM -> en-001
        case 0x656E4552u: // en-ER -> en-001
        case 0x656E464Au: // en-FJ -> en-001
        case 0x656E464Bu: // en-FK -> en-001
        case 0x656E464Du: // en-FM -> en-001
        case 0x656E4742u: // en-GB -> en-001
        case 0x656E4744u: // en-GD -> en-001
        case 0x656E4747u: // en-GG -> en-001
        case 0x656E4748u: // en-GH -> en-001
        case 0x656E4749u: // en-GI -> en-001
        case 0x656E474Du: // en-GM -> en-001
        case 0x656E4759u: // en-GY -> en-001
        case 0x656E484Bu: // en-HK -> en-001
        case 0x656E4944u: // en-ID -> en-001
        case 0x656E4945u: // en-IE -> en-001
        case 0x656E494Cu: // en-IL -> en-001
        case 0x656E494Du: // en-IM -> en-001
        case 0x656E494Eu: // en-IN -> en-001
        case 0x656E494Fu: // en-IO -> en-001
        case 0x656E4A45u: // en-JE -> en-001
        case 0x656E4A4Du: // en-JM -> en-001
        case 0x656E4B45u: // en-KE -> en-001
        case 0x656E4B49u: // en-KI -> en-001
        case 0x656E4B4Eu: // en-KN -> en-001
        case 0x656E4B59u: // en-KY -> en-001
        case 0x656E4C43u: // en-LC -> en-001
        case 0x656E4C52u: // en-LR -> en-001
        case 0x656E4C53u: // en-LS -> en-001
        case 0x656E4D47u: // en-MG -> en-001
        case 0x656E4D4Fu: // en-MO -> en-001
        case 0x656E4D53u: // en-MS -> en-001
        case 0x656E4D54u: // en-MT -> en-001
        case 0x656E4D55u: // en-MU -> en-001
        case 0x656E4D56u: // en-MV -> en-001
        case 0x656E4D57u: // en-MW -> en-001
        case 0x656E4D59u: // en-MY -> en-001
        case 0x656E4E41u: // en-NA -> en-001
        case 0x656E4E46u: // en-NF -> en-001
        case 0x656E4E47u: // en-NG -> en-001
        case 0x656E4E52u: // en-NR -> en-001
        case 0x656E4E55u: // en-NU -> en-001
        case 0x656E4E5Au: // en-NZ -> en-001
        case 0x656E5047u: // en-PG -> en-001
        case 0x656E504Bu: // en-PK -> en-001
        case 0x656E504Eu: // en-PN -> en-001
        case 0x656E5057u: // en-PW -> en-001
        case 0x656E5257u: // en-RW -> en-001
        case 0x656E5342u: // en-SB -> en-001
        case 0x656E5343u: // en-SC -> en-001
        case 0x656E5344u: // en-SD -> en-001
        case 0x656E5347u: // en-SG -> en-001
        case 0x656E5348u: // en-SH -> en-001
        case 0x656E534Cu: // en-SL -> en-001
        case 0x656E5353u: // en-SS -> en-001
        case 0x656E5358u: // en-SX -> en-001
        case 0x656E535Au: // en-SZ -> en-001
        case 0x656E5443u: // en-TC -> en-001
        case 0x656E544Bu: // en-TK -> en-001
        case 0x656E544Fu: // en-TO -> en-001
        case 0x656E5454u: // en-TT -> en-001
        case 0x656E5456u: // en-TV -> en-001
        case 0x656E545Au: // en-TZ -> en-001
        case 0x656E5547u: // en-UG -> en-001
        case 0x656E5643u: // en-VC -> en-001
        case 0x656E5647u: // en-VG -> en-001
        case 0x656E5655u: // en-VU -> en-001
        case 0x656E5753u: // en-WS -> en-001
        case 0x656E5A41u: // en-ZA -> en-001
        case 0x656E5A4Du: // en-ZM -> en-001
        case 0x656E5A57u: // en-ZW -> en-001
            return 0x656E8400u;
        case 0x656E4154u: // en-AT -> en-150
        case 0x656E4245u: // en-BE -> en-150
        case 0x656E4348u: // en-CH -> en-150
        case 0x656E435Au: // en-CZ -> en-150
        case 0x656E4445u: // en-DE -> en-150
        case 0x656E444Bu: // en-DK -> en-150
        case 0x656E4553u: // en-ES -> en-150
        case 0x656E4649u: // en-FI -> en-150
        case 0x656E4652u: // en-FR -> en-150
        case 0x656E4855u: // en-HU -> en-150
        case 0x656E4954u: // en-IT -> en-150
        case 0x656E4E4Cu: // en-NL -> en-150
        case 0x656E4E4Fu: // en-NO -> en-150
        case 0x656E504Cu: // en-PL -> en-150
        case 0x656E5054u: // en-PT -> en-150
        case 0x656E524Fu: // en-RO -> en-150
        case 0x656E5345u: // en-SE -> en-150
        case 0x656E5349u: // en-SI -> en-150
        case 0x656E534Bu: // en-SK -> en-150
            return 0x656E80A1u;
        case 0x65734152u: // es-AR -> es-419
        case 0x6573424Fu: // es-BO -> es-419
        case 0x65734252u: // es-BR -> es-419
        case 0x6573425Au: // es-BZ -> es-419
        case 0x6573434Cu: // es-CL -> es-419
        case 0x6573434Fu: // es-CO -> es-419
        case 0x65734352u: // es-CR -> es-419
        case 0x65734355u: // es-CU -> es-419
        case 0x6573444Fu: // es-DO -> es-419
        case 0x65734543u: // es-EC -> es-419
        case 0x65734754u: // es-GT -> es-419
        case 0x6573484Eu: // es-HN -> es-419
        case 0x65734D58u: // es-MX -> es-419
        case 0x65734E49u: // es-NI -> es-419
        case 0x65735041u: // es-PA -> es-419
        case 0x65735045u: // es-PE -> es-419
        case 0x65735052u: // es-PR -> es-419
        case 0x65735059u: // es-PY -> es-419
        case 0x65735356u: // es-SV -> es-419
        case 0x65735553u: // es-US -> es-419
        case 0x65735559u: // es-UY -> es-419
        case 0x65735645u: // es-VE -> es-419
            return 0x6573A424u;
        case 0x6E620000u: // nb -> no
        case 0x6E6E0000u: // nn -> no
            return 0x6E6F0000u;
        case 0x7074414Fu: // pt-AO -> pt-PT
        case 0x70744348u: // pt-CH -> pt-PT
        case 0x70744356u: // pt-CV -> pt-PT
        case 0x70744751u: // pt-GQ -> pt-PT
        case 0x70744757u: // pt-GW -> pt-PT
        case 0x70744C55u: // pt-LU -> pt-PT
        case 0x70744D4Fu: // pt-MO -> pt-PT
        case 0x70744D5Au: // pt-MZ -> pt-PT
        case 0x70745354u: // pt-ST -> pt-PT
        case 0x7074544Cu: // pt-TL -> pt-PT
            return 0x70745054u;
        default:
            return 0;
    }
}

static uint32_t find000BParent(uint32_t packed_lang_region) {
    switch(packed_lang_region) {
        case 0x61725842u: // ar-XB -> ar-015
            return 0x61729420u;
        default:
            return 0;
    }
}

uint32_t findParentLocalePackedKey(const char* script, uint32_t packed_lang_region) {
    uint32_t packedScript = packScript(script);
    switch (packedScript) {
        case 0x41726162u: // Arab
            return findArabParent(packed_lang_region);
        case 0x44657661u: // Deva
            return findDevaParent(packed_lang_region);
        case 0x48616E74u: // Hant
            return findHantParent(packed_lang_region);
        case 0x4C61746Eu: // Latn
            return findLatnParent(packed_lang_region);
        case 0x7E7E7E42u: // ~~~B
            return find000BParent(packed_lang_region);
        default:
            return 0;
    }
}

uint32_t getMaxAncestorTreeDepth() {
    return 3;
}

} // namespace android
